/*!
 * This file is part of the Aloha Editor Community Edition (http://www.aloha-editor.org) 
 * and Aloha Editor Enterprise (http://aloha-editor.com) package.
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2014: Gentics Software GmbH, Vienna, Austria.
 * Licensor: Gentics Software GmbH, Vienna, Austria.
 * All rights reserved
 *
 * Aloha Editor is dual licensed:
 * If you downloaded this package of Aloha Editor from http://www.aloha-editor.org, 
 * you are using the Aloha Editor Community Edition. The Aloha Editor Community Edition 
 * is licensed under the terms of the GPLv2. These terms are included in the
 * LICENSE.txt file.
 *
 * If you purchased and downloaded this package of Aloha Editor from 
 * http://www.aloha-editor.com. You are using Aloha Editor Enterprise. 
 * Aloha Editor Enterprise is licensed as commercial software covered by the 
 * Aloha Editor Enterprise licensing terms.
 * These terms are included in the LICENSE.txt file.
 */(function() {
/*
    http://www.JSON.org/json2.js
    2011-02-23

    Public Domain.

    NO WARRANTY EXPRESSED OR IMPLIED. USE AT YOUR OWN RISK.

    See http://www.JSON.org/js.html


    This code should be minified before deployment.
    See http://javascript.crockford.com/jsmin.html

    USE YOUR OWN COPY. IT IS EXTREMELY UNWISE TO LOAD CODE FROM SERVERS YOU DO
    NOT CONTROL.


    This file creates a global JSON object containing two methods: stringify
    and parse.

        JSON.stringify(value, replacer, space)
            value       any JavaScript value, usually an object or array.

            replacer    an optional parameter that determines how object
                        values are stringified for objects. It can be a
                        function or an array of strings.

            space       an optional parameter that specifies the indentation
                        of nested structures. If it is omitted, the text will
                        be packed without extra whitespace. If it is a number,
                        it will specify the number of spaces to indent at each
                        level. If it is a string (such as '\t' or '&nbsp;'),
                        it contains the characters used to indent at each level.

            This method produces a JSON text from a JavaScript value.

            When an object value is found, if the object contains a toJSON
            method, its toJSON method will be called and the result will be
            stringified. A toJSON method does not serialize: it returns the
            value represented by the name/value pair that should be serialized,
            or undefined if nothing should be serialized. The toJSON method
            will be passed the key associated with the value, and this will be
            bound to the value

            For example, this would serialize Dates as ISO strings.

                Date.prototype.toJSON = function (key) {
                    function f(n) {
                        // Format integers to have at least two digits.
                        return n < 10 ? '0' + n : n;
                    }

                    return this.getUTCFullYear()   + '-' +
                         f(this.getUTCMonth() + 1) + '-' +
                         f(this.getUTCDate())      + 'T' +
                         f(this.getUTCHours())     + ':' +
                         f(this.getUTCMinutes())   + ':' +
                         f(this.getUTCSeconds())   + 'Z';
                };

            You can provide an optional replacer method. It will be passed the
            key and value of each member, with this bound to the containing
            object. The value that is returned from your method will be
            serialized. If your method returns undefined, then the member will
            be excluded from the serialization.

            If the replacer parameter is an array of strings, then it will be
            used to select the members to be serialized. It filters the results
            such that only members with keys listed in the replacer array are
            stringified.

            Values that do not have JSON representations, such as undefined or
            functions, will not be serialized. Such values in objects will be
            dropped; in arrays they will be replaced with null. You can use
            a replacer function to replace those with JSON values.
            JSON.stringify(undefined) returns undefined.

            The optional space parameter produces a stringification of the
            value that is filled with line breaks and indentation to make it
            easier to read.

            If the space parameter is a non-empty string, then that string will
            be used for indentation. If the space parameter is a number, then
            the indentation will be that many spaces.

            Example:

            text = JSON.stringify(['e', {pluribus: 'unum'}]);
            // text is '["e",{"pluribus":"unum"}]'


            text = JSON.stringify(['e', {pluribus: 'unum'}], null, '\t');
            // text is '[\n\t"e",\n\t{\n\t\t"pluribus": "unum"\n\t}\n]'

            text = JSON.stringify([new Date()], function (key, value) {
                return this[key] instanceof Date ?
                    'Date(' + this[key] + ')' : value;
            });
            // text is '["Date(---current time---)"]'


        JSON.parse(text, reviver)
            This method parses a JSON text to produce an object or array.
            It can throw a SyntaxError exception.

            The optional reviver parameter is a function that can filter and
            transform the results. It receives each of the keys and values,
            and its return value is used instead of the original value.
            If it returns what it received, then the structure is not modified.
            If it returns undefined then the member is deleted.

            Example:

            // Parse the text. Values that look like ISO date strings will
            // be converted to Date objects.

            myData = JSON.parse(text, function (key, value) {
                var a;
                if (typeof value === 'string') {
                    a =
/^(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):(\d{2}(?:\.\d*)?)Z$/.exec(value);
                    if (a) {
                        return new Date(Date.UTC(+a[1], +a[2] - 1, +a[3], +a[4],
                            +a[5], +a[6]));
                    }
                }
                return value;
            });

            myData = JSON.parse('["Date(09/09/2001)"]', function (key, value) {
                var d;
                if (typeof value === 'string' &&
                        value.slice(0, 5) === 'Date(' &&
                        value.slice(-1) === ')') {
                    d = new Date(value.slice(5, -1));
                    if (d) {
                        return d;
                    }
                }
                return value;
            });


    This is a reference implementation. You are free to copy, modify, or
    redistribute.
*/

/*jslint evil: true, strict: false, regexp: false */

/*members "", "\b", "\t", "\n", "\f", "\r", "\"", JSON, "\\", apply,
    call, charCodeAt, getUTCDate, getUTCFullYear, getUTCHours,
    getUTCMinutes, getUTCMonth, getUTCSeconds, hasOwnProperty, join,
    lastIndex, length, parse, prototype, push, replace, slice, stringify,
    test, toJSON, toString, valueOf
*/

// Create a JSON object only if one does not already exist.
var JSON;
if (!JSON) {
	JSON = {};
}

(function () {
	"use strict";

	function f(n) {
		// Format integers to have at least two digits.
		return n < 10 ? '0' + n : n;
	}

	if (typeof Date.prototype.toJSON !== 'function') {

		Date.prototype.toJSON = function (key) {

			return isFinite(this.valueOf()) ? this.getUTCFullYear() + '-' + f(this.getUTCMonth() + 1) + '-' + f(this.getUTCDate()) + 'T' + f(this.getUTCHours()) + ':' + f(this.getUTCMinutes()) + ':' + f(this.getUTCSeconds()) + 'Z' : null;
		};

		String.prototype.toJSON = Number.prototype.toJSON = Boolean.prototype.toJSON = function (key) {
			return this.valueOf();
		};
	}

	var cx = /[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
		escapable = /[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
		gap,
		indent,
		meta = { // table of character substitutions
			'\b': '\\b',
			'\t': '\\t',
			'\n': '\\n',
			'\f': '\\f',
			'\r': '\\r',
			'"': '\\"',
			'\\': '\\\\'
		},
		rep;


	function quote(string) {

		// If the string contains no control characters, no quote characters, and no
		// backslash characters, then we can safely slap some quotes around it.
		// Otherwise we must also replace the offending characters with safe escape
		// sequences.

		escapable.lastIndex = 0;
		return escapable.test(string) ? '"' + string.replace(escapable, function (a) {
			var c = meta[a];
			return typeof c === 'string' ? c : '\\u' + ('0000' + a.charCodeAt(0).toString(16)).slice(-4);
		}) + '"' : '"' + string + '"';
	}


	function str(key, holder) {

		// Produce a string from holder[key].

		var i, // The loop counter.
		k, // The member key.
		v, // The member value.
		length,
		mind = gap,
			partial,
			value = holder[key];

		// If the value has a toJSON method, call it to obtain a replacement value.

		if (value && typeof value === 'object' && typeof value.toJSON === 'function') {
			value = value.toJSON(key);
		}

		// If we were called with a replacer function, then call the replacer to
		// obtain a replacement value.

		if (typeof rep === 'function') {
			value = rep.call(holder, key, value);
		}

		// What happens next depends on the value's type.

		switch (typeof value) {
		case 'string':
			return quote(value);

		case 'number':

			// JSON numbers must be finite. Encode non-finite numbers as null.

			return isFinite(value) ? String(value) : 'null';

		case 'boolean':
		case 'null':

			// If the value is a boolean or null, convert it to a string. Note:
			// typeof null does not produce 'null'. The case is included here in
			// the remote chance that this gets fixed someday.

			return String(value);

			// If the type is 'object', we might be dealing with an object or an array or
			// null.

		case 'object':

			// Due to a specification blunder in ECMAScript, typeof null is 'object',
			// so watch out for that case.

			if (!value) {
				return 'null';
			}

			// Make an array to hold the partial results of stringifying this object value.

			gap += indent;
			partial = [];

			// Is the value an array?

			if (Object.prototype.toString.apply(value) === '[object Array]') {

				// The value is an array. Stringify every element. Use null as a placeholder
				// for non-JSON values.

				length = value.length;
				for (i = 0; i < length; i += 1) {
					partial[i] = str(i, value) || 'null';
				}

				// Join all of the elements together, separated with commas, and wrap them in
				// brackets.

				v = partial.length === 0 ? '[]' : gap ? '[\n' + gap + partial.join(',\n' + gap) + '\n' + mind + ']' : '[' + partial.join(',') + ']';
				gap = mind;
				return v;
			}

			// If the replacer is an array, use it to select the members to be stringified.

			if (rep && typeof rep === 'object') {
				length = rep.length;
				for (i = 0; i < length; i += 1) {
					if (typeof rep[i] === 'string') {
						k = rep[i];
						v = str(k, value);
						if (v) {
							partial.push(quote(k) + (gap ? ': ' : ':') + v);
						}
					}
				}
			} else {

				// Otherwise, iterate through all of the keys in the object.

				for (k in value) {
					if (Object.prototype.hasOwnProperty.call(value, k)) {
						v = str(k, value);
						if (v) {
							partial.push(quote(k) + (gap ? ': ' : ':') + v);
						}
					}
				}
			}

			// Join all of the member texts together, separated with commas,
			// and wrap them in braces.

			v = partial.length === 0 ? '{}' : gap ? '{\n' + gap + partial.join(',\n' + gap) + '\n' + mind + '}' : '{' + partial.join(',') + '}';
			gap = mind;
			return v;
		}
	}

	// If the JSON object does not yet have a stringify method, give it one.

	if (typeof JSON.stringify !== 'function') {
		JSON.stringify = function (value, replacer, space) {

			// The stringify method takes a value and an optional replacer, and an optional
			// space parameter, and returns a JSON text. The replacer can be a function
			// that can replace values, or an array of strings that will select the keys.
			// A default replacer method can be provided. Use of the space parameter can
			// produce text that is more easily readable.

			var i;
			gap = '';
			indent = '';

			// If the space parameter is a number, make an indent string containing that
			// many spaces.

			if (typeof space === 'number') {
				for (i = 0; i < space; i += 1) {
					indent += ' ';
				}

				// If the space parameter is a string, it will be used as the indent string.

			} else if (typeof space === 'string') {
				indent = space;
			}

			// If there is a replacer, it must be a function or an array.
			// Otherwise, throw an error.

			rep = replacer;
			if (replacer && typeof replacer !== 'function' && (typeof replacer !== 'object' || typeof replacer.length !== 'number')) {
				throw new Error('JSON.stringify');
			}

			// Make a fake root object containing our value under the key of ''.
			// Return the result of stringifying the value.

			return str('', {
				'': value
			});
		};
	}


	// If the JSON object does not yet have a parse method, give it one.

	if (typeof JSON.parse !== 'function') {
		JSON.parse = function (text, reviver) {

			// The parse method takes a text and an optional reviver function, and returns
			// a JavaScript value if the text is a valid JSON text.

			var j;

			function walk(holder, key) {

				// The walk method is used to recursively walk the resulting structure so
				// that modifications can be made.

				var k, v, value = holder[key];
				if (value && typeof value === 'object') {
					for (k in value) {
						if (Object.prototype.hasOwnProperty.call(value, k)) {
							v = walk(value, k);
							if (v !== undefined) {
								value[k] = v;
							} else {
								delete value[k];
							}
						}
					}
				}
				return reviver.call(holder, key, value);
			}


			// Parsing happens in four stages. In the first stage, we replace certain
			// Unicode characters with escape sequences. JavaScript handles many characters
			// incorrectly, either silently deleting them, or treating them as line endings.

			text = String(text);
			cx.lastIndex = 0;
			if (cx.test(text)) {
				text = text.replace(cx, function (a) {
					return '\\u' + ('0000' + a.charCodeAt(0).toString(16)).slice(-4);
				});
			}

			// In the second stage, we run the text against regular expressions that look
			// for non-JSON patterns. We are especially concerned with '()' and 'new'
			// because they can cause invocation, and '=' because it can cause mutation.
			// But just to be safe, we want to reject all unexpected forms.

			// We split the second stage into 4 regexp operations in order to work around
			// crippling inefficiencies in IE's and Safari's regexp engines. First we
			// replace the JSON backslash pairs with '@' (a non-JSON character). Second, we
			// replace all simple value tokens with ']' characters. Third, we delete all
			// open brackets that follow a colon or comma or that begin the text. Finally,
			// we look to see that the remaining characters are only whitespace or ']' or
			// ',' or ':' or '{' or '}'. If that is so, then the text is safe for eval.

			if (/^[\],:{}\s]*$/.test(text.replace(/\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g, '@').replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g, ']').replace(/(?:^|:|,)(?:\s*\[)+/g, ''))) {

				// In the third stage we use the eval function to compile the text into a
				// JavaScript structure. The '{' operator is subject to a syntactic ambiguity
				// in JavaScript: it can begin a block or an object literal. We wrap the text
				// in parens to eliminate the ambiguity.

				j = eval('(' + text + ')');

				// In the optional fourth stage, we recursively walk the new structure, passing
				// each name/value pair to a reviver function for possible transformation.

				return typeof reviver === 'function' ? walk({
					'': j
				}, '') : j;
			}

			// If the text is not JSON parseable, then a SyntaxError is thrown.

			throw new SyntaxError('JSON.parse');
		};
	}
}());

define('util/json2', [], function () {
	return JSON;
});

/**
 * @license Rangy, a cross-browser JavaScript range and selection library
 * http://code.google.com/p/rangy/
 *
 * Copyright 2011, Tim Down
 * Licensed under the MIT license.
 * Version: 1.2.1
 * Build date: 8 October 2011
 */
(function () {
	var rangy = (function () {


		var OBJECT = "object",
			FUNCTION = "function",
			UNDEFINED = "undefined";

		var domRangeProperties = ["startContainer", "startOffset", "endContainer", "endOffset", "collapsed", "commonAncestorContainer", "START_TO_START", "START_TO_END", "END_TO_START", "END_TO_END"];

		var domRangeMethods = ["setStart", "setStartBefore", "setStartAfter", "setEnd", "setEndBefore", "setEndAfter", "collapse", "selectNode", "selectNodeContents", "compareBoundaryPoints", "deleteContents", "extractContents", "cloneContents", "insertNode", "surroundContents", "cloneRange", "toString", "detach"];

		var textRangeProperties = ["boundingHeight", "boundingLeft", "boundingTop", "boundingWidth", "htmlText", "text"];

		// Subset of TextRange's full set of methods that we're interested in
		var textRangeMethods = ["collapse", "compareEndPoints", "duplicate", "getBookmark", "moveToBookmark", "moveToElementText", "parentElement", "pasteHTML", "select", "setEndPoint", "getBoundingClientRect"];

		/*----------------------------------------------------------------------------------------------------------------*/

		// Trio of functions taken from Peter Michaux's article:
		// http://peter.michaux.ca/articles/feature-detection-state-of-the-art-browser-scripting
		function isHostMethod(o, p) {
			var t = typeof o[p];
			return t == FUNCTION || ( !! (t == OBJECT && o[p])) || t == "unknown";
		}

		function isHostObject(o, p) {
			return !!(typeof o[p] == OBJECT && o[p]);
		}

		function isHostProperty(o, p) {
			return typeof o[p] != UNDEFINED;
		}

		// Creates a convenience function to save verbose repeated calls to tests functions
		function createMultiplePropertyTest(testFunc) {
			return function (o, props) {
				var i = props.length;
				while (i--) {
					if (!testFunc(o, props[i])) {
						return false;
					}
				}
				return true;
			};
		}

		// Next trio of functions are a convenience to save verbose repeated calls to previous two functions
		var areHostMethods = createMultiplePropertyTest(isHostMethod);
		var areHostObjects = createMultiplePropertyTest(isHostObject);
		var areHostProperties = createMultiplePropertyTest(isHostProperty);

		function isTextRange(range) {
			return range && areHostMethods(range, textRangeMethods) && areHostProperties(range, textRangeProperties);
		}

		var api = {
			version: "1.2.1",
			initialized: false,
			supported: true,

			util: {
				isHostMethod: isHostMethod,
				isHostObject: isHostObject,
				isHostProperty: isHostProperty,
				areHostMethods: areHostMethods,
				areHostObjects: areHostObjects,
				areHostProperties: areHostProperties,
				isTextRange: isTextRange
			},

			features: {},

			modules: {},
			config: {
				alertOnWarn: false,
				preferTextRange: false
			}
		};

		function fail(reason) {
			window.alert("Rangy not supported in your browser. Reason: " + reason);
			api.initialized = true;
			api.supported = false;
		}

		api.fail = fail;

		function warn(msg) {
			var warningMessage = "Rangy warning: " + msg;
			if (api.config.alertOnWarn) {
				window.alert(warningMessage);
			} else if (typeof window.console != UNDEFINED && typeof window.console.log != UNDEFINED) {
				window.console.log(warningMessage);
			}
		}

		api.warn = warn;

		if ({}.hasOwnProperty) {
			api.util.extend = function (o, props) {
				for (var i in props) {
					if (props.hasOwnProperty(i)) {
						o[i] = props[i];
					}
				}
			};
		} else {
			fail("hasOwnProperty not supported");
		}

		var initListeners = [];
		var moduleInitializers = [];

		// Initialization
		function init() {
			if (api.initialized) {
				return;
			}
			var testRange;
			var implementsDomRange = false,
				implementsTextRange = false;

			// First, perform basic feature tests

			if (isHostMethod(document, "createRange")) {
				testRange = document.createRange();
				if (areHostMethods(testRange, domRangeMethods) && areHostProperties(testRange, domRangeProperties)) {
					implementsDomRange = true;
				}
				testRange.detach();
			}

			// this was patched due to a performance problem in IE: When creating a TextRange for a body that contains
			// lots of DOM elements, calculating the bounding rectangle (or getting the bounding... properties) is
			// extremely slow (starting with IE8 and up to and including IE11)
//			var body = isHostObject(document, "body") ? document.body : document.getElementsByTagName("body")[0];
			var body = document.createElement("body");

			if (body && isHostMethod(body, "createTextRange")) {
				testRange = body.createTextRange();
				if (isTextRange(testRange)) {
					implementsTextRange = true;
				}
			}

			if (!implementsDomRange && !implementsTextRange) {
				fail("Neither Range nor TextRange are implemented");
			}

			api.initialized = true;
			api.features = {
				implementsDomRange: implementsDomRange,
				implementsTextRange: implementsTextRange
			};

			// Initialize modules and call init listeners
			var allListeners = moduleInitializers.concat(initListeners);
			for (var i = 0, len = allListeners.length; i < len; ++i) {
				try {
					allListeners[i](api);
				} catch (ex) {
					if (isHostObject(window, "console") && isHostMethod(window.console, "log")) {
						window.console.log("Init listener threw an exception. Continuing.", ex);
					}

				}
			}
		}

		// Allow external scripts to initialize this library in case it's loaded after the document has loaded
		api.init = init;

		// Execute listener immediately if already initialized
		api.addInitListener = function (listener) {
			if (api.initialized) {
				listener(api);
			} else {
				initListeners.push(listener);
			}
		};

		var createMissingNativeApiListeners = [];

		api.addCreateMissingNativeApiListener = function (listener) {
			createMissingNativeApiListeners.push(listener);
		};

		function createMissingNativeApi(win) {
			win = win || window;
			init();

			// Notify listeners
			for (var i = 0, len = createMissingNativeApiListeners.length; i < len; ++i) {
				createMissingNativeApiListeners[i](win);
			}
		}

		api.createMissingNativeApi = createMissingNativeApi;

		/**
		 * @constructor
		 */
		function Module(name) {
			this.name = name;
			this.initialized = false;
			this.supported = false;
		}

		Module.prototype.fail = function (reason) {
			this.initialized = true;
			this.supported = false;

			throw new Error("Module '" + this.name + "' failed to load: " + reason);
		};

		Module.prototype.warn = function (msg) {
			api.warn("Module " + this.name + ": " + msg);
		};

		Module.prototype.createError = function (msg) {
			return new Error("Error in Rangy " + this.name + " module: " + msg);
		};

		api.createModule = function (name, initFunc) {
			var module = new Module(name);
			api.modules[name] = module;

			moduleInitializers.push(function (api) {
				initFunc(api, module);
				module.initialized = true;
				module.supported = true;
			});
		};

		api.requireModules = function (modules) {
			for (var i = 0, len = modules.length, module, moduleName; i < len; ++i) {
				moduleName = modules[i];
				module = api.modules[moduleName];
				if (!module || !(module instanceof Module)) {
					throw new Error("Module '" + moduleName + "' not found");
				}
				if (!module.supported) {
					throw new Error("Module '" + moduleName + "' not supported");
				}
			}
		};

		/*----------------------------------------------------------------------------------------------------------------*/

		// Wait for document to load before running tests

		var docReady = false;

		var loadHandler = function (e) {

			if (!docReady) {
				docReady = true;
				if (!api.initialized) {
					init();
				}
			}
		};

		// Test whether we have window and document objects that we will need
		if (typeof window == UNDEFINED) {
			fail("No window found");
			return;
		}
		if (typeof document == UNDEFINED) {
			fail("No document found");
			return;
		}

		if (isHostMethod(document, "addEventListener")) {
			document.addEventListener("DOMContentLoaded", loadHandler, false);
		}

		// Add a fallback in case the DOMContentLoaded event isn't supported
		if (isHostMethod(window, "addEventListener")) {
			window.addEventListener("load", loadHandler, false);
		} else if (isHostMethod(window, "attachEvent")) {
			window.attachEvent("onload", loadHandler);
		} else {
			fail("Window does not have required addEventListener or attachEvent method");
		}

		return api;
	})();
	rangy.createModule("DomUtil", function (api, module) {

		var UNDEF = "undefined";
		var util = api.util;

		// Perform feature tests
		if (!util.areHostMethods(document, ["createDocumentFragment", "createElement", "createTextNode"])) {
			module.fail("document missing a Node creation method");
		}

		if (!util.isHostMethod(document, "getElementsByTagName")) {
			module.fail("document missing getElementsByTagName method");
		}

		var el = document.createElement("div");
		if (!util.areHostMethods(el, ["insertBefore", "appendChild", "cloneNode"] || !util.areHostObjects(el, ["previousSibling", "nextSibling", "childNodes", "parentNode"]))) {
			module.fail("Incomplete Element implementation");
		}

		// innerHTML is required for Range's createContextualFragment method
		if (!util.isHostProperty(el, "innerHTML")) {
			module.fail("Element is missing innerHTML property");
		}

		var textNode = document.createTextNode("test");
		if (!util.areHostMethods(textNode, ["splitText", "deleteData", "insertData", "appendData", "cloneNode"] || !util.areHostObjects(el, ["previousSibling", "nextSibling", "childNodes", "parentNode"]) || !util.areHostProperties(textNode, ["data"]))) {
			module.fail("Incomplete Text Node implementation");
		}

		/*----------------------------------------------------------------------------------------------------------------*/

		// Removed use of indexOf because of a bizarre bug in Opera that is thrown in one of the Acid3 tests. I haven't been
		// able to replicate it outside of the test. The bug is that indexOf returns -1 when called on an Array that
		// contains just the document as a single element and the value searched for is the document.
		var arrayContains =
		/*Array.prototype.indexOf ?
        function(arr, val) {
            return arr.indexOf(val) > -1;
        }:*/

			function (arr, val) {
				var i = arr.length;
				while (i--) {
					if (arr[i] === val) {
						return true;
					}
				}
				return false;
			};

		// Opera 11 puts HTML elements in the null namespace, it seems, and IE 7 has undefined namespaceURI
		function isHtmlNamespace(node) {
			var ns;
			return typeof node.namespaceURI == UNDEF || ((ns = node.namespaceURI) === null || ns == "http://www.w3.org/1999/xhtml");
		}

		function parentElement(node) {
			var parent = node.parentNode;
			return (parent.nodeType == 1) ? parent : null;
		}

		function getNodeIndex(node) {
			var i = 0;
			while ((node = node.previousSibling)) {
				i++;
			}
			return i;
		}

		function getNodeLength(node) {
			var childNodes;
			return isCharacterDataNode(node) ? node.length : ((childNodes = node.childNodes) ? childNodes.length : 0);
		}

		function getCommonAncestor(node1, node2) {
			var ancestors = [],
				n;
			for (n = node1; n; n = n.parentNode) {
				ancestors.push(n);
			}

			for (n = node2; n; n = n.parentNode) {
				if (arrayContains(ancestors, n)) {
					return n;
				}
			}

			return null;
		}

		function isAncestorOf(ancestor, descendant, selfIsAncestor) {
			var n = selfIsAncestor ? descendant : descendant.parentNode;
			while (n) {
				if (n === ancestor) {
					return true;
				} else {
					n = n.parentNode;
				}
			}
			return false;
		}

		function getClosestAncestorIn(node, ancestor, selfIsAncestor) {
			var p, n = selfIsAncestor ? node : node.parentNode;
			while (n) {
				p = n.parentNode;
				if (p === ancestor) {
					return n;
				}
				n = p;
			}
			return null;
		}

		function isCharacterDataNode(node) {
			var t = node.nodeType;
			return t == 3 || t == 4 || t == 8; // Text, CDataSection or Comment
		}

		function insertAfter(node, precedingNode) {
			var nextNode = precedingNode.nextSibling,
				parent = precedingNode.parentNode;
			if (nextNode) {
				parent.insertBefore(node, nextNode);
			} else {
				parent.appendChild(node);
			}
			return node;
		}

		// Note that we cannot use splitText() because it is bugridden in IE 9.
		function splitDataNode(node, index) {
			var newNode = node.cloneNode(false);
			newNode.deleteData(0, index);
			node.deleteData(index, node.length - index);
			insertAfter(newNode, node);
			return newNode;
		}

		function getDocument(node) {
			if (node.nodeType == 9) {
				return node;
			} else if (typeof node.ownerDocument != UNDEF) {
				return node.ownerDocument;
			} else if (typeof node.document != UNDEF) {
				return node.document;
			} else if (node.parentNode) {
				return getDocument(node.parentNode);
			} else {
				throw new Error("getDocument: no document found for node");
			}
		}

		function getWindow(node) {
			var doc = getDocument(node);
			if (typeof doc.defaultView != UNDEF) {
				return doc.defaultView;
			} else if (typeof doc.parentWindow != UNDEF) {
				return doc.parentWindow;
			} else {
				throw new Error("Cannot get a window object for node");
			}
		}

		function getIframeDocument(iframeEl) {
			if (typeof iframeEl.contentDocument != UNDEF) {
				return iframeEl.contentDocument;
			} else if (typeof iframeEl.contentWindow != UNDEF) {
				return iframeEl.contentWindow.document;
			} else {
				throw new Error("getIframeWindow: No Document object found for iframe element");
			}
		}

		function getIframeWindow(iframeEl) {
			if (typeof iframeEl.contentWindow != UNDEF) {
				return iframeEl.contentWindow;
			} else if (typeof iframeEl.contentDocument != UNDEF) {
				return iframeEl.contentDocument.defaultView;
			} else {
				throw new Error("getIframeWindow: No Window object found for iframe element");
			}
		}

		function getBody(doc) {
			return util.isHostObject(doc, "body") ? doc.body : doc.getElementsByTagName("body")[0];
		}

		function getRootContainer(node) {
			var parent;
			while ((parent = node.parentNode)) {
				node = parent;
			}
			return node;
		}

		/**
		 * This is a very ugly workaround for an IE9 issue Before comparing DOM
		 * elements "normalize" them. There are cases, where anchorNode and
		 * focusNode in a nativeselection point to DOM elements with same
		 * parentNode, same previousSibling and same nextSibling, but the nodes
		 * themselves are not the same
		 * If such nodes are compared in the comparePoints method, an error occurs.
		 * To fix this, we move to the previousSibling/nextSibling/parentNode and back, to hopefully get
		 * the "correct" node in the DOM
		 * @param node node to fix
		 * @return normalized node
		 */
		function fixNode(node) {
			if (!node) {
				return;
			}
			if (node.previousSibling) {
				return node.previousSibling.nextSibling;
			} else if (node.nextSibling) {
				return node.nextSibling.previousSibling;
			} else if (node.parentNode) {
				return node.parentNode.firstChild;
			} else {
				return node;
			}
		}

		function comparePoints(nodeA, offsetA, nodeB, offsetB) {
			// fix the nodes before comparing them
			nodeA = fixNode(nodeA);
			nodeB = fixNode(nodeB);
			// See http://www.w3.org/TR/DOM-Level-2-Traversal-Range/ranges.html#Level-2-Range-Comparing
			var nodeC, root, childA, childB, n;
			if (nodeA == nodeB) {

				// Case 1: nodes are the same
				return offsetA === offsetB ? 0 : (offsetA < offsetB) ? -1 : 1;
			} else if ((nodeC = getClosestAncestorIn(nodeB, nodeA, true))) {

				// Case 2: node C (container B or an ancestor) is a child node of A
				return offsetA <= getNodeIndex(nodeC) ? -1 : 1;
			} else if ((nodeC = getClosestAncestorIn(nodeA, nodeB, true))) {

				// Case 3: node C (container A or an ancestor) is a child node of B
				return getNodeIndex(nodeC) < offsetB ? -1 : 1;
			} else {

				// Case 4: containers are siblings or descendants of siblings
				root = getCommonAncestor(nodeA, nodeB);
				childA = (nodeA === root) ? root : getClosestAncestorIn(nodeA, root, true);
				childB = (nodeB === root) ? root : getClosestAncestorIn(nodeB, root, true);

				if (childA === childB) {
					// This shouldn't be possible

					throw new Error("comparePoints got to case 4 and childA and childB are the same!");
				} else {
					n = root.firstChild;
					while (n) {
						if (n === childA) {
							return -1;
						} else if (n === childB) {
							return 1;
						}
						n = n.nextSibling;
					}
					throw new Error("Should not be here!");
				}
			}
		}

		function fragmentFromNodeChildren(node) {
			var fragment = getDocument(node).createDocumentFragment(),
				child;
			while ((child = node.firstChild)) {
				fragment.appendChild(child);
			}
			return fragment;
		}

		function inspectNode(node) {
			if (!node) {
				return "[No node]";
			}
			if (isCharacterDataNode(node)) {
				return '"' + node.data + '"';
			} else if (node.nodeType == 1) {
				var idAttr = node.id ? ' id="' + node.id + '"' : "";
				return "<" + node.nodeName + idAttr + ">[" + node.childNodes.length + "]";
			} else {
				return node.nodeName;
			}
		}

		/**
		 * @constructor
		 */
		function NodeIterator(root) {
			this.root = root;
			this._next = root;
		}

		NodeIterator.prototype = {
			_current: null,

			hasNext: function () {
				return !!this._next;
			},

			next: function () {
				var n = this._current = this._next;
				var child, next;
				if (this._current) {
					child = n.firstChild;
					if (child) {
						this._next = child;
					} else {
						next = null;
						while ((n !== this.root) && !(next = n.nextSibling)) {
							n = n.parentNode;
						}
						this._next = next;
					}
				}
				return this._current;
			},

			detach: function () {
				this._current = this._next = this.root = null;
			}
		};

		function createIterator(root) {
			return new NodeIterator(root);
		}

		/**
		 * @constructor
		 */
		function DomPosition(node, offset) {
			this.node = node;
			this.offset = offset;
		}

		DomPosition.prototype = {
			equals: function (pos) {
				return this.node === pos.node & this.offset == pos.offset;
			},

			inspect: function () {
				return "[DomPosition(" + inspectNode(this.node) + ":" + this.offset + ")]";
			}
		};

		/**
		 * @constructor
		 */
		function DOMException(codeName) {
			this.code = this[codeName];
			this.codeName = codeName;
			this.message = "DOMException: " + this.codeName;
		}

		DOMException.prototype = {
			INDEX_SIZE_ERR: 1,
			HIERARCHY_REQUEST_ERR: 3,
			WRONG_DOCUMENT_ERR: 4,
			NO_MODIFICATION_ALLOWED_ERR: 7,
			NOT_FOUND_ERR: 8,
			NOT_SUPPORTED_ERR: 9,
			INVALID_STATE_ERR: 11
		};

		DOMException.prototype.toString = function () {
			return this.message;
		};

		api.dom = {
			arrayContains: arrayContains,
			isHtmlNamespace: isHtmlNamespace,
			parentElement: parentElement,
			getNodeIndex: getNodeIndex,
			getNodeLength: getNodeLength,
			getCommonAncestor: getCommonAncestor,
			isAncestorOf: isAncestorOf,
			getClosestAncestorIn: getClosestAncestorIn,
			isCharacterDataNode: isCharacterDataNode,
			insertAfter: insertAfter,
			splitDataNode: splitDataNode,
			getDocument: getDocument,
			getWindow: getWindow,
			getIframeWindow: getIframeWindow,
			getIframeDocument: getIframeDocument,
			getBody: getBody,
			getRootContainer: getRootContainer,
			comparePoints: comparePoints,
			inspectNode: inspectNode,
			fragmentFromNodeChildren: fragmentFromNodeChildren,
			createIterator: createIterator,
			DomPosition: DomPosition
		};

		api.DOMException = DOMException;
	});
	rangy.createModule("DomRange", function (api, module) {
		api.requireModules(["DomUtil"]);


		var dom = api.dom;
		var DomPosition = dom.DomPosition;
		var DOMException = api.DOMException;

		/*----------------------------------------------------------------------------------------------------------------*/

		// Utility functions

		function isNonTextPartiallySelected(node, range) {
			return (node.nodeType != 3) && (dom.isAncestorOf(node, range.startContainer, true) || dom.isAncestorOf(node, range.endContainer, true));
		}

		function getRangeDocument(range) {
			return dom.getDocument(range.startContainer);
		}

		function dispatchEvent(range, type, args) {
			var listeners = range._listeners[type];
			if (listeners) {
				for (var i = 0, len = listeners.length; i < len; ++i) {
					listeners[i].call(range, {
						target: range,
						args: args
					});
				}
			}
		}

		function getBoundaryBeforeNode(node) {
			return new DomPosition(node.parentNode, dom.getNodeIndex(node));
		}

		function getBoundaryAfterNode(node) {
			return new DomPosition(node.parentNode, dom.getNodeIndex(node) + 1);
		}

		function insertNodeAtPosition(node, n, o) {
			var firstNodeInserted = node.nodeType == 11 ? node.firstChild : node;
			if (dom.isCharacterDataNode(n)) {
				if (o == n.length) {
					dom.insertAfter(node, n);
				} else {
					n.parentNode.insertBefore(node, o == 0 ? n : dom.splitDataNode(n, o));
				}
			} else if (o >= n.childNodes.length) {
				n.appendChild(node);
			} else {
				n.insertBefore(node, n.childNodes[o]);
			}
			return firstNodeInserted;
		}

		function cloneSubtree(iterator) {
			var partiallySelected;
			for (var node, frag = getRangeDocument(iterator.range).createDocumentFragment(), subIterator; node = iterator.next();) {
				partiallySelected = iterator.isPartiallySelectedSubtree();

				node = node.cloneNode(!partiallySelected);
				if (partiallySelected) {
					subIterator = iterator.getSubtreeIterator();
					node.appendChild(cloneSubtree(subIterator));
					subIterator.detach(true);
				}

				if (node.nodeType == 10) { // DocumentType
					throw new DOMException("HIERARCHY_REQUEST_ERR");
				}
				frag.appendChild(node);
			}
			return frag;
		}

		function iterateSubtree(rangeIterator, func, iteratorState) {
			var it, n;
			iteratorState = iteratorState || {
				stop: false
			};
			for (var node, subRangeIterator; node = rangeIterator.next();) {
				//log.debug("iterateSubtree, partially selected: " + rangeIterator.isPartiallySelectedSubtree(), nodeToString(node));
				if (rangeIterator.isPartiallySelectedSubtree()) {
					// The node is partially selected by the Range, so we can use a new RangeIterator on the portion of the
					// node selected by the Range.
					if (func(node) === false) {
						iteratorState.stop = true;
						return;
					} else {
						subRangeIterator = rangeIterator.getSubtreeIterator();
						iterateSubtree(subRangeIterator, func, iteratorState);
						subRangeIterator.detach(true);
						if (iteratorState.stop) {
							return;
						}
					}
				} else {
					// The whole node is selected, so we can use efficient DOM iteration to iterate over the node and its
					// descendant
					it = dom.createIterator(node);
					while ((n = it.next())) {
						if (func(n) === false) {
							iteratorState.stop = true;
							return;
						}
					}
				}
			}
		}

		function deleteSubtree(iterator) {
			var subIterator;
			while (iterator.next()) {
				if (iterator.isPartiallySelectedSubtree()) {
					subIterator = iterator.getSubtreeIterator();
					deleteSubtree(subIterator);
					subIterator.detach(true);
				} else {
					iterator.remove();
				}
			}
		}

		function extractSubtree(iterator) {

			for (var node, frag = getRangeDocument(iterator.range).createDocumentFragment(), subIterator; node = iterator.next();) {


				if (iterator.isPartiallySelectedSubtree()) {
					node = node.cloneNode(false);
					subIterator = iterator.getSubtreeIterator();
					node.appendChild(extractSubtree(subIterator));
					subIterator.detach(true);
				} else {
					iterator.remove();
				}
				if (node.nodeType == 10) { // DocumentType
					throw new DOMException("HIERARCHY_REQUEST_ERR");
				}
				frag.appendChild(node);
			}
			return frag;
		}

		function getNodesInRange(range, nodeTypes, filter) {
			//log.info("getNodesInRange, " + nodeTypes.join(","));
			var filterNodeTypes = !! (nodeTypes && nodeTypes.length),
				regex;
			var filterExists = !! filter;
			if (filterNodeTypes) {
				regex = new RegExp("^(" + nodeTypes.join("|") + ")$");
			}

			var nodes = [];
			iterateSubtree(new RangeIterator(range, false), function (node) {
				if ((!filterNodeTypes || regex.test(node.nodeType)) && (!filterExists || filter(node))) {
					nodes.push(node);
				}
			});
			return nodes;
		}

		function inspect(range) {
			var name = (typeof range.getName == "undefined") ? "Range" : range.getName();
			return "[" + name + "(" + dom.inspectNode(range.startContainer) + ":" + range.startOffset + ", " + dom.inspectNode(range.endContainer) + ":" + range.endOffset + ")]";
		}

		/*----------------------------------------------------------------------------------------------------------------*/

		// RangeIterator code partially borrows from IERange by Tim Ryan (http://github.com/timcameronryan/IERange)

		/**
		 * @constructor
		 */
		function RangeIterator(range, clonePartiallySelectedTextNodes) {
			this.range = range;
			this.clonePartiallySelectedTextNodes = clonePartiallySelectedTextNodes;



			if (!range.collapsed) {
				this.sc = range.startContainer;
				this.so = range.startOffset;
				this.ec = range.endContainer;
				this.eo = range.endOffset;
				var root = range.commonAncestorContainer;

				if (this.sc === this.ec && dom.isCharacterDataNode(this.sc)) {
					this.isSingleCharacterDataNode = true;
					this._first = this._last = this._next = this.sc;
				} else {
					this._first = this._next = (this.sc === root && !dom.isCharacterDataNode(this.sc)) ? this.sc.childNodes[this.so] : dom.getClosestAncestorIn(this.sc, root, true);
					this._last = (this.ec === root && !dom.isCharacterDataNode(this.ec)) ? this.ec.childNodes[this.eo - 1] : dom.getClosestAncestorIn(this.ec, root, true);
				}

			}
		}

		RangeIterator.prototype = {
			_current: null,
			_next: null,
			_first: null,
			_last: null,
			isSingleCharacterDataNode: false,

			reset: function () {
				this._current = null;
				this._next = this._first;
			},

			hasNext: function () {
				return !!this._next;
			},

			next: function () {
				// Move to next node
				var current = this._current = this._next;
				if (current) {
					this._next = (current !== this._last) ? current.nextSibling : null;

					// Check for partially selected text nodes
					if (dom.isCharacterDataNode(current) && this.clonePartiallySelectedTextNodes) {
						if (current === this.ec) {

							(current = current.cloneNode(true)).deleteData(this.eo, current.length - this.eo);
						}
						if (this._current === this.sc) {

							(current = current.cloneNode(true)).deleteData(0, this.so);
						}
					}
				}

				return current;
			},

			remove: function () {
				var current = this._current,
					start, end;

				if (dom.isCharacterDataNode(current) && (current === this.sc || current === this.ec)) {
					start = (current === this.sc) ? this.so : 0;
					end = (current === this.ec) ? this.eo : current.length;
					if (start != end) {
						current.deleteData(start, end - start);
					}
				} else {
					if (current.parentNode) {
						current.parentNode.removeChild(current);
					} else {

					}
				}
			},

			// Checks if the current node is partially selected
			isPartiallySelectedSubtree: function () {
				var current = this._current;
				return isNonTextPartiallySelected(current, this.range);
			},

			getSubtreeIterator: function () {
				var subRange;
				if (this.isSingleCharacterDataNode) {
					subRange = this.range.cloneRange();
					subRange.collapse();
				} else {
					subRange = new Range(getRangeDocument(this.range));
					var current = this._current;
					var startContainer = current,
						startOffset = 0,
						endContainer = current,
						endOffset = dom.getNodeLength(current);

					if (dom.isAncestorOf(current, this.sc, true)) {
						startContainer = this.sc;
						startOffset = this.so;
					}
					if (dom.isAncestorOf(current, this.ec, true)) {
						endContainer = this.ec;
						endOffset = this.eo;
					}

					updateBoundaries(subRange, startContainer, startOffset, endContainer, endOffset);
				}
				return new RangeIterator(subRange, this.clonePartiallySelectedTextNodes);
			},

			detach: function (detachRange) {
				if (detachRange) {
					this.range.detach();
				}
				this.range = this._current = this._next = this._first = this._last = this.sc = this.so = this.ec = this.eo = null;
			}
		};

		/*----------------------------------------------------------------------------------------------------------------*/

		// Exceptions

		/**
		 * @constructor
		 */
		function RangeException(codeName) {
			this.code = this[codeName];
			this.codeName = codeName;
			this.message = "RangeException: " + this.codeName;
		}

		RangeException.prototype = {
			BAD_BOUNDARYPOINTS_ERR: 1,
			INVALID_NODE_TYPE_ERR: 2
		};

		RangeException.prototype.toString = function () {
			return this.message;
		};

		/*----------------------------------------------------------------------------------------------------------------*/

		/**
		 * Currently iterates through all nodes in the range on creation until I think of a decent way to do it
		 * TODO: Look into making this a proper iterator, not requiring preloading everything first
		 * @constructor
		 */
		function RangeNodeIterator(range, nodeTypes, filter) {
			this.nodes = getNodesInRange(range, nodeTypes, filter);
			this._next = this.nodes[0];
			this._position = 0;
		}

		RangeNodeIterator.prototype = {
			_current: null,

			hasNext: function () {
				return !!this._next;
			},

			next: function () {
				this._current = this._next;
				this._next = this.nodes[++this._position];
				return this._current;
			},

			detach: function () {
				this._current = this._next = this.nodes = null;
			}
		};

		var beforeAfterNodeTypes = [1, 3, 4, 5, 7, 8, 10];
		var rootContainerNodeTypes = [2, 9, 11];
		var readonlyNodeTypes = [5, 6, 10, 12];
		var insertableNodeTypes = [1, 3, 4, 5, 7, 8, 10, 11];
		var surroundNodeTypes = [1, 3, 4, 5, 7, 8];

		function createAncestorFinder(nodeTypes) {
			return function (node, selfIsAncestor) {
				var t, n = selfIsAncestor ? node : node.parentNode;
				while (n) {
					t = n.nodeType;
					if (dom.arrayContains(nodeTypes, t)) {
						return n;
					}
					n = n.parentNode;
				}
				return null;
			};
		}

		var getRootContainer = dom.getRootContainer;
		var getDocumentOrFragmentContainer = createAncestorFinder([9, 11]);
		var getReadonlyAncestor = createAncestorFinder(readonlyNodeTypes);
		var getDocTypeNotationEntityAncestor = createAncestorFinder([6, 10, 12]);

		function assertNoDocTypeNotationEntityAncestor(node, allowSelf) {
			if (getDocTypeNotationEntityAncestor(node, allowSelf)) {
				throw new RangeException("INVALID_NODE_TYPE_ERR");
			}
		}

		function assertNotDetached(range) {
			if (!range.startContainer) {
				throw new DOMException("INVALID_STATE_ERR");
			}
		}

		function assertValidNodeType(node, invalidTypes) {
			if (!dom.arrayContains(invalidTypes, node.nodeType)) {
				throw new RangeException("INVALID_NODE_TYPE_ERR");
			}
		}

		function assertValidOffset(node, offset) {
			if (offset < 0 || offset > (dom.isCharacterDataNode(node) ? node.length : node.childNodes.length)) {
				throw new DOMException("INDEX_SIZE_ERR");
			}
		}

		function assertSameDocumentOrFragment(node1, node2) {
			if (getDocumentOrFragmentContainer(node1, true) !== getDocumentOrFragmentContainer(node2, true)) {
				throw new DOMException("WRONG_DOCUMENT_ERR");
			}
		}

		function assertNodeNotReadOnly(node) {
			if (getReadonlyAncestor(node, true)) {
				throw new DOMException("NO_MODIFICATION_ALLOWED_ERR");
			}
		}

		function assertNode(node, codeName) {
			if (!node) {
				throw new DOMException(codeName);
			}
		}

		function isOrphan(node) {
			return !dom.arrayContains(rootContainerNodeTypes, node.nodeType) && !getDocumentOrFragmentContainer(node, true);
		}

		function isValidOffset(node, offset) {
			return offset <= (dom.isCharacterDataNode(node) ? node.length : node.childNodes.length);
		}

		function assertRangeValid(range) {
			assertNotDetached(range);
			if (isOrphan(range.startContainer) || isOrphan(range.endContainer) || !isValidOffset(range.startContainer, range.startOffset) || !isValidOffset(range.endContainer, range.endOffset)) {
				throw new Error("Range error: Range is no longer valid after DOM mutation (" + range.inspect() + ")");
			}
		}

		/*----------------------------------------------------------------------------------------------------------------*/

		// Test the browser's innerHTML support to decide how to implement createContextualFragment
		var styleEl = document.createElement("style");
		var htmlParsingConforms = false;
		try {
			styleEl.innerHTML = "<b>x</b>";
			htmlParsingConforms = (styleEl.firstChild.nodeType == 3); // Opera incorrectly creates an element node
		} catch (e) {
			// IE 6 and 7 throw
		}

		api.features.htmlParsingConforms = htmlParsingConforms;

		var createContextualFragment = htmlParsingConforms ?

		// Implementation as per HTML parsing spec, trusting in the browser's implementation of innerHTML. See
		// discussion and base code for this implementation at issue 67.
		// Spec: http://html5.org/specs/dom-parsing.html#extensions-to-the-range-interface
		// Thanks to Aleks Williams.
			function (fragmentStr) {
				// "Let node the context object's start's node."
				var node = this.startContainer;
				var doc = dom.getDocument(node);

				// "If the context object's start's node is null, raise an INVALID_STATE_ERR
				// exception and abort these steps."
				if (!node) {
					throw new DOMException("INVALID_STATE_ERR");
				}

				// "Let element be as follows, depending on node's interface:"
				// Document, Document Fragment: null
				var el = null;

				// "Element: node"
				if (node.nodeType == 1) {
					el = node;

					// "Text, Comment: node's parentElement"
				} else if (dom.isCharacterDataNode(node)) {
					el = dom.parentElement(node);
				}

				// "If either element is null or element's ownerDocument is an HTML document
				// and element's local name is "html" and element's namespace is the HTML
				// namespace"
				if (el === null || (
				el.nodeName == "HTML" && dom.isHtmlNamespace(dom.getDocument(el).documentElement) && dom.isHtmlNamespace(el))) {

					// "let element be a new Element with "body" as its local name and the HTML
					// namespace as its namespace.""
					el = doc.createElement("body");
				} else {
					el = el.cloneNode(false);
				}

				// "If the node's document is an HTML document: Invoke the HTML fragment parsing algorithm."
				// "If the node's document is an XML document: Invoke the XML fragment parsing algorithm."
				// "In either case, the algorithm must be invoked with fragment as the input
				// and element as the context element."
				el.innerHTML = fragmentStr;

				// "If this raises an exception, then abort these steps. Otherwise, let new
				// children be the nodes returned."

				// "Let fragment be a new DocumentFragment."
				// "Append all new children to fragment."
				// "Return fragment."
				return dom.fragmentFromNodeChildren(el);
			} :

			// In this case, innerHTML cannot be trusted, so fall back to a simpler, non-conformant implementation that
			// previous versions of Rangy used (with the exception of using a body element rather than a div)
			function (fragmentStr) {
				assertNotDetached(this);
				var doc = getRangeDocument(this);
				var el = doc.createElement("body");
				el.innerHTML = fragmentStr;

				return dom.fragmentFromNodeChildren(el);
			};

		/*----------------------------------------------------------------------------------------------------------------*/

		var rangeProperties = ["startContainer", "startOffset", "endContainer", "endOffset", "collapsed", "commonAncestorContainer"];

		var s2s = 0,
			s2e = 1,
			e2e = 2,
			e2s = 3;
		var n_b = 0,
			n_a = 1,
			n_b_a = 2,
			n_i = 3;

		function RangePrototype() {}

		RangePrototype.prototype = {
			attachListener: function (type, listener) {
				this._listeners[type].push(listener);
			},

			compareBoundaryPoints: function (how, range) {
				assertRangeValid(this);
				assertSameDocumentOrFragment(this.startContainer, range.startContainer);

				var nodeA, offsetA, nodeB, offsetB;
				var prefixA = (how == e2s || how == s2s) ? "start" : "end";
				var prefixB = (how == s2e || how == s2s) ? "start" : "end";
				nodeA = this[prefixA + "Container"];
				offsetA = this[prefixA + "Offset"];
				nodeB = range[prefixB + "Container"];
				offsetB = range[prefixB + "Offset"];
				return dom.comparePoints(nodeA, offsetA, nodeB, offsetB);
			},

			insertNode: function (node) {
				assertRangeValid(this);
				assertValidNodeType(node, insertableNodeTypes);
				assertNodeNotReadOnly(this.startContainer);

				if (dom.isAncestorOf(node, this.startContainer, true)) {
					throw new DOMException("HIERARCHY_REQUEST_ERR");
				}

				// No check for whether the container of the start of the Range is of a type that does not allow
				// children of the type of node: the browser's DOM implementation should do this for us when we attempt
				// to add the node

				var firstNodeInserted = insertNodeAtPosition(node, this.startContainer, this.startOffset);
				this.setStartBefore(firstNodeInserted);
			},

			cloneContents: function () {
				assertRangeValid(this);

				var clone, frag;
				if (this.collapsed) {
					return getRangeDocument(this).createDocumentFragment();
				} else {
					if (this.startContainer === this.endContainer && dom.isCharacterDataNode(this.startContainer)) {
						clone = this.startContainer.cloneNode(true);
						clone.data = clone.data.slice(this.startOffset, this.endOffset);
						frag = getRangeDocument(this).createDocumentFragment();
						frag.appendChild(clone);
						return frag;
					} else {
						var iterator = new RangeIterator(this, true);
						clone = cloneSubtree(iterator);
						iterator.detach();
					}
					return clone;
				}
			},

			canSurroundContents: function () {
				assertRangeValid(this);
				assertNodeNotReadOnly(this.startContainer);
				assertNodeNotReadOnly(this.endContainer);

				// Check if the contents can be surrounded. Specifically, this means whether the range partially selects
				// no non-text nodes.
				var iterator = new RangeIterator(this, true);
				var boundariesInvalid = (iterator._first && (isNonTextPartiallySelected(iterator._first, this)) || (iterator._last && isNonTextPartiallySelected(iterator._last, this)));
				iterator.detach();
				return !boundariesInvalid;
			},

			surroundContents: function (node) {
				assertValidNodeType(node, surroundNodeTypes);

				if (!this.canSurroundContents()) {
					throw new RangeException("BAD_BOUNDARYPOINTS_ERR");
				}

				// Extract the contents
				var content = this.extractContents();

				// Clear the children of the node
				if (node.hasChildNodes()) {
					while (node.lastChild) {
						node.removeChild(node.lastChild);
					}
				}

				// Insert the new node and add the extracted contents
				insertNodeAtPosition(node, this.startContainer, this.startOffset);
				node.appendChild(content);

				this.selectNode(node);
			},

			cloneRange: function () {
				assertRangeValid(this);
				var range = new Range(getRangeDocument(this));
				var i = rangeProperties.length,
					prop;
				while (i--) {
					prop = rangeProperties[i];
					range[prop] = this[prop];
				}
				return range;
			},

			toString: function () {
				assertRangeValid(this);
				var sc = this.startContainer;
				if (sc === this.endContainer && dom.isCharacterDataNode(sc)) {
					return (sc.nodeType == 3 || sc.nodeType == 4) ? sc.data.slice(this.startOffset, this.endOffset) : "";
				} else {
					var textBits = [],
						iterator = new RangeIterator(this, true);

					iterateSubtree(iterator, function (node) {
						// Accept only text or CDATA nodes, not comments

						if (node.nodeType == 3 || node.nodeType == 4) {
							textBits.push(node.data);
						}
					});
					iterator.detach();
					return textBits.join("");
				}
			},

			// The methods below are all non-standard. The following batch were introduced by Mozilla but have since
			// been removed from Mozilla.

			compareNode: function (node) {
				assertRangeValid(this);

				var parent = node.parentNode;
				var nodeIndex = dom.getNodeIndex(node);

				if (!parent) {
					throw new DOMException("NOT_FOUND_ERR");
				}

				var startComparison = this.comparePoint(parent, nodeIndex),
					endComparison = this.comparePoint(parent, nodeIndex + 1);

				if (startComparison < 0) { // Node starts before
					return (endComparison > 0) ? n_b_a : n_b;
				} else {
					return (endComparison > 0) ? n_a : n_i;
				}
			},

			comparePoint: function (node, offset) {
				assertRangeValid(this);
				assertNode(node, "HIERARCHY_REQUEST_ERR");
				assertSameDocumentOrFragment(node, this.startContainer);

				if (dom.comparePoints(node, offset, this.startContainer, this.startOffset) < 0) {
					return -1;
				} else if (dom.comparePoints(node, offset, this.endContainer, this.endOffset) > 0) {
					return 1;
				}
				return 0;
			},

			createContextualFragment: createContextualFragment,

			toHtml: function () {
				assertRangeValid(this);
				var container = getRangeDocument(this).createElement("div");
				container.appendChild(this.cloneContents());
				return container.innerHTML;
			},

			// touchingIsIntersecting determines whether this method considers a node that borders a range intersects
			// with it (as in WebKit) or not (as in Gecko pre-1.9, and the default)
			intersectsNode: function (node, touchingIsIntersecting) {
				assertRangeValid(this);
				assertNode(node, "NOT_FOUND_ERR");
				if (dom.getDocument(node) !== getRangeDocument(this)) {
					return false;
				}

				var parent = node.parentNode,
					offset = dom.getNodeIndex(node);
				assertNode(parent, "NOT_FOUND_ERR");

				var startComparison = dom.comparePoints(parent, offset, this.endContainer, this.endOffset),
					endComparison = dom.comparePoints(parent, offset + 1, this.startContainer, this.startOffset);

				return touchingIsIntersecting ? startComparison <= 0 && endComparison >= 0 : startComparison < 0 && endComparison > 0;
			},


			isPointInRange: function (node, offset) {
				assertRangeValid(this);
				assertNode(node, "HIERARCHY_REQUEST_ERR");
				assertSameDocumentOrFragment(node, this.startContainer);

				return (dom.comparePoints(node, offset, this.startContainer, this.startOffset) >= 0) && (dom.comparePoints(node, offset, this.endContainer, this.endOffset) <= 0);
			},

			// The methods below are non-standard and invented by me.

			// Sharing a boundary start-to-end or end-to-start does not count as intersection.
			intersectsRange: function (range, touchingIsIntersecting) {
				assertRangeValid(this);

				if (getRangeDocument(range) != getRangeDocument(this)) {
					throw new DOMException("WRONG_DOCUMENT_ERR");
				}

				var startComparison = dom.comparePoints(this.startContainer, this.startOffset, range.endContainer, range.endOffset),
					endComparison = dom.comparePoints(this.endContainer, this.endOffset, range.startContainer, range.startOffset);

				return touchingIsIntersecting ? startComparison <= 0 && endComparison >= 0 : startComparison < 0 && endComparison > 0;
			},

			intersection: function (range) {
				if (this.intersectsRange(range)) {
					var startComparison = dom.comparePoints(this.startContainer, this.startOffset, range.startContainer, range.startOffset),
						endComparison = dom.comparePoints(this.endContainer, this.endOffset, range.endContainer, range.endOffset);

					var intersectionRange = this.cloneRange();

					if (startComparison == -1) {
						intersectionRange.setStart(range.startContainer, range.startOffset);
					}
					if (endComparison == 1) {
						intersectionRange.setEnd(range.endContainer, range.endOffset);
					}
					return intersectionRange;
				}
				return null;
			},

			union: function (range) {
				if (this.intersectsRange(range, true)) {
					var unionRange = this.cloneRange();
					if (dom.comparePoints(range.startContainer, range.startOffset, this.startContainer, this.startOffset) == -1) {
						unionRange.setStart(range.startContainer, range.startOffset);
					}
					if (dom.comparePoints(range.endContainer, range.endOffset, this.endContainer, this.endOffset) == 1) {
						unionRange.setEnd(range.endContainer, range.endOffset);
					}
					return unionRange;
				} else {
					throw new RangeException("Ranges do not intersect");
				}
			},

			containsNode: function (node, allowPartial) {
				if (allowPartial) {
					return this.intersectsNode(node, false);
				} else {
					return this.compareNode(node) == n_i;
				}
			},

			containsNodeContents: function (node) {
				return this.comparePoint(node, 0) >= 0 && this.comparePoint(node, dom.getNodeLength(node)) <= 0;
			},

			containsRange: function (range) {
				return this.intersection(range).equals(range);
			},

			containsNodeText: function (node) {
				var nodeRange = this.cloneRange();
				nodeRange.selectNode(node);
				var textNodes = nodeRange.getNodes([3]);
				if (textNodes.length > 0) {
					nodeRange.setStart(textNodes[0], 0);
					var lastTextNode = textNodes.pop();
					nodeRange.setEnd(lastTextNode, lastTextNode.length);
					var contains = this.containsRange(nodeRange);
					nodeRange.detach();
					return contains;
				} else {
					return this.containsNodeContents(node);
				}
			},

			createNodeIterator: function (nodeTypes, filter) {
				assertRangeValid(this);
				return new RangeNodeIterator(this, nodeTypes, filter);
			},

			getNodes: function (nodeTypes, filter) {
				assertRangeValid(this);
				return getNodesInRange(this, nodeTypes, filter);
			},

			getDocument: function () {
				return getRangeDocument(this);
			},

			collapseBefore: function (node) {
				assertNotDetached(this);

				this.setEndBefore(node);
				this.collapse(false);
			},

			collapseAfter: function (node) {
				assertNotDetached(this);

				this.setStartAfter(node);
				this.collapse(true);
			},

			getName: function () {
				return "DomRange";
			},

			equals: function (range) {
				return Range.rangesEqual(this, range);
			},

			inspect: function () {
				return inspect(this);
			}
		};

		function copyComparisonConstantsToObject(obj) {
			obj.START_TO_START = s2s;
			obj.START_TO_END = s2e;
			obj.END_TO_END = e2e;
			obj.END_TO_START = e2s;

			obj.NODE_BEFORE = n_b;
			obj.NODE_AFTER = n_a;
			obj.NODE_BEFORE_AND_AFTER = n_b_a;
			obj.NODE_INSIDE = n_i;
		}

		function copyComparisonConstants(constructor) {
			copyComparisonConstantsToObject(constructor);
			copyComparisonConstantsToObject(constructor.prototype);
		}

		function createRangeContentRemover(remover, boundaryUpdater) {
			return function () {
				assertRangeValid(this);

				var sc = this.startContainer,
					so = this.startOffset,
					root = this.commonAncestorContainer;

				var iterator = new RangeIterator(this, true);

				// Work out where to position the range after content removal
				var node, boundary;
				if (sc !== root) {
					node = dom.getClosestAncestorIn(sc, root, true);
					boundary = getBoundaryAfterNode(node);
					sc = boundary.node;
					so = boundary.offset;
				}

				// Check none of the range is read-only
				iterateSubtree(iterator, assertNodeNotReadOnly);

				iterator.reset();

				// Remove the content
				var returnValue = remover(iterator);
				iterator.detach();

				// Move to the new position
				boundaryUpdater(this, sc, so, sc, so);

				return returnValue;
			};
		}

		function createPrototypeRange(constructor, boundaryUpdater, detacher) {
			function createBeforeAfterNodeSetter(isBefore, isStart) {
				return function (node) {
					assertNotDetached(this);
					assertValidNodeType(node, beforeAfterNodeTypes);
					assertValidNodeType(getRootContainer(node), rootContainerNodeTypes);

					var boundary = (isBefore ? getBoundaryBeforeNode : getBoundaryAfterNode)(node);
					(isStart ? setRangeStart : setRangeEnd)(this, boundary.node, boundary.offset);
				};
			}

			function setRangeStart(range, node, offset) {
				var ec = range.endContainer,
					eo = range.endOffset;
				if (node !== range.startContainer || offset !== this.startOffset) {
					// Check the root containers of the range and the new boundary, and also check whether the new boundary
					// is after the current end. In either case, collapse the range to the new position
					if (getRootContainer(node) != getRootContainer(ec) || dom.comparePoints(node, offset, ec, eo) == 1) {
						ec = node;
						eo = offset;
					}
					boundaryUpdater(range, node, offset, ec, eo);
				}
			}

			function setRangeEnd(range, node, offset) {
				var sc = range.startContainer,
					so = range.startOffset;
				if (node !== range.endContainer || offset !== this.endOffset) {
					// Check the root containers of the range and the new boundary, and also check whether the new boundary
					// is after the current end. In either case, collapse the range to the new position
					if (getRootContainer(node) != getRootContainer(sc) || dom.comparePoints(node, offset, sc, so) == -1) {
						sc = node;
						so = offset;
					}
					boundaryUpdater(range, sc, so, node, offset);
				}
			}

			function setRangeStartAndEnd(range, node, offset) {
				if (node !== range.startContainer || offset !== this.startOffset || node !== range.endContainer || offset !== this.endOffset) {
					boundaryUpdater(range, node, offset, node, offset);
				}
			}

			constructor.prototype = new RangePrototype();

			api.util.extend(constructor.prototype, {
				setStart: function (node, offset) {
					assertNotDetached(this);
					assertNoDocTypeNotationEntityAncestor(node, true);
					assertValidOffset(node, offset);

					setRangeStart(this, node, offset);
				},

				setEnd: function (node, offset) {
					assertNotDetached(this);
					assertNoDocTypeNotationEntityAncestor(node, true);
					assertValidOffset(node, offset);

					setRangeEnd(this, node, offset);
				},

				setStartBefore: createBeforeAfterNodeSetter(true, true),
				setStartAfter: createBeforeAfterNodeSetter(false, true),
				setEndBefore: createBeforeAfterNodeSetter(true, false),
				setEndAfter: createBeforeAfterNodeSetter(false, false),

				collapse: function (isStart) {
					assertRangeValid(this);
					if (isStart) {
						boundaryUpdater(this, this.startContainer, this.startOffset, this.startContainer, this.startOffset);
					} else {
						boundaryUpdater(this, this.endContainer, this.endOffset, this.endContainer, this.endOffset);
					}
				},

				selectNodeContents: function (node) {
					// This doesn't seem well specified: the spec talks only about selecting the node's contents, which
					// could be taken to mean only its children. However, browsers implement this the same as selectNode for
					// text nodes, so I shall do likewise
					assertNotDetached(this);
					assertNoDocTypeNotationEntityAncestor(node, true);

					boundaryUpdater(this, node, 0, node, dom.getNodeLength(node));
				},

				selectNode: function (node) {
					assertNotDetached(this);
					assertNoDocTypeNotationEntityAncestor(node, false);
					assertValidNodeType(node, beforeAfterNodeTypes);

					var start = getBoundaryBeforeNode(node),
						end = getBoundaryAfterNode(node);
					boundaryUpdater(this, start.node, start.offset, end.node, end.offset);
				},

				extractContents: createRangeContentRemover(extractSubtree, boundaryUpdater),

				deleteContents: createRangeContentRemover(deleteSubtree, boundaryUpdater),

				canSurroundContents: function () {
					assertRangeValid(this);
					assertNodeNotReadOnly(this.startContainer);
					assertNodeNotReadOnly(this.endContainer);

					// Check if the contents can be surrounded. Specifically, this means whether the range partially selects
					// no non-text nodes.
					var iterator = new RangeIterator(this, true);
					var boundariesInvalid = (iterator._first && (isNonTextPartiallySelected(iterator._first, this)) || (iterator._last && isNonTextPartiallySelected(iterator._last, this)));
					iterator.detach();
					return !boundariesInvalid;
				},

				detach: function () {
					detacher(this);
				},

				splitBoundaries: function () {
					assertRangeValid(this);


					var sc = this.startContainer,
						so = this.startOffset,
						ec = this.endContainer,
						eo = this.endOffset;
					var startEndSame = (sc === ec);

					if (dom.isCharacterDataNode(ec) && eo > 0 && eo < ec.length) {
						dom.splitDataNode(ec, eo);

					}

					if (dom.isCharacterDataNode(sc) && so > 0 && so < sc.length) {

						sc = dom.splitDataNode(sc, so);
						if (startEndSame) {
							eo -= so;
							ec = sc;
						} else if (ec == sc.parentNode && eo >= dom.getNodeIndex(sc)) {
							eo++;
						}
						so = 0;

					}
					boundaryUpdater(this, sc, so, ec, eo);
				},

				normalizeBoundaries: function () {
					assertRangeValid(this);

					var sc = this.startContainer,
						so = this.startOffset,
						ec = this.endContainer,
						eo = this.endOffset;

					var mergeForward = function (node) {
						var sibling = node.nextSibling;
						if (sibling && sibling.nodeType == node.nodeType) {
							ec = node;
							eo = node.length;
							node.appendData(sibling.data);
							sibling.parentNode.removeChild(sibling);
						}
					};

					var mergeBackward = function (node) {
						var sibling = node.previousSibling;
						if (sibling && sibling.nodeType == node.nodeType) {
							sc = node;
							var nodeLength = node.length;
							so = sibling.length;
							node.insertData(0, sibling.data);
							sibling.parentNode.removeChild(sibling);
							if (sc == ec) {
								eo += so;
								ec = sc;
							} else if (ec == node.parentNode) {
								var nodeIndex = dom.getNodeIndex(node);
								if (eo == nodeIndex) {
									ec = node;
									eo = nodeLength;
								} else if (eo > nodeIndex) {
									eo--;
								}
							}
						}
					};

					var normalizeStart = true;

					if (dom.isCharacterDataNode(ec)) {
						if (ec.length == eo) {
							mergeForward(ec);
						}
					} else {
						if (eo > 0) {
							var endNode = ec.childNodes[eo - 1];
							if (endNode && dom.isCharacterDataNode(endNode)) {
								mergeForward(endNode);
							}
						}
						normalizeStart = !this.collapsed;
					}

					if (normalizeStart) {
						if (dom.isCharacterDataNode(sc)) {
							if (so == 0) {
								mergeBackward(sc);
							}
						} else {
							if (so < sc.childNodes.length) {
								var startNode = sc.childNodes[so];
								if (startNode && dom.isCharacterDataNode(startNode)) {
									mergeBackward(startNode);
								}
							}
						}
					} else {
						sc = ec;
						so = eo;
					}

					boundaryUpdater(this, sc, so, ec, eo);
				},

				collapseToPoint: function (node, offset) {
					assertNotDetached(this);

					assertNoDocTypeNotationEntityAncestor(node, true);
					assertValidOffset(node, offset);

					setRangeStartAndEnd(this, node, offset);
				}
			});

			copyComparisonConstants(constructor);
		}

		/*----------------------------------------------------------------------------------------------------------------*/

		// Updates commonAncestorContainer and collapsed after boundary change
		function updateCollapsedAndCommonAncestor(range) {
			range.collapsed = (range.startContainer === range.endContainer && range.startOffset === range.endOffset);
			range.commonAncestorContainer = range.collapsed ? range.startContainer : dom.getCommonAncestor(range.startContainer, range.endContainer);
		}

		function updateBoundaries(range, startContainer, startOffset, endContainer, endOffset) {
			var startMoved = (range.startContainer !== startContainer || range.startOffset !== startOffset);
			var endMoved = (range.endContainer !== endContainer || range.endOffset !== endOffset);

			range.startContainer = startContainer;
			range.startOffset = startOffset;
			range.endContainer = endContainer;
			range.endOffset = endOffset;

			updateCollapsedAndCommonAncestor(range);
			dispatchEvent(range, "boundarychange", {
				startMoved: startMoved,
				endMoved: endMoved
			});
		}

		function detach(range) {
			assertNotDetached(range);
			range.startContainer = range.startOffset = range.endContainer = range.endOffset = null;
			range.collapsed = range.commonAncestorContainer = null;
			dispatchEvent(range, "detach", null);
			range._listeners = null;
		}

		/**
		 * @constructor
		 */
		function Range(doc) {
			this.startContainer = doc;
			this.startOffset = 0;
			this.endContainer = doc;
			this.endOffset = 0;
			this._listeners = {
				boundarychange: [],
				detach: []
			};
			updateCollapsedAndCommonAncestor(this);
		}

		createPrototypeRange(Range, updateBoundaries, detach);

		api.rangePrototype = RangePrototype.prototype;

		Range.rangeProperties = rangeProperties;
		Range.RangeIterator = RangeIterator;
		Range.copyComparisonConstants = copyComparisonConstants;
		Range.createPrototypeRange = createPrototypeRange;
		Range.inspect = inspect;
		Range.getRangeDocument = getRangeDocument;
		Range.rangesEqual = function (r1, r2) {
			return r1.startContainer === r2.startContainer && r1.startOffset === r2.startOffset && r1.endContainer === r2.endContainer && r1.endOffset === r2.endOffset;
		};

		api.DomRange = Range;
		api.RangeException = RangeException;
	});
	rangy.createModule("WrappedRange", function (api, module) {
		api.requireModules(["DomUtil", "DomRange"]);

		/**
		 * @constructor
		 */
		var WrappedRange;
		var dom = api.dom;
		var DomPosition = dom.DomPosition;
		var DomRange = api.DomRange;



		/*----------------------------------------------------------------------------------------------------------------*/

		/*
    This is a workaround for a bug where IE returns the wrong container element from the TextRange's parentElement()
    method. For example, in the following (where pipes denote the selection boundaries):

    <ul id="ul"><li id="a">| a </li><li id="b"> b |</li></ul>

    var range = document.selection.createRange();
    alert(range.parentElement().id); // Should alert "ul" but alerts "b"

    This method returns the common ancestor node of the following:
    - the parentElement() of the textRange
    - the parentElement() of the textRange after calling collapse(true)
    - the parentElement() of the textRange after calling collapse(false)
     */
		function getTextRangeContainerElement(textRange) {
			var parentEl = textRange.parentElement();

			var range = textRange.duplicate();
			range.collapse(true);
			var startEl = range.parentElement();
			range = textRange.duplicate();
			range.collapse(false);
			var endEl = range.parentElement();
			var startEndContainer = (startEl == endEl) ? startEl : dom.getCommonAncestor(startEl, endEl);

			return startEndContainer == parentEl ? startEndContainer : dom.getCommonAncestor(parentEl, startEndContainer);
		}

		function textRangeIsCollapsed(textRange) {
			return textRange.compareEndPoints("StartToEnd", textRange) == 0;
		}

		// Gets the boundary of a TextRange expressed as a node and an offset within that node. This function started out as
		// an improved version of code found in Tim Cameron Ryan's IERange (http://code.google.com/p/ierange/) but has
		// grown, fixing problems with line breaks in preformatted text, adding workaround for IE TextRange bugs, handling
		// for inputs and images, plus optimizations.
		function getTextRangeBoundaryPosition(textRange, wholeRangeContainerElement, isStart, isCollapsed) {
			var workingRange = textRange.duplicate();

			workingRange.collapse(isStart);
			var containerElement = workingRange.parentElement();

			// Sometimes collapsing a TextRange that's at the start of a text node can move it into the previous node, so
			// check for that
			// TODO: Find out when. Workaround for wholeRangeContainerElement may break this
			if (!dom.isAncestorOf(wholeRangeContainerElement, containerElement, true)) {
				containerElement = wholeRangeContainerElement;

			}



			// Deal with nodes that cannot "contain rich HTML markup". In practice, this means form inputs, images and
			// similar. See http://msdn.microsoft.com/en-us/library/aa703950%28VS.85%29.aspx
			if (!containerElement.canHaveHTML) {
				return new DomPosition(containerElement.parentNode, dom.getNodeIndex(containerElement));
			}

			var workingNode = dom.getDocument(containerElement).createElement("span");

			// Workaround for HTML5 Shiv's insane violation of
			// document.createElement(). See Rangy issue 104 and HTML 5 Shiv issue
			// 64: https://github.com/aFarkas/html5shiv/issues/64
			if (workingNode.parentNode) {
				workingNode.parentNode.removeChild(workingNode);
			}

			var comparison, workingComparisonType = isStart ? "StartToStart" : "StartToEnd";
			var previousNode, nextNode, boundaryPosition, boundaryNode;

			// Move the working range through the container's children, starting at the end and working backwards, until the
			// working range reaches or goes past the boundary we're interested in
			do {
				containerElement.insertBefore(workingNode, workingNode.previousSibling);
				workingRange.moveToElementText(workingNode);
			} while ((comparison = workingRange.compareEndPoints(workingComparisonType, textRange)) > 0 && workingNode.previousSibling);

			// We've now reached or gone past the boundary of the text range we're interested in
			// so have identified the node we want
			boundaryNode = workingNode.nextSibling;

			if (comparison == -1 && boundaryNode && dom.isCharacterDataNode(boundaryNode)) {
				// This is a character data node (text, comment, cdata). The working range is collapsed at the start of the
				// node containing the text range's boundary, so we move the end of the working range to the boundary point
				// and measure the length of its text to get the boundary's offset within the node.
				workingRange.setEndPoint(isStart ? "EndToStart" : "EndToEnd", textRange);


				var offset;

				if (/[\r\n]/.test(boundaryNode.data)) {
					/*
                For the particular case of a boundary within a text node containing line breaks (within a <pre> element,
                for example), we need a slightly complicated approach to get the boundary's offset in IE. The facts:

                - Each line break is represented as \r in the text node's data/nodeValue properties
                - Each line break is represented as \r\n in the TextRange's 'text' property
                - The 'text' property of the TextRange does not contain trailing line breaks

                To get round the problem presented by the final fact above, we can use the fact that TextRange's
                moveStart() and moveEnd() methods return the actual number of characters moved, which is not necessarily
                the same as the number of characters it was instructed to move. The simplest approach is to use this to
                store the characters moved when moving both the start and end of the range to the start of the document
                body and subtracting the start offset from the end offset (the "move-negative-gazillion" method).
                However, this is extremely slow when the document is large and the range is near the end of it. Clearly
                doing the mirror image (i.e. moving the range boundaries to the end of the document) has the same
                problem.

                Another approach that works is to use moveStart() to move the start boundary of the range up to the end
                boundary one character at a time and incrementing a counter with the value returned by the moveStart()
                call. However, the check for whether the start boundary has reached the end boundary is expensive, so
                this method is slow (although unlike "move-negative-gazillion" is largely unaffected by the location of
                the range within the document).

                The method below is a hybrid of the two methods above. It uses the fact that a string containing the
                TextRange's 'text' property with each \r\n converted to a single \r character cannot be longer than the
                text of the TextRange, so the start of the range is moved that length initially and then a character at
                a time to make up for any trailing line breaks not contained in the 'text' property. This has good
                performance in most situations compared to the previous two methods.
                */
					var tempRange = workingRange.duplicate();
					var rangeLength = tempRange.text.replace(/\r\n/g, "\r").length;

					offset = tempRange.moveStart("character", rangeLength);
					while ((comparison = tempRange.compareEndPoints("StartToEnd", tempRange)) == -1) {
						offset++;
						tempRange.moveStart("character", 1);
					}
				} else {
					// IE7 sometimes has weird workingranges that apparently do not start in the workingNode any more, but in
					// some kind of phantom paragraph, that cannot be found in the DOM.
					// in such situations, the workingRange.text no longer is a substring at the start of the boundaryNode.data
					// If we find such a situation, we skip all characters at the start of the workingRange.data, that are not
					// at the start of the boundaryNode.data.
					// Before comparing, we have to replace all nbsp with normal spaces
					var wrText = workingRange.text.replace(/\u00a0/g, " ");
					var bnText = boundaryNode.data.replace(/\u00a0/g, " ");
					if (bnText.indexOf(wrText) !== 0) {
						while (wrText.length > 0 && bnText.indexOf(wrText) !== 0) {
							wrText = wrText.substr(1);
						}
						offset = wrText.length;
					} else {
						offset = workingRange.text.length;
					}
				}
				boundaryPosition = new DomPosition(boundaryNode, offset);
			} else {


				// If the boundary immediately follows a character data node and this is the end boundary, we should favour
				// a position within that, and likewise for a start boundary preceding a character data node
				previousNode = (isCollapsed || !isStart) && workingNode.previousSibling;
				nextNode = (isCollapsed || isStart) && workingNode.nextSibling;



				if (nextNode && dom.isCharacterDataNode(nextNode)) {
					boundaryPosition = new DomPosition(nextNode, 0);
				} else if (previousNode && dom.isCharacterDataNode(previousNode)) {
					boundaryPosition = new DomPosition(previousNode, previousNode.length);
				} else {
					boundaryPosition = new DomPosition(containerElement, dom.getNodeIndex(workingNode));
				}
			}

			// Clean up
			workingNode.parentNode.removeChild(workingNode);

			return boundaryPosition;
		}

		// Returns a TextRange representing the boundary of a TextRange expressed as a node and an offset within that node.
		// This function started out as an optimized version of code found in Tim Cameron Ryan's IERange
		// (http://code.google.com/p/ierange/)
		function createBoundaryTextRange(boundaryPosition, isStart) {
			var boundaryNode, boundaryParent, boundaryOffset = boundaryPosition.offset;
			var doc = dom.getDocument(boundaryPosition.node);
			var workingNode, childNodes, workingRange = doc.body.createTextRange();
			var nodeIsDataNode = dom.isCharacterDataNode(boundaryPosition.node);

			if (nodeIsDataNode) {
				boundaryNode = boundaryPosition.node;
				boundaryParent = boundaryNode.parentNode;
			} else {
				childNodes = boundaryPosition.node.childNodes;
				boundaryNode = (boundaryOffset < childNodes.length) ? childNodes[boundaryOffset] : null;
				boundaryParent = boundaryPosition.node;
			}

			// Position the range immediately before the node containing the boundary
			workingNode = doc.createElement("span");

			// Making the working element non-empty element persuades IE to consider the TextRange boundary to be within the
			// element rather than immediately before or after it, which is what we want
			workingNode.innerHTML = "&#feff;";

			// insertBefore is supposed to work like appendChild if the second parameter is null. However, a bug report
			// for IERange suggests that it can crash the browser: http://code.google.com/p/ierange/issues/detail?id=12
			if (boundaryNode) {
				boundaryParent.insertBefore(workingNode, boundaryNode);
			} else {
				boundaryParent.appendChild(workingNode);
			}

			try {
				workingRange.moveToElementText(workingNode);
				workingRange.collapse(!isStart);
			} catch (err) {
				// @todo window.console.log('problem with moveToElementText');
				//return false;
			}

			// Clean up
			boundaryParent.removeChild(workingNode);

			// Move the working range to the text offset, if required
			if (nodeIsDataNode) {
				workingRange[isStart ? "moveStart" : "moveEnd"]("character", boundaryOffset);
			}

			return workingRange;
		}

		/*----------------------------------------------------------------------------------------------------------------*/

		if (api.features.implementsDomRange && (!api.features.implementsTextRange || !api.config.preferTextRange)) {
			// This is a wrapper around the browser's native DOM Range. It has two aims:
			// - Provide workarounds for specific browser bugs
			// - provide convenient extensions, which are inherited from Rangy's DomRange

			(function () {
				var rangeProto;
				var rangeProperties = DomRange.rangeProperties;
				var canSetRangeStartAfterEnd;

				function updateRangeProperties(range) {
					var i = rangeProperties.length,
						prop;
					while (i--) {
						prop = rangeProperties[i];
						range[prop] = range.nativeRange[prop];
					}
				}

				function updateNativeRange(range, startContainer, startOffset, endContainer, endOffset) {
					var startMoved = (range.startContainer !== startContainer || range.startOffset != startOffset);
					var endMoved = (range.endContainer !== endContainer || range.endOffset != endOffset);

					// Always set both boundaries for the benefit of IE9 (see issue 35)
					if (startMoved || endMoved) {
						range.setEnd(endContainer, endOffset);
						range.setStart(startContainer, startOffset);
					}
				}

				function detach(range) {
					range.nativeRange.detach();
					range.detached = true;
					var i = rangeProperties.length,
						prop;
					while (i--) {
						prop = rangeProperties[i];
						range[prop] = null;
					}
				}

				var createBeforeAfterNodeSetter;

				WrappedRange = function (range) {
					if (!range) {
						throw new Error("Range must be specified");
					}
					this.nativeRange = range;
					updateRangeProperties(this);
				};

				DomRange.createPrototypeRange(WrappedRange, updateNativeRange, detach);

				rangeProto = WrappedRange.prototype;

				rangeProto.selectNode = function (node) {
					this.nativeRange.selectNode(node);
					updateRangeProperties(this);
				};

				rangeProto.deleteContents = function () {
					this.nativeRange.deleteContents();
					updateRangeProperties(this);
				};

				rangeProto.extractContents = function () {
					var frag = this.nativeRange.extractContents();
					updateRangeProperties(this);
					return frag;
				};

				rangeProto.cloneContents = function () {
					return this.nativeRange.cloneContents();
				};

				// TODO: Until I can find a way to programmatically trigger the Firefox bug (apparently long-standing, still
				// present in 3.6.8) that throws "Index or size is negative or greater than the allowed amount" for
				// insertNode in some circumstances, all browsers will have to use the Rangy's own implementation of
				// insertNode, which works but is almost certainly slower than the native implementation.
				/*
            rangeProto.insertNode = function(node) {
                this.nativeRange.insertNode(node);
                updateRangeProperties(this);
            };
*/

				rangeProto.surroundContents = function (node) {
					this.nativeRange.surroundContents(node);
					updateRangeProperties(this);
				};

				rangeProto.collapse = function (isStart) {
					this.nativeRange.collapse(isStart);
					updateRangeProperties(this);
				};

				rangeProto.cloneRange = function () {
					return new WrappedRange(this.nativeRange.cloneRange());
				};

				rangeProto.refresh = function () {
					updateRangeProperties(this);
				};

				rangeProto.toString = function () {
					return this.nativeRange.toString();
				};

				// Create test range and node for feature detection

				var testTextNode = document.createTextNode("test");
				dom.getBody(document).appendChild(testTextNode);
				var range = document.createRange();

				/*--------------------------------------------------------------------------------------------------------*/

				// Test for Firefox 2 bug that prevents moving the start of a Range to a point after its current end and
				// correct for it

				range.setStart(testTextNode, 0);
				range.setEnd(testTextNode, 0);

				try {
					range.setStart(testTextNode, 1);
					canSetRangeStartAfterEnd = true;

					rangeProto.setStart = function (node, offset) {
						this.nativeRange.setStart(node, offset);
						updateRangeProperties(this);
					};

					rangeProto.setEnd = function (node, offset) {
						this.nativeRange.setEnd(node, offset);
						updateRangeProperties(this);
					};

					createBeforeAfterNodeSetter = function (name) {
						return function (node) {
							this.nativeRange[name](node);
							updateRangeProperties(this);
						};
					};

				} catch (ex) {


					canSetRangeStartAfterEnd = false;

					rangeProto.setStart = function (node, offset) {
						try {
							this.nativeRange.setStart(node, offset);
						} catch (ex) {
							this.nativeRange.setEnd(node, offset);
							this.nativeRange.setStart(node, offset);
						}
						updateRangeProperties(this);
					};

					rangeProto.setEnd = function (node, offset) {
						try {
							this.nativeRange.setEnd(node, offset);
						} catch (ex) {
							this.nativeRange.setStart(node, offset);
							this.nativeRange.setEnd(node, offset);
						}
						updateRangeProperties(this);
					};

					createBeforeAfterNodeSetter = function (name, oppositeName) {
						return function (node) {
							try {
								this.nativeRange[name](node);
							} catch (ex) {
								this.nativeRange[oppositeName](node);
								this.nativeRange[name](node);
							}
							updateRangeProperties(this);
						};
					};
				}

				rangeProto.setStartBefore = createBeforeAfterNodeSetter("setStartBefore", "setEndBefore");
				rangeProto.setStartAfter = createBeforeAfterNodeSetter("setStartAfter", "setEndAfter");
				rangeProto.setEndBefore = createBeforeAfterNodeSetter("setEndBefore", "setStartBefore");
				rangeProto.setEndAfter = createBeforeAfterNodeSetter("setEndAfter", "setStartAfter");

				/*--------------------------------------------------------------------------------------------------------*/

				// Test for and correct Firefox 2 behaviour with selectNodeContents on text nodes: it collapses the range to
				// the 0th character of the text node
				range.selectNodeContents(testTextNode);
				if (range.startContainer == testTextNode && range.endContainer == testTextNode && range.startOffset == 0 && range.endOffset == testTextNode.length) {
					rangeProto.selectNodeContents = function (node) {
						this.nativeRange.selectNodeContents(node);
						updateRangeProperties(this);
					};
				} else {
					rangeProto.selectNodeContents = function (node) {
						this.setStart(node, 0);
						this.setEnd(node, DomRange.getEndOffset(node));
					};
				}

				/*--------------------------------------------------------------------------------------------------------*/

				// Test for WebKit bug that has the beahviour of compareBoundaryPoints round the wrong way for constants
				// START_TO_END and END_TO_START: https://bugs.webkit.org/show_bug.cgi?id=20738

				range.selectNodeContents(testTextNode);
				range.setEnd(testTextNode, 3);

				var range2 = document.createRange();
				range2.selectNodeContents(testTextNode);
				range2.setEnd(testTextNode, 4);
				range2.setStart(testTextNode, 2);

				if (range.compareBoundaryPoints(range.START_TO_END, range2) == -1 & range.compareBoundaryPoints(range.END_TO_START, range2) == 1) {
					// This is the wrong way round, so correct for it


					rangeProto.compareBoundaryPoints = function (type, range) {
						range = range.nativeRange || range;
						if (type == range.START_TO_END) {
							type = range.END_TO_START;
						} else if (type == range.END_TO_START) {
							type = range.START_TO_END;
						}
						return this.nativeRange.compareBoundaryPoints(type, range);
					};
				} else {
					rangeProto.compareBoundaryPoints = function (type, range) {
						return this.nativeRange.compareBoundaryPoints(type, range.nativeRange || range);
					};
				}

				/*--------------------------------------------------------------------------------------------------------*/

				// Test for existence of createContextualFragment and delegate to it if it exists
				if (api.util.isHostMethod(range, "createContextualFragment")) {
					rangeProto.createContextualFragment = function (fragmentStr) {
						return this.nativeRange.createContextualFragment(fragmentStr);
					};
				}

				/*--------------------------------------------------------------------------------------------------------*/

				// Clean up
				dom.getBody(document).removeChild(testTextNode);
				range.detach();
				range2.detach();
			})();

			api.createNativeRange = function (doc) {
				doc = doc || document;
				return doc.createRange();
			};
		} else if (api.features.implementsTextRange) {
			// This is a wrapper around a TextRange, providing full DOM Range functionality using rangy's DomRange as a
			// prototype

			WrappedRange = function (textRange) {
				this.textRange = textRange;
				this.refresh();
			};

			WrappedRange.prototype = new DomRange(document);

			WrappedRange.prototype.refresh = function () {
				var start, end;

				// TextRange's parentElement() method cannot be trusted. getTextRangeContainerElement() works around that.
				var rangeContainerElement = getTextRangeContainerElement(this.textRange);

				if (textRangeIsCollapsed(this.textRange)) {
					end = start = getTextRangeBoundaryPosition(this.textRange, rangeContainerElement, true, true);
				} else {

					start = getTextRangeBoundaryPosition(this.textRange, rangeContainerElement, true, false);
					end = getTextRangeBoundaryPosition(this.textRange, rangeContainerElement, false, false);
				}

				this.setStart(start.node, start.offset);
				this.setEnd(end.node, end.offset);
			};

			DomRange.copyComparisonConstants(WrappedRange);

			// Add WrappedRange as the Range property of the global object to allow expression like Range.END_TO_END to work
			var globalObj = (function () {
				return this;
			})();
			if (typeof globalObj.Range == "undefined") {
				globalObj.Range = WrappedRange;
			}

			api.createNativeRange = function (doc) {
				doc = doc || document;
				return doc.body.createTextRange();
			};
		}

		if (api.features.implementsTextRange) {
			WrappedRange.rangeToTextRange = function (range) {
				if (range.collapsed) {
					var tr = createBoundaryTextRange(new DomPosition(range.startContainer, range.startOffset), true);
					return tr;
					//return createBoundaryTextRange(new DomPosition(range.startContainer, range.startOffset), true);
				} else {
					var startRange = createBoundaryTextRange(new DomPosition(range.startContainer, range.startOffset), true);
					var endRange = createBoundaryTextRange(new DomPosition(range.endContainer, range.endOffset), false);
					var textRange = dom.getDocument(range.startContainer).body.createTextRange();
					textRange.setEndPoint("StartToStart", startRange);
					textRange.setEndPoint("EndToEnd", endRange);
					return textRange;
				}
			};
		}

		WrappedRange.prototype.getName = function () {
			return "WrappedRange";
		};

		api.WrappedRange = WrappedRange;

		api.createRange = function (doc) {
			doc = doc || document;
			return new WrappedRange(api.createNativeRange(doc));
		};

		api.createRangyRange = function (doc) {
			doc = doc || document;
			return new DomRange(doc);
		};

		api.createIframeRange = function (iframeEl) {
			return api.createRange(dom.getIframeDocument(iframeEl));
		};

		api.createIframeRangyRange = function (iframeEl) {
			return api.createRangyRange(dom.getIframeDocument(iframeEl));
		};

		api.addCreateMissingNativeApiListener(function (win) {
			var doc = win.document;
			if (typeof doc.createRange == "undefined") {
				doc.createRange = function () {
					return api.createRange(this);
				};
			}
			doc = win = null;
		});
	});
	rangy.createModule("WrappedSelection", function (api, module) {
		// This will create a selection object wrapper that follows the Selection object found in the WHATWG draft DOM Range
		// spec (http://html5.org/specs/dom-range.html)

		api.requireModules(["DomUtil", "DomRange", "WrappedRange"]);

		api.config.checkSelectionRanges = true;

		var BOOLEAN = "boolean",
			windowPropertyName = "_rangySelection",
			dom = api.dom,
			util = api.util,
			DomRange = api.DomRange,
			WrappedRange = api.WrappedRange,
			DOMException = api.DOMException,
			DomPosition = dom.DomPosition,
			getSelection,
			selectionIsCollapsed,
			CONTROL = "Control";



		function getWinSelection(winParam) {
			return (winParam || window).getSelection();
		}

		function getDocSelection(winParam) {
			return (winParam || window).document.selection;
		}

		// Test for the Range/TextRange and Selection features required
		// Test for ability to retrieve selection
		var implementsWinGetSelection = api.util.isHostMethod(window, "getSelection"),
			implementsDocSelection = api.util.isHostObject(document, "selection");

		var useDocumentSelection = implementsDocSelection && (!implementsWinGetSelection || api.config.preferTextRange);

		if (useDocumentSelection) {
			getSelection = getDocSelection;
			api.isSelectionValid = function (winParam) {
				var doc = (winParam || window).document,
					nativeSel = doc.selection;

				// Check whether the selection TextRange is actually contained within the correct document
				return (nativeSel.type != "None" || dom.getDocument(nativeSel.createRange().parentElement()) == doc);
			};
		} else if (implementsWinGetSelection) {
			getSelection = getWinSelection;
			api.isSelectionValid = function () {
				return true;
			};
		} else {
			module.fail("Neither document.selection or window.getSelection() detected.");
		}

		api.getNativeSelection = getSelection;

		var testSelection = getSelection();
		var testRange = api.createNativeRange(document);
		var body = dom.getBody(document);

		// Obtaining a range from a selection
		var selectionHasAnchorAndFocus = util.areHostObjects(testSelection, ["anchorNode", "focusNode"] && util.areHostProperties(testSelection, ["anchorOffset", "focusOffset"]));
		api.features.selectionHasAnchorAndFocus = selectionHasAnchorAndFocus;

		// Test for existence of native selection extend() method
		var selectionHasExtend = util.isHostMethod(testSelection, "extend");
		api.features.selectionHasExtend = selectionHasExtend;

		// Test if rangeCount exists
		var selectionHasRangeCount = (typeof testSelection.rangeCount == "number");
		api.features.selectionHasRangeCount = selectionHasRangeCount;

		var selectionSupportsMultipleRanges = false;
		var collapsedNonEditableSelectionsSupported = true;

		if (util.areHostMethods(testSelection, ["addRange", "getRangeAt", "removeAllRanges"]) && typeof testSelection.rangeCount == "number" && api.features.implementsDomRange) {

			(function () {
				var iframe = document.createElement("iframe");
				body.appendChild(iframe);

				var iframeDoc = dom.getIframeDocument(iframe);
				iframeDoc.open();
				iframeDoc.write("<html><head></head><body>12</body></html>");
				iframeDoc.close();

				var sel = dom.getIframeWindow(iframe).getSelection();
				var docEl = iframeDoc.documentElement;
				var iframeBody = docEl.lastChild,
					textNode = iframeBody.firstChild;

				// Test whether the native selection will allow a collapsed selection within a non-editable element
				var r1 = iframeDoc.createRange();
				r1.setStart(textNode, 1);
				r1.collapse(true);
				sel.addRange(r1);
				collapsedNonEditableSelectionsSupported = (sel.rangeCount == 1);
				sel.removeAllRanges();

				// Clean up
				r1.detach();

				body.removeChild(iframe);
			})();
		}

		// set the selection support for multiple ranges to false since this feature is only
		// supported by FireFox and would require extra effort to get it to work in Aloha-Editor
		api.features.selectionSupportsMultipleRanges = false;
		api.features.collapsedNonEditableSelectionsSupported = collapsedNonEditableSelectionsSupported;

		// ControlRanges
		var implementsControlRange = false,
			testControlRange;

		if (body && util.isHostMethod(body, "createControlRange")) {
			testControlRange = body.createControlRange();
			if (util.areHostProperties(testControlRange, ["item", "add"])) {
				implementsControlRange = true;
			}
		}
		api.features.implementsControlRange = implementsControlRange;

		// Selection collapsedness
		if (selectionHasAnchorAndFocus) {
			selectionIsCollapsed = function (sel) {
				return sel.anchorNode === sel.focusNode && sel.anchorOffset === sel.focusOffset;
			};
		} else {
			selectionIsCollapsed = function (sel) {
				return sel.rangeCount ? sel.getRangeAt(sel.rangeCount - 1).collapsed : false;
			};
		}

		function updateAnchorAndFocusFromRange(sel, range, backwards) {
			var anchorPrefix = backwards ? "end" : "start",
				focusPrefix = backwards ? "start" : "end";
			sel.anchorNode = range[anchorPrefix + "Container"];
			sel.anchorOffset = range[anchorPrefix + "Offset"];
			sel.focusNode = range[focusPrefix + "Container"];
			sel.focusOffset = range[focusPrefix + "Offset"];
		}

		function updateAnchorAndFocusFromNativeSelection(sel) {
			var nativeSel = sel.nativeSelection;
			sel.anchorNode = nativeSel.anchorNode;
			sel.anchorOffset = nativeSel.anchorOffset;
			sel.focusNode = nativeSel.focusNode;
			sel.focusOffset = nativeSel.focusOffset;
		}

		function updateEmptySelection(sel) {
			sel.anchorNode = sel.focusNode = null;
			sel.anchorOffset = sel.focusOffset = 0;
			sel.rangeCount = 0;
			sel.isCollapsed = true;
			sel._ranges.length = 0;
		}

		function getNativeRange(range) {
			var nativeRange;
			if (range instanceof DomRange) {
				nativeRange = range._selectionNativeRange;
				if (!nativeRange) {
					nativeRange = api.createNativeRange(dom.getDocument(range.startContainer));
					nativeRange.setEnd(range.endContainer, range.endOffset);
					nativeRange.setStart(range.startContainer, range.startOffset);
					range._selectionNativeRange = nativeRange;
					range.attachListener("detach", function () {

						this._selectionNativeRange = null;
					});
				}
			} else if (range instanceof WrappedRange) {
				nativeRange = range.nativeRange;
			} else if (api.features.implementsDomRange && (range instanceof dom.getWindow(range.startContainer).Range)) {
				nativeRange = range;
			}
			return nativeRange;
		}

		function rangeContainsSingleElement(rangeNodes) {
			if (!rangeNodes.length || rangeNodes[0].nodeType != 1) {
				return false;
			}
			for (var i = 1, len = rangeNodes.length; i < len; ++i) {
				if (!dom.isAncestorOf(rangeNodes[0], rangeNodes[i])) {
					return false;
				}
			}
			return true;
		}

		function getSingleElementFromRange(range) {
			var nodes = range.getNodes();
			if (!rangeContainsSingleElement(nodes)) {
				throw new Error("getSingleElementFromRange: range " + range.inspect() + " did not consist of a single element");
			}
			return nodes[0];
		}

		function isTextRange(range) {
			return !!range && typeof range.text != "undefined";
		}

		function updateFromTextRange(sel, range) {
			// Create a Range from the selected TextRange
			var wrappedRange = new WrappedRange(range);
			sel._ranges = [wrappedRange];

			updateAnchorAndFocusFromRange(sel, wrappedRange, false);
			sel.rangeCount = 1;
			sel.isCollapsed = wrappedRange.collapsed;
		}

		function updateControlSelection(sel) {
			// Update the wrapped selection based on what's now in the native selection
			sel._ranges.length = 0;
			if (sel.docSelection.type == "None") {
				updateEmptySelection(sel);
			} else {
				var controlRange = sel.docSelection.createRange();
				if (isTextRange(controlRange)) {
					// This case (where the selection type is "Control" and calling createRange() on the selection returns
					// a TextRange) can happen in IE 9. It happens, for example, when all elements in the selected
					// ControlRange have been removed from the ControlRange and removed from the document.
					updateFromTextRange(sel, controlRange);
				} else {
					sel.rangeCount = controlRange.length;
					var range, doc = dom.getDocument(controlRange.item(0));
					for (var i = 0; i < sel.rangeCount; ++i) {
						range = api.createRange(doc);
						range.selectNode(controlRange.item(i));
						sel._ranges.push(range);
					}
					sel.isCollapsed = sel.rangeCount == 1 && sel._ranges[0].collapsed;
					updateAnchorAndFocusFromRange(sel, sel._ranges[sel.rangeCount - 1], false);
				}
			}
		}

		function addRangeToControlSelection(sel, range) {
			var controlRange = sel.docSelection.createRange();
			var rangeElement = getSingleElementFromRange(range);

			// Create a new ControlRange containing all the elements in the selected ControlRange plus the element
			// contained by the supplied range
			var doc = dom.getDocument(controlRange.item(0));
			var newControlRange = dom.getBody(doc).createControlRange();
			for (var i = 0, len = controlRange.length; i < len; ++i) {
				newControlRange.add(controlRange.item(i));
			}
			try {
				newControlRange.add(rangeElement);
			} catch (ex) {
				throw new Error("addRange(): Element within the specified Range could not be added to control selection (does it have layout?)");
			}
			newControlRange.select();

			// Update the wrapped selection based on what's now in the native selection
			updateControlSelection(sel);
		}

		var getSelectionRangeAt;

		if (util.isHostMethod(testSelection, "getRangeAt")) {
			getSelectionRangeAt = function (sel, index) {
				try {
					return sel.getRangeAt(index);
				} catch (ex) {
					return null;
				}
			};
		} else if (selectionHasAnchorAndFocus) {
			getSelectionRangeAt = function (sel) {
				var doc = dom.getDocument(sel.anchorNode);
				var range = api.createRange(doc);
				range.setStart(sel.anchorNode, sel.anchorOffset);
				range.setEnd(sel.focusNode, sel.focusOffset);

				// Handle the case when the selection was selected backwards (from the end to the start in the
				// document)
				if (range.collapsed !== this.isCollapsed) {
					range.setStart(sel.focusNode, sel.focusOffset);
					range.setEnd(sel.anchorNode, sel.anchorOffset);
				}

				return range;
			};
		}

		/**
		 * @constructor
		 */
		function WrappedSelection(selection, docSelection, win) {
			this.nativeSelection = selection;
			this.docSelection = docSelection;
			this._ranges = [];
			this.win = win;
			this.refresh();
		}

		api.getSelection = function (win) {
			win = win || window;
			var sel = win[windowPropertyName];
			var nativeSel = getSelection(win),
				docSel = implementsDocSelection ? getDocSelection(win) : null;
			if (sel) {
				sel.nativeSelection = nativeSel;
				sel.docSelection = docSel;
				sel.refresh(win);
			} else {
				sel = new WrappedSelection(nativeSel, docSel, win);
				win[windowPropertyName] = sel;
			}
			return sel;
		};

		api.getIframeSelection = function (iframeEl) {
			return api.getSelection(dom.getIframeWindow(iframeEl));
		};

		var selProto = WrappedSelection.prototype;

		function createControlSelection(sel, ranges) {
			// Ensure that the selection becomes of type "Control"
			var doc = dom.getDocument(ranges[0].startContainer);
			var controlRange = dom.getBody(doc).createControlRange();
			for (var i = 0, el; i < rangeCount; ++i) {
				el = getSingleElementFromRange(ranges[i]);
				try {
					controlRange.add(el);
				} catch (ex) {
					throw new Error("setRanges(): Element within the one of the specified Ranges could not be added to control selection (does it have layout?)");
				}
			}
			controlRange.select();

			// Update the wrapped selection based on what's now in the native selection
			updateControlSelection(sel);
		}

		// Selecting a range
		if (!useDocumentSelection && selectionHasAnchorAndFocus && util.areHostMethods(testSelection, ["removeAllRanges", "addRange"])) {
			selProto.removeAllRanges = function () {
				this.nativeSelection.removeAllRanges();
				updateEmptySelection(this);
			};

			var addRangeBackwards = function (sel, range) {
				var doc = DomRange.getRangeDocument(range);
				var endRange = api.createRange(doc);
				endRange.collapseToPoint(range.endContainer, range.endOffset);
				sel.nativeSelection.addRange(getNativeRange(endRange));
				sel.nativeSelection.extend(range.startContainer, range.startOffset);
				sel.refresh();
			};

			if (selectionHasRangeCount) {
				selProto.addRange = function (range, backwards) {
					if (implementsControlRange && implementsDocSelection && this.docSelection.type == CONTROL) {
						addRangeToControlSelection(this, range);
					} else {
						if (backwards && selectionHasExtend) {
							addRangeBackwards(this, range);
						} else {
							var previousRangeCount;
							if (selectionSupportsMultipleRanges) {
								previousRangeCount = this.rangeCount;
							} else {
								this.removeAllRanges();
								previousRangeCount = 0;
							}
							this.nativeSelection.addRange(getNativeRange(range));

							// Check whether adding the range was successful
							this.rangeCount = this.nativeSelection.rangeCount;

							if (this.rangeCount == previousRangeCount + 1) {
								// The range was added successfully

								// Check whether the range that we added to the selection is reflected in the last range extracted from
								// the selection
								if (api.config.checkSelectionRanges) {
									var nativeRange = getSelectionRangeAt(this.nativeSelection, this.rangeCount - 1);
									if (nativeRange && !DomRange.rangesEqual(nativeRange, range)) {
										// Happens in WebKit with, for example, a selection placed at the start of a text node
										range = new WrappedRange(nativeRange);
									}
								}
								this._ranges[this.rangeCount - 1] = range;
								updateAnchorAndFocusFromRange(this, range, selectionIsBackwards(this.nativeSelection));
								this.isCollapsed = selectionIsCollapsed(this);
							} else {
								// The range was not added successfully. The simplest thing is to refresh
								this.refresh();
							}
						}
					}
				};
			} else {
				selProto.addRange = function (range, backwards) {
					if (backwards && selectionHasExtend) {
						addRangeBackwards(this, range);
					} else {
						this.nativeSelection.addRange(getNativeRange(range));
						this.refresh();
					}
				};
			}

			selProto.setRanges = function (ranges) {
				if (implementsControlRange && ranges.length > 1) {
					createControlSelection(this, ranges);
				} else {
					this.removeAllRanges();
					for (var i = 0, len = ranges.length; i < len; ++i) {
						this.addRange(ranges[i]);
					}
				}
			};
		} else if (util.isHostMethod(testSelection, "empty") && util.isHostMethod(testRange, "select") && implementsControlRange && useDocumentSelection) {

			selProto.removeAllRanges = function () {
				// Added try/catch as fix for issue #21
				try {

					var isNativeIE7 = (Aloha.browser.msie && Aloha.browser.version < 8 && (typeof document.documentMode === 'undefined'));
					if (!isNativeIE7) {
						this.docSelection.empty();
					}

					// Check for empty() not working (issue #24)
					if (this.docSelection.type != "None") {

						if (isNativeIE7) {
							this.docSelection.empty();
						}

						// removed workaround of rangy-core implementation
						// for IE to fix issue with strange selection of
						// hole body in some selection change cases
					}

				} catch (ex) {}
				updateEmptySelection(this);
			};

			selProto.addRange = function (range) {
				if (this.docSelection.type == CONTROL) {
					addRangeToControlSelection(this, range);
				} else {
					try {
						WrappedRange.rangeToTextRange(range).select();
						this._ranges[0] = range;
						this.rangeCount = 1;
						this.isCollapsed = this._ranges[0].collapsed;
						updateAnchorAndFocusFromRange(this, range, false);
					} catch (e) {
						// @todo
						// window.console.log('problem at addRange');
					}
				}
			};

			selProto.setRanges = function (ranges) {
				this.removeAllRanges();
				var rangeCount = ranges.length;
				if (rangeCount > 1) {
					createControlSelection(this, ranges);
				} else if (rangeCount) {
					this.addRange(ranges[0]);
				}
			};
		} else {
			module.fail("No means of selecting a Range or TextRange was found");
			return false;
		}

		selProto.getRangeAt = function (index) {
			if (index < 0 || index >= this.rangeCount) {
				throw new DOMException("INDEX_SIZE_ERR");
			} else {
				return this._ranges[index];
			}
		};

		var refreshSelection;

		if (useDocumentSelection) {
			refreshSelection = function (sel) {
				var range;
				if (api.isSelectionValid(sel.win)) {
					range = sel.docSelection.createRange();
				} else {
					range = dom.getBody(sel.win.document).createTextRange();
					range.collapse(true);
				}


				if (sel.docSelection.type == CONTROL) {
					updateControlSelection(sel);
				} else if (isTextRange(range)) {
					updateFromTextRange(sel, range);
				} else {
					updateEmptySelection(sel);
				}
			};
		} else if (util.isHostMethod(testSelection, "getRangeAt") && typeof testSelection.rangeCount == "number") {
			refreshSelection = function (sel) {
				if (implementsControlRange && implementsDocSelection && sel.docSelection.type == CONTROL) {
					updateControlSelection(sel);
				} else {
					sel._ranges.length = sel.rangeCount = sel.nativeSelection.rangeCount;
					if (sel.rangeCount) {
						for (var i = 0, len = sel.rangeCount; i < len; ++i) {
							sel._ranges[i] = new api.WrappedRange(sel.nativeSelection.getRangeAt(i));
						}
						updateAnchorAndFocusFromRange(sel, sel._ranges[sel.rangeCount - 1], selectionIsBackwards(sel.nativeSelection));
						sel.isCollapsed = selectionIsCollapsed(sel);
					} else {
						updateEmptySelection(sel);
					}
				}
			};
		} else if (selectionHasAnchorAndFocus && typeof testSelection.isCollapsed == BOOLEAN && typeof testRange.collapsed == BOOLEAN && api.features.implementsDomRange) {
			refreshSelection = function (sel) {
				var range, nativeSel = sel.nativeSelection;
				if (nativeSel.anchorNode) {
					range = getSelectionRangeAt(nativeSel, 0);
					sel._ranges = [range];
					sel.rangeCount = 1;
					updateAnchorAndFocusFromNativeSelection(sel);
					sel.isCollapsed = selectionIsCollapsed(sel);
				} else {
					updateEmptySelection(sel);
				}
			};
		} else {
			module.fail("No means of obtaining a Range or TextRange from the user's selection was found");
			return false;
		}

		selProto.refresh = function (checkForChanges) {
			var oldRanges = checkForChanges ? this._ranges.slice(0) : null;
			refreshSelection(this);
			if (checkForChanges) {
				var i = oldRanges.length;
				if (i != this._ranges.length) {
					return false;
				}
				while (i--) {
					if (!DomRange.rangesEqual(oldRanges[i], this._ranges[i])) {
						return false;
					}
				}
				return true;
			}
		};

		// Removal of a single range
		var removeRangeManually = function (sel, range) {
			var ranges = sel.getAllRanges(),
				removed = false;
			sel.removeAllRanges();
			for (var i = 0, len = ranges.length; i < len; ++i) {
				if (removed || range !== ranges[i]) {
					sel.addRange(ranges[i]);
				} else {
					// According to the draft WHATWG Range spec, the same range may be added to the selection multiple
					// times. removeRange should only remove the first instance, so the following ensures only the first
					// instance is removed
					removed = true;
				}
			}
			if (!sel.rangeCount) {
				updateEmptySelection(sel);
			}
		};

		if (implementsControlRange) {
			selProto.removeRange = function (range) {
				if (this.docSelection.type == CONTROL) {
					var controlRange = this.docSelection.createRange();
					var rangeElement = getSingleElementFromRange(range);

					// Create a new ControlRange containing all the elements in the selected ControlRange minus the
					// element contained by the supplied range
					var doc = dom.getDocument(controlRange.item(0));
					var newControlRange = dom.getBody(doc).createControlRange();
					var el, removed = false;
					for (var i = 0, len = controlRange.length; i < len; ++i) {
						el = controlRange.item(i);
						if (el !== rangeElement || removed) {
							newControlRange.add(controlRange.item(i));
						} else {
							removed = true;
						}
					}
					newControlRange.select();

					// Update the wrapped selection based on what's now in the native selection
					updateControlSelection(this);
				} else {
					removeRangeManually(this, range);
				}
			};
		} else {
			selProto.removeRange = function (range) {
				removeRangeManually(this, range);
			};
		}

		// Detecting if a selection is backwards
		var selectionIsBackwards;
		if (!useDocumentSelection && selectionHasAnchorAndFocus && api.features.implementsDomRange) {
			selectionIsBackwards = function (sel) {
				var backwards = false;
				if (sel.anchorNode) {
					backwards = (dom.comparePoints(sel.anchorNode, sel.anchorOffset, sel.focusNode, sel.focusOffset) == 1);
				}
				return backwards;
			};

			selProto.isBackwards = function () {
				return selectionIsBackwards(this);
			};
		} else {
			selectionIsBackwards = selProto.isBackwards = function () {
				return false;
			};
		}

		// Selection text
		// This is conformant to the new WHATWG DOM Range draft spec but differs from WebKit and Mozilla's implementation
		selProto.toString = function () {

			var rangeTexts = [];
			for (var i = 0, len = this.rangeCount; i < len; ++i) {
				rangeTexts[i] = "" + this._ranges[i];
			}
			return rangeTexts.join("");
		};

		function assertNodeInSameDocument(sel, node) {
			if (sel.anchorNode && (dom.getDocument(sel.anchorNode) !== dom.getDocument(node))) {
				throw new DOMException("WRONG_DOCUMENT_ERR");
			}
		}

		// No current browsers conform fully to the HTML 5 draft spec for this method, so Rangy's own method is always used
		selProto.collapse = function (node, offset) {
			assertNodeInSameDocument(this, node);
			var range = api.createRange(dom.getDocument(node));
			range.collapseToPoint(node, offset);
			this.removeAllRanges();
			this.addRange(range);
			this.isCollapsed = true;
		};

		selProto.collapseToStart = function () {
			if (this.rangeCount) {
				var range = this._ranges[0];
				this.collapse(range.startContainer, range.startOffset);
			} else {
				throw new DOMException("INVALID_STATE_ERR");
			}
		};

		selProto.collapseToEnd = function () {
			if (this.rangeCount) {
				var range = this._ranges[this.rangeCount - 1];
				this.collapse(range.endContainer, range.endOffset);
			} else {
				throw new DOMException("INVALID_STATE_ERR");
			}
		};

		// The HTML 5 spec is very specific on how selectAllChildren should be implemented so the native implementation is
		// never used by Rangy.
		selProto.selectAllChildren = function (node) {
			assertNodeInSameDocument(this, node);
			var range = api.createRange(dom.getDocument(node));
			range.selectNodeContents(node);
			this.removeAllRanges();
			this.addRange(range);
		};

		selProto.deleteFromDocument = function () {
			// Sepcial behaviour required for Control selections
			if (implementsControlRange && implementsDocSelection && this.docSelection.type == CONTROL) {
				var controlRange = this.docSelection.createRange();
				var element;
				while (controlRange.length) {
					element = controlRange.item(0);
					controlRange.remove(element);
					element.parentNode.removeChild(element);
				}
				this.refresh();
			} else if (this.rangeCount) {
				var ranges = this.getAllRanges();
				this.removeAllRanges();
				for (var i = 0, len = ranges.length; i < len; ++i) {
					ranges[i].deleteContents();
				}
				// The HTML5 spec says nothing about what the selection should contain after calling deleteContents on each
				// range. Firefox moves the selection to where the final selected range was, so we emulate that
				this.addRange(ranges[len - 1]);
			}
		};

		// The following are non-standard extensions
		selProto.getAllRanges = function () {
			return this._ranges.slice(0);
		};

		selProto.setSingleRange = function (range) {
			this.setRanges([range]);
		};

		selProto.containsNode = function (node, allowPartial) {
			for (var i = 0, len = this._ranges.length; i < len; ++i) {
				if (this._ranges[i].containsNode(node, allowPartial)) {
					return true;
				}
			}
			return false;
		};

		selProto.toHtml = function () {
			var html = "";
			if (this.rangeCount) {
				var container = DomRange.getRangeDocument(this._ranges[0]).createElement("div");
				for (var i = 0, len = this._ranges.length; i < len; ++i) {
					container.appendChild(this._ranges[i].cloneContents());
				}
				html = container.innerHTML;
			}
			return html;
		};

		function inspect(sel) {
			var rangeInspects = [];
			var anchor = new DomPosition(sel.anchorNode, sel.anchorOffset);
			var focus = new DomPosition(sel.focusNode, sel.focusOffset);
			var name = (typeof sel.getName == "function") ? sel.getName() : "Selection";

			if (typeof sel.rangeCount != "undefined") {
				for (var i = 0, len = sel.rangeCount; i < len; ++i) {
					rangeInspects[i] = DomRange.inspect(sel.getRangeAt(i));
				}
			}
			return "[" + name + "(Ranges: " + rangeInspects.join(", ") + ")(anchor: " + anchor.inspect() + ", focus: " + focus.inspect() + "]";

		}

		selProto.getName = function () {
			return "WrappedSelection";
		};

		selProto.inspect = function () {
			return inspect(this);
		};

		selProto.detach = function () {
			this.win[windowPropertyName] = null;
			this.win = this.anchorNode = this.focusNode = null;
		};

		WrappedSelection.inspect = inspect;

		api.Selection = WrappedSelection;

		api.selectionPrototype = selProto;

		api.addCreateMissingNativeApiListener(function (win) {
			if (typeof win.getSelection == "undefined") {
				win.getSelection = function () {
					return api.getSelection(this);
				};
			}
			win = null;
		});
	});

	// TODO we should avoid populating the global namespace
	window.rangy = rangy;
}());

define("vendor/rangy-core", function(){});

/* rangy-core.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('aloha/rangy-core', ['jquery', 'vendor/rangy-core'], function (jQuery) {
	'use strict';
	return window.rangy;
});

/* Simple JavaScript Inheritance
 * By John Resig http://ejohn.org/
 * MIT Licensed.
 */
// Inspired by base2 and Prototype
/*
 * MODIFICATIONS: 
 * * The name of the "constructor" method was changed from "init" to "_constructor"
 * * Mixin Support using https://gist.github.com/1006243
 * * Modified to be a require.js module
 */
define('util/class',[], function () {
	var initializing = false,
		fnTest = /xyz/.test(function () {
			xyz;
		}) ? /\b_super\b/ : /.*/;

	// The base Class implementation (does nothing)
	// with doing that Class is available in the global namespace.
	this.Class = function () {};

	// Create a new Class that inherits from this class
	Class.extend = function () {
		var _super = this.prototype;

		// Instantiate a base class (but only create the instance,
		// don't run the init constructor)
		initializing = true;
		var prototype = new this();
		initializing = false;

		// Copy the properties over onto the new prototype
		for (var i = 0; i < arguments.length; i++) {
			var prop = arguments[i];
			for (var name in prop) {
				// Check if we're overwriting an existing function
				prototype[name] = typeof prop[name] == "function" && typeof _super[name] == "function" && fnTest.test(prop[name]) ? (function (name, fn) {
					return function () {

						var tmp = this._super;

						// Add a new ._super() method that is the same method
						// but on the super-class
						this._super = _super[name];

						// The method only need to be bound temporarily, so we
						// remove it when we're done executing
						var ret = fn.apply(this, arguments);
						this._super = tmp;

						return ret;
					};
				})(name, prop[name]) : prop[name];
			}
		}

		// The dummy class constructor
		function Class() {
			// All construction is actually done in the _constructor method
			if (!initializing && this._constructor) this._constructor.apply(this, arguments);
		}

		// Populate our constructed prototype object
		Class.prototype = prototype;

		// Enforce the constructor to be what we expect
		Class.constructor = Class;

		// And make this class extendable
		Class.extend = arguments.callee;

		return Class;

	};

	return this.Class;

});

/* lang.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
// Ensure GENTICS Namespace
window.GENTICS = window.GENTICS || {};
window.GENTICS.Utils = window.GENTICS.Utils || {};

define('util/lang', [], function () {
	'use strict';
});

// Start Closure
(function (window) {
	"use strict";
	var jQuery = window.alohaQuery || window.jQuery,
		$ = jQuery,
		GENTICS = window.GENTICS,
		Class = window.Class,
		console = window.console;

	/**
	 * Takes over all properties from the 'properties' object to the target object.
	 * If a property in 'target' with the same name as a property in 'properties' is already defined it is overridden.
	 *
	 * Example:
	 *
	 * var o1 = {a : 1, b : 'hello'};
	 * var o2 = {a : 3, c : 'world'};
	 *
	 * GENTICS.Utils.applyProperties(o1, o2);
	 *
	 * Will result in an o1 object like this:
	 *
	 * {a : 3, b: 'hello', c: 'world'}
	 *
	 * @static
	 * @return void
	 */
	GENTICS.Utils.applyProperties = function (target, properties) {
		var name;
		for (name in properties) {
			if (properties.hasOwnProperty(name)) {
				target[name] = properties[name];
			}
		}
	};

	/**
	 * Generate a unique hexadecimal string with 4 charachters
	 * @return {string}
	 */
	GENTICS.Utils.uniqeString4 = function () {
		return (((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1);
	};

	/**
	 * Generate a unique value represented as a 32 character hexadecimal string,
	 * such as 21EC2020-3AEA-1069-A2DD-08002B30309D
	 * @return {string}
	 */
	GENTICS.Utils.guid = function () {
		var S4 = GENTICS.Utils.uniqeString4;
		return (S4() + S4() + '-' + S4() + '-' + S4() + '-' + S4() + '-' + S4() + S4() + S4());
	};

}(window));

/**
 * ecma5schims.js - Shim for ECMA5 compatibility
 * (http://en.wikipedia.org/wiki/Shim_%28computing%29)
 *
 * A shim library that implements common functions that are missing on some
 * environments in order to complete ECMA5 compatibility across all major
 * browsers.
 *
 * TODO: This code needs to be refactored so as to conform to Aloha coding
 *       standards.  It is also severly lacking in documentation.  Please take
 *       note of: https://github.com/alohaeditor/Aloha-Editor/wiki/Commit-Checklist .
 */

define('aloha/ecma5shims',[], function () {
	'use strict';
	var $_;

	var shims = {
		// Function bind
		bind: function (owner) {
			var obj = this.obj || this;
			var native_method = Function.prototype.bind;
			var args = Array.prototype.slice.call(arguments, 1);

			if (native_method) {
				return native_method.apply(obj, arguments);
			}
			return function () {
				return obj.apply(owner, arguments.length === 0 ? args : args.concat(Array.prototype.slice.call(arguments)));
			};
		},

		// String trim
		trim: function () {
			var obj = this.obj || this;
			var native_method = String.prototype.trim;

			if (native_method) {
				return native_method.call(obj);
			}
			return obj.replace(/^\s+/, '').replace(/\s+$/, '');
		},

		// Array methods 
		// i optional
		indexOf: function (find, i) {
			var obj = this.obj || this;
			var native_method = Array.prototype.indexOf;

			if (native_method) {
				return native_method.call(obj, find, i);
			}
			if (i === undefined) {
				i = 0;
			}
			if (i < 0) {
				i += obj.length;
			}
			if (i < 0) {
				i = 0;
			}
			var n;
			for (n = obj.length; i < n; i++) {
				if (undefined !== obj[i] && obj[i] === find) {
					return i;
				}
			}
			return -1;
		},

		// that optional
		forEach: function (action, that) {
			var obj = this.obj || this;
			var native_method = Array.prototype.forEach;

			if (native_method) {
				return native_method.call(obj, action, that);
			}
			var i, n;
			for (i = 0, n = obj.length; i < n; i++) {
				if (undefined !== obj[i]) {
					action.call(that, obj[i], i, obj);
				}
			}
		},

		// that optional
		// chain optional
		map: function (mapper, that, chain) {
			var obj = this.obj || this;
			var native_method = Array.prototype.map;
			var returnWrapper = (typeof arguments[arguments.length - 1] == "boolean") ? Array.prototype.pop.call(arguments) : false;
			var result = [];

			if (native_method) {
				result = native_method.call(obj, mapper, that);
			} else {
				var other = [];
				var i, n;
				for (i = 0, n = obj.length; i < n; i++) {
					if (undefined !== obj[i]) {
						other[i] = mapper.call(that, obj[i], i, obj);
					}
				}
				result = other;
			}

			return returnWrapper ? $_(result) : result;
		},

		// that optional
		// chain optional
		filter: function (filterFunc, that, chain) {
			var obj = this.obj || this;
			var native_method = Array.prototype.filter;
			var returnWrapper = (typeof arguments[arguments.length - 1] == "boolean") ? Array.prototype.pop.call(arguments) : false;
			var result = [];

			if (native_method) {
				result = native_method.call(obj, filterFunc, that);
			} else {
				var other = [],
				    v,
				    i,
				    n;
				for (i = 0, n = obj.length; i < n; i++) {
					if (undefined !== obj[i] && filterFunc.call(that, v = obj[i], i, obj)) {
						other.push(v);
					}
				}
				result = other;
			}

			return returnWrapper ? $_(result) : result;
		},

		// that optional
		every: function (tester, that) {
			var obj = this.obj || this;
			var native_method = Array.prototype.every;

			if (native_method) {
				return native_method.call(obj, tester, that);
			}
			var i, n;
			for (i = 0, n = obj.length; i < n; i++) {
				if (undefined !== obj[i] && !tester.call(that, obj[i], i, obj)) {
					return false;
				}
			}
			return true;
		},

		// that optional
		some: function (tester, that) {
			var obj = this.obj || this;
			var native_method = Array.prototype.some;

			if (native_method) {
				return native_method.call(obj, tester, that);
			}
			var i, n;
			for (i = 0, n = obj.length; i < n; i++) {
				if (undefined !== obj[i] && tester.call(that, obj[i], i, obj)) {
					return true;
				}
			}
			return false;
		},

		// Since IE7 doesn't support 'hasAttribute' method on nodes
		// TODO: raise an exception if the object is not an node
		hasAttribute: function (attr) {
			var obj = this.obj || this;
			var native_method = obj.hasAttribute;

			if (native_method) {
				return obj.hasAttribute(attr);
			}
			return !!obj.getAttribute(attr);
		}

	};

	$_ = function (obj) {
		var Wrapper = function () {};
		Wrapper.prototype = shims;

		var wrapper_instance = new Wrapper();
		wrapper_instance.obj = obj;
		return wrapper_instance;
	};

	var shim;
	for (shim in shims) {
		if (shims.hasOwnProperty(shim)) {
			$_[shim] = shims[shim];
		}
	}


	// Node constants
	// http://www.w3.org/TR/DOM-Level-3-Core/core.html#ID-1841493061
	if (typeof window.Node != 'undefined') {
		$_.Node = window.Node;
	} else {
		$_.Node = {
			'ELEMENT_NODE': 1,
			'ATTRIBUTE_NODE': 2,
			'TEXT_NODE': 3,
			'CDATA_SECTION_NODE': 4,
			'ENTITY_REFERENCE_NODE': 5,
			'ENTITY_NODE': 6,
			'PROCESSING_INSTRUCTION_NODE': 7,
			'COMMENT_NODE': 8,
			'DOCUMENT_NODE': 9,
			'DOCUMENT_TYPE_NODE': 10,
			'DOCUMENT_FRAGMENT_NODE': 11,
			'NOTATION_NODE': 12,
			//The two nodes are disconnected. Order between disconnected nodes is always implementation-specific.
			'DOCUMENT_POSITION_DISCONNECTED': 0x01,
			//The second node precedes the reference node.
			'DOCUMENT_POSITION_PRECEDING': 0x02,
			//The node follows the reference node.
			'DOCUMENT_POSITION_FOLLOWING': 0x04,
			//The node contains the reference node. A node which contains is always preceding, too.
			'DOCUMENT_POSITION_CONTAINS': 0x08,
			//The node is contained by the reference node. A node which is contained is always following, too.
			'DOCUMENT_POSITION_CONTAINED_BY': 0x10,
			//The determination of preceding versus following is implementation-specific.
			'DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC': 0x20
		};
	}

	//node.ownerDocument gives the document object, which isn't the right info for a disconnect
	function getRootParent(node) {
		var parent = null;

		if (node) {
			do {
				parent = node;
			} while (null != (node = node.parentNode));
		}

		return parent;
	}

	//Compare Position - MIT Licensed, John Resig; http://ejohn.org/blog/comparing-document-position/
	//Already checked for equality and disconnect
	function comparePosition(node1, node2) {
		return (node1.contains(node2) && 16) + (node2.contains(node1) && 8) + (node1.sourceIndex >= 0 && node2.sourceIndex >= 0 ? (node1.sourceIndex < node2.sourceIndex && 4) + (node1.sourceIndex > node2.sourceIndex && 2) : 1);
	}

	//get a node with a sourceIndex to use
	function getUseNode(node) {
		//if the node already has a sourceIndex, use that node
		if (null != node.sourceIndex) {
			return node;
		}
		//otherwise, insert a comment (which has a sourceIndex but minimal DOM impact) before the node and use that
		return node.parentNode.insertBefore(document.createComment(""), node);
	}

	// http://www.w3.org/TR/DOM-Level-3-Core/core.html#Node3-compareDocumentPosition
	// FIXME: Check if the DOMNode prototype can be set.
	$_.compareDocumentPosition = function (node1, node2) {

		if (document.documentElement.compareDocumentPosition) {
			return node1.compareDocumentPosition(node2);
		}

		if (!document.documentElement.contains) {
			throw 'neither compareDocumentPosition nor contains is supported by this browser.';
		}

		if (node1 == node2) {
			return 0;
		}

		//if they don't have the same parent, there's a disconnect
		if (getRootParent(node1) != getRootParent(node2)) {
			return 1;
		}

		//use this if both nodes have a sourceIndex (text nodes don't)
		if (null != node1.sourceIndex && null != node2.sourceIndex) {
			return comparePosition(node1, node2);
		}

		//document will definitely contain the other node
		if (node1 == document) {
			return 20;
		}
		if (node2 == document) {
			return 10;
		}

		//get sourceIndexes to use for both nodes
		var useNode1 = getUseNode(node1),
			useNode2 = getUseNode(node2);

		//call this function again to get the result
		var result = comparePosition(useNode1, useNode2);

		//clean up if needed
		if (node1 != useNode1) {
			useNode1.parentNode.removeChild(useNode1);
		}
		if (node2 != useNode2) {
			useNode2.parentNode.removeChild(useNode2);
		}
		return result;
	};

	$_.getComputedStyle = function (node, style) {
		if (window.getComputedStyle) {
			return window.getComputedStyle(node, style);
		}
		if (node.currentStyle) {
			return node.currentStyle;
		}
		return null;
	};

	return $_;
});

/* dom.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/*jslint eqeq: true */
// Ensure GENTICS Namespace
window.GENTICS = window.GENTICS || {};
window.GENTICS.Utils = window.GENTICS.Utils || {};

define('util/dom',['jquery', 'util/class', 'aloha/ecma5shims'], function (jQuery, Class, $_) {
	"use strict";

	var	GENTICS = window.GENTICS,
		//		Class = window.Class,
		// http://www.w3.org/TR/DOM-Level-3-Core/core.html#ID-1841493061
		Node = {
			'ELEMENT_NODE': 1,
			'ATTRIBUTE_NODE': 2,
			'TEXT_NODE': 3,
			'CDATA_SECTION_NODE': 4,
			'ENTITY_REFERENCE_NODE': 5,
			'ENTITY_NODE': 6,
			'PROCESSING_INSTRUCTION_NODE': 7,
			'COMMENT_NODE': 8,
			'DOCUMENT_NODE': 9,
			'DOCUMENT_TYPE_NODE': 10,
			'DOCUMENT_FRAGMENT_NODE': 11,
			'NOTATION_NODE': 12,
			//The two nodes are disconnected. Order between disconnected nodes is always implementation-specific.
			'DOCUMENT_POSITION_DISCONNECTED': 0x01,
			//The second node precedes the reference node.
			'DOCUMENT_POSITION_PRECEDING': 0x02,
			//The node follows the reference node.
			'DOCUMENT_POSITION_FOLLOWING': 0x04,
			//The node contains the reference node. A node which contains is always preceding, too.
			'DOCUMENT_POSITION_CONTAINS': 0x08,
			//The node is contained by the reference node. A node which is contained is always following, too.
			'DOCUMENT_POSITION_CONTAINED_BY': 0x10,
			//The determination of preceding versus following is implementation-specific.
			'DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC': 0x20
		},
		blockElementNames = {
			'P': true,
			'H1': true,
			'H2': true,
			'H3': true,
			'H4': true,
			'H5': true,
			'H6': true,
			'LI': true
		};

	/**
	 * Can't use elem.childNodes.length because
	 * http://www.quirksmode.org/dom/w3c_core.html
	 * "IE up to 8 does not count empty text nodes."
	 *
	 * Taken from Dom2.js
	 */
	function numChildren(elem) {
		var count = 0;
		var child = elem.firstChild;
		while (child) {
			count += 1;
			child = child.nextSibling;
		}
		return count;
	}

	/**
	 * Gets the index of the given node within its parent element.
	 * @param {Element} node
	 * @return {number}
	 *         Index in the parent node or -1 if no node given or node has no
	 *         parent.
	 */
	function getIndexInParent(node) {
		if (!node || !node.parentNode) {
			return -1;
		}

		var i,
		    childNodes = node.parentNode.childNodes,
			len = childNodes.length;
		for (i = 0; i < len; i++) {
			if (childNodes[i] === node) {
				return i;
			}
		}

		return -1;
	}

	/**
	 * Taken from Dom2.js
	 */
	function nodeLength(node) {
		if (1 === node.nodeType) {
			return numChildren(node);
		}
		if (3 === node.nodeType) {
			return node.length;
		}
		return 0;
	}

	/**
	 * Checks if the element given is an aloha-editing-p helper, added by split.
	 *
	 * @param {HTMLElement} node
	 * @return {Boolean} True if the given element is an
	 *                   aloha-editing-paragraph.
	 */
	function isAlohaEditingP(node) {
		return (
			node.className === 'aloha-editing-p'
				&& nodeLength(node) === 1
					&& node.children[0].nodeName === 'BR'
						&& node.children[0].className === 'aloha-end-br'
		);
	}

	/**
	 * Starting from the given node, will walk forward (right-ward) through the
	 * node until an element is found that matches the predicate `match` or we
	 * reach the last element in the tree inside the editing host.
	 *
	 * @param {HTMLElement} node An element that must be inside an editable.
	 * @param {function(HTMLElement):Boolean} match A prediate function to
	 *                                              determine wether or not the
	 *                                              node matches one we are
	 *                                              looking for.
	 * @return {HTMLElement} The matched node that is forward in the DOM tree
	 *                       from `node`; null if nothing can be found that
	 *                       matches `match`.
	 */
	function findNodeForward(node, match) {
		if (!node) {
			return null;
		}
		if (match(node)) {
			return node;
		}
		var next = node.firstChild
		        || node.nextSibling
		        || (
		            node.parentNode
		            && !GENTICS.Utils.Dom.isEditingHost(node.parentNode)
		            && node.parentNode.nextSibling
		        );
		return next ? findNodeForward(next, match) : null;
	}

	function isVisiblyEmpty(node) {
		if (!node) {
			return true;
		}
		// TODO: use isChildlessElement()
		if ('BR' === node.nodeName) {
			return false;
		}
		if (node.nodeType === Node.TEXT_NODE) {
			// TODO: would prefer to use
			// (Html.isWhitespaces(node) || Html.isZeroWidthCharacters(node))
			// but cannot because of circular dependency
			if (node.data.search(/\S/) === -1) {
				return true;
			}
			// Fix for IE with zero-width characters
			if (1 === node.data.length && node.data.charCodeAt(0) >= 0x2000) {
				return true;
			}
			return false;
		}
		var numChildren = nodeLength(node);
		if (0 === numChildren) {
			return true;
		}
		var children = node.childNodes;
		var i;
		for (i = 0; i < numChildren; i++) {
			if (!isVisiblyEmpty(children[i])) {
				return false;
			}
		}
		return true;
	}

	/**
	 * Checks for the opposite condition of isVisiblyEmpty().
	 *
	 * @param {HTMLElement} node
	 * @return {Boolean} True if the given node is visible not empty.
	 */
	function isNotVisiblyEmpty(node) {
		return !isVisiblyEmpty(node);
	}

	/**
	 * Checks whether the given element is a "phantom" element-- ie: an element
	 * that is either invisible or an aloha-editing-paragraph element.
	 *
	 * @param {HTMLElement} node
	 * @return {Boolean} True if the element is a "phantom" element.
	 */
	function isPhantomNode(node) {
		return isVisiblyEmpty(node) || isAlohaEditingP(node);
	}

	/**
	 * Inserts the DOM node `element` appropriately during a split operation.
	 *
	 * The element `head` is used to reference where the element should be
	 * inserted.  Depending on the structure of this `head` node, the `element`
	 * will either replace/overwrite `head` or be appending immediately after
	 * `head`.
	 *
	 * @param {HTMLElement} head The "head" element of the "head and tail"
	 *                           nodes resulting from splitting a DOM element.
	 * @param {HTMLElement} element The element to be inserted between the head
	 *                              and tail split parts.
	 */
	function insertAfterSplit(head, element) {
		if (head.nodeType !== Node.TEXT_NODE && isPhantomNode(head)) {
			jQuery(head).replaceWith(element);
		} else {
			jQuery(head).after(element);
		}
	}

	/**
	 * @namespace GENTICS.Utils
	 * @class Dom provides methods to get information about the DOM and to manipulate it
	 * @singleton
	 */
	var Dom = Class.extend({
		getIndexInParent: getIndexInParent,
		/**
		 * Regex to find word characters.
		 */
		wordRegex: /[\u0041-\u005A\u0061-\u007A\u00AA\u00B5\u00BA\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u0525\u0531-\u0556\u0559\u0561-\u0587\u05D0-\u05EA\u05F0-\u05F2\u0621-\u064A\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07CA-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0904-\u0939\u093D\u0950\u0958-\u0961\u0971\u0972\u0979-\u097F\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09F0\u09F1\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B71\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C33\u0C35-\u0C39\u0C3D\u0C58\u0C59\u0C60\u0C61\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D28\u0D2A-\u0D39\u0D3D\u0D60\u0D61\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0EDC\u0EDD\u0F00\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8B\u1000-\u102A\u103F\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u10A0-\u10C5\u10D0-\u10FA\u10FC\u1100-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1380-\u138F\u13A0-\u13F4\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u1820-\u1877\u1880-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191C\u1950-\u196D\u1970-\u1974\u1980-\u19AB\u19C1-\u19C7\u1A00-\u1A16\u1A20-\u1A54\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B83-\u1BA0\u1BAE\u1BAF\u1C00-\u1C23\u1C4D-\u1C4F\u1C5A-\u1C7D\u1CE9-\u1CEC\u1CEE-\u1CF1\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2071\u207F\u2090-\u2094\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2183\u2184\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2D00-\u2D25\u2D30-\u2D65\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005\u3006\u3031-\u3035\u303B\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31B7\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FCB\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA61F\uA62A\uA62B\uA640-\uA65F\uA662-\uA66E\uA67F-\uA697\uA6A0-\uA6E5\uA717-\uA71F\uA722-\uA788\uA78B\uA78C\uA7FB-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA840-\uA873\uA882-\uA8B3\uA8F2-\uA8F7\uA8FB\uA90A-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA60-\uAA76\uAA7A\uAA80-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uABC0-\uABE2\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA2D\uFA30-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]/,

		/**
		 * Regex to find non-word characters.
		 */
		nonWordRegex: /[^\u0041-\u005A\u0061-\u007A\u00AA\u00B5\u00BA\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u0525\u0531-\u0556\u0559\u0561-\u0587\u05D0-\u05EA\u05F0-\u05F2\u0621-\u064A\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07CA-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0904-\u0939\u093D\u0950\u0958-\u0961\u0971\u0972\u0979-\u097F\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09F0\u09F1\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B71\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C33\u0C35-\u0C39\u0C3D\u0C58\u0C59\u0C60\u0C61\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D28\u0D2A-\u0D39\u0D3D\u0D60\u0D61\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0EDC\u0EDD\u0F00\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8B\u1000-\u102A\u103F\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u10A0-\u10C5\u10D0-\u10FA\u10FC\u1100-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1380-\u138F\u13A0-\u13F4\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u1820-\u1877\u1880-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191C\u1950-\u196D\u1970-\u1974\u1980-\u19AB\u19C1-\u19C7\u1A00-\u1A16\u1A20-\u1A54\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B83-\u1BA0\u1BAE\u1BAF\u1C00-\u1C23\u1C4D-\u1C4F\u1C5A-\u1C7D\u1CE9-\u1CEC\u1CEE-\u1CF1\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2071\u207F\u2090-\u2094\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2183\u2184\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2D00-\u2D25\u2D30-\u2D65\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005\u3006\u3031-\u3035\u303B\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31B7\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FCB\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA61F\uA62A\uA62B\uA640-\uA65F\uA662-\uA66E\uA67F-\uA697\uA6A0-\uA6E5\uA717-\uA71F\uA722-\uA788\uA78B\uA78C\uA7FB-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA840-\uA873\uA882-\uA8B3\uA8F2-\uA8F7\uA8FB\uA90A-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA60-\uAA76\uAA7A\uAA80-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uABC0-\uABE2\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA2D\uFA30-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]/,

		/**
		 * Tags which can safely be merged
		 * @hide
		 */
		mergeableTags: ['b', 'code', 'del', 'em', 'i', 'ins', 'strong', 'sub', 'sup', '#text'],

		/**
		 * Tags which do not mark word boundaries
		 * @hide
		 */
		nonWordBoundaryTags: ['a', 'b', 'code', 'del', 'em', 'i', 'ins', 'span', 'strong', 'sub', 'sup', '#text'],

		/**
		 * Tags which are considered 'nonempty', even if they have no children (or not data)
		 * TODO: finish this list
		 * @hide
		 */
		nonEmptyTags: ['br'],

		/**
		 * Tags which make up Flow Content or Phrasing Content, according to the HTML 5 specification,
		 * @see http://dev.w3.org/html5/spec/Overview.html#flow-content
		 * @see http://dev.w3.org/html5/spec/Overview.html#phrasing-content
		 * @hide
		 */
		tags: {
			'flow': ['a', 'abbr', 'acronym', 'address', 'area', 'article', 'aside', 'audio', 'b', 'bdi', 'bdo', 'blockquote', 'br', 'button', 'canvas', 'cite', 'code', 'command', 'datalist', 'del', 'details', 'dfn', 'div', 'dl', 'em', 'embed', 'fieldset', 'figure', 'footer', 'form', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'header', 'hgroup', 'hr', 'i', 'iframe', 'img', 'input', 'ins', 'kbd', 'keygen', 'label', 'map', 'mark', 'math', 'menu', 'meter', 'nav', 'noscript', 'object', 'ol', 'output', 'p', 'pre', 'progress', 'q', 'ruby', 's', 'samp', 'script', 'section', 'select', 'small', 'span', 'strong', 'style', 'sub', 'sup', 'svg', 'table', 'textarea', 'time', 'u', 'ul', 'var', 'video', 'wbr', '#text'],
			'phrasing': ['a', 'abbr', 'acronym', 'area', 'audio', 'b', 'bdi', 'bdo', 'br', 'button', 'canvas', 'cite', 'code', 'command', 'datalist', 'del', 'dfn', 'em', 'embed', 'i', 'iframe', 'img', 'input', 'ins', 'kbd', 'keygen', 'label', 'map', 'mark', 'math', 'meter', 'noscript', 'object', 'output', 'progress', 'q', 'ruby', 'samp', 'script', 'select', 'small', 'span', 'strong', 'sub', 'sup', 'svg', 'textarea', 'time', 'u', 'var', 'video', 'wbr', '#text']
		},

		/**
		 * Possible children of tags, according to the HTML 5
		 * specification.
		 * See http://dev.w3.org/html5/spec/Overview.html#elements-1
		 * Moved to http://www.whatwg.org/specs/web-apps/current-work/#elements-1
		 * @hide
		 */
		children: {
			'a': 'phrasing', // transparent
			'abbr': 'phrasing',
			'acronym': 'phrasing',
			'address': 'flow',
			'area': 'empty',
			'article': 'flow',
			'aside': 'flow',
			'audio': 'source', // transparent
			'b': 'phrasing',
			'base': 'empty',
			'bdo': 'phrasing',
			'blockquote': 'phrasing',
			'body': 'flow',
			'br': 'empty',
			'button': 'phrasing',
			'canvas': 'phrasing', // transparent
			'caption': 'flow',
			'cite': 'phrasing',
			'code': 'phrasing',
			'col': 'empty',
			'colgroup': 'col',
			'command': 'empty',
			'datalist': ['phrasing', 'option'],
			'dd': 'flow',
			'del': 'phrasing',
			'div': 'flow',
			'details': ['summary', 'flow'],
			'dfn': 'flow',
			'dl': ['dt', 'dd'],
			'dt': 'phrasing', // varies
			'em': 'phrasing',
			'embed': 'empty',
			'fieldset': ['legend', 'flow'],
			'figcaption': 'flow',
			'figure': ['figcaption', 'flow'],
			'footer': 'flow',
			'form': 'flow',
			'h1': 'phrasing',
			'h2': 'phrasing',
			'h3': 'phrasing',
			'h4': 'phrasing',
			'h5': 'phrasing',
			'h6': 'phrasing',
			//head
			'header': 'flow',
			'hgroup': ['h1', 'h2', 'h3', 'h4', 'h5', 'h6'],
			'hr': 'empty',
			//html :)
			'i': 'phrasing',
			'iframe': '#text',
			'img': 'empty',
			'input': 'empty',
			'ins': 'phrasing', // transparent
			'kbd': 'phrasing',
			'keygen': 'empty',
			'label': 'phrasing',
			'legend': 'phrasing',
			'li': 'flow',
			'link': 'empty',
			'map': 'area', // transparent
			'mark': 'phrasing',
			'menu': ['li', 'flow'],
			'meta': 'empty',
			'meter': 'phrasing',
			'nav': 'flow',
			'noscript': 'phrasing', // varies
			'object': 'param', // transparent
			'ol': 'li',
			'optgroup': 'option',
			'option': '#text',
			'output': 'phrasing',
			'p': 'phrasing',
			'param': 'empty',
			'pre': 'phrasing',
			'progress': 'phrasing',
			'q': 'phrasing',
			'rp': 'phrasing',
			'rt': 'phrasing',
			'ruby': ['phrasing', 'rt', 'rp'],
			's': 'phrasing',
			'samp': 'pharsing',
			'script': '#script', //script
			'section': 'flow',
			'select': ['option', 'optgroup'],
			'small': 'phrasing',
			'source': 'empty',
			'span': 'phrasing',
			'strong': 'phrasing',
			'style': 'phrasing', // varies
			'sub': 'phrasing',
			'summary': 'phrasing',
			'sup': 'phrasing',
			'table': ['caption', 'colgroup', 'thead', 'tbody', 'tfoot', 'tr'],
			'tbody': 'tr',
			'td': 'flow',
			'textarea': '#text',
			'tfoot': 'tr',
			'th': 'phrasing',
			'thead': 'tr',
			'time': 'phrasing',
			'title': '#text',
			'tr': ['th', 'td'],
			'track': 'empty',
			'u': 'phrasing',
			'ul': 'li',
			'var': 'phrasing',
			'video': 'source', // transparent
			'wbr': 'empty'
		},

		/**
		 * List of nodenames of blocklevel elements
		 * TODO: finish this list
		 * @hide
		 */
		blockLevelElements: ['p', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'blockquote', 'div', 'pre'],

		/**
		 * List of nodenames of list elements
		 * @hide
		 */
		listElements: ['li', 'ol', 'ul'],

		/**
		 * List of nodenames of table elements
		 * @hide
		 */
		tableElements: ['caption', 'colgroup', 'table', 'thead', 'tbody', 'tfoot', 'tr', 'td'],

		/**
		 * Splits a DOM element at the given position up until the limiting object(s), so that it is valid HTML again afterwards.
		 * @param {RangeObject} range Range object that indicates the position of the splitting.
		 *				This range will be updated, so that it represents the same range as before the split.
		 * @param {jQuery} limit Limiting node(s) for the split.
		 *				The limiting node will not be included in the split itself.
		 *				If no limiting object is set, the document body will be the limiting object.
		 * @param {boolean} atEnd If set to true, the DOM will be splitted at the end of the range otherwise at the start.
		 * @return {object} jQuery object containing the two root DOM objects of the split, true if the DOM did not need to be split or false if the DOM could not be split
		 * @method
		 */
		split: function (range, limit, atEnd) {
			var splitElement = jQuery(range.startContainer),
				splitPosition = range.startOffset,
				updateRange,
			    path,
			    parents,
				newDom,
			    insertElement,
			    secondPart,
				i,
			    pathLength,
			    element,
			    jqelement,
			    children,
			    newElement,
				next,
			    prev,
			    offset;

			if (atEnd) {
				splitElement = jQuery(range.endContainer);
				splitPosition = range.endOffset;
			}

			if (limit.length < 1) {
				limit = jQuery(document.body);
			}

			// we may have to update the range if it is not collapsed and we are splitting at the start
			updateRange = (!range.isCollapsed() && !atEnd);

			// find the path up to the highest object that will be splitted
			parents = splitElement.parents().get();
			parents.unshift(splitElement.get(0));

			jQuery.each(parents, function (index, element) {
				var isLimit = limit.filter(
					function () {
						return this == element;
					}
				).length;
				if (isLimit) {
					if (index > 0) {
						path = parents.slice(0, index);
					}
					return false;
				}
			});

			// nothing found to split -> return here
			if (!path) {
				return true;
			}

			path = path.reverse();

			// iterate over the path, create new dom nodes for every element and move
			// the contents right of the split to the new element
			for (i = 0, pathLength = path.length; i < pathLength; ++i) {
				element = path[i];
				if (i === pathLength - 1) {
					// last element in the path -> we have to split it

					// split the last part into two parts
					if (element.nodeType === 3) {
						// text node
						secondPart = document.createTextNode(element.data.substring(splitPosition, element.data.length));
						element.data = element.data.substring(0, splitPosition);
						// this is done to make sure that empty block elements are visible.
						if (this.isBlockLevelElement(element.parentElement) && this.isEmpty(secondPart) && jQuery('br', newDom).length === 0) {
							secondPart = jQuery('<br/>').addClass('aloha-end-br');
						}
					} else {
						// other nodes
						jqelement = jQuery(element);
						children = jqelement.contents();
						newElement = jqelement.clone(false).empty();
						secondPart = newElement.append(children.slice(splitPosition, children.length)).get(0);
						jQuery(secondPart).addClass('aloha-editing-p');
						if (secondPart.childNodes.length === 1 && secondPart.childNodes.item(0).nodeName.toLowerCase() === 'br') {
							jQuery(secondPart.childNodes.item(0)).addClass('aloha-end-br');
						}
					}

					// update the range if necessary
					if (updateRange && range.endContainer === element) {
						range.endContainer = secondPart;
						range.endOffset -= splitPosition;
						range.clearCaches();
					}

					// add the second part
					if (insertElement) {
						insertElement.prepend(secondPart);
					} else {
						jQuery(element).after(secondPart);
					}
				} else {
					// create the new element of the same type and prepend it to the previously created element
					newElement = jQuery(element).clone(false).empty();

					if (!newDom) {
						newDom = newElement;
					} else {
						insertElement.prepend(newElement);
					}
					insertElement = newElement;

					// move all contents right of the split to the new element
					while (true) {
						next = path[i + 1].nextSibling;
						if (!next) {
							break;
						}
						insertElement.append(next);
					}

					// update the range if necessary
					if (updateRange && range.endContainer === element) {
						range.endContainer = newElement.get(0);
						prev = path[i + 1];
						offset = 0;
						while (true) {
							prev = prev.previousSibling;
							if (!prev) {
								break;
							}
							offset++;
						}
						range.endOffset -= offset;
						range.clearCaches();
					}
				}
			}

			// append the new dom
			jQuery(path[0]).after(newDom);

			return jQuery([path[0], newDom ? newDom.get(0) : secondPart]);
		},

		/**
		 * Check whether the HTML 5 specification allows direct nesting of the given DOM
		 * objects.
		 * @param {object} outerDOMObject
		 *            outer (nesting) DOM Object
		 * @param {object} innerDOMObject
		 *            inner (nested) DOM Object
		 * @return {boolean} true when the nesting is allowed, false if not
		 * @method
		 */
		allowsNesting: function (outerDOMObject, innerDOMObject) {
			if (!outerDOMObject || !outerDOMObject.nodeName || !innerDOMObject || !innerDOMObject.nodeName) {
				return false;
			}

			var outerNodeName = outerDOMObject.nodeName.toLowerCase(),
				innerNodeName = innerDOMObject.nodeName.toLowerCase();

			if (!this.children[outerNodeName]) {
				return false;
			}

			// check whether the nesting is configured by node names (like for table)
			if (this.children[outerNodeName] == innerNodeName) {
				return true;
			}
			if (jQuery.isArray(this.children[outerNodeName]) && jQuery.inArray(innerNodeName, this.children[outerNodeName]) >= 0) {
				return true;
			}

			if (jQuery.isArray(this.tags[this.children[outerNodeName]])
				    && jQuery.inArray(innerNodeName, this.tags[this.children[outerNodeName]]) >= 0) {
				return true;
			}

			return false;
		},

		/**
		 * Apply the given markup additively to the given range. The given rangeObject will be modified if necessary
		 * @param {GENTICS.Utils.RangeObject} rangeObject range to which the markup shall be added
		 * @param {jQuery} markup markup to be applied as jQuery object
		 * @param {boolean} allownesting true when nesting of the added markup is allowed, false if not (default: false)
		 * @method
		 */
		addMarkup: function (rangeObject, markup, nesting) {
			// split partially contained text nodes at the start and end of the range
			if (rangeObject.startContainer.nodeType === 3
				    && rangeObject.startOffset > 0
				    && rangeObject.startOffset < rangeObject.startContainer.data.length) {
				this.split(rangeObject, jQuery(rangeObject.startContainer).parent(), false);
			}
			if (rangeObject.endContainer.nodeType === 3 && rangeObject.endOffset > 0 && rangeObject.endOffset < rangeObject.endContainer.data.length) {
				this.split(rangeObject, jQuery(rangeObject.endContainer).parent(), true);
			}

			// get the range tree
			var rangeTree = rangeObject.getRangeTree();
			this.recursiveAddMarkup(rangeTree, markup, rangeObject, nesting);

			// cleanup DOM
			this.doCleanup({
				'merge': true,
				'removeempty': true
			}, rangeObject);
		},

		/**
		 * Recursive helper method to add the given markup to the range
		 * @param rangeTree rangetree at the current level
		 * @param markup markup to be applied
		 * @param rangeObject range object, which eventually is updated
		 * @param nesting true when nesting of the added markup is allowed, false if not
		 * @hide
		 */
		recursiveAddMarkup: function (rangeTree, markup, rangeObject, nesting) {
			var i, innerRange, rangeLength;

			// iterate through all rangetree objects of that level
			for (i = 0, rangeLength = rangeTree.length; i < rangeLength; ++i) {
				// check whether the rangetree object is fully contained and the markup may be wrapped around the object
				if (rangeTree[i].type == 'full' && this.allowsNesting(markup.get(0), rangeTree[i].domobj)) {
					// we wrap the object, when
					// nesting of markup is allowed or the node is not of the markup to be added
					if ((nesting || rangeTree[i].domobj.nodeName != markup.get(0).nodeName)) {
						// wrap the object
						jQuery(rangeTree[i].domobj).wrap(markup);

						// TODO eventually update the range (if it changed)

						// when nesting is not allowed, we remove the markup from the inner element
						if (!nesting && rangeTree[i].domobj.nodeType !== 3) {
							innerRange = new GENTICS.Utils.RangeObject();
							innerRange.startContainer = innerRange.endContainer = rangeTree[i].domobj.parentNode;
							innerRange.startOffset = 0;
							innerRange.endOffset = innerRange.endContainer.childNodes.length;
							this.removeMarkup(innerRange, markup, jQuery(rangeTree[i].domobj.parentNode));
						}
					}
				} else {
					// TODO check whether the object may be replaced by the given markup
					//if (false) {
					// TODO replace
					//} else {
					// recurse into the children (if any), but not if nesting is not
					// allowed and the object is of the markup to be added
					if ((nesting || (rangeTree[i].domobj && rangeTree[i].domobj.nodeName !== markup.get(0).nodeName)) && rangeTree[i].children && rangeTree[i].children.length > 0) {
						this.recursiveAddMarkup(rangeTree[i].children, markup);
					}
				}
			}
		},

		/**
		 * Find the highest occurrence of a node with given nodename within the parents
		 * of the start. When limit objects are given, the search stops there.
		 * The limiting object is of the found type, it won't be considered
		 * @param {DOMObject} start start object
		 * @param {String} nodeName name of the node to search for (case-insensitive)
		 * @param {jQuery} limit Limiting node(s) as jQuery object (if none given, the search will stop when there are no more parents)
		 * @return {DOMObject} the found DOM object or undefined
		 * @method
		 */
		findHighestElement: function (start, nodeName, limit) {
			nodeName = nodeName.toLowerCase();

			// this will be the highest found markup object (up to a limit object)
			var highestObject,
			// blah
			    testObject = start,
				// helper function to stop when we reach a limit object
				isLimit = limit ? function () {
					return limit.filter(
						function () {
							return testObject == this;
						}
					).length;
				} : function () {
					return false;
				};

			// now get the highest parent that has the given markup (until we reached
			// one of the limit objects or there are no more parent nodes)
			while (!isLimit() && testObject) {
				if (testObject.nodeName.toLowerCase() === nodeName) {
					highestObject = testObject;
				}
				testObject = testObject.parentNode;
			}

			return highestObject;
		},

		/**
		 * Remove the given markup from the given range. The given rangeObject will be modified if necessary
		 * TODO: add parameter deep/shallow
		 * @param {GENTICS.Utils.RangeObject} rangeObject range from which the markup shall be removed
		 * @param {jQuery} markup markup to be removed as jQuery object
		 * @param {jQuery} limit Limiting node(s) as jQuery object
		 * @param {boolean} removeNonEditables Whether to remove nodes which are
		 *		not content editable (default: true)
		 * @method
		 */
		removeMarkup: function (rangeObject, markup, limit, removeNonEditables) {
			if (typeof removeNonEditables == 'undefined') {
				removeNonEditables = true;
			}

			var nodeName = markup.get(0).nodeName,
				startSplitLimit = this.findHighestElement(rangeObject.startContainer, nodeName, limit),
				endSplitLimit = this.findHighestElement(rangeObject.endContainer, nodeName, limit),
				didSplit = false,
				highestObject,
			    root,
			    rangeTree;

			if (startSplitLimit && rangeObject.startOffset > 0) {
				// when the start is in the start of its container, we don't split
				this.split(rangeObject, jQuery(startSplitLimit).parent(), false);
				didSplit = true;
			}

			if (endSplitLimit) {
				// when the end is in the end of its container, we don't split
				if (rangeObject.endContainer.nodeType === 3 && rangeObject.endOffset < rangeObject.endContainer.data.length) {
					this.split(rangeObject, jQuery(endSplitLimit).parent(), true);
					didSplit = true;
				}
				if (rangeObject.endContainer.nodeType === 1 && rangeObject.endOffset < rangeObject.endContainer.childNodes.length) {
					this.split(rangeObject, jQuery(endSplitLimit).parent(), true);
					didSplit = true;
				}
			}

			// when we split the DOM, we maybe need to correct the range
			if (didSplit) {
				rangeObject.correctRange();
			}

			// find the highest occurrence of the markup
			highestObject = this.findHighestElement(rangeObject.getCommonAncestorContainer(), nodeName, limit);
			root = highestObject ? highestObject.parentNode : rangeObject.getCommonAncestorContainer();

			if (root) {
				// construct the range tree
				rangeTree = rangeObject.getRangeTree(root);

				// remove the markup from the range tree
				this.recursiveRemoveMarkup(rangeTree, markup, removeNonEditables);

				// cleanup DOM
				this.doCleanup({
					'merge': true,
					'removeempty': true
				}, rangeObject, root);
			}
		},

		/**
		 * TODO: pass the range itself and eventually update it if necessary
		 * Recursive helper method to remove the given markup from the range
		 * @param rangeTree rangetree at the current level
		 * @param markup markup to be applied
		 * @param removeNonEditables whether to remove nodes which are not
		 *		content editable.
		 * @hide
		 */
		recursiveRemoveMarkup: function (rangeTree, markup, removeNonEditables) {
			var i, rangeLength, content;
			var nodeName = markup[0].nodeName;

			// iterate over the rangetree objects of this level
			for (i = 0, rangeLength = rangeTree.length; i < rangeLength; ++i) {
				var curTree = rangeTree[i];
				var obj = curTree.domobj;

				// check whether the object is the markup to be removed and is fully into the range
				if (curTree.type == 'full'
						&& obj.nodeName == nodeName
						&& (removeNonEditables || this.isEditable(obj))) {
					var $obj = jQuery(obj);

					// found the markup, so remove it
					content = $obj.contents();
					if (content.length > 0) {
						// when the object has children, we unwrap them
						content.first().unwrap();
					} else {
						// obj has no children, so just remove it
						$obj.remove();
					}
				}

				// if the object has children, we do the recurTreesion now
				if (curTree.children) {
					this.recursiveRemoveMarkup(curTree.children, markup, removeNonEditables);
				}
			}
		},

		/**
		 * Cleanup the DOM, starting with the given startobject (or the common ancestor container of the given range)
		 * ATTENTION: If range is a selection you need to update the selection after doCleanup
		 * Cleanup modes (given as properties in 'cleanup'):
		 * <pre>
		 * - merge: merges multiple successive nodes of same type, if this is allowed, starting at the children of the given node (defaults to false)
		 * - removeempty: removes empty element nodes (defaults to false)
		 * - mergeable: Custom function to predicate whether or not a given
		 *              element should be mergeable. Overrides `mergeableTags'.
		 * </pre>
		 * Example for calling this method:<br/>
		 * <code>GENTICS.Utils.Dom.doCleanup({merge:true,removeempty:false}, range)</code>
		 * @param {object} cleanup type of cleanup to be done
		 * @param {GENTICS.Utils.RangeObject} rangeObject range which is eventually updated
		 * @param {DOMObject} start start object, if not given, the commonancestorcontainer is used as startobject insted
		 * @return {boolean} true when the range (startContainer/startOffset/endContainer/endOffset) was modified, false if not
		 * @method
		 */
		doCleanup: function (cleanup, rangeObject, start) {
			var that = this,
				prevNode,
			    modifiedRange,
			    startObject,
			    startOffset,
			    endOffset;

			if (typeof cleanup === 'undefined') {
				cleanup = {};
			}
			if (typeof cleanup.merge === 'undefined') {
				cleanup.merge = false;
			}
			if (typeof cleanup.removeempty === 'undefined') {
				cleanup.removeempty = false;
			}

			if (typeof start === 'undefined' && rangeObject) {
				start = rangeObject.getCommonAncestorContainer();
			}
			// remember the previous node here (successive nodes of same type will be merged into this)
			prevNode = false;
			// check whether the range needed to be modified during merging
			modifiedRange = false;
			// get the start object
			startObject = jQuery(start);
			startOffset = rangeObject.startOffset;
			endOffset = rangeObject.endOffset;

			// iterate through all sub nodes
			startObject.contents().each(function () {
				var nodeType;

				// Try to read the nodeType property and return if we do not have permission
				// ie.: frame document to an external URL
				try {
					nodeType = this.nodeType;
				} catch (e) {
					return;
				}

				// stop on iframes
				if (this.nodeName === 'IFRAME') {
					return;
				}

				// decide further actions by node type
				switch (nodeType) {
				// found a non-text node
				case 1:
					var thisNodeName = this.nodeName;
					if (prevNode && prevNode.nodeName === thisNodeName) {
						// found a successive node of same type

						// now we check whether the selection starts or ends in the mother node after the current node
						if (rangeObject.startContainer === startObject && startOffset > getIndexInParent(this)) {
							// there will be one less object, so reduce the startOffset by one
							rangeObject.startOffset -= 1;
							// set the flag for range modification
							modifiedRange = true;
						}
						if (rangeObject.endContainer === startObject && endOffset > getIndexInParent(this)) {
							// there will be one less object, so reduce the endOffset by one
							rangeObject.endOffset -= 1;
							// set the flag for range modification
							modifiedRange = true;
						}

						// merge the contents of this node into the previous one
						jQuery(prevNode).append(jQuery(this).contents());

						// after merging, we eventually need to cleanup the prevNode again
						modifiedRange |= that.doCleanup(cleanup, rangeObject, prevNode);

						// remove this node
						jQuery(this).remove();

					} else {
						// do the recursion step here
						modifiedRange |= that.doCleanup(cleanup, rangeObject, this);

						// eventually remove empty elements
						var removed = false;
						if (cleanup.removeempty) {
							if (GENTICS.Utils.Dom.isBlockLevelElement(this) && this.childNodes.length === 0) {
								//							jQuery(this).remove();
								removed = true;
							}
							if (jQuery.inArray(thisNodeName.toLowerCase(), that.mergeableTags) >= 0 && jQuery(this).text().length === 0 && this.childNodes.length === 0) {
								//							jQuery(this).remove();
								removed = true;
							}
						}

						// when the current node was not removed, we eventually store it as previous (mergeable) tag
						if (!removed) {
							if (cleanup.mergeable ? cleanup.mergeable(this) : jQuery.inArray(thisNodeName.toLowerCase(), that.mergeableTags) >= 0) {
								prevNode = this;
							} else {
								prevNode = false;
							}
						} else {
							// now we check whether the selection starts or ends in the mother node of this
							if (rangeObject.startContainer === this.parentNode && startOffset > getIndexInParent(this)) {
								// there will be one less object, so reduce the startOffset by one
								rangeObject.startOffset = rangeObject.startOffset - 1;
								// set the flag for range modification
								modifiedRange = true;
							}
							if (rangeObject.endContainer === this.parentNode && endOffset > getIndexInParent(this)) {
								// there will be one less object, so reduce the endOffset by one
								rangeObject.endOffset = rangeObject.endOffset - 1;
								// set the flag for range modification
								modifiedRange = true;
							}

							// remove this text node
							jQuery(this).remove();

						}
					}

					break;
				// found a text node
				case 3:
					// found a text node
					if (prevNode && prevNode.nodeType === 3 && cleanup.merge) {
						// the current text node will be merged into the last one, so
						// check whether the selection starts or ends in the current
						// text node
						var prevNodeValue = prevNode.nodeValue,
							prevNodeValueLength = prevNodeValue.length;

						if (rangeObject.startContainer === this) {
							// selection starts in the current text node

							// update the start container to the last node
							rangeObject.startContainer = prevNode;

							// update the start offset
							rangeObject.startOffset += prevNodeValueLength;

							// set the flag for range modification
							modifiedRange = true;

						} else if (rangeObject.startContainer === prevNode.parentNode && rangeObject.startOffset === getIndexInParent(prevNode) + 1) {
							// selection starts right between the previous and current text nodes (which will be merged)

							// update the start container to the previous node
							rangeObject.startContainer = prevNode;

							// set the start offset
							rangeObject.startOffset = prevNodeValueLength;

							// set the flag for range modification
							modifiedRange = true;
						}

						if (rangeObject.endContainer === this) {
							// selection ends in the current text node

							// update the end container to be the last node
							rangeObject.endContainer = prevNode;

							// update the end offset
							rangeObject.endOffset += prevNodeValueLength;

							// set the flag for range modification
							modifiedRange = true;

						} else if (rangeObject.endContainer === prevNode.parentNode && rangeObject.endOffset === getIndexInParent(prevNode) + 1) {
							// selection ends right between the previous and current text nodes (which will be merged)

							// update the end container to the previous node
							rangeObject.endContainer = prevNode;

							// set the end offset
							rangeObject.endOffset = prevNodeValueLength;

							// set the flag for range modification
							modifiedRange = true;
						}

						// now append the contents of the current text node into the previous
						prevNode.data += this.data;

						// remove empty text nodes
					} else if (!(this.nodeValue === '' && cleanup.removeempty)) {
						prevNode = this;
						// we are finish here don't delete this node
						break;
					}

					// now we check whether the selection starts or ends in the mother node of this
					if (rangeObject.startContainer === this.parentNode && rangeObject.startOffset > getIndexInParent(this)) {
						// there will be one less object, so reduce the startOffset by one
						rangeObject.startOffset = rangeObject.startOffset - 1;
						// set the flag for range modification
						modifiedRange = true;
					}
					if (rangeObject.endContainer === this.parentNode && rangeObject.endOffset > getIndexInParent(this)) {
						// there will be one less object, so reduce the endOffset by one
						rangeObject.endOffset = rangeObject.endOffset - 1;
						// set the flag for range modification
						modifiedRange = true;
					}

					// remove this text node
					jQuery(this).remove();

					// if this is the last text node in a sequence, we remove any zero-width spaces in the text node,
					// unless it is the only character
					var prevNodeNextSibling = prevNode.nextSibling;
					if (prevNode && prevNode.nodeType === 3 && (!prevNodeNextSibling || prevNodeNextSibling.nodeType !== 3)) {
						var pos;
						var prevNodeData = prevNode.data;
						var prevNodeDataLength = prevNodeData.length;
						for (pos = prevNodeDataLength - 1; pos >= 0 && prevNodeDataLength > 1; pos--) {
							if (prevNodeData.charAt(pos) === '\u200b') {
								prevNode.deleteData(pos, 1);
								if (rangeObject.startContainer === prevNode && rangeObject.startOffset > pos) {
									rangeObject.startOffset--;
									modifiedRange = true;
								}
								if (rangeObject.endContainer === prevNode && rangeObject.endOffset > pos) {
									rangeObject.endOffset--;
									modifiedRange = true;
								}
							}
						}
					}

					break;
				}
			});

			// eventually remove the startnode itself
			//		if (cleanup.removeempty
			//				&& GENTICS.Utils.Dom.isBlockLevelElement(start)
			//				&& (!start.childNodes || start.childNodes.length === 0)) {
			//			if (rangeObject.startContainer == start) {
			//				rangeObject.startContainer = start.parentNode;
			//				rangeObject.startOffset = GENTICS.Utils.Dom.getIndexInParent(start);
			//			}
			//			if (rangeObject.endContainer == start) {
			//				rangeObject.endContainer = start.parentNode;
			//				rangeObject.endOffset = GENTICS.Utils.Dom.getIndexInParent(start);
			//			}
			//			startObject.remove();
			//			modifiedRange = true;
			//		}

			if (modifiedRange) {
				rangeObject.clearCaches();
			}

			return modifiedRange;
		},

		/**
		 * Check whether the given node is a blocklevel element
		 * @param {DOMObject} node node to check
		 * @return {boolean} true if yes, false if not (or null)
		 * @method
		 */
		isBlockLevelElement: function (node) {
			if (!node) {
				return false;
			}
			if (node.nodeType === 1 && jQuery.inArray(node.nodeName.toLowerCase(), this.blockLevelElements) >= 0) {
				return true;
			}
			return false;
		},

		/**
		 * Check whether the given node is a table element
		 * @param {DOMObject} node node to check
		 * @return {boolean} true if yes, false if not (or null)
		 * @method
		 */
		isTableElement: function (node) {
			if (!node) {
				return false;
			}
			if (node.nodeType === 1 && jQuery.inArray(node.nodeName.toLowerCase(), this.tableElements) >= 0) {
				return true;
			}
			return false;
		},

		/**
		 * Check whether the given node is a linebreak element
		 * @param {DOMObject} node node to check
		 * @return {boolean} true for linebreak elements, false for everything else
		 * @method
		 */
		isLineBreakElement: function (node) {
			if (!node) {
				return false;
			}
			return node.nodeType === 1 && node.nodeName.toLowerCase() == 'br';
		},

		/**
		 * Check whether the given node is a hr element
		 * @param {DOMObject} node node to check
		 * @return {boolean} true for hr elements, false for everything else
		 * @method
		 */
		isHorizontalRulerElement: function (node) {
			if (!node) {
				return false;
			}
			return node.nodeType === 1 && node.nodeName.toLowerCase() == 'hr';
		},

		/**
		 * Check whether the given node is a list element
		 * @param {DOMObject} node node to check
		 * @return {boolean} true for list elements (li, ul, ol), false for everything else
		 * @method
		 */
		isListElement: function (node) {
			if (!node) {
				return false;
			}
			return node.nodeType === 1 && jQuery.inArray(node.nodeName.toLowerCase(), this.listElements) >= 0;
		},

		/**
		 * This method checks, whether the passed dom object is a dom object, that would
		 * be split in cases of pressing enter. This currently is true for paragraphs
		 * and headings
		 * @param {DOMObject} el
		 *            dom object to check
		 * @return {boolean} true for split objects, false for other
		 * @method
		 */
		isSplitObject: function (el) {
			return el.nodeType === 1 && blockElementNames.hasOwnProperty(el.nodeName);
		},

		/**
		 * Starting with the given position (between nodes), search in the given direction to an adjacent notempty text node
		 * @param {DOMObject} parent parent node containing the position
		 * @param {Integer} index index of the position within the parent node
		 * @param {boolean} searchleft true when search direction is 'left' (default), false for 'right'
		 * @param {object} stopat define at which types of element we shall stop, may contain the following properties
		 * <pre>
		 * - blocklevel (default: true)
		 * - list (default: true)
		 * - linebreak (default: true)
		 * - table (default: true)
		 * </pre>
		 * @param {object} options additional options to guide the search. May contain the following properties
		 * <pre>
		 * - acceptUntrimmed (default: false): accept a text node even if it only contains whitespace
		 * </pre>
		 * @return {DOMObject} the found text node or false if none found
		 * @method
		 */
		searchAdjacentTextNode: function (parent, index, searchleft, stopat, options) {
			if (!parent || parent.nodeType !== 1 || index < 0 || index > parent.childNodes.length) {
				return false;
			}

			if (typeof stopat === 'undefined') {
				stopat = {
					'blocklevel': true,
					'list': true,
					'linebreak': true,
					'table': true
				};
			}

			if (typeof stopat.blocklevel === 'undefined') {
				stopat.blocklevel = true;
			}
			if (typeof stopat.list === 'undefined') {
				stopat.list = true;
			}
			if (typeof stopat.linebreak === 'undefined') {
				stopat.linebreak = true;
			}
			if (typeof stopat.table === 'undefined') {
				stopat.table = true;
			}

			if (typeof searchleft === 'undefined') {
				searchleft = true;
			}

			options = jQuery.extend({ acceptUntrimmed: false }, options);

			var nextNode,
			    currentParent = parent;

			// start at the node left/right of the given position
			if (searchleft && index > 0) {
				nextNode = parent.childNodes[index - 1];
			}
			if (!searchleft && index < parent.childNodes.length) {
				nextNode = parent.childNodes[index];
			}

			//currentParent is not a number therefore it is sufficient to directly test for it with while(currentParent)
			//otherwise there would be an error if the object is null
			while (currentParent) {
				//while (typeof currentParent !== 'undefined') {
				if (!nextNode) {
					// no next node found, check whether the parent is a blocklevel element
					if (stopat.blocklevel && this.isBlockLevelElement(currentParent)) {
						// do not leave block level elements
						return false;
					}
					if (stopat.table && this.isTableElement(currentParent)) {
						// do not leave table level elements
						return false;
					}
					if (stopat.list && this.isListElement(currentParent)) {
						// do not leave list elements
						return false;
					}
					// continue with the parent
					nextNode = searchleft ? currentParent.previousSibling : currentParent.nextSibling;
					currentParent = currentParent.parentNode;
					continue;
				} else if (nextNode.nodeType === 3
						&& (options.acceptUntrimmed ? nextNode.data : jQuery.trim(nextNode.data)).length > 0) {
					// we are lucky and found a notempty text node
					return nextNode;
				}
				if (stopat.blocklevel && this.isBlockLevelElement(nextNode)) {
					// we found a blocklevel element, stop here
					return false;
				}
				if (stopat.table && this.isTableElement(nextNode)) {
					// we found a table element, stop here
					return false;
				}
				if (stopat.linebreak && (this.isLineBreakElement(nextNode) || this.isHorizontalRulerElement(nextNode))) {
					// we found a linebreak, stop here
					return false;
				}
				if (stopat.list && this.isListElement(nextNode)) {
					// we found a linebreak, stop here
					return false;
				}
				if (nextNode.nodeType === 3) {
					// we found an empty text node, so step to the next
					nextNode = searchleft ? nextNode.previousSibling : nextNode.nextSibling;
				} else {
					// we found a non-blocklevel element, step into
					currentParent = nextNode;
					nextNode = searchleft ? nextNode.lastChild : nextNode.firstChild;
				}
			}
		},

		/**
		 * Insert the given DOM Object into the start/end of the given range. The method
		 * will find the appropriate place in the DOM tree for inserting the given
		 * object, and will eventually split elements in between. The given range will
		 * be updated if necessary. The updated range will NOT embrace the inserted
		 * object, which means that the object is actually inserted before or after the
		 * given range (depending on the atEnd parameter)
		 *
		 * @param {jQuery}
		 *				object object to insert into the DOM
		 * @param {GENTICS.Utils.RangeObject}
		 *				range range where to insert the object (at start or end)
		 * @param {jQuery}
		 *				limit limiting object(s) of the DOM modification
		 * @param {boolean}
		 *				atEnd true when the object shall be inserted at the end, false for
		 *				insertion at the start (default)
		 * @param {boolean}
		 *				true when the insertion shall be done, even if inserting the element
		 *				would not be allowed, false to deny inserting unallowed elements (default)
		 * @return true if the object could be inserted, false if not.
		 * @method
		 */
		insertIntoDOM: function (object, range, limit, atEnd, force) {
			// first find the appropriate place to insert the given object
			var parentElements = range.getContainerParents(limit, atEnd),
				that = this,
				newParent,
				container,
			    offset,
			    splitParts,
			    contents;

			if (!limit) {
				limit = jQuery(document.body);
			}

			// if no parent elements exist (up to the limit), the new parent will be the
			// limiter itself
			if (parentElements.length === 0) {
				newParent = limit.get(0);
			} else {
				jQuery.each(parentElements, function (index, parent) {
					if (that.allowsNesting(parent, object.get(0))) {
						newParent = parent;
						return false;
					}
				});
			}

			if (typeof newParent === 'undefined' && limit.length > 0) {
				// found no possible new parent, so split up to the limit object
				newParent = limit.get(0);
			}

			// check whether it is allowed to insert the element at all
			if (!this.allowsNesting(newParent, object.get(0)) && !force) {
				return false;
			}

			if (typeof newParent !== 'undefined') {
				// we found a possible new parent, so we split the DOM up to the new parent
				splitParts = this.split(range, jQuery(newParent), atEnd);
				if (splitParts === true) {
					// DOM was not split (there was no need to split it), insert the new object anyway
					container = range.startContainer;
					offset = range.startOffset;
					if (atEnd) {
						container = range.endContainer;
						offset = range.endOffset;
					}
					// Sometimes the offset can be greater than the length of the
					// container contents due to a bug. In that case adjust the offset.
					if (offset > jQuery(container).contents().length) {
						offset = jQuery(container).contents().length;
					}
					if (offset === 0) {
						// insert right before the first element in the container
						contents = jQuery(container).contents();
						if (contents.length > 0) {
							contents.eq(0).before(object);
						} else {
							jQuery(container).append(object);
						}
						return true;
					}
					// insert right after the element at offset-1
					jQuery(container).contents().eq(offset - 1).after(object);
					return true;
				}
				if (splitParts) {
					// ASSERT(splitParts.length === 2)
					var head = splitParts[0];
					var tail = splitParts[1];
					insertAfterSplit(head, object);
					if (isPhantomNode(tail)) {
						var afterTail = tail.nextSibling
						             || (tail.parentNode && tail.parentNode.nextSibling);
						if (findNodeForward(afterTail, isNotVisiblyEmpty)) {
							// Because the tail element that is generated from
							// the splitting is superfluous since there is
							// already a visible element in which to place the
							// selection.
							jQuery(tail).remove();
						}
					}
					return true;
				}
				// could not split, so could not insert
				return false;
			}
			// found no possible new parent, so we shall not insert
			return false;
		},

		/**
		 * Remove the given DOM object from the DOM and modify the given range to reflect the user expected range after the object was removed
		 * TODO: finish this
		 * @param {DOMObject} object DOM object to remove
		 * @param {GENTICS.Utils.RangeObject} range range which eventually be modified
		 * @param {boolean} preserveContent true if the contents of the removed DOM object shall be preserved, false if not (default: false)
		 * @return true if the DOM object could be removed, false if not
		 * @hide
		 */
		removeFromDOM: function (object, range, preserveContent) {
			if (preserveContent) {
				// check whether the range will need modification
				var indexInParent = getIndexInParent(object),
					numChildren = jQuery(object).contents().length,
					parent = object.parentNode;

				if (range.startContainer == parent && range.startOffset > indexInParent) {
					range.startOffset += numChildren - 1;
				} else if (range.startContainer == object) {
					range.startContainer = parent;
					range.startOffset = indexInParent + range.startOffset;
				}

				if (range.endContainer == parent && range.endOffset > indexInParent) {
					range.endOffset += numChildren - 1;
				} else if (range.endContainer == object) {
					range.endContainer = parent;
					range.endOffset = indexInParent + range.endOffset;
				}

				// we simply unwrap the children of the object
				jQuery(object).contents().unwrap();

				// optionally do cleanup
				this.doCleanup({
					'merge': true
				}, range, parent);
			}
		},

		/**
		 * Remove the content defined by the given range from the DOM. Update the given
		 * range object to be a collapsed selection at the place of the previous
		 * selection.
		 * @param rangeObject range object
		 * @return true if the range could be removed, false if not
		 */
		removeRange: function (rangeObject) {
			if (!rangeObject) {
				// no range given
				return false;
			}
			if (rangeObject.isCollapsed()) {
				// the range is collapsed, nothing to delete
				return false;
			}

			// split partially contained text nodes at the start and end of the range
			if (rangeObject.startContainer.nodeType == 3
				    && rangeObject.startOffset > 0
				    && rangeObject.startOffset < rangeObject.startContainer.data.length) {
				this.split(rangeObject, jQuery(rangeObject.startContainer).parent(), false);
			}
			if (rangeObject.endContainer.nodeType == 3 && rangeObject.endOffset > 0 && rangeObject.endOffset < rangeObject.endContainer.data.length) {
				this.split(rangeObject, jQuery(rangeObject.endContainer).parent(), true);
			}

			// construct the range tree
			var rangeTree = rangeObject.getRangeTree();

			// collapse the range
			rangeObject.endContainer = rangeObject.startContainer;
			rangeObject.endOffset = rangeObject.startOffset;

			// remove the markup from the range tree
			this.recursiveRemoveRange(rangeTree, rangeObject);

			// do some cleanup
			this.doCleanup({
				'merge': true
			}, rangeObject);
			//		this.doCleanup({'merge' : true, 'removeempty' : true}, rangeObject);

			// clear the caches of the range object
			rangeObject.clearCaches();
		},

		recursiveRemoveRange: function (rangeTree, rangeObject) {
			// iterate over the rangetree objects of this level
			var i;
			for (i = 0; i < rangeTree.length; ++i) {
				// check for nodes fully in the range
				if (rangeTree[i].type == 'full') {
					// if the domobj is the startcontainer, or the startcontainer is inside the domobj, we need to update the rangeObject
					if (jQuery(rangeObject.startContainer).parents().addBack().filter(rangeTree[i].domobj).length > 0) {
						rangeObject.startContainer = rangeObject.endContainer = rangeTree[i].domobj.parentNode;
						rangeObject.startOffset = rangeObject.endOffset = getIndexInParent(rangeTree[i].domobj);
					}

					// remove the object from the DOM
					jQuery(rangeTree[i].domobj).remove();
				} else if (rangeTree[i].type == 'partial' && rangeTree[i].children) {
					// node partially selected and has children, so do recursion
					this.recursiveRemoveRange(rangeTree[i].children, rangeObject);
				}
			}
		},

		/**
		 * Extend the given range to have start and end at the nearest word boundaries to the left (start) and right (end)
		 * @param {GENTICS.Utils.RangeObject} range range to be extended
		 * @param {boolean} fromBoundaries true if extending will also be done, if one or both ends of the range already are at a word boundary, false if not, default: false
		 * @method
		 */
		extendToWord: function (range, fromBoundaries) {
			// search the word boundaries to the left and right
			var leftBoundary = this.searchWordBoundary(range.startContainer, range.startOffset, true),
				rightBoundary = this.searchWordBoundary(range.endContainer, range.endOffset, false);

			// check whether we must not extend the range from word boundaries
			if (!fromBoundaries) {
				// we only extend the range if both ends would be different
				if (range.startContainer == leftBoundary.container && range.startOffset == leftBoundary.offset) {
					return;
				}
				if (range.endContainer == rightBoundary.container && range.endOffset == rightBoundary.offset) {
					return;
				}
			}

			// set the new boundaries
			range.startContainer = leftBoundary.container;
			range.startOffset = leftBoundary.offset;
			range.endContainer = rightBoundary.container;
			range.endOffset = rightBoundary.offset;

			// correct the range
			range.correctRange();

			// clear caches
			range.clearCaches();
		},

		/**
		 * Helper method to check whether the given DOM object is a word boundary.
		 * @param {DOMObject} object DOM object in question
		 * @return {boolean} true when the DOM object is a word boundary, false if not
		 * @hide
		 */
		isWordBoundaryElement: function (object) {
			if (!object || !object.nodeName) {
				return false;
			}
			return jQuery.inArray(object.nodeName.toLowerCase(), this.nonWordBoundaryTags) == -1;
		},

		/**
		 * Search for the next word boundary, starting at the given position
		 * @param {DOMObject} container container of the start position
		 * @param {Integer} offset offset of the start position
		 * @param {boolean} searchleft true for searching to the left, false for searching to the right (default: true)
		 * @return {object} object with properties 'container' and 'offset' marking the found word boundary
		 * @method
		 */
		searchWordBoundary: function (container, offset, searchleft) {
			if (typeof searchleft === 'undefined') {
				searchleft = true;
			}
			var boundaryFound = false,
				wordBoundaryPos,
			    tempWordBoundaryPos,
			    textNode;
			while (!boundaryFound) {
				// check the node type
				var containerIndex = getIndexInParent(container);
				if (container.nodeType === 3) {
					// we are currently in a text node

					// find the nearest word boundary character
					if (!searchleft) {
						// search right
						wordBoundaryPos = container.data.substring(offset).search(this.nonWordRegex);
						if (wordBoundaryPos != -1) {
							// found a word boundary
							offset = offset + wordBoundaryPos;
							boundaryFound = true;
						} else {
							// found no word boundary, so we set the position after the container
							offset = containerIndex + 1;
							container = container.parentNode;
						}
					} else {
						// search left
						wordBoundaryPos = container.data.substring(0, offset).search(this.nonWordRegex);
						tempWordBoundaryPos = wordBoundaryPos;
						while (tempWordBoundaryPos != -1) {
							wordBoundaryPos = tempWordBoundaryPos;
							tempWordBoundaryPos = container.data.substring(wordBoundaryPos + 1, offset).search(this.nonWordRegex);
							if (tempWordBoundaryPos != -1) {
								tempWordBoundaryPos = tempWordBoundaryPos + wordBoundaryPos + 1;
							}
						}

						if (wordBoundaryPos != -1) {
							// found a word boundary
							offset = wordBoundaryPos + 1;
							boundaryFound = true;
						} else {
							// found no word boundary, so we set the position before the container
							offset = containerIndex;
							container = container.parentNode;
						}
					}
				} else if (container.nodeType === 1) {
					// we are currently in an element node (between nodes)

					if (!searchleft) {
						// check whether there is an element to the right
						if (offset < container.childNodes.length) {
							// there is an element to the right, check whether it is a word boundary element
							if (this.isWordBoundaryElement(container.childNodes[offset])) {
								// we are done
								boundaryFound = true;
							} else {
								// element to the right is no word boundary, so enter it
								container = container.childNodes[offset];
								offset = 0;
							}
						} else {
							// no element to the right, check whether the element itself is a boundary element
							if (this.isWordBoundaryElement(container)) {
								// we are done
								boundaryFound = true;
							} else {
								// element itself is no boundary element, so go to parent
								offset = containerIndex + 1;
								container = container.parentNode;
							}
						}
					} else {
						// check whether there is an element to the left
						if (offset > 0) {
							// there is an element to the left, check whether it is a word boundary element
							if (this.isWordBoundaryElement(container.childNodes[offset - 1])) {
								// we are done
								boundaryFound = true;
							} else {
								// element to the left is no word boundary, so enter it
								container = container.childNodes[offset - 1];
								offset = container.nodeType === 3 ? container.data.length : container.childNodes.length;
							}
						} else {
							// no element to the left, check whether the element itself is a boundary element
							if (this.isWordBoundaryElement(container)) {
								// we are done
								boundaryFound = true;
							} else {
								// element itself is no boundary element, so go to parent
								offset = containerIndex;
								container = container.parentNode;
							}
						}
					}
				}
			}

			if (container.nodeType !== 3) {
				textNode = this.searchAdjacentTextNode(container, offset, !searchleft);
				if (textNode) {
					container = textNode;
					offset = searchleft ? 0 : container.data.length;
				}
			}

			return {
				'container': container,
				'offset': offset
			};
		},

		/**
		 * Check whether the given dom object is empty
		 * @param {DOMObject} domObject object to check
		 * @return {boolean} true when the object is empty, false if not
		 * @method
		 */
		isEmpty: function (domObject) {
			// a non dom object is considered empty
			if (!domObject) {
				return true;
			}

			// some tags are considered to be non-empty
			if (jQuery.inArray(domObject.nodeName.toLowerCase(), this.nonEmptyTags) != -1) {
				return false;
			}

			// text nodes are not empty, if they contain non-whitespace characters
			if (domObject.nodeType === 3) {
				if (domObject.data.search(/\S/) == -1) {
					return true;
				} else if (domObject.data.length === 1 // Fix FOR IE no width chars
						&& domObject.data.charCodeAt(0) >= 0x2000) {
					return true;
				}

				return false;
			}

			// all other nodes are not empty if they contain at least one child which is not empty
			var i, childNodes;
			for (i = 0, childNodes = domObject.childNodes.length; i < childNodes; ++i) {
				if (!this.isEmpty(domObject.childNodes[i])) {
					return false;
				}
			}

			// found no contents, so the element is empty
			return true;
		},

		/**
		 * Set the cursor (collapsed selection) right after the given DOM object
		 * @param domObject DOM object
		 * @method
		 */
		setCursorAfter: function (domObject) {
			var newRange = new GENTICS.Utils.RangeObject(),
				index = getIndexInParent(domObject),
				targetNode,
				offset;

			// selection cannot be set between to TEXT_NODEs
			// if domOject is a Text node set selection at last position in that node
			if (domObject.nodeType == 3) {
				targetNode = domObject;
				offset = targetNode.nodeValue.length;

				// if domOject is a Text node set selection at last position in that node
			} else if (domObject.nextSibling && domObject.nextSibling.nodeType == 3) {
				targetNode = domObject.nextSibling;
				offset = 0;
			} else {
				targetNode = domObject.parentNode;
				offset = getIndexInParent(domObject) + 1;
			}

			newRange.startContainer = newRange.endContainer = targetNode;
			newRange.startOffset = newRange.endOffset = offset;

			// select the range
			newRange.select();

			return newRange;
		},

		/**
		 * Select a DOM node
		 * will create a new range which spans the provided dom node and selects it afterwards
		 * @param domObject DOM object
		 * @method
		 */
		selectDomNode: function (domObject) {
			var newRange = new GENTICS.Utils.RangeObject();
			newRange.startContainer = newRange.endContainer = domObject.parentNode;
			newRange.startOffset = getIndexInParent(domObject);
			newRange.endOffset = newRange.startOffset + 1;
			newRange.select();
		},

		/**
		 * Set the cursor (collapsed selection) at the start into the given DOM object
		 * @param domObject DOM object
		 * @method
		 */
		setCursorInto: function (domObject) {
			// set a new range into the given dom object
			var newRange = new GENTICS.Utils.RangeObject();
			newRange.startContainer = newRange.endContainer = domObject;
			newRange.startOffset = newRange.endOffset = 0;

			// select the range
			newRange.select();
		},


		/**
		 * "An editing host is a node that is either an Element with a contenteditable
		 * attribute set to the true state, or the Element child of a Document whose
		 * designMode is enabled."
		 * @param domObject DOM object
		 * @method
		 */
		isEditingHost: function (node) {
			return node
				&& node.nodeType == 1 //ELEMENT_NODE
				&& (node.contentEditable == "true" || (node.parentNode && node.parentNode.nodeType == 9 //DOCUEMENT_NODE
													   && node.parentNode.designMode == "on"));
		},

		/**
		 * "Something is editable if it is a node which is not an editing host, does
		 * not have a contenteditable attribute set to the false state, and whose
		 * parent is an editing host or editable."
		 * @param domObject DOM object
		 * @method
		 */
		isEditable: function (node) {
			// This is slightly a lie, because we're excluding non-HTML elements with
			// contentEditable attributes.
			return node
				&& !this.isEditingHost(node)
				&& (node.nodeType != 1 || node.contentEditable != "false") // ELEMENT_NODE
				&& (this.isEditingHost(node.parentNode) || this.isEditable(node.parentNode));
		},

		/**
		 * "The editing host of node is null if node is neither editable nor an editing
		 * host; node itself, if node is an editing host; or the nearest ancestor of
		 * node that is an editing host, if node is editable."
		 * @param domObject DOM object
		 * @method
		 */
		getEditingHostOf: function (node) {
			if (this.isEditingHost(node)) {
				return node;
			}
			if (this.isEditable(node)) {
				var ancestor = node.parentNode;
				while (!this.isEditingHost(ancestor)) {
					ancestor = ancestor.parentNode;
				}
				return ancestor;
			}
			return null;
		},

		/**
		 *
		 * "Two nodes are in the same editing host if the editing host of the first is
		 * non-null and the same as the editing host of the second."
		 * @param node1 DOM object
		 * @param node2 DOM object
		 * @method
		 */
		inSameEditingHost: function (node1, node2) {
			return this.getEditingHostOf(node1) && this.getEditingHostOf(node1) == this.getEditingHostOf(node2);
		},

		// "A block node is either an Element whose "display" property does not have
		// resolved value "inline" or "inline-block" or "inline-table" or "none", or a
		// Document, or a DocumentFragment."
		isBlockNode: function (node) {
			return node && ((node.nodeType == $_.Node.ELEMENT_NODE && $_(["inline", "inline-block", "inline-table", "none"]).indexOf($_.getComputedStyle(node).display) == -1) || node.nodeType == $_.Node.DOCUMENT_NODE || node.nodeType == $_.Node.DOCUMENT_FRAGMENT_NODE);
		},

		/**
		 * Get the first visible child of the given node.
		 * @param node node
		 * @param includeNode when set to true, the node itself may be returned, otherwise only children are allowed
		 * @param stopElements optional list of node names (upper case) of elements where to stop searching
		 * @return first visible child or null if none found
		 */
		getFirstVisibleChild: function (node, includeNode, stopElements) {
			// no node -> no child
			if (!node) {
				return null;
			}

			// check whether the node itself is visible
			if ((node.nodeType == $_.Node.TEXT_NODE && this.isEmpty(node)) || (node.nodeType == $_.Node.ELEMENT_NODE && this.getOffsetHeight(node) === 0 && jQuery.inArray(node.nodeName.toLowerCase(), this.nonEmptyTags) === -1)) {
				return null;
			}

			// if the node is a text node, or does not have children, or is not editable, it is the first visible child
			if (node.nodeType == $_.Node.TEXT_NODE || (node.nodeType == $_.Node.ELEMENT_NODE && node.childNodes.length == 0) || !jQuery(node).contentEditable()) {
				return includeNode ? node : null;
			}

			// when we find one of the stop elements, we return it
			if (jQuery.isArray(stopElements) && jQuery.inArray(node.nodeName, stopElements) >= 0) {
				return includeNode ? node : null;
			}

			// otherwise traverse through the children
			var i;
			for (i = 0; i < node.childNodes.length; ++i) {
				var visibleChild = this.getFirstVisibleChild(node.childNodes[i], true, stopElements);
				if (visibleChild != null) {
					return visibleChild;
				}
			}

			return null;
		},

		/**
		 * Get the last visible child of the given node.
		 * @param node node
		 * @param includeNode when set to true, the node itself may be returned, otherwise only children are allowed
		 * @param stopElements optional list of node names (upper case) of elements where to stop searching
		 * @return last visible child or null if none found
		 */
		getLastVisibleChild: function (node, includeNode, stopElements) {
			// no node -> no child
			if (!node) {
				return null;
			}

			// check whether the node itself is visible
			if ((node.nodeType == $_.Node.TEXT_NODE && this.isEmpty(node)) || (node.nodeType == $_.Node.ELEMENT_NODE && this.getOffsetHeight(node) === 0 && jQuery.inArray(node.nodeName.toLowerCase(), this.nonEmptyTags) === -1)) {
				return null;
			}

			// if the node is a text node, or does not have children, or is not editable, it is the first visible child
			if (node.nodeType == $_.Node.TEXT_NODE || (node.nodeType == $_.Node.ELEMENT_NODE && node.childNodes.length == 0) || !jQuery(node).contentEditable()) {
				return includeNode ? node : null;
			}

			// when we find one of the stop elements, we return it
			if (jQuery.isArray(stopElements) && jQuery.inArray(node.nodeName, stopElements) >= 0) {
				return includeNode ? node : null;
			}

			// otherwise traverse through the children
			var i;
			for (i = node.childNodes.length - 1; i >= 0; --i) {
				var visibleChild = this.getLastVisibleChild(node.childNodes[i], true, stopElements);
				if (visibleChild != null) {
					return visibleChild;
				}
			}

			return null;
		},

		/**
		 * Workaround to get the offsetHeight from a DOM node. IE7 (and all IEs in IE7 mode) have a very weird bug that
		 * returns 0 when reading the offsetHeight from a DOM node for the first time. When reading again (without any
		 * modification in between), the correct value would be returned.
		 * Therefore, this method will get the offsetHeight and if it is 0, read it again.
		 * @param {DOMObject} node
		 * @return {number} offsetHeight
		 */
		getOffsetHeight: function (node) {
			if (!node) {
				return 0;
			}
			var offsetHeight = node.offsetHeight;
			if (offsetHeight === 0) {
				offsetHeight = node.offsetHeight;
			}
			return offsetHeight;
		},

		/**
		 * Check whether the given node is an empty block level element.
		 * A block level element is considered empty, if it does not contain other children than
		 * <ol>
		 * <li>empty text nodes</li>
		 * <li>a final break</li>
		 * </ol>
		 * @param {DOMObject} node to check
		 * @return {boolean} true for empty block level elements
		 */
		isEmptyBlockLevelElement: function (node) {
			if (!this.isBlockLevelElement(node)) {
				return false;
			}

			if (!node.childNodes) {
				return true;
			}

			var len = node.childNodes.length, breakFound = false, i, child;
			for (i = 0; i < len; i++) {
				child = node.childNodes[i];
				if (child.nodeName === 'BR') {
					if (breakFound) {
						// we found another break, so the element is not empty
						return false;
					} else {
						// first break found, no harm done (so far)
						breakFound = true;
					}
				} else if (!this.isEmpty(child)) {
					return false;
				}
			}

			return true;
		}
	});


	/**
	 * Create the singleton object
	 * @hide
	 */
	GENTICS.Utils.Dom = new Dom();

	return GENTICS.Utils.Dom;

});

/*!
 * Aloha Editor
 * Author & Copyright (c) 2012 Gentics Software GmbH
 * aloha-sales@gentics.com
 * Licensed under the terms of http://www.aloha-editor.com/license.html
 *
 * @overview Provides methods to broker publish/subscribe facilities.
 */
define('PubSub', [], function () {
	'use strict';

	/**
	 * A hash of channel names mapped to an array of ids of subscriptions that
	 * are listening on that channel.
	 *
	 * @type {Object<String, Array.<Number>>}
	 */
	var channels = {};

	/**
	 * A hash of subscription tuples (channel, callback), mapped against unique
	 * ids assigned to each subscription.
	 * As subscriptions are removed from this object via `unsub()' this object
	 * will become a sparse array.
	 *
	 * @type {Object<Number, Object>}
	 */
	var subscriptions = {};

	/**
	 * The last used subscription id.  This values is only used and modified in
	 * `sub().'
	 *
	 * @type {number}
	 */
	var sid = 0;

	/**
	 * Returns the channel to which a subscription matching the given sid is
	 * listening on.
	 *
	 * @param {Number} sid Id of subscription.
	 * @return {Array.<Object>} sid Id of subscription.
	 */
	function getSubscriptionChannel(sid) {
		return subscriptions[sid] && channels[subscriptions[sid].channel];
	}

	/**
	 * Publishes a message `message' on the given channel.
	 * All callbacks that have sub()scribed to listen on this channel will be
	 * invoked and receive `message' as their only argument.
	 *
	 * @private
	 * @param {String} channel Name of channel to publish the message on.
	 * @param {*} message Variable to pass to all callbacks listening on the
	 *                    given channel.
	 * @return {Number} The number of subscribed callbacks that were invoked.
	 */
	function pub(channel, message) {
		if (!channels[channel]) {
			return 0;
		}

		if (!message) {
			message = {};
		} else if (typeof message !== 'object') {
			message = {
				data: message
			};
		}

		message.channel = channel;

		// Clone a immutable snapshot of the subscription ids that we can
		// safetly iterate over.
		var sids = channels[channel].slice();

		// NB: It is necessary to read the size of the `sids' array on each
		// iteration, in case the size changes (via unsubscription) between
		// iterations.
		var i;
		for (i = 0; i < sids.length; ++i) {
			subscriptions[sids[i]].callback(message);
		}

		return i;
	}

	var PubSub = {

		/**
		 * Subscribes a callback function to a channel.  Whenever this channel
		 * publishes, this function will be invoked.  The return value is an id
		 * which identifies this subscription (a channel, and callback tuple).
		 * This id can be used to unsubscribe this subscription from the given
		 * channel.
		 *
		 * @param {String} channel Name of channel to listen on.
		 * @param {Function(Object)} callback Function to be invoked when
		 *                                    messages are published on the
		 *                                    given channel.
		 * @return {Number} Positive integer representing the sid of this
		 *                  subscription, that can be used with unsub() if
		 *                  subscription succeeds.  Otherwise the return value
		 *                  is -1;
		 */
		sub: function (channel, callback) {
			if (typeof callback !== 'function') {
				return -1;
			}

			var subscriptionIds = channels[channel];

			if (!subscriptionIds) {
				subscriptionIds = channels[channel] = [];
			}

			subscriptionIds.push(++sid);
			subscriptions[sid] = {
				channel  : channel,
				callback : callback
			};

			return sid;
		},

		/**
		 * Unsubscribes callback using an sid which was returned by sub() when
		 * the callback was subscribed.  Returns true if a subscription for
		 * this sid was found and removed, otherwise returns false.
		 *
		 * @param {Number} sid Id of subscription.
		 * @return {Boolean} True if a a subscription matching this sid was
		 *                   removed.
		 */
		unsub: function (sid) {
			if (-1 === sid || !subscriptions[sid]) {
				return false;
			}

			var subscriptionIds = getSubscriptionChannel(sid);

			// assert(typeof subscriptionIds === 'array')

			delete subscriptions[sid];
			var j = subscriptionIds.length;

			while (j) {
				if (subscriptionIds[--j] === sid) {
					subscriptionIds.splice(j, 1);
					return true;
				}
			}

			return false;
		},

		/**
		 * Publishes a message `message' on all channels that can be derived
		 * from the given channel name.
		 *
		 * @param {String} channel Name of channel to publish the message on.
		 * @param {*} message Variable to pass to all callbacks listening on
		 *                    the given channel.
		 * @return {Number} The number of subscribed callbacks that were
		 *                  invoked.
		 */
		pub: function (channel, message) {
			var segments = channel.split('.');
			var i;
			var len = segments.length;
			var channelName = '';
			var tally = 0;

			for (i = 0; i < len; ++i) {
				channelName += (0 === i ? '' : '.') + segments[i];
				tally += pub(channelName, message);
			}

			return tally;
		}

	};

	return PubSub;
});

/* pluginmanager.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
// Do not add dependencies that require depend on aloha/core
define('aloha/plugincontenthandlermanager',[
    'jquery',
    'aloha/console'
], function (
    $,
    Log
) {
    'use strict';
     /**
	 * The Plugin Content Handler Manager is responsible for registering PluginContentHandler with Aloha.
	 *
	 * @namespace Aloha
	 * @singleton
	 */
    var handlers = {};

    /**
     * Register the content handler for a plugin.
     *
     * @param {Plugin} plugin the plugin
     */
    function registerPluginContentHandler(plugin) {
        if (typeof plugin.getPluginContentHandler !== 'function') {
            return;
        }
        var pluginContentHandler = plugin.getPluginContentHandler();
        if (typeof pluginContentHandler !== 'object') {
            return;
        }
        Object.keys(pluginContentHandler).forEach(function (selector) {
            var i;
            var selectorHandlers = pluginContentHandler[selector];
            handlers[selector] = handlers[selector] || [];
            if (!Array.isArray(selectorHandlers)) {
                selectorHandlers = [selectorHandlers];
            }
            for (i = 0; i < selectorHandlers.length; i++) {
                if (typeof selectorHandlers[i] !== 'function') {
                    Log.warn(plugin, 'Cannot register a handler that is not a function!');
                    return;
                }
                handlers[selector].push(selectorHandlers[i]);
            }
        });
    }

    /**
     * Get all plugin contenthandler for a certain element.
     *
     * @param {jQuery.<HTMLElement>} $elem element
     * @returns {Array.<Function>} an array of plugin contenhandler functions for the current element
     */
    function getHandlerForElement($elem) {
        var result = [];
        Object.keys(handlers).forEach(function (selector) {
            if ($elem.is(selector)) {
                result = result.concat(handlers[selector]);
            }
        });
        return result;
    }

    return Object.freeze({
        registerPluginContentHandler: registerPluginContentHandler,
        /**
         * Get all plugin contenthandlers.
         *
         * @returns {Object.<string, Array.<Function>} all registered plugin contenthandlers
         */
        getPluginContentHandlers: function () {
            return handlers;
        },
        getHandlerForElement: getHandlerForElement
    });
});

/* pluginmanager.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
// Do not add dependencies that require depend on aloha/core
define('aloha/pluginmanager',[
	'jquery',
	'util/class',
	'aloha/plugincontenthandlermanager'
], function (
	$,
	Class,
	PluginContentHandlerManager
) {
	'use strict';

	var Aloha = window.Aloha;

	/**
	 * For each plugin setting, assigns it into its corresponding plugin.
	 *
	 * @param {Array.<Plugin>} plugins
	 * @param {object<string, object>} settings
	 */
	function mapSettingsIntoPlugins(plugins, settings) {
		var plugin;
		for (plugin in settings) {
			if (settings.hasOwnProperty(plugin) && plugins[plugin]) {
				plugins[plugin].settings = settings[plugin] || {};
			}
		}
	}

	/**
	 * Retrieves a set of plugins or the given `names' list, from among those
	 * specified in `plugins'.
	 *
	 * @param {object<string, object>} plugins
	 * @param {Array.<string>} names List of plugins names.
	 * @return {Array.<Plugins>} List of available plugins.
	 */
	function getPlugins(plugins, names) {
		var available = [];
		var plugin;
		var i;
		for (i = 0; i < names.length; i++) {
			plugin = plugins[names[i]];
			if (plugin) {
				available.push(plugin);
			}
		}
		return available;
	}

	/**
	 * Initializes the plugins in the given list.
	 *
	 * @param {Array.<Plugins>} plugins Plugins to initialize.
	 * @param {function} callback Function to invoke once all plugins have been
	 *                            successfully initialized.
	 */
	function initializePlugins(plugins, callback) {
		if (0 === plugins.length) {
			if (callback) {
				callback();
			}
			return;
		}
		var numToEnable = plugins.length;
		var onInit = function () {
			if (0 === --numToEnable && callback) {
				callback();
			}
		};
		var i;
		var ret;
		var plugin;
		for (i = 0; i < plugins.length; i++) {
			plugin = plugins[i];
			plugin.settings = plugin.settings || {};
			if (typeof plugin.settings.enabled === 'undefined') {
				plugin.settings.enabled = true;
			}
			if (plugin.settings.enabled && plugin.checkDependencies()) {
				ret = plugin.init();
				PluginContentHandlerManager.registerPluginContentHandler(plugin);
				if (ret && typeof ret.done === 'function') {
					ret.done(onInit);
				} else {
					onInit();
				}
			} else {
				onInit();
			}
		}
	}

	/**
	 * The Plugin Manager controls the lifecycle of all Aloha Plugins.
	 *
	 * @namespace Aloha
	 * @class PluginManager
	 * @singleton
	 */
	return new (Class.extend({

		plugins: {},

		/**
		 * Initialize all registered plugins.
		 *
		 * @param {function} next Callback to invoke after plugins have
		 *                        succefully initialized.
		 * @param {Array.<string>} enabled A list of plugin names which are to
		 *                                 be enable.
		 */
		init: function (next, enabled) {
			var manager = this;
			var plugins = manager.plugins;

			mapSettingsIntoPlugins(plugins,
					Aloha && Aloha.settings && Aloha.settings.plugins);

			// Because all plugins are enabled by default if specific plugins
			// are not specified.
			var plugin;
			if (plugins && 0 === enabled.length) {
				enabled = [];
				for (plugin in plugins) {
					if (plugins.hasOwnProperty(plugin)) {
						enabled.push(plugin);
					}
				}
			}

			initializePlugins(getPlugins(plugins, enabled), next);
		},

		/**
		 * Register a plugin
		 * @param {Plugin} plugin plugin to register
		 */
		register: function (plugin) {

			if (!plugin.name) {
				throw new Error('Plugin does not have an name.');
			}

			if (this.plugins[plugin.name]) {
				throw new Error('Already registered the plugin "' + plugin.name + '"!');
			}

			this.plugins[plugin.name] = plugin;
		},

		/**
		 * Pass the given jQuery object, which represents an editable to all plugins, so that they can make the content clean (prepare for saving)
		 * @param obj jQuery object representing an editable
		 * @return void
		 * @hide
		 */
		makeClean: function (obj) {
			var i, plugin;
			// iterate through all registered plugins
			for (plugin in this.plugins) {
				if (this.plugins.hasOwnProperty(plugin)) {
					if (Aloha.Log.isDebugEnabled()) {
						Aloha.Log.debug(this, 'Passing contents of HTML Element with id { ' + obj.attr('id') + ' } for cleaning to plugin { ' + plugin + ' }');
					}
					this.plugins[plugin].makeClean(obj);
				}
			}
		},

		/**
		 * Expose a nice name for the Plugin Manager
		 * @hide
		 */
		toString: function () {
			return 'pluginmanager';
		}

	}))();
});

/*core.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('aloha/core',[
	'jquery',
	'PubSub',
	'aloha/pluginmanager'
], function (
	$,
	PubSub,
	PluginManager
) {
	'use strict';

	var Aloha = window.Aloha;

	/**
	 * Checks whether the current user agent is supported.
	 *
	 * @return {boolean} True if Aloha supports the current browser.
	 */
	function isBrowserSupported() {
		var browser = Aloha.browser;
		var version = browser.version;
		return !(
			// Chrome 21
			(browser.chrome && parseFloat(version) < 21) ||
			// Safari 4
			(browser.webkit && !browser.chrome && parseFloat(version) < 532.5) ||
			// FF 3.5
			(browser.mozilla && parseFloat(version) < 1.9) ||
			// IE 7
			(browser.msie && version < 7) ||
			// Right now Opera needs some work
			(browser.opera && version < 11)
		);
	}

	/**
	 * Checks whether the given jQuery event originates from an Aloha dialog
	 * element.
	 *
	 * This is used to facilitate a hackish way of preventing blurring
	 * editables when interacting with Aloha UI modals.
	 *
	 * @param {jQuery<Event>} $event
	 * @return {boolean} True if $event is initiated from within an Aloha
	 *                   dialog element.
	 */
	function originatesFromDialog($event) {
		return $($event.target).closest('.aloha-dialog').length > 0;
	}

	/**
	 * Checks whether the given jQuery event originates from a jQuery UI
	 * element.
	 *
	 * Just like originatesFromDialog() this is used to prevent deactivating
	 * editables when interacting with UI elements in a hackish way.
	 *
	 * @param {jQuery<Event>} $event The processed event.
	 * @returns {boolean} true if $event is initieated from a jQuery UI
	 *		element, and false otherwise.
	 */
	function originatesFromUiWidget($event) {
		return $($event.target).closest('.ui-widget').length > 0;
	}

	/**
	 * Registers events on the documents to cause editables to be blurred when
	 * clicking outside of editables.
	 *
	 * Hack: Except when the click originates from a modal dialog.
	 */
	function registerEvents() {
		$('html').mousedown(function ($event) {
			if (Aloha.activeEditable && !Aloha.eventHandled
					&& !originatesFromDialog($event)
					&& !originatesFromUiWidget($event)) {
				Aloha.deactivateEditable();
			}
		}).mouseup(function () {
			Aloha.eventHandled = false;
		});
	}

	/**
	 * Initialize Aloha.
	 *
	 * @param {function} event Event to trigger after completing tasks.
	 * @param {function} next Function to call after completing tasks.
	 */
	function initAloha(event, next) {
		if (!isBrowserSupported()) {
			var console = window.console;
			if (console) {
				var fn = console.error ? 'error' : console.log ? 'log' : null;
				if (fn) {
					console[fn]('This browser is not supported');
				}
			}
			return;
		}

		// Because different css is to be applied based on what the user-agent
		// supports.  For example: outlines do not render in IE7.
		if (Aloha.browser.webkit) {
			$('html').addClass('aloha-webkit');
		} else if (Aloha.browser.opera) {
			$('html').addClass('aloha-opera');
		} else if (Aloha.browser.msie) {
			$('html').addClass('aloha-ie' + parseInt(Aloha.browser.version, 10));
		} else if (Aloha.browser.mozilla) {
			$('html').addClass('aloha-mozilla');
		}

		if (navigator.appVersion.indexOf('Win') !== -1) {
			Aloha.OSName = 'Win';
		} else if (navigator.appVersion.indexOf('Mac') !== -1) {
			Aloha.OSName = 'Mac';
		} else if (navigator.appVersion.indexOf('X11') !== -1) {
			Aloha.OSName = 'Unix';
		} else if (navigator.appVersion.indexOf('Linux') !== -1) {
			Aloha.OSName = 'Linux';
		}

		// Fix inconsistent browser behavior in Internet Explorer:
		// per default the Internet Explorer's own feature AutoUrlDetect is turned on.
		// When this feature is active the "editor will automatically create a hyperlink
		// for any text that is formatted as a URL."
		// https://msdn.microsoft.com/en-us/library/aa769893(v=vs.85).aspx
		// http://blogs.msdn.com/b/ieinternals/archive/2010/09/15/ie9-beta-minor-change-list.aspx
		//
		// Since this behavior is different to all other browsers we will
		// turn this feature off in Internet Explorer >= 9 (turning it off is supported
		// starting from IE9)
		if (Aloha.browser.msie && parseFloat(Aloha.browser.version) >= 9.0 && typeof document.execCommand === 'function') {
			document.execCommand('AutoUrlDetect', false, false);
		}

		// Add hacky workaround for IE problem when editing in a frameset:
		// Sometimes it is necessary to click into an editable multiple times to activate it (for the first time)
		if (Aloha.browser.msie && document.body && document.body.children.length > 0) {
			var sel = window.getSelection();
			var range = document.createRange();
			range.setStart(document.body.children[0], 0);
			range.collapse(true);
			sel.removeAllRanges();
			sel.addRange(range);
			sel.removeAllRanges();
		}

		registerEvents();
		Aloha.settings.base = Aloha.getAlohaUrl();
		Aloha.Log.init();

		// Initialize error handler for general javascript errors.
		if (Aloha.settings.errorhandling) {
			window.onerror = function (msg, url, line) {
				Aloha.Log.error(Aloha, 'Error message: ' + msg + '\nURL: ' +
				                       url + '\nLine Number: ' + line);
				return true;
			};
		}

		event();
		next();
	}

	/**
	 * Initialize managers
	 *
	 * @param {function} event Event to trigger after completing tasks.
	 * @param {function} next Function to call after completing tasks.
	 */
	function initRepositoryManager(event, next) {
		Aloha.RepositoryManager.init();
		event();
		next();
	}

	/**
	 * Initialize Aloha plugins.
	 *
	 *
	 * @param {function} event Event to trigger after completing tasks.
	 * @param {function} next Callback that will be invoked after all plugins
	 *                        have been initialized.  Whereas plugins are loaded
	 *                        synchronously, plugins may initialize
	 *                        asynchronously.
	 */
	function initPluginManager(event, next) {
		// Because if there are no loadedPlugins specified, then the default is
		// to initialized all available plugins.
		if (0 === Aloha.loadedPlugins.length) {
			var plugins = PluginManager.plugins;
			var plugin;
			for (plugin in plugins) {
				if (plugins.hasOwnProperty(plugin)) {
					Aloha.loadedPlugins.push(plugin);
				}
			}
		}

		var fired = false;

		PluginManager.init(function () {
			if (!fired) {
				event();
				fired = true;
			}
			next();
		}, Aloha.loadedPlugins);

		if (!fired) {
			event();
			fired = true;
		}
	}

	/**
	 * Begin initialize editables.
	 *
	 * @param {function} event Event to trigger after completing tasks.
	 * @param {function} next Function to call after completing tasks.
	 */
	function initEditables(event, next) {
		var i;
		for (i = 0; i < Aloha.editables.length; i++) {
			if (!Aloha.editables[i].ready) {
				Aloha.editables[i].init();
			}
		}
		event();
		next();
	}

	/**
	 * Initialization phases.
	 *
	 * These stages denote the initialization states which Aloha will go
	 * through from loading to ready.
	 *
	 * Each phase object contains the following properties:
	 *        fn : The process that is to be invoked during this phase.
	 *             Will take two functions: event() and next().
	 *     event : The event name, which if provided, will be fired after the
	 *             phase has been started (optional).
	 *  deferred : A $.Deferred() object to hold event handlers until that
	 *             initialization phase has been done (optional).
	 *
	 * @type {Array.<phase>}
	 */
	var phases = [
		// Phase 0: Waiting for initialization to begin.  This is the state at
		//          load-time.
		{
			fn: null,
			event: null,
			deferred: null
		},

		// Phase 1: DOM is ready; performing compatibility checks, registering
		//          basic events, and initializing logging.
		{
			fn: initAloha,
			event: null,
			deferred: null
		},

		// Phase 2: Initial checks have passed; Initializing repository manger.
		{
			fn: initRepositoryManager,
			event: null,
			deferred: null
		},

		// Phase 3: Repository manager is ready for use; commence
		//          initialization of configured or default plugins.
		{
			fn: initPluginManager,
			event: 'aloha-plugins-loaded',
			deferred: null
		},

		// Phase 4: Plugins have all begun their initialization process, but it
		//          is not necessary that they have completed.  Start
		//          initializing editable, along with their scaffolding UI.
		//          Editables will not be fully initialized however, until
		//          plugins have finished initialization.
		{
			fn: initEditables,
			event: null,
			deferred: null
		},

		// Phase 5: The "ready" state.  Notify the system that Aloha is fully
		//          loaded, and ready for use.
		{
			fn: null,
			event: 'aloha-ready',
			deferred: null
		}
	];


	/**
	 * Base Aloha Object
	 * @namespace Aloha
	 * @class Aloha The Aloha base object, which contains all the core functionality
	 * @singleton
	 */
	$.extend(true, Aloha, {

		/**
		 * The Aloha Editor Version we are using
		 * It should be set by us and updated for the particular branch
		 * @property
		 */
		version: '${version}',

		/**
		 * Array of editables that are managed by Aloha
		 * @property
		 * @type Array
		 */
		editables: [],

		/**
		 * The currently active editable is referenced here
		 * @property
		 * @type Aloha.Editable
		 */
		activeEditable: null,

		/**
		 * settings object, which will contain all Aloha settings
		 * @cfg {Object} object Aloha's settings
		 */
		settings: {},

		/**
		 * defaults object, which will contain all Aloha defaults
		 * @cfg {Object} object Aloha's settings
		 */
		defaults: {},

		/**
		 * Namespace for ui components
		 */
		ui: {},

		/**
		 * This represents the name of the users OS. Could be:
		 * 'Mac', 'Linux', 'Win', 'Unix', 'Unknown'
		 * @property
		 * @type string
		 */
		OSName: 'Unknown',

		/**
		 * A list of loaded plugin names, available after the STAGES.PLUGINS
		 * initialization phase.
		 *
		 * @type {Array.<string>}
		 * @internal
		 */
		loadedPlugins: [],

		/**
		 * Maps names of plugins (link) to the base URL (../plugins/common/link).
		 */
		_pluginBaseUrlByName: {},

		/**
		 * Start the initialization process.
		 */
		init: function () {
			Aloha.initialize(phases);
		},

		/**
		 * Returns list of loaded plugins (without Bundle name)
		 *
		 * @return array
		 */
		getLoadedPlugins: function () {
			return this.loadedPlugins;
		},

		/**
		 * Returns true if a certain plugin is loaded, false otherwise.
		 *
		 * @param {string} plugin Name of plugin
		 * @return {boolean} True if plugin with given name is load.
		 */
		isPluginLoaded: function (name) {
			var loaded = false;
			$.each(this.loadedPlugins, function (i, plugin) {
				if (name === plugin.toString()) {
					loaded = true;
					return false;
				}
			});
			return loaded;
		},

		/**
		 * Activates editable and deactivates all other Editables.
		 *
		 * @param {Editable} editable the Editable to be activated
		 */
		activateEditable: function (editable) {
			// Because editables may be removed on blur, Aloha.editables.length
			// is not cached.
			var editables = Aloha.editables;
			var i;
			for (i = 0; i < editables.length; i++) {
				if (editables[i] !== editable && editables[i].isActive) {
					editables[i].blur(editable);
				}
			}
			Aloha.activeEditable = editable;
			PubSub.pub('aloha.editable.set-active', {
				editable: editable
			});
		},

		/**
		 * Returns the current Editable
		 * @return {Editable} returns the active Editable
		 */
		getActiveEditable: function () {
			return Aloha.activeEditable;
		},

		/**
		 * Deactivates the active Editable.
		 *
		 * TODO: Would be better named "deactivateActiveEditable".
		 */
		deactivateEditable: function () {
			if (Aloha.activeEditable) {
				Aloha.activeEditable.blur();
				Aloha.activeEditable = null;

				PubSub.pub('aloha.editable.set-active', {
					editable: null
				});
			}
		},

		/**
		 * Gets an editable by an ID or null if no Editable with that ID
		 * registered.
		 *
		 * @param {string} id The element id to look for.
		 * @return {Aloha.Editable|null} An editable, or null if none if found
		 *                               for the given id.
		 */
		getEditableById: function (id) {
			// Because if the element is a textarea, then it's necessary to
			// route to the editable div.
			var $editable = $('#' + id);
			if ($editable.length
					&& 'textarea' === $editable[0].nodeName.toLowerCase()) {
				id = id + '-aloha';
			}
			var i;
			for (i = 0; i < Aloha.editables.length; i++) {
				if (Aloha.editables[i].getId() === id) {
					return Aloha.editables[i];
				}
			}
			return null;
		},

		/**
		 * Checks whether an object is a registered Aloha Editable.
		 * @param {jQuery} obj the jQuery object to be checked.
		 * @return {boolean}
		 */
		isEditable: function (obj) {
			var i, editablesLength;

			for (i = 0, editablesLength = Aloha.editables.length; i < editablesLength; i++) {
				if (Aloha.editables[i].originalObj.get(0) === obj) {
					return true;
				}
			}
			return false;
		},

		/**
		 * Gets the nearest editable parent of the DOM element contained in the
		 * given jQuery object.
		 *
		 * @param {jQuery} $element jQuery unit set containing DOM element.
		 * @return {Aloha.Editable} Editable, or null if none found.
		 */
		getEditableHost: (function () {
			var getEditableOf = function (editable) {
				var i;
				for (i = 0; i < Aloha.editables.length; i++) {
					if (Aloha.editables[i].originalObj[0] === editable) {
						return Aloha.editables[i];
					}
				}
				return null;
			};

			return function ($element) {
				if (!$element || 0 === $element.length) {
					return null;
				}
				var editable = getEditableOf($element[0]);
				if (!editable) {
					$element.parents().each(function (__unused__, node) {
						editable = getEditableOf(node);
						if (editable) {
							return false;
						}
					});
				}
				return editable;
			};
		}()),

		/**
		 * Logs a message to the console.
		 *
		 * @param {string} level Level of the log
		 *                       ("error", "warn" or "info", "debug").
		 * @param {object} component Component that calls the log.
		 * @param {string} message Log message.
		 * @hide
		 */
		log: function (level, component, message) {
			if (typeof Aloha.Log !== 'undefined') {
				Aloha.Log.log(level, component, message);
			}
		},

		/**
		 * Register the given editable.
		 *
		 * @param {Editable} editable to register.
		 * @hide
		 */
		registerEditable: function (editable) {
			Aloha.editables.push(editable);
		},

		/**
		 * Unregister the given editable. It will be deactivated and removed
		 * from editables.
		 *
		 * @param {Editable} editable The editable to unregister.
		 * @hide
		 */
		unregisterEditable: function (editable) {
			var index = $.inArray(editable, Aloha.editables);
			if (index !== -1) {
				Aloha.editables.splice(index, 1);
			}
		},

		/**
		 * Check whether at least one editable was modified.
		 *
		 * @return {boolean} True when at least one editable was modified,
		 *                   false otherwise.
		 */
		isModified: function () {
			var i;
			for (i = 0; i < Aloha.editables.length; i++) {
				if (Aloha.editables[i].isModified
						&& Aloha.editables[i].isModified()) {
					return true;
				}
			}
			return false;
		},

		/**
		 * Determines the Aloha Url.
		 *
		 * @return {String} Aloha's baseUrl setting or "" if not set.
		 */
		getAlohaUrl: function (suffix) {
			return Aloha.settings.baseUrl || '';
		},

		/**
		 * Gets the plugin's url.
		 *
		 * @param {string} name The name with which the plugin was registered
		 *                      with.
		 * @return {string} The fully qualified url of this plugin.
		 */
		getPluginUrl: function (name) {
			if (!name) {
				return null;
			}
			var url = Aloha.settings._pluginBaseUrlByName[name];
			if (url) {
				// Check if url is absolute and attach base url if it is not.
				if (!url.match("^(\/|http[s]?:).*")) {
					url = Aloha.getAlohaUrl() + '/' + url;
				}
			}
			return url;
		},

		/**
		 * Disable object resizing by executing command 'enableObjectResizing',
		 * if the browser supports this.
		 */
		disableObjectResizing: function () {
			try {
				// This will disable browsers image resizing facilities in
				// order disable resize handles.
				var supported;
				try {
					supported = document.queryCommandSupported('enableObjectResizing');
				} catch (e) {
					supported = false;
					Aloha.Log.log('enableObjectResizing is not supported.');
				}
				if (supported) {
					document.execCommand('enableObjectResizing', false, false);
					Aloha.Log.log('enableObjectResizing disabled.');
				}
			} catch (e2) {
				Aloha.Log.error(e2, 'Could not disable enableObjectResizing');
				// this is just for others, who will not support disabling enableObjectResizing
			}
		},

		/**
		 * Disable native table editing
		 */
		disableInlineTableEditing: function () { // enableInlineTableEditing
			try {
				// This will disable browsers native table editing facilities in
				// order to disable resize handles.
				var supported;
				try {
					supported = document.queryCommandSupported('enableInlineTableEditing');
				} catch (e) {
					supported = false;
					Aloha.Log.log('enableInlineTableEditing is not supported.');
				}
				if (supported) {
					document.execCommand('enableInlineTableEditing', false, false);
					Aloha.Log.log('enableInlineTableEditing disabled.');
				}
			} catch (e2) {
				Aloha.Log.error(e2, 'Could not disable enableInlineTableEditing');
				// this is just for others, who will not support disabling enableInlineTableEditing
			}
		},

		/**
		 * Human-readable string representation of this.
		 *
		 * @hide
		 */
		toString: function () {
			return 'Aloha';
		},

		/**
		 * Shim to replace $.browser
		 *
		 * @hide
		 */
		browser: (function () {
			function uaMatch(ua) {
				ua = ua.toLowerCase();

				var match = /(edge)[ \/]([\w.]+)/.exec(ua) ||
					/(chrome)[ \/]([\w.]+)/.exec(ua) ||
					/(webkit)[ \/]([\w.]+)/.exec(ua) ||
					/(opera)(?:.*version|)[ \/]([\w.]+)/.exec(ua) ||
					/(msie) ([\w.]+)/.exec(ua) ||
					// IE11 will only identify itself via its Trident rendering engine
					/(trident)(?:.*? rv:([\w.]+))/.exec(ua) ||
					(ua.indexOf("compatible") < 0 && /(mozilla)(?:.*? rv:([\w.]+)|)/.exec(ua)) || [];

				return {
					browser: match[1] || "",
					version: match[2] || "0"
				};
			}

			var matched = uaMatch(navigator.userAgent);
			var browser = {};

			if (matched.browser) {
				browser[matched.browser] = true;
				browser.version = matched.version;
			}

			// Chrome is Webkit, but Webkit is also Safari.
			if (browser.chrome) {
				browser.webkit = true;
			} else if (browser.webkit) {
				browser.safari = true;
			}
			// Browsers using the Trident rendering engine are also Internet Explorer
			if (browser.trident) {
				browser.msie = true;
			}

			return browser;
		}())
	});

	return Aloha;
});

/* console.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('aloha/console',[
	'aloha/core',
	'util/class',
	'jquery'
], function (
	Aloha,
	Class,
	jQuery
) {
	"use strict";

	/**
	 * This is the aloha Log
	 * @namespace Aloha
	 * @class Log
	 * @singleton
	 */
	var AlohaConsole = Class.extend({
		/**
		 * Initialize the logging
		 * @hide
		 */
		init: function () {

			// initialize the logging settings (if not present)
			if (typeof Aloha.settings.logLevels === 'undefined' || !Aloha.settings.logLevels) {
				Aloha.settings.logLevels = {
					'error': true,
					'warn': true
				};
			}

			// initialize the logHistory settings (if not present)
			if (typeof Aloha.settings.logHistory === 'undefined' || !Aloha.settings.logHistory) {
				Aloha.settings.logHistory = {};
			}
			// set the default values for the loghistory
			if (!Aloha.settings.logHistory.maxEntries) {
				Aloha.settings.logHistory.maxEntries = 100;
			}
			if (!Aloha.settings.logHistory.highWaterMark) {
				Aloha.settings.logHistory.highWaterMark = 90;
			}
			if (!Aloha.settings.logHistory.levels) {
				Aloha.settings.logHistory.levels = {
					'error': true,
					'warn': true
				};
			}
			this.flushLogHistory();

			Aloha.trigger('aloha-logger-ready');
		},

		/**
		 * Log History as array of Message Objects. Every object has the properties
		 * 'level', 'component' and 'message'
		 * @property
		 * @type Array
		 * @hide
		 */
		logHistory: [],

		/**
		 * Flag, which is set as soon as the highWaterMark for the log history is reached.
		 * This flag is reset on every call of flushLogHistory()
		 * @hide
		 */
		highWaterMarkReached: false,

		/**
		 * Logs a message to the console
		 * @method
		 * @param {String} level Level of the log ('error', 'warn' or 'info', 'debug')
		 * @param {String} component Component that calls the log
		 * @param {String} message log message
		 */
		log: function (level, component, message) {


			// log ('Logging message');
			if (typeof component === 'undefined') {
				message = level;
			}
			if (typeof component !== 'string' && component && component.toString) {
				component = component.toString();
			}

			// log ('warn', 'Warning message');
			if (typeof message === 'undefined') {
				message = component;
				component = undefined;
			}

			if (typeof level === 'undefined' || !level) {
				level = 'log';
			}

			level = level.toLowerCase();

			if (typeof Aloha.settings.logLevels === "undefined") {
				return;
			}

			// now check whether the log level is activated
			if (!Aloha.settings.logLevels[level]) {
				return;
			}

			component = component || "Unkown Aloha Component";

			this.addToLogHistory({
				'level': level,
				'component': component,
				'message': message,
				'date': new Date()
			});

			var console = window.console;

			switch (level) {
			case 'error':
				if (window.console && console.error) {
					// FIXME:
					// Using console.error rather than throwing an error is very
					// problematic because we get not stack.
					// We ought to consider doing the following:
					// throw component + ': ' + message;
					if (!component && !message) {
						console.error("Error occured without message and component");
					} else {
						console.error(component + ': ' + message);
					}
				}
				break;
			case 'warn':
				if (window.console && console.warn) {
					console.warn(component + ': ' + message);
				}
				break;
			case 'info':
				if (window.console && console.info) {
					console.info(component + ': ' + message);
				}
				break;
			case 'debug':
				if (window.console && console.log) {
					console.log(component + ' [' + level + ']: ' + message);
				}
				break;
			default:
				if (window.console && console.log) {
					console.log(component + ' [' + level + ']: ' + message);
				}
				break;
			}
		},

		/**
		 * Log a message of log level 'error'
		 * @method
		 * @param {String} component Component that calls the log
		 * @param {String} message log message
		 */
		error: function (component, message) {
			this.log('error', component, message);
		},

		/**
		 * Log a message of log level 'warn'
		 * @method
		 * @param {String} component Component that calls the log
		 * @param {String} message log message
		 */
		warn: function (component, message) {
			this.log('warn', component, message);
		},

		/**
		 * Log a message of log level 'info'
		 * @method
		 * @param {String} component Component that calls the log
		 * @param {String} message log message
		 */
		info: function (component, message) {
			this.log('info', component, message);
		},

		/**
		 * Log a message of log level 'debug'
		 * @param {String} component Component that calls the log
		 * @param {String} message log message
		 */
		debug: function (component, message) {
			this.log('debug', component, message);
		},

		/**
		 * Methods to mark function as deprecated for developers.
		 * @param {String} component String that calls the log
		 * @param {String} message log message
		 */
		deprecated: function (component, message) {
			this.log('warn', component, message);
			// help the developer to locate the call.
			if (Aloha.settings.logLevels.deprecated) {
				throw new Error(message);
			}
		},

		/**
		 * Check whether the given log level is currently enabled
		 * @param {String} level
		 * @return true when log level is enabled, false if not
		 */
		isLogLevelEnabled: function (level) {
			return Aloha.settings && Aloha.settings.logLevels && Aloha.settings.logLevels[level];
		},

		/**
		 * Check whether error logging is enabled
		 * @return true if error logging is enabled, false if not
		 */
		isErrorEnabled: function () {
			return this.isLogLevelEnabled('error');
		},

		/**
		 * Check whether warn logging is enabled
		 * @return true if warn logging is enabled, false if not
		 */
		isWarnEnabled: function () {
			return this.isLogLevelEnabled('warn');
		},

		/**
		 * Check whether info logging is enabled
		 * @return true if info logging is enabled, false if not
		 */
		isInfoEnabled: function () {
			return this.isLogLevelEnabled('info');
		},

		/**
		 * Check whether debug logging is enabled
		 * @return true if debug logging is enabled, false if not
		 */
		isDebugEnabled: function () {
			return this.isLogLevelEnabled('debug');
		},

		/**
		 * Add the given entry to the log history. Check whether the highWaterMark has been reached, and fire an event if yes.
		 * @param {Object} entry entry to be added to the log history
		 * @hide
		 */
		addToLogHistory: function (entry) {

			if (!Aloha.settings.logHistory) {
				this.init();
			}

			// when maxEntries is set to something illegal, we do nothing (log history is disabled)
			// check whether the level is one we like to have logged
			if (Aloha.settings.logHistory.maxEntries <= 0 || !Aloha.settings.logHistory.levels[entry.level]) {

				return;
			}

			// first add the entry as last element to the history array
			this.logHistory.push(entry);

			// check whether the highWaterMark was reached, if so, fire an event
			if (!this.highWaterMarkReached) {

				if (this.logHistory.length >= Aloha.settings.logHistory.maxEntries * Aloha.settings.logHistory.highWaterMark / 100) {

					// fire the event
					Aloha.trigger('aloha-log-full');
					// set the flag (so we will not fire the event again until the logHistory is flushed)
					this.highWaterMarkReached = true;
				}
			}

			// check whether the log is full and eventually remove the oldest entries
			// @todo remove old entries when aloha-log-full event is triggered
			while (this.logHistory.length > Aloha.settings.logHistory.maxEntries) {
				this.logHistory.shift();
			}
		},

		/**
		 * Get the log history
		 * @return log history as array of objects
		 * @hide
		 */
		getLogHistory: function () {
			return this.logHistory;
		},

		/**
		 * Flush the log history. Remove all log entries and reset the flag for the highWaterMark
		 * @return void
		 * @hide
		 */
		flushLogHistory: function () {
			this.logHistory = [];
			this.highWaterMarkReached = false;
		}
	});

	/**
	 * Create the Log object
	 * @hide
	 */
	AlohaConsole = new AlohaConsole();

	// add to log namespace for compatiblility.
	Aloha.Log = Aloha.Console = AlohaConsole;
	return AlohaConsole;
});

/* range.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
// Ensure GENTICS Namespace
window.GENTICS = window.GENTICS || {};
window.GENTICS.Utils = window.GENTICS.Utils || {};

define('util/range',[
	'jquery',
	'util/dom',
	'util/class',
	'aloha/console',
	'aloha/rangy-core'
], function (jQuery, Dom, Class, console, rangy) {
	"use strict";

	var GENTICS = window.GENTICS;
	var Aloha = window.Aloha;

	function selfAndParentsUntil(container, limit) {
		var parents = [],
			cur;
		if (1 === container.nodeType) {
			cur = container;
		} else {
			cur = container.parentNode;
		}
		for (;;) {
			if (!cur || cur === limit || 9 === cur.nodeType) {
				break;
			}
			if (1 === cur.nodeType) {
				parents.push(cur);
			}
			cur = cur.parentNode;
		}
		return parents;
	}

	/**
	 * Find tag with tag name 'TagName' by recursion in the RangeTree
	 * of a Range Selection
	 *
	 * @param {RangeTree []} array Range Tree class
	 * @param {String} tagName Element Tag Name
	 * @param {DOMObject []} objs arrays containing the elements whidh Tag Name
	 * is 'tagName'
	 */
	function findTagInRangeTreeRecursion(array, tagName, objs) {
		var element,
			i,
			len = array.length;
		for (i = 0; i < len; i++) {
			element = array[i];
			if (element.type !== 'none' && element.type !== 'collapsed') {
				if (element.domobj.nodeName === tagName) {
					objs.push(element.domobj);
				}
				if (element.children.length > 0) {
					findTagInRangeTreeRecursion(element.children, tagName, objs);
				}
			}
		}
	}

	/**
	 * @namespace GENTICS.Utils
	 * @class RangeObject
	 * Represents a selection range in the browser that
	 * has some advanced features like selecting the range.
	 * @param {object} param if boolean true is passed, the range will be deducted from the current browser selection.
	 * If another rangeObject is passed, it will be cloned.
	 * If nothing is passed, the rangeObject will be empty.
	 * @constructor
	 */
	GENTICS.Utils.RangeObject = Class.extend({
		_constructor: function (param) {
			// Take the values from the passed object
			if (typeof param === 'object') {
				if (typeof param.startContainer !== 'undefined') {
					this.startContainer = param.startContainer;
				}
				if (typeof param.startOffset !== 'undefined') {
					this.startOffset = param.startOffset;
				}
				if (typeof param.endContainer !== 'undefined') {
					this.endContainer = param.endContainer;
				}
				if (typeof param.endOffset !== 'undefined') {
					this.endOffset = param.endOffset;
				}
			} else if (param === true) {
				this.initializeFromUserSelection();
			}
		},

		/**
		 * DOM object of the start container of the selection.
		 * This is always has to be a DOM text node.
		 * @property startContainer
		 * @type {DOMObject}
		 */
		startContainer: undefined,

		/**
		 * Offset of the selection in the start container
		 * @property startOffset
		 * @type {Integer}
		 */
		startOffset: undefined,

		/**
		 * DOM object of the end container of the selection.
		 * This is always has to be a DOM text node.
		 * @property endContainer
		 * @type {DOMObject}
		 */
		endContainer: undefined,

		/**
		 * Offset of the selection in the end container
		 * @property endOffset
		 * @type {Integer}
		 */
		endOffset: undefined,

		/**
		 * Delete all contents selected by the current range
		 * @param rangeTree a GENTICS.Utils.RangeTree object may be provided to start from. This parameter is optional
		 */
		deleteContents: function () {

			Dom.removeRange(this);

		},

		/**
		 * Output some log
		 * TODO: move this to Aloha.Log
		 * @param message log message to output
		 * @return void
		 * @deprecated
		 * @hide
		 */
		log: function (message) {
			console.deprecated('Utils.RangeObject', 'log() is deprecated. use ' + 'console.log() from module "aloha/console" instead: ' + message);
		},

		/**
		 * Method to test if a range object is collapsed.
		 * A range is considered collapsed if either no endContainer exists or the endContainer/Offset equal startContainer/Offset
		 * @return {boolean} true if collapsed, false otherwise
		 * @method
		 */
		isCollapsed: function () {
			return (!this.endContainer || (this.startContainer === this.endContainer && this.startOffset === this.endOffset));
		},

		/**
		 * Method to (re-)calculate the common ancestor container and to get it.
		 * The common ancestor container is the DOM Object which encloses the
		 * whole range and is nearest to the start and end container objects.
		 * @return {DOMObject} get the common ancestor container
		 * @method
		 */
		getCommonAncestorContainer: function () {
			if (this.commonAncestorContainer) {
				// sometimes it's cached (or was set)
				return this.commonAncestorContainer;
			}
			// if it's not cached, calculate and then cache it
			this.updateCommonAncestorContainer();

			// now return it anyway
			return this.commonAncestorContainer;
		},

		/**
		 * Get the parent elements of the startContainer/endContainer up to the given limit. When the startContainer/endContainer
		 * is no text element, but a node, the node itself is returned as first element.
		 * @param {jQuery} limit limit object (default: body)
		 * @param {boolean} fromStart true to fetch the parents from the startContainer, false for the endContainer
		 * @return {jQuery} parent elements of the startContainer/endContainer as jQuery objects
		 * @method
		 */
		getContainerParents: function (limit, fromEnd) {
			// TODO cache the calculated parents
			var container = fromEnd ? this.endContainer : this.startContainer;
			if (!container) {
				return false;
			}
			return jQuery(selfAndParentsUntil(container, limit ? limit[0] : null));
		},

		/**
		 * Get the parent elements of the startContainer up to the given limit. When the startContainer
		 * is no text element, but a node, the node itself is returned as first element.
		 * @param {jQuery} limit limit object (default: body)
		 * @return {jQuery} parent elements of the startContainer as jQuery objects
		 * @method
		 */
		getStartContainerParents: function (limit) {
			return this.getContainerParents(limit, false);
		},

		/**
		 * Get the parent elements of the endContainer up to the given limit. When the endContainer is
		 * no text element, but a node, the node itself is returned as first element.
		 * @param {jQuery} limit limit object (default: body)
		 * @return {jQuery} parent elements of the endContainer as jQuery objects
		 * @method
		 */
		getEndContainerParents: function (limit) {
			return this.getContainerParents(limit, true);
		},

		/**
		 * TODO: the commonAncestorContainer is not calculated correctly, if either the start or
		 * the endContainer would be the cac itself (e.g. when the startContainer is a textNode
		 * and the endContainer is the startContainer's parent <p>). in this case the cac will be set
		 * to the parent div
		 * Method to update a range object internally
		 * @param commonAncestorContainer (DOM Object); optional Parameter; if set, the parameter
		 * will be used instead of the automatically calculated CAC
		 * @return void
		 * @hide
		 */
		updateCommonAncestorContainer: function (commonAncestorContainer) {
			// if no parameter was passed, calculate it
			if (!commonAncestorContainer) {
				// this will be needed either right now for finding the CAC or later for the crossing index
				var parentsStartContainer = this.getStartContainerParents(),
					parentsEndContainer = this.getEndContainerParents(),
					i;

				// find the crossing between startContainer and endContainer parents (=commonAncestorContainer)
				if (!(parentsStartContainer.length > 0 && parentsEndContainer.length > 0)) {
					console.warn('aloha/range', 'could not find commonAncestorContainer');
					return false;
				}

				for (i = 0; i < parentsStartContainer.length; i++) {
					if (parentsEndContainer.index(parentsStartContainer[i]) != -1) {
						this.commonAncestorContainer = parentsStartContainer[i];
						break;
					}
				}
			} else {
				this.commonAncestorContainer = commonAncestorContainer;
			}

			// if everything went well, return true :-)
			console.debug(commonAncestorContainer ? 'commonAncestorContainer was set successfully' : 'commonAncestorContainer was calculated successfully');
			return true;
		},

		/**
		 * Helper function for selection in IE. Creates a collapsed text range at the given position
		 * @param container container
		 * @param offset offset
		 * @return collapsed text range at that position
		 * @hide
		 */
		getCollapsedIERange: function (container, offset) {
			// create a text range
			var ieRange = document.body.createTextRange(),
				tmpRange,
			    right,
			    parent,
			    left;

			// search to the left for the next element
			left = this.searchElementToLeft(container, offset);
			if (left.element) {
				// found an element, set the start to the end of that element
				tmpRange = document.body.createTextRange();
				tmpRange.moveToElementText(left.element);
				ieRange.setEndPoint('StartToEnd', tmpRange);

				// and correct the start
				if (left.characters !== 0) {
					ieRange.moveStart('character', left.characters);
				} else {
					// this is a hack, when we are at the start of a text node, move the range anyway
					ieRange.moveStart('character', 1);
					ieRange.moveStart('character', -1);
				}
			} else {
				// found nothing to the left, so search right
				right = this.searchElementToRight(container, offset);
				// also found no element to the right, use the container itself
				parent = container.nodeType == 3 ? container.parentNode : container;
				tmpRange = document.body.createTextRange();
				tmpRange.moveToElementText(parent);
				ieRange.setEndPoint('StartToStart', tmpRange);

				// and correct the start
				if (left.characters !== 0) {
					ieRange.moveStart('character', left.characters);
				}
			}
			ieRange.collapse();

			return ieRange;
		},

		/**
		 * Sets the visible selection in the Browser based on the range object.
		 * If the selection is collapsed, this will result in a blinking cursor,
		 * otherwise in a text selection.
		 * @method
		 */
		select: function () {
			var ieRange, endRange, startRange, range, sel;

			if (typeof this.startContainer === 'undefined' || typeof this.endContainer === 'undefined') {
				console.warn('can not select an empty range');
				return false;
			}

			// create a range
			range = rangy.createRange();
			// set start and endContainer
			range.setStart(this.startContainer, this.startOffset);
			range.setEnd(this.endContainer, this.endOffset);

			// update the selection
			sel = rangy.getSelection();
			// Selection type 'Control' (elements selected), 'Text' (text selected), 'None' (nothing selected) 
			// (http://help.dottoro.com/ljitmswc.php)
			// If the selection is 'Text' or 'Control' and the range is collapsed then there is nothing selected, and 
			// this can produce a Javascript Error only in IE. (Reproducible: Just by dragging and drop block elements)
			// catching the exception so the execution can continue
			try {
				sel.setSingleRange(range);
			} catch (e) {
				console.warn(e);
			}
		},

		/**
		 * Starting at the given position, search for the next element to the left and count the number of characters are in between
		 * @param container container of the startpoint
		 * @param offset offset of the startpoint in the container
		 * @return object with 'element' (null if no element found) and 'characters'
		 * @hide
		 */
		searchElementToLeft: function (container, offset) {
			var checkElement,
			    characters = 0;

			if (container.nodeType === 3) {
				// start is in a text node
				characters = offset;
				// begin check at the element to the left (if any)
				checkElement = container.previousSibling;
			} else {
				// start is between nodes, begin check at the element to the left (if any)
				if (offset > 0) {
					checkElement = container.childNodes[offset - 1];
				}
			}

			// move to the right until we find an element
			while (checkElement && checkElement.nodeType === 3) {
				characters += checkElement.data.length;
				checkElement = checkElement.previousSibling;
			}

			return {
				'element': checkElement,
				'characters': characters
			};
		},

		/**
		 * Starting at the given position, search for the next element to the right and count the number of characters that are in between
		 * @param container container of the startpoint
		 * @param offset offset of the startpoint in the container
		 * @return object with 'element' (null if no element found) and 'characters'
		 * @hide
		 */
		searchElementToRight: function (container, offset) {
			var checkElement,
			    characters = 0;

			if (container.nodeType === 3) {
				// start is in a text node
				characters = container.data.length - offset;

				// begin check at the element to the right (if any)
				checkElement = container.nextSibling;
			} else {
				// start is between nodes, begin check at the element to the right (if any)
				if (offset < container.childNodes.length) {
					checkElement = container.childNodes[offset];
				}
			}

			// move to the right until we find an element
			while (checkElement && checkElement.nodeType === 3) {
				characters += checkElement.data.length;
				checkElement = checkElement.nextSibling;
			}

			return {
				'element': checkElement,
				'characters': characters
			};
		},

		/**
		 * Method which updates the rangeObject including all extending properties like commonAncestorContainer etc...
		 * TODO: is this method needed here? or should it contain the same code as Aloha.Selection.prototype.SelectionRange.prototype.update?
		 * @return void
		 * @hide
		 */
		update: function (event) {
			console.debug('now updating rangeObject');

			this.initializeFromUserSelection(event);
			this.updateCommonAncestorContainer();
		},

		/**
		 * Initialize the current range object from the user selection of the browser.
		 * @param event which calls the method
		 * @return void
		 * @hide
		 */
		initializeFromUserSelection: function (event) {
			var selection = rangy.getSelection(),
				browserRange;

			if (!selection) {
				return false;
			}

			// check if a ragne exists
			if (!selection.rangeCount) {
				return false;
			}

			// getBrowserRange
			browserRange = selection.getRangeAt(0);
			if (!browserRange) {
				return false;
			}

			// initially set the range to what the browser tells us
			this.startContainer = browserRange.startContainer;
			this.endContainer = browserRange.endContainer;
			this.startOffset = browserRange.startOffset;
			this.endOffset = browserRange.endOffset;

			// now try to correct the range
			this.correctRange();
			return;
		},

		/**
		 * Correct the current range. The general goal of the algorithm is to have start
		 * and end of the range in text nodes if possible and the end of the range never
		 * at the beginning of an element or text node. Details of the algorithm can be
		 * found in the code comments
		 * @method
		 */
		correctRange: function () {
			var adjacentTextNode,
			    textNode,
			    checkedElement,
			    parentNode,
			    offset;

			this.clearCaches();
			if (this.isCollapsed()) {
				// collapsed ranges are treated specially

				// first check if the range is not in a text node
				if (this.startContainer.nodeType === 1) {
					if (this.startOffset > 0 && this.startContainer.childNodes[this.startOffset - 1].nodeType === 3) {
						// when the range is between nodes (container is an element
						// node) and there is a text node to the left -> move into this text
						// node (at the end)
						this.startContainer = this.startContainer.childNodes[this.startOffset - 1];
						this.startOffset = this.startContainer.data.length;
						this.endContainer = this.startContainer;
						this.endOffset = this.startOffset;
						return;
					}

					if (this.startOffset > 0 && this.startContainer.childNodes[this.startOffset - 1].nodeType === 1) {
						// search for the next text node to the left
						adjacentTextNode = GENTICS.Utils.Dom.searchAdjacentTextNode(this.startContainer, this.startOffset, true);
						if (adjacentTextNode && jQuery(adjacentTextNode.parentNode).contentEditable()) {
							this.startContainer = this.endContainer = adjacentTextNode;
							this.startOffset = this.endOffset = adjacentTextNode.data.length;
							return;
						}
						// search for the next text node to the right
						adjacentTextNode = GENTICS.Utils.Dom.searchAdjacentTextNode(this.startContainer, this.startOffset, false);
						if (adjacentTextNode && jQuery(adjacentTextNode.parentNode).contentEditable()) {
							this.startContainer = this.endContainer = adjacentTextNode;
							this.startOffset = this.endOffset = 0;
							return;
						}
					}

					if (this.startOffset < this.startContainer.childNodes.length && this.startContainer.childNodes[this.startOffset].nodeType === 3) {
						// when the range is between nodes and there is a text node
						// to the right -> move into this text node (at the start)
						this.startContainer = this.startContainer.childNodes[this.startOffset];
						this.startOffset = 0;
						this.endContainer = this.startContainer;
						this.endOffset = 0;
						return;
					}
				}

				// when the selection is in a text node at the start, look for an adjacent text node and if one found, move into that at the end
				if (this.startContainer.nodeType === 3 && this.startOffset === 0) {
					adjacentTextNode = GENTICS.Utils.Dom.searchAdjacentTextNode(this.startContainer.parentNode, GENTICS.Utils.Dom.getIndexInParent(this.startContainer), true);
					//only move the selection if the adjacentTextNode is inside the current editable
					//the cursor should not be outside the editable
					if (adjacentTextNode && Aloha.activeEditable && jQuery(adjacentTextNode.parentNode).contentEditable() && jQuery(adjacentTextNode).closest(Aloha.activeEditable.obj).length > 0) {
						this.startContainer = this.endContainer = adjacentTextNode;
						this.startOffset = this.endOffset = adjacentTextNode.data.length;
					}
				} else if (this.startContainer.nodeType === 3 && (!jQuery(this.startContainer.parentNode).contentEditable())) {
					adjacentTextNode = GENTICS.Utils.Dom.searchAdjacentTextNode(this.startContainer.parentNode, GENTICS.Utils.Dom.getIndexInParent(this.startContainer) + 1, false, {}, { acceptUntrimmed: true });
					if (adjacentTextNode && Aloha.activeEditable && jQuery(adjacentTextNode.parentNode).contentEditable() && jQuery(adjacentTextNode).closest(Aloha.activeEditable.obj).length > 0) {
						this.startContainer = this.endContainer = adjacentTextNode;
						this.startOffset = this.endOffset = 0;
					}
				}
			} else {
				// expanded range found

				// correct the start, but only if between nodes
				if (this.startContainer.nodeType === 1) {
					// if there is a text node to the right, move into this
					if (this.startOffset < this.startContainer.childNodes.length && this.startContainer.childNodes[this.startOffset].nodeType === 3) {
						this.startContainer = this.startContainer.childNodes[this.startOffset];
						this.startOffset = 0;
					} else if (this.startOffset < this.startContainer.childNodes.length && this.startContainer.childNodes[this.startOffset].nodeType === 1) {
						// there is an element node to the right, so recursively check all first child nodes until we find a text node
						textNode = false;
						checkedElement = this.startContainer.childNodes[this.startOffset];
						while (textNode === false && checkedElement.childNodes && checkedElement.childNodes.length > 0) {
							// go to the first child of the checked element
							checkedElement = checkedElement.childNodes[0];
							// when this element is a text node, we are done
							if (checkedElement.nodeType === 3) {
								textNode = checkedElement;
							}
						}

						// found a text node, so move into it
						if (textNode !== false) {
							this.startContainer = textNode;
							this.startOffset = 0;
						}
					}
				}

				// check whether the start is inside a text node at the end
				if (this.startContainer.nodeType === 3 && this.startOffset === this.startContainer.data.length) {
					// check whether there is an adjacent text node to the right and if
					// yes, move into it
					adjacentTextNode = GENTICS.Utils.Dom.searchAdjacentTextNode(this.startContainer.parentNode, GENTICS.Utils.Dom.getIndexInParent(this.startContainer) + 1, false);
					if (adjacentTextNode) {
						this.startContainer = adjacentTextNode;
						this.startOffset = 0;
					}
				}

				// now correct the end
				if (this.endContainer.nodeType === 3 && this.endOffset === 0) {
					// we are in a text node at the start
					if (this.endContainer.previousSibling && this.endContainer.previousSibling.nodeType === 3) {
						// found a text node to the left -> move into it (at the end)
						this.endContainer = this.endContainer.previousSibling;
						this.endOffset = this.endContainer.data.length;
					} else if (this.endContainer.previousSibling && this.endContainer.previousSibling.nodeType === 1 && this.endContainer.parentNode) {
						// found an element node to the left -> move in between
						parentNode = this.endContainer.parentNode;
						for (offset = 0; offset < parentNode.childNodes.length; ++offset) {
							if (parentNode.childNodes[offset] == this.endContainer) {
								this.endOffset = offset;
								break;
							}
						}
						this.endContainer = parentNode;
					}
				}

				if (this.endContainer.nodeType == 1 && this.endOffset === 0) {
					// we are in an element node at the start, possibly move to the previous sibling at the end
					if (this.endContainer.previousSibling) {
						if (this.endContainer.previousSibling.nodeType === 3) {
							// previous sibling is a text node, move end into here (at the end)
							this.endContainer = this.endContainer.previousSibling;
							this.endOffset = this.endContainer.data.length;
						} else if (this.endContainer.previousSibling.nodeType === 1 && this.endContainer.previousSibling.childNodes && this.endContainer.previousSibling.childNodes.length > 0) {
							// previous sibling is another element node with children,
							// move end into here (at the end)
							this.endContainer = this.endContainer.previousSibling;
							this.endOffset = this.endContainer.childNodes.length;
						}
					}
				}

				// correct the end, but only if between nodes
				if (this.endContainer.nodeType == 1) {
					// if there is a text node to the left, move into this
					if (this.endOffset > 0 && this.endContainer.childNodes[this.endOffset - 1].nodeType === 3) {
						this.endContainer = this.endContainer.childNodes[this.endOffset - 1];
						this.endOffset = this.endContainer.data.length;
					} else if (this.endOffset > 0 && this.endContainer.childNodes[this.endOffset - 1].nodeType === 1) {
						// there is an element node to the left, so recursively check all last child nodes until we find a text node
						textNode = false;
						checkedElement = this.endContainer.childNodes[this.endOffset - 1];
						while (textNode === false && checkedElement.childNodes && checkedElement.childNodes.length > 0) {
							// go to the last child of the checked element
							checkedElement = checkedElement.childNodes[checkedElement.childNodes.length - 1];
							// when this element is a text node, we are done
							if (checkedElement.nodeType === 3) {
								textNode = checkedElement;
							}
						}

						// found a text node, so move into it
						if (textNode !== false) {
							this.endContainer = textNode;
							this.endOffset = this.endContainer.data.length;
						}
					}
				}
			}
		},

		/**
		 * Clear the caches for this range. This method must be called when the range itself (start-/endContainer or start-/endOffset) is modified.
		 * @method
		 */
		clearCaches: function () {
			this.commonAncestorContainer = undefined;
		},

		/**
		 * Get the range tree of this range.
		 * The range tree will be cached for every root object. When the range itself is modified, the cache should be cleared by calling GENTICS.Utils.RangeObject.clearCaches
		 * @param {DOMObject} root root object of the range tree, if non given, the common ancestor container of the start and end containers will be used
		 * @return {RangeTree} array of RangeTree object for the given root object
		 * @method
		 */
		getRangeTree: function (root) {
			// TODO cache rangeTrees
			if (typeof root === 'undefined') {
				root = this.getCommonAncestorContainer();
			}

			this.inselection = false;
			return this.recursiveGetRangeTree(root);
		},

		/**
		 * Recursive inner function for generating the range tree.
		 * @param currentObject current DOM object for which the range tree shall be generated
		 * @return array of Tree objects for the children of the current DOM object
		 * @hide
		 */
		recursiveGetRangeTree: function (currentObject) {
			// get all direct children of the given object
			var jQueryCurrentObject = jQuery(currentObject),
				childCount = 0,
				that = this,
				currentElements = [];

			jQueryCurrentObject.contents().each(function (index) {
				var type = 'none',
					startOffset = false,
					endOffset = false,
					collapsedFound = false,
					noneFound = false,
					partialFound = false,
					fullFound = false,
					i;

				// check for collapsed selections between nodes
				if (that.isCollapsed() && currentObject === that.startContainer && that.startOffset === index) {
					// insert an extra rangetree object for the collapsed range here
					currentElements[childCount] = new GENTICS.Utils.RangeTree();
					currentElements[childCount].type = 'collapsed';
					currentElements[childCount].domobj = undefined;
					that.inselection = false;
					collapsedFound = true;
					childCount++;
				}

				if (!that.inselection && !collapsedFound) {
					// the start of the selection was not yet found, so look for it now
					// check whether the start of the selection is found here

					// check is dependent on the node type
					switch (this.nodeType) {
					case 3:
						// text node
						if (this === that.startContainer) {
							// the selection starts here
							that.inselection = true;

							// when the startoffset is > 0, the selection type is only partial
							type = that.startOffset > 0 ? 'partial' : 'full';
							startOffset = that.startOffset;
							endOffset = this.length;
						}
						break;
					case 1:
						// element node
						if (this === that.startContainer && that.startOffset === 0) {
							// the selection starts here
							that.inselection = true;
							type = 'full';
						}
						if (currentObject === that.startContainer && that.startOffset === index) {
							// the selection starts here
							that.inselection = true;
							type = 'full';
						}
						break;
					}
				}

				if (that.inselection && !collapsedFound) {
					if (type == 'none') {
						type = 'full';
					}
					// we already found the start of the selection, so look for the end of the selection now
					// check whether the end of the selection is found here

					switch (this.nodeType) {
					case 3:
						// text node
						if (this === that.endContainer) {
							// the selection ends here
							that.inselection = false;

							// check for partial selection here
							if (that.endOffset < this.length) {
								type = 'partial';
							}
							if (startOffset === false) {
								startOffset = 0;
							}
							endOffset = that.endOffset;
						}
						break;
					case 1:
						// element node
						if (this === that.endContainer && that.endOffset === 0) {
							that.inselection = false;
						}
						break;
					}
					if (currentObject === that.endContainer && that.endOffset <= index) {
						that.inselection = false;
						type = 'none';
					}
				}

				// create the current selection tree entry
				currentElements[childCount] = new GENTICS.Utils.RangeTree();
				currentElements[childCount].domobj = this;
				currentElements[childCount].type = type;
				if (type == 'partial') {
					currentElements[childCount].startOffset = startOffset;
					currentElements[childCount].endOffset = endOffset;
				}

				// now do the recursion step into the current object
				currentElements[childCount].children = that.recursiveGetRangeTree(this);

				// check whether a selection was found within the children
				if (currentElements[childCount].children.length > 0) {
					for (i = 0; i < currentElements[childCount].children.length; ++i) {
						switch (currentElements[childCount].children[i].type) {
						case 'none':
							noneFound = true;
							break;
						case 'full':
							fullFound = true;
							break;
						case 'partial':
							partialFound = true;
							break;
						}
					}

					if (partialFound || (fullFound && noneFound)) {
						// found at least one 'partial' DOM object in the children, or both 'full' and 'none', so this element is also 'partial' contained
						currentElements[childCount].type = 'partial';
					} else if (fullFound && !partialFound && !noneFound) {
						// only found 'full' contained children, so this element is also 'full' contained
						currentElements[childCount].type = 'full';
					}
				}

				childCount++;
			});

			// extra check for collapsed selections at the end of the current element
			if (this.isCollapsed() && currentObject === this.startContainer && this.startOffset == currentObject.childNodes.length) {
				currentElements[childCount] = new GENTICS.Utils.RangeTree();
				currentElements[childCount].type = 'collapsed';
				currentElements[childCount].domobj = undefined;
			}

			return currentElements;
		},

		/**
		 * Find certain the first occurrence of some markup within the parents of either the start or the end of this range.
		 * The markup can be identified by means of a given comparator function. The function will be passed every parent (up to the eventually given limit object, which itself is not considered) to the comparator function as this.
		 * When the comparator function returns boolean true, the markup found and finally returned from this function as dom object.<br/>
		 * Example for finding an anchor tag at the start of the range up to the active editable object:<br/>
		 * <pre>
		 * range.findMarkup(
		 *   function(node) {
		 *     return node.nodeName.toLowerCase() == 'a';
		 *   },
		 *   jQuery(Aloha.activeEditable.obj)
		 * );
		 * </pre>
		 * @param {function} comparator comparator function to find certain markup
		 * @param {jQuery} limit limit objects for limit the parents taken into consideration
		 * @param {boolean} atEnd true for searching at the end of the range, false for the start (default: false)
		 * @return {DOMObject} the found dom object or false if nothing found.
		 * @method
		 */
		findMarkup: function (comparator, limit, atEnd) {
			var container = atEnd ? this.endContainer : this.startContainer,
				parents,
				i,
				len;
			limit = limit ? limit[0] : null;
			if (!container) {
				return;
			}
			parents = selfAndParentsUntil(container, limit);
			for (i = 0, len = parents.length; i < len; i++) {
				if (comparator.apply(parents[i], [parents[i]])) {
					return parents[i];
				}
			}
			return false;
		},

		/**
		 * Find all markups by Tag name
		 *
		 * @param {String} tagName Tag name
		 * @param {Range Object} range Selection Range
		 * @returns {DOMObject[]} All DOM objects matching the tag Name
		 */
		findAllMarkupByTagName: function (tagName, range) {
			var rangeTree = range.getRangeTree(),
				objs = [];
			tagName = tagName.toUpperCase();

			findTagInRangeTreeRecursion(rangeTree, tagName, objs);
			return objs;
		},


		/**
		 * Get the text enclosed by this range
		 * @return {String} the text of the range
		 * @method
		 */
		getText: function () {
			if (this.isCollapsed()) {
				return '';
			}
			return this.recursiveGetText(this.getRangeTree());
		},

		recursiveGetText: function (tree) {
			if (!tree) {
				return '';
			}
			var that = this,
			    text = '';
			jQuery.each(tree, function () {
				if (this.type == 'full') {
					// fully selected element/text node
					text += jQuery(this.domobj).text();
				} else if (this.type == 'partial' && this.domobj.nodeType === 3) {
					// partially selected text node
					text += jQuery(this.domobj).text().substring(this.startOffset, this.endOffset);
				} else if (this.type == 'partial' && this.domobj.nodeType === 1 && this.children) {
					// partially selected element node
					text += that.recursiveGetText(this.children);
				}
			});
			return text;
		}
	});

	/**
	 * @namespace GENTICS.Utils
	 * @class RangeTree
	 * Class definition of a RangeTree, which gives a tree view of the DOM objects included in this range
	 * Structure:
	 * <pre>
	 * +
	 * |-domobj: <reference to the DOM Object> (NOT jQuery)
	 * |-type: defines if this node is marked by user [none|partial|full|collapsed]
	 * |-children: recursive structure like this
	 * </pre>
	 */
	GENTICS.Utils.RangeTree = Class.extend({
		/**
		 * DOMObject, if the type is one of [none|partial|full], undefined if the type is [collapsed]
		 * @property domobj
		 * @type {DOMObject}
		 */
		domobj: {},

		/**
		 * type of the participation of the dom object in the range. Is one of:
		 * <pre>
		 * - none the DOMObject is outside of the range
		 * - partial the DOMObject partially in the range
		 * - full the DOMObject is completely in the range
		 * - collapsed the current RangeTree element marks the position of a collapsed range between DOM nodes
		 * </pre>
		 * @property type
		 * @type {String}
		 */
		type: null,

		/**
		 * Array of RangeTree objects which reflect the status of the child elements of the current DOMObject
		 * @property children
		 * @type {Array}
		 */
		children: []
	});

	return GENTICS.Utils.RangeObject;
});

/* functions.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('util/functions',[], function () {
	'use strict';

	/**
	 * The identity function returns its single argument.
	 * Useful for composition when some default behaviour is needed.
	 */
	function identity(arg) {
		return arg;
	}

	function noop() {
	}

	function returnTrue() {
		return true;
	}

	function returnFalse() {
		return false;
	}

	function complement(fn) {
		return function () {
			return !fn.apply(this, arguments);
		};
	}

	return {
		identity: identity,
		noop: noop,
		returnTrue: returnTrue,
		returnFalse: returnFalse,
		complement: complement
	};
});

/* maps.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('util/maps',[], function () {
	'use strict';

	/**
	 * Checks whether the given object has no own or inherited properties.
	 *
	 * @param {!Object} obj The object to check.
	 * @return {boolean} True if the object is empty. eg: isEmpty({}) == true
	 */
	function isEmpty(obj) {
		var name;
		for (name in obj) {
			if (obj.hasOwnProperty(name)) {
				return false;
			}
		}
		return true;
	}

	/**
	 * Fill the given map with the given keys mapped to the given value.
	 *
	 * @param map
	 *        The given map will have one entry added for each given key.
	 * @param keys
	 *        An array of string keys. Javascript maps can only
	 *        contain string keys, so these must be strings or
	 *        or they will be cast to string.
	 * @param value
	 *        A single value that each given key will map to.
	 * @return
	 *        The given map.
	 */
	function fillKeys(map, keys, value) {
		var i = keys.length;
		while (i--) {
			map[keys[i]] = value;
		}
		return map;
	}

	/**
	 * Fill the given map with entries from the given tuples.
	 *
	 * @param map
	 *        The given map will have one entry added for each item in
	 *        the given array.
	 * @param tuples
	 *        An array of [key, value] tuples. Javascript maps can only
	 *        contain string keys, so the keys must be strings or
	 *        or they will be cast to string.
	 * @return
	 *        The given map.
	 */
	function fillTuples(map, tuples) {
		var i = tuples.length,
			tuple;
		while (i--) {
			tuple = tuples[i];
			map[tuple[0]] = tuple[1];
		}
		return map;
	}

	/**
	 * Returns an array of the map's keys.
	 */
	function keys(map) {
		var ks = [],
			k;
		for (k in map) {
			if (map.hasOwnProperty(k)) {
				ks.push(k);
			}
		}
		return ks;
	}

	/**
	 * For each mapping, call cb(value, key, map).
	 *
	 * Emulates ECMAScript edition 5 Array.forEach.
	 *
	 * Contrary to "for (key in map)" iterates only over the
	 * "hasOwnProperty" properties of the map, which is usually what you
	 * want.
	 */
	function forEach(map, cb) {
		var key;
		for (key in map) {
			if (map.hasOwnProperty(key)) {
				cb(map[key], key, map);
			}
		}
	}

	return {
		isEmpty: isEmpty,
		fillTuples: fillTuples,
		fillKeys: fillKeys,
		keys: keys,
		forEach: forEach
	};
});

/* arrays.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('util/arrays',['util/functions'], function (Fn) {
	'use strict';

	/**
	 * Implements unique() using the browser's sort().
	 *
	 * @param a
	 *        The array to sort and strip of duplicate values.
	 *        Warning: this array will be modified in-place.
	 * @param compFn
	 *        A custom comparison function that accepts two values a and
	 *        b from the given array and returns -1, 0, 1 depending on
	 *        whether a < b, a == b, a > b respectively.
	 *
	 *        If no compFn is provided, the algorithm will use the
	 *        browsers default sort behaviour and loose comparison to
	 *        detect duplicates.
	 * @return
	 *        The given array.
	 */
	function sortUnique(a, compFn) {
		var i;
		if (compFn) {
			a.sort(compFn);
			for (i = 1; i < a.length; i++) {
				if (0 === compFn(a[i], a[i - 1])) {
					a.splice(i--, 1);
				}
			}
		} else {
			a.sort();
			for (i = 1; i < a.length; i++) {
				// Use loosely typed comparsion if no compFn is given
				// to avoid sortUnique([6, "6", 6]) => [6, "6", 6]
				if (a[i] == a[i - 1]) {
					a.splice(i--, 1);
				}
			}
		}
		return a;
	}

	/**
	 * Shallow comparison of two arrays.
	 *
	 * @param a, b
	 *        The arrays to compare.
	 * @param equalFn
	 *        A custom comparison function that accepts two values a and
	 *        b from the given arrays and returns true or false for
	 *        equal and not equal respectively.
	 *
	 *        If no equalFn is provided, the algorithm will use the strict
	 *        equals operator.
	 * @return
	 *        True if all items in a and b are equal, false if not.
	 */
	function equal(a, b, equalFn) {
		var i,
			len = a.length;
		if (len !== b.length) {
			return false;
		}
		if (equalFn) {
			for (i = 0; i < len; i++) {
				if (!equalFn(a[i], b[i])) {
					return false;
				}
			}
		} else {
			for (i = 0; i < len; i++) {
				if (a[i] !== b[i]) {
					return false;
				}
			}
		}
		return true;
	}

	/**
	 * Emulates ECMAScript edition 5 Arrays.map
	 * See https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Array/map
	 * And http://es5.github.com/#x15.4.4.19
	 * It's not exactly according to standard, but it does what one expects.
	 */
	function map(a, fn) {
		var i, len, result = [];
		for (i = 0, len = a.length; i < len; i++) {
			result.push(fn(a[i]));
		}
		return result;
	}

	function mapNative(a, fn) {
		// Call map directly on the object instead of going through
		// Array.prototype.map. This avoids the problem that we may get
		// passed an array-like object (NodeList) which may cause an
		// error if the implementation of Array.prototype.map can only
		// deal with arrays (Array.prototype.map may be native or
		// provided by a javscript framework).
		return a.map(fn);
	}

	/**
	 * Returns a new array that contains all values in the given a for
	 * which pred returns true.
	 */
	function filter(a, pred) {
		var i,
		    len,
		    value,
		    result = [];
		for (i = 0, len = a.length; i < len; i++) {
			value = a[i];
			if (pred(value)) {
				result.push(value);
			}
		}
		return result;
	}

	/**
	 * Finds a value in the given array.
	 * Strict comparison is used to find the value.
	 * Returns the index of the first occurrence of the given value in
	 * the given a, or -1 if a contains no such value.
	 */
	function indexOf(a, value) {
		var i,
		    len;
		for (i = 0, len = a.length; i < len; i++) {
			if (value === a[i]) {
				return i;
			}
		}
		return -1;
	}

	/**
	 * Reduces an array of values to a single value.
	 *
	 * For example:
	 * Arrays.reduce([2, 3, 4], 1, function (a, b) { return a + b; });
	 * returns the result of (((1 + 2) + 3) + 4)
	 *
	 * Emulates ECMAScript edition 5 Array.reduce.
	 *
	 * @param a
	 *        An array of values.
	 * @param init
	 *        An initial value.
	 * @param fn
	 *        A function that takes two values and returns the reduction
	 *        of both.
	 */
	function reduce(a, init, fn) {
		var i,
		    len;
		for (i = 0, len = a.length; i < len; i++) {
			init = fn(init, a[i]);
		}
		return init;
	}

	/**
	 * Returns true if the given xs contains the given x.
	 */
	function contains(xs, x) {
		return -1 !== indexOf(xs, x);
	}

	/**
	 * Applies the given value to the given function unless the value is
	 * null, in which case just returns null.
	 *
	 * This is a utility function to be used with reduce().
	 */
	function applyNotNull(value, fn) {
		return value == null ? null : fn(value);
	}

	/**
	 * For each item in xs, call cb(item, index, xs).
	 *
	 * Emulates ECMAScript edition 5 Array.forEach.
	 */
	function forEach(xs, cb) {
		var i,
		    len;
		for (i = 0, len = xs.length; i < len; i++) {
			cb(xs[i], i, xs);
		}
	}

	/**
	 * Returns true if the given predicate function returns true for at
	 * least one item.
	 *
	 * Emulates ECMAScript edition 5 Array.some.
	 */
	function some(xs, pred) {
		var i,
		    len;
		for (i = 0, len = xs.length; i < len; i++) {
			if (pred(xs[i])) {
				return true;
			}
		}
		return false;
	}

	/**
	 * Returns true if the given predicate function returns true for all
	 * items in xs.
	 *
	 * Emulates ECMAScript edition 5 Array.every.
	 */
	function every(xs, pred) {
		return !some(xs, Fn.complement(pred));
	}

	/**
	 * Returns concatenation of two arrays.
	 * @param {Array} xs
	 * @param {Array} zx
	 * @returns {Array}
	 */
	function concat(xs, zx) {
		return xs.concat(zx);
	}

	/**
	 * Returns all items in xs that are also contained in zs.
	 */
	function intersect(xs, zs) {
		return filter(xs, function (x) {
			return contains(zs, x);
		});
	}

	/**
	 * Returns all items in xs that are not contained in zs.
	 */
	function subtract(xs, zs) {
		return filter(xs, function (x) {
			return !contains(zs, x);
		});
	}

	/**
	 * Returns the last item in xs or null.
	 */
	function last(xs) {
		return xs.length ? xs[xs.length - 1] : null;
	}

	/**
	 * Returns the second item in xs.
	 */
	function second(xs) {
		return xs[1];
	}

	/**
	 * Coerces the given object (NodeList, arguments) to an array.
	 * @param  {*} list
	 * @return {Array}
	 */
	function coerce(list) {
		var i;
		var len;
		var resultArray = [];

		for (i = 0, len = list.length; i < len; i++) {
			resultArray.push(list[i]);
		}

		return resultArray;
	}

	/**
	 * Checks if `array` is empty.
	 * @param {Array.<*>} array
	 * @return {boolean}
	 */
	function isEmpty(array) {
		return array.length === 0;
	}

	return {
		filter: filter,
		indexOf: indexOf,
		reduce: reduce,
		forEach: forEach,
		some: some,
		every: every,
		map: Array.prototype.map ? mapNative : map,
		contains: contains,
		equal: equal,
		applyNotNull: applyNotNull,
		sortUnique: sortUnique,
		intersect: intersect,
		subtract: subtract,
		second: second,
		last: last,
		coerce: coerce,
		isEmpty: isEmpty,
		concat: concat
	};
});

/* strings.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('util/strings',['jquery'], function ($) {
	'use strict';

	var spacesRx = /\s+/;

	/**
	 * Splits a string into individual words.
	 *
	 * Words are non-empty sequences of non-space characaters.
	 */
	function words(str) {
		var list = str.split(spacesRx);
		// "  x  ".split(/\s+/) => ["", "x", ""] (Chrome)
		// "".split(/\s+/) => [""] (Chrome)
		if (list.length && list[0] === "") {
			list.shift();
		}
		if (list.length && list[list.length - 1] === "") {
			list.pop();
		}
		return list;
	}

	/**
	 * Converst a dashes form into camel cased form.
	 *
	 * For example 'data-my-attr' becomes 'dataMyAttr'.
	 *
	 * @param {string} s
	 *        Should be all lowercase and should not begin with a dash
	 */
	function dashesToCamelCase(s) {
		return s.replace(/[\-]([a-z])/gi, function (all, upper) {
			return upper.toUpperCase();
		});
	}

	/**
	 * Converts a camel cased form into dashes form.
	 *
	 * For example
	 * 'dataMyAttr' becomes 'data-my-attr',
	 * 'dataAB'     becomes 'data-a-b'.
	 *
	 * @param {string} s
	 *        Should begin with a lowercase letter and should not contain dashes.
	 */
	function camelCaseToDashes(s) {
		return s.replace(/[A-Z]/g, function (match) {
			return '-' + match.toLowerCase();
		});
	}

	/**
	 * Split str along pattern, including matches in the result.
	 *
	 * Necssary because, although "xzx".split(/(z)/) results in
	 * ["x", "z", "x"] on most modern browsers, it results in
	 * ["x", "x"] on IE.
	 *
	 * @param pattern must include the g flag, otherwise will result in
	 * an endless loop.
	 */
	function splitIncl(str, pattern) {
		var result = [];
		var lastIndex = 0;
		var match;
		while (null != (match = pattern.exec(str))) {
			if (lastIndex < match.index) {
				result.push(str.substring(lastIndex, match.index));
				lastIndex = match.index;
			}
			lastIndex += match[0].length;
			result.push(match[0]);
		}
		if (lastIndex < str.length) {
			result.push(str.substring(lastIndex, str.length));
		}
		return result;
	}

	/**
	 * Returns true for the empty string, null and undefined.
	 */
	function empty(str) {
		return "" === str || null == str;
	}

	/**
	 * Parse a boolean value from a string or any other type
	 * this function returns true when the passed value is either
	 * 'true', 'TRUE', '1', 1 (number) or true (boolean)
	 *
	 * @param  mixed value the value to parse
	 * @return boolean     true if the value is considerd as "true"
	 */
	function parseBoolean(value) {
		if (value === true || value === 1) {
			return true;
		} else if (typeof value === 'string' || value instanceof String) {
			value = value.toLowerCase();
			return value === 'true' || value === '1';
		}
		return false;
	}

	return {
		words: words,
		dashesToCamelCase: dashesToCamelCase,
		camelCaseToDashes: camelCaseToDashes,
		splitIncl: splitIncl,
		empty: empty,
		parseBoolean: parseBoolean
	};
});

/* ephemera.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2014 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('util/browser',['aloha/core'], function (Aloha) {
	'use strict';
	return {
		mozilla : Aloha.browser.mozilla,
		ie8     : Aloha.browser.msie && parseInt(Aloha.browser.version, 10) < 9,
		ie7     : Aloha.browser.msie && parseInt(Aloha.browser.version, 10) < 8,
		ie      : Aloha.browser.msie
	};
});

/* dom2.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('util/dom2',[
	'aloha/core',
	'jquery',
	'util/functions',
	'util/maps',
	'util/arrays',
	'util/strings',
	'util/browser',
	'util/dom',
	'util/range'
], function (
	Aloha,
	$,
	Fn,
	Maps,
	Arrays,
	Strings,
	Browser,
	Dom1,
	RangeObject
) {
	'use strict';

	var spacesRx = /\s+/;
	var attrRegex = /\s([^\/<>\s=]+)(?:=(?:"[^"]*"|'[^']*'|[^>\/\s]+))?/g;

	/**
	 * Like insertBefore, inserts firstChild into parent before
	 * refChild, except also inserts all the following siblings of
	 * firstChild.
	 */
	function moveNextAll(parent, firstChild, refChild) {
		while (firstChild) {
			var nextChild = firstChild.nextSibling;
			parent.insertBefore(firstChild, refChild);
			firstChild = nextChild;
		}
	}

	/**
	 * Used to serialize outerHTML of DOM elements in older (pre-HTML5) Gecko,
	 * Safari, and Opera browsers.
	 *
	 * Beware that XMLSerializer generates an XHTML string (<div class="team" />
	 * instead of <div class="team"></div>).  It is noted here:
	 * http://stackoverflow.com/questions/1700870/how-do-i-do-outerhtml-in-firefox
	 * that some browsers (like older versions of Firefox) have problems with
	 * XMLSerializer, and an alternative, albeit more expensive option, is
	 * described.
	 *
	 * @type {XMLSerializer|null}
	 */
	var Serializer = window.XMLSerializer && new window.XMLSerializer();

	/**
	 * Gets the serialized HTML that describes the given DOM element and its
	 * innerHTML.
	 *
	 * Polyfill for older versions of Gecko, Safari, and Opera browsers.
	 * @see https://bugzilla.mozilla.org/show_bug.cgi?id=92264 for background.
	 *
	 * @param {HTMLElement} node DOM Element.
	 * @return {String}
	 */
	function outerHtml(node) {
		var html = node.outerHTML;
		if (typeof html !== 'undefined') {
			return html;
		}
		try {
			return Serializer ? Serializer.serializeToString(node) : node.xml;
		} catch (e) {
			return node.xml;
		}
	}

	/**
	 * Retrieves the names of all attributes from the given elmenet.
	 *
	 * Correctly handles the case that IE7 and IE8 have approx 70-90
	 * default attributes on each and every element.
	 *
	 * This implementation does not iterate over the elem.attributes
	 * property since that is much slower on IE7 (even when
	 * checking the attrNode.specified property). Instead it parses the
	 * HTML of the element. For elements with few attributes the
	 * performance on IE7 is improved by an order of magnitued.
	 *
	 * On IE7, when you clone a <button disabled="disabled"/> or an
	 * <input checked="checked"/> element the boolean properties will
	 * not be set on the cloned node. We choose the speed optimization
	 * over correctness in this case. The dom-to-xhtml plugin has a
	 * workaround for this case.
	 */
	function attrNames(elem) {
		var names = [];
		var html = outerHtml(elem.cloneNode(false));
		var match;
		while (null != (match = attrRegex.exec(html))) {
			names.push(match[1]);
		}
		return names;
	}

	/**
	 * Gets the attributes of the given element.
	 *
	 * See attrNames() for an edge case on IE7.
	 *
	 * @param elem
	 *        An element to get the attributes for.
	 * @return
	 *        An array containing [name, value] tuples for each attribute.
	 *        Attribute values will always be strings, but possibly empty strings.
	 */
	function attrs(elem) {
		var as = [];
		var visited = {};
		var names = attrNames(elem);
		var i;
		var len;
		for (i = 0, len = names.length; i < len; i++) {
			var name = names[i];
			var value = $.attr(elem, name);
			//IE9 Fix, "lang" value not in attributes
			if (name === "lang") {
				if (elem.lang) {
					value = elem.lang;
				}
			}
			if (null == value) {
				value = "";
			} else {
				value = value.toString();
			}
			//filter duplicates. IE 10 doesn't take care of duplicates
			if (!visited.hasOwnProperty(name)) {
				as.push([name, value]);
				visited[name] = true;
			}
		}
		return as;
	}

	/**
	 * Like indexByClass() but operates on a list of elements instead.
	 * The given list may be a NodeList, HTMLCollection, or an array.
	 */
	function indexByClassHaveList(elems, classMap) {
		var index = {},
		    indexed,
		    classes,
		    elem,
		    cls,
		    len,
		    i,
		    j;
		for (i = 0, len = elems.length; i < len; i++) {
			elem = elems[i];
			if (elem.className) {
				classes = Strings.words(elem.className);
				for (j = 0; j < classes.length; j++) {
					cls = classes[j];
					if (classMap[cls]) {
						indexed = index[cls];
						if (indexed) {
							indexed.push(elem);
						} else {
							index[cls] = [elem];
						}
					}
				}
			}
		}
		return index;
	}

	/**
	 * Indexes descendant elements based on the individual classes in
	 * the class attribute.
	 *
	 * Based on these observations;
	 * 
	 * * $('.class1, .class2') takes twice as long as $('.class1') on IE7.
	 *
	 * * $('.class1, .class2') is fast on IE8 (approx the same as
	 *   $('.class'), no matter how many classes), but if the individual
	 *   elements in the result set should be handled differently, the
	 *   subsequent hasClass('.class1') and hasClass('.class2') calls
	 *   slow things down again.
	 *
	 * * DOM traversal with elem.firstChild elem.nextSibling is very
	 *   slow on IE7 compared to just iterating over
	 *   root.getElementsByTagName('*').
	 *
	 * * $('name.class') is much faster than just $('.class'), but as
	 *   soon as you need a single class in classMap that may be present
	 *   on any element, that optimization doesn't gain anything since
	 *   then you have to examine every element.
	 *
	 * This function will always take approx. the same amount of time
	 * (on IE7 approx. equivalent to a single call to $('.class')) no
	 * matter how many entries there are in classMap to index.
	 *
	 * This function only makes sense for multiple entries in
	 * classMap. For a single class lookup, $('.class') or
	 * $('name.class') is fine (even better in the latter case).
	 *
	 * @param root
	 *        The root element to search for elements to index
	 *        (will not be included in search).
	 * @param classMap
	 *        A map from class name to boolean true.
	 * @return
	 *        A map from class name to an array of elements with that class.
	 *        Every entry in classMap for which elements have been found
	 *        will have a corresponding entry in the returned
	 *        map. Entries for which no elements have been found, may or
	 *        may not have an entry in the returned map.
	 */
	function indexByClass(root, classMap) {
		var elems;
		if (Browser.ie7) {
			elems = root.getElementsByTagName('*');
		} else {
			// Optimize for browsers that support querySelectorAll/getElementsByClassName.
			// On IE8 for example, if there is a relatively high
			// elems/resultSet ratio, performance can improve by a factor of 2.
			elems = $(root).find('.' + Maps.keys(classMap).join(',.'));
		}
		return indexByClassHaveList(elems, classMap);
	}

	/**
	 * Indexes descendant elements based on elem.nodeName.
	 *
	 * Based on these observations:
	 *
	 * * On IE8, for moderate values of names.length, individual calls to
	 *   getElementsByTagName is just as fast as $root.find('name, name,
	 *   name, name').
	 *
	 * * On IE7, $root.find('name, name, name, name') is extemely slow
	 *   (can be an order of magnitude slower than individual calls to
	 *    getElementsByTagName, why is that?).
	 *
	 * * Although getElementsByTagName is very fast even on IE7, when
	 *   names.length > 7 an alternative implementation that iterates
	 *   over all tags and checks names from a hashmap (similar to how
	 *   indexByClass does it) may become interesting, but
	 *   names.length > 7 is unlikely.
	 *
	 * This function only makes sense if the given names array has many
	 * entries. For only one or two different names, calling $('name')
	 * or context.getElementsByTagName(name) directly is fine (but
	 * beware of $('name, name, ...') as explained above).
	 *
	 * The signature of this function differs from indexByClass by not
	 * taking a map but instead an array of names.
	 *
	 * @param root
	 *        The root element to search for elements to index
	 *        (will not be included in search).
	 * @param names
	 *        An array of element names to look for.
	 *        Names must be in all-uppercase (the same as elem.nodeName).
	 * @return
	 *        A map from element name to an array of elements with that name.
	 *        Names will be all-uppercase.
	 *        Arrays will be proper arrays, not NodeLists.
	 *        Every entry in classMap for which elements have been found
	 *        will have a corresponding entry in the returned
	 *        map. Entries for which no elements have been found, may or
	 *        may not have an entry in the returned map.
	 */
	function indexByName(root, names) {
		var i,
		    index = {},
		    len;
		for (i = 0, len = names.length; i < len; i++) {
			var name = names[i];
			index[name] = $.makeArray(root.getElementsByTagName(name));
		}
		return index;
	}

	function nodeIndex(node) {
		var ret = 0;
		while (node.previousSibling) {
			ret++;
			node = node.previousSibling;
		}
		return ret;
	}

	/**
	 * Can't use elem.childNodes.length because
	 * http://www.quirksmode.org/dom/w3c_core.html
	 * "IE up to 8 does not count empty text nodes."
	 */
	function numChildren(elem) {
		var count = 0;
		var child = elem.firstChild;
		while (child) {
			count += 1;
			child = child.nextSibling;
		}
		return count;
	}

	function nodeLength(node) {
		if (1 === node.nodeType) {
			return numChildren(node);
		}
		if (3 === node.nodeType) {
			return node.length;
		}
		return 0;
	}

	function isAtEnd(node, offset) {
		return (1 === node.nodeType
				&& offset >= numChildren(node))
			|| (3 === node.nodeType
				&& offset === node.length
				&& !node.nextSibling);
	}

	/**
	 * @param node if a text node, should have a parent node.
	 */
	function nodeAtOffset(node, offset) {
		if (1 === node.nodeType && offset < numChildren(node)) {
			node = node.childNodes[offset];
		} else if (3 === node.nodeType && offset === node.length) {
			node = node.nextSibling || node.parentNode;
		}
		return node;
	}

	function removeShallow(node) {
		var parent = node.parentNode;
		moveNextAll(parent, node.firstChild, node);
		parent.removeChild(node);
	}

	/**
	 * Removes `node`.
	 * @param {Node} node
	 */
	function remove(node) {
		var parent = node.parentNode;
		if (parent) {
			parent.removeChild(node);
		}
	}

	function wrap(node, wrapper) {
		node.parentNode.replaceChild(wrapper, node);
		wrapper.appendChild(node);
	}

	function insert(node, ref, atEnd) {
		if (atEnd) {
			ref.appendChild(node);
		} else {
			ref.parentNode.insertBefore(node, ref);
		}
	}

	function Cursor(node, atEnd) {
		this.node = node;
		this.atEnd = atEnd;
	}

	/**
	 * A cursor has the added utility over other iteration methods of
	 * iterating over the end position of an element. The start and end
	 * positions of an element are immediately before the element and
	 * immediately after the last child respectively. All node positions
	 * except end positions can be identified just by a node. To
	 * distinguish between element start and end positions, the
	 * additional atEnd boolean is necessary.
	 */
	function cursor(node, atEnd) {
		return new Cursor(node, atEnd);
	}

	Cursor.prototype.next = function () {
		var node = this.node;
		var next;
		if (this.atEnd || 1 !== node.nodeType) {
			next = node.nextSibling;
			if (next) {
				this.atEnd = false;
			} else {
				next = node.parentNode;
				if (!next) {
					return false;
				}
				this.atEnd = true;
			}
			this.node = next;
		} else {
			next = node.firstChild;
			if (next) {
				this.node = next;
			} else {
				this.atEnd = true;
			}
		}
		return true;
	};

	Cursor.prototype.prev = function () {
		var node = this.node;
		var prev;
		if (this.atEnd) {
			prev = node.lastChild;
			if (prev) {
				this.node = prev;
			} else {
				this.atEnd = false;
			}
		} else {
			prev = node.previousSibling;
			if (prev) {
				if (1 === node.nodeType) {
					this.atEnd = true;
				}
			} else {
				prev = node.parentNode;
				if (!prev) {
					return false;
				}
			}
			this.node = prev;
		}
		return true;
	};

	Cursor.prototype.equals = function (cursor) {
		return cursor.node === this.node && cursor.atEnd === this.atEnd;
	};

	Cursor.prototype.clone = function (cursor) {
		return cursor(cursor.node, cursor.atEnd);
	};

	Cursor.prototype.insert = function (node) {
		return insert(node, this.node, this.atEnd);
	};

	/**
	 * @param offset if node is a text node, the offset will be ignored.
	 * @param node if a text node, should have a parent node.
	 */
	function cursorFromBoundaryPoint(node, offset) {
		return cursor(nodeAtOffset(node, offset), isAtEnd(node, offset));
	}

	function parentsUntil(node, pred) {
		var parents = [];
		var parent = node.parentNode;
		while (parent && !pred(parent)) {
			parents.push(parent);
			parent = parent.parentNode;
		}
		return parents;
	}

	function parentsUntilIncl(node, pred) {
		var parents = parentsUntil(node, pred);
		var topmost = parents.length ? parents[parents.length - 1] : node;
		if (topmost.parentNode) {
			parents.push(topmost.parentNode);
		}
		return parents;
	}

	function childAndParentsUntil(node, pred) {
		if (pred(node)) {
			return [];
		}
		var parents = parentsUntil(node, pred);
		parents.unshift(node);
		return parents;
	}

	function childAndParentsUntilIncl(node, pred) {
		if (pred(node)) {
			return [node];
		}
		var parents = parentsUntilIncl(node, pred);
		parents.unshift(node);
		return parents;
	}

	function childAndParentsUntilNode(node, untilNode) {
		return childAndParentsUntil(node, function (nextNode) {
			return nextNode === untilNode;
		});
	}

	function childAndParentsUntilInclNode(node, untilInclNode) {
		return childAndParentsUntilIncl(node, function (nextNode) {
			return nextNode === untilInclNode;
		});
	}

	function next(node, until, arg) {
		while (node && !until(node, arg)) {
			node = node.nextSibling;
		}
		return node;
	}

	function parent(node, until, arg) {
		while (node && !until(node, arg)) {
			node = node.parentNode;
		}
		return node;
	}

	function isTextNode(node) {
		return 3 === node.nodeType;
	}

	function splitTextNode(node, offset) {
		// Because node.splitText() is buggy on IE, split it manually.
		// http://www.quirksmode.org/dom/w3c_core.html
		var parent = node.parentNode;
		var text = node.nodeValue;
		if (0 === offset || offset >= text.length) {
			return node;
		}
		var before = document.createTextNode(text.substring(0, offset));
		var after = document.createTextNode(text.substring(offset, text.length));
		parent.insertBefore(before, node);
		parent.insertBefore(after, node);
		parent.removeChild(node);
		return before;
	}

	function adjustRangeAfterSplit(range, container, offset, setProp, splitNode, newNodeBeforeSplit) {
		if (container !== splitNode) {
			return;
		}
		var newNodeLength = newNodeBeforeSplit.length;
		if (offset === 0) {
			container = newNodeBeforeSplit.parentNode;
			offset = nodeIndex(newNodeBeforeSplit);
		} else if (offset < newNodeLength) {
			container = newNodeBeforeSplit;
		} else if (offset === newNodeLength) {
			container = newNodeBeforeSplit.parentNode;
			offset = nodeIndex(newNodeBeforeSplit) + 1;
		} else {// offset > newNodeLength
			var newNodeAfterSplit = newNodeBeforeSplit.nextSibling;
			container = newNodeAfterSplit;
			offset -= newNodeLength;
		}
		range[setProp].call(range, container, offset);
	}

	/**
	 * Splits the given text node at the given offset and, if the given
	 * range happens to have start or end containers equal to the given
	 * text node, adjusts it such that start and end position will point
	 * at the same position in the new text nodes.
	 *
	 * It is guaranteed that an adjusted boundary point will not point
	 * to the end of a text node. Instead, it will point to the next
	 * node. This guarantee often happens to be useful.
	 *
	 * If splitNode is not a text node, does nothing.
	 */
	function splitTextNodeAdjustRange(splitNode, splitOffset, range) {
		if (3 !== splitNode.nodeType) {
			return;
		}
		var sc = range.startContainer;
		var so = range.startOffset;
		var ec = range.endContainer;
		var eo = range.endOffset;
		var newNodeBeforeSplit = splitTextNode(splitNode, splitOffset);
		adjustRangeAfterSplit(range, sc, so, 'setStart', splitNode, newNodeBeforeSplit);
		adjustRangeAfterSplit(range, ec, eo, 'setEnd', splitNode, newNodeBeforeSplit);
	}

	function splitTextContainers(range) {
		var sc = range.startContainer;
		var so = range.startOffset;
		splitTextNodeAdjustRange(sc, so, range);
		// Because the range may have been adjusted.
		var ec = range.endContainer;
		var eo = range.endOffset;
		splitTextNodeAdjustRange(ec, eo, range);
	}

	function walkUntil(node, fn, until, arg) {
		while (node && !until(node, arg)) {
			var next = node.nextSibling;
			fn(node, arg);
			node = next;
		}
	}

	function walk(node, fn, arg) {
		walkUntil(node, fn, Fn.returnFalse, arg);
	}

	/**
	 * Depth-first postwalk of the given DOM node.
	 */
	function walkRec(node, fn, arg) {
		if (1 === node.nodeType) {
			walk(node.firstChild, function (node) {
				walkRec(node, fn, arg);
			});
		}
		fn(node, arg);
	}

	function walkUntilNode(node, fn, untilNode, arg) {
		walkUntil(node, fn, function (nextNode) {
			return nextNode === untilNode;
		}, arg);
	}

	function StableRange(range) {
		if (!range) {
			return;
		}
		this.startContainer = range.startContainer;
		this.startOffset = range.startOffset;
		this.endContainer = range.endContainer;
		this.endOffset = range.endOffset;
		this.commonAncestorContainer = range.commonAncestorContainer;
		this.collapsed = range.collapsed;
	}

	StableRange.prototype.update = function () {
		if (!this.startContainer || !this.endContainer) {
			return;
		}
		this.collapsed = (this.startContainer === this.endContainer
						  && this.startOffset === this.endOffset);
		var start = childAndParentsUntil(this.startContainer, Fn.returnFalse);
		var end   = childAndParentsUntil(this.endContainer, Fn.returnFalse);
		this.commonAncestorContainer = Arrays.intersect(start, end)[0];
	};

	StableRange.prototype.setStart = function (sc, so) {
		this.startContainer = sc;
		this.startOffset = so;
		this.update();
	};

	StableRange.prototype.setEnd = function (ec, eo) {
		this.endContainer = ec;
		this.endOffset = eo;
		this.update();
	};

	function setRangeStartFromCursor(range, cursor) {
		if (cursor.atEnd) {
			range.setStart(cursor.node, numChildren(cursor.node));
		} else {
			range.setStart(cursor.node.parentNode, nodeIndex(cursor.node));
		}
	}

	function setRangeEndFromCursor(range, cursor) {
		if (cursor.atEnd) {
			range.setEnd(cursor.node, numChildren(cursor.node));
		} else {
			range.setEnd(cursor.node.parentNode, nodeIndex(cursor.node));
		}
	}

	function setRangeFromRef(range, ref) {
		range.setStart(ref.startContainer, ref.startOffset);
		range.setEnd(ref.endContainer, ref.endOffset);
	}

	/**
	 * A native range is live, which means that modifying the DOM may
	 * mutate the range. Also, using setStart/setEnd may not set the
	 * properties correctly (the browser may perform its own
	 * normalization of boundary points). The behaviour of a native
	 * range is very erratic and should be converted to a stable range
	 * as the first thing in any algorithm.
	 */
	function stableRange(range) {
		return new StableRange(range);
	}

	/**
	 * The dom cursor passed to ignoreLeft and ignoreRight does not
	 * traverse positions inside text nodes. The exact rules for when
	 * text node containers are passed are as follows: If the left
	 * boundary point is inside a text node, trimming will start before
	 * it. If the right boundary point is inside a text node, trimming
	 * will start after it.
	 */
	function trimRange(range, ignoreLeft, ignoreRight) {
		if (range.collapsed) {
			return;
		}
		var start = cursorFromBoundaryPoint(range.startContainer, range.startOffset);
		var end = cursorFromBoundaryPoint(range.endContainer, range.endOffset);
		var setStart = false;
		while (!start.equals(end) && ignoreLeft(start) && start.next()) {
			setStart = true;
		}
		ignoreRight = ignoreRight || ignoreLeft;
		var setEnd = false;
		// Because if the right boundary points is inside a text node,
		// trimming starts after it.
		if (3 === range.endContainer.nodeType
			    && range.endOffset > 0
			    // Because the cursor already normalizes
			    // endOffset == endContainer.length to the node next after it.
			    && range.endOffset < range.endContainer.length
			    && end.next()) {
			if (ignoreRight(end)) {
				end.prev();
			}
		}
		while (!end.equals(start) && ignoreRight(end) && end.prev()) {
			setEnd = true;
		}
		if (setStart) {
			setRangeStartFromCursor(range, start);
		}
		if (setEnd) {
			setRangeEndFromCursor(range, end);
		}
	}

	function trimRangeClosingOpening(range, ignoreLeft, ignoreRight) {
		ignoreRight = ignoreRight || ignoreLeft;
		trimRange(range, function (cursor) {
			return cursor.atEnd || ignoreLeft(cursor.node);
		}, function (cursor) {
			var prev = cursor.atEnd ? cursor.node.lastChild : cursor.node.previousSibling;
			return !prev || ignoreRight(prev);
		});
	}

	function areRangesEq(a, b) {
		return a.startContainer === b.startContainer
			&& a.startOffset    === b.startOffset
			&& a.endContainer   === b.endContainer
			&& a.endOffset      === b.endOffset;
	}

	function insertSelectText(text, range) {
		// Because empty text nodes are generally not nice and even
		// cause problems with IE8 (elem.childNodes).
		if (!text.length) {
			return;
		}
		splitTextNodeAdjustRange(range.startContainer, range.startOffset, range);
		var node = nodeAtOffset(range.startContainer, range.startOffset);
		var atEnd = isAtEnd(range.startContainer, range.startOffset);
		// Because if the node following the insert position is already
		// a text node we can just reuse it.
		if (!atEnd && 3 === node.nodeType) {
			node.insertData(0, text);
			range.setStart(node, 0);
			range.setEnd(node, text.length);
			return;
		}
		// Because if the node preceding the insert position is already
		// a text node we can just reuse it.
		var prev;
		if (!atEnd) {
			prev = node.previousSibling;
		} else {
			prev = node.lastChild;
		}
		if (prev && 3 === prev.nodeType) {
			prev.insertData(prev.length, text);
			range.setStart(prev, prev.length - text.length);
			range.setEnd(prev, prev.length);
			return;
		}
		// Because if we can't reuse any text nodes, we have to insert a
		// new one.
		var textNode = document.createTextNode(text);
		insert(textNode, node, atEnd);
		range.setStart(textNode, 0);
		range.setEnd(textNode, textNode.length);
	}

	function collapseToEnd(range) {
		range.setStart(range.endContainer, range.endOffset);
	}

	function rangeFromRangeObject(alohaRange) {
		var range = Aloha.createRange();
		range.setStart(alohaRange.startContainer, alohaRange.startOffset);
		range.setEnd(alohaRange.endContainer, alohaRange.endOffset);
		return range;
	}

	function extendToWord(range) {
		var rangeObject = new RangeObject(range);
		Dom1.extendToWord(rangeObject);
		setRangeFromRef(range, rangeObject);
	}

	function cloneShallow(node) {
		return node.cloneNode(false);
	}

	/**
	 * Sets a style on the given element by modifying it's style attribute.
	 */
	function setStyle(node, name, value) {
		// Because only the empty string removes a style.
		$(node).css(name, null == value ? '' : value);
	}

	/**
	 * Gets a style from the given element's style attribute.
	 * Note that this is different from the computed/inherited style.
	 */
	function getStyle(node, name) {
		// Because IE7 needs dashesToCamelCase().
		name = Strings.dashesToCamelCase(name);
		return node.nodeType === 1 ? node.style[name] : null;
	}

	/**
	 * Gets the computed/inherited style of the given node.
	 * @param node may be a text node.
	 */
	function getComputedStyle(node, name) {
		if (node.currentStyle) {
			return node.currentStyle[name];
		}
		var doc = node.ownerDocument;
		if (doc.defaultView && doc.defaultView.getComputedStyle) {
			var styles = doc.defaultView.getComputedStyle(node, null);
			if (styles) {
				return styles[name] || styles.getPropertyValue(name);
			}
		}
		return null;
	}

	/**
	 * Given a node, will return node that succeeds it in the document order.
	 *
	 * For example, if this function is called recursively, starting from the
	 * text node "one" in the below DOM tree:
	 *
	 *	"one"
	 *	<b>
	 *		"two"
	 *		<u>
	 *			<i>
	 *				"three"
	 *			</i>
	 *		</u>
	 *		"four"
	 *	</b>
	 *	"five"
	 *
	 * forward() will return nodes in the following order:
	 *
	 * <b>...</b>, "two", <u>...</u>, <i>...</i>, "three", "four", "five"
	 *
	 * @param {DOMObject} node
	 * @param {Boolean} skipChildren true to skip the children of the node
	 * @return {DOMObject}
	 *         The succeeding node or null if the given node has no previous
	 *         siblings and no parent.
	 */
	function forward(node, skipChildren) {
		if (!skipChildren && node.firstChild) {
			return node.firstChild;
		}
		var next = node;
		while (next && !next.nextSibling) {
			next = next.parentNode;
		}
		return next && next.nextSibling;
	}

	/**
	 * Given a node, will return node that preceeds it in the document order.
	 *
	 * For example, if this function is called recursively, starting from the
	 * text node "five" in the below DOM tree:
	 *
	 *	"one"
	 *	<b>
	 *		"two"
	 *		<u>
	 *			<i>
	 *				"three"
	 *			</i>
	 *		</u>
	 *		"four"
	 *	</b>
	 *	"five"
	 *
	 * backward() will return nodes in the following order:
	 *
	 * "four", "three", <i>...</i>, <u>...</u>, "two", <b>...</b>, "one"
	 *
	 * @param {DOMObject} node
	 * @return {DOMObject}
	 *         The preceeding node or null if the given node has no previous
	 *         siblings and no parent.
	 */
	function backward(node) {
		var prev = node.previousSibling;
		while (prev && prev.lastChild) {
			prev = prev.lastChild;
		}
		return prev || node.parentNode;
	}

	/**
	 * Starting from the given node, and moving forwards through the DOM tree,
	 * searches for a node which returns `true` when applied to the predicate
	 * `match()`.
	 *
	 * @param {DOMObject} node
	 * @param {Function(DOMObject):Boolean} match
	 * @param {Function(DOMObject):Boolean} until
	 * @return {DOMObject}
	 */
	function findForward(node, match, until) {
		while (node && !until(node)) {
			if (match(node)) {
				return node;
			}
			node = forward(node);
		}
		return null;
	}

	/**
	 * Starting from the given node, and moving backwards through the DOM tree,
	 * searches for a node which returns `true` when applied to the predicate
	 * `match()`.
	 *
	 * @param {DOMObject} node
	 * @param {Function(DOMObject):Boolean} match
	 * @param {Function(DOMObject):Boolean} until
	 * @return {DOMObject}
	 */
	function findBackward(node, match, until) {
		while (node && !until(node)) {
			if (match(node)) {
				return node;
			}
			node = backward(node);
		}
		return null;
	}

	return {
		backward: backward,
		forward: forward,
		findForward: findForward,
		findBackward: findBackward,
		moveNextAll: moveNextAll,
		attrNames: attrNames,
		attrs: attrs,
		indexByClass: indexByClass,
		indexByName: indexByName,
		indexByClassHaveList: indexByClassHaveList,
		outerHtml: outerHtml,
		removeShallow: removeShallow,
		remove: remove,
		wrap: wrap,
		insert: insert,
		cursor: cursor,
		cursorFromBoundaryPoint: cursorFromBoundaryPoint,
		nodeAtOffset: nodeAtOffset,
		isAtEnd: isAtEnd,
		parentsUntil: parentsUntil,
		parentsUntilIncl: parentsUntilIncl,
		childAndParentsUntil: childAndParentsUntil,
		childAndParentsUntilIncl: childAndParentsUntilIncl,
		childAndParentsUntilNode: childAndParentsUntilNode,
		childAndParentsUntilInclNode: childAndParentsUntilInclNode,
		next: next,
		parent: parent,
		isTextNode: isTextNode,
		nodeIndex: nodeIndex,
		splitTextNode: splitTextNode,
		splitTextContainers: splitTextContainers,
		walk: walk,
		walkRec: walkRec,
		walkUntil: walkUntil,
		walkUntilNode: walkUntilNode,
		stableRange: stableRange,
		trimRange: trimRange,
		trimRangeClosingOpening: trimRangeClosingOpening,
		setRangeFromRef: setRangeFromRef,
		setRangeStartFromCursor: setRangeStartFromCursor,
		setRangeEndFromCursor: setRangeEndFromCursor,
		splitTextNodeAdjustRange: splitTextNodeAdjustRange,
		insertSelectText: insertSelectText,
		areRangesEq: areRangesEq,
		collapseToEnd: collapseToEnd,
		extendToWord: extendToWord,
		rangeFromRangeObject: rangeFromRangeObject,
		cloneShallow: cloneShallow,
		setStyle: setStyle,
		getStyle: getStyle,
		getComputedStyle: getComputedStyle,
		nodeLength: nodeLength
	};
});

/* html.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2013 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('util/html',[
	'jquery',
	'util/dom',
	'util/maps',
	'util/arrays'
], function (
	jQuery,
	Dom,
	Maps,
	Arrays
) {
	'use strict';

	var inlineFormattableMap = {
		'A': true,
		'B': true,
		'EM': true,
		'FONT': true,
		'I': true,
		'S': true,
		'SPAN': true,
		'STRIKE': true,
		'STRONG': true,
		'SUB': true,
		'SUP': true,
		'U': true
	};

	// NB: "block-level" is not technically defined for elements that are new in
	// HTML5.
	var BLOCKLEVEL_ELEMENTS = [
		'address',
		'article',    // HTML5
		'aside',      // HTML5
		'audio',      // HTML5
		'blockquote',
		'canvas',     // HTML5
		'dd',
		'div',
		'dl',
		'fieldset',
		'figcaption',
		'figure',
		'footer',
		'form',
		'h1', 'h2', 'h3', 'h4', 'h5', 'h6',
		'header',
		'hgroup',
		'hr',
		'noscript',
		'ol',
		'output',
		'p',
		'pre',
		'section',   // HTML5
		'table',
		'tfoot',
		'ul',
		'video'      // HTML5
	];

	/**
	 * Void elements are elements which are not permitted to contain content.
	 * https://developer.mozilla.org/en-US/docs/Web/HTML/Element
	 *
	 * @type {Object}
	 */
	var VOID_ELEMENTS = [
		'area',
		'base',
		'br',
		'col',
		'command',
		'embed',
		'hr',
		'img',
		'input',
		'keygen',
		'link',
		'meta',
		'param',
		'source',
		'track',
		'wbr'
	];

	/**
	 * Text-level semantic and edit elements to be remove during
	 * copying or pasting.
	 *
	 * See:
	 * http://dev.w3.org/html5/spec/text-level-semantics.html#usage-summary
	 *
	 * Configurable.
	 *
	 * @type {Array.<string>}
	 */
	var TEXT_LEVEL_SEMANTIC_ELEMENTS = [
		'a',
		'abbr',
		'b',
		'bdi',
		'bdo',
		'cite',
		'code',
		'del',
		'dfn',
		'em',
		'i',
		'ins',
		'kbd',
		'mark',
		'q',
		'rp',
		'rt',
		'ruby',
		's',
		'samp',
		'small',
		'strong',
		'sub',
		'sup',
		'time',
		'u',
		'var'
	];

	/**
	 * Unicode zero width space characters:
	 * http://www.unicode.org/Public/UNIDATA/Scripts.txt
	 *
	 * @const
	 * @type {Array.<string>}
	 */
	var ZERO_WIDTH_CHARACTERS = [
		'\\u200B', // ZWSP
		'\\u200C',
		'\\u200D',
		'\\uFEFF'  // ZERO WIDTH NO-BREAK SPACE
	];

	/**
	 * Unicode White_Space characters are those that have the Unicode property
	 * "White_Space" in the Unicode PropList.txt data file.
	 *
	 * http://www.unicode.org/Public/UNIDATA/PropList.txt
	 *
	 * @const
	 * @type {Array.<string>}
	 */
	var WHITE_SPACE_CHARACTERS_UNICODES = [
		'\\u0009',
		'\\u000A',
		'\\u000B',
		'\\u000C',
		'\\u000D',
		'\\u0020',
		'\\u0085',
		'\\u00A0', // NON BREAKING SPACE ("&nbsp;")
		'\\u1680',
		'\\u180E',
		'\\u2000',
		'\\u2001',
		'\\u2002',
		'\\u2003',
		'\\u2004',
		'\\u2005',
		'\\u2006',
		'\\u2007',
		'\\u2008',
		'\\u2009',
		'\\u200A',
		'\\u2028',
		'\\u2029',
		'\\u202F',
		'\\u205F',
		'\\u3000'
	];

	var wspChars = WHITE_SPACE_CHARACTERS_UNICODES.join('');

	/**
	 * Regular expression that checks whether a string consists only of one or
	 * more white space characters.
	 *
	 * @type {RegExp}
	 */
	var WSP_CHARACTERS = new RegExp('^[' + wspChars + ']+$');
	var WSP_CHARACTERS_LEFT = new RegExp('^[' + wspChars + ']+');
	var WSP_CHARACTERS_RIGHT = new RegExp('[' + wspChars + ']+$');

	/**
	 * Regular expression that matches one or more sequences of zero width
	 * characters.
	 *
	 * @type {RegExp}
	 */
	var ZWSP_CHARACTERS = new RegExp('[' + ZERO_WIDTH_CHARACTERS.join('') + ']+');
	var ZWSP_CHARACTERS_LEFT = new RegExp('^[' + ZERO_WIDTH_CHARACTERS.join('') + ']+');
	var ZWSP_CHARACTERS_RIGHT = new RegExp('[' + ZERO_WIDTH_CHARACTERS.join('') + ']+$');

	function isWSPorZWSPText(text) {
		return WSP_CHARACTERS.test(text) || ZWSP_CHARACTERS.test(text);
	}

	function isWSPorZWSPNode(node) {
		return 3 === node.nodeType && isWSPorZWSPText(node.data);
	}

	/**
	 * Checks is `elem` has only White Spaces chilren.
	 * @paran {Element} elem
	 */
	function hasOnlyWhiteSpaceChildren(elem) {
		var children = elem.childNodes;
		var i, len;
		for (i = 0, len = children.length; i < len; i++) {
			if (!isWSPorZWSPNode(children[i])) {
				return false;
			}
		}

		return true;
	}

	/**
	 * Map containing lowercase and uppercase tagnames of block element as keys
	 * mapped against true.
	 *
	 * @type {object<string, boolean>}
	 */
	var blocksTagnameMap = {};
	Maps.fillKeys(blocksTagnameMap, BLOCKLEVEL_ELEMENTS, true);
	Maps.fillKeys(
		blocksTagnameMap,
		Arrays.map(BLOCKLEVEL_ELEMENTS, function (str) {
			return str.toUpperCase();
		}),
		true
	);

	function isBlock(node) {
		return blocksTagnameMap[node.nodeName];
	}

	function isIgnorableWhitespace(node) {
		return 3 === node.nodeType && !node.length;
	}

	function isInlineFormattable(node) {
		return inlineFormattableMap[node.nodeName];
	}

	/**
	 * Checks whether the given element is a block that contains a "propping"
	 * <br> element.
	 *
	 * A propping <br> is one which is inserted into block element to ensure
	 * that the otherwise empty element will be rendered visibly.
	 *
	 * @param {HTMLElement} node
	 * @return {boolean} True if node contains a propping <br>
	 */
	function isProppedBlock(node) {
		if (!blocksTagnameMap[node.nodeName]) {
			return false;
		}
		var found = false;
		var kids = node.children;
		var len = kids.length;
		var i;
		for (i = 0; i < len; i++) {
			if (!found && 'br' === kids[i].nodeName.toLowerCase()) {
				found = true;
			} else if (!isIgnorableWhitespace(kids[i])) {
				return false;
			}
		}
		return found;
	}

	function isEditingHost(node) {
		return 1 === node.nodeType && "true" === node.contentEditable;
	}

	/**
	 * Starting from the given node, and working backwards through the siblings,
	 * find the node that satisfies the given condition.
	 *
	 * @param {HTMLElement} node The node at which to start the search.
	 * @param {function(HTMLElement):boolean} condition A predicate the receives
	 *                                        one of children of `node`.
	 *
	 * @return {HTMLElement} The first node that meets the given condition.
	 */
	function findNodeRight(node, condition) {
		while (node && !condition(node)) {
			node = node.previousSibling;
		}
		return node;
	}

	function findNodeLeft(node, condition) {
		while (node && !condition(node)) {
			node = node.nextSibling;
		}
		return node;
	}

	/**
	 * Checks if the given editable is a valid container for paragraphs.
	 *
	 * @param {Aloha.Editable} editable The editable to be checked
	 *
	 * @return {boolean} False if the editable may not contain paragraphs
	 */
	function allowNestedParagraph(editable) {
		if (editable.obj[0] && Dom.allowsNesting(editable.obj[0], jQuery("<p>")[0])) {
			return true;
		}
		return false;
	}

	/**
	 * Removes a strange characters from at the beginning and end of the string
	 * 
	 * @param {String} str A string to be trimmed
	 * 
	 * @return {String}
	 */
	function trimWhitespaceCharacters(str) {
		return str
			.replace(WSP_CHARACTERS_LEFT, '')
			.replace(WSP_CHARACTERS_RIGHT, '')
			.replace(ZWSP_CHARACTERS_LEFT, '')
			.replace(ZWSP_CHARACTERS_RIGHT, '');
	}

	/**
	 * Checks if `node` is unrendered.
	 * @param {Node} node Node to be checked
	 * @return {boolean} true if `node` is unrendered, false otherwise.
	 */
	function isUnrenderedNode(node) {
		if (3 === node.nodeType && 0 === node.data.length) {
			return true;
		}
		if ((node === node.parentNode.lastChild)
				&& isBlock(node.parentNode)
					&& 'BR' === node.nodeName) {
			return true;
		}
		return isWSPorZWSPNode(node);
	}

	/**
	 * Checks if `node` is rendered.
	 * @param {Node} node Node to be checked
	 * @return {boolean} true if `node` is rendered, false otherwise.
	 */
	function isRenderedNode(node) {
		return !isUnrenderedNode(node);
	}
	return {
		BLOCKLEVEL_ELEMENTS: BLOCKLEVEL_ELEMENTS,
		VOID_ELEMENTS: VOID_ELEMENTS,
		TEXT_LEVEL_SEMANTIC_ELEMENTS: TEXT_LEVEL_SEMANTIC_ELEMENTS,
		isBlock: isBlock,
		isIgnorableWhitespace: isIgnorableWhitespace,
		isInlineFormattable: isInlineFormattable,
		isProppedBlock: isProppedBlock,
		isEditingHost: isEditingHost,
		findNodeLeft: findNodeLeft,
		findNodeRight: findNodeRight,
		allowNestedParagraph: allowNestedParagraph,
		trimWhitespaceCharacters: trimWhitespaceCharacters,
		isWSPorZWSPNode: isWSPorZWSPNode,
		isWSPorZWSPText: isWSPorZWSPText,
		isUnrenderedNode: isUnrenderedNode,
		isRenderedNode: isRenderedNode,
		hasOnlyWhiteSpaceChildren: hasOnlyWhiteSpaceChildren
	};
});

/* content-rules.js is part of the Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2014 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 * License http://aloha-editor.org/license.php
 */
define('aloha/content-rules',[
	'PubSub',
	'aloha/core',
	'util/dom2',
	'util/arrays',
	'util/html',
	'aloha/jquery'
], function (
	PubSub,
	Aloha,
	Dom,
	Arrays,
	Html,
	$
) {
	'use strict';

	/**
	 * White list node names for list elements.
	 * @type {Array.<string>}
	 */
	var LIST_WHITELIST_NODE_NAMES = ['li'];

	/**
	 * White list node names for table elements.
	 * @type {Array.<string>}
	 */
	var TABLE_WHITELIST_NODE_NAMES = ['caption', 'colgroup', 'col', 'thead', 'tbody', 'tfoot', 'td', 'th'];

	/**
	 * Node names for editables where block-level elements may be inserted.
	 * @type {Array.<string>}
	 */
	var ALLOWED_BLOCKLEVEL_INSERT_EDITABLE_NODE_NAMES = ['div', 'p', 'pre', 'header', 'nav', 'main', 'mark', 'section', 'article', 'aside', 'footer', 'summary', 'details'];

	/**
	 * Add default rules for some elements.
	 * @param {Object.<string, Array.<string>>}
	 * @return {Object.<string, Array.<string>>}
	 */
	function addDefaultRules(mapRules) {
		var selector;
		for (selector in mapRules) {
			if (mapRules.hasOwnProperty(selector)) {
				if (Arrays.contains(mapRules[selector], 'ol') || Arrays.contains(mapRules[selector], 'ul')) {
					mapRules[selector] = Arrays.concat(mapRules[selector], LIST_WHITELIST_NODE_NAMES);
				}
				if (Arrays.contains(mapRules[selector], 'table')) {
					mapRules[selector] = Arrays.concat(mapRules[selector], TABLE_WHITELIST_NODE_NAMES);
				}
			}
		}
		return mapRules;
	}

	/**
	 * Whitelist rules.
	 *
	 * @private
	 * @type {Object.<string, Array.<string>>}
	 */
	var whitelist = addDefaultRules((
		Aloha.settings &&
		Aloha.settings.contentRules &&
		Aloha.settings.contentRules.whitelist
	) || {});

	/**
	 * Blacklist rules.
	 *
	 * @private
	 * @type {Object.<string, Array.<string>>}
	 */
	var blacklist = (
		Aloha.settings &&
		Aloha.settings.contentRules &&
		Aloha.settings.contentRules.blacklist
	) || {};

	/**
	 * Translation rules.
	 *
	 * @private
	 * @type {Object<string, string>}
	 */
	var translations = (
		Aloha.settings &&
		Aloha.settings.contentRules &&
		Aloha.settings.contentRules.translate
	) || {};

	/**
	 * Retrieves a list of all rules in a specified table that are applicable
	 * the given editable.
	 *
	 * @private
	 * @param {Element}                        editable
	 * @param {Object<string, Array.<string>}} table
	 */
	function getRules(editable, table) {
		var $editable = $(editable);
		var rules = [];
		var selector;
		for (selector in table) {
			if (table.hasOwnProperty(selector) && $editable.is(selector)) {
				rules.push(table[selector]);
			}
		}
		return rules;
	}

	/**
	 * Concatenates the given list of lists into a single set.
	 *
	 * @private
	 * @param  {Array.<Array<string>>} lists
	 * @return {Array.<string>}
	 */
	function setcat(lists) {
		var result = [];
		$.each(lists, function (index, item) {
			result = result.concat(item);
		});
		$.unique(result);
		return result;
	}

	/**
	 * These element's cannot be simply unwrapped because they have dependent
	 * children.
	 *
	 * @private
	 * @see  GROUPED_ELEMENTS
	 * @type {<string, boolean>}
	 */
	var GROUP_CONTAINERS = {
		FIELDSET : true,
		OBJECT   : true,
		FIGURE   : true,
		AUDIO    : true,
		SELECT   : true,
		COLGROUP : true,
		HGROUP   : true,
		TABLE    : true,
		TBODY    : true,
		TR       : true,
		OL       : true,
		UL       : true,
		DL       : true,
		MENU     : true
	};

	/**
	 * These element's cannot be simply unwrapped because their parents only
	 * allow these as their immediate child nodes.
	 *
	 * @private
	 * @see  GROUP_CONTAINERS
	 * @type {<string, Array.<string>}
	 */
	var GROUPED_ELEMENTS = {
		LI    : ['OL', 'UL', 'DL'],
		DT    : ['DL'],
		DD    : ['DL'],
		TBODY : ['TABLE'],
		TR    : ['TABLE', 'TBODY'],
		TH    : ['TABLE', 'TBODY'],
		TD    : ['TR', 'TH']
	};

	/**
	 * Checks whether nodes of the specified nodeName are allowed in the given
	 * editable.
	 *
	 * @param  {Element} editable
	 * @param  {string}  nodeName
	 * @return {boolean}
	 */
	function isAllowed(editable, nodeName) {
		if (Html.BLOCKLEVEL_ELEMENTS.includes(nodeName.toLowerCase())) {
			if (!ALLOWED_BLOCKLEVEL_INSERT_EDITABLE_NODE_NAMES.includes(editable.nodeName.toLowerCase())) {
				return false;
			}
		}

		var white = getRules(editable, whitelist);
		// Because if no rules are configured for this editable then permit all
		if (white.length > 0) {
			// Because textnode are always to be permitted by default. They
			// must be explicitly blacklisted if undesired
			if (!Arrays.contains(setcat(['#text'].concat(white)), nodeName.toLowerCase())) {
				return false;
			}
		}
		var black = getRules(editable, blacklist);
		if (black.length > 0) {
			return !Arrays.contains(setcat(black), nodeName.toLowerCase());
		}
		return true;
	}

	/**
	 * Translates nodes from one name to another (eg: i to em) if translation is
	 * configured for the given editable.
	 *
	 * @param  {Element} editable
	 * @param  {string}  nodeName
	 * @return {string}  Translated nodeName
	 */
	function translate(editable, nodeName) {
		var rules = $.extend.apply({}, getRules(editable, translations));
		return rules[nodeName.toLowerCase()] || nodeName;
	}

	/**
	 * Given a string of html content to be inserted in a specified editable
	 * element, will strip away any elements which are disallowed and translate
	 * any according to the Content Rules configuration.
	 *
	 * @param  {string}  content
	 * @param  {Element} editable
	 * @return {string}
	 */
	function applyRules(content, editable) {
		var doc = editable.ownerDocument;
		var container = doc.createElement('div');
		container.innerHTML = content;
		var node = Dom.forward(container);
		while (node) {
			//skip over node if it is a aloha-block, because we want to keep elements inside
			if ($(node).hasClass('aloha-block')) {
				node = Dom.forward(node, true);
			} else {
				var translation = translate(editable, node.nodeName);
				if (translation !== node.nodeName) {
					var replacement = doc.createElement(translation);
					replacement.innerHTML = node.innerHTML;
					node.parentNode.replaceChild(replacement, node);
					node = replacement;
				}
				if (isAllowed(editable, node.nodeName)) {
					node = Dom.forward(node);
				} else if (GROUP_CONTAINERS[node.nodeName] || GROUPED_ELEMENTS[node.nodeName]) {
					// Because `node` is being entirely removed, we skip over, and
					// do not descend its subtree
					var prev = Dom.backward(node);
					node.parentNode.removeChild(node);
					node = Dom.forward(prev);
				} else {
					var next = Dom.forward(node);
					Dom.removeShallow(node);
					node = next;
				}
			}
		}
		return container.innerHTML;
	}

	return {
		isAllowed  : isAllowed,
		translate  : translate,
		applyRules : applyRules
	};
});

define('aloha/engine',[
	'aloha/core',
	'aloha/ecma5shims',
	'util/maps',
	'util/html',
	'util/dom',
	'util/dom2',
	'jquery',
	'aloha/content-rules',
	'PubSub'
], function (
	Aloha,
	$_,
	Maps,
	Html,
	Dom,
	Dom2,
	jQuery,
	ContentRules,
	PubSub
) {
	"use strict";

	/**
	 *
	 * @param obj
	 * @param attr
	 * @returns {Boolean} true
	 */
	function hasAttribute(obj, attr) {
		var native_method = obj.hasAttribute;
		if (native_method) {
			return obj.hasAttribute(attr);
		}
		return (typeof obj.attributes[attr] !== 'undefined');
	}

	/**
	 * Insert the node `node` after `preceding`.
	 *
	 * @param {Element} node
	 * @param {Element} preceding
	 * @return {Element}
	 */
	function insertAfter(node, preceding) {
		var next = preceding.nextSibling,
		    parent = preceding.parentNode;
		if (next) {
			parent.insertBefore(node, next);
		} else {
			parent.appendChild(node);
		}
		return node;
	}

	/**
	 * Splits text node `node` at the given text index.
	 *
	 * Note that we cannot use splitText() because it is bugridden in IE 9.
	 *
	 * Borrowed from rangy.
	 *
	 * @param {Element} node
	 * @param {number} index
	 * @return {Element}
	 */
	function splitText(node, index) {
		var newNode = node.cloneNode(false);
		newNode.deleteData(0, index);
		node.deleteData(index, node.length - index);
		insertAfter(newNode, node);
		return newNode;
	}

	var htmlNamespace = "http://www.w3.org/1999/xhtml";

	var cssStylingFlag = false;

	// This is bad :(
	var globalRange = null;

	// Commands are stored in a dictionary where we call their actions and such
	var commands = {};

	///////////////////////////////////////////////////////////////////////////////
	////////////////////////////// Utility functions //////////////////////////////
	///////////////////////////////////////////////////////////////////////////////
	//@{

	// Opera 11 puts HTML elements in the null namespace, it seems.
	function isHtmlNamespace(ns) {
		return ns === null || !ns || ns === htmlNamespace;
	}

	// "An HTML element is an Element whose namespace is the HTML namespace."
	//
	// I allow an extra argument to more easily check whether something is a
	// particular HTML element, like isNamedHtmlElement(node, 'OL').  It accepts arrays
	// too, like isHtmlElementInArray(node, ["OL", "UL"]) to check if it's an ol or ul.
	// TODO This function was prominent during profiling. Remove it
	//      and replace with calls to isAnyHtmlElement, isNamedHtmlElement
	//      and is isMappedHtmlElement.
	function isHtmlElement_obsolete(node, tags) {
		if (typeof tags == "string") {
			tags = [tags];
		}
		if (typeof tags == "object") {
			tags = $_(tags).map(function (tag) {
				return tag.toUpperCase();
			});
		}
		return node && node.nodeType == 1 && isHtmlNamespace(node.namespaceURI) && (typeof tags == "undefined" || $_(tags).indexOf(node.tagName) != -1);
	}

	function isAnyHtmlElement(node) {
		return node && node.nodeType == 1 && isHtmlNamespace(node.namespaceURI);
	}

	// name should be uppercase
	function isNamedHtmlElement(node, name) {
		return node && node.nodeType == 1 && isHtmlNamespace(node.namespaceURI)
		// This function is passed in a mix of upper and lower case names
			&& name.toUpperCase() === node.nodeName;
	}

	// TODO remove when isHtmlElementInArray is removed
	function arrayContainsInsensitive(array, str) {
		var i, len;
		str = str.toUpperCase();
		for (i = 0, len = array.length; i < len; i++) {
			if (array[i].toUpperCase() === str) {
				return true;
			}
		}
		return false;
	}
	// TODO replace calls to this function with calls to isMappedHtmlElement()
	function isHtmlElementInArray(node, array) {
		return node && node.nodeType == 1 && isHtmlNamespace(node.namespaceURI)
		// This function is passed in a mix of upper and lower case names
			&& arrayContainsInsensitive(array, node.nodeName);
	}

	// map must have all-uppercase keys
	function isMappedHtmlElement(node, map) {
		return node && node.nodeType == 1 && isHtmlNamespace(node.namespaceURI) && map[node.nodeName];
	}

	/**
	 * Method to count the number of styles in the given style
	 */
	function getStyleLength(node) {
		var s;
		var styleLength = 0;

		if (!node) {
			return 0;
		}

		if (!node.style) {
			return 0;
		}

		// some browsers support .length on styles
		if (typeof node.style.length !== 'undefined') {
			return node.style.length;
		}

		/*jslint forin: true*/ //not sure whether node.style.hasOwnProperty is valid
		for (s in node.style) {
			if (node.style[s] && node.style[s] !== 0 && node.style[s] !== 'false') {
				styleLength++;
			}
		}
		/*jslint forin: false*/

		return styleLength;
	}

	function toArray(obj) {
		if (!obj) {
			return null;
		}
		var array = [],
			i,
		    l = obj.length;
		// iterate backwards ensuring that length is an UInt32
		i = l >>> 0;
		while (i--) {
			array[i] = obj[i];
		}
		return array;
	}

	function nextNodeDescendants(node) {
		while (node && !node.nextSibling) {
			node = node.parentNode;
		}
		if (!node) {
			return null;
		}
		return node.nextSibling;
	}

	function nextNode(node) {
		if (node.hasChildNodes()) {
			return node.firstChild;
		}
		return nextNodeDescendants(node);
	}

	function previousNode(node) {
		if (node.previousSibling) {
			node = node.previousSibling;
			while (node.hasChildNodes()) {
				node = node.lastChild;
			}
			return node;
		}
		if (node.parentNode && node.parentNode.nodeType == $_.Node.ELEMENT_NODE) {
			return node.parentNode;
		}
		return null;
	}

	/**
	 * Returns true if ancestor is an ancestor of descendant, false otherwise.
	 */
	function isAncestor(ancestor, descendant) {
		return ancestor && descendant && Boolean($_.compareDocumentPosition(ancestor, descendant) & $_.Node.DOCUMENT_POSITION_CONTAINED_BY);
	}

	/**
	 * Returns true if ancestor is an ancestor of or equal to descendant, false
	 * otherwise.
	 */
	function isAncestorContainer(ancestor, descendant) {
		return (ancestor || descendant) && (ancestor == descendant || isAncestor(ancestor, descendant));
	}

	/**
	 * Returns true if descendant is a descendant of ancestor, false otherwise.
	 */
	function isDescendant(descendant, ancestor) {
		return ancestor && descendant && Boolean($_.compareDocumentPosition(ancestor, descendant) & $_.Node.DOCUMENT_POSITION_CONTAINED_BY);
	}

	/**
	 * Returns true if node1 is before node2 in tree order, false otherwise.
	 */
	function isBefore(node1, node2) {
		return Boolean($_.compareDocumentPosition(node1, node2) & $_.Node.DOCUMENT_POSITION_FOLLOWING);
	}

	/**
	 * Returns true if node1 is after node2 in tree order, false otherwise.
	 */
	function isAfter(node1, node2) {
		return Boolean($_.compareDocumentPosition(node1, node2) & $_.Node.DOCUMENT_POSITION_PRECEDING);
	}

	function getAncestors(node) {
		var ancestors = [];
		while (node.parentNode) {
			ancestors.unshift(node.parentNode);
			node = node.parentNode;
		}
		return ancestors;
	}

	function getDescendants(node) {
		var descendants = [];
		var stop = nextNodeDescendants(node);
		while (null != (node = nextNode(node)) && node != stop) {
			descendants.push(node);
		}
		return descendants;
	}

	function convertProperty(property) {
		// Special-case for now
		var map = {
			"fontFamily": "font-family",
			"fontSize": "font-size",
			"fontStyle": "font-style",
			"fontWeight": "font-weight",
			"textDecoration": "text-decoration"
		};
		if (typeof map[property] != "undefined") {
			return map[property];
		}

		return property;
	}

	// Return the <font size=X> value for the given CSS size, or undefined if there
	// is none.
	function cssSizeToLegacy(cssVal) {
		return {
			"xx-small": 1,
			"small": 2,
			"medium": 3,
			"large": 4,
			"x-large": 5,
			"xx-large": 6,
			"xxx-large": 7
		}[cssVal];
	}

	// Return the CSS size given a legacy size.
	function legacySizeToCss(legacyVal) {
		return {
			1: "xx-small",
			2: "small",
			3: "medium",
			4: "large",
			5: "x-large",
			6: "xx-large",
			7: "xxx-large"
		}[legacyVal];
	}

	// "the directionality" from HTML.  I don't bother caring about non-HTML
	// elements.
	//
	// "The directionality of an element is either 'ltr' or 'rtl', and is
	// determined as per the first appropriate set of steps from the following
	// list:"
	function getDirectionality(element) {
		// "If the element's dir attribute is in the ltr state
		//     The directionality of the element is 'ltr'."
		if (element.dir == "ltr") {
			return "ltr";
		}

		// "If the element's dir attribute is in the rtl state
		//     The directionality of the element is 'rtl'."
		if (element.dir == "rtl") {
			return "rtl";
		}

		// "If the element's dir attribute is in the auto state
		// "If the element is a bdi element and the dir attribute is not in a
		// defined state (i.e. it is not present or has an invalid value)
		//     [lots of complicated stuff]
		//
		// Skip this, since no browser implements it anyway.

		// "If the element is a root element and the dir attribute is not in a
		// defined state (i.e. it is not present or has an invalid value)
		//     The directionality of the element is 'ltr'."
		if (!isAnyHtmlElement(element.parentNode)) {
			return "ltr";
		}

		// "If the element has a parent element and the dir attribute is not in a
		// defined state (i.e. it is not present or has an invalid value)
		//     The directionality of the element is the same as the element's
		//     parent element's directionality."
		return getDirectionality(element.parentNode);
	}

	//@}

	///////////////////////////////////////////////////////////////////////////////
	///////////////////////////// DOM Range functions /////////////////////////////
	///////////////////////////////////////////////////////////////////////////////
	//@{

	// "The length of a Node node is the following, depending on node:
	//
	// ProcessingInstruction
	// DocumentType
	//   Always 0.
	// Text
	// Comment
	//   node's length.
	// Any other node
	//   node's childNodes's length."
	function getNodeLength(node) {
		switch (node.nodeType) {
		case $_.Node.PROCESSING_INSTRUCTION_NODE:
		case $_.Node.DOCUMENT_TYPE_NODE:
			return 0;

		case $_.Node.TEXT_NODE:
		case $_.Node.COMMENT_NODE:
			return node.length;

		default:
			return node.childNodes.length;
		}
	}

	/**
	 * The position of two boundary points relative to one another, as defined by
	 * DOM Range.
	 */
	function getPosition(nodeA, offsetA, nodeB, offsetB) {
		// "If node A is the same as node B, return equal if offset A equals offset
		// B, before if offset A is less than offset B, and after if offset A is
		// greater than offset B."
		if (nodeA == nodeB) {
			if (offsetA == offsetB) {
				return "equal";
			}
			if (offsetA < offsetB) {
				return "before";
			}
			if (offsetA > offsetB) {
				return "after";
			}
		}

		var documentPosition = $_.compareDocumentPosition(nodeB, nodeA);
		// "If node A is after node B in tree order, compute the position of (node
		// B, offset B) relative to (node A, offset A). If it is before, return
		// after. If it is after, return before."
		if (documentPosition & $_.Node.DOCUMENT_POSITION_FOLLOWING) {
			var pos = getPosition(nodeB, offsetB, nodeA, offsetA);
			if (pos == "before") {
				return "after";
			}
			if (pos == "after") {
				return "before";
			}
		}

		// "If node A is an ancestor of node B:"
		if (documentPosition & $_.Node.DOCUMENT_POSITION_CONTAINS) {
			// "Let child equal node B."
			var child = nodeB;

			// "While child is not a child of node A, set child to its parent."
			while (child.parentNode != nodeA) {
				child = child.parentNode;
			}

			// "If the index of child is less than offset A, return after."
			if (Dom.getIndexInParent(child) < offsetA) {
				return "after";
			}
		}

		// "Return before."
		return "before";
	}

	/**
	 * Returns the furthest ancestor of a Node as defined by DOM Range.
	 */
	function getFurthestAncestor(node) {
		var root = node;
		while (root.parentNode != null) {
			root = root.parentNode;
		}
		return root;
	}

	/**
	 * "contained" as defined by DOM Range: "A Node node is contained in a range
	 * range if node's furthest ancestor is the same as range's root, and (node, 0)
	 * is after range's start, and (node, length of node) is before range's end."
	 */
	function isContained(node, range) {
		var pos1 = getPosition(node, 0, range.startContainer, range.startOffset);
		if (pos1 !== "after") {
			return false;
		}
		var pos2 = getPosition(node, getNodeLength(node), range.endContainer, range.endOffset);
		if (pos2 !== "before") {
			return false;
		}
		return getFurthestAncestor(node) == getFurthestAncestor(range.startContainer);
	}

	/**
	 * Return all nodes contained in range that the provided function returns true
	 * for, omitting any with an ancestor already being returned.
	 */
	function getContainedNodes(range, condition) {
		if (typeof condition == "undefined") {
			condition = function () {
				return true;
			};
		}
		var node = range.startContainer;
		if (node.hasChildNodes() && range.startOffset < node.childNodes.length) {
			// A child is contained
			node = node.childNodes[range.startOffset];
		} else if (range.startOffset == getNodeLength(node)) {
			// No descendant can be contained
			node = nextNodeDescendants(node);
		} else {
			// No children; this node at least can't be contained
			node = nextNode(node);
		}

		var stop = range.endContainer;
		if (stop.hasChildNodes() && range.endOffset < stop.childNodes.length) {
			// The node after the last contained node is a child
			stop = stop.childNodes[range.endOffset];
		} else {
			// This node and/or some of its children might be contained
			stop = nextNodeDescendants(stop);
		}

		var nodeList = [];
		while (isBefore(node, stop)) {
			if (isContained(node, range) && condition(node)) {
				nodeList.push(node);
				node = nextNodeDescendants(node);
				continue;
			}
			node = nextNode(node);
		}
		return nodeList;
	}

	/**
	 * As above, but includes nodes with an ancestor that's already been returned.
	 */
	function getAllContainedNodes(range, condition) {
		if (typeof condition == "undefined") {
			condition = function () {
				return true;
			};
		}
		var node = range.startContainer;
		if (node.hasChildNodes() && range.startOffset < node.childNodes.length) {
			// A child is contained
			node = node.childNodes[range.startOffset];
		} else if (range.startOffset == getNodeLength(node)) {
			// No descendant can be contained
			node = nextNodeDescendants(node);
		} else {
			// No children; this node at least can't be contained
			node = nextNode(node);
		}

		var stop = range.endContainer;
		if (stop.hasChildNodes() && range.endOffset < stop.childNodes.length) {
			// The node after the last contained node is a child
			stop = stop.childNodes[range.endOffset];
		} else {
			// This node and/or some of its children might be contained
			stop = nextNodeDescendants(stop);
		}

		var nodeList = [];
		while (isBefore(node, stop)) {
			if (isContained(node, range) && condition(node)) {
				nodeList.push(node);
			}
			node = nextNode(node);
		}
		return nodeList;
	}

	// Returns either null, or something of the form rgb(x, y, z), or something of
	// the form rgb(x, y, z, w) with w != 0.
	function normalizeColor(color) {
		if (color.toLowerCase() == "currentcolor") {
			return null;
		}

		var outerSpan = document.createElement("span");
		document.body.appendChild(outerSpan);
		outerSpan.style.color = "black";

		var innerSpan = document.createElement("span");
		outerSpan.appendChild(innerSpan);
		innerSpan.style.color = color;
		color = $_.getComputedStyle(innerSpan).color;

		if (color == "rgb(0, 0, 0)") {
			// Maybe it's really black, maybe it's invalid.
			outerSpan.color = "white";
			color = $_.getComputedStyle(innerSpan).color;
			if (color != "rgb(0, 0, 0)") {
				return null;
			}
		}

		document.body.removeChild(outerSpan);

		// I rely on the fact that browsers generally provide consistent syntax for
		// getComputedStyle(), although it's not standardized.  There are only two
		// exceptions I found:
		if (/^rgba\([0-9]+, [0-9]+, [0-9]+, 1\)$/.test(color)) {
			// IE10PP2 seems to do this sometimes.
			return color.replace("rgba", "rgb").replace(", 1)", ")");
		}
		if (color == "transparent") {
			// IE10PP2, Firefox 7.0a2, and Opera 11.50 all return "transparent" if
			// the specified value is "transparent".
			return "rgba(0, 0, 0, 0)";
		}
		return color;
	}

	// Returns either null, or something of the form #xxxxxx, or the color itself
	// if it's a valid keyword.
	function parseSimpleColor(color) {
		color = color.toLowerCase();
		if ($_(["aliceblue", "antiquewhite", "aqua", "aquamarine", "azure", "beige", "bisque", "black", "blanchedalmond", "blue", "blueviolet", "brown", "burlywood", "cadetblue", "chartreuse", "chocolate", "coral", "cornflowerblue", "cornsilk", "crimson", "cyan", "darkblue", "darkcyan", "darkgoldenrod", "darkgray", "darkgreen", "darkgrey", "darkkhaki", "darkmagenta", "darkolivegreen", "darkorange", "darkorchid", "darkred", "darksalmon", "darkseagreen", "darkslateblue", "darkslategray", "darkslategrey", "darkturquoise", "darkviolet", "deeppink", "deepskyblue", "dimgray", "dimgrey", "dodgerblue", "firebrick", "floralwhite", "forestgreen", "fuchsia", "gainsboro", "ghostwhite", "gold", "goldenrod", "gray", "green", "greenyellow", "grey", "honeydew", "hotpink", "indianred", "indigo", "ivory", "khaki", "lavender", "lavenderblush", "lawngreen", "lemonchiffon", "lightblue", "lightcoral", "lightcyan", "lightgoldenrodyellow", "lightgray", "lightgreen", "lightgrey", "lightpink", "lightsalmon", "lightseagreen", "lightskyblue", "lightslategray", "lightslategrey", "lightsteelblue", "lightyellow", "lime", "limegreen", "linen", "magenta", "maroon", "mediumaquamarine", "mediumblue", "mediumorchid", "mediumpurple", "mediumseagreen", "mediumslateblue", "mediumspringgreen", "mediumturquoise", "mediumvioletred", "midnightblue", "mintcream", "mistyrose", "moccasin", "navajowhite", "navy", "oldlace", "olive", "olivedrab", "orange", "orangered", "orchid", "palegoldenrod", "palegreen", "paleturquoise", "palevioletred", "papayawhip", "peachpuff", "peru", "pink", "plum", "powderblue", "purple", "red", "rosybrown", "royalblue", "saddlebrown", "salmon", "sandybrown", "seagreen", "seashell", "sienna", "silver", "skyblue", "slateblue", "slategray", "slategrey", "snow", "springgreen", "steelblue", "tan", "teal", "thistle", "tomato", "turquoise", "violet", "wheat", "white", "whitesmoke", "yellow", "yellowgreen"]).indexOf(color) != -1) {
			return color;
		}

		color = normalizeColor(color);
		var matches = /^rgb\(([0-9]+), ([0-9]+), ([0-9]+)\)$/.exec(color);
		if (matches) {
			return "#" + parseInt(matches[1], 10).toString(16).replace(/^.$/, "0$&") + parseInt(matches[2], 10).toString(16).replace(/^.$/, "0$&") + parseInt(matches[3], 10).toString(16).replace(/^.$/, "0$&");
		} else if (/^#[abcdef0123456789]+$/i.exec(color)) {
			// return hexadecimal color values (as returned by IE 7/8)
			return color;
		}
		return null;
	}

	//@}

	//////////////////////////////////////////////////////////////////////////////
	/////////////////////////// Edit command functions ///////////////////////////
	//////////////////////////////////////////////////////////////////////////////

	/////////////////////////////////////////////////
	///// Methods of the HTMLDocument interface /////
	/////////////////////////////////////////////////
	//@{

	var getStateOverride,
	    setStateOverride,
	    resetOverrides,
	    unsetStateOverride,
	    getValueOverride,
	    setValueOverride,
	    unsetValueOverride;

	var executionStackDepth = 0;

	// Helper function for fontSize's action plus queryOutputHelper.  It's just the
	// middle of fontSize's action, ripped out into its own function.
	function normalizeFontSize(value) {
		// "Strip leading and trailing whitespace from value."
		//
		// Cheap hack, not following the actual algorithm.
		value = $_(value).trim();

		// "If value is a valid floating point number, or would be a valid
		// floating point number if a single leading "+" character were
		// stripped:"
		if (/^[\-+]?[0-9]+(\.[0-9]+)?([eE][\-+]?[0-9]+)?$/.test(value)) {
			var mode;

			// "If the first character of value is "+", delete the character
			// and let mode be "relative-plus"."
			if (value[0] == "+") {
				value = value.slice(1);
				mode = "relative-plus";
				// "Otherwise, if the first character of value is "-", delete the
				// character and let mode be "relative-minus"."
			} else if (value[0] == "-") {
				value = value.slice(1);
				mode = "relative-minus";
				// "Otherwise, let mode be "absolute"."
			} else {
				mode = "absolute";
			}

			// "Apply the rules for parsing non-negative integers to value, and
			// let number be the result."
			//
			// Another cheap hack.
			var num = parseInt(value, 10);

			// "If mode is "relative-plus", add three to number."
			if (mode == "relative-plus") {
				num += 3;
			}

			// "If mode is "relative-minus", negate number, then add three to
			// it."
			if (mode == "relative-minus") {
				num = 3 - num;
			}

			// "If number is less than one, let number equal 1."
			if (num < 1) {
				num = 1;
			}

			// "If number is greater than seven, let number equal 7."
			if (num > 7) {
				num = 7;
			}

			// "Set value to the string here corresponding to number:" [table
			// omitted]
			value = {
				1: "xx-small",
				2: "small",
				3: "medium",
				4: "large",
				5: "x-large",
				6: "xx-large",
				7: "xxx-large"
			}[num];
		}

		return value;
	}

	function getLegacyFontSize(size) {
		// For convenience in other places in my code, I handle all sizes, not just
		// pixel sizes as the spec says.  This means pixel sizes have to be passed
		// in suffixed with "px", not as plain numbers.
		size = normalizeFontSize(size);

		if (jQuery.inArray(size, ["xx-small", "x-small", "small", "medium", "large", "x-large", "xx-large", "xxx-large"]) == -1 && !/^[0-9]+(\.[0-9]+)?(cm|mm|in|pt|pc|px)$/.test(size)) {
			// There is no sensible legacy size for things like "2em".
			return null;
		}

		var font = document.createElement("font");
		document.body.appendChild(font);
		if (size == "xxx-large") {
			font.size = 7;
		} else {
			font.style.fontSize = size;
		}
		var pixelSize = parseInt($_.getComputedStyle(font).fontSize, 10);
		document.body.removeChild(font);

		// "Let returned size be 1."
		var returnedSize = 1;

		// "While returned size is less than 7:"
		while (returnedSize < 7) {
			// "Let lower bound be the resolved value of "font-size" in pixels
			// of a font element whose size attribute is set to returned size."
			font = document.createElement("font");
			font.size = returnedSize;
			document.body.appendChild(font);
			var lowerBound = parseInt($_.getComputedStyle(font).fontSize, 10);

			// "Let upper bound be the resolved value of "font-size" in pixels
			// of a font element whose size attribute is set to one plus
			// returned size."
			font.size = 1 + returnedSize;
			var upperBound = parseInt($_.getComputedStyle(font).fontSize, 10);
			document.body.removeChild(font);

			// "Let average be the average of upper bound and lower bound."
			var average = (upperBound + lowerBound) / 2;

			// "If pixel size is less than average, return the one-element
			// string consisting of the digit returned size."
			if (pixelSize < average) {
				return String(returnedSize);
			}

			// "Add one to returned size."
			returnedSize++;
		}

		// "Return "7"."
		return "7";
	}

	// Helper function for common behavior.
	function editCommandMethod(command, prop, range, callback) {
		var ret;

		// Set up our global range magic, but only if we're the outermost function
		if (executionStackDepth === 0) {
			globalRange = range;
		}

		executionStackDepth++;
		try {
			ret = callback();
		} catch (e) {
			executionStackDepth--;
			throw e;
		}
		executionStackDepth--;
		return ret;
	}

	function myQueryCommandEnabled(command, range) {
		// "All of these methods must treat their command argument ASCII
		// case-insensitively."
		command = command.toLowerCase();

		// "If command is not supported, raise a NOT_SUPPORTED_ERR exception."
		return editCommandMethod(command, "action", range, (function (command) {
			return function () {
				// "Among commands defined in this specification, those listed in
				// Miscellaneous commands are always enabled. The other commands defined
				// here are enabled if the active range is not null, and disabled
				// otherwise."
				return jQuery.inArray(command, ["copy", "cut", "paste", "selectall", "stylewithcss", "usecss"]) != -1 || range !== null;
			};
		}(command)));
	}

	function setActiveRange(range) {
		var rangeObject = new window.GENTICS.Utils.RangeObject();

		rangeObject.startContainer = range.startContainer;
		rangeObject.startOffset = range.startOffset;
		rangeObject.endContainer = range.endContainer;
		rangeObject.endOffset = range.endOffset;

		rangeObject.correctRange();
		rangeObject.select();
	}

	function myExecCommand(commandArg, showUiArg, valueArg, range) {
		// "All of these methods must treat their command argument ASCII
		// case-insensitively."
		var command = commandArg.toLowerCase();
		var showUi = showUiArg;
		var value = valueArg;

		// "If only one argument was provided, let show UI be false."
		//
		// If range was passed, I can't actually detect how many args were passed
		// . . .
		if (arguments.length == 1 || (arguments.length >= 4 && typeof showUi == "undefined")) {
			showUi = false;
		}

		// "If only one or two arguments were provided, let value be the empty
		// string."
		if (arguments.length <= 2 || (arguments.length >= 4 && typeof value == "undefined")) {
			value = "";
		}

		// "If command is not supported, raise a NOT_SUPPORTED_ERR exception."
		//
		// "If command has no action, raise an INVALID_ACCESS_ERR exception."
		return editCommandMethod(command, "action", range, (function (command, showUi, value) {
			return function () {
				// "If command is not enabled, return false."
				if (!myQueryCommandEnabled(command)) {
					return false;
				}

				// "Take the action for command, passing value to the instructions as an
				// argument."
				commands[command].action(value, range);

				// always fix the range after the command is complete
				setActiveRange(range);

				// "Return true."
				return true;
			};
		}(command, showUi, value)));
	}

	function myQueryCommandIndeterm(command, range) {
		// "All of these methods must treat their command argument ASCII
		// case-insensitively."
		command = command.toLowerCase();

		// "If command is not supported, raise a NOT_SUPPORTED_ERR exception."
		//
		// "If command has no indeterminacy, raise an INVALID_ACCESS_ERR
		// exception."
		return editCommandMethod(command, "indeterm", range, (function (command) {
			return function () {
				// "If command is not enabled, return false."
				if (!myQueryCommandEnabled(command, range)) {
					return false;
				}

				// "Return true if command is indeterminate, otherwise false."
				return commands[command].indeterm(range);
			};
		}(command)));
	}

	function myQueryCommandState(command, range) {
		// "All of these methods must treat their command argument ASCII
		// case-insensitively."
		command = command.toLowerCase();

		// "If command is not supported, raise a NOT_SUPPORTED_ERR exception."
		//
		// "If command has no state, raise an INVALID_ACCESS_ERR exception."
		return editCommandMethod(command, "state", range, (function (command) {
			return function () {
				// "If command is not enabled, return false."
				if (!myQueryCommandEnabled(command, range)) {
					return false;
				}

				// "If the state override for command is set, return it."
				if (typeof getStateOverride(command, range) != "undefined") {
					return getStateOverride(command, range);
				}

				// "Return true if command's state is true, otherwise false."
				return commands[command].state(range);
			};
		}(command)));
	}

	// "When the queryCommandSupported(command) method on the HTMLDocument
	// interface is invoked, the user agent must return true if command is
	// supported, and false otherwise."
	function myQueryCommandSupported(command) {
		// "All of these methods must treat their command argument ASCII
		// case-insensitively."
		command = command.toLowerCase();

		return commands.hasOwnProperty(command);
	}

	function myQueryCommandValue(command, range) {
		// "All of these methods must treat their command argument ASCII
		// case-insensitively."
		command = command.toLowerCase();

		return editCommandMethod(command, "value", range, function () {
			// "If command is not supported or has no value, return the empty string."
			if (!commands.hasOwnProperty(command) || !commands[command].hasOwnProperty("value")) {
				return "";
			}

			// "If command is "fontSize" and its value override is set, convert the
			// value override to an integer number of pixels and return the legacy
			// font size for the result."
			if (command == "fontsize" && getValueOverride("fontsize", range) !== undefined) {
				return getLegacyFontSize(getValueOverride("fontsize", range));
			}

			// "If the value override for command is set, return it."
			if (typeof getValueOverride(command, range) != "undefined") {
				return getValueOverride(command, range);
			}

			// "Return command's value."
			return commands[command].value(range);
		});
	}
	//@}

	//////////////////////////////
	///// Common definitions /////
	//////////////////////////////
	//@{

	// "A prohibited paragraph child name is "address", "article", "aside",
	// "blockquote", "caption", "center", "col", "colgroup", "dd", "details",
	// "dir", "div", "dl", "dt", "fieldset", "figcaption", "figure", "footer",
	// "form", "h1", "h2", "h3", "h4", "h5", "h6", "header", "hgroup", "hr", "li",
	// "listing", "menu", "nav", "ol", "p", "plaintext", "pre", "section",
	// "summary", "table", "tbody", "td", "tfoot", "th", "thead", "tr", "ul", or
	// "xmp"."
	var prohibitedParagraphChildNamesMap = {
		"ADDRESS": true,
		"ARTICLE": true,
		"ASIDE": true,
		"BLOCKQUOTE": true,
		"CAPTION": true,
		"CENTER": true,
		"COL": true,
		"COLGROUP": true,
		"DD": true,
		"DETAILS": true,
		"DIR": true,
		"DIV": true,
		"DL": true,
		"DT": true,
		"FIELDSET": true,
		"FIGCAPTION": true,
		"FIGURE": true,
		"FOOTER": true,
		"FORM": true,
		"H1": true,
		"H2": true,
		"H3": true,
		"H4": true,
		"H5": true,
		"H6": true,
		"HEADER": true,
		"HGROUP": true,
		"HR": true,
		"LI": true,
		"LISTING": true,
		"MENU": true,
		"NAV": true,
		"OL": true,
		"P": true,
		"PLAINTEXT": true,
		"PRE": true,
		"SECTION": true,
		"SUMMARY": true,
		"TABLE": true,
		"TBODY": true,
		"TD": true,
		"TFOOT": true,
		"TH": true,
		"THEAD": true,
		"TR": true,
		"UL": true,
		"XMP": true
	};

	// "A prohibited paragraph child is an HTML element whose local name is a
	// prohibited paragraph child name."
	function isProhibitedParagraphChild(node) {
		return isMappedHtmlElement(node, prohibitedParagraphChildNamesMap);
	}

	var nonBlockDisplayValuesMap = {
		"inline": true,
		"inline-block": true,
		"inline-table": true,
		"none": true
	};

	// "A block node is either an Element whose "display" property does not have
	// resolved value "inline" or "inline-block" or "inline-table" or "none", or a
	// Document, or a DocumentFragment."
	function isBlockNode(node) {
		return node && ((node.nodeType == $_.Node.ELEMENT_NODE && !nonBlockDisplayValuesMap[$_.getComputedStyle(node).display]) || node.nodeType == $_.Node.DOCUMENT_NODE || node.nodeType == $_.Node.DOCUMENT_FRAGMENT_NODE);
	}

	// "An inline node is a node that is not a block node."
	function isInlineNode(node) {
		return node && !isBlockNode(node);
	}

	// "An editing host is a node that is either an Element with a contenteditable
	// attribute set to the true state, or the Element child of a Document whose
	// designMode is enabled."
	function isEditingHost(node) {
		return node && node.nodeType == $_.Node.ELEMENT_NODE && (node.contentEditable == "true" || (node.parentNode && node.parentNode.nodeType == $_.Node.DOCUMENT_NODE && node.parentNode.designMode == "on"));
	}

	// "Something is editable if it is a node which is not an editing host, does
	// not have a contenteditable attribute set to the false state, and whose
	// parent is an editing host or editable."
	function isEditable(node) {
		// This is slightly a lie, because we're excluding non-HTML elements with
		// contentEditable attributes.
		return node && !isEditingHost(node) && (node.nodeType != $_.Node.ELEMENT_NODE || node.contentEditable != "false" || jQuery(node).hasClass('aloha-table-wrapper')) && (isEditingHost(node.parentNode) || isEditable(node.parentNode));
	}

	// Helper function, not defined in the spec
	function hasEditableDescendants(node) {
		var i;
		for (i = 0; i < node.childNodes.length; i++) {
			if (isEditable(node.childNodes[i]) || hasEditableDescendants(node.childNodes[i])) {
				return true;
			}
		}
		return false;
	}

	// "The editing host of node is null if node is neither editable nor an editing
	// host; node itself, if node is an editing host; or the nearest ancestor of
	// node that is an editing host, if node is editable."
	function getEditingHostOf(node) {
		if (isEditingHost(node)) {
			return node;
		}
		if (isEditable(node)) {
			var ancestor = node.parentNode;
			while (!isEditingHost(ancestor)) {
				ancestor = ancestor.parentNode;
			}
			return ancestor;
		}
		return null;
	}

	// "Two nodes are in the same editing host if the editing host of the first is
	// non-null and the same as the editing host of the second."
	function inSameEditingHost(node1, node2) {
		return getEditingHostOf(node1) && getEditingHostOf(node1) == getEditingHostOf(node2);
	}

	// "A collapsed line break is a br that begins a line box which has nothing
	// else in it, and therefore has zero height."
	function isCollapsedLineBreak(br) {
		if (!isNamedHtmlElement(br, 'br')) {
			return false;
		}

		// Add a zwsp after it and see if that changes the height of the nearest
		// non-inline parent.  Note: this is not actually reliable, because the
		// parent might have a fixed height or something.
		var ref = br.parentNode;
		while ($_.getComputedStyle(ref).display == "inline") {
			ref = ref.parentNode;
		}

		var origStyle = {
			height: ref.style.height,
			maxHeight: ref.style.maxHeight,
			minHeight: ref.style.minHeight
		};

		ref.style.height = 'auto';
		ref.style.maxHeight = 'none';
		if (!(Aloha.browser.msie && Aloha.browser.version < 8)) {
			ref.style.minHeight = '0';
		}
		var space = document.createTextNode('\u200b');
		var origHeight = ref.offsetHeight;
		if (origHeight == 0) {
			throw 'isCollapsedLineBreak: original height is zero, bug?';
		}
		br.parentNode.insertBefore(space, br.nextSibling);
		var finalHeight = ref.offsetHeight;
		space.parentNode.removeChild(space);

		ref.style.height = origStyle.height;
		ref.style.maxHeight = origStyle.maxHeight;
		if (!(Aloha.browser.msie && Aloha.browser.version < 8)) {
			ref.style.minHeight = origStyle.minHeight;
		}

		// Allow some leeway in case the zwsp didn't create a whole new line, but
		// only made an existing line slightly higher.  Firefox 6.0a2 shows this
		// behavior when the first line is bold.
		return origHeight < finalHeight - 5;
	}

	// "An extraneous line break is a br that has no visual effect, in that
	// removing it from the DOM would not change layout, except that a br that is
	// the sole child of an li is not extraneous."
	function isExtraneousLineBreak(br) {

		if (!isNamedHtmlElement(br, 'br')) {
			return false;
		}

		if (isNamedHtmlElement(br.parentNode, "li") && br.parentNode.childNodes.length == 1) {
			return false;
		}

		// Make the line break disappear and see if that changes the block's
		// height.  Yes, this is an absurd hack.  We have to reset height etc. on
		// the reference node because otherwise its height won't change if it's not
		// auto.
		var ref = br.parentNode;
		while ($_.getComputedStyle(ref).display == "inline") {
			ref = ref.parentNode;
		}

		var origStyle = {
			height: ref.style.height,
			maxHeight: ref.style.maxHeight,
			minHeight: ref.style.minHeight,
			contentEditable: ref.contentEditable
		};

		ref.style.height = 'auto';
		ref.style.maxHeight = 'none';
		ref.style.minHeight = '0';
		// IE7 would ignore display:none in contentEditable, so we temporarily set it to false
		if (Aloha.browser.msie && Aloha.browser.version <= 7) {
			ref.contentEditable = 'false';
		}

		var origHeight = Dom.getOffsetHeight(ref);
		if (origHeight == 0) {
			throw "isExtraneousLineBreak: original height is zero, bug?";
		}

		var origBrDisplay = br.style.display;
		br.style.display = 'none';
		var finalHeight = ref.offsetHeight;

		// Restore original styles to the touched elements.
		ref.style.height = origStyle.height;
		ref.style.maxHeight = origStyle.maxHeight;
		ref.style.minHeight = origStyle.minHeight;
		// reset contentEditable for IE7
		if (Aloha.browser.msie && Aloha.browser.version <= 7) {
			ref.contentEditable = origStyle.contentEditable;
		}
		br.style.display = origBrDisplay;

		// https://github.com/alohaeditor/Aloha-Editor/issues/516
		// look like it works in msie > 7
		/* if (Aloha.browser.msie && Aloha.browser.version < 8) {
		   br.removeAttribute("style");
		   ref.removeAttribute("style");
		   } */

		return origHeight == finalHeight;
	}

	// "A whitespace node is either a Text node whose data is the empty string; or
	// a Text node whose data consists only of one or more tabs (0x0009), line
	// feeds (0x000A), carriage returns (0x000D), and/or spaces (0x0020), and whose
	// parent is an Element whose resolved value for "white-space" is "normal" or
	// "nowrap"; or a Text node whose data consists only of one or more tabs
	// (0x0009), carriage returns (0x000D), and/or spaces (0x0020), and whose
	// parent is an Element whose resolved value for "white-space" is "pre-line"."
	function isWhitespaceNode(node) {
		var nodeTypes = $_.Node;
		if (node && node.nodeType === nodeTypes.TEXT_NODE) {
			var parentNode = node.parentNode;

			var nodeData = node.data;
			if (jQuery.trim(nodeData).length === 0) {
				return true;
			} else if (parentNode && /^[\t\n\r ]+$/.test(nodeData)) {
				if (parentNode.nodeType === nodeTypes.ELEMENT_NODE) {
					if (jQuery.inArray($_.getComputedStyle(parentNode).whiteSpace, ["normal", "nowrap"]) !== -1) {
						return true;
					} else if ($_.getComputedStyle(parentNode).whiteSpace === "pre-line") {
						return true;
					}
				} else if (parentNode.nodeType === nodeTypes.DOCUMENT_FRAGMENT_NODE) {
					return true;
				}
			}
		}
		return false;
	}

	/**
	 * Collapse sequences of ignorable whitespace (tab (0x0009), line feed (0x000A), carriage return (0x000D), space (0x0020)) to only one space.
	 * Preserve the given range if necessary.
	 * @param node text node
	 * @param range range
	 */
	function collapseWhitespace(node, range) {
		// "If node is neither editable nor an editing host, abort these steps."
		if (!isEditable(node) && !isEditingHost(node)) {
			return;
		}

		// if the given node is not a text node, return
		if (!node || node.nodeType !== $_.Node.TEXT_NODE) {
			return;
		}

		// if the node is in a pre or pre-wrap node, return
		if (jQuery.inArray($_.getComputedStyle(node.parentNode).whiteSpace, ["pre", "pre-wrap"]) != -1) {
			return;
		}

		// if the given node does not contain sequences of at least two consecutive ignorable whitespace characters, return
		if (!/[\t\n\r ]{2,}/.test(node.data)) {
			return;
		}

		var newData = '';
		var correctStart = range.startContainer == node;
		var correctEnd = range.endContainer == node;
		var wsFound = false;
		var i;

		// iterate through the node data
		for (i = 0; i < node.data.length; ++i) {
			if (/[\t\n\r ]/.test(node.data.substr(i, 1))) {
				// found a whitespace
				if (!wsFound) {
					// this is the first whitespace in the current sequence
					// add a whitespace to the new data sequence
					newData += ' ';
					// remember that we found a whitespace
					wsFound = true;
				} else {
					// this is not the first whitespace in the sequence, so omit this character
					if (correctStart && newData.length < range.startOffset) {
						range.startOffset--;
					}
					if (correctEnd && newData.length < range.endOffset) {
						range.endOffset--;
					}
				}
			} else {
				newData += node.data.substr(i, 1);
				wsFound = false;
			}
		}

		// set the new data
		node.data = newData;
	}

	// "node is a collapsed whitespace node if the following algorithm returns
	// true:"
	function isCollapsedWhitespaceNode(node) {
		// "If node is not a whitespace node, return false."
		if (!isWhitespaceNode(node)) {
			return false;
		}

		// "If node's data is the empty string, return true."
		if (node.data == "") {
			return true;
		}

		// "Let ancestor be node's parent."
		var ancestor = node.parentNode;

		// "If ancestor is null, return true."
		if (!ancestor) {
			return true;
		}

		// "If the "display" property of some ancestor of node has resolved value
		// "none", return true."
		if ($_(getAncestors(node)).some(function (ancestor) { return ancestor.nodeType == $_.Node.ELEMENT_NODE && $_.getComputedStyle(ancestor).display == "none"; })) {
			return true;
		}

		// "While ancestor is not a block node and its parent is not null, set
		// ancestor to its parent."
		while (!isBlockNode(ancestor) && ancestor.parentNode) {
			ancestor = ancestor.parentNode;
		}

		// "Let reference be node."
		var reference = node;

		// "While reference is a descendant of ancestor:"
		while (reference != ancestor) {
			// "Let reference be the node before it in tree order."
			reference = previousNode(reference);

			// "If reference is a block node or a br, return true."
			if (reference != ancestor && (isBlockNode(reference) || isNamedHtmlElement(reference, 'br'))) {
				return true;
			}

			// "If reference is a Text node that is not a whitespace node, or is an
			// img, break from this loop."
			if ((reference.nodeType == $_.Node.TEXT_NODE && !isWhitespaceNode(reference)) || isNamedHtmlElement(reference, 'img')) {
				break;
			}
		}

		// "Let reference be node."
		reference = node;

		// "While reference is a descendant of ancestor:"
		var stop = nextNodeDescendants(ancestor);
		while (reference != stop) {
			// "Let reference be the node after it in tree order, or null if there
			// is no such node."
			reference = nextNode(reference);

			// "If reference is a block node or a br, return true."
			if (isBlockNode(reference) || isNamedHtmlElement(reference, 'br')) {
				return true;
			}

			// "If reference is a Text node that is not a whitespace node, or is an
			// img, break from this loop."
			if ((reference && reference.nodeType == $_.Node.TEXT_NODE && !isWhitespaceNode(reference)) || isNamedHtmlElement(reference, 'img')) {
				break;
			}
		}

		// "Return false."
		return false;
	}

	// "Something is visible if it is a node that either is a block node, or a Text
	// node that is not a collapsed whitespace node, or an img, or a br that is not
	// an extraneous line break, or any node with a visible descendant; excluding
	// any node with an ancestor container Element whose "display" property has
	// resolved value "none"."
	function isVisible(node) {
		var i;

		if (!node) {
			return false;
		}

		if ($_(getAncestors(node).concat(node))
			    .filter(function (node) { return node.nodeType == $_.Node.ELEMENT_NODE; }, true)
			    .some(function (node) { return $_.getComputedStyle(node).display == "none"; })) {
			return false;
		}

		if (isBlockNode(node) || (node.nodeType == $_.Node.TEXT_NODE && !isCollapsedWhitespaceNode(node)) || isNamedHtmlElement(node, 'img') || (isNamedHtmlElement(node, 'br') && !isExtraneousLineBreak(node))) {
			return true;
		}

		for (i = 0; i < node.childNodes.length; i++) {
			if (isVisible(node.childNodes[i])) {
				return true;
			}
		}

		return false;
	}

	// "Something is invisible if it is a node that is not visible."
	function isInvisible(node) {
		return node && !isVisible(node);
	}

	// "A collapsed block prop is either a collapsed line break that is not an
	// extraneous line break, or an Element that is an inline node and whose
	// children are all either invisible or collapsed block props and that has at
	// least one child that is a collapsed block prop."
	function isCollapsedBlockProp(node) {
		var i;

		if (isCollapsedLineBreak(node) && !isExtraneousLineBreak(node)) {
			return true;
		}

		if (!isInlineNode(node) || node.nodeType != $_.Node.ELEMENT_NODE) {
			return false;
		}

		var hasCollapsedBlockPropChild = false;
		for (i = 0; i < node.childNodes.length; i++) {
			if (!isInvisible(node.childNodes[i]) && !isCollapsedBlockProp(node.childNodes[i])) {
				return false;
			}
			if (isCollapsedBlockProp(node.childNodes[i])) {
				hasCollapsedBlockPropChild = true;
			}
		}

		return hasCollapsedBlockPropChild;
	}

	/**
	 * Checks whether the given node is a visible text node.
	 *
	 * @param {HTMLElement} node
	 * @return {Boolean} True if `node` is a visible text node.
	 */
	function isInvisibleTextNode(node) {
		if (node && node.nodeType !== $_.Node.TEXT_NODE) {
			return false;
		}
		var offset = 0;
		var data = node.data;
		var len = data.length;
		while (offset < len && data.charAt(offset) === '\u200b') {
			offset++;
		}
		return offset === len;
	}

	/**
	 * Complement of isInvisibleTextNode().
	 *
	 * @param {HTMLElement} node
	 * @return {Boolean} True if `node` is anything but an invisible text node.
	 */
	function isNotInvisibleTextNode(node) {
		return !isInvisibleTextNode(node);
	}

	/**
	 * Checks whether the given node is a otherwise empty block-level element
	 * containing a propping <br> element.
	 *
	 * @param {HTMLElement} node
	 * @return {Boolean} True if `node` is a propped up block-level element.
	 */
	function isProppedBlock(node) {
		if (!Html.isBlock(node)) {
			return false;
		}
		var child = Html.findNodeRight(node.lastChild, isVisible);
		return (
			child
			&& 'br' === child.nodeName.toLowerCase()
			&& !Html.findNodeRight(child.previousSibling, isVisible)
		);
	}

	/**
	 * Checks whether the given node is a empty element, or an element that
	 * would otherwise be empty except for a propping <br>, or an element
	 * containing only invisible text nodes.
	 *
	 * @param {HTMLElement} node
	 * @return {Boolean} True if `node` can be considered empty.
	 */
	function isEmptyNode(node) {
		return (
			!node.hasChildNodes()
			|| isProppedBlock(node)
			|| !Html.findNodeRight(node.lastChild, isNotInvisibleTextNode)
		);
	}

	/**
	 * Check if the given node is a empty element which is the only
	 * immediate child of a editing host.
	 *
	 * @param {HTMLElement} node
	 * @return {Boolean} True if `node` can be regarded as empty and the
	 *                   only immediate child of its parent editing host.
	 */
	function isEmptyOnlyChildOfEditingHost(node) {
		return (
			node
				&& isEmptyNode(node)
					&& isEditingHost(node.parentNode)
						&& !node.previousSibling
							&& !node.nextSibling
		);
	}

	/**
	 * Remove the given node and return the position from where it was
	 * removed.
	 *
	 * @param {HTMLElement} node Element to remove from DOM
	 * @return {object} Object containing node and offset index.
	 */
	function removeNode(node) {
		var ancestor = node.parentNode;
		var offset = Dom.getIndexInParent(node);
		ancestor.removeChild(node);
		return {
			node: ancestor,
			offset: offset
		};
	}

	// Please note: This method is deprecated and will be removed.
	// Every command should use the value and range parameter.
	//
	// "The active range is the first range in the Selection given by calling
	// getSelection() on the context object, or null if there is no such range."
	//
	// We cheat and return globalRange if that's defined.  We also ensure that the
	// active range meets the requirements that selection boundary points are
	// supposed to meet, i.e., that the nodes are both Text or Element nodes that
	// descend from a Document.
	function getActiveRange() {
		var ret;
		if (globalRange) {
			ret = globalRange;
		} else if (Aloha.getSelection().rangeCount) {
			ret = Aloha.getSelection().getRangeAt(0);
		} else {
			return null;
		}
		if (jQuery.inArray(ret.startContainer.nodeType, [$_.Node.TEXT_NODE, $_.Node.ELEMENT_NODE]) == -1 || jQuery.inArray(ret.endContainer.nodeType, [$_.Node.TEXT_NODE, $_.Node.ELEMENT_NODE]) == -1 || !ret.startContainer.ownerDocument || !ret.endContainer.ownerDocument || !isDescendant(ret.startContainer, ret.startContainer.ownerDocument) || !isDescendant(ret.endContainer, ret.endContainer.ownerDocument)) {
			throw "Invalid active range; test bug?";
		}
		return ret;
	}

	// "For some commands, each HTMLDocument must have a boolean state override
	// and/or a string value override. These do not change the command's state or
	// value, but change the way some algorithms behave, as specified in those
	// algorithms' definitions. Initially, both must be unset for every command.
	// Whenever the number of ranges in the Selection changes to something
	// different, and whenever a boundary point of the range at a given index in
	// the Selection changes to something different, the state override and value
	// override must be unset for every command."
	//
	// We implement this crudely by using setters and getters.  To verify that the
	// selection hasn't changed, we copy the active range and just check the
	// endpoints match.  This isn't really correct, but it's good enough for us.
	// Unset state/value overrides are undefined.  We put everything in a function
	// so no one can access anything except via the provided functions, since
	// otherwise callers might mistakenly use outdated overrides (if the selection
	// has changed).
	(function () {
		var stateOverrides = {};
		var valueOverrides = {};
		var storedRange = null;

		resetOverrides = function (range) {
			if (!storedRange
				    || storedRange.startContainer != range.startContainer
				    || storedRange.endContainer != range.endContainer
				    || storedRange.startOffset != range.startOffset
				    || storedRange.endOffset != range.endOffset) {
				storedRange = {
					startContainer: range.startContainer,
					endContainer: range.endContainer,
					startOffset: range.startOffset,
					endOffset: range.endOffset
				};
				if (!Maps.isEmpty(stateOverrides) || !Maps.isEmpty(valueOverrides)) {
					stateOverrides = {};
					valueOverrides = {};
					return true;
				}
			}
			return false;
		};

		getStateOverride = function (command, range) {
			resetOverrides(range);
			return stateOverrides[command];
		};

		setStateOverride = function (command, newState, range) {
			resetOverrides(range);
			stateOverrides[command] = newState;
		};

		unsetStateOverride = function (command, range) {
			resetOverrides(range);
			delete stateOverrides[command];
		};

		getValueOverride = function (command, range) {
			resetOverrides(range);
			return valueOverrides[command];
		};

		// "The value override for the backColor command must be the same as the
		// value override for the hiliteColor command, such that setting one sets
		// the other to the same thing and unsetting one unsets the other."
		setValueOverride = function (command, newValue, range) {
			resetOverrides(range);
			valueOverrides[command] = newValue;
			if (command == "backcolor") {
				valueOverrides.hilitecolor = newValue;
			} else if (command == "hilitecolor") {
				valueOverrides.backcolor = newValue;
			}
		};

		unsetValueOverride = function (command, range) {
			resetOverrides(range);
			delete valueOverrides[command];
			if (command == "backcolor") {
				delete valueOverrides.hilitecolor;
			} else if (command == "hilitecolor") {
				delete valueOverrides.backcolor;
			}
		};
	}());

	//@}

	/////////////////////////////
	///// Common algorithms /////
	/////////////////////////////

	///// Assorted common algorithms /////
	//@{

	function movePreservingRanges(node, newParent, newIndex, range) {
		// For convenience, I allow newIndex to be -1 to mean "insert at the end".
		if (newIndex == -1) {
			newIndex = newParent.childNodes.length;
		}

		// "When the user agent is to move a Node to a new location, preserving
		// ranges, it must remove the Node from its original parent (if any), then
		// insert it in the new location. In doing so, however, it must ignore the
		// regular range mutation rules, and instead follow these rules:"

		// "Let node be the moved Node, old parent and old index be the old parent
		// (which may be null) and index, and new parent and new index be the new
		// parent and index."
		var oldParent = node.parentNode;
		var oldIndex = Dom.getIndexInParent(node);
		var i;

		// We only even attempt to preserve the global range object and the ranges
		// in the selection, not every range out there (the latter is probably
		// impossible).
		var ranges = [range];
		for (i = 0; i < Aloha.getSelection().rangeCount; i++) {
			ranges.push(Aloha.getSelection().getRangeAt(i));
		}
		var boundaryPoints = [];
		$_(ranges).forEach(function (range) {
			boundaryPoints.push([range.startContainer, range.startOffset]);
			boundaryPoints.push([range.endContainer, range.endOffset]);
		});

		$_(boundaryPoints).forEach(function (boundaryPoint) {
			// "If a boundary point's node is the same as or a descendant of node,
			// leave it unchanged, so it moves to the new location."
			//
			// No modifications necessary.

			// "If a boundary point's node is new parent and its offset is greater
			// than new index, add one to its offset."
			if (boundaryPoint[0] == newParent && boundaryPoint[1] > newIndex) {
				boundaryPoint[1]++;
			}

			// "If a boundary point's node is old parent and its offset is old index or
			// old index + 1, set its node to new parent and add new index − old index
			// to its offset."
			if (boundaryPoint[0] == oldParent && (boundaryPoint[1] == oldIndex || boundaryPoint[1] == oldIndex + 1)) {
				boundaryPoint[0] = newParent;
				boundaryPoint[1] += newIndex - oldIndex;
			}

			// "If a boundary point's node is old parent and its offset is greater than
			// old index + 1, subtract one from its offset."
			if (boundaryPoint[0] == oldParent && boundaryPoint[1] > oldIndex + 1) {
				boundaryPoint[1]--;
			}
		});

		// Now actually move it and preserve the ranges.
		if (newParent.childNodes.length == newIndex) {
			newParent.appendChild(node);
		} else {
			newParent.insertBefore(node, newParent.childNodes[newIndex]);
		}

		// if we're off actual node boundaries this implies that the move was
		// part of a deletion process (backspace). If that's the case we
		// attempt to fix this by restoring the range to the first index of
		// the node that has been moved
		var newRange = null;
		if (boundaryPoints[0][1] > boundaryPoints[0][0].childNodes.length && boundaryPoints[1][1] > boundaryPoints[1][0].childNodes.length) {
			range.setStart(node, 0);
			range.setEnd(node, 0);
		} else {
			range.setStart(boundaryPoints[0][0], boundaryPoints[0][1]);
			range.setEnd(boundaryPoints[1][0], boundaryPoints[1][1]);

			Aloha.getSelection().removeAllRanges();
			for (i = 1; i < ranges.length; i++) {
				newRange = Aloha.createRange();
				newRange.setStart(boundaryPoints[2 * i][0], boundaryPoints[2 * i][1]);
				newRange.setEnd(boundaryPoints[2 * i + 1][0], boundaryPoints[2 * i + 1][1]);
				Aloha.getSelection().addRange(newRange);
			}
			if (newRange) {
				range = newRange;
			}
		}
	}

	/**
	 * Copy all non empty attributes from an existing to a new element
	 *
	 * @param {dom} element The source DOM element
	 * @param {dom} newElement The new DOM element which will get the attributes of the source DOM element
	 * @return void
	 */
	function copyAttributes(element, newElement) {

		// This is an IE7 workaround. We identified three places that were connected
		// to the mysterious ie7 crash:
		// 1. Add attribute to dom element (Initialization of jquery-ui sortable)
		// 2. Access the jquery expando attribute. Just reading the name is
		//    sufficient to make the browser vulnerable for the crash (Press enter)
		// 3. On editable blur the Aloha.editables[0].getContents(); gets invoked.
		//    This invokation somehow crashes the ie7. We assume that the access of
		//    shared expando attribute updates internal references which are not
		//    correclty handled during clone();
		if (Aloha.browser.msie && Aloha.browser.version >= 7 && typeof element.attributes[jQuery.expando] !== 'undefined') {
			jQuery(element).removeAttr(jQuery.expando);
		}

		var attrs = element.attributes;
		var i;
		for (i = 0; i < attrs.length; i++) {
			var attr = attrs[i];
			// attr.specified is an IE specific check to exclude attributes that were never really set.
			if (typeof attr.specified === "undefined" || attr.specified) {
				if (typeof newElement.setAttributeNS === 'function') {
					newElement.setAttributeNS(attr.namespaceURI, attr.name, attr.value);
				} else {
					// fixes https://github.com/alohaeditor/Aloha-Editor/issues/515
					newElement.setAttribute(attr.name, attr.value);
				}
			}
		}
	}

	function setTagName(element, newName, range) {
		// "If element is an HTML element with local name equal to new name, return
		// element."
		if (isNamedHtmlElement(element, newName)) {
			return element;
		}

		// "If element's parent is null, return element."
		if (!element.parentNode) {
			return element;
		}

		// "Let replacement element be the result of calling createElement(new
		// name) on the ownerDocument of element."
		var replacementElement = element.ownerDocument.createElement(newName);

		// "Insert replacement element into element's parent immediately before
		// element."
		element.parentNode.insertBefore(replacementElement, element);

		// "Copy all attributes of element to replacement element, in order."
		copyAttributes(element, replacementElement);

		// "While element has children, append the first child of element as the
		// last child of replacement element, preserving ranges."
		while (element.childNodes.length) {
			movePreservingRanges(element.firstChild, replacementElement, replacementElement.childNodes.length, range);
		}

		// "Remove element from its parent."
		element.parentNode.removeChild(element);

		// if the range still uses the old element, we modify it to the new one
		if (range.startContainer === element) {
			range.startContainer = replacementElement;
		}
		if (range.endContainer === element) {
			range.endContainer = replacementElement;
		}

		// "Return replacement element."
		return replacementElement;
	}

	function removeExtraneousLineBreaksBefore(node) {
		// "Let ref be the previousSibling of node."
		var ref = node.previousSibling;

		// "If ref is null, abort these steps."
		if (!ref) {
			return;
		}

		// "While ref has children, set ref to its lastChild."
		while (ref.hasChildNodes()) {
			ref = ref.lastChild;
		}

		// "While ref is invisible but not an extraneous line break, and ref does
		// not equal node's parent, set ref to the node before it in tree order."
		while (isInvisible(ref) && !isExtraneousLineBreak(ref) && ref != node.parentNode) {
			ref = previousNode(ref);
		}

		// "If ref is an editable extraneous line break, remove it from its
		// parent."
		if (isEditable(ref) && isExtraneousLineBreak(ref)) {
			ref.parentNode.removeChild(ref);
		}
	}

	function removeExtraneousLineBreaksAtTheEndOf(node) {
		// "Let ref be node."
		var ref = node;

		// "While ref has children, set ref to its lastChild."
		while (ref.hasChildNodes()) {
			ref = ref.lastChild;
		}

		// "While ref is invisible but not an extraneous line break, and ref does
		// not equal node, set ref to the node before it in tree order."
		while (isInvisible(ref) && !isExtraneousLineBreak(ref) && ref != node) {
			ref = previousNode(ref);
		}

		// "If ref is an editable extraneous line break, remove it from its
		// parent."
		if (isEditable(ref) && isExtraneousLineBreak(ref)) {
			ref.parentNode.removeChild(ref);
		}
	}

	// "To remove extraneous line breaks from a node, first remove extraneous line
	// breaks before it, then remove extraneous line breaks at the end of it."
	function removeExtraneousLineBreaksFrom(node) {
		removeExtraneousLineBreaksBefore(node);
		removeExtraneousLineBreaksAtTheEndOf(node);
	}

	//@}
	///// Wrapping a list of nodes /////
	//@{

	function wrap(nodeList, siblingCriteria, newParentInstructions, range) {
		var i;

		// "If not provided, sibling criteria returns false and new parent
		// instructions returns null."
		if (typeof siblingCriteria == "undefined") {
			siblingCriteria = function () {
				return false;
			};
		}
		if (typeof newParentInstructions == "undefined") {
			newParentInstructions = function () {
				return null;
			};
		}

		// "If node list is empty, or the first member of node list is not
		// editable, return null and abort these steps."
		if (!nodeList.length || !isEditable(nodeList[0])) {
			return null;
		}

		// "If node list's last member is an inline node that's not a br, and node
		// list's last member's nextSibling is a br, append that br to node list."
		if (isInlineNode(nodeList[nodeList.length - 1]) && !isNamedHtmlElement(nodeList[nodeList.length - 1], "br") && isNamedHtmlElement(nodeList[nodeList.length - 1].nextSibling, "br")) {
			nodeList.push(nodeList[nodeList.length - 1].nextSibling);
		}

		// "If the previousSibling of the first member of node list is editable and
		// running sibling criteria on it returns true, let new parent be the
		// previousSibling of the first member of node list."
		var newParent;
		if (isEditable(nodeList[0].previousSibling) && siblingCriteria(nodeList[0].previousSibling)) {
			newParent = nodeList[0].previousSibling;

			// "Otherwise, if the nextSibling of the last member of node list is
			// editable and running sibling criteria on it returns true, let new parent
			// be the nextSibling of the last member of node list."
		} else if (isEditable(nodeList[nodeList.length - 1].nextSibling) && siblingCriteria(nodeList[nodeList.length - 1].nextSibling)) {
			newParent = nodeList[nodeList.length - 1].nextSibling;

			// "Otherwise, run new parent instructions, and let new parent be the
			// result."
		} else {
			newParent = newParentInstructions();
		}

		// "If new parent is null, abort these steps and return null."
		if (!newParent) {
			return null;
		}

		// "If new parent's parent is null:"
		if (!newParent.parentNode) {
			// "Insert new parent into the parent of the first member of node list
			// immediately before the first member of node list."
			nodeList[0].parentNode.insertBefore(newParent, nodeList[0]);

			// "If any range has a boundary point with node equal to the parent of
			// new parent and offset equal to the index of new parent, add one to
			// that boundary point's offset."
			//
			// Try to fix range
			var startContainer = range.startContainer,
				startOffset = range.startOffset,
				endContainer = range.endContainer,
				endOffset = range.endOffset,
			    newParentIndex = Dom.getIndexInParent(newParent);

			if (startOffset >= newParentIndex && startContainer == newParent.parentNode) {
				range.setStart(startContainer, startOffset + 1);
			}
			if (endOffset >= newParentIndex && endContainer == newParent.parentNode) {
				range.setEnd(endContainer, endOffset + 1);
			}

			// Only try to fix the global range. TODO remove globalRange here
			if (globalRange && globalRange !== range) {
				startContainer = globalRange.startContainer;
				startOffset = globalRange.startOffset;
				endContainer = globalRange.endContainer;
				endOffset = globalRange.endOffset;
				if (startContainer == newParent.parentNode && startOffset >= newParentIndex) {
					globalRange.setStart(startContainer, startOffset + 1);
				}
				if (endContainer == newParent.parentNode && endOffset >= newParentIndex) {
					globalRange.setEnd(endContainer, endOffset + 1);
				}
			}
		}

		// "Let original parent be the parent of the first member of node list."
		var originalParent = nodeList[0].parentNode;

		// "If new parent is before the first member of node list in tree order:"
		if (isBefore(newParent, nodeList[0])) {
			// "If new parent is not an inline node, but the last child of new
			// parent and the first member of node list are both inline nodes, and
			// the last child of new parent is not a br, call createElement("br")
			// on the ownerDocument of new parent and append the result as the last
			// child of new parent."
			if (!isInlineNode(newParent) && isInlineNode(newParent.lastChild) && isInlineNode(nodeList[0]) && !isNamedHtmlElement(newParent.lastChild, "BR")) {
				newParent.appendChild(newParent.ownerDocument.createElement("br"));
			}

			// "For each node in node list, append node as the last child of new
			// parent, preserving ranges."
			for (i = 0; i < nodeList.length; i++) {
				movePreservingRanges(nodeList[i], newParent, -1, range);
			}

			// "Otherwise:"
		} else {
			// "If new parent is not an inline node, but the first child of new
			// parent and the last member of node list are both inline nodes, and
			// the last member of node list is not a br, call createElement("br")
			// on the ownerDocument of new parent and insert the result as the
			// first child of new parent."
			if (!isInlineNode(newParent) && isInlineNode(newParent.firstChild) && isInlineNode(nodeList[nodeList.length - 1]) && !isNamedHtmlElement(nodeList[nodeList.length - 1], "BR")) {
				newParent.insertBefore(newParent.ownerDocument.createElement("br"), newParent.firstChild);
			}

			// "For each node in node list, in reverse order, insert node as the
			// first child of new parent, preserving ranges."
			for (i = nodeList.length - 1; i >= 0; i--) {
				movePreservingRanges(nodeList[i], newParent, 0, range);
			}
		}

		// "If original parent is editable and has no children, remove it from its
		// parent."
		if (isEditable(originalParent) && !originalParent.hasChildNodes()) {
			originalParent.parentNode.removeChild(originalParent);
		}

		// "If new parent's nextSibling is editable and running sibling criteria on
		// it returns true:"
		if (isEditable(newParent.nextSibling) && siblingCriteria(newParent.nextSibling)) {
			// "If new parent is not an inline node, but new parent's last child
			// and new parent's nextSibling's first child are both inline nodes,
			// and new parent's last child is not a br, call createElement("br") on
			// the ownerDocument of new parent and append the result as the last
			// child of new parent."
			if (!isInlineNode(newParent) && isInlineNode(newParent.lastChild) && isInlineNode(newParent.nextSibling.firstChild) && !isNamedHtmlElement(newParent.lastChild, "BR")) {
				newParent.appendChild(newParent.ownerDocument.createElement("br"));
			}

			// "While new parent's nextSibling has children, append its first child
			// as the last child of new parent, preserving ranges."
			while (newParent.nextSibling.hasChildNodes()) {
				movePreservingRanges(newParent.nextSibling.firstChild, newParent, -1, range);
			}

			// "Remove new parent's nextSibling from its parent."
			newParent.parentNode.removeChild(newParent.nextSibling);
		}

		// "Remove extraneous line breaks from new parent."
		removeExtraneousLineBreaksFrom(newParent);

		// "Return new parent."
		return newParent;
	}


	//@}
	///// Allowed children /////
	//@{

	// "A name of an element with inline contents is "a", "abbr", "b", "bdi",
	// "bdo", "cite", "code", "dfn", "em", "h1", "h2", "h3", "h4", "h5", "h6", "i",
	// "kbd", "mark", "p", "pre", "q", "rp", "rt", "ruby", "s", "samp", "small",
	// "span", "strong", "sub", "sup", "u", "var", "acronym", "listing", "strike",
	// "xmp", "big", "blink", "font", "marquee", "nobr", or "tt"."
	var namesOfElementsWithInlineContentsMap = {
		"A": true,
		"ABBR": true,
		"B": true,
		"BDI": true,
		"BDO": true,
		"CITE": true,
		"CODE": true,
		"DFN": true,
		"EM": true,
		"H1": true,
		"H2": true,
		"H3": true,
		"H4": true,
		"H5": true,
		"H6": true,
		"I": true,
		"KBD": true,
		"MARK": true,
		"P": true,
		"PRE": true,
		"Q": true,
		"RP": true,
		"RT": true,
		"RUBY": true,
		"S": true,
		"SAMP": true,
		"SMALL": true,
		"SPAN": true,
		"STRONG": true,
		"SUB": true,
		"SUP": true,
		"U": true,
		"VAR": true,
		"ACRONYM": true,
		"LISTING": true,
		"STRIKE": true,
		"XMP": true,
		"BIG": true,
		"BLINK": true,
		"FONT": true,
		"MARQUEE": true,
		"NOBR": true,
		"TT": true
	};


	var tableRelatedElements = {
		"colgroup": true,
		"table": true,
		"tbody": true,
		"tfoot": true,
		"thead": true,
		"tr": true
	};

	var scriptRelatedElements = {
		"script": true,
		"style": true,
		"plaintext": true,
		"xmp": true
	};

	var prohibitedHeadingNestingMap = jQuery.extend({
		"H1": true,
		"H2": true,
		"H3": true,
		"H4": true,
		"H5": true,
		"H6": true
	}, prohibitedParagraphChildNamesMap);
	var prohibitedTableNestingMap = {
		"CAPTION": true,
		"COL": true,
		"COLGROUP": true,
		"TBODY": true,
		"TD": true,
		"TFOOT": true,
		"TH": true,
		"THEAD": true,
		"TR": true
	};
	var prohibitedDefNestingMap = {
		"DD": true,
		"DT": true
	};
	var prohibitedNestingCombinationsMap = {
		"A": jQuery.extend({
			"A": true
		}, prohibitedParagraphChildNamesMap),
		"DD": prohibitedDefNestingMap,
		"DT": prohibitedDefNestingMap,
		"LI": {
			"LI": true
		},
		"NOBR": jQuery.extend({
			"NOBR": true
		}, prohibitedParagraphChildNamesMap),
		"H1": prohibitedHeadingNestingMap,
		"H2": prohibitedHeadingNestingMap,
		"H3": prohibitedHeadingNestingMap,
		"H4": prohibitedHeadingNestingMap,
		"H5": prohibitedHeadingNestingMap,
		"H6": prohibitedHeadingNestingMap,
		"TD": prohibitedTableNestingMap,
		"TH": prohibitedTableNestingMap,
		// this is the same as namesOfElementsWithInlineContentsMap excluding a and h1-h6 elements above
		"ABBR": prohibitedParagraphChildNamesMap,
		"B": prohibitedParagraphChildNamesMap,
		"BDI": prohibitedParagraphChildNamesMap,
		"BDO": prohibitedParagraphChildNamesMap,
		"CITE": prohibitedParagraphChildNamesMap,
		"CODE": prohibitedParagraphChildNamesMap,
		"DFN": prohibitedParagraphChildNamesMap,
		"EM": prohibitedParagraphChildNamesMap,
		"I": prohibitedParagraphChildNamesMap,
		"KBD": prohibitedParagraphChildNamesMap,
		"MARK": prohibitedParagraphChildNamesMap,
		"P": prohibitedParagraphChildNamesMap,
		"PRE": prohibitedParagraphChildNamesMap,
		"Q": prohibitedParagraphChildNamesMap,
		"RP": prohibitedParagraphChildNamesMap,
		"RT": prohibitedParagraphChildNamesMap,
		"RUBY": prohibitedParagraphChildNamesMap,
		"S": prohibitedParagraphChildNamesMap,
		"SAMP": prohibitedParagraphChildNamesMap,
		"SMALL": prohibitedParagraphChildNamesMap,
		"SPAN": prohibitedParagraphChildNamesMap,
		"STRONG": prohibitedParagraphChildNamesMap,
		"SUB": prohibitedParagraphChildNamesMap,
		"SUP": prohibitedParagraphChildNamesMap,
		"U": prohibitedParagraphChildNamesMap,
		"VAR": prohibitedParagraphChildNamesMap,
		"ACRONYM": prohibitedParagraphChildNamesMap,
		"LISTING": prohibitedParagraphChildNamesMap,
		"STRIKE": prohibitedParagraphChildNamesMap,
		"XMP": prohibitedParagraphChildNamesMap,
		"BIG": prohibitedParagraphChildNamesMap,
		"BLINK": prohibitedParagraphChildNamesMap,
		"FONT": prohibitedParagraphChildNamesMap,
		"MARQUEE": prohibitedParagraphChildNamesMap,
		"TT": prohibitedParagraphChildNamesMap
	};

	// "An element with inline contents is an HTML element whose local name is a
	// name of an element with inline contents."
	function isElementWithInlineContents(node) {
		return isMappedHtmlElement(node, namesOfElementsWithInlineContentsMap);
	}

	function isAllowedChild(child, parent_) {
		// "If parent is "colgroup", "table", "tbody", "tfoot", "thead", "tr", or
		// an HTML element with local name equal to one of those, and child is a
		// Text node whose data does not consist solely of space characters, return
		// false."
		if ((tableRelatedElements[parent_] || isHtmlElementInArray(parent_, ["colgroup", "table", "tbody", "tfoot", "thead", "tr"])) && typeof child == "object" && child.nodeType == $_.Node.TEXT_NODE && !/^[ \t\n\f\r]*$/.test(child.data)) {
			return false;
		}

		// "If parent is "script", "style", "plaintext", or "xmp", or an HTML
		// element with local name equal to one of those, and child is not a Text
		// node, return false."
		if ((scriptRelatedElements[parent_] || isHtmlElementInArray(parent_, ["script", "style", "plaintext", "xmp"])) && (typeof child != "object" || child.nodeType != $_.Node.TEXT_NODE)) {
			return false;
		}

		// "If child is a Document, DocumentFragment, or DocumentType, return
		// false."
		if (typeof child == "object" && (child.nodeType == $_.Node.DOCUMENT_NODE || child.nodeType == $_.Node.DOCUMENT_FRAGMENT_NODE || child.nodeType == $_.Node.DOCUMENT_TYPE_NODE)) {
			return false;
		}

		// "If child is an HTML element, set child to the local name of child."
		if (isAnyHtmlElement(child)) {
			child = child.tagName.toLowerCase();
		}

		// "If child is not a string, return true."
		if (typeof child != "string") {
			return true;
		}

		// "If parent is an HTML element:"
		if (isAnyHtmlElement(parent_)) {
			// "If child is "a", and parent or some ancestor of parent is an a,
			// return false."
			//
			// "If child is a prohibited paragraph child name and parent or some
			// ancestor of parent is an element with inline contents, return
			// false."
			//
			// "If child is "h1", "h2", "h3", "h4", "h5", or "h6", and parent or
			// some ancestor of parent is an HTML element with local name "h1",
			// "h2", "h3", "h4", "h5", or "h6", return false."
			var ancestor = parent_;
			while (ancestor) {
				if (child == "a" && isNamedHtmlElement(ancestor, 'a')) {
					return false;
				}
				if (prohibitedParagraphChildNamesMap[child.toUpperCase()] && isElementWithInlineContents(ancestor)) {
					return false;
				}
				if (/^h[1-6]$/.test(child) && isAnyHtmlElement(ancestor) && /^H[1-6]$/.test(ancestor.tagName)) {
					return false;
				}
				ancestor = ancestor.parentNode;
			}

			// "Let parent be the local name of parent."
			parent_ = parent_.tagName.toLowerCase();
		}

		// "If parent is an Element or DocumentFragment, return true."
		if (typeof parent_ == "object" && (parent_.nodeType == $_.Node.ELEMENT_NODE || parent_.nodeType == $_.Node.DOCUMENT_FRAGMENT_NODE)) {
			return true;
		}

		// "If parent is not a string, return false."
		if (typeof parent_ != "string") {
			return false;
		}

		// "If parent is on the left-hand side of an entry on the following list,
		// then return true if child is listed on the right-hand side of that
		// entry, and false otherwise."
		switch (parent_) {
		case "colgroup":
			return child == "col";
		case "table":
			return jQuery.inArray(child, ["caption", "col", "colgroup", "tbody", "td", "tfoot", "th", "thead", "tr"]) != -1;
		case "tbody":
		case "thead":
		case "tfoot":
			return jQuery.inArray(child, ["td", "th", "tr"]) != -1;
		case "tr":
			return jQuery.inArray(child, ["td", "th"]) != -1;
		case "dl":
			return jQuery.inArray(child, ["dt", "dd"]) != -1;
		case "dir":
		case "ol":
		case "ul":
			return jQuery.inArray(child, ["dir", "li", "ol", "ul"]) != -1;
		case "hgroup":
			return (/^h[1-6]$/).test(child);
		}

		// "If child is "body", "caption", "col", "colgroup", "frame", "frameset",
		// "head", "html", "tbody", "td", "tfoot", "th", "thead", or "tr", return
		// false."
		if (jQuery.inArray(child, ["body", "caption", "col", "colgroup", "frame", "frameset", "head", "html", "tbody", "td", "tfoot", "th", "thead", "tr"]) != -1) {
			return false;
		}

		// "If child is "dd" or "dt" and parent is not "dl", return false."
		if (jQuery.inArray(child, ["dd", "dt"]) != -1 && parent_ != "dl") {
			return false;
		}

		// "If child is "li" and parent is not "ol" or "ul", return false."
		if (child == "li" && parent_ != "ol" && parent_ != "ul") {
			return false;
		}

		// "If parent is on the left-hand side of an entry on the following list
		// and child is listed on the right-hand side of that entry, return false."
		var leftSide = prohibitedNestingCombinationsMap[parent_.toUpperCase()];
		if (leftSide) {
			var rightSide = leftSide[child.toUpperCase()];
			if (rightSide) {
				return false;
			}
		}

		// "Return true."
		return true;
	}


	//@}

	//////////////////////////////////////
	///// Inline formatting commands /////
	//////////////////////////////////////

	///// Inline formatting command definitions /////
	//@{

	// "A node node is effectively contained in a range range if range is not
	// collapsed, and at least one of the following holds:"
	function isEffectivelyContained(node, range) {
		if (range.collapsed) {
			return false;
		}

		// "node is contained in range."
		if (isContained(node, range)) {
			return true;
		}

		// "node is range's start node, it is a Text node, and its length is
		// different from range's start offset."
		if (node == range.startContainer && node.nodeType == $_.Node.TEXT_NODE && getNodeLength(node) != range.startOffset) {
			return true;
		}

		// "node is range's end node, it is a Text node, and range's end offset is
		// not 0."
		if (node == range.endContainer && node.nodeType == $_.Node.TEXT_NODE && range.endOffset != 0) {
			return true;
		}

		// "node has at least one child; and all its children are effectively
		// contained in range; and either range's start node is not a descendant of
		// node or is not a Text node or range's start offset is zero; and either
		// range's end node is not a descendant of node or is not a Text node or
		// range's end offset is its end node's length."
		if (node.hasChildNodes() && $_(node.childNodes).every(function (child) { return isEffectivelyContained(child, range); })
			    && (!isDescendant(range.startContainer, node)
					|| range.startContainer.nodeType != $_.Node.TEXT_NODE
					|| range.startOffset == 0)
			    && (!isDescendant(range.endContainer, node)
					|| range.endContainer.nodeType != $_.Node.TEXT_NODE
					|| range.endOffset == getNodeLength(range.endContainer))) {
			return true;
		}

		return false;
	}

	// Like get(All)ContainedNodes(), but for effectively contained nodes.
	function getEffectivelyContainedNodes(range, condition) {
		if (typeof condition == "undefined") {
			condition = function () {
				return true;
			};
		}
		var node = range.startContainer;
		while (isEffectivelyContained(node.parentNode, range)) {
			node = node.parentNode;
		}

		var stop = nextNodeDescendants(range.endContainer);

		var nodeList = [];
		while (isBefore(node, stop)) {
			if (isEffectivelyContained(node, range) && condition(node)) {
				nodeList.push(node);
				node = nextNodeDescendants(node);
				continue;
			}
			node = nextNode(node);
		}
		return nodeList;
	}

	function getAllEffectivelyContainedNodes(range, condition) {
		if (typeof condition == "undefined") {
			condition = function () {
				return true;
			};
		}
		var node = range.startContainer;
		while (isEffectivelyContained(node.parentNode, range)) {
			node = node.parentNode;
		}

		var stop = nextNodeDescendants(range.endContainer);

		var nodeList = [];
		while (isBefore(node, stop)) {
			if (isEffectivelyContained(node, range) && condition(node)) {
				nodeList.push(node);
			}
			node = nextNode(node);
		}
		return nodeList;
	}

	// "A modifiable element is a b, em, i, s, span, strong, sub, sup, or u element
	// with no attributes except possibly style; or a font element with no
	// attributes except possibly style, color, face, and/or size; or an a element
	// with no attributes except possibly style and/or href."
	function isModifiableElement(node) {
		if (!isAnyHtmlElement(node)) {
			return false;
		}

		if (jQuery.inArray(node.tagName, ["B", "EM", "I", "S", "SPAN", "STRIKE", "STRONG", "SUB", "SUP", "U"]) != -1) {
			if (node.attributes.length == 0) {
				return true;
			}

			if (node.attributes.length == 1 && hasAttribute(node, "style")) {
				return true;
			}
		}

		if (node.tagName == "FONT" || node.tagName == "A") {
			var numAttrs = node.attributes.length;

			if (hasAttribute(node, "style")) {
				numAttrs--;
			}

			if (node.tagName == "FONT") {
				if (hasAttribute(node, "color")) {
					numAttrs--;
				}

				if (hasAttribute(node, "face")) {
					numAttrs--;
				}

				if (hasAttribute(node, "size")) {
					numAttrs--;
				}
			}

			if (node.tagName == "A" && hasAttribute(node, "href")) {
				numAttrs--;
			}

			if (numAttrs == 0) {
				return true;
			}
		}

		return false;
	}

	function isSimpleModifiableElement(node) {
		// "A simple modifiable element is an HTML element for which at least one
		// of the following holds:"
		if (!isAnyHtmlElement(node)) {
			return false;
		}

		// Only these elements can possibly be a simple modifiable element.
		if (jQuery.inArray(node.tagName, ["A", "B", "EM", "FONT", "I", "S", "SPAN", "STRIKE", "STRONG", "SUB", "SUP", "U"]) == -1) {
			return false;
		}

		// "It is an a, b, em, font, i, s, span, strike, strong, sub, sup, or u
		// element with no attributes."
		if (node.attributes.length == 0) {
			return true;
		}

		// If it's got more than one attribute, everything after this fails.
		if (node.attributes.length > 1) {
			return false;
		}

		// "It is an a, b, em, font, i, s, span, strike, strong, sub, sup, or u
		// element with exactly one attribute, which is style, which sets no CSS
		// properties (including invalid or unrecognized properties)."
		//
		// Not gonna try for invalid or unrecognized.
		if (hasAttribute(node, "style") && getStyleLength(node) == 0) {
			return true;
		}

		// "It is an a element with exactly one attribute, which is href."
		if (node.tagName == "A" && hasAttribute(node, "href")) {
			return true;
		}

		// "It is a font element with exactly one attribute, which is either color,
		// face, or size."
		if (node.tagName == "FONT" && (hasAttribute(node, "color") || hasAttribute(node, "face") || hasAttribute(node, "size"))) {
			return true;
		}

		// "It is a b or strong element with exactly one attribute, which is style,
		// and the style attribute sets exactly one CSS property (including invalid
		// or unrecognized properties), which is "font-weight"."
		if ((node.tagName == "B" || node.tagName == "STRONG") && hasAttribute(node, "style") && getStyleLength(node) == 1 && node.style.fontWeight != "") {
			return true;
		}

		// "It is an i or em element with exactly one attribute, which is style,
		// and the style attribute sets exactly one CSS property (including invalid
		// or unrecognized properties), which is "font-style"."
		if ((node.tagName == "I" || node.tagName == "EM") && hasAttribute(node, "style") && getStyleLength(node) == 1 && node.style.fontStyle != "") {
			return true;
		}

		// "It is an a, font, or span element with exactly one attribute, which is
		// style, and the style attribute sets exactly one CSS property (including
		// invalid or unrecognized properties), and that property is not
		// "text-decoration"."
		if ((node.tagName == "A" || node.tagName == "FONT" || node.tagName == "SPAN") && hasAttribute(node, "style") && getStyleLength(node) == 1 && node.style.textDecoration == "") {
			return true;
		}

		// "It is an a, font, s, span, strike, or u element with exactly one
		// attribute, which is style, and the style attribute sets exactly one CSS
		// property (including invalid or unrecognized properties), which is
		// "text-decoration", which is set to "line-through" or "underline" or
		// "overline" or "none"."
		if (jQuery.inArray(node.tagName, ["A", "FONT", "S", "SPAN", "STRIKE", "U"]) != -1 && hasAttribute(node, "style") && getStyleLength(node) == 1 && (node.style.textDecoration == "line-through" || node.style.textDecoration == "underline" || node.style.textDecoration == "overline" || node.style.textDecoration == "none")) {
			return true;
		}

		return false;
	}

	// "Two quantities are equivalent values for a command if either both are null,
	// or both are strings and they're equal and the command does not define any
	// equivalent values, or both are strings and the command defines equivalent
	// values and they match the definition."
	function areEquivalentValues(command, val1, val2) {
		if (val1 === null && val2 === null) {
			return true;
		}

		if (typeof val1 == "string" && typeof val2 == "string" && val1 == val2 && !(commands[command].hasOwnProperty("equivalentValues"))) {
			return true;
		}

		if (typeof val1 == "string" && typeof val2 == "string" && commands[command].hasOwnProperty("equivalentValues") && commands[command].equivalentValues(val1, val2)) {
			return true;
		}

		return false;
	}

	// "Two quantities are loosely equivalent values for a command if either they
	// are equivalent values for the command, or if the command is the fontSize
	// command; one of the quantities is one of "xx-small", "small", "medium",
	// "large", "x-large", "xx-large", or "xxx-large"; and the other quantity is
	// the resolved value of "font-size" on a font element whose size attribute has
	// the corresponding value set ("1" through "7" respectively)."
	function areLooselyEquivalentValues(command, val1, val2) {
		if (areEquivalentValues(command, val1, val2)) {
			return true;
		}

		if (command != "fontsize" || typeof val1 != "string" || typeof val2 != "string") {
			return false;
		}

		// Static variables in JavaScript?
		var callee = areLooselyEquivalentValues;
		if (callee.sizeMap === undefined) {
			callee.sizeMap = {};
			var font = document.createElement("font");
			document.body.appendChild(font);
			$_(["xx-small", "small", "medium", "large", "x-large", "xx-large", "xxx-large"]).forEach(function (keyword) {
				font.size = cssSizeToLegacy(keyword);
				callee.sizeMap[keyword] = $_.getComputedStyle(font).fontSize;
			});
			document.body.removeChild(font);
		}

		return val1 === callee.sizeMap[val2] || val2 === callee.sizeMap[val1];
	}

	//@}
	///// Assorted inline formatting command algorithms /////
	//@{

	function getEffectiveCommandValue(node, command) {
		// "If neither node nor its parent is an Element, return null."
		if (node.nodeType != $_.Node.ELEMENT_NODE && (!node.parentNode || node.parentNode.nodeType != $_.Node.ELEMENT_NODE)) {
			return null;
		}

		// "If node is not an Element, return the effective command value of its
		// parent for command."
		if (node.nodeType != $_.Node.ELEMENT_NODE) {
			return getEffectiveCommandValue(node.parentNode, command);
		}

		// "If command is "createLink" or "unlink":"
		if (command == "createlink" || command == "unlink") {
			// "While node is not null, and is not an a element that has an href
			// attribute, set node to its parent."
			while (node && (!isAnyHtmlElement(node) || node.tagName != "A" || !hasAttribute(node, "href"))) {
				node = node.parentNode;
			}

			// "If node is null, return null."
			if (!node) {
				return null;
			}

			// "Return the value of node's href attribute."
			return node.getAttribute("href");
		}

		// "If command is "backColor" or "hiliteColor":"
		if (command == "backcolor" || command == "hilitecolor") {
			// "While the resolved value of "background-color" on node is any
			// fully transparent value, and node's parent is an Element, set
			// node to its parent."
			//
			// Another lame hack to avoid flawed APIs.
			while (($_.getComputedStyle(node).backgroundColor == "rgba(0, 0, 0, 0)" || $_.getComputedStyle(node).backgroundColor === "" || $_.getComputedStyle(node).backgroundColor == "transparent") && node.parentNode && node.parentNode.nodeType == $_.Node.ELEMENT_NODE) {
				node = node.parentNode;
			}

			// "If the resolved value of "background-color" on node is a fully
			// transparent value, return "rgb(255, 255, 255)"."
			if ($_.getComputedStyle(node).backgroundColor == "rgba(0, 0, 0, 0)" || $_.getComputedStyle(node).backgroundColor === "" || $_.getComputedStyle(node).backgroundColor == "transparent") {
				return "rgb(255, 255, 255)";
			}

			// "Otherwise, return the resolved value of "background-color" for
			// node."
			return $_.getComputedStyle(node).backgroundColor;
		}

		// "If command is "subscript" or "superscript":"
		if (command == "subscript" || command == "superscript") {
			// "Let affected by subscript and affected by superscript be two
			// boolean variables, both initially false."
			var affectedBySubscript = false;
			var affectedBySuperscript = false;

			// "While node is an inline node:"
			while (isInlineNode(node)) {
				var verticalAlign = $_.getComputedStyle(node).verticalAlign;

				// "If node is a sub, set affected by subscript to true."
				if (isNamedHtmlElement(node, 'sub')) {
					affectedBySubscript = true;
					// "Otherwise, if node is a sup, set affected by superscript to
					// true."
				} else if (isNamedHtmlElement(node, 'sup')) {
					affectedBySuperscript = true;
				}

				// "Set node to its parent."
				node = node.parentNode;
			}

			// "If affected by subscript and affected by superscript are both true,
			// return the string "mixed"."
			if (affectedBySubscript && affectedBySuperscript) {
				return "mixed";
			}

			// "If affected by subscript is true, return "subscript"."
			if (affectedBySubscript) {
				return "subscript";
			}

			// "If affected by superscript is true, return "superscript"."
			if (affectedBySuperscript) {
				return "superscript";
			}

			// "Return null."
			return null;
		}

		// "If command is "strikethrough", and the "text-decoration" property of
		// node or any of its ancestors has resolved value containing
		// "line-through", return "line-through". Otherwise, return null."
		if (command == "strikethrough") {
			do {
				if ($_.getComputedStyle(node).textDecoration.indexOf("line-through") != -1) {
					return "line-through";
				}
				node = node.parentNode;
			} while (node && node.nodeType == $_.Node.ELEMENT_NODE);
			return null;
		}

		// "If command is "underline", and the "text-decoration" property of node
		// or any of its ancestors has resolved value containing "underline",
		// return "underline". Otherwise, return null."
		if (command == "underline") {
			do {
				if ($_.getComputedStyle(node).textDecoration.indexOf("underline") != -1) {
					return "underline";
				}
				node = node.parentNode;
			} while (node && node.nodeType == $_.Node.ELEMENT_NODE);
			return null;
		}

		if (!commands[command].hasOwnProperty("relevantCssProperty")) {
			throw "Bug: no relevantCssProperty for " + command + " in getEffectiveCommandValue";
		}

		// "Return the resolved value for node of the relevant CSS property for
		// command."
		return $_.getComputedStyle(node)[commands[command].relevantCssProperty].toString();
	}

	function getSpecifiedCommandValue(element, command) {
		// "If command is "backColor" or "hiliteColor" and element's display
		// property does not have resolved value "inline", return null."
		if ((command == "backcolor" || command == "hilitecolor") && $_.getComputedStyle(element).display != "inline") {
			return null;
		}

		// "If command is "createLink" or "unlink":"
		if (command == "createlink" || command == "unlink") {
			// "If element is an a element and has an href attribute, return the
			// value of that attribute."
			if (isAnyHtmlElement(element) && element.tagName == "A" && hasAttribute(element, "href")) {
				return element.getAttribute("href");
			}

			// "Return null."
			return null;
		}

		// "If command is "subscript" or "superscript":"
		if (command == "subscript" || command == "superscript") {
			// "If element is a sup, return "superscript"."
			if (isNamedHtmlElement(element, 'sup')) {
				return "superscript";
			}

			// "If element is a sub, return "subscript"."
			if (isNamedHtmlElement(element, 'sub')) {
				return "subscript";
			}

			// "Return null."
			return null;
		}

		// "If command is "strikethrough", and element has a style attribute set,
		// and that attribute sets "text-decoration":"
		if (command == "strikethrough" && element.style.textDecoration != "") {
			// "If element's style attribute sets "text-decoration" to a value
			// containing "line-through", return "line-through"."
			if (element.style.textDecoration.indexOf("line-through") != -1) {
				return "line-through";
			}

			// "Return null."
			return null;
		}

		// "If command is "strikethrough" and element is a s or strike element,
		// return "line-through"."
		if (command == "strikethrough" && isHtmlElementInArray(element, ["S", "STRIKE"])) {
			return "line-through";
		}

		// "If command is "underline", and element has a style attribute set, and
		// that attribute sets "text-decoration":"
		if (command == "underline" && element.style.textDecoration != "") {
			// "If element's style attribute sets "text-decoration" to a value
			// containing "underline", return "underline"."
			if (element.style.textDecoration.indexOf("underline") != -1) {
				return "underline";
			}

			// "Return null."
			return null;
		}

		// "If command is "underline" and element is a u element, return
		// "underline"."
		if (command == "underline" && isNamedHtmlElement(element, 'U')) {
			return "underline";
		}

		// "Let property be the relevant CSS property for command."
		var property = commands[command].relevantCssProperty;

		// "If property is null, return null."
		if (property === null) {
			return null;
		}

		// "If element has a style attribute set, and that attribute has the
		// effect of setting property, return the value that it sets property to."
		if (element.style[property] != "") {
			return element.style[property];
		}

		// "If element is a font element that has an attribute whose effect is
		// to create a presentational hint for property, return the value that the
		// hint sets property to.  (For a size of 7, this will be the non-CSS value
		// "xxx-large".)"
		if (isHtmlNamespace(element.namespaceURI) && element.tagName == "FONT") {
			if (property == "color" && hasAttribute(element, "color")) {
				return element.color;
			}
			if (property == "fontFamily" && hasAttribute(element, "face")) {
				return element.face;
			}
			if (property == "fontSize" && hasAttribute(element, "size")) {
				// This is not even close to correct in general.
				var size = parseInt(element.size, 10);
				if (size < 1) {
					size = 1;
				}
				if (size > 7) {
					size = 7;
				}
				return {
					1: "xx-small",
					2: "small",
					3: "medium",
					4: "large",
					5: "x-large",
					6: "xx-large",
					7: "xxx-large"
				}[size];
			}
		}

		// "If element is in the following list, and property is equal to the
		// CSS property name listed for it, return the string listed for it."
		//
		// A list follows, whose meaning is copied here.
		if (property == "fontWeight" && (element.tagName == "B" || element.tagName == "STRONG")) {
			return "bold";
		}
		if (property == "fontStyle" && (element.tagName == "I" || element.tagName == "EM")) {
			return "italic";
		}

		// "Return null."
		return null;
	}

	function reorderModifiableDescendants(node, command, newValue, range) {
		// "Let candidate equal node."
		var candidate = node;

		// "While candidate is a modifiable element, and candidate has exactly one
		// child, and that child is also a modifiable element, and candidate is not
		// a simple modifiable element or candidate's specified command value for
		// command is not equivalent to new value, set candidate to its child."
		while (isModifiableElement(candidate) && candidate.childNodes.length == 1 && isModifiableElement(candidate.firstChild) && (!isSimpleModifiableElement(candidate) || !areEquivalentValues(command, getSpecifiedCommandValue(candidate, command), newValue))) {
			candidate = candidate.firstChild;
		}

		// "If candidate is node, or is not a simple modifiable element, or its
		// specified command value is not equivalent to new value, or its effective
		// command value is not loosely equivalent to new value, abort these
		// steps."
		if (candidate == node || !isSimpleModifiableElement(candidate) || !areEquivalentValues(command, getSpecifiedCommandValue(candidate, command), newValue) || !areLooselyEquivalentValues(command, getEffectiveCommandValue(candidate, command), newValue)) {
			return;
		}

		// "While candidate has children, insert the first child of candidate into
		// candidate's parent immediately before candidate, preserving ranges."
		while (candidate.hasChildNodes()) {
			movePreservingRanges(candidate.firstChild, candidate.parentNode, Dom.getIndexInParent(candidate), range);
		}

		// "Insert candidate into node's parent immediately after node."
		node.parentNode.insertBefore(candidate, node.nextSibling);

		// "Append the node as the last child of candidate, preserving ranges."
		movePreservingRanges(node, candidate, -1, range);
	}

	var recordValuesCommands = ["subscript", "bold", "fontname", "fontsize", "forecolor", "hilitecolor", "italic", "strikethrough", "underline"];

	function recordValues(nodeList) {
		// "Let values be a list of (node, command, specified command value)
		// triples, initially empty."
		var values = [];

		// "For each node in node list, for each command in the list "subscript",
		// "bold", "fontName", "fontSize", "foreColor", "hiliteColor", "italic",
		// "strikethrough", and "underline" in that order:"

		// Ensure we have a plain array to avoid the potential performance
		// overhead of a NodeList
		var nodes = jQuery.makeArray(nodeList);
		var i, j;
		var node;
		var command;
		var ancestor;
		var specifiedCommandValue;
		for (i = 0; i < nodes.length; i++) {
			node = nodes[i];
			for (j = 0; j < recordValuesCommands.length; j++) {
				command = recordValuesCommands[j];

				// "Let ancestor equal node."
				ancestor = node;

				// "If ancestor is not an Element, set it to its parent."
				if (ancestor.nodeType != 1) {
					ancestor = ancestor.parentNode;
				}

				// "While ancestor is an Element and its specified command value
				// for command is null, set it to its parent."
				specifiedCommandValue = null;
				while (ancestor && ancestor.nodeType == 1 && (specifiedCommandValue = getSpecifiedCommandValue(ancestor, command)) === null) {
					ancestor = ancestor.parentNode;
				}

				// "If ancestor is an Element, add (node, command, ancestor's
				// specified command value for command) to values. Otherwise add
				// (node, command, null) to values."
				values.push([node, command, specifiedCommandValue]);
			}
		}

		// "Return values."
		return values;
	}

	//@}
	///// Clearing an element's value /////
	//@{

	function clearValue(element, command, range) {
		// "If element is not editable, return the empty list."
		if (!isEditable(element)) {
			return [];
		}

		// "If element's specified command value for command is null, return the
		// empty list."
		if (getSpecifiedCommandValue(element, command) === null) {
			return [];
		}

		// "If element is a simple modifiable element:"
		if (isSimpleModifiableElement(element)) {
			// "Let children be the children of element."
			var children = Array.prototype.slice.call(toArray(element.childNodes));

			// "For each child in children, insert child into element's parent
			// immediately before element, preserving ranges."
			var i;
			for (i = 0; i < children.length; i++) {
				movePreservingRanges(children[i], element.parentNode, Dom.getIndexInParent(element), range);
			}

			// "Remove element from its parent."
			element.parentNode.removeChild(element);

			// "Return children."
			return children;
		}

		// "If command is "strikethrough", and element has a style attribute that
		// sets "text-decoration" to some value containing "line-through", delete
		// "line-through" from the value."
		if (command == "strikethrough" && element.style.textDecoration.indexOf("line-through") != -1) {
			if (element.style.textDecoration == "line-through") {
				element.style.textDecoration = "";
			} else {
				element.style.textDecoration = element.style.textDecoration.replace("line-through", "");
			}
			if (element.getAttribute("style") == "") {
				element.removeAttribute("style");
			}
		}

		// "If command is "underline", and element has a style attribute that sets
		// "text-decoration" to some value containing "underline", delete
		// "underline" from the value."
		if (command == "underline" && element.style.textDecoration.indexOf("underline") != -1) {
			if (element.style.textDecoration == "underline") {
				element.style.textDecoration = "";
			} else {
				element.style.textDecoration = element.style.textDecoration.replace("underline", "");
			}
			if (element.getAttribute("style") == "") {
				element.removeAttribute("style");
			}
		}

		// "If the relevant CSS property for command is not null, unset the CSS
		// property property of element."
		if (commands[command].relevantCssProperty !== null) {
			element.style[commands[command].relevantCssProperty] = '';
			if (element.getAttribute("style") == "") {
				element.removeAttribute("style");
			}
		}

		// "If element is a font element:"
		if (isHtmlNamespace(element.namespaceURI) && element.tagName == "FONT") {
			// "If command is "foreColor", unset element's color attribute, if set."
			if (command == "forecolor") {
				element.removeAttribute("color");
			}

			// "If command is "fontName", unset element's face attribute, if set."
			if (command == "fontname") {
				element.removeAttribute("face");
			}

			// "If command is "fontSize", unset element's size attribute, if set."
			if (command == "fontsize") {
				element.removeAttribute("size");
			}
		}

		// "If element is an a element and command is "createLink" or "unlink",
		// unset the href property of element."
		if (isNamedHtmlElement(element, 'A') && (command == "createlink" || command == "unlink")) {
			element.removeAttribute("href");
		}

		// "If element's specified command value for command is null, return the
		// empty list."
		if (getSpecifiedCommandValue(element, command) === null) {
			return [];
		}

		// "Set the tag name of element to "span", and return the one-node list
		// consisting of the result."
		return [setTagName(element, "span", range)];
	}

	//@}
	///// Forcing the value of a node /////
	//@{

	function forceValue(node, command, newValue, range) {
		var children = [];
		var i;
		var specifiedValue;

		// "If node's parent is null, abort this algorithm."
		if (!node.parentNode) {
			return;
		}

		// "If new value is null, abort this algorithm."
		if (newValue === null) {
			return;
		}

		// "If node is an allowed child of "span":"
		if (isAllowedChild(node, "span")) {
			// "Reorder modifiable descendants of node's previousSibling."
			reorderModifiableDescendants(node.previousSibling, command, newValue, range);

			// "Reorder modifiable descendants of node's nextSibling."
			reorderModifiableDescendants(node.nextSibling, command, newValue, range);

			// "Wrap the one-node list consisting of node, with sibling criteria
			// returning true for a simple modifiable element whose specified
			// command value is equivalent to new value and whose effective command
			// value is loosely equivalent to new value and false otherwise, and
			// with new parent instructions returning null."
			wrap(
				[node],
				function (node) {
					return isSimpleModifiableElement(node) && areEquivalentValues(command, getSpecifiedCommandValue(node, command), newValue) && areLooselyEquivalentValues(command, getEffectiveCommandValue(node, command), newValue);
				},
				function () {
					return null;
				},
				range
			);
		}

		// "If the effective command value of command is loosely equivalent to new
		// value on node, abort this algorithm."
		if (areLooselyEquivalentValues(command, getEffectiveCommandValue(node, command), newValue)) {
			return;
		}

		// "If node is not an allowed child of "span":"
		if (!isAllowedChild(node, "span")) {
			// "Let children be all children of node, omitting any that are
			// Elements whose specified command value for command is neither null
			// nor equivalent to new value."
			for (i = 0; i < node.childNodes.length; i++) {
				if (node.childNodes[i].nodeType == $_.Node.ELEMENT_NODE) {
					specifiedValue = getSpecifiedCommandValue(node.childNodes[i], command);

					if (specifiedValue !== null && !areEquivalentValues(command, newValue, specifiedValue)) {
						continue;
					}
				}
				children.push(node.childNodes[i]);
			}

			// "Force the value of each Node in children, with command and new
			// value as in this invocation of the algorithm."
			for (i = 0; i < children.length; i++) {
				forceValue(children[i], command, newValue, range);
			}

			// "Abort this algorithm."
			return;
		}

		// "If the effective command value of command is loosely equivalent to new
		// value on node, abort this algorithm."
		if (areLooselyEquivalentValues(command, getEffectiveCommandValue(node, command), newValue)) {
			return;
		}

		// "Let new parent be null."
		var newParent = null;

		// "If the CSS styling flag is false:"
		if (!cssStylingFlag) {
			// "If command is "bold" and new value is "bold", let new parent be the
			// result of calling createElement("b") on the ownerDocument of node."
			if (command == "bold" && (newValue == "bold" || newValue == "700")) {
				newParent = node.ownerDocument.createElement("b");
			}

			// "If command is "italic" and new value is "italic", let new parent be
			// the result of calling createElement("i") on the ownerDocument of
			// node."
			if (command == "italic" && newValue == "italic") {
				newParent = node.ownerDocument.createElement("i");
			}

			// "If command is "strikethrough" and new value is "line-through", let
			// new parent be the result of calling createElement("s") on the
			// ownerDocument of node."
			if (command == "strikethrough" && newValue == "line-through") {
				newParent = node.ownerDocument.createElement("s");
			}

			// "If command is "underline" and new value is "underline", let new
			// parent be the result of calling createElement("u") on the
			// ownerDocument of node."
			if (command == "underline" && newValue == "underline") {
				newParent = node.ownerDocument.createElement("u");
			}

			// "If command is "foreColor", and new value is fully opaque with red,
			// green, and blue components in the range 0 to 255:"
			if (command == "forecolor" && parseSimpleColor(newValue)) {
				// "Let new parent be the result of calling createElement("span")
				// on the ownerDocument of node."
				// NOTE: modified this process to create span elements with style attributes
				// instead of oldschool font tags with color attributes
				newParent = node.ownerDocument.createElement("span");

				// "If new value is an extended color keyword, set the color
				// attribute of new parent to new value."
				//
				// "Otherwise, set the color attribute of new parent to the result
				// of applying the rules for serializing simple color values to new
				// value (interpreted as a simple color)."
				jQuery(newParent).css('color', parseSimpleColor(newValue));
			}

			// "If command is "fontName", let new parent be the result of calling
			// createElement("font") on the ownerDocument of node, then set the
			// face attribute of new parent to new value."
			if (command == "fontname") {
				newParent = node.ownerDocument.createElement("font");
				newParent.face = newValue;
			}
		}

		// "If command is "createLink" or "unlink":"
		if (command == "createlink" || command == "unlink") {
			// "Let new parent be the result of calling createElement("a") on the
			// ownerDocument of node."
			newParent = node.ownerDocument.createElement("a");

			// "Set the href attribute of new parent to new value."
			newParent.setAttribute("href", newValue);

			// "Let ancestor be node's parent."
			var ancestor = node.parentNode;

			// "While ancestor is not null:"
			while (ancestor) {
				// "If ancestor is an a, set the tag name of ancestor to "span",
				// and let ancestor be the result."
				if (isNamedHtmlElement(ancestor, 'A')) {
					ancestor = setTagName(ancestor, "span", range);
				}

				// "Set ancestor to its parent."
				ancestor = ancestor.parentNode;
			}
		}

		// "If command is "fontSize"; and new value is one of "xx-small", "small",
		// "medium", "large", "x-large", "xx-large", or "xxx-large"; and either the
		// CSS styling flag is false, or new value is "xxx-large": let new parent
		// be the result of calling createElement("font") on the ownerDocument of
		// node, then set the size attribute of new parent to the number from the
		// following table based on new value: [table omitted]"
		if (command == "fontsize" && jQuery.inArray(newValue, ["xx-small", "small", "medium", "large", "x-large", "xx-large", "xxx-large"]) != -1 && (!cssStylingFlag || newValue == "xxx-large")) {
			newParent = node.ownerDocument.createElement("font");
			newParent.size = cssSizeToLegacy(newValue);
		}

		// "If command is "subscript" or "superscript" and new value is
		// "subscript", let new parent be the result of calling
		// createElement("sub") on the ownerDocument of node."
		if ((command == "subscript" || command == "superscript") && newValue == "subscript") {
			newParent = node.ownerDocument.createElement("sub");
		}

		// "If command is "subscript" or "superscript" and new value is
		// "superscript", let new parent be the result of calling
		// createElement("sup") on the ownerDocument of node."
		if ((command == "subscript" || command == "superscript") && newValue == "superscript") {
			newParent = node.ownerDocument.createElement("sup");
		}

		// "If new parent is null, let new parent be the result of calling
		// createElement("span") on the ownerDocument of node."
		if (!newParent) {
			newParent = node.ownerDocument.createElement("span");
		}

		// "Insert new parent in node's parent before node."
		node.parentNode.insertBefore(newParent, node);

		// "If the effective command value of command for new parent is not loosely
		// equivalent to new value, and the relevant CSS property for command is
		// not null, set that CSS property of new parent to new value (if the new
		// value would be valid)."
		var property = commands[command].relevantCssProperty;
		if (property !== null && !areLooselyEquivalentValues(command, getEffectiveCommandValue(newParent, command), newValue)) {
			newParent.style[property] = newValue;
		}

		// "If command is "strikethrough", and new value is "line-through", and the
		// effective command value of "strikethrough" for new parent is not
		// "line-through", set the "text-decoration" property of new parent to
		// "line-through"."
		if (command == "strikethrough" && newValue == "line-through" && getEffectiveCommandValue(newParent, "strikethrough") != "line-through") {
			newParent.style.textDecoration = "line-through";
		}

		// "If command is "underline", and new value is "underline", and the
		// effective command value of "underline" for new parent is not
		// "underline", set the "text-decoration" property of new parent to
		// "underline"."
		if (command == "underline" && newValue == "underline" && getEffectiveCommandValue(newParent, "underline") != "underline") {
			newParent.style.textDecoration = "underline";
		}

		// "Append node to new parent as its last child, preserving ranges."
		movePreservingRanges(node, newParent, newParent.childNodes.length, range);

		// "If node is an Element and the effective command value of command for
		// node is not loosely equivalent to new value:"
		if (node.nodeType == $_.Node.ELEMENT_NODE && !areEquivalentValues(command, getEffectiveCommandValue(node, command), newValue)) {
			// "Insert node into the parent of new parent before new parent,
			// preserving ranges."
			movePreservingRanges(node, newParent.parentNode, Dom.getIndexInParent(newParent), range);

			// "Remove new parent from its parent."
			newParent.parentNode.removeChild(newParent);

			// "Let children be all children of node, omitting any that are
			// Elements whose specified command value for command is neither null
			// nor equivalent to new value."
			children = [];
			for (i = 0; i < node.childNodes.length; i++) {
				if (node.childNodes[i].nodeType == $_.Node.ELEMENT_NODE) {
					specifiedValue = getSpecifiedCommandValue(node.childNodes[i], command);

					if (specifiedValue !== null && !areEquivalentValues(command, newValue, specifiedValue)) {
						continue;
					}
				}
				children.push(node.childNodes[i]);
			}

			// "Force the value of each Node in children, with command and new
			// value as in this invocation of the algorithm."
			for (i = 0; i < children.length; i++) {
				forceValue(children[i], command, newValue, range);
			}
		}
	}

	//@}
	///// Pushing down values /////
	//@{

	function pushDownValues(node, command, newValue, range) {
		// "If node's parent is not an Element, abort this algorithm."
		if (!node.parentNode || node.parentNode.nodeType != $_.Node.ELEMENT_NODE) {
			return;
		}

		// "If the effective command value of command is loosely equivalent to new
		// value on node, abort this algorithm."
		if (areLooselyEquivalentValues(command, getEffectiveCommandValue(node, command), newValue)) {
			return;
		}

		// "Let current ancestor be node's parent."
		var currentAncestor = node.parentNode;

		// "Let ancestor list be a list of Nodes, initially empty."
		var ancestorList = [];

		// "While current ancestor is an editable Element and the effective command
		// value of command is not loosely equivalent to new value on it, append
		// current ancestor to ancestor list, then set current ancestor to its
		// parent."
		while (isEditable(currentAncestor) && currentAncestor.nodeType == $_.Node.ELEMENT_NODE && !areLooselyEquivalentValues(command, getEffectiveCommandValue(currentAncestor, command), newValue)) {
			ancestorList.push(currentAncestor);
			currentAncestor = currentAncestor.parentNode;
		}

		// "If ancestor list is empty, abort this algorithm."
		if (!ancestorList.length) {
			return;
		}

		// "Let propagated value be the specified command value of command on the
		// last member of ancestor list."
		var propagatedValue = getSpecifiedCommandValue(ancestorList[ancestorList.length - 1], command);

		// "If propagated value is null and is not equal to new value, abort this
		// algorithm."
		if (propagatedValue === null && propagatedValue != newValue) {
			return;
		}

		// "If the effective command value for the parent of the last member of
		// ancestor list is not loosely equivalent to new value, and new value is
		// not null, abort this algorithm."
		if (newValue !== null && !areLooselyEquivalentValues(command, getEffectiveCommandValue(ancestorList[ancestorList.length - 1].parentNode, command), newValue)) {
			return;
		}

		// "While ancestor list is not empty:"
		while (ancestorList.length) {
			// "Let current ancestor be the last member of ancestor list."
			// "Remove the last member from ancestor list."
			currentAncestor = ancestorList.pop();

			// "If the specified command value of current ancestor for command is
			// not null, set propagated value to that value."
			if (getSpecifiedCommandValue(currentAncestor, command) !== null) {
				propagatedValue = getSpecifiedCommandValue(currentAncestor, command);
			}

			// "Let children be the children of current ancestor."
			var children = Array.prototype.slice.call(toArray(currentAncestor.childNodes));

			// "If the specified command value of current ancestor for command is
			// not null, clear the value of current ancestor."
			if (getSpecifiedCommandValue(currentAncestor, command) !== null) {
				clearValue(currentAncestor, command, range);
			}

			// "For every child in children:"
			var i;
			for (i = 0; i < children.length; i++) {
				var child = children[i];

				// "If child is node, continue with the next child."
				if (child == node) {
					continue;
				}

				// "If child is an Element whose specified command value for
				// command is neither null nor equivalent to propagated value,
				// continue with the next child."
				if (child.nodeType == $_.Node.ELEMENT_NODE && getSpecifiedCommandValue(child, command) !== null && !areEquivalentValues(command, propagatedValue, getSpecifiedCommandValue(child, command))) {
					continue;
				}

				// "If child is the last member of ancestor list, continue with the
				// next child."
				if (child == ancestorList[ancestorList.length - 1]) {
					continue;
				}

				// "Force the value of child, with command as in this algorithm
				// and new value equal to propagated value."
				forceValue(child, command, propagatedValue, range);
			}
		}
	}

	function restoreValues(values, range) {
		// "For each (node, command, value) triple in values:"
		$_(values).forEach(function (triple) {
			var node = triple[0];
			var command = triple[1];
			var value = triple[2];

			// "Let ancestor equal node."
			var ancestor = node;

			// "If ancestor is not an Element, set it to its parent."
			if (!ancestor || ancestor.nodeType != $_.Node.ELEMENT_NODE) {
				ancestor = ancestor.parentNode;
			}

			// "While ancestor is an Element and its specified command value for
			// command is null, set it to its parent."
			while (ancestor && ancestor.nodeType == $_.Node.ELEMENT_NODE && getSpecifiedCommandValue(ancestor, command) === null) {
				ancestor = ancestor.parentNode;
			}

			// "If value is null and ancestor is an Element, push down values on
			// node for command, with new value null."
			if (value === null && ancestor && ancestor.nodeType == $_.Node.ELEMENT_NODE) {
				pushDownValues(node, command, null, range);

				// "Otherwise, if ancestor is an Element and its specified command
				// value for command is not equivalent to value, or if ancestor is not
				// an Element and value is not null, force the value of command to
				// value on node."
			} else if ((ancestor && ancestor.nodeType == $_.Node.ELEMENT_NODE && !areEquivalentValues(command, getSpecifiedCommandValue(ancestor, command), value)) || ((!ancestor || ancestor.nodeType != $_.Node.ELEMENT_NODE) && value !== null)) {
				forceValue(node, command, value, range);
			}
		});
	}

	//@}
	///// Setting the selection's value /////
	//@{

	function setSelectionValue(command, newValue, range) {

		// Use current selected range if no range passed
		range = range || getActiveRange();

		// "If there is no editable text node effectively contained in the active
		// range:"
		if (!$_(getAllEffectivelyContainedNodes(range)).filter(function (node) { return node.nodeType == $_.Node.TEXT_NODE; }, true).some(isEditable)) {
			// "If command has inline command activated values, set the state
			// override to true if new value is among them and false if it's not."
			if (commands[command].hasOwnProperty("inlineCommandActivatedValues")) {
				setStateOverride(
					command,
					$_(commands[command].inlineCommandActivatedValues).indexOf(newValue) != -1,
					range
				);
			}

			// "If command is "subscript", unset the state override for
			// "superscript"."
			if (command == "subscript") {
				unsetStateOverride("superscript", range);
			}

			// "If command is "superscript", unset the state override for
			// "subscript"."
			if (command == "superscript") {
				unsetStateOverride("subscript", range);
			}

			// "If new value is null, unset the value override (if any)."
			if (newValue === null) {
				unsetValueOverride(command, range);

				// "Otherwise, if command has a value specified, set the value override
				// to new value."
			} else if (commands[command].hasOwnProperty("value")) {
				setValueOverride(command, newValue, range);
			}

			// "Abort these steps."
			return;
		}

		// "If the active range's start node is an editable Text node, and its
		// start offset is neither zero nor its start node's length, call
		// splitText() on the active range's start node, with argument equal to the
		// active range's start offset. Then set the active range's start node to
		// the result, and its start offset to zero."
		if (isEditable(range.startContainer) && range.startContainer.nodeType == $_.Node.TEXT_NODE && range.startOffset != 0 && range.startOffset != getNodeLength(range.startContainer)) {
			// Account for browsers not following range mutation rules
			var newNode = splitText(range.startContainer, range.startOffset);
			var newActiveRange = Aloha.createRange();
			if (range.startContainer == range.endContainer) {
				var newEndOffset = range.endOffset - range.startOffset;
				newActiveRange.setEnd(newNode, newEndOffset);
				range.setEnd(newNode, newEndOffset);
			}
			newActiveRange.setStart(newNode, 0);
			Aloha.getSelection().removeAllRanges();
			Aloha.getSelection().addRange(newActiveRange);

			range.setStart(newNode, 0);
		}

		// "If the active range's end node is an editable Text node, and its end
		// offset is neither zero nor its end node's length, call splitText() on
		// the active range's end node, with argument equal to the active range's
		// end offset."
		if (isEditable(range.endContainer) && range.endContainer.nodeType == $_.Node.TEXT_NODE && range.endOffset != 0 && range.endOffset != getNodeLength(range.endContainer)) {
			// IE seems to mutate the range incorrectly here, so we need correction
			// here as well.  The active range will be temporarily in orphaned
			// nodes, so calling getActiveRange() after splitText() but before
			// fixing the range will throw an exception.
			// TODO: check if this is still neccessary
			var activeRange = range;
			var newStart = [activeRange.startContainer, activeRange.startOffset];
			var newEnd = [activeRange.endContainer, activeRange.endOffset];
			splitText(activeRange.endContainer, activeRange.endOffset);
			activeRange.setStart(newStart[0], newStart[1]);
			activeRange.setEnd(newEnd[0], newEnd[1]);

			Aloha.getSelection().removeAllRanges();
			Aloha.getSelection().addRange(activeRange);
		}

		// "Let element list be all editable Elements effectively contained in the
		// active range.
		//
		// "For each element in element list, clear the value of element."
		$_(getAllEffectivelyContainedNodes(getActiveRange(), function (node) {
			return isEditable(node) && node.nodeType == $_.Node.ELEMENT_NODE;
		})).forEach(function (element) {
			clearValue(element, command, range);
		});

		// "Let node list be all editable nodes effectively contained in the active
		// range.
		//
		// "For each node in node list:"
		$_(getAllEffectivelyContainedNodes(range, isEditable)).forEach(function (node) {
			// "Push down values on node."
			pushDownValues(node, command, newValue, range);

			// "Force the value of node."
			forceValue(node, command, newValue, range);
		});
	}

	/**
	 * attempt to retrieve a block like a table or an Aloha Block
	 * which is located one step right of the current caret position.
	 * If an appropriate element is found it will be returned or
	 * false otherwise
	 *
	 * @param {element} node current node we're in
	 * @param {number} offset current offset within that node
	 *
	 * @return the dom node if found or false if no appropriate
	 * element was found
	 */
	function getBlockAtNextPosition(node, offset) {
		var i;

		// if we're inside a text node we first have to check
		// if there is nothing but tabs, newlines or the like
		// after our current cursor position
		if (node.nodeType === $_.Node.TEXT_NODE && offset < node.length) {
			for (i = offset; i < node.length; i++) {
				if ((node.data.charAt(i) !== '\t' && node.data.charAt(i) !== '\r' && node.data.charAt(i) !== '\n') || node.data.charCodeAt(i) === 160) { // &nbsp;
					// this is a character that has to be deleted first
					return false;
				}
			}
		}

		// try the most simple approach first: the next sibling
		// is a table
		if (node.nextSibling && node.nextSibling.className && node.nextSibling.className.indexOf("aloha-table-wrapper") >= 0) {
			return node.nextSibling;
		}

		// since we got only ignorable whitespace here determine if
		// our nodes parents next sibling is a table
		if (node.parentNode && node.parentNode.nextSibling && node.parentNode.nextSibling.className && node.parentNode.nextSibling.className.indexOf("aloha-table-wrapper") >= 0) {
			return node.parentNode.nextSibling;
		}

		// our parents nextsibling is a pure whitespace node such as
		// generated by sourcecode indentation so we'll check for
		// the next next sibling
		if (node.parentNode && node.parentNode.nextSibling && isWhitespaceNode(node.parentNode.nextSibling) && node.parentNode.nextSibling.nextSibling && node.parentNode.nextSibling.nextSibling.className && node.parentNode.nextSibling.nextSibling.className.indexOf("aloha-table-wrapper") >= 0) {
			return node.parentNode.nextSibling.nextSibling;
		}

		// Note: the search above works for tables, since they cannot be
		// nested deeply in paragraphs and other formatting tags. If this code
		// is extended to work also for other blocks, the search probably needs to be adapted
	}

	/**
	 * Attempt to retrieve a block like a table or an Aloha Block
	 * which is located right before the current position.
	 * If an appropriate element is found, it will be returned or
	 * false otherwise
	 *
	 * @param {element} node current node
	 * @param {offset} offset current offset
	 *
	 * @return dom node of found or false if no appropriate
	 * element was found
	 */
	function getBlockAtPreviousPosition(node, offset) {
		var i;

		if (node.nodeType === $_.Node.TEXT_NODE && offset > 0) {
			for (i = offset - 1; i >= 0; i--) {
				if ((node.data.charAt(i) !== '\t' && node.data.charAt(i) !== '\r' && node.data.charAt(i) !== '\n') || node.data.charCodeAt(i) === 160) { // &nbsp;
					// this is a character that has to be deleted first
					return false;
				}
			}
		}

		// try the previous sibling
		if (node.previousSibling && node.previousSibling.className && node.previousSibling.className.indexOf("aloha-table-wrapper") >= 0) {
			return node.previousSibling;
		}

		// try the parent's previous sibling
		if (node.parentNode && node.parentNode.previousSibling && node.parentNode.previousSibling.className && node.parentNode.previousSibling.className.indexOf("aloha-table-wrapper") >= 0) {
			return node.parentNode.previousSibling;
		}

		// the parent's previous sibling might be a whitespace node
		if (node.parentNode && node.parentNode.previousSibling && isWhitespaceNode(node.parentNode.previousSibling) && node.parentNode.previousSibling.previousSibling && node.parentNode.previousSibling.previousSibling.className && node.parentNode.previousSibling.previousSibling.className.indexOf('aloha-table-wrapper') >= 0) {
			return node.parentNode.previousSibling.previousSibling;
		}

		// Note: the search above works for tables, since they cannot be
		// nested deeply in paragraphs and other formatting tags. If this code
		// is extended to work also for other blocks, the search probably needs to be adapted

		return false;
	}

	// "A boundary point (node, offset) is a block start point if either node's
	// parent is null and offset is zero; or node has a child with index offset −
	// 1, and that child is either a visible block node or a visible br."
	function isBlockStartPoint(node, offset) {
		return (!node.parentNode && offset == 0) || (0 <= offset - 1 && offset - 1 < node.childNodes.length && isVisible(node.childNodes[offset - 1]) && (isBlockNode(node.childNodes[offset - 1]) || isNamedHtmlElement(node.childNodes[offset - 1], "br")));
	}

	// "A boundary point (node, offset) is a block end point if either node's
	// parent is null and offset is node's length; or node has a child with index
	// offset, and that child is a visible block node."
	function isBlockEndPoint(node, offset) {
		return (!node.parentNode && offset == getNodeLength(node)) || (offset < node.childNodes.length && isVisible(node.childNodes[offset]) && isBlockNode(node.childNodes[offset]));
	}

	// "A boundary point is a block boundary point if it is either a block start
	// point or a block end point."
	function isBlockBoundaryPoint(node, offset) {
		return isBlockStartPoint(node, offset) || isBlockEndPoint(node, offset);
	}

	function followsLineBreak(node) {
		// "Let offset be zero."
		var offset = 0;

		// "While (node, offset) is not a block boundary point:"
		while (!isBlockBoundaryPoint(node, offset)) {
			// "If node has a visible child with index offset minus one, return
			// false."
			if (0 <= offset - 1 && offset - 1 < node.childNodes.length && isVisible(node.childNodes[offset - 1])) {
				return false;
			}

			// "If offset is zero or node has no children, set offset to node's
			// index, then set node to its parent."
			if (offset == 0 || !node.hasChildNodes()) {
				offset = Dom.getIndexInParent(node);
				node = node.parentNode;

				// "Otherwise, set node to its child with index offset minus one, then
				// set offset to node's length."
			} else {
				node = node.childNodes[offset - 1];
				offset = getNodeLength(node);
			}
		}

		// "Return true."
		return true;
	}

	function precedesLineBreak(node) {
		// "Let offset be node's length."
		var offset = getNodeLength(node);

		// "While (node, offset) is not a block boundary point:"
		while (!isBlockBoundaryPoint(node, offset)) {
			// "If node has a visible child with index offset, return false."
			if (offset < node.childNodes.length && isVisible(node.childNodes[offset])) {
				return false;
			}

			// "If offset is node's length or node has no children, set offset to
			// one plus node's index, then set node to its parent."
			if (offset == getNodeLength(node) || !node.hasChildNodes()) {
				offset = 1 + Dom.getIndexInParent(node);
				node = node.parentNode;

				// "Otherwise, set node to its child with index offset and set offset
				// to zero."
			} else {
				node = node.childNodes[offset];
				offset = 0;
			}
		}

		// "Return true."
		return true;
	}

	//@}
	///// Splitting a node list's parent /////
	//@{

	function splitParent(nodeList, range) {
		var i;

		// "Let original parent be the parent of the first member of node list."
		var originalParent = nodeList[0].parentNode;

		// "If original parent is not editable or its parent is null, do nothing
		// and abort these steps."
		if (!isEditable(originalParent) || !originalParent.parentNode) {
			return;
		}

		// "If the first child of original parent is in node list, remove
		// extraneous line breaks before original parent."
		if (jQuery.inArray(originalParent.firstChild, nodeList) != -1) {
			removeExtraneousLineBreaksBefore(originalParent);
		}

		var firstChildInNodeList = jQuery.inArray(originalParent.firstChild, nodeList) != -1;
		var lastChildInNodeList = jQuery.inArray(originalParent.lastChild, nodeList) != -1;

		// "If the first child of original parent is in node list, and original
		// parent follows a line break, set follows line break to true. Otherwise,
		// set follows line break to false."
		var followsLineBreak_ = firstChildInNodeList && followsLineBreak(originalParent);

		// "If the last child of original parent is in node list, and original
		// parent precedes a line break, set precedes line break to true.
		// Otherwise, set precedes line break to false."
		var precedesLineBreak_ = lastChildInNodeList && precedesLineBreak(originalParent);

		// "If the first child of original parent is not in node list, but its last
		// child is:"
		if (!firstChildInNodeList && lastChildInNodeList) {
			// "For each node in node list, in reverse order, insert node into the
			// parent of original parent immediately after original parent,
			// preserving ranges."
			for (i = nodeList.length - 1; i >= 0; i--) {
				movePreservingRanges(nodeList[i], originalParent.parentNode, 1 + Dom.getIndexInParent(originalParent), range);
			}

			// "If precedes line break is true, and the last member of node list
			// does not precede a line break, call createElement("br") on the
			// context object and insert the result immediately after the last
			// member of node list."
			if (precedesLineBreak_ && !precedesLineBreak(nodeList[nodeList.length - 1])) {
				nodeList[nodeList.length - 1].parentNode.insertBefore(document.createElement("br"), nodeList[nodeList.length - 1].nextSibling);
			}

			// "Remove extraneous line breaks at the end of original parent."
			removeExtraneousLineBreaksAtTheEndOf(originalParent);

			// "Abort these steps."
			return;
		}

		// "If the first child of original parent is not in node list:"
		if (!firstChildInNodeList) {
			// "Let cloned parent be the result of calling cloneNode(false) on
			// original parent."
			var clonedParent = originalParent.cloneNode(false);

			// "If original parent has an id attribute, unset it."
			originalParent.removeAttribute("id");

			// "Insert cloned parent into the parent of original parent immediately
			// before original parent."
			originalParent.parentNode.insertBefore(clonedParent, originalParent);

			// "While the previousSibling of the first member of node list is not
			// null, append the first child of original parent as the last child of
			// cloned parent, preserving ranges."
			while (nodeList[0].previousSibling) {
				movePreservingRanges(originalParent.firstChild, clonedParent, clonedParent.childNodes.length, range);
			}
		}

		// "For each node in node list, insert node into the parent of original
		// parent immediately before original parent, preserving ranges."
		for (i = 0; i < nodeList.length; i++) {
			movePreservingRanges(nodeList[i], originalParent.parentNode, Dom.getIndexInParent(originalParent), range);
		}

		// "If follows line break is true, and the first member of node list does
		// not follow a line break, call createElement("br") on the context object
		// and insert the result immediately before the first member of node list."
		if (followsLineBreak_ && !followsLineBreak(nodeList[0])) {
			nodeList[0].parentNode.insertBefore(document.createElement("br"), nodeList[0]);
		}

		// "If the last member of node list is an inline node other than a br, and
		// the first child of original parent is a br, and original parent is not
		// an inline node, remove the first child of original parent from original
		// parent."
		if (isInlineNode(nodeList[nodeList.length - 1]) && !isNamedHtmlElement(nodeList[nodeList.length - 1], "br") && isNamedHtmlElement(originalParent.firstChild, "br") && !isInlineNode(originalParent)) {
			originalParent.removeChild(originalParent.firstChild);
		}

		// "If original parent has no children:"
		if (!originalParent.hasChildNodes()) {
			// if the current range is collapsed and at the end of the originalParent.parentNode
			// the offset will not be available anymore after the next step (remove child)
			// that's why we need to fix the range to prevent a bogus offset
			if (originalParent.parentNode === range.startContainer && originalParent.parentNode === range.endContainer && range.startContainer === range.endContainer && range.startOffset === range.endOffset && originalParent.parentNode.childNodes.length === range.startOffset) {
				range.startOffset = originalParent.parentNode.childNodes.length - 1;
				range.endOffset = range.startOffset;
			}

			// "Remove original parent from its parent."
			originalParent.parentNode.removeChild(originalParent);

			// "If precedes line break is true, and the last member of node list
			// does not precede a line break, call createElement("br") on the
			// context object and insert the result immediately after the last
			// member of node list."
			if (precedesLineBreak_ && !precedesLineBreak(nodeList[nodeList.length - 1])) {
				nodeList[nodeList.length - 1].parentNode.insertBefore(document.createElement("br"), nodeList[nodeList.length - 1].nextSibling);
			}

			// "Otherwise, remove extraneous line breaks before original parent."
		} else {
			removeExtraneousLineBreaksBefore(originalParent);
		}

		// "If node list's last member's nextSibling is null, but its parent is not
		// null, remove extraneous line breaks at the end of node list's last
		// member's parent."
		if (!nodeList[nodeList.length - 1].nextSibling && nodeList[nodeList.length - 1].parentNode) {
			removeExtraneousLineBreaksAtTheEndOf(nodeList[nodeList.length - 1].parentNode);
		}
	}

	//@}
	///// The backColor command /////
	//@{
	commands.backcolor = {
		// Copy-pasted, same as hiliteColor
		action: function (value, range) {
			// Action is further copy-pasted, same as foreColor

			// "If value is not a valid CSS color, prepend "#" to it."
			//
			// "If value is still not a valid CSS color, or if it is currentColor,
			// abort these steps and do nothing."
			//
			// Cheap hack for testing, no attempt to be comprehensive.
			if (/^([0-9a-fA-F]{3}){1,2}$/.test(value)) {
				value = "#" + value;
			}
			if (!/^(rgba?|hsla?)\(.*\)$/.test(value) && !parseSimpleColor(value) && value.toLowerCase() != "transparent") {
				return;
			}

			// "Set the selection's value to value."
			setSelectionValue("backcolor", value, range);
		},
		standardInlineValueCommand: true,
		relevantCssProperty: "backgroundColor",
		equivalentValues: function (val1, val2) {
			// "Either both strings are valid CSS colors and have the same red,
			// green, blue, and alpha components, or neither string is a valid CSS
			// color."
			return normalizeColor(val1) === normalizeColor(val2);
		}
	};

	//@}
	///// The bold command /////
	//@{
	commands.bold = {
		action: function (value, range) {
			// "If queryCommandState("bold") returns true, set the selection's
			// value to "normal". Otherwise set the selection's value to "bold"."
			if (myQueryCommandState("bold", range)) {
				setSelectionValue("bold", "normal", range);
			} else {
				setSelectionValue("bold", "bold", range);
			}
		},
		inlineCommandActivatedValues: ["bold", "600", "700", "800", "900"],
		relevantCssProperty: "fontWeight",
		equivalentValues: function (val1, val2) {
			// "Either the two strings are equal, or one is "bold" and the other is
			// "700", or one is "normal" and the other is "400"."
			return val1 == val2 || (val1 == "bold" && val2 == "700") || (val1 == "700" && val2 == "bold") || (val1 == "normal" && val2 == "400") || (val1 == "400" && val2 == "normal");
		}
	};

	//@}
	///// The createLink command /////
	//@{
	commands.createlink = {
		action: function (value, range) {
			// "If value is the empty string, abort these steps and do nothing."
			if (value === "") {
				return;
			}

			// "For each editable a element that has an href attribute and is an
			// ancestor of some node effectively contained in the active range, set
			// that a element's href attribute to value."
			//
			// TODO: We don't actually do this in tree order, not that it matters
			// unless you're spying with mutation events.
			$_(getAllEffectivelyContainedNodes(getActiveRange())).forEach(function (node) {
				$_(getAncestors(node)).forEach(function (ancestor) {
					if (isEditable(ancestor) && isNamedHtmlElement(ancestor, 'a') && hasAttribute(ancestor, "href")) {
						ancestor.setAttribute("href", value);
					}
				});
			});

			// "Set the selection's value to value."
			setSelectionValue("createlink", value, range);
		},
		standardInlineValueCommand: true
	};

	//@}
	///// The fontName command /////
	//@{
	commands.fontname = {
		action: function (value, range) {
			// "Set the selection's value to value."
			setSelectionValue("fontname", value, range);
		},
		standardInlineValueCommand: true,
		relevantCssProperty: "fontFamily"
	};

	//@}
	///// The fontSize command /////
	//@{

	commands.fontsize = {
		action: function (value, range) {
			// "If value is the empty string, abort these steps and do nothing."
			if (value === "") {
				return;
			}

			value = normalizeFontSize(value);

			// "If value is not one of the strings "xx-small", "x-small", "small",
			// "medium", "large", "x-large", "xx-large", "xxx-large", and is not a
			// valid CSS absolute length, then abort these steps and do nothing."
			//
			// More cheap hacks to skip valid CSS absolute length checks.
			if (jQuery.inArray(value, ["xx-small", "x-small", "small", "medium", "large", "x-large", "xx-large", "xxx-large"]) == -1 && !/^[0-9]+(\.[0-9]+)?(cm|mm|in|pt|pc)$/.test(value)) {
				return;
			}

			// "Set the selection's value to value."
			setSelectionValue("fontsize", value, range);
		},
		indeterm: function () {
			// "True if among editable Text nodes that are effectively contained in
			// the active range, there are two that have distinct effective command
			// values.  Otherwise false."
			return $_(getAllEffectivelyContainedNodes(getActiveRange(), function (node) {
				return isEditable(node) && node.nodeType == $_.Node.TEXT_NODE;
			})).map(function (node) {
				return getEffectiveCommandValue(node, "fontsize");
			}, true).filter(function (value, i, arr) {
				return $_(arr.slice(0, i)).indexOf(value) == -1;
			}).length >= 2;
		},
		value: function (range) {
			// "Let pixel size be the effective command value of the first editable
			// Text node that is effectively contained in the active range, or if
			// there is no such node, the effective command value of the active
			// range's start node, in either case interpreted as a number of
			// pixels."
			var node = getAllEffectivelyContainedNodes(range, function (node) {
				return isEditable(node) && node.nodeType == $_.Node.TEXT_NODE;
			})[0];
			if (node === undefined) {
				node = range.startContainer;
			}
			var pixelSize = getEffectiveCommandValue(node, "fontsize");

			// "Return the legacy font size for pixel size."
			return getLegacyFontSize(pixelSize);
		},
		relevantCssProperty: "fontSize"
	};

	//@}
	///// The foreColor command /////
	//@{
	commands.forecolor = {
		action: function (value, range) {
			// Copy-pasted, same as backColor and hiliteColor

			// "If value is not a valid CSS color, prepend "#" to it."
			//
			// "If value is still not a valid CSS color, or if it is currentColor,
			// abort these steps and do nothing."
			//
			// Cheap hack for testing, no attempt to be comprehensive.
			if (/^([0-9a-fA-F]{3}){1,2}$/.test(value)) {
				value = "#" + value;
			}
			if (!/^(rgba?|hsla?)\(.*\)$/.test(value) && !parseSimpleColor(value) && value.toLowerCase() != "transparent") {
				return;
			}

			// "Set the selection's value to value."
			setSelectionValue("forecolor", value, range);
		},
		standardInlineValueCommand: true,
		relevantCssProperty: "color",
		equivalentValues: function (val1, val2) {
			// "Either both strings are valid CSS colors and have the same red,
			// green, blue, and alpha components, or neither string is a valid CSS
			// color."
			return normalizeColor(val1) === normalizeColor(val2);
		}
	};

	//@}
	///// The hiliteColor command /////
	//@{
	commands.hilitecolor = {
		// Copy-pasted, same as backColor
		action: function (value, range) {
			// Action is further copy-pasted, same as foreColor

			// "If value is not a valid CSS color, prepend "#" to it."
			//
			// "If value is still not a valid CSS color, or if it is currentColor,
			// abort these steps and do nothing."
			//
			// Cheap hack for testing, no attempt to be comprehensive.
			if (/^([0-9a-fA-F]{3}){1,2}$/.test(value)) {
				value = "#" + value;
			}
			if (!/^(rgba?|hsla?)\(.*\)$/.test(value) && !parseSimpleColor(value) && value.toLowerCase() != "transparent") {
				return;
			}

			// "Set the selection's value to value."
			setSelectionValue("hilitecolor", value, range);
		},
		indeterm: function () {
			// "True if among editable Text nodes that are effectively contained in
			// the active range, there are two that have distinct effective command
			// values.  Otherwise false."
			return $_(getAllEffectivelyContainedNodes(getActiveRange(), function (node) {
				return isEditable(node) && node.nodeType == $_.Node.TEXT_NODE;
			})).map(function (node) {
				return getEffectiveCommandValue(node, "hilitecolor");
			}, true).filter(function (value, i, arr) {
				return $_(arr.slice(0, i)).indexOf(value) == -1;
			}).length >= 2;
		},
		standardInlineValueCommand: true,
		relevantCssProperty: "backgroundColor",
		equivalentValues: function (val1, val2) {
			// "Either both strings are valid CSS colors and have the same red,
			// green, blue, and alpha components, or neither string is a valid CSS
			// color."
			return normalizeColor(val1) === normalizeColor(val2);
		}
	};

	//@}
	///// The italic command /////
	//@{
	commands.italic = {
		action: function (value, range) {
			// "If queryCommandState("italic") returns true, set the selection's
			// value to "normal". Otherwise set the selection's value to "italic"."
			if (myQueryCommandState("italic", range)) {
				setSelectionValue("italic", "normal", range);
			} else {
				setSelectionValue("italic", "italic", range);
			}
		},
		inlineCommandActivatedValues: ["italic", "oblique"],
		relevantCssProperty: "fontStyle"
	};

	//@}
	///// The removeFormat command /////
	//@{
	commands.removeformat = {
		action: function (value, range) {
			var newEnd, newStart, newNode;

			// "A removeFormat candidate is an editable HTML element with local
			// name "abbr", "acronym", "b", "bdi", "bdo", "big", "blink", "cite",
			// "code", "dfn", "em", "font", "i", "ins", "kbd", "mark", "nobr", "q",
			// "s", "samp", "small", "span", "strike", "strong", "sub", "sup",
			// "tt", "u", or "var"."
			function isRemoveFormatCandidate(node) {
				return isEditable(node) && isHtmlElementInArray(node, ["abbr", "acronym", "b", "bdi", "bdo", "big", "blink", "cite", "code", "dfn", "em", "font", "i", "ins", "kbd", "mark", "nobr", "q", "s", "samp", "small", "span", "strike", "strong", "sub", "sup", "tt", "u", "var"]);
			}

			// "Let elements to remove be a list of every removeFormat candidate
			// effectively contained in the active range."
			var elementsToRemove = getAllEffectivelyContainedNodes(getActiveRange(), isRemoveFormatCandidate);

			// "For each element in elements to remove:"
			$_(elementsToRemove).forEach(function (element) {
				// "While element has children, insert the first child of element
				// into the parent of element immediately before element,
				// preserving ranges."
				while (element.hasChildNodes()) {
					movePreservingRanges(element.firstChild, element.parentNode, Dom.getIndexInParent(element), getActiveRange());
				}

				// "Remove element from its parent."
				element.parentNode.removeChild(element);
			});

			// "If the active range's start node is an editable Text node, and its
			// start offset is neither zero nor its start node's length, call
			// splitText() on the active range's start node, with argument equal to
			// the active range's start offset. Then set the active range's start
			// node to the result, and its start offset to zero."
			if (isEditable(getActiveRange().startContainer) && getActiveRange().startContainer.nodeType == $_.Node.TEXT_NODE && getActiveRange().startOffset != 0 && getActiveRange().startOffset != getNodeLength(getActiveRange().startContainer)) {
				// Account for browsers not following range mutation rules
				if (getActiveRange().startContainer == getActiveRange().endContainer) {
					newEnd = getActiveRange().endOffset - getActiveRange().startOffset;
					newNode = splitText(getActiveRange().startContainer, getActiveRange().startOffset);
					getActiveRange().setStart(newNode, 0);
					getActiveRange().setEnd(newNode, newEnd);
				} else {
					getActiveRange().setStart(splitText(getActiveRange().startContainer, getActiveRange().startOffset), 0);
				}
			}

			// "If the active range's end node is an editable Text node, and its
			// end offset is neither zero nor its end node's length, call
			// splitText() on the active range's end node, with argument equal to
			// the active range's end offset."
			if (isEditable(getActiveRange().endContainer) && getActiveRange().endContainer.nodeType == $_.Node.TEXT_NODE && getActiveRange().endOffset != 0 && getActiveRange().endOffset != getNodeLength(getActiveRange().endContainer)) {
				// IE seems to mutate the range incorrectly here, so we need
				// correction here as well.  Have to be careful to set the range to
				// something not including the text node so that getActiveRange()
				// doesn't throw an exception due to a temporarily detached
				// endpoint.
				newStart = [getActiveRange().startContainer, getActiveRange().startOffset];
				newEnd = [getActiveRange().endContainer, getActiveRange().endOffset];
				getActiveRange().setEnd(document.documentElement, 0);
				splitText(newEnd[0], newEnd[1]);
				getActiveRange().setStart(newStart[0], newStart[1]);
				getActiveRange().setEnd(newEnd[0], newEnd[1]);
			}

			// "Let node list consist of all editable nodes effectively contained
			// in the active range."
			//
			// "For each node in node list, while node's parent is a removeFormat
			// candidate in the same editing host as node, split the parent of the
			// one-node list consisting of node."
			$_(getAllEffectivelyContainedNodes(getActiveRange(), isEditable)).forEach(function (node) {
				while (isRemoveFormatCandidate(node.parentNode) && inSameEditingHost(node.parentNode, node)) {
					splitParent([node], getActiveRange());
				}
			});

			// "For each of the entries in the following list, in the given order,
			// set the selection's value to null, with command as given."
			$_(["subscript", "bold", "fontname", "fontsize", "forecolor", "hilitecolor", "italic", "strikethrough", "underline"]).forEach(function (command) {
				setSelectionValue(command, null, range);
			});
		}
	};

	//@}
	///// The strikethrough command /////
	//@{
	commands.strikethrough = {
		action: function (value, range) {
			// "If queryCommandState("strikethrough") returns true, set the
			// selection's value to null. Otherwise set the selection's value to
			// "line-through"."
			if (myQueryCommandState("strikethrough", range)) {
				setSelectionValue("strikethrough", null, range);
			} else {
				setSelectionValue("strikethrough", "line-through", range);
			}
		},
		inlineCommandActivatedValues: ["line-through"]
	};

	//@}
	///// The subscript command /////
	//@{
	commands.subscript = {
		action: function (value, range) {
			// "Call queryCommandState("subscript"), and let state be the result."
			var state = myQueryCommandState("subscript", range);

			// "Set the selection's value to null."
			setSelectionValue("subscript", null, range);

			// "If state is false, set the selection's value to "subscript"."
			if (!state) {
				setSelectionValue("subscript", "subscript", range);
			}
		},
		indeterm: function () {
			// "True if either among editable Text nodes that are effectively
			// contained in the active range, there is at least one with effective
			// command value "subscript" and at least one with some other effective
			// command value; or if there is some editable Text node effectively
			// contained in the active range with effective command value "mixed".
			// Otherwise false."
			var nodes = getAllEffectivelyContainedNodes(getActiveRange(), function (node) {
				return isEditable(node) && node.nodeType == $_.Node.TEXT_NODE;
			});
			return (($_(nodes).some(function (node) { return getEffectiveCommandValue(node, "subscript") == "subscript"; })
					 && $_(nodes).some(function (node) { return getEffectiveCommandValue(node, "subscript") != "subscript"; }))
					|| $_(nodes).some(function (node) { return getEffectiveCommandValue(node, "subscript") == "mixed"; }));
		},
		inlineCommandActivatedValues: ["subscript"]
	};

	//@}
	///// The superscript command /////
	//@{
	commands.superscript = {
		action: function (value, range) {
			// "Call queryCommandState("superscript"), and let state be the
			// result."
			var state = myQueryCommandState("superscript", range);

			// "Set the selection's value to null."
			setSelectionValue("superscript", null, range);

			// "If state is false, set the selection's value to "superscript"."
			if (!state) {
				setSelectionValue("superscript", "superscript", range);
			}
		},
		indeterm: function () {
			// "True if either among editable Text nodes that are effectively
			// contained in the active range, there is at least one with effective
			// command value "superscript" and at least one with some other
			// effective command value; or if there is some editable Text node
			// effectively contained in the active range with effective command
			// value "mixed".  Otherwise false."
			var nodes = getAllEffectivelyContainedNodes(
				getActiveRange(),
				function (node) {
					return isEditable(node) && node.nodeType == $_.Node.TEXT_NODE;
				}
			);
			return (($_(nodes).some(function (node) { return getEffectiveCommandValue(node, "superscript") == "superscript"; })
					 && $_(nodes).some(function (node) { return getEffectiveCommandValue(node, "superscript") != "superscript"; }))
					|| $_(nodes).some(function (node) { return getEffectiveCommandValue(node, "superscript") == "mixed"; }));
		},
		inlineCommandActivatedValues: ["superscript"]
	};

	//@}
	///// The underline command /////
	//@{
	commands.underline = {
		action: function (value, range) {
			// "If queryCommandState("underline") returns true, set the selection's
			// value to null. Otherwise set the selection's value to "underline"."
			if (myQueryCommandState("underline", range)) {
				setSelectionValue("underline", null, range);
			} else {
				setSelectionValue("underline", "underline", range);
			}
		},
		inlineCommandActivatedValues: ["underline"]
	};

	//@}
	///// The unlink command /////
	//@{
	commands.unlink = {
		action: function () {
			// "Let hyperlinks be a list of every a element that has an href
			// attribute and is contained in the active range or is an ancestor of
			// one of its boundary points."
			//
			// As usual, take care to ensure it's tree order.  The correctness of
			// the following is left as an exercise for the reader.
			var range = getActiveRange();
			var hyperlinks = [];
			var node;
			for (node = range.startContainer; node; node = node.parentNode) {
				if (isNamedHtmlElement(node, 'A') && hasAttribute(node, "href")) {
					hyperlinks.unshift(node);
				}
			}
			for (node = range.startContainer; node != nextNodeDescendants(range.endContainer); node = nextNode(node)) {
				if (isNamedHtmlElement(node, 'A') && hasAttribute(node, "href") && (isContained(node, range) || isAncestor(node, range.endContainer) || node == range.endContainer)) {
					hyperlinks.push(node);
				}
			}

			// "Clear the value of each member of hyperlinks."
			var i;
			for (i = 0; i < hyperlinks.length; i++) {
				clearValue(hyperlinks[i], "unlink", range);
			}
		},
		standardInlineValueCommand: true
	};

	//@}

	/////////////////////////////////////
	///// Block formatting commands /////
	/////////////////////////////////////

	///// Block formatting command definitions /////
	//@{

	// "An indentation element is either a blockquote, or a div that has a style
	// attribute that sets "margin" or some subproperty of it."
	function isIndentationElement(node) {
		// Handling of indentation elements while deleting is somehow broken (pressing backspace
		// in blockquotes wraps the blockquote into a div, ...)
		// therefore for now, we pretend that indentation elements do not exist at all.
		return false;
	}

	// "A simple indentation element is an indentation element that has no
	// attributes other than one or more of
	//
	//   * "a style attribute that sets no properties other than "margin", "border",
	//     "padding", or subproperties of those;
	//   * "a class attribute;
	//   * "a dir attribute."
	function isSimpleIndentationElement(node) {
		if (!isIndentationElement(node)) {
			return false;
		}

		if (node.tagName != "BLOCKQUOTE" && node.tagName != "DIV") {
			return false;
		}

		var i;
		for (i = 0; i < node.attributes.length; i++) {
			if (!isHtmlNamespace(node.attributes[i].namespaceURI) || jQuery.inArray(node.attributes[i].name, ["style", "class", "dir"]) == -1) {
				return false;
			}
		}

		if (typeof node.style.length !== 'undefined') {
			for (i = 0; i < node.style.length; i++) {
				// This is approximate, but it works well enough for my purposes.
				if (!/^(-[a-z]+-)?(margin|border|padding)/.test(node.style[i])) {
					return false;
				}
			}
		} else {
			var s;
			/*jslint forin: true*/ //not sure whether node.style.hasOwnProperty is valid
			for (s in node.style) {
				// This is approximate, but it works well enough for my purposes.
				if (!/^(-[a-z]+-)?(margin|border|padding)/.test(s) && node.style[s] && node.style[s] !== 0 && node.style[s] !== 'false') {
					return false;
				}
			}
			/*jslint forin: false*/
		}

		return true;
	}

	// "A non-list single-line container is an HTML element with local name
	// "address", "div", "h1", "h2", "h3", "h4", "h5", "h6", "listing", "p", "pre",
	// or "xmp"."
	function isNonListSingleLineContainer(node) {
		return isHtmlElementInArray(node, ["address", "div", "h1", "h2", "h3", "h4", "h5", "h6", "listing", "p", "pre", "xmp"]);
	}

	// "A single-line container is either a non-list single-line container, or an
	// HTML element with local name "li", "dt", or "dd"."
	function isSingleLineContainer(node) {
		return isNonListSingleLineContainer(node) || isHtmlElementInArray(node, ["li", "dt", "dd"]);
	}

	// "The default single-line container name is "p"."
	var defaultSingleLineContainerName = "p";

	//@}
	///// Check whether the given element is an end break /////
	//@{
	function isEndBreak(element) {
		return (isNamedHtmlElement(element, 'br') && element.parentNode.lastChild === element);
	}

	//@}
	///// Create an end break /////
	//@{
	function createEndBreak() {
		return document.createElement("br");
	}

	/**
	 * Ensure the container is editable
	 * E.g. when called for an empty paragraph or header, and the browser is not IE,
	 * we need to append a br (marked with class aloha-end-br)
	 * For IE7, there is a special behaviour that will append zero-width whitespace
	 * @param {DOMNode} container
	 */
	function ensureContainerEditable(container) {
		if (!container) {
			return;
		}

		// Because it is useful to be able to completely empty the contents of
		// an editing host during editing.  So long as the container's
		// contenteditable attribute is "true" (as is the case during editing),
		// the element will be rendered visibly in all browsers.  This fact
		// allows us to not have to prop up the container with a <br> in order
		// to keep it accessible to the editor.
		if (isEditingHost(container)) {
			return;
		}

		if (isNamedHtmlElement(container.lastChild, "br")) {
			return;
		}

		if ($_(container.childNodes).some(isVisible)) {
			return;
		}

		if (!Aloha.browser.msie || parseInt(Aloha.browser.version, 10) >= 11) {
			// for normal browsers, the end-br will do
			container.appendChild(createEndBreak());
		} else if (Aloha.browser.msie && Aloha.browser.version <= 7 && isHtmlElementInArray(container, ["p", "h1", "h2", "h3", "h4", "h5", "h6", "pre", "blockquote"])) {
			// for IE7, we need to insert a text node containing a single zero-width whitespace character
			if (!container.firstChild) {
				container.appendChild(document.createTextNode('\u200b'));
			}
		}
	}

	/**
	 * Node names that can not be unwrapped.
	 *
	 * @const
	 * @type {string[]}
	 */
	var NOT_UNWRAPPABLE_NODES = ['TABLE', 'OL', 'UL', 'DL'];

	/**
	 * Checks if `node` can be unwrapped.
	 *
	 * @param  {Element} node
	 * @return {boolean}
	 */
	function isUnwrappable(node) {
		return jQuery.inArray(node.nodeName, NOT_UNWRAPPABLE_NODES) === -1;
	}
	//@}
	///// Assorted block formatting command algorithms /////
	//@{

	function fixDisallowedAncestors(node, range) {
		var i;

		// "If node is not editable, abort these steps."
		if (!isEditable(node)) {
			return;
		}

		// "If node is not an allowed child of any of its ancestors in the same
		// editing host, and is not an HTML element with local name equal to the
		// default single-line container name:"
		if ($_(getAncestors(node)).every(function (ancestor) { return !inSameEditingHost(node, ancestor) || !isAllowedChild(node, ancestor); })
			    && !isHtmlElement_obsolete(node, defaultSingleLineContainerName)) {
			// "If node is a dd or dt, wrap the one-node list consisting of node,
			// with sibling criteria returning true for any dl with no attributes
			// and false otherwise, and new parent instructions returning the
			// result of calling createElement("dl") on the context object. Then
			// abort these steps."
			if (isHtmlElementInArray(node, ["dd", "dt"])) {
				wrap(
					[node],
					function (sibling) {
						return isNamedHtmlElement(sibling, 'dl') && !sibling.attributes.length;
					},
					function () {
						return document.createElement("dl");
					},
					range
				);
				return;
			}

			// "If node is not a prohibited paragraph child, abort these steps."
			if (!isProhibitedParagraphChild(node)) {
				return;
			}

			// "Set the tag name of node to the default single-line container name,
			// and let node be the result."
			node = setTagName(node, defaultSingleLineContainerName, range);

			ensureContainerEditable(node);

			// "Fix disallowed ancestors of node."
			fixDisallowedAncestors(node, range);

			// "Let descendants be all descendants of node."
			var descendants = getDescendants(node);

			// "Fix disallowed ancestors of each member of descendants."
			for (i = 0; i < descendants.length; i++) {
				fixDisallowedAncestors(descendants[i], range);
			}

			// "Abort these steps."
			return;
		}

		// "Record the values of the one-node list consisting of node, and let
		// values be the result."
		var values = recordValues([node]);
		var newStartOffset, newEndOffset;

		// "While node is not an allowed child of its parent, split the parent of
		// the one-node list consisting of node."
		while (!isAllowedChild(node, node.parentNode)) {
			// If the parent contains only this node and possibly empty text nodes, we rather want to unwrap the node, instead of splitting.
			// With splitting, we would get empty nodes, like:
			// split: <p><p>foo</p></p> -> <p></p><p>foo</p> (bad)
			// unwrap: <p><p>foo</p></p> -> <p>foo</p> (good)

			// First remove empty text nodes that are children of the parent and correct the range if necessary
			// we do this to have the node being the only child of its parent, so that we can replace the parent with the node
			for (i = node.parentNode.childNodes.length - 1; i >= 0; --i) {
				if (node.parentNode.childNodes[i].nodeType == 3 && node.parentNode.childNodes[i].data.length == 0) {
					// we remove the empty text node
					node.parentNode.removeChild(node.parentNode.childNodes[i]);

					// if the range points to somewhere behind the removed text node, we reduce the offset
					if (range.startContainer == node.parentNode && range.startOffset > i) {
						range.startOffset--;
					}
					if (range.endContainer == node.parentNode && range.endOffset > i) {
						range.endOffset--;
					}
				}
			}

			// now that the parent has only the node as child (because we
			// removed any existing empty text nodes), we can safely unwrap the
			// node's contents, and correct the range if necessary
			// if the node is unwrappable (table, lists) the node is not unwrapped
			// but splitted.
			if (node.parentNode.childNodes.length == 1 && isUnwrappable(node)) {
				newStartOffset = range.startOffset;
				newEndOffset = range.endOffset;

				if (range.startContainer === node.parentNode && range.startOffset > Dom.getIndexInParent(node)) {
					// the node (1 element) will be replaced by its contents (contents().length elements)
					newStartOffset = range.startOffset + (jQuery(node).contents().length - 1);
				}
				if (range.endContainer === node.parentNode && range.endOffset > Dom.getIndexInParent(node)) {
					// the node (1 element) will be replaced by its contents (contents().length elements)
					newEndOffset = range.endOffset + (jQuery(node).contents().length - 1);
				}
				jQuery(node).contents().unwrap();
				range.startOffset = newStartOffset;
				range.endOffset = newEndOffset;
				// after unwrapping, we are done
				break;
			} else {
				// store the original parent
				var originalParent = node.parentNode;
				splitParent([node], range);
				// check whether the parent did not change, so the split did not work, e.g.
				// because we already reached the editing host itself.
				// this situation can occur, e.g. when we insert a paragraph into an contenteditable span
				// in such cases, we just unwrap the contents of the paragraph
				if (originalParent === node.parentNode) {
					// so we unwrap now
					newStartOffset = range.startOffset;
					newEndOffset = range.endOffset;
					// if the unwrapped element is a non-empty block-level element, we will append a <br> Tag,
					// in order to retain the line break
					var insertBr = Dom.isBlockLevelElement(node) && !isEmptyNode(node) && !isNamedHtmlElement(node.lastChild, 'br');

					if (range.startContainer === node.parentNode && range.startOffset > Dom.getIndexInParent(node)) {
						// the node (1 element) will be replaced by its contents (contents().length elements)
						newStartOffset = range.startOffset + (jQuery(node).contents().length - 1);
						if (insertBr) {
							newStartOffset++;
						}
					}
					if (range.endContainer === node.parentNode && range.endOffset > Dom.getIndexInParent(node)) {
						// the node (1 element) will be replaced by its contents (contents().length elements)
						newEndOffset = range.endOffset + (jQuery(node).contents().length - 1);
						if (insertBr) {
							newEndOffset++;
						}
					}
					if (insertBr) {
						jQuery(node).append("<br>");
					}
					jQuery(node).contents().unwrap();
					range.startOffset = newStartOffset;
					range.endOffset = newEndOffset;
					// after unwrapping, we are done
					break;
				}
			}
		}

		// "Restore the values from values."
		restoreValues(values, range);
	}

	/**
	 * This method "normalizes" sublists of the given item (which is supposed to be a LI):
	 * If sublists are found in the LI element, they are moved directly into the outer list.
	 * @param item item
	 * @param range range, which will be modified if necessary
	 */
	function normalizeSublists(item, range) {
		// "If item is not an li or it is not editable or its parent is not
		// editable, abort these steps."
		if (!isNamedHtmlElement(item, 'LI') || !isEditable(item) || !isEditable(item.parentNode)) {
			return;
		}

		// "Let new item be null."
		var newItem = null;

		function isOlUl(node) {
			return isHtmlElementInArray(node, ["OL", "UL"]);
		}

		// "While item has an ol or ul child:"
		while ($_(item.childNodes).some(isOlUl)) {
			// "Let child be the last child of item."
			var child = item.lastChild;

			// "If child is an ol or ul, or new item is null and child is a Text
			// node whose data consists of zero of more space characters:"
			if (isHtmlElementInArray(child, ["OL", "UL"]) || (!newItem && child.nodeType == $_.Node.TEXT_NODE && /^[ \t\n\f\r]*$/.test(child.data))) {
				// "Set new item to null."
				newItem = null;

				// "Insert child into the parent of item immediately following
				// item, preserving ranges."
				movePreservingRanges(child, item.parentNode, 1 + Dom.getIndexInParent(item), range);

				// "Otherwise:"
			} else {
				// "If new item is null, let new item be the result of calling
				// createElement("li") on the ownerDocument of item, then insert
				// new item into the parent of item immediately after item."
				if (!newItem) {
					newItem = item.ownerDocument.createElement("li");
					item.parentNode.insertBefore(newItem, item.nextSibling);
				}

				// "Insert child into new item as its first child, preserving
				// ranges."
				movePreservingRanges(child, newItem, 0, range);
			}
		}
	}

	/**
	 * This method is the exact opposite of normalizeSublists.
	 * List nodes directly nested into each other are corrected to be nested in li elements (so that the resulting lists conform the html5 specification)
	 * @param item list node
	 * @param range range, which is preserved when modifying the list
	 */
	function unNormalizeSublists(item, range) {
		// "If item is not an ol or ol or it is not editable or its parent is not
		// editable, abort these steps."
		if (!isHtmlElementInArray(item, ["OL", "UL"]) || !isEditable(item)) {
			return;
		}

		var $list = jQuery(item);
		$list.children("ol,ul").each(function (index, sublist) {
			if (isNamedHtmlElement(sublist.previousSibling, "LI")) {
				// move the sublist into the LI
				movePreservingRanges(sublist, sublist.previousSibling, sublist.previousSibling.childNodes.length, range);
			}
		});
	}

	//@}
	///// Block-extending a range /////
	//@{

	function blockExtend(range) {
		// "Let start node, start offset, end node, and end offset be the start
		// and end nodes and offsets of the range."
		var startNode = range.startContainer;
		var startOffset = range.startOffset;
		var endNode = range.endContainer;
		var endOffset = range.endOffset;

		// "If some ancestor container of start node is an li, set start offset to
		// the index of the last such li in tree order, and set start node to that
		// li's parent."
		var liAncestors = $_(getAncestors(startNode).concat(startNode)).filter(function (ancestor) { return isNamedHtmlElement(ancestor, 'li'); }).slice(-1);
		if (liAncestors.length) {
			startOffset = Dom.getIndexInParent(liAncestors[0]);
			startNode = liAncestors[0].parentNode;
		}

		// "If (start node, start offset) is not a block start point, repeat the
		// following steps:"
		if (!isBlockStartPoint(startNode, startOffset)) {
			do {
				// "If start offset is zero, set it to start node's index, then set
				// start node to its parent."
				if (startOffset == 0) {
					startOffset = Dom.getIndexInParent(startNode);
					startNode = startNode.parentNode;

					// "Otherwise, subtract one from start offset."
				} else {
					startOffset--;
				}

				// "If (start node, start offset) is a block boundary point, break from
				// this loop."
			} while (!isBlockBoundaryPoint(startNode, startOffset));
		}

		// "While start offset is zero and start node's parent is not null, set
		// start offset to start node's index, then set start node to its parent."
		while (startOffset == 0 && startNode.parentNode) {
			startOffset = Dom.getIndexInParent(startNode);
			startNode = startNode.parentNode;
		}

		// "If some ancestor container of end node is an li, set end offset to one
		// plus the index of the last such li in tree order, and set end node to
		// that li's parent."
		liAncestors = $_(getAncestors(endNode).concat(endNode)).filter(function (ancestor) { return isNamedHtmlElement(ancestor, 'li'); }).slice(-1);
		if (liAncestors.length) {
			endOffset = 1 + Dom.getIndexInParent(liAncestors[0]);
			endNode = liAncestors[0].parentNode;
		}

		// "If (end node, end offset) is not a block end point, repeat the
		// following steps:"
		if (!isBlockEndPoint(endNode, endOffset)) {
			do {
				// "If end offset is end node's length, set it to one plus end node's
				// index, then set end node to its parent."
				if (endOffset == getNodeLength(endNode)) {
					endOffset = 1 + Dom.getIndexInParent(endNode);
					endNode = endNode.parentNode;

					// "Otherwise, add one to end offset.
				} else {
					endOffset++;
				}

				// "If (end node, end offset) is a block boundary point, break from
				// this loop."
			} while (!isBlockBoundaryPoint(endNode, endOffset));
		}

		// "While end offset is end node's length and end node's parent is not
		// null, set end offset to one plus end node's index, then set end node to
		// its parent."
		while (endOffset == getNodeLength(endNode) && endNode.parentNode) {
			endOffset = 1 + Dom.getIndexInParent(endNode);
			endNode = endNode.parentNode;
		}

		// "Let new range be a new range whose start and end nodes and offsets
		// are start node, start offset, end node, and end offset."
		var newRange = Aloha.createRange();
		newRange.setStart(startNode, startOffset);
		newRange.setEnd(endNode, endOffset);

		// "Return new range."
		return newRange;
	}

	function getSelectionListState() {
		// "Block-extend the active range, and let new range be the result."
		var newRange = blockExtend(getActiveRange());

		// "Let node list be a list of nodes, initially empty."
		//
		// "For each node contained in new range, append node to node list if the
		// last member of node list (if any) is not an ancestor of node; node is
		// editable; node is not an indentation element; and node is either an ol
		// or ul, or the child of an ol or ul, or an allowed child of "li"."
		var nodeList = getContainedNodes(newRange, function (node) {
			return isEditable(node) && !isIndentationElement(node) && (isHtmlElementInArray(node, ["ol", "ul"]) || isHtmlElementInArray(node.parentNode, ["ol", "ul"]) || isAllowedChild(node, "li"));
		});

		// "If node list is empty, return "none"."
		if (!nodeList.length) {
			return "none";
		}

		// "If every member of node list is either an ol or the child of an ol or
		// the child of an li child of an ol, and none is a ul or an ancestor of a
		// ul, return "ol"."
		if ($_(nodeList).every(function (node) { return (isNamedHtmlElement(node, 'ol')
														 || isNamedHtmlElement(node.parentNode, "ol")
														 || (isNamedHtmlElement(node.parentNode, "li")
															 && isNamedHtmlElement(node.parentNode.parentNode, "ol"))); })
			    && !$_(nodeList).some(function (node) { return isNamedHtmlElement(node, 'ul') || (node.querySelector && node.querySelector("ul")); })) {
			return "ol";
		}

		// "If every member of node list is either a ul or the child of a ul or the
		// child of an li child of a ul, and none is an ol or an ancestor of an ol,
		// return "ul"."
		if ($_(nodeList).every(function (node) { return (isNamedHtmlElement(node, 'ul')
														 || isNamedHtmlElement(node.parentNode, "ul")
														 || (isNamedHtmlElement(node.parentNode, "li")
															 && isNamedHtmlElement(node.parentNode.parentNode, "ul"))); })
			    && !$_(nodeList).some(function (node) { return isNamedHtmlElement(node, 'ol') || (node.querySelector && node.querySelector("ol")); })) {
			return "ul";
		}

		var hasOl = $_(nodeList).some(function (node) {
			return (isNamedHtmlElement(node, 'ol')
					|| isNamedHtmlElement(node.parentNode, "ol")
					|| (node.querySelector && node.querySelector("ol"))
					|| (isNamedHtmlElement(node.parentNode, "li")
						&& isNamedHtmlElement(node.parentNode.parentNode, "ol")));
		});
		var hasUl = $_(nodeList).some(function (node) {
			return (isNamedHtmlElement(node, 'ul')
					|| isNamedHtmlElement(node.parentNode, "ul")
					|| (node.querySelector && node.querySelector("ul"))
					|| (isNamedHtmlElement(node.parentNode, "li")
						&& isNamedHtmlElement(node.parentNode.parentNode, "ul")));
		});
		// "If some member of node list is either an ol or the child or ancestor of
		// an ol or the child of an li child of an ol, and some member of node list
		// is either a ul or the child or ancestor of a ul or the child of an li
		// child of a ul, return "mixed"."
		if (hasOl && hasUl) {
			return "mixed";
		}

		// "If some member of node list is either an ol or the child or ancestor of
		// an ol or the child of an li child of an ol, return "mixed ol"."
		if (hasOl) {
			return "mixed ol";
		}

		// "If some member of node list is either a ul or the child or ancestor of
		// a ul or the child of an li child of a ul, return "mixed ul"."
		if (hasUl) {
			return "mixed ul";
		}

		// "Return "none"."
		return "none";
	}

	function getAlignmentValue(node) {
		// "While node is neither null nor an Element, or it is an Element but its
		// "display" property has resolved value "inline" or "none", set node to
		// its parent."
		while ((node && node.nodeType != $_.Node.ELEMENT_NODE) || (node.nodeType == $_.Node.ELEMENT_NODE && jQuery.inArray($_.getComputedStyle(node).display, ["inline", "none"]) != -1)) {
			node = node.parentNode;
		}

		// "If node is not an Element, return "left"."
		if (!node || node.nodeType != $_.Node.ELEMENT_NODE) {
			return "left";
		}

		var resolvedValue = $_.getComputedStyle(node).textAlign
		// Hack around browser non-standardness
			.replace(/^-(moz|webkit)-/, "").replace(/^auto$/, "start");

		// "If node's "text-align" property has resolved value "start", return
		// "left" if the directionality of node is "ltr", "right" if it is "rtl"."
		if (resolvedValue == "start") {
			return getDirectionality(node) == "ltr" ? "left" : "right";
		}

		// "If node's "text-align" property has resolved value "end", return
		// "right" if the directionality of node is "ltr", "left" if it is "rtl"."
		if (resolvedValue == "end") {
			return getDirectionality(node) == "ltr" ? "right" : "left";
		}

		// "If node's "text-align" property has resolved value "center", "justify",
		// "left", or "right", return that value."
		if (jQuery.inArray(resolvedValue, ["center", "justify", "left", "right"]) != -1) {
			return resolvedValue;
		}

		// "Return "left"."
		return "left";
	}

	//@}
	///// Recording and restoring overrides /////
	//@{

	function recordCurrentOverrides(range) {
		// "Let overrides be a list of (string, string or boolean) ordered pairs,
		// initially empty."
		var overrides = [];

		// "If there is a value override for "createLink", add ("createLink", value
		// override for "createLink") to overrides."
		if (getValueOverride("createlink", range) !== undefined) {
			overrides.push(["createlink", getValueOverride("createlink", range)]);
		}

		// "For each command in the list "bold", "italic", "strikethrough",
		// "subscript", "superscript", "underline", in order: if there is a state
		// override for command, add (command, command's state override) to
		// overrides."
		$_(["bold", "italic", "strikethrough", "subscript", "superscript", "underline"]).forEach(function (command) {
			if (getStateOverride(command, range) !== undefined) {
				overrides.push([command, getStateOverride(command, range)]);
			}
		});

		// "For each command in the list "fontName", "fontSize", "foreColor",
		// "hiliteColor", in order: if there is a value override for command, add
		// (command, command's value override) to overrides."
		$_(["fontname", "fontsize", "forecolor", "hilitecolor"]).forEach(function (command) {
			if (getValueOverride(command, range) !== undefined) {
				overrides.push([command, getValueOverride(command, range)]);
			}
		});

		// "Return overrides."
		return overrides;
	}

	function recordCurrentStatesAndValues(range) {
		// "Let overrides be a list of (string, string or boolean) ordered pairs,
		// initially empty."
		var overrides = [];

		// "Let node be the first editable Text node effectively contained in the
		// active range, or null if there is none."
		var node = $_(getAllEffectivelyContainedNodes(range)).filter(function (node) {
			return isEditable(node) && node.nodeType == $_.Node.TEXT_NODE;
		})[0];

		// "If node is null, return overrides."
		if (!node) {
			return overrides;
		}

		// "Add ("createLink", value for "createLink") to overrides."
		overrides.push(["createlink", commands.createlink.value(range)]);

		// "For each command in the list "bold", "italic", "strikethrough",
		// "subscript", "superscript", "underline", in order: if node's effective
		// command value for command is one of its inline command activated values,
		// add (command, true) to overrides, and otherwise add (command, false) to
		// overrides."
		$_(["bold", "italic", "strikethrough", "subscript", "superscript", "underline"]).forEach(function (command) {
			if ($_(commands[command].inlineCommandActivatedValues).indexOf(getEffectiveCommandValue(node, command)) != -1) {
				overrides.push([command, true]);
			} else {
				overrides.push([command, false]);
			}
		});

		// "For each command in the list "fontName", "foreColor", "hiliteColor", in
		// order: add (command, command's value) to overrides."

		$_(["fontname", "fontsize", "forecolor", "hilitecolor"]).forEach(function (command) {
			overrides.push([command, commands[command].value(range)]);
		});

		// "Add ("fontSize", node's effective command value for "fontSize") to
		// overrides."
		overrides.push(["fontsize", getEffectiveCommandValue(node, "fontsize")]);

		// "Return overrides."
		return overrides;
	}

	function restoreStatesAndValues(overrides, range) {
		var i;
		var command;
		var override;
		// "Let node be the first editable Text node effectively contained in the
		// active range, or null if there is none."
		var node = $_(getAllEffectivelyContainedNodes(range)).filter(function (node) {
			return isEditable(node) && node.nodeType == $_.Node.TEXT_NODE;
		})[0];

		function isEditableTextNode(node) {
			return isEditable(node) && node.nodeType == $_.Node.TEXT_NODE;
		}

		// "If node is not null, then for each (command, override) pair in
		// overrides, in order:"
		if (node) {

			for (i = 0; i < overrides.length; i++) {
				command = overrides[i][0];
				override = overrides[i][1];

				// "If override is a boolean, and queryCommandState(command)
				// returns something different from override, call
				// execCommand(command)."
				if (typeof override == "boolean" && myQueryCommandState(command, range) != override) {
					myExecCommand(command, false, override, range);

					// "Otherwise, if override is a string, and command is not
					// "fontSize", and queryCommandValue(command) returns something not
					// equivalent to override, call execCommand(command, false,
					// override)."
				} else if (typeof override == "string" && command != "fontsize" && !areEquivalentValues(command, myQueryCommandValue(command, range), override)) {
					myExecCommand(command, false, override, range);

					// "Otherwise, if override is a string; and command is "fontSize";
					// and either there is a value override for "fontSize" that is not
					// equal to override, or there is no value override for "fontSize"
					// and node's effective command value for "fontSize" is not loosely
					// equivalent to override: call execCommand("fontSize", false,
					// override)."
				} else if (typeof override == "string"
						   && command == "fontsize"
						   && ((getValueOverride("fontsize", range) !== undefined
								&& getValueOverride("fontsize", range) !== override)
							   || (getValueOverride("fontsize", range) === undefined
								   && !areLooselyEquivalentValues(command, getEffectiveCommandValue(node, "fontsize"), override)))) {
					myExecCommand("fontsize", false, override, range);

					// "Otherwise, continue this loop from the beginning."
				} else {
					continue;
				}

				// "Set node to the first editable Text node effectively contained
				// in the active range, if there is one."
				node = $_(getAllEffectivelyContainedNodes(range)).filter(isEditableTextNode)[0] || node;
			}

			// "Otherwise, for each (command, override) pair in overrides, in order:"
		} else {
			for (i = 0; i < overrides.length; i++) {
				command = overrides[i][0];
				override = overrides[i][1];

				// "If override is a boolean, set the state override for command to
				// override."
				if (typeof override == "boolean") {
					setStateOverride(command, override, range);
				}

				// "If override is a string, set the value override for command to
				// override."
				if (typeof override == "string") {
					setValueOverride(command, override, range);
				}
			}
		}
	}

	//@}
	///// Canonical space sequences /////
	//@{

	function canonicalSpaceSequence(n, nonBreakingStart, nonBreakingEnd) {
		// "If n is zero, return the empty string."
		if (n == 0) {
			return "";
		}

		// "If n is one and both non-breaking start and non-breaking end are false,
		// return a single space (U+0020)."
		if (n == 1 && !nonBreakingStart && !nonBreakingEnd) {
			return " ";
		}

		// "If n is one, return a single non-breaking space (U+00A0)."
		if (n == 1) {
			return "\xa0";
		}

		// "Let buffer be the empty string."
		var buffer = "";

		// "If non-breaking start is true, let repeated pair be U+00A0 U+0020.
		// Otherwise, let it be U+0020 U+00A0."
		var repeatedPair;
		if (nonBreakingStart) {
			repeatedPair = "\xa0 ";
		} else {
			repeatedPair = " \xa0";
		}

		// "While n is greater than three, append repeated pair to buffer and
		// subtract two from n."
		while (n > 3) {
			buffer += repeatedPair;
			n -= 2;
		}

		// "If n is three, append a three-element string to buffer depending on
		// non-breaking start and non-breaking end:"
		if (n == 3) {
			buffer += !nonBreakingStart && !nonBreakingEnd ? " \xa0 " : nonBreakingStart && !nonBreakingEnd ? "\xa0\xa0 " : !nonBreakingStart && nonBreakingEnd ? " \xa0\xa0" : nonBreakingStart && nonBreakingEnd ? "\xa0 \xa0" : "impossible";

			// "Otherwise, append a two-element string to buffer depending on
			// non-breaking start and non-breaking end:"
		} else {
			buffer += !nonBreakingStart && !nonBreakingEnd ? "\xa0 " : nonBreakingStart && !nonBreakingEnd ? "\xa0 " : !nonBreakingStart && nonBreakingEnd ? " \xa0" : nonBreakingStart && nonBreakingEnd ? "\xa0\xa0" : "impossible";
		}

		// "Return buffer."
		return buffer;
	}

	function canonicalizeWhitespace(node, offset) {
		// "If node is neither editable nor an editing host, abort these steps."
		if (!isEditable(node) && !isEditingHost(node)) {
			return;
		}

		// "Let start node equal node and let start offset equal offset."
		var startNode = node;
		var startOffset = offset;

		// "Repeat the following steps:"
		while (true) {
			// "If start node has a child in the same editing host with index start
			// offset minus one, set start node to that child, then set start
			// offset to start node's length."
			if (0 <= startOffset - 1 && inSameEditingHost(startNode, startNode.childNodes[startOffset - 1])) {
				startNode = startNode.childNodes[startOffset - 1];
				startOffset = getNodeLength(startNode);

				// "Otherwise, if start offset is zero and start node does not follow a
				// line break and start node's parent is in the same editing host, set
				// start offset to start node's index, then set start node to its
				// parent."
			} else if (startOffset == 0 && !followsLineBreak(startNode) && inSameEditingHost(startNode, startNode.parentNode)) {
				startOffset = Dom.getIndexInParent(startNode);
				startNode = startNode.parentNode;

				// "Otherwise, if start node is a Text node and its parent's resolved
				// value for "white-space" is neither "pre" nor "pre-wrap" and start
				// offset is not zero and the (start offset − 1)st element of start
				// node's data is a space (0x0020) or non-breaking space (0x00A0),
				// subtract one from start offset."
			} else if (startNode.nodeType == $_.Node.TEXT_NODE && jQuery.inArray($_.getComputedStyle(startNode.parentNode).whiteSpace, ["pre", "pre-wrap"]) == -1 && startOffset != 0 && /[ \xa0]/.test(startNode.data[startOffset - 1])) {
				startOffset--;

				// "Otherwise, break from this loop."
			} else {
				break;
			}
		}

		// "Let end node equal start node and end offset equal start offset."
		var endNode = startNode;
		var endOffset = startOffset;

		// "Let length equal zero."
		var length = 0;

		// "Let follows space be false."
		var followsSpace = false;

		// "Repeat the following steps:"
		while (true) {
			// "If end node has a child in the same editing host with index end
			// offset, set end node to that child, then set end offset to zero."
			if (endOffset < endNode.childNodes.length && inSameEditingHost(endNode, endNode.childNodes[endOffset])) {
				endNode = endNode.childNodes[endOffset];
				endOffset = 0;

				// "Otherwise, if end offset is end node's length and end node does not
				// precede a line break and end node's parent is in the same editing
				// host, set end offset to one plus end node's index, then set end node
				// to its parent."
			} else if (endOffset == getNodeLength(endNode) && !precedesLineBreak(endNode) && inSameEditingHost(endNode, endNode.parentNode)) {
				endOffset = 1 + Dom.getIndexInParent(endNode);
				endNode = endNode.parentNode;

				// "Otherwise, if end node is a Text node and its parent's resolved
				// value for "white-space" is neither "pre" nor "pre-wrap" and end
				// offset is not end node's length and the end offsetth element of
				// end node's data is a space (0x0020) or non-breaking space (0x00A0):"
			} else if (endNode.nodeType == $_.Node.TEXT_NODE && jQuery.inArray($_.getComputedStyle(endNode.parentNode).whiteSpace, ["pre", "pre-wrap"]) == -1 && endOffset != getNodeLength(endNode) && /[ \xa0]/.test(endNode.data[endOffset])) {
				// "If follows space is true and the end offsetth element of end
				// node's data is a space (0x0020), call deleteData(end offset, 1)
				// on end node, then continue this loop from the beginning."
				if (followsSpace && " " == endNode.data[endOffset]) {
					endNode.deleteData(endOffset, 1);
					continue;
				}

				// "Set follows space to true if the end offsetth element of end
				// node's data is a space (0x0020), false otherwise."
				followsSpace = " " == endNode.data[endOffset];

				// "Add one to end offset."
				endOffset++;

				// "Add one to length."
				length++;

				// "Otherwise, break from this loop."
			} else {
				break;
			}
		}

		// "Let replacement whitespace be the canonical space sequence of length
		// length. non-breaking start is true if start offset is zero and start
		// node follows a line break, and false otherwise. non-breaking end is true
		// if end offset is end node's length and end node precedes a line break,
		// and false otherwise."
		// Correction: The above specification rule has been implemented slightly different,
		// because the line breaks at start/end should not be taken in account if startNode
		// or endNode are editing hosts.
		var isNonBreakingStart    = startOffset == 0 &&
				(followsLineBreak(startNode) || isEditingHost(startNode));
		var isNonBreakingEnd      = endOffset == getNodeLength(endNode)
				&& (precedesLineBreak(endNode) || isEditingHost(endNode));
		var replacementWhitespace = canonicalSpaceSequence(length, isNonBreakingStart, isNonBreakingEnd);

		// "While (start node, start offset) is before (end node, end offset):"
		while (getPosition(startNode, startOffset, endNode, endOffset) == "before") {
			// "If start node has a child with index start offset, set start node
			// to that child, then set start offset to zero."
			if (startOffset < startNode.childNodes.length) {
				startNode = startNode.childNodes[startOffset];
				startOffset = 0;

				// "Otherwise, if start node is not a Text node or if start offset is
				// start node's length, set start offset to one plus start node's
				// index, then set start node to its parent."
			} else if (startNode.nodeType != $_.Node.TEXT_NODE || startOffset == getNodeLength(startNode)) {
				startOffset = 1 + Dom.getIndexInParent(startNode);
				startNode = startNode.parentNode;

				// "Otherwise:"
			} else {
				// "Remove the first element from replacement whitespace, and let
				// element be that element."
				var element = replacementWhitespace[0];
				replacementWhitespace = replacementWhitespace.slice(1);

				// "If element is not the same as the start offsetth element of
				// start node's data:"
				if (element != startNode.data[startOffset]) {
					// "Call insertData(start offset, element) on start node."
					startNode.insertData(startOffset, element);

					// "Call deleteData(start offset + 1, 1) on start node."
					startNode.deleteData(startOffset + 1, 1);
				}

				// "Add one to start offset."
				startOffset++;
			}
		}
	}

	/**
	 * Remove the node if it doesn't have any children or 1 empty text node.
	 * This function doesn't handle all cases of unrendered nodes.
	 * In the following cases the node will not be removed:
	 * * The node contains multiple empty nodes
	 * * The child text node contains zero width characters
	 * * The child text node contains unrendered characters
	 *
	 * @param  {Text}  node   The node to check
	 * @param  {Element}  range  Range object to set the position
	 * @return {boolean} True if node got removed, false otherwise
	 */
	function removeNodeIfEmptyAndCorrectRange(node, range) {
		var
			removeNode = false,
			parentNode,
			nodeChildNodesLength,
			offsetInParent,
			firstChildNode;

		if (!node || !range) {
			return false;
		}

		if (isEditingHost(node)) {
			return false;
		}

		parentNode = node.parentNode;

		if (!parentNode) {
			return false;
		}

		// Check if the node is empty
		nodeChildNodesLength = node.childNodes.length;
		if (nodeChildNodesLength === 0) {
			removeNode = true;
		}

		// If the inline node only contains an empty text node,
		// it is also considered being empty.
		if (nodeChildNodesLength === 1) {
			firstChildNode = node.childNodes[0];

			if (firstChildNode.nodeType === $_.Node.TEXT_NODE
					&& firstChildNode.nodeValue.length === 0) {
				removeNode = true;
			}
		}

		// Don't continue if node should not be removed or has no parent
		if (!removeNode) {
			return false;
		}

		// Before removing, remember the offset of node in its parent
		offsetInParent = Dom.getIndexInParent(node);

		// I'm not gonna comment this, it's clear what it does.
		parentNode.removeChild(node);

		// Now the cursor has to be set at the position where the
		// removed parent was before.
		range.setStart(parentNode, offsetInParent);
		range.setEnd(parentNode, offsetInParent);

		return true;
	}

	//@}
	///// Deleting the contents of a range /////
	//@{

	function deleteContents(arg1, arg2, arg3, arg4, arg5) {
		// We accept several different calling conventions:
		//
		// 1) A single argument, which is a range.
		//
		// 2) Two arguments, the first being a range and the second flags.
		//
		// 3) Four arguments, the start and end of a range.
		//
		// 4) Five arguments, the start and end of a range plus flags.
		//
		// The flags argument is a dictionary that can have up to two keys,
		// blockMerging and stripWrappers, whose corresponding values are
		// interpreted as boolean.  E.g., {stripWrappers: false}.
		var range;
		var flags = {};
		var i;

		if (arguments.length < 3) {
			range = arg1;
		} else {
			range = Aloha.createRange();
			range.setStart(arg1, arg2);
			range.setEnd(arg3, arg4);
		}
		if (arguments.length == 2) {
			flags = arg2;
		}
		if (arguments.length == 5) {
			flags = arg5;
		}

		var blockMerging = null != flags.blockMerging ? !!flags.blockMerging : true;
		var stripWrappers = null != flags.stripWrappers ? !!flags.stripWrappers : true;

		// "If range is null, abort these steps and do nothing."
		if (!range) {
			return;
		}

		// "Let start node, start offset, end node, and end offset be range's start
		// and end nodes and offsets."
		var startNode = range.startContainer;
		var startOffset = range.startOffset;
		var endNode = range.endContainer;
		var endOffset = range.endOffset;
		var referenceNode;

		// "While start node has at least one child:"
		while (startNode.hasChildNodes()) {
			// "If start offset is start node's length, and start node's parent is
			// in the same editing host, and start node is an inline node, set
			// start offset to one plus the index of start node, then set start
			// node to its parent and continue this loop from the beginning."
			if (startOffset == getNodeLength(startNode) && inSameEditingHost(startNode, startNode.parentNode) && isInlineNode(startNode)) {
				startOffset = 1 + Dom.getIndexInParent(startNode);
				startNode = startNode.parentNode;
				continue;
			}

			// "If start offset is start node's length, break from this loop."
			if (startOffset == getNodeLength(startNode)) {
				break;
			}

			// "Let reference node be the child of start node with index equal to
			// start offset."
			referenceNode = startNode.childNodes[startOffset];

			// "If reference node is a block node or an Element with no children,
			// or is neither an Element nor a Text node, break from this loop."
			if (isBlockNode(referenceNode) || (referenceNode.nodeType == $_.Node.ELEMENT_NODE && !referenceNode.hasChildNodes()) || (referenceNode.nodeType != $_.Node.ELEMENT_NODE && referenceNode.nodeType != $_.Node.TEXT_NODE)) {
				break;
			}

			// "Set start node to reference node and start offset to 0."
			startNode = referenceNode;
			startOffset = 0;
		}

		// "While end node has at least one child:"
		while (endNode.hasChildNodes()) {
			// "If end offset is 0, and end node's parent is in the same editing
			// host, and end node is an inline node, set end offset to the index of
			// end node, then set end node to its parent and continue this loop
			// from the beginning."
			if (endOffset == 0 && inSameEditingHost(endNode, endNode.parentNode) && isInlineNode(endNode)) {
				endOffset = Dom.getIndexInParent(endNode);
				endNode = endNode.parentNode;
				continue;
			}

			// "If end offset is 0, break from this loop."
			if (endOffset == 0) {
				break;
			}

			// "Let reference node be the child of end node with index equal to end
			// offset minus one."
			referenceNode = endNode.childNodes[endOffset - 1];

			// "If reference node is a block node or an Element with no children,
			// or is neither an Element nor a Text node, break from this loop."
			if (isBlockNode(referenceNode) || (referenceNode.nodeType == $_.Node.ELEMENT_NODE && !referenceNode.hasChildNodes()) || (referenceNode.nodeType != $_.Node.ELEMENT_NODE && referenceNode.nodeType != $_.Node.TEXT_NODE)) {
				break;
			}

			// "Set end node to reference node and end offset to the length of
			// reference node."
			endNode = referenceNode;
			endOffset = getNodeLength(referenceNode);
		}

		// "If (end node, end offset) is not after (start node, start offset), set
		// range's end to its start and abort these steps."
		if (getPosition(endNode, endOffset, startNode, startOffset) !== "after") {
			range.setEnd(range.startContainer, range.startOffset);
			return range;
		}

		// "If start node is a Text node and start offset is 0, set start offset to
		// the index of start node, then set start node to its parent."
		// Commented out for unknown reason
		//if (startNode.nodeType == $_.Node.TEXT_NODE && startOffset == 0 && startNode != endNode) {
		//		startOffset = Dom.getIndexInParent(startNode);
		//		startNode = startNode.parentNode;
		//}

		// "If end node is a Text node and end offset is its length, set end offset
		// to one plus the index of end node, then set end node to its parent."
		if (endNode.nodeType == $_.Node.TEXT_NODE && endOffset == getNodeLength(endNode) && startNode != endNode) {
			endOffset = 1 + Dom.getIndexInParent(endNode);
			endNode = endNode.parentNode;
		}

		// "Set range's start to (start node, start offset) and its end to (end
		// node, end offset)."
		range.setStart(startNode, startOffset);
		range.setEnd(endNode, endOffset);

		// "Let start block be the start node of range."
		var startBlock = range.startContainer;

		// "While start block's parent is in the same editing host and start block
		// is an inline node, set start block to its parent."
		while (inSameEditingHost(startBlock, startBlock.parentNode) && isInlineNode(startBlock)) {
			startBlock = startBlock.parentNode;
		}

		// "If start block is neither a block node nor an editing host, or "span"
		// is not an allowed child of start block, or start block is a td or th,
		// set start block to null."
		if ((!isBlockNode(startBlock) && !isEditingHost(startBlock)) || !isAllowedChild("span", startBlock) || isHtmlElementInArray(startBlock, ["td", "th"])) {
			startBlock = null;
		}

		// "Let end block be the end node of range."
		var endBlock = range.endContainer;

		// "While end block's parent is in the same editing host and end block is
		// an inline node, set end block to its parent."
		while (inSameEditingHost(endBlock, endBlock.parentNode) && isInlineNode(endBlock)) {
			endBlock = endBlock.parentNode;
		}

		// "If end block is neither a block node nor an editing host, or "span" is
		// not an allowed child of end block, or end block is a td or th, set end
		// block to null."
		if ((!isBlockNode(endBlock) && !isEditingHost(endBlock)) || !isAllowedChild("span", endBlock) || isHtmlElementInArray(endBlock, ["td", "th"])) {
			endBlock = null;
		}

		// "Record current states and values, and let overrides be the result."
		var overrides = recordCurrentStatesAndValues(range);
		var parent_;
		// "If start node and end node are the same, and start node is an editable
		// Text node:"
		if (startNode == endNode && isEditable(startNode) && startNode.nodeType == $_.Node.TEXT_NODE) {
			// "Let parent be the parent of node."
			parent_ = startNode.parentNode;

			// "Call deleteData(start offset, end offset − start offset) on start
			// node."
			startNode.deleteData(startOffset, endOffset - startOffset);

			// if deleting the text moved two spaces together, we replace the left one by a &nbsp;, which makes the two spaces a visible
			// two space sequence
			if (startOffset > 0 && startNode.data.substr(startOffset - 1, 1) === ' ' && startOffset < startNode.data.length && startNode.data.substr(startOffset, 1) === ' ') {
				startNode.replaceData(startOffset - 1, 1, '\xa0');
			}

			// "Canonicalize whitespace at (start node, start offset)."
			canonicalizeWhitespace(startNode, startOffset);

			// Remove the parent node, if it is an inline node and empty
			// If the node is inline and empty, range correction will happen inside
			// removeNodeIfEmptyAndCorrectRange, otherwise it'will be done below.
			if (!isInlineNode(parent_) || !removeNodeIfEmptyAndCorrectRange(parent_, range)) {
				// "Set range's end to its start."
				// Ok, also set the range's start to its start, because modifying the text
				// might have somehow corrupted the range
				range.setStart(range.startContainer, range.startOffset);
				range.setEnd(range.startContainer, range.startOffset);
			}

			// "Restore states and values from overrides."
			restoreStatesAndValues(overrides, range);

			// "If parent is editable or an editing host, is not an inline node,
			// and has no children, call createElement("br") on the context object
			// and append the result as the last child of parent."
			// only do this, if the offsetHeight is 0
			if ((isEditable(parent_) || isEditingHost(parent_)) && !isInlineNode(parent_)) {
				ensureContainerEditable(parent_);
			}

			// "Abort these steps."
			return range;
		}

		// "If start node is an editable Text node, call deleteData() on it, with
		// start offset as the first argument and (length of start node − start
		// offset) as the second argument."
		if (isEditable(startNode) && startNode.nodeType == $_.Node.TEXT_NODE) {
			startNode.deleteData(startOffset, getNodeLength(startNode) - startOffset);
		}

		// "Let node list be a list of nodes, initially empty."
		//
		// "For each node contained in range, append node to node list if the last
		// member of node list (if any) is not an ancestor of node; node is
		// editable; and node is not a thead, tbody, tfoot, tr, th, or td."
		var nodeList = getContainedNodes(
			range,
			function (node) {
				return isEditable(node) && !isHtmlElementInArray(node, ["thead", "tbody", "tfoot", "tr", "th", "td"]);
			}
		);

		// "For each node in node list:"
		for (i = 0; i < nodeList.length; i++) {
			var node = nodeList[i];

			// "Let parent be the parent of node."
			parent_ = node.parentNode;

			// "Remove node from parent."
			parent_.removeChild(node);

			// "If strip wrappers is true or parent is not an ancestor container of
			// start node, while parent is an editable inline node with length 0,
			// let grandparent be the parent of parent, then remove parent from
			// grandparent, then set parent to grandparent."
			if (stripWrappers || (!isAncestor(parent_, startNode) && parent_ != startNode)) {
				while (isEditable(parent_) && isInlineNode(parent_) && getNodeLength(parent_) == 0) {
					var grandparent = parent_.parentNode;
					grandparent.removeChild(parent_);
					parent_ = grandparent;
				}
			}

			// "If parent is editable or an editing host, is not an inline node,
			// and has no children, call createElement("br") on the context object
			// and append the result as the last child of parent."
			// only do this, if the offsetHeight is 0
			if ((isEditable(parent_) || isEditingHost(parent_)) && !isInlineNode(parent_)) {
				ensureContainerEditable(parent_);
			}
		}

		// "If end node is an editable Text node, call deleteData(0, end offset) on
		// it."
		if (isEditable(endNode) && endNode.nodeType == $_.Node.TEXT_NODE) {
			endNode.deleteData(0, endOffset);
		}

		// Remove parentNode, if it is an empty inline node
		if (isInlineNode(startNode.parentNode)) {
			removeNodeIfEmptyAndCorrectRange(startNode.parentNode, range);
		}

		// "Canonicalize whitespace at range's start."
		canonicalizeWhitespace(range.startContainer, range.startOffset);

		// "Canonicalize whitespace at range's end."
		canonicalizeWhitespace(range.endContainer, range.endOffset);

		// A reference to the position where a node is removed.
		var pos;

		// "If block merging is false, or start block or end block is null, or
		// start block is not in the same editing host as end block, or start block
		// and end block are the same:"
		if (!blockMerging || !startBlock || !endBlock || !inSameEditingHost(startBlock, endBlock) || startBlock == endBlock) {
			// "Set range's end to its start."
			range.setEnd(range.startContainer, range.startOffset);

			// Calling delete on the give markup:
			// <editable><block><br>[]</block></editable>
			// should result in:
			// <editable>[]</editable>
			var block = startBlock || endBlock;
			if (isEmptyOnlyChildOfEditingHost(block)) {
				pos = removeNode(block);
				range.setStart(pos.node, pos.offset);
				range.setEnd(pos.node, pos.offset);
			}

			// "Restore states and values from overrides."
			restoreStatesAndValues(overrides, range);

			// "Abort these steps."
			return range;
		}

		// "If start block has one child, which is a collapsed block prop, remove
		// its child from it."
		if (startBlock.children.length == 1 && isCollapsedBlockProp(startBlock.firstChild)) {
			startBlock.removeChild(startBlock.firstChild);
		}

		// "If end block has one child, which is a collapsed block prop, remove its
		// child from it."
		if (endBlock.children.length == 1 && isCollapsedBlockProp(endBlock.firstChild)) {
			endBlock.removeChild(endBlock.firstChild);
		}

		var values;
		// "If start block is an ancestor of end block:"
		if (isAncestor(startBlock, endBlock)) {
			// "Let reference node be end block."
			referenceNode = endBlock;

			// "While reference node is not a child of start block, set reference
			// node to its parent."
			while (referenceNode.parentNode != startBlock) {
				referenceNode = referenceNode.parentNode;
			}

			// "Set the start and end of range to (start block, index of reference
			// node)."
			range.setStart(startBlock, Dom.getIndexInParent(referenceNode));
			range.setEnd(startBlock, Dom.getIndexInParent(referenceNode));

			// "If end block has no children:"
			if (!endBlock.hasChildNodes()) {
				// "While end block is editable and is the only child of its parent
				// and is not a child of start block, let parent equal end block,
				// then remove end block from parent, then set end block to
				// parent."
				while (isEditable(endBlock) && endBlock.parentNode.childNodes.length == 1 && endBlock.parentNode != startBlock) {
					parent_ = endBlock;
					parent_.removeChild(endBlock);
					endBlock = parent_;
				}

				// "If end block is editable and is not an inline node, and its
				// previousSibling and nextSibling are both inline nodes, call
				// createElement("br") on the context object and insert it into end
				// block's parent immediately after end block."

				if (isEditable(endBlock) && !isInlineNode(endBlock) && isInlineNode(endBlock.previousSibling) && isInlineNode(endBlock.nextSibling)) {
					endBlock.parentNode.insertBefore(document.createElement("br"), endBlock.nextSibling);
				}

				// "If end block is editable, remove it from its parent."
				if (isEditable(endBlock)) {
					endBlock.parentNode.removeChild(endBlock);
				}

				// "Restore states and values from overrides."
				restoreStatesAndValues(overrides, range);

				// "Abort these steps."
				return range;
			}

			// "If end block's firstChild is not an inline node, restore states and
			// values from overrides, then abort these steps."
			if (!isInlineNode(endBlock.firstChild)) {
				restoreStatesAndValues(overrides, range);
				return range;
			}

			// "Let children be a list of nodes, initially empty."
			var children = [];

			// "Append the first child of end block to children."
			children.push(endBlock.firstChild);

			// "While children's last member is not a br, and children's last
			// member's nextSibling is an inline node, append children's last
			// member's nextSibling to children."
			while (!isNamedHtmlElement(children[children.length - 1], "br") && isInlineNode(children[children.length - 1].nextSibling)) {
				children.push(children[children.length - 1].nextSibling);
			}

			// "Record the values of children, and let values be the result."
			values = recordValues(children);

			// "While children's first member's parent is not start block, split
			// the parent of children."
			while (children[0].parentNode != startBlock) {
				splitParent(children, range);
			}

			// "If children's first member's previousSibling is an editable br,
			// remove that br from its parent."
			if (isEditable(children[0].previousSibling) && isNamedHtmlElement(children[0].previousSibling, "br")) {
				children[0].parentNode.removeChild(children[0].previousSibling);
			}

			// "Otherwise, if start block is a descendant of end block:"
		} else if (isDescendant(startBlock, endBlock)) {
			// "Set the start and end of range to (start block, length of start
			// block)."
			range.setStart(startBlock, getNodeLength(startBlock));
			range.setEnd(startBlock, getNodeLength(startBlock));

			// "Let reference node be start block."
			referenceNode = startBlock;

			// "While reference node is not a child of end block, set reference
			// node to its parent."
			while (referenceNode.parentNode != endBlock) {
				referenceNode = referenceNode.parentNode;
			}

			// "If reference node's nextSibling is an inline node and start block's
			// lastChild is a br, remove start block's lastChild from it."
			if (isInlineNode(referenceNode.nextSibling) && isNamedHtmlElement(startBlock.lastChild, "br")) {
				startBlock.removeChild(startBlock.lastChild);
			}

			// "Let nodes to move be a list of nodes, initially empty."
			var nodesToMove = [];

			// "If reference node's nextSibling is neither null nor a br nor a
			// block node, append it to nodes to move."
			if (referenceNode.nextSibling && !isNamedHtmlElement(referenceNode.nextSibling, "br") && !isBlockNode(referenceNode.nextSibling)) {
				nodesToMove.push(referenceNode.nextSibling);
			}

			// "While nodes to move is nonempty and its last member's nextSibling
			// is neither null nor a br nor a block node, append it to nodes to
			// move."
			if (nodesToMove.length && nodesToMove[nodesToMove.length - 1].nextSibling && !isNamedHtmlElement(nodesToMove[nodesToMove.length - 1].nextSibling, "br") && !isBlockNode(nodesToMove[nodesToMove.length - 1].nextSibling)) {
				nodesToMove.push(nodesToMove[nodesToMove.length - 1].nextSibling);
			}

			// "Record the values of nodes to move, and let values be the result."
			values = recordValues(nodesToMove);

			// "For each node in nodes to move, append node as the last child of
			// start block, preserving ranges."
			$_(nodesToMove).forEach(function (node) {
				movePreservingRanges(node, startBlock, -1, range);
			});

			// "If the nextSibling of reference node is a br, remove it from its
			// parent."
			if (isNamedHtmlElement(referenceNode.nextSibling, "br")) {
				referenceNode.parentNode.removeChild(referenceNode.nextSibling);
			}

			// "Otherwise:"
		} else {
			// "Set the start and end of range to (start block, length of start
			// block)."
			range.setStart(startBlock, getNodeLength(startBlock));
			range.setEnd(startBlock, getNodeLength(startBlock));

			// "If end block's firstChild is an inline node and start block's
			// lastChild is a br, remove start block's lastChild from it."
			if (isInlineNode(endBlock.firstChild) && isNamedHtmlElement(startBlock.lastChild, "br")) {
				startBlock.removeChild(startBlock.lastChild);
			}

			// "Record the values of end block's children, and let values be the
			// result."
			values = recordValues([].slice.call(toArray(endBlock.childNodes)));

			// "While end block has children, append the first child of end block
			// to start block, preserving ranges."
			while (endBlock.hasChildNodes()) {
				movePreservingRanges(endBlock.firstChild, startBlock, -1, range);
			}

			// "While end block has no children, let parent be the parent of end
			// block, then remove end block from parent, then set end block to
			// parent."
			while (!endBlock.hasChildNodes()) {
				parent_ = endBlock.parentNode;
				parent_.removeChild(endBlock);
				endBlock = parent_;
			}
		}

		// "Restore the values from values."
		restoreValues(values, range);

		// Because otherwise calling deleteContents() with the given selection:
		//
		// <editable><block>[foo</block><block>bar]</block></editable>
		//
		// would result in:
		//
		// <editable><block>[]<br /></block></editable>
		//
		// instead of:
		//
		// <editable>[]</editable>
		//
		// Therefore, the below makes it possible to completely empty contents
		// of editing hosts via operations like CTRL+A, DEL.
		//
		// If startBlock is empty, and startBlock is the immediate and only
		// child of its parent editing host, then remove startBlock and collapse
		// the selection at the beginning of the editing post.
		if (isEmptyOnlyChildOfEditingHost(startBlock)) {
			pos = removeNode(startBlock);
			range.setStart(pos.node, pos.offset);
			range.setEnd(pos.node, pos.offset);
			startBlock = pos.node;
		}

		// "If start block has no children, call createElement("br") on the context
		// object and append the result as the last child of start block."
		ensureContainerEditable(startBlock);

		// "Restore states and values from overrides."
		restoreStatesAndValues(overrides, range);

		return range;
	}

	// "To remove a node node while preserving its descendants, split the parent of
	// node's children if it has any. If it has no children, instead remove it from
	// its parent."
	function removePreservingDescendants(node, range) {
		if (node.hasChildNodes()) {
			splitParent([].slice.call(toArray(node.childNodes)), range);
		} else {
			node.parentNode.removeChild(node);
		}
	}

	/**
	 * Determines whether a node must be removed to make the insertparagraph command work in list contexts.
	 *
	 * @param {Node} node DOM node to check
	 * @return {boolean} true if the node should be deleted
	 */
	function isListWhitespaceToRemove(node) {
		// no whitespace node –> no need to remove
		if (!isWhitespaceNode(node)) {
			return false;
		}

		// always remove whitespace children from ul and ol
		if (node.parentNode.nodeName === 'UL' || node.parentNode.nodeName === 'OL') {
			return true;
		}

		if (node.parentNode.nodeName !== 'LI') {
			return false;
		}

		// only remove whitespace from li if it is between (the opening tag/a block level element)
		// and (a block level element/the closing tag)
		var index = Dom.getIndexInParent(node);
		var last = node.parentNode.childNodes.length - 1;
		var cleanElements = Dom.blockLevelElements.concat(Dom.listElements);

		return (index === 0 ||
		         cleanElements.indexOf(node.previousSibling.nodeName.toLowerCase()) > -1) &&
		       (index === last ||
		         cleanElements.indexOf(node.nextSibling.nodeName.toLowerCase()) > -1);
	}

	//@}
	///// Indenting and outdenting /////
	//@{

	function cleanLists(node, range) {
		// remove any whitespace nodes around list nodes
		if (node) {
			jQuery(node).find('ul,ol,li').each(function () {
				jQuery(this).contents().each(function () {
					if (isListWhitespaceToRemove(this)) {
						var index = Dom.getIndexInParent(this);

						// if the range points to somewhere behind the removed text node, we reduce the offset
						if (range.startContainer === this.parentNode && range.startOffset > index) {
							range.startOffset--;
						} else if (range.startContainer === this) {
							// the range starts in the removed text node, let it start right before
							range.startContainer = this.parentNode;
							range.startOffset = index;
						}
						// same thing for end of the range
						if (range.endContainer === this.parentNode && range.endOffset > index) {
							range.endOffset--;
						} else if (range.endContainer === this) {
							range.endContainer = this.parentNode;
							range.endOffset = index;
						}
						// finally remove the whitespace node
						jQuery(this).remove();
					}
				});
			});
		}
	}


	//@}
	///// Indenting and outdenting /////
	//@{

	function indentNodes(nodeList, range) {
		// "If node list is empty, do nothing and abort these steps."
		if (!nodeList.length) {
			return;
		}

		// "Let first node be the first member of node list."
		var firstNode = nodeList[0];

		// "If first node's parent is an ol or ul:"
		if (isHtmlElementInArray(firstNode.parentNode, ["OL", "UL"])) {
			// "Let tag be the local name of the parent of first node."
			var tag = firstNode.parentNode.tagName;

			// "Wrap node list, with sibling criteria returning true for an HTML
			// element with local name tag and false otherwise, and new parent
			// instructions returning the result of calling createElement(tag) on
			// the ownerDocument of first node."
			wrap(
				nodeList,
				function (node) {
					return isHtmlElement_obsolete(node, tag);
				},
				function () {
					return firstNode.ownerDocument.createElement(tag);
				},
				range
			);

			// "Abort these steps."
			return;
		}

		// "Wrap node list, with sibling criteria returning true for a simple
		// indentation element and false otherwise, and new parent instructions
		// returning the result of calling createElement("blockquote") on the
		// ownerDocument of first node. Let new parent be the result."
		var newParent = wrap(
			nodeList,
			function (node) {
				return isSimpleIndentationElement(node);
			},
			function () {
				return firstNode.ownerDocument.createElement("blockquote");
			},
			range
		);

		// "Fix disallowed ancestors of new parent."
		fixDisallowedAncestors(newParent, range);
	}

	function outdentNode(node, range) {
		// "If node is not editable, abort these steps."
		if (!isEditable(node)) {
			return;
		}

		// "If node is a simple indentation element, remove node, preserving its
		// descendants.  Then abort these steps."
		if (isSimpleIndentationElement(node)) {
			removePreservingDescendants(node, range);
			return;
		}

		// "If node is an indentation element:"
		if (isIndentationElement(node)) {
			// "Unset the class and dir attributes of node, if any."
			node.removeAttribute("class");
			node.removeAttribute("dir");

			// "Unset the margin, padding, and border CSS properties of node."
			node.style.margin = "";
			node.style.padding = "";
			node.style.border = "";
			if (node.getAttribute("style") == "") {
				node.removeAttribute("style");
			}

			// "Set the tag name of node to "div"."
			setTagName(node, "div", range);

			// "Abort these steps."
			return;
		}

		// "Let current ancestor be node's parent."
		var currentAncestor = node.parentNode;

		// "Let ancestor list be a list of nodes, initially empty."
		var ancestorList = [];

		// "While current ancestor is an editable Element that is neither a simple
		// indentation element nor an ol nor a ul, append current ancestor to
		// ancestor list and then set current ancestor to its parent."
		while (isEditable(currentAncestor) && currentAncestor.nodeType == $_.Node.ELEMENT_NODE && !isSimpleIndentationElement(currentAncestor) && !isHtmlElementInArray(currentAncestor, ["ol", "ul"])) {
			ancestorList.push(currentAncestor);
			currentAncestor = currentAncestor.parentNode;
		}

		// "If current ancestor is not an editable simple indentation element:"
		if (!isEditable(currentAncestor) || !isSimpleIndentationElement(currentAncestor)) {
			// "Let current ancestor be node's parent."
			currentAncestor = node.parentNode;

			// "Let ancestor list be the empty list."
			ancestorList = [];

			// "While current ancestor is an editable Element that is neither an
			// indentation element nor an ol nor a ul, append current ancestor to
			// ancestor list and then set current ancestor to its parent."
			while (isEditable(currentAncestor) && currentAncestor.nodeType == $_.Node.ELEMENT_NODE && !isIndentationElement(currentAncestor) && !isHtmlElementInArray(currentAncestor, ["ol", "ul"])) {
				ancestorList.push(currentAncestor);
				currentAncestor = currentAncestor.parentNode;
			}
		}

		// "If node is an ol or ul and current ancestor is not an editable
		// indentation element:"
		if (isHtmlElementInArray(node, ["OL", "UL"]) && (!isEditable(currentAncestor) || !isIndentationElement(currentAncestor))) {
			// "Unset the reversed, start, and type attributes of node, if any are
			// set."
			node.removeAttribute("reversed");
			node.removeAttribute("start");
			node.removeAttribute("type");

			// "Let children be the children of node."
			var children = [].slice.call(toArray(node.childNodes));

			// "If node has attributes, and its parent is not an ol or ul, set the
			// tag name of node to "div"."
			if (node.attributes.length && !isHtmlElementInArray(node.parentNode, ["OL", "UL"])) {
				setTagName(node, "div", range);

				// "Otherwise:"
			} else {
				// "Record the values of node's children, and let values be the
				// result."
				var values = recordValues([].slice.call(toArray(node.childNodes)));

				// "Remove node, preserving its descendants."
				removePreservingDescendants(node, range);

				// "Restore the values from values."
				restoreValues(values, range);
			}

			// "Fix disallowed ancestors of each member of children."
			var i;
			for (i = 0; i < children.length; i++) {
				fixDisallowedAncestors(children[i], range);
			}

			// "Abort these steps."
			return;
		}

		// "If current ancestor is not an editable indentation element, abort these
		// steps."
		if (!isEditable(currentAncestor) || !isIndentationElement(currentAncestor)) {
			return;
		}

		// "Append current ancestor to ancestor list."
		ancestorList.push(currentAncestor);

		// "Let original ancestor be current ancestor."
		var originalAncestor = currentAncestor;

		// "While ancestor list is not empty:"
		while (ancestorList.length) {
			// "Let current ancestor be the last member of ancestor list."
			//
			// "Remove the last member of ancestor list."
			currentAncestor = ancestorList.pop();

			// "Let target be the child of current ancestor that is equal to either
			// node or the last member of ancestor list."
			var target = node.parentNode == currentAncestor ? node : ancestorList[ancestorList.length - 1];

			// "If target is an inline node that is not a br, and its nextSibling
			// is a br, remove target's nextSibling from its parent."
			if (isInlineNode(target) && !isNamedHtmlElement(target, 'BR') && isNamedHtmlElement(target.nextSibling, "BR")) {
				target.parentNode.removeChild(target.nextSibling);
			}

			// "Let preceding siblings be the preceding siblings of target, and let
			// following siblings be the following siblings of target."
			var precedingSiblings = [].slice.call(toArray(currentAncestor.childNodes), 0, Dom.getIndexInParent(target));
			var followingSiblings = [].slice.call(toArray(currentAncestor.childNodes), 1 + Dom.getIndexInParent(target));

			// "Indent preceding siblings."
			indentNodes(precedingSiblings, range);

			// "Indent following siblings."
			indentNodes(followingSiblings, range);
		}

		// "Outdent original ancestor."
		outdentNode(originalAncestor, range);
	}


	//@}
	///// Toggling lists /////
	//@{

	function toggleLists(tagName, range) {
		// "Let mode be "disable" if the selection's list state is tag name, and
		// "enable" otherwise."
		var mode = getSelectionListState() == tagName ? "disable" : "enable";

		tagName = tagName.toUpperCase();

		// "Let other tag name be "ol" if tag name is "ul", and "ul" if tag name is
		// "ol"."
		var otherTagName = tagName == "OL" ? "UL" : "OL";

		// "Let items be a list of all lis that are ancestor containers of the
		// range's start and/or end node."
		//
		// It's annoying to get this in tree order using functional stuff without
		// doing getDescendants(document), which is slow, so I do it imperatively.
		var items = [];
		(function () {
			var ancestorContainer;
			for (ancestorContainer = range.endContainer;
				     ancestorContainer != range.commonAncestorContainer;
				     ancestorContainer = ancestorContainer.parentNode) {
				if (isNamedHtmlElement(ancestorContainer, "li")) {
					items.unshift(ancestorContainer);
				}
			}
			for (ancestorContainer = range.startContainer;
				     ancestorContainer;
				     ancestorContainer = ancestorContainer.parentNode) {
				if (isNamedHtmlElement(ancestorContainer, "li")) {
					items.unshift(ancestorContainer);
				}
			}
		}());

		// "For each item in items, normalize sublists of item."
		$_(items).forEach(function (thisArg) {
			normalizeSublists(thisArg, range);
		});

		// "Block-extend the range, and let new range be the result."
		var newRange = blockExtend(range);

		// "If mode is "enable", then let lists to convert consist of every
		// editable HTML element with local name other tag name that is contained
		// in new range, and for every list in lists to convert:"
		if (mode == "enable") {
			$_(getAllContainedNodes(newRange, function (node) {
				return isEditable(node) && isHtmlElement_obsolete(node, otherTagName);
			})).forEach(function (list) {
				// "If list's previousSibling or nextSibling is an editable HTML
				// element with local name tag name:"
				if ((isEditable(list.previousSibling) && isHtmlElement_obsolete(list.previousSibling, tagName)) || (isEditable(list.nextSibling) && isHtmlElement_obsolete(list.nextSibling, tagName))) {
					// "Let children be list's children."
					var children = [].slice.call(toArray(list.childNodes));

					// "Record the values of children, and let values be the
					// result."
					var values = recordValues(children);

					// "Split the parent of children."
					splitParent(children, range);

					// "Wrap children, with sibling criteria returning true for an
					// HTML element with local name tag name and false otherwise."
					wrap(
						children,
						function (node) {
							return isHtmlElement_obsolete(node, tagName);
						},
						function () {
							return null;
						},
						range
					);

					// "Restore the values from values."
					restoreValues(values, range);

					// "Otherwise, set the tag name of list to tag name."
				} else {
					setTagName(list, tagName, range);
				}
			});
		}

		// "Let node list be a list of nodes, initially empty."
		//
		// "For each node node contained in new range, if node is editable; the
		// last member of node list (if any) is not an ancestor of node; node
		// is not an indentation element; and either node is an ol or ul, or its
		// parent is an ol or ul, or it is an allowed child of "li"; then append
		// node to node list."
		var nodeList = getContainedNodes(newRange, function (node) {
			return isEditable(node) && !isIndentationElement(node) && (isHtmlElementInArray(node, ["OL", "UL"]) || isHtmlElementInArray(node.parentNode, ["OL", "UL"]) || isAllowedChild(node, "li"));
		});

		// "If mode is "enable", remove from node list any ol or ul whose parent is
		// not also an ol or ul."
		if (mode == "enable") {
			nodeList = $_(nodeList).filter(function (node) {
				return !isHtmlElementInArray(node, ["ol", "ul"]) || isHtmlElementInArray(node.parentNode, ["ol", "ul"]);
			});
		}

		// "If mode is "disable", then while node list is not empty:"
		var sublist, values;

		function createLi() {
			return document.createElement("li");
		}

		function isOlUl(node) {
			return isHtmlElementInArray(node, ["ol", "ul"]);
		}

		function makeIsElementPred(tagName) {
			return function (node) {
				return isHtmlElement_obsolete(node, tagName);
			};
		}

		function makeCreateElement(tagName) {
			return function () {
				return document.createElement(tagName);
			};
		}

		function makeCreateElementSublist(tagName, sublist, range) {
			return function () {
				// "If sublist's first member's parent is not an editable
				// simple indentation element, or sublist's first member's
				// parent's previousSibling is not an editable HTML element
				// with local name tag name, call createElement(tag name)
				// on the context object and return the result."
				if (!isEditable(sublist[0].parentNode) || !isSimpleIndentationElement(sublist[0].parentNode) || !isEditable(sublist[0].parentNode.previousSibling) || !isHtmlElement_obsolete(sublist[0].parentNode.previousSibling, tagName)) {
					return document.createElement(tagName);
				}

				// "Let list be sublist's first member's parent's
				// previousSibling."
				var list = sublist[0].parentNode.previousSibling;

				// "Normalize sublists of list's lastChild."
				normalizeSublists(list.lastChild, range);

				// "If list's lastChild is not an editable HTML element
				// with local name tag name, call createElement(tag name)
				// on the context object, and append the result as the last
				// child of list."
				if (!isEditable(list.lastChild) || !isHtmlElement_obsolete(list.lastChild, tagName)) {
					list.appendChild(document.createElement(tagName));
				}

				// "Return the last child of list."
				return list.lastChild;
			};
		}

		if (mode == "disable") {
			while (nodeList.length) {
				// "Let sublist be an empty list of nodes."
				sublist = [];

				// "Remove the first member from node list and append it to
				// sublist."
				sublist.push(nodeList.shift());

				// "If the first member of sublist is an HTML element with local
				// name tag name, outdent it and continue this loop from the
				// beginning."
				if (isHtmlElement_obsolete(sublist[0], tagName)) {
					outdentNode(sublist[0], range);
					continue;
				}

				// "While node list is not empty, and the first member of node list
				// is the nextSibling of the last member of sublist and is not an
				// HTML element with local name tag name, remove the first member
				// from node list and append it to sublist."
				while (nodeList.length && nodeList[0] == sublist[sublist.length - 1].nextSibling && !isHtmlElement_obsolete(nodeList[0], tagName)) {
					sublist.push(nodeList.shift());
				}

				// "Record the values of sublist, and let values be the result."
				values = recordValues(sublist);

				// "Split the parent of sublist."
				splitParent(sublist, range);

				// "Fix disallowed ancestors of each member of sublist."
				var i;
				for (i = 0; i < sublist.length; i++) {
					fixDisallowedAncestors(sublist[i], range);
				}

				// "Restore the values from values."
				restoreValues(values, range);
			}

			// "Otherwise, while node list is not empty:"
		} else {
			while (nodeList.length) {
				// "Let sublist be an empty list of nodes."
				sublist = [];

				// "While either sublist is empty, or node list is not empty and
				// its first member is the nextSibling of sublist's last member:"
				while (!sublist.length || (nodeList.length && nodeList[0] == sublist[sublist.length - 1].nextSibling)) {
					// "If node list's first member is a p or div, set the tag name
					// of node list's first member to "li", and append the result
					// to sublist. Remove the first member from node list."
					if (isHtmlElementInArray(nodeList[0], ["p", "div"])) {
						sublist.push(setTagName(nodeList[0], "li", range));
						nodeList.shift();

						// "Otherwise, if the first member of node list is an li or ol
						// or ul, remove it from node list and append it to sublist."
					} else if (isHtmlElementInArray(nodeList[0], ["li", "ol", "ul"])) {
						sublist.push(nodeList.shift());

						// "Otherwise:"
					} else {
						// "Let nodes to wrap be a list of nodes, initially empty."
						var nodesToWrap = [];

						// "While nodes to wrap is empty, or node list is not empty
						// and its first member is the nextSibling of nodes to
						// wrap's last member and the first member of node list is
						// an inline node and the last member of nodes to wrap is
						// an inline node other than a br, remove the first member
						// from node list and append it to nodes to wrap."
						while (!nodesToWrap.length || (nodeList.length && nodeList[0] == nodesToWrap[nodesToWrap.length - 1].nextSibling && isInlineNode(nodeList[0]) && isInlineNode(nodesToWrap[nodesToWrap.length - 1]) && !isNamedHtmlElement(nodesToWrap[nodesToWrap.length - 1], "br"))) {
							nodesToWrap.push(nodeList.shift());
						}

						// "Wrap nodes to wrap, with new parent instructions
						// returning the result of calling createElement("li") on
						// the context object. Append the result to sublist."
						sublist.push(wrap(
							nodesToWrap,
							undefined,
							createLi,
							range
						));
					}
				}

				// "If sublist's first member's parent is an HTML element with
				// local name tag name, or if every member of sublist is an ol or
				// ul, continue this loop from the beginning."
				if (isHtmlElement_obsolete(sublist[0].parentNode, tagName) || $_(sublist).every(isOlUl)) {
					continue;
				}

				// "If sublist's first member's parent is an HTML element with
				// local name other tag name:"
				if (isHtmlElement_obsolete(sublist[0].parentNode, otherTagName)) {
					// "Record the values of sublist, and let values be the
					// result."
					values = recordValues(sublist);

					// "Split the parent of sublist."
					splitParent(sublist, range);

					// "Wrap sublist, with sibling criteria returning true for an
					// HTML element with local name tag name and false otherwise,
					// and new parent instructions returning the result of calling
					// createElement(tag name) on the context object."
					wrap(
						sublist,
						makeIsElementPred(tagName),
						makeCreateElement(tagName),
						range
					);

					// "Restore the values from values."
					restoreValues(values, range);

					// "Continue this loop from the beginning."
					continue;
				}

				// "Wrap sublist, with sibling criteria returning true for an HTML
				// element with local name tag name and false otherwise, and new
				// parent instructions being the following:"
				// . . .
				// "Fix disallowed ancestors of the previous step's result."
				fixDisallowedAncestors(wrap(
					sublist,
					makeIsElementPred(tagName),
					makeCreateElementSublist(tagName, sublist, range),
					range
				), range);
			}
		}
	}


	//@}
	///// Justifying the selection /////
	//@{

	function justifySelection(alignment, range) {

		// "Block-extend the active range, and let new range be the result."
		var newRange = blockExtend(range);

		// "Let element list be a list of all editable Elements contained in new
		// range that either has an attribute in the HTML namespace whose local
		// name is "align", or has a style attribute that sets "text-align", or is
		// a center."
		var elementList = getAllContainedNodes(newRange, function (node) {
			return node.nodeType == $_.Node.ELEMENT_NODE && isEditable(node)
			// Ignoring namespaces here
				&& (hasAttribute(node, "align") || node.style.textAlign != "" || isNamedHtmlElement(node, 'center'));
		});

		// "For each element in element list:"
		var i;
		for (i = 0; i < elementList.length; i++) {
			var element = elementList[i];

			// "If element has an attribute in the HTML namespace whose local name
			// is "align", remove that attribute."
			element.removeAttribute("align");

			// "Unset the CSS property "text-align" on element, if it's set by a
			// style attribute."
			element.style.textAlign = "";
			if (element.getAttribute("style") == "") {
				element.removeAttribute("style");
			}

			// "If element is a div or span or center with no attributes, remove
			// it, preserving its descendants."
			if (isHtmlElementInArray(element, ["div", "span", "center"]) && !element.attributes.length) {
				removePreservingDescendants(element, range);
			}

			// "If element is a center with one or more attributes, set the tag
			// name of element to "div"."
			if (isNamedHtmlElement(element, 'center') && element.attributes.length) {
				setTagName(element, "div", range);
			}
		}

		// "Block-extend the active range, and let new range be the result."
		newRange = blockExtend(globalRange);

		// "Let node list be a list of nodes, initially empty."
		var nodeList = [];

		// "For each node node contained in new range, append node to node list if
		// the last member of node list (if any) is not an ancestor of node; node
		// is editable; node is an allowed child of "div"; and node's alignment
		// value is not alignment."
		nodeList = getContainedNodes(newRange, function (node) {
			return isEditable(node) && isAllowedChild(node, "div") && getAlignmentValue(node) != alignment;
		});

		function makeIsAlignedDiv(alignment) {
			return function (node) {
				return isNamedHtmlElement(node, 'div') && $_(node.attributes).every(function (attr) {
					return (attr.name == "align" && attr.value.toLowerCase() == alignment) || (attr.name == "style" && getStyleLength(node) == 1 && node.style.textAlign == alignment);
				});
			};
		}

		function makeCreateAlignedDiv(alignment) {
			return function () {
				var newParent = document.createElement("div");
				newParent.setAttribute("style", "text-align: " + alignment);
				return newParent;
			};
		}

		// "While node list is not empty:"
		while (nodeList.length) {
			// "Let sublist be a list of nodes, initially empty."
			var sublist = [];

			// "Remove the first member of node list and append it to sublist."
			sublist.push(nodeList.shift());

			// "While node list is not empty, and the first member of node list is
			// the nextSibling of the last member of sublist, remove the first
			// member of node list and append it to sublist."
			while (nodeList.length && nodeList[0] == sublist[sublist.length - 1].nextSibling) {
				sublist.push(nodeList.shift());
			}

			// "Wrap sublist. Sibling criteria returns true for any div that has
			// one or both of the following two attributes and no other attributes,
			// and false otherwise:"
			//
			//   * "An align attribute whose value is an ASCII case-insensitive
			//     match for alignment.
			//   * "A style attribute which sets exactly one CSS property
			//     (including unrecognized or invalid attributes), which is
			//     "text-align", which is set to alignment.
			//
			// "New parent instructions are to call createElement("div") on the
			// context object, then set its CSS property "text-align" to alignment
			// and return the result."
			wrap(
				sublist,
				makeIsAlignedDiv(alignment),
				makeCreateAlignedDiv(alignment),
				range
			);
		}
	}

	//@}
	///// Move the given collapsed range over adjacent zero-width whitespace characters.
	///// The range is
	//@{
	/**
	 * Move the given collapsed range over adjacent zero-width whitespace characters.
	 * If the range is not collapsed or is not contained in a text node, it is not modified
	 * @param range range to modify
	 * @param forward {Boolean} true to move forward, false to move backward
	 */
	function moveOverZWSP(range, forward) {
		var offset;
		if (!range.collapsed) {
			return;
		}

		offset = range.startOffset;

		if (forward) {
			// check whether the range starts in a text node
			if (range.startContainer && range.startContainer.nodeType === $_.Node.TEXT_NODE) {
				// move forward (i.e. increase offset) as long as we stay in the text node and have zwsp characters to the right
				while (offset < range.startContainer.data.length && range.startContainer.data.charAt(offset) === '\u200b') {
					offset++;
				}
			}
		} else {
			// check whether the range starts in a text node
			if (range.startContainer && range.startContainer.nodeType === $_.Node.TEXT_NODE) {
				// move backward (i.e. decrease offset) as long as we stay in the text node and have zwsp characters to the left
				while (offset > 0 && range.startContainer.data.charAt(offset - 1) === '\u200b') {
					offset--;
				}
			}
		}

		// if the offset was changed, set it back to the collapsed range
		if (offset !== range.startOffset) {
			range.setStart(range.startContainer, offset);
			range.setEnd(range.startContainer, offset);
		}
	}

	/**
	 * implementation of the delete command
	 * will attempt to delete contents within range if non-collapsed
	 * or delete the character left of the cursor position if range
	 * is collapsed. Is used to define the behaviour of the backspace
	 * button.
	 *
	 * @param      value   is just there for compatibility with the commands api. parameter is ignored.
	 * @param      range   the range to execute the delete command for
	 * @return     void
	 */
	commands["delete"] = {
		action: function (value, range) {
			var
				i,
				deleteContentsRange;

			// special behaviour for skipping zero-width whitespaces
			moveOverZWSP(range, false);

			// "If the active range is not collapsed, delete the contents of the
			// active range and abort these steps."
			if (!range.collapsed) {
				deleteContents(range);
				return;
			}

			// "Canonicalize whitespace at (active range's start node, active
			// range's start offset)."
			canonicalizeWhitespace(range.startContainer, range.startOffset);

			// "Let node and offset be the active range's start node and offset."
			var node = range.startContainer;
			var offset = range.startOffset;
			var isBr = false;
			var isHr = false;

			// "Repeat the following steps:"
			while (true) {
				// we need to reset isBr and isHr on every interation of the loop
				if (offset > 0) {
					isBr = isNamedHtmlElement(node.childNodes[offset - 1], "br") || false;
					isHr = isNamedHtmlElement(node.childNodes[offset - 1], "hr") || false;
				}
				// "If offset is zero and node's previousSibling is an editable
				// invisible node, remove node's previousSibling from its parent."
				if (offset == 0 && isEditable(node.previousSibling) && isInvisible(node.previousSibling)) {
					node.parentNode.removeChild(node.previousSibling);
					continue;
				}
				// "Otherwise, if node has a child with index offset − 1 and that
				// child is an editable invisible node, remove that child from
				// node, then subtract one from offset."
				if (0 <= offset - 1 && offset - 1 < node.childNodes.length && isEditable(node.childNodes[offset - 1]) && (isInvisible(node.childNodes[offset - 1]) || isBr || isHr)) {
					node.removeChild(node.childNodes[offset - 1]);
					offset--;
					if (isBr || isHr) {
						range.setStart(node, offset);
						range.setEnd(node, offset);
						return;
					}
					continue;

				}
				// "Otherwise, if offset is zero and node is an inline node, or if
				// node is an invisible node, set offset to the index of node, then
				// set node to its parent."
				if ((offset == 0 && isInlineNode(node)) || isInvisible(node)) {
					offset = Dom.getIndexInParent(node);
					node = node.parentNode;
					continue;
				}
				// "Otherwise, if node has a child with index offset − 1 and that
				// child is an editable a, remove that child from node, preserving
				// its descendants. Then abort these steps."
				if (0 <= offset - 1 && offset - 1 < node.childNodes.length && isEditable(node.childNodes[offset - 1]) && isNamedHtmlElement(node.childNodes[offset - 1], "a")) {
					removePreservingDescendants(node.childNodes[offset - 1], range);
					return;

				}
				// "Otherwise, if node has a child with index offset − 1 and that
				// child is not a block node or a br or an img, set node to that
				// child, then set offset to the length of node."
				if (0 <= offset - 1 && offset - 1 < node.childNodes.length && !isBlockNode(node.childNodes[offset - 1]) && !isHtmlElementInArray(node.childNodes[offset - 1], ["br", "img"])) {
					node = node.childNodes[offset - 1];
					offset = getNodeLength(node);
					continue;
				}
				// "Otherwise, break from this loop."
				// brk is a quick and dirty jslint workaround since I don't want to rewrite this loop
				var brk = true;
				if (brk) {
					break;
				}
			}

			// "If node is a Text node and offset is not zero, call collapse(node,
			// offset) on the Selection. Then delete the contents of the range with
			// start (node, offset − 1) and end (node, offset) and abort these
			// steps."
			if (node.nodeType == $_.Node.TEXT_NODE && offset != 0) {
				// if the place we found is not editable, we stop here
				if (!isEditable(node)) {
					return;
				}

				range.setStart(node, offset - 1);
				range.setEnd(node, offset - 1);
				deleteContentsRange = deleteContents(node, offset - 1, node, offset);
				if (deleteContentsRange) {
					// The new range position can only be determined inside deleteContents,
					// that's why it's necessary to take over the range if one was returned.
					range.setStart(deleteContentsRange.startContainer, deleteContentsRange.startOffset);
					range.setEnd(deleteContentsRange.endContainer, deleteContentsRange.endOffset);
				}
				return;
			}

			// @iebug
			// when inserting a special char via the plugin
			// there where problems deleting them again with backspace after insertation
			// see https://github.com/alohaeditor/Aloha-Editor/issues/517
			if (node.nodeType == $_.Node.TEXT_NODE && offset == 0 && Aloha.browser.msie) {
				offset = 1;
				range.setStart(node, offset);
				range.setEnd(node, offset);
				range.startOffset = 0;
				deleteContents(range);
				return;
			}

			// "If node is an inline node, abort these steps."
			if (isInlineNode(node)) {
				return;
			}

			// "If node has a child with index offset − 1 and that child is a br or
			// hr or img, call collapse(node, offset) on the Selection. Then delete
			// the contents of the range with start (node, offset − 1) and end
			// (node, offset) and abort these steps."
			if (0 <= offset - 1 && offset - 1 < node.childNodes.length && isHtmlElementInArray(node.childNodes[offset - 1], ["br", "hr", "img"])) {
				range.setStart(node, offset);
				range.setEnd(node, offset);
				deleteContents(range);
				return;
			}

			// "If node is an li or dt or dd and is the first child of its parent,
			// and offset is zero:"
			if (isHtmlElementInArray(node, ["li", "dt", "dd"]) && node == node.parentNode.firstChild && offset == 0) {
				// "Let items be a list of all lis that are ancestors of node."
				//
				// Remember, must be in tree order.
				var items = [];
				var ancestor;
				for (ancestor = node.parentNode; ancestor; ancestor = ancestor.parentNode) {
					if (isNamedHtmlElement(ancestor, 'li')) {
						items.unshift(ancestor);
					}
				}

				// "Normalize sublists of each item in items."
				for (i = 0; i < items.length; i++) {
					normalizeSublists(items[i], range);
				}

				// "Record the values of the one-node list consisting of node, and
				// let values be the result."
				var values = recordValues([node]);

				// "Split the parent of the one-node list consisting of node."
				splitParent([node], range);

				// "Restore the values from values."
				restoreValues(values, range);

				// "If node is a dd or dt, and it is not an allowed child of any of
				// its ancestors in the same editing host, set the tag name of node
				// to the default single-line container name and let node be the
				// result."
				if (isHtmlElementInArray(node, ["dd", "dt"]) && $_(getAncestors(node)).every(function (ancestor) { return !inSameEditingHost(node, ancestor) || !isAllowedChild(node, ancestor); })) {
					node = setTagName(node, defaultSingleLineContainerName, range);
				}

				// "Fix disallowed ancestors of node."
				fixDisallowedAncestors(node, range);

				// fix the lists to be html5 conformant
				for (i = 0; i < items.length; i++) {
					unNormalizeSublists(items[i].parentNode, range);
				}

				// "Abort these steps."
				return;
			}

			// "Let start node equal node and let start offset equal offset."
			var startNode = node;
			var startOffset = offset;

			// "Repeat the following steps:"
			while (true) {
				// "If start offset is zero, set start offset to the index of start
				// node and then set start node to its parent."
				if (startOffset == 0) {
					startOffset = Dom.getIndexInParent(startNode);
					startNode = startNode.parentNode;

					// "Otherwise, if start node has an editable invisible child with
					// index start offset minus one, remove it from start node and
					// subtract one from start offset."
				} else if (0 <= startOffset - 1 && startOffset - 1 < startNode.childNodes.length && isEditable(startNode.childNodes[startOffset - 1]) && isInvisible(startNode.childNodes[startOffset - 1])) {
					startNode.removeChild(startNode.childNodes[startOffset - 1]);
					startOffset--;

					// "Otherwise, break from this loop."
				} else {
					break;
				}
			}

			// "If offset is zero, and node has an editable ancestor container in
			// the same editing host that's an indentation element:"
			if (offset == 0 && $_(getAncestors(node).concat(node)).filter(function (ancestor) { return isEditable(ancestor) && inSameEditingHost(ancestor, node) && isIndentationElement(ancestor); }).length) {
				// "Block-extend the range whose start and end are both (node, 0),
				// and let new range be the result."
				var newRange = Aloha.createRange();
				newRange.setStart(node, 0);
				newRange.setEnd(node, 0);
				newRange = blockExtend(newRange);

				// "Let node list be a list of nodes, initially empty."
				//
				// "For each node current node contained in new range, append
				// current node to node list if the last member of node list (if
				// any) is not an ancestor of current node, and current node is
				// editable but has no editable descendants."
				var nodeList = getContainedNodes(newRange, function (currentNode) {
					return isEditable(currentNode) && !hasEditableDescendants(currentNode);
				});

				// "Outdent each node in node list."
				for (i = 0; i < nodeList.length; i++) {
					outdentNode(nodeList[i], range);
				}

				// "Abort these steps."
				return;
			}

			// "If the child of start node with index start offset is a table,
			// abort these steps."
			if (isNamedHtmlElement(startNode.childNodes[startOffset], "table")) {
				return;
			}

			// "If start node has a child with index start offset − 1, and that
			// child is a table:"
			if (0 <= startOffset - 1 && startOffset - 1 < startNode.childNodes.length && isNamedHtmlElement(startNode.childNodes[startOffset - 1], "table")) {
				// "Call collapse(start node, start offset − 1) on the context
				// object's Selection."
				range.setStart(startNode, startOffset - 1);

				// "Call extend(start node, start offset) on the context object's
				// Selection."
				range.setEnd(startNode, startOffset);

				// "Abort these steps."
				return;
			}

			// "If offset is zero; and either the child of start node with index
			// start offset minus one is an hr, or the child is a br whose
			// previousSibling is either a br or not an inline node:"
			if (offset == 0
				    && (isNamedHtmlElement(startNode.childNodes[startOffset - 1], "hr")
						|| (isNamedHtmlElement(startNode.childNodes[startOffset - 1], "br")
							&& (isNamedHtmlElement(startNode.childNodes[startOffset - 1].previousSibling, "br")
								|| !isInlineNode(startNode.childNodes[startOffset - 1].previousSibling))))) {
				// "Call collapse(node, offset) on the Selection."
				range.setStart(node, offset);
				range.setEnd(node, offset);

				// "Delete the contents of the range with start (start node, start
				// offset − 1) and end (start node, start offset)."
				deleteContents(startNode, startOffset - 1, startNode, startOffset);

				// "Abort these steps."
				return;
			}

			// "If the child of start node with index start offset is an li or dt
			// or dd, and that child's firstChild is an inline node, and start
			// offset is not zero:"
			if (isHtmlElementInArray(startNode.childNodes[startOffset], ["li", "dt", "dd"]) && isInlineNode(startNode.childNodes[startOffset].firstChild) && startOffset != 0) {
				// "Let previous item be the child of start node with index start
				// offset minus one."
				var previousItem = startNode.childNodes[startOffset - 1];

				// "If previous item's lastChild is an inline node other than a br,
				// call createElement("br") on the context object and append the
				// result as the last child of previous item."
				if (isInlineNode(previousItem.lastChild) && !isNamedHtmlElement(previousItem.lastChild, "br")) {
					previousItem.appendChild(document.createElement("br"));
				}

				// "If previous item's lastChild is an inline node, call
				// createElement("br") on the context object and append the result
				// as the last child of previous item."
				if (isInlineNode(previousItem.lastChild)) {
					previousItem.appendChild(document.createElement("br"));
				}
			}

			// "If the child of start node with index start offset is an li or dt
			// or dd, and its previousSibling is also an li or dt or dd, set start
			// node to its child with index start offset − 1, then set start offset
			// to start node's length, then set node to start node's nextSibling,
			// then set offset to 0."
			if (isHtmlElementInArray(startNode.childNodes[startOffset], ["li", "dt", "dd"]) && isHtmlElementInArray(startNode.childNodes[startOffset - 1], ["li", "dt", "dd"])) {
				startNode = startNode.childNodes[startOffset - 1];
				startOffset = getNodeLength(startNode);
				node = startNode.nextSibling;
				offset = 0;

				// "Otherwise, while start node has a child with index start offset
				// minus one:"
			} else {
				while (0 <= startOffset - 1 && startOffset - 1 < startNode.childNodes.length) {
					// "If start node's child with index start offset minus one is
					// editable and invisible, remove it from start node, then
					// subtract one from start offset."
					if (isEditable(startNode.childNodes[startOffset - 1]) && isInvisible(startNode.childNodes[startOffset - 1])) {
						startNode.removeChild(startNode.childNodes[startOffset - 1]);
						startOffset--;

						// "Otherwise, set start node to its child with index start
						// offset minus one, then set start offset to the length of
						// start node."
					} else {
						startNode = startNode.childNodes[startOffset - 1];
						startOffset = getNodeLength(startNode);
					}
				}
			}

			// "Delete the contents of the range with start (start node, start
			// offset) and end (node, offset)."
			var delRange = Aloha.createRange();
			delRange.setStart(startNode, startOffset);
			delRange.setEnd(node, offset);
			deleteContents(delRange);

			if (!isAncestorContainer(document.body, range.startContainer)) {
				if (delRange.startContainer.hasChildNodes()
						|| delRange.startContainer.nodeType == $_.Node.TEXT_NODE
							|| isEditingHost(delRange.startContainer)) {
					range.setStart(delRange.startContainer, delRange.startOffset);
					range.setEnd(delRange.startContainer, delRange.startOffset);
				} else {
					range.setStart(delRange.startContainer.parentNode, Dom.getIndexInParent(delRange.startContainer));
					range.setEnd(delRange.startContainer.parentNode, Dom.getIndexInParent(delRange.startContainer));
				}
			}
		}
	};

	//@}
	///// The formatBlock command /////
	//@{
	// "A formattable block name is "address", "dd", "div", "dt", "h1", "h2", "h3",
	// "h4", "h5", "h6", "p", or "pre"."
	var formattableBlockNames = ["address", "dd", "div", "dt", "h1", "h2", "h3", "h4", "h5", "h6", "p", "pre"];

	commands.formatblock = {
		action: function (value) {
			var i;

			// "If value begins with a "<" character and ends with a ">" character,
			// remove the first and last characters from it."
			if (/^<.*>$/.test(value)) {
				value = value.slice(1, -1);
			}

			// "Let value be converted to ASCII lowercase."
			value = value.toLowerCase();

			// "If value is not a formattable block name, abort these steps and do
			// nothing."
			if ($_(formattableBlockNames).indexOf(value) == -1) {
				return;
			}

			// "Block-extend the active range, and let new range be the result."
			var newRange = blockExtend(getActiveRange());

			// "Let node list be an empty list of nodes."
			//
			// "For each node node contained in new range, append node to node list
			// if it is editable, the last member of original node list (if any) is
			// not an ancestor of node, node is either a non-list single-line
			// container or an allowed child of "p" or a dd or dt, and node is not
			// the ancestor of a prohibited paragraph child."
			var nodeList = getContainedNodes(newRange, function (node) {
				return isEditable(node) && (isNonListSingleLineContainer(node) || isAllowedChild(node, "p") || isHtmlElementInArray(node, ["dd", "dt"])) && !$_(getDescendants(node)).some(isProhibitedParagraphChild);
			});

			// "Record the values of node list, and let values be the result."
			var values = recordValues(nodeList);

			function makeIsEditableElementInSameEditingHostDoesNotContainProhibitedParagraphChildren(node) {
				return function (ancestor) {
					return (isEditable(ancestor)
							&& inSameEditingHost(ancestor, node)
							&& isHtmlElement_obsolete(ancestor, formattableBlockNames)
							&& !$_(getDescendants(ancestor)).some(isProhibitedParagraphChild));
				};
			}

			function makeIsElementWithoutAttributes(value) {
				return function (node) {
					return isHtmlElement_obsolete(node, value) && !node.attributes.length;
				};
			}

			function returnFalse() {
				return false;
			}

			function makeCreateElement(value) {
				return function () {
					return document.createElement(value);
				};
			}

			// "For each node in node list, while node is the descendant of an
			// editable HTML element in the same editing host, whose local name is
			// a formattable block name, and which is not the ancestor of a
			// prohibited paragraph child, split the parent of the one-node list
			// consisting of node."
			for (i = 0; i < nodeList.length; i++) {
				var node = nodeList[i];
				while ($_(getAncestors(node)).some(makeIsEditableElementInSameEditingHostDoesNotContainProhibitedParagraphChildren(node))) {
					splitParent([node], newRange);
				}
			}

			// "Restore the values from values."
			restoreValues(values, newRange);

			// "While node list is not empty:"
			while (nodeList.length) {
				var sublist;

				// "If the first member of node list is a single-line
				// container:"
				if (isSingleLineContainer(nodeList[0])) {
					// "Let sublist be the children of the first member of node
					// list."
					sublist = [].slice.call(toArray(nodeList[0].childNodes));

					// "Record the values of sublist, and let values be the
					// result."
					values = recordValues(sublist);

					// "Remove the first member of node list from its parent,
					// preserving its descendants."
					removePreservingDescendants(nodeList[0], newRange);

					// "Restore the values from values."
					restoreValues(values, newRange);

					// "Remove the first member from node list."
					nodeList.shift();

					// "Otherwise:"
				} else {
					// "Let sublist be an empty list of nodes."
					sublist = [];

					// "Remove the first member of node list and append it to
					// sublist."
					sublist.push(nodeList.shift());

					// "While node list is not empty, and the first member of
					// node list is the nextSibling of the last member of
					// sublist, and the first member of node list is not a
					// single-line container, and the last member of sublist is
					// not a br, remove the first member of node list and
					// append it to sublist."
					while (nodeList.length && nodeList[0] == sublist[sublist.length - 1].nextSibling && !isSingleLineContainer(nodeList[0]) && !isNamedHtmlElement(sublist[sublist.length - 1], "BR")) {
						sublist.push(nodeList.shift());
					}
				}

				// "Wrap sublist. If value is "div" or "p", sibling criteria
				// returns false; otherwise it returns true for an HTML element
				// with local name value and no attributes, and false otherwise.
				// New parent instructions return the result of running
				// createElement(value) on the context object. Then fix disallowed
				// ancestors of the result."
				fixDisallowedAncestors(wrap(
					sublist,
					jQuery.inArray(value, ["div", "p"]) == -1 ? makeIsElementWithoutAttributes(value) : returnFalse,
					makeCreateElement(value),
					newRange
				), newRange);
			}
		},
		indeterm: function () {
			// "Block-extend the active range, and let new range be the result."
			var newRange = blockExtend(getActiveRange());

			// "Let node list be all visible editable nodes that are contained in
			// new range and have no children."
			var nodeList = getAllContainedNodes(newRange, function (node) {
				return isVisible(node) && isEditable(node) && !node.hasChildNodes();
			});

			// "If node list is empty, return false."
			if (!nodeList.length) {
				return false;
			}

			// "Let type be null."
			var type = null;

			// "For each node in node list:"
			var i;
			for (i = 0; i < nodeList.length; i++) {
				var node = nodeList[i];

				// "While node's parent is editable and in the same editing host as
				// node, and node is not an HTML element whose local name is a
				// formattable block name, set node to its parent."
				while (isEditable(node.parentNode) && inSameEditingHost(node, node.parentNode) && !isHtmlElement_obsolete(node, formattableBlockNames)) {
					node = node.parentNode;
				}

				// "Let current type be the empty string."
				var currentType = "";

				// "If node is an editable HTML element whose local name is a
				// formattable block name, and node is not the ancestor of a
				// prohibited paragraph child, set current type to node's local
				// name."
				if (isEditable(node) && isHtmlElement_obsolete(node, formattableBlockNames) && !$_(getDescendants(node)).some(isProhibitedParagraphChild)) {
					currentType = node.tagName;
				}

				// "If type is null, set type to current type."
				if (type === null) {
					type = currentType;

					// "Otherwise, if type does not equal current type, return true."
				} else if (type != currentType) {
					return true;
				}
			}

			// "Return false."
			return false;
		},
		value: function () {
			// "Block-extend the active range, and let new range be the result."
			var newRange = blockExtend(getActiveRange());

			// "Let node be the first visible editable node that is contained in
			// new range and has no children. If there is no such node, return the
			// empty string."
			var nodes = getAllContainedNodes(newRange, function (node) {
				return isVisible(node) && isEditable(node) && !node.hasChildNodes();
			});
			if (!nodes.length) {
				return "";
			}
			var node = nodes[0];

			// "While node's parent is editable and in the same editing host as
			// node, and node is not an HTML element whose local name is a
			// formattable block name, set node to its parent."
			while (isEditable(node.parentNode) && inSameEditingHost(node, node.parentNode) && !isHtmlElement_obsolete(node, formattableBlockNames)) {
				node = node.parentNode;
			}

			// "If node is an editable HTML element whose local name is a
			// formattable block name, and node is not the ancestor of a prohibited
			// paragraph child, return node's local name, converted to ASCII
			// lowercase."
			if (isEditable(node) && isHtmlElement_obsolete(node, formattableBlockNames) && !$_(getDescendants(node)).some(isProhibitedParagraphChild)) {
				return node.tagName.toLowerCase();
			}

			// "Return the empty string."
			return "";
		}
	};

	//@}
	///// The forwardDelete command /////
	//@{
	commands.forwarddelete = {
		action: function (value, range) {
			var deleteContentsRange;
			// special behaviour for skipping zero-width whitespaces
			moveOverZWSP(range, true);

			// "If the active range is not collapsed, delete the contents of the
			// active range and abort these steps."
			if (!range.collapsed) {
				deleteContents(range);
				return;
			}

			// "Canonicalize whitespace at (active range's start node, active
			// range's start offset)."
			canonicalizeWhitespace(range.startContainer, range.startOffset);

			// small selection hack: If the selection is in an empty text node, we move it after the text node
			if (range.startContainer.nodeType === 3 && range.startContainer.data.length === 0) {
				range.startOffset = range.endOffset = Dom.getIndexInParent(range.startContainer) + 1;
				range.startContainer = range.endContainer = range.startContainer.parentNode;
			}

			// "Let node and offset be the active range's start node and offset."
			var node = range.startContainer;
			var offset = range.startOffset;
			var isBr = false;
			var isHr = false;

			// special behaviour: if we are in an empty block-level element (empty, but for the single ending br), we just remove that
			// this will fix situations where it was not possible to delete an empty block level element right before a non-editable part
			// but never delete the editing host itself
			if (Dom.isEmptyBlockLevelElement(node) && !isEditingHost(node)) {
				range.startContainer = node.parentElement;
				range.startOffset = Dom.getIndexInParent(node);
				range.endContainer = node.parentElement;
				range.endOffset = range.startOffset + 1;
				deleteContents(range);

				// currently, the selection would probably be put in between two paragraphs, which is not suitable
				// try to move the cursor into the next text node
				var nextText = Dom.searchAdjacentTextNode(range.startContainer, range.startOffset, false, {blocklevel: false, list: false});
				if (nextText) {
					range.startContainer = range.endContainer = nextText;
					range.startOffset = range.endOffset = 0;
					return;
				}

				// check whether the next element is an editable blocklevel element, if yes, put the cursor into it
				var nextElement = range.startContainer.childNodes.length > range.startOffset ? range.startContainer.childNodes[range.startOffset] : null;
				if (Dom.isBlockLevelElement(nextElement) && Dom.isEditable(nextElement)) {
					range.startContainer = range.endContainer = nextElement;
					range.startOffset = range.endOffset = 0;
					return;
				}

				// try the previous text node
				nextText = Dom.searchAdjacentTextNode(range.startContainer, range.startOffset, true, {blocklevel: false, list: false});
				if (nextText) {
					range.startContainer = range.endContainer = nextText;
					range.startOffset = range.endOffset = nextText.data.length;
				}

				return;
			}

			// "Repeat the following steps:"
			while (true) {
				// check whether the next element is a br or hr
				// Commented out for unknown reason.
				//if (offset < node.childNodes.length) {
				//				isBr = isHtmlElement_obsolete(node.childNodes[offset], "br") || false;
				//				isHr = isHtmlElement_obsolete(node.childNodes[offset], "hr") || false;
				//}

				// "If offset is the length of node and node's nextSibling is an
				// editable invisible node, remove node's nextSibling from its
				// parent."
				if (offset == getNodeLength(node) && isEditable(node.nextSibling) && isInvisible(node.nextSibling)) {
					node.parentNode.removeChild(node.nextSibling);

					// "Otherwise, if node has a child with index offset and that child
					// is an editable invisible node, remove that child from node."
				} else if (offset < node.childNodes.length && isEditable(node.childNodes[offset]) && (isInvisible(node.childNodes[offset]) || isBr || isHr)) {
					node.removeChild(node.childNodes[offset]);
					if (isBr || isHr) {
						ensureContainerEditable(node);
						range.setStart(node, offset);
						range.setEnd(node, offset);
						return;
					}

					// "Otherwise, if node has a child with index offset and that child
					// is a collapsed block prop, add one to offset."
				} else if (offset < node.childNodes.length && isCollapsedBlockProp(node.childNodes[offset])) {
					offset++;

					// "Otherwise, if offset is the length of node and node is an
					// inline node, or if node is invisible, set offset to one plus the
					// index of node, then set node to its parent."
				} else if ((offset == getNodeLength(node) && isInlineNode(node)) || isInvisible(node)) {
					offset = 1 + Dom.getIndexInParent(node);
					node = node.parentNode;

					// "Otherwise, if node has a child with index offset and that child
					// is not a block node or a br or an img, set node to that child,
					// then set offset to zero."
				} else if (offset < node.childNodes.length && !isBlockNode(node.childNodes[offset]) && !isHtmlElementInArray(node.childNodes[offset], ["br", "img"])) {
					node = node.childNodes[offset];
					offset = 0;

					// "Otherwise, break from this loop."
				} else {
					break;
				}
			}

			// collapse whitespace in the node, if it is a text node
			canonicalizeWhitespace(range.startContainer, range.startOffset);

			var endOffset;
			// "If node is a Text node and offset is not node's length:"
			if (node.nodeType == $_.Node.TEXT_NODE && offset != getNodeLength(node)) {
				// if the place we found (which we want to delete) is not editable, we stop here
				if (!isEditable(node)) {
					return;
				}

				// "Call collapse(node, offset) on the Selection."
				range.setStart(node, offset);
				range.setEnd(node, offset);

				// "Let end offset be offset plus one."
				endOffset = offset + 1;

				// "While end offset is not node's length and the end offsetth
				// element of node's data has general category M when interpreted
				// as a Unicode code point, add one to end offset."
				//
				// TODO: Not even going to try handling anything beyond the most
				// basic combining marks, since I couldn't find a good list.  I
				// special-case a few Hebrew diacritics too to test basic coverage
				// of non-Latin stuff.
				while (endOffset != node.length && /^[\u0300-\u036f\u0591-\u05bd\u05c1\u05c2]$/.test(node.data[endOffset])) {
					endOffset++;
				}

				// "Delete the contents of the range with start (node, offset) and
				// end (node, end offset)."
				deleteContentsRange = deleteContents(node, offset, node, endOffset);

				if (deleteContentsRange) {
					// The new range position can only be determined inside deleteContents,
					// that's why it's necessary to take over the range if one was returned.
					range.setStart(deleteContentsRange.startContainer, deleteContentsRange.startOffset);
					range.setEnd(deleteContentsRange.endContainer, deleteContentsRange.endOffset);
				}
				// "Abort these steps."
				return;
			}

			// "If node has a child with index offset and that child is a br or hr
			// or img, call collapse(node, offset) on the Selection. Then delete
			// the contents of the range with start (node, offset) and end (node,
			// offset + 1) and abort these steps."
			if (offset < node.childNodes.length && isHtmlElementInArray(node.childNodes[offset], ["br", "hr", "img"])) {
				range.setStart(node, offset);
				range.setEnd(node, offset);
				deleteContents(node, offset, node, offset + 1);
				return;
			}

			// "If node is an inline node, abort these steps."
			if (isInlineNode(node)) {
				return;
			}

			// "Let end node equal node and let end offset equal offset."
			var endNode = node;
			endOffset = offset;

			// "Repeat the following steps:"
			while (true) {
				// "If end offset is the length of end node, set end offset to one
				// plus the index of end node and then set end node to its parent."
				if (endOffset == getNodeLength(endNode)) {
					endOffset = 1 + Dom.getIndexInParent(endNode);
					endNode = endNode.parentNode;

					// "Otherwise, if end node has a an editable invisible child with
					// index end offset, remove it from end node."
				} else if (endOffset < endNode.childNodes.length && isEditable(endNode.childNodes[endOffset]) && isInvisible(endNode.childNodes[endOffset])) {
					endNode.removeChild(endNode.childNodes[endOffset]);

					// "Otherwise, break from this loop."
				} else {
					break;
				}
			}

			// "If the child of end node with index end offset minus one is a
			// table, abort these steps."
			if (isNamedHtmlElement(endNode.childNodes[endOffset - 1], "table")) {
				return;
			}

			// "If the child of end node with index end offset is a table:"
			if (isNamedHtmlElement(endNode.childNodes[endOffset], "table")) {
				// "Call collapse(end node, end offset) on the context object's
				// Selection."
				range.setStart(endNode, endOffset);

				// "Call extend(end node, end offset + 1) on the context object's
				// Selection."
				range.setEnd(endNode, endOffset + 1);

				// "Abort these steps."
				return;
			}

			// "If offset is the length of node, and the child of end node with
			// index end offset is an hr or br:"
			if (offset == getNodeLength(node) && isHtmlElementInArray(endNode.childNodes[endOffset], ["br", "hr"])) {
				// "Call collapse(node, offset) on the Selection."
				range.setStart(node, offset);
				range.setEnd(node, offset);

				// "Delete the contents of the range with end (end node, end
				// offset) and end (end node, end offset + 1)."
				deleteContents(endNode, endOffset, endNode, endOffset + 1);

				// "Abort these steps."
				return;
			}

			// "While end node has a child with index end offset:"
			while (endOffset < endNode.childNodes.length) {
				// "If end node's child with index end offset is editable and
				// invisible, remove it from end node."
				if (isEditable(endNode.childNodes[endOffset]) && isInvisible(endNode.childNodes[endOffset])) {
					endNode.removeChild(endNode.childNodes[endOffset]);

					// prevent deleting non-editable elements
				} else if (!isEditable(endNode.childNodes[endOffset]) || jQuery(endNode.childNodes[endOffset]).hasClass('aloha-table-wrapper')) {
					return;

					// "Otherwise, set end node to its child with index end offset and
					// set end offset to zero."
				} else {
					endNode = endNode.childNodes[endOffset];
					endOffset = 0;
				}
			}

			// "Delete the contents of the range with start (node, offset) and end
			// (end node, end offset)."
			var newRange = deleteContents(node, offset, endNode, endOffset);
			range.setStart(newRange.startContainer, newRange.startOffset);
			range.setEnd(newRange.endContainer, newRange.endOffset);
		}
	};

	//@}
	///// The indent command /////
	//@{
	commands.indent = {
		action: function () {
			// "Let items be a list of all lis that are ancestor containers of the
			// active range's start and/or end node."
			//
			// Has to be in tree order, remember!
			var items = [];
			var node;
			for (node = getActiveRange().endContainer; node != getActiveRange().commonAncestorContainer; node = node.parentNode) {
				if (isNamedHtmlElement(node, "LI")) {
					items.unshift(node);
				}
			}
			for (node = getActiveRange().startContainer; node != getActiveRange().commonAncestorContainer; node = node.parentNode) {
				if (isNamedHtmlElement(node, "LI")) {
					items.unshift(node);
				}
			}
			for (node = getActiveRange().commonAncestorContainer; node; node = node.parentNode) {
				if (isNamedHtmlElement(node, "LI")) {
					items.unshift(node);
				}
			}

			// "For each item in items, normalize sublists of item."
			var i;
			for (i = 0; i < items.length; i++) {
				normalizeSublists(items[i], getActiveRange());
			}

			// "Block-extend the active range, and let new range be the result."
			var newRange = blockExtend(getActiveRange());

			// "Let node list be a list of nodes, initially empty."
			var nodeList = [];

			// "For each node node contained in new range, if node is editable and
			// is an allowed child of "div" or "ol" and if the last member of node
			// list (if any) is not an ancestor of node, append node to node list."
			nodeList = getContainedNodes(newRange, function (node) {
				return isEditable(node) && (isAllowedChild(node, "div") || isAllowedChild(node, "ol"));
			});

			// "If the first member of node list is an li whose parent is an ol or
			// ul, and its previousSibling is an li as well, normalize sublists of
			// its previousSibling."
			if (nodeList.length && isNamedHtmlElement(nodeList[0], "LI") && isHtmlElementInArray(nodeList[0].parentNode, ["OL", "UL"]) && isNamedHtmlElement(nodeList[0].previousSibling, "LI")) {
				normalizeSublists(nodeList[0].previousSibling, newRange);
			}

			// "While node list is not empty:"
			while (nodeList.length) {
				// "Let sublist be a list of nodes, initially empty."
				var sublist = [];

				// "Remove the first member of node list and append it to sublist."
				sublist.push(nodeList.shift());

				// "While the first member of node list is the nextSibling of the
				// last member of sublist, remove the first member of node list and
				// append it to sublist."
				while (nodeList.length && nodeList[0] == sublist[sublist.length - 1].nextSibling) {
					sublist.push(nodeList.shift());
				}

				// "Indent sublist."
				indentNodes(sublist, newRange);
			}
		}
	};

	//@}
	///// The insertHorizontalRule command /////
	//@{
	commands.inserthorizontalrule = {
		action: function (value, range) {

			// "While range's start offset is 0 and its start node's parent is not
			// null, set range's start to (parent of start node, index of start
			// node)."
			while (range.startOffset == 0 && range.startContainer.parentNode) {
				range.setStart(range.startContainer.parentNode, Dom.getIndexInParent(range.startContainer));
			}

			// "While range's end offset is the length of its end node, and its end
			// node's parent is not null, set range's end to (parent of end node, 1
			// + index of start node)."
			while (range.endOffset == getNodeLength(range.endContainer) && range.endContainer.parentNode) {
				range.setEnd(range.endContainer.parentNode, 1 + Dom.getIndexInParent(range.endContainer));
			}

			// "Delete the contents of range, with block merging false."
			deleteContents(range, {
				blockMerging: false
			});

			// "If the active range's start node is neither editable nor an editing
			// host, abort these steps."
			if (!isEditable(getActiveRange().startContainer) && !isEditingHost(getActiveRange().startContainer)) {
				return;
			}

			// "If the active range's start node is a Text node and its start
			// offset is zero, set the active range's start and end to (parent of
			// start node, index of start node)."
			if (getActiveRange().startContainer.nodeType == $_.Node.TEXT_NODE && getActiveRange().startOffset == 0) {
				getActiveRange().setStart(getActiveRange().startContainer.parentNode, Dom.getIndexInParent(getActiveRange().startContainer));
				getActiveRange().collapse(true);
			}

			// "If the active range's start node is a Text node and its start
			// offset is the length of its start node, set the active range's start
			// and end to (parent of start node, 1 + index of start node)."
			if (getActiveRange().startContainer.nodeType == $_.Node.TEXT_NODE && getActiveRange().startOffset == getNodeLength(getActiveRange().startContainer)) {
				getActiveRange().setStart(getActiveRange().startContainer.parentNode, 1 + Dom.getIndexInParent(getActiveRange().startContainer));
				getActiveRange().collapse(true);
			}

			// "Let hr be the result of calling createElement("hr") on the
			// context object."
			var hr = document.createElement("hr");

			// "Run insertNode(hr) on the range."
			range.insertNode(hr);

			// "Fix disallowed ancestors of hr."
			fixDisallowedAncestors(hr, range);

			// "Run collapse() on the Selection, with first argument equal to the
			// parent of hr and the second argument equal to one plus the index of
			// hr."
			//
			// Not everyone actually supports collapse(), so we do it manually
			// instead.  Also, we need to modify the actual range we're given as
			// well, for the sake of autoimplementation.html's range-filling-in.
			range.setStart(hr.parentNode, 1 + Dom.getIndexInParent(hr));
			range.setEnd(hr.parentNode, 1 + Dom.getIndexInParent(hr));
			Aloha.getSelection().removeAllRanges();
			Aloha.getSelection().addRange(range);
		}
	};

	/**
	 * Publish a message for the links that will be inserted at paste.
	 * @param {DocumentFragment} frag
	 */
	function publishPastedLinks(frag) {
		var children = frag.childNodes;
		var links;
		var c;
		var i;
		var len;

		for (c = 0; c < children.length; c++) {
			links = jQuery(children[c]).find('a');
			for (i = 0, len = links.length; i < len; i++) {
				PubSub.pub('aloha.link.pasted', {
					href: links[i].getAttribute('href'),
					element: links[i]
				});
			}
		}
	}

	//@}
	///// The insertHTML command /////
	//@{
	commands.inserthtml = {
		action: function (raw, range) {
			var editable = Dom.getEditingHostOf(range.commonAncestorContainer);
			var value = editable ? ContentRules.applyRules(raw, editable) : raw;

			// "Delete the contents of the active range."
			deleteContents(range);

			// "If the active range's start node is neither editable nor an editing
			// host, abort these steps."
			if (!isEditable(range.startContainer) && !isEditingHost(range.startContainer)) {
				return;
			}

			// "Let frag be the result of calling createContextualFragment(value)
			// on the active range."
			var frag = range.createContextualFragment(value);

			publishPastedLinks(frag);

			// "Let last child be the lastChild of frag."
			var lastChild = frag.lastChild;

			// "If last child is null, abort these steps."
			if (!lastChild) {
				return;
			}

			// "Let descendants be all descendants of frag."
			var descendants = getDescendants(frag);

			// "If the active range's start node is a block node:"
			if (isBlockNode(range.startContainer)) {
				// "Let collapsed block props be all editable collapsed block prop
				// children of the active range's start node that have index
				// greater than or equal to the active range's start offset."
				//
				// "For each node in collapsed block props, remove node from its
				// parent."
				$_(range.startContainer.childNodes).filter(function (node, range) {
					return isEditable(node) && isCollapsedBlockProp(node) && Dom.getIndexInParent(node) >= range.startOffset;
				}, true).forEach(function (node) {
					node.parentNode.removeChild(node);
				});
			}

			// "Call insertNode(frag) on the active range."
			range.insertNode(frag);

			// "If the active range's start node is a block node with no visible
			// children, call createElement("br") on the context object and append
			// the result as the last child of the active range's start node."
			if (isBlockNode(range.startContainer)) {
				ensureContainerEditable(range.startContainer);
			}

			// "Call collapse() on the context object's Selection, with last
			// child's parent as the first argument and one plus its index as the
			// second."
			range.setStart(lastChild.parentNode, 1 + Dom.getIndexInParent(lastChild));
			range.setEnd(lastChild.parentNode, 1 + Dom.getIndexInParent(lastChild));

			// "Fix disallowed ancestors of each member of descendants."
			var i;
			for (i = 0; i < descendants.length; i++) {
				fixDisallowedAncestors(descendants[i], range);
			}

			setActiveRange(range);
		}
	};

	//@}
	///// The insertImage command /////
	//@{
	commands.insertimage = {
		action: function (value) {
			// "If value is the empty string, abort these steps and do nothing."
			if (value === "") {
				return;
			}

			// "Let range be the active range."
			var range = getActiveRange();

			// "Delete the contents of range, with strip wrappers false."
			deleteContents(range, {
				stripWrappers: false
			});

			// "If the active range's start node is neither editable nor an editing
			// host, abort these steps."
			if (!isEditable(getActiveRange().startContainer) && !isEditingHost(getActiveRange().startContainer)) {
				return;
			}

			// "If range's start node is a block node whose sole child is a br, and
			// its start offset is 0, remove its start node's child from it."
			if (isBlockNode(range.startContainer) && range.startContainer.childNodes.length == 1 && isNamedHtmlElement(range.startContainer.firstChild, "br") && range.startOffset == 0) {
				range.startContainer.removeChild(range.startContainer.firstChild);
			}

			// "Let img be the result of calling createElement("img") on the
			// context object."
			var img = document.createElement("img");

			// "Run setAttribute("src", value) on img."
			img.setAttribute("src", value);

			// "Run insertNode(img) on the range."
			range.insertNode(img);

			// "Run collapse() on the Selection, with first argument equal to the
			// parent of img and the second argument equal to one plus the index of
			// img."
			//
			// Not everyone actually supports collapse(), so we do it manually
			// instead.  Also, we need to modify the actual range we're given as
			// well, for the sake of autoimplementation.html's range-filling-in.
			range.setStart(img.parentNode, 1 + Dom.getIndexInParent(img));
			range.setEnd(img.parentNode, 1 + Dom.getIndexInParent(img));
			Aloha.getSelection().removeAllRanges();
			Aloha.getSelection().addRange(range);

			// IE adds width and height attributes for some reason, so remove those
			// to actually do what the spec says.
			img.removeAttribute("width");
			img.removeAttribute("height");
		}
	};

	//@}
	///// The insertLineBreak command /////
	//@{
	commands.insertlinebreak = {
		action: function (value, range) {
			// "Delete the contents of the active range, with strip wrappers false."
			deleteContents(range, {
				stripWrappers: false
			});

			// "If the active range's start node is neither editable nor an editing
			// host, abort these steps."
			if (!isEditable(range.startContainer) && !isEditingHost(range.startContainer)) {
				return;
			}

			// "If the active range's start node is an Element, and "br" is not an
			// allowed child of it, abort these steps."
			if (range.startContainer.nodeType == $_.Node.ELEMENT_NODE && !isAllowedChild("br", range.startContainer)) {
				return;
			}

			// "If the active range's start node is not an Element, and "br" is not
			// an allowed child of the active range's start node's parent, abort
			// these steps."
			if (range.startContainer.nodeType != $_.Node.ELEMENT_NODE && !isAllowedChild("br", range.startContainer.parentNode)) {
				return;
			}

			// "If the active range's start node is a Text node and its start
			// offset is zero, call collapse() on the context object's Selection,
			// with first argument equal to the active range's start node's parent
			// and second argument equal to the active range's start node's index."
			var newNode, newOffset;
			if (range.startContainer.nodeType == $_.Node.TEXT_NODE && range.startOffset == 0) {
				newNode = range.startContainer.parentNode;
				newOffset = Dom.getIndexInParent(range.startContainer);
				Aloha.getSelection().collapse(newNode, newOffset);
				range.setStart(newNode, newOffset);
				range.setEnd(newNode, newOffset);
			}

			// "If the active range's start node is a Text node and its start
			// offset is the length of its start node, call collapse() on the
			// context object's Selection, with first argument equal to the active
			// range's start node's parent and second argument equal to one plus
			// the active range's start node's index."
			if (range.startContainer.nodeType == $_.Node.TEXT_NODE && range.startOffset == getNodeLength(range.startContainer)) {
				newNode = range.startContainer.parentNode;
				newOffset = 1 + Dom.getIndexInParent(range.startContainer);
				Aloha.getSelection().collapse(newNode, newOffset);
				range.setStart(newNode, newOffset);
				range.setEnd(newNode, newOffset);
			}

			// "Let br be the result of calling createElement("br") on the context
			// object."
			var br = document.createElement("br");

			// "Call insertNode(br) on the active range."
			range.insertNode(br);

			// "Call collapse() on the context object's Selection, with br's parent
			// as the first argument and one plus br's index as the second
			// argument."
			Aloha.getSelection().collapse(br.parentNode, 1 + Dom.getIndexInParent(br));
			range.setStart(br.parentNode, 1 + Dom.getIndexInParent(br));
			range.setEnd(br.parentNode, 1 + Dom.getIndexInParent(br));

			// "If br is a collapsed line break, call createElement("br") on the
			// context object and let extra br be the result, then call
			// insertNode(extra br) on the active range."
			if (isCollapsedLineBreak(br)) {
				// TODO
				range.insertNode(createEndBreak());

				// Compensate for nonstandard implementations of insertNode
				Aloha.getSelection().collapse(br.parentNode, 1 + Dom.getIndexInParent(br));
				range.setStart(br.parentNode, 1 + Dom.getIndexInParent(br));
				range.setEnd(br.parentNode, 1 + Dom.getIndexInParent(br));
			}

			// IE7 is adding this styles: height: auto; min-height: 0px; max-height: none;
			// with that there is the ugly "IE-editable-outline"
			if (Aloha.browser.msie && Aloha.browser.version < 8) {
				br.parentNode.removeAttribute("style");
			}
		}
	};

	//@}
	///// The insertOrderedList command /////
	//@{
	commands.insertorderedlist = {
		// "Toggle lists with tag name "ol"."
		action: function (value, range) {
			toggleLists("ol", range);
		},
		// "True if the selection's list state is "mixed" or "mixed ol", false
		// otherwise."
		indeterm: function () {
			return (/^mixed( ol)?$/).test(getSelectionListState());
		},
		// "True if the selection's list state is "ol", false otherwise."
		state: function () {
			return getSelectionListState() == "ol";
		}
	};

	var listRelatedElements = {
		"LI": true,
		"DT": true,
		"DD": true
	};

	//@}
	///// The insertParagraph command /////
	//@{
	commands.insertparagraph = {
		action: function (value, range) {
			var i;

			// "Delete the contents of the active range."
			deleteContents(range);

			// clean lists in the editing host, this will remove any whitespace nodes around lists
			// because the following algorithm is not prepared to deal with them
			cleanLists(getEditingHostOf(range.startContainer), range);

			// "If the active range's start node is neither editable nor an editing
			// host, abort these steps."
			if (!isEditable(range.startContainer) && !isEditingHost(range.startContainer)) {
				return;
			}

			var editable = Dom.getEditingHostOf(range.commonAncestorContainer);

			if (!editable) {
				return;
			}

			// "Let node and offset be the active range's start node and offset."
			var node = range.startContainer;
			var offset = range.startOffset;

			// "If node is a Text node, and offset is neither 0 nor the length of
			// node, call splitText(offset) on node."
			if (node.nodeType == $_.Node.TEXT_NODE && offset != 0 && offset != getNodeLength(node)) {
				splitText(node, offset);
			}

			// "If node is a Text node and offset is its length, set offset to one
			// plus the index of node, then set node to its parent."
			if (node.nodeType == $_.Node.TEXT_NODE && offset == getNodeLength(node)) {
				offset = 1 + Dom.getIndexInParent(node);
				node = node.parentNode;
			}

			// "If node is a Text or Comment node, set offset to the index of node,
			// then set node to its parent."
			if (node.nodeType == $_.Node.TEXT_NODE || node.nodeType == $_.Node.COMMENT_NODE) {
				offset = Dom.getIndexInParent(node);
				node = node.parentNode;
			}

			// "Call collapse(node, offset) on the context object's Selection."
			Aloha.getSelection().collapse(node, offset);
			range.setStart(node, offset);
			range.setEnd(node, offset);

			// "Let container equal node."
			var container = node;

			// "While container is not a single-line container, and container's
			// parent is editable and in the same editing host as node, set
			// container to its parent."
			while (!isSingleLineContainer(container) && isEditable(container.parentNode) && inSameEditingHost(node, container.parentNode)) {
				container = container.parentNode;
			}

			// "If container is not editable or not in the same editing host as
			// node or is not a single-line container:"
			if (!isEditable(container) || !inSameEditingHost(container, node) || !isSingleLineContainer(container)) {
				editable = Dom.getEditingHostOf(container);

				if (!editable || !ContentRules.isAllowed(editable, defaultSingleLineContainerName)) {
					return;
				}

				// "Let tag be the default single-line container name."
				var tag = defaultSingleLineContainerName;

				// "Block-extend the active range, and let new range be the
				// result."
				var newRange = blockExtend(range);

				// "Let node list be a list of nodes, initially empty."
				//
				// "Append to node list the first node in tree order that is
				// contained in new range and is an allowed child of "p", if any."
				var nodeList = getContainedNodes(newRange, function (node) {
					return isAllowedChild(node, "p");
				}).slice(0, 1);

				// "If node list is empty:"
				if (!nodeList.length) {
					// "If tag is not an allowed child of the active range's start
					// node, abort these steps."
					if (!isAllowedChild(tag, range.startContainer)) {
						return;
					}

					// "Set container to the result of calling createElement(tag)
					// on the context object."
					container = document.createElement(tag);

					// "Call insertNode(container) on the active range."
					range.insertNode(container);

					// "Call createElement("br") on the context object, and append
					// the result as the last child of container."
					// TODO not always
					container.appendChild(createEndBreak());

					// "Call collapse(container, 0) on the context object's
					// Selection."
					// TODO: remove selection from command
					Aloha.getSelection().collapse(container, 0);
					range.setStart(container, 0);
					range.setEnd(container, 0);

					// "Abort these steps."
					return;
				}

				// "While the nextSibling of the last member of node list is not
				// null and is an allowed child of "p", append it to node list."
				while (nodeList[nodeList.length - 1].nextSibling && isAllowedChild(nodeList[nodeList.length - 1].nextSibling, "p")) {
					nodeList.push(nodeList[nodeList.length - 1].nextSibling);
				}

				// "Wrap node list, with sibling criteria returning false and new
				// parent instructions returning the result of calling
				// createElement(tag) on the context object. Set container to the
				// result."
				container = wrap(
					nodeList,
					function () {
						return false;
					},
					function () {
						return document.createElement(tag);
					},
					range
				);
			}

			// If no container has been set yet, it is not possible to insert a paragraph at this position;
			// the following steps are skipped in order to prevent critical errors from occurring;
			if (!container) {
				return;
			}

			// "If container's local name is "address", "listing", or "pre":"
			var oldHeight, newHeight;
			if (container.tagName == "ADDRESS" || container.tagName == "LISTING" || container.tagName == "PRE") {

				if (!ContentRules.isAllowed(editable, 'br')) {
					return;
				}

				// "Let br be the result of calling createElement("br") on the
				// context object."
				var br = document.createElement("br");

				// remember the old height
				oldHeight = container.offsetHeight;

				// "Call insertNode(br) on the active range."
				range.insertNode(br);

				// determine the new height
				newHeight = container.offsetHeight;

				// "Call collapse(node, offset + 1) on the context object's
				// Selection."
				Aloha.getSelection().collapse(node, offset + 1);
				range.setStart(node, offset + 1);
				range.setEnd(node, offset + 1);

				// "If br is the last descendant of container, let br be the result
				// of calling createElement("br") on the context object, then call
				// insertNode(br) on the active range." (Fix: only do this, if the container height did not change by inserting a single <br/>)
				//
				// Work around browser bugs: some browsers select the
				// newly-inserted node, not per spec.
				if (oldHeight == newHeight && !isDescendant(nextNode(br), container)) {
					// TODO check
					range.insertNode(createEndBreak());
					Aloha.getSelection().collapse(node, offset + 1);
					range.setEnd(node, offset + 1);
				}

				// "Abort these steps."
				return;
			}

			// "If container's local name is "li", "dt", or "dd"; and either it has
			// no children or it has a single child and that child is a br:"
			if (listRelatedElements[container.tagName] && (!container.hasChildNodes() || (container.childNodes.length == 1 && isNamedHtmlElement(container.firstChild, "br")))) {
				// "Split the parent of the one-node list consisting of container."
				splitParent([container], range);

				// "If container has no children, call createElement("br") on the
				// context object and append the result as the last child of
				// container."
				// only do this, if inserting the br does NOT modify the offset height of the container
				//			if (!container.hasChildNodes()) {
				//				var oldHeight = container.offsetHeight, endBr = createEndBreak();
				//				container.appendChild(endBr);
				//				if (container.offsetHeight !== oldHeight) {
				//					container.removeChild(endBr);
				//				}
				//			}

				// "If container is a dd or dt, and it is not an allowed child of
				// any of its ancestors in the same editing host, set the tag name
				// of container to the default single-line container name and let
				// container be the result."
				if (isHtmlElementInArray(container, ["dd", "dt"]) && $_(getAncestors(container)).every(function (ancestor) { return !inSameEditingHost(container, ancestor) || !isAllowedChild(container, ancestor); })) {
					container = setTagName(container, defaultSingleLineContainerName, range);
				}

				// "Fix disallowed ancestors of container."
				fixDisallowedAncestors(container, range);

				// fix invalid nested lists
				if (isNamedHtmlElement(container, 'li') && isNamedHtmlElement(container.nextSibling, "li") && isHtmlElementInArray(container.nextSibling.firstChild, ["ol", "ul"])) {
					// we found a li containing only a br followed by a li containing a list as first element: merge the two li's
					var listParent = container.nextSibling,
						length = container.nextSibling.childNodes.length;
					for (i = 0; i < length; i++) {
						// we always move the first child into the container
						container.appendChild(listParent.childNodes[0]);
					}
					listParent.parentNode.removeChild(listParent);
				}

				// "Abort these steps."
				return;
			}

			// special behaviour when pressing enter in the last empty paragraph, that is nested in a blockquote
			if (isNamedHtmlElement(container, "p")
					&& isNamedHtmlElement(container.parentNode, "blockquote")
						&& !container.nextSibling
							&& (!container.hasChildNodes()
									|| (container.childNodes.length === 1
											&& isNamedHtmlElement(container.firstChild, "br")))) {
				jQuery(container.parentNode).after(container);
				return;
			}

			// "Let new line range be a new range whose start is the same as
			// the active range's, and whose end is (container, length of
			// container)."
			var newLineRange = Aloha.createRange();
			newLineRange.setStart(range.startContainer, range.startOffset);
			newLineRange.setEnd(container, getNodeLength(container));

			// "While new line range's start offset is zero and its start node is
			// not container, set its start to (parent of start node, index of
			// start node)."
			while (newLineRange.startOffset == 0 && newLineRange.startContainer != container) {
				newLineRange.setStart(newLineRange.startContainer.parentNode, Dom.getIndexInParent(newLineRange.startContainer));
			}

			// "While new line range's start offset is the length of its start node
			// and its start node is not container, set its start to (parent of
			// start node, 1 + index of start node)."
			while (newLineRange.startOffset == getNodeLength(newLineRange.startContainer) && newLineRange.startContainer != container) {
				newLineRange.setStart(newLineRange.startContainer.parentNode, 1 + Dom.getIndexInParent(newLineRange.startContainer));
			}

			// "Let end of line be true if new line range contains either nothing
			// or a single br, and false otherwise."
			var containedInNewLineRange = getContainedNodes(newLineRange);
			var endOfLine = !containedInNewLineRange.length || (containedInNewLineRange.length == 1 && isNamedHtmlElement(containedInNewLineRange[0], "br"));

			// "If the local name of container is "h1", "h2", "h3", "h4", "h5", or
			// "h6", and end of line is true, let new container name be the default
			// single-line container name."
			var newContainerName;
			if (/^H[1-6]$/.test(container.tagName) && endOfLine) {
				newContainerName = defaultSingleLineContainerName;

				// "Otherwise, if the local name of container is "dt" and end of line
				// is true, let new container name be "dd"."
			} else if (container.tagName == "DT" && endOfLine) {
				newContainerName = "dd";

				// "Otherwise, if the local name of container is "dd" and end of line
				// is true, let new container name be "dt"."
			} else if (container.tagName == "DD" && endOfLine) {
				newContainerName = "dt";

				// "Otherwise, let new container name be the local name of container."
			} else {
				newContainerName = container.tagName.toLowerCase();
			}

			if (!listRelatedElements[newContainerName.toUpperCase()]
					&& !ContentRules.isAllowed(editable, newContainerName)) {
				return;
			}

			// "Let new container be the result of calling createElement(new
			// container name) on the context object."
			var newContainer = document.createElement(newContainerName);

			// "Copy all non empty attributes of the container to new container."
			copyAttributes(container, newContainer);

			// "If new container has an id attribute, unset it."
			newContainer.removeAttribute("id");

			// "Insert new container into the parent of container immediately after
			// container."
			container.parentNode.insertBefore(newContainer, container.nextSibling);

			// "Let contained nodes be all nodes contained in new line range."
			var containedNodes = getAllContainedNodes(newLineRange);

			// "Let frag be the result of calling extractContents() on new line
			// range."
			var frag = newLineRange.extractContents();

			// "Unset the id attribute (if any) of each Element descendant of frag
			// that is not in contained nodes."
			var descendants = getDescendants(frag);
			for (i = 0; i < descendants.length; i++) {
				if (descendants[i].nodeType == $_.Node.ELEMENT_NODE && $_(containedNodes).indexOf(descendants[i]) == -1) {
					descendants[i].removeAttribute("id");
				}
			}

			var fragChildren = [],
				fragChild = frag.firstChild;
			if (fragChild) {
				do {
					if (!isWhitespaceNode(fragChild)) {
						fragChildren.push(fragChild);
					}
				} while (null != (fragChild = fragChild.nextSibling));
			}

			// if newContainer is a li and frag contains only a list, we add a br in the li (but only if the height would not change)
			if (isNamedHtmlElement(newContainer, 'li') && fragChildren.length && isHtmlElementInArray(fragChildren[0], ["ul", "ol"])) {
				oldHeight = newContainer.offsetHeight;
				var endBr = createEndBreak();
				newContainer.appendChild(endBr);
				newHeight = newContainer.offsetHeight;
				if (oldHeight !== newHeight) {
					newContainer.removeChild(endBr);
				}
			}

			// "Call appendChild(frag) on new container."
			newContainer.appendChild(frag);

			// "If container has no visible children, call createElement("br") on
			// the context object, and append the result as the last child of
			// container."
			ensureContainerEditable(container);

			// "If new container has no visible children, call createElement("br")
			// on the context object, and append the result as the last child of
			// new container."
			ensureContainerEditable(newContainer);

			// "Call collapse(new container, 0) on the context object's Selection."
			Aloha.getSelection().collapse(newContainer, 0);
			range.setStart(newContainer, 0);
			range.setEnd(newContainer, 0);
		}
	};

	//@}
	///// The insertText command /////
	//@{
	commands.inserttext = {
		action: function (value, range) {
			var i;

			// "Delete the contents of the active range, with strip wrappers
			// false."
			deleteContents(range, {
				stripWrappers: false
			});

			// "If the active range's start node is neither editable nor an editing
			// host, abort these steps."
			if (!isEditable(range.startContainer) && !isEditingHost(range.startContainer)) {
				return;
			}

			// "If value's length is greater than one:"
			if (value.length > 1) {
				// "For each element el in value, take the action for the
				// insertText command, with value equal to el."
				for (i = 0; i < value.length; i++) {
					commands.inserttext.action(value[i], range);
				}

				// "Abort these steps."
				return;
			}

			// "If value is the empty string, abort these steps."
			if (value == "") {
				return;
			}

			// "If value is a newline (U+00A0), take the action for the
			// insertParagraph command and abort these steps."
			if (value == "\n") {
				commands.insertparagraph.action('', range);
				return;
			}

			// "Let node and offset be the active range's start node and offset."
			var node = range.startContainer;
			var offset = range.startOffset;

			// "If node has a child whose index is offset − 1, and that child is a
			// Text node, set node to that child, then set offset to node's
			// length."
			if (0 <= offset - 1 && offset - 1 < node.childNodes.length && node.childNodes[offset - 1].nodeType == $_.Node.TEXT_NODE) {
				node = node.childNodes[offset - 1];
				offset = getNodeLength(node);
			}

			// "If node has a child whose index is offset, and that child is a Text
			// node, set node to that child, then set offset to zero."
			if (0 <= offset && offset < node.childNodes.length && node.childNodes[offset].nodeType == $_.Node.TEXT_NODE) {
				node = node.childNodes[offset];
				offset = 0;
			}

			// "If value is a space (U+0020), and either node is an Element whose
			// resolved value for "white-space" is neither "pre" nor "pre-wrap" or
			// node is not an Element but its parent is an Element whose resolved
			// value for "white-space" is neither "pre" nor "pre-wrap", set value
			// to a non-breaking space (U+00A0)."
			var refElement = node.nodeType == $_.Node.ELEMENT_NODE ? node : node.parentNode;
			if (value == " " && refElement.nodeType == $_.Node.ELEMENT_NODE && jQuery.inArray($_.getComputedStyle(refElement).whiteSpace, ["pre", "pre-wrap"]) == -1) {
				value = "\xa0";
			}

			// "Record current overrides, and let overrides be the result."
			var overrides = recordCurrentOverrides(range);

			// "If node is a Text node:"
			if (node.nodeType == $_.Node.TEXT_NODE) {
				// "Call insertData(offset, value) on node."
				node.insertData(offset, value);

				// "Call collapse(node, offset) on the context object's Selection."
				Aloha.getSelection().collapse(node, offset);
				range.setStart(node, offset);

				// "Call extend(node, offset + 1) on the context object's
				// Selection."
				Aloha.getSelection().extend(node, offset + 1);
				range.setEnd(node, offset + 1);

				// "Otherwise:"
			} else {
				// "If node has only one child, which is a collapsed line break,
				// remove its child from it."
				//
				// FIXME: IE incorrectly returns false here instead of true
				// sometimes?
				if (node.childNodes.length == 1 && isCollapsedLineBreak(node.firstChild)) {
					node.removeChild(node.firstChild);
				}

				// "Let text be the result of calling createTextNode(value) on the
				// context object."
				var text = document.createTextNode(value);

				// "Call insertNode(text) on the active range."
				range.insertNode(text);

				// "Call collapse(text, 0) on the context object's Selection."
				Aloha.getSelection().collapse(text, 0);
				range.setStart(text, 0);

				// "Call extend(text, 1) on the context object's Selection."
				Aloha.getSelection().extend(text, 1);
				range.setEnd(text, 1);
			}

			// "Restore states and values from overrides."
			restoreStatesAndValues(overrides, range);

			// "Canonicalize whitespace at the active range's start."
			canonicalizeWhitespace(range.startContainer, range.startOffset);

			// "Canonicalize whitespace at the active range's end."
			canonicalizeWhitespace(range.endContainer, range.endOffset);

			// "Call collapseToEnd() on the context object's Selection."
			Aloha.getSelection().collapseToEnd();
			range.collapse(false);
		}
	};

	//@}
	///// The insertUnorderedList command /////
	//@{
	commands.insertunorderedlist = {
		// "Toggle lists with tag name "ul"."
		action: function (value, range) {
			toggleLists("ul", range);
		},
		// "True if the selection's list state is "mixed" or "mixed ul", false
		// otherwise."
		indeterm: function () {
			return (/^mixed( ul)?$/).test(getSelectionListState());
		},
		// "True if the selection's list state is "ul", false otherwise."
		state: function () {
			return getSelectionListState() == "ul";
		}
	};

	//@}
	///// The justifyCenter command /////
	//@{
	commands.justifycenter = {
		// "Justify the selection with alignment "center"."
		action: function (value, range) {
			justifySelection("center", range);
		},
		indeterm: function () {
			// "Block-extend the active range. Return true if among visible
			// editable nodes that are contained in the result and have no
			// children, at least one has alignment value "center" and at least one
			// does not. Otherwise return false."
			var nodes = getAllContainedNodes(blockExtend(getActiveRange()), function (node) {
				return isEditable(node) && isVisible(node) && !node.hasChildNodes();
			});
			return $_(nodes).some(function (node) { return getAlignmentValue(node) == "center"; })
				&& $_(nodes).some(function (node) { return getAlignmentValue(node) != "center"; });
		},
		state: function () {
			// "Block-extend the active range. Return true if there is at least one
			// visible editable node that is contained in the result and has no
			// children, and all such nodes have alignment value "center".
			// Otherwise return false."
			var nodes = getAllContainedNodes(blockExtend(getActiveRange()), function (node) {
				return isEditable(node) && isVisible(node) && !node.hasChildNodes();
			});
			return nodes.length && $_(nodes).every(function (node) {
				return getAlignmentValue(node) == "center";
			});
		},
		value: function () {
			// "Block-extend the active range, and return the alignment value of
			// the first visible editable node that is contained in the result and
			// has no children. If there is no such node, return "left"."
			var nodes = getAllContainedNodes(blockExtend(getActiveRange()), function (node) {
				return isEditable(node) && isVisible(node) && !node.hasChildNodes();
			});
			if (nodes.length) {
				return getAlignmentValue(nodes[0]);
			}
			return "left";
		}
	};

	//@}
	///// The justifyFull command /////
	//@{
	commands.justifyfull = {
		// "Justify the selection with alignment "justify"."
		action: function (value, range) {
			justifySelection("justify", range);
		},
		indeterm: function () {
			// "Block-extend the active range. Return true if among visible
			// editable nodes that are contained in the result and have no
			// children, at least one has alignment value "justify" and at least
			// one does not. Otherwise return false."
			var nodes = getAllContainedNodes(blockExtend(getActiveRange()), function (node) {
				return isEditable(node) && isVisible(node) && !node.hasChildNodes();
			});
			return $_(nodes).some(function (node) { return getAlignmentValue(node) == "justify"; })
				&& $_(nodes).some(function (node) { return getAlignmentValue(node) != "justify"; });
		},
		state: function () {
			// "Block-extend the active range. Return true if there is at least one
			// visible editable node that is contained in the result and has no
			// children, and all such nodes have alignment value "justify".
			// Otherwise return false."
			var nodes = getAllContainedNodes(blockExtend(getActiveRange()), function (node) {
				return isEditable(node) && isVisible(node) && !node.hasChildNodes();
			});
			return nodes.length && $_(nodes).every(function (node) {
				return getAlignmentValue(node) == "justify";
			});
		},
		value: function () {
			// "Block-extend the active range, and return the alignment value of
			// the first visible editable node that is contained in the result and
			// has no children. If there is no such node, return "left"."
			var nodes = getAllContainedNodes(blockExtend(getActiveRange()), function (node) {
				return isEditable(node) && isVisible(node) && !node.hasChildNodes();
			});
			if (nodes.length) {
				return getAlignmentValue(nodes[0]);
			}
			return "left";
		}
	};

	//@}
	///// The justifyLeft command /////
	//@{
	commands.justifyleft = {
		// "Justify the selection with alignment "left"."
		action: function (value, range) {
			justifySelection("left", range);
		},
		indeterm: function () {
			// "Block-extend the active range. Return true if among visible
			// editable nodes that are contained in the result and have no
			// children, at least one has alignment value "left" and at least one
			// does not. Otherwise return false."
			var nodes = getAllContainedNodes(blockExtend(getActiveRange()), function (node) {
				return isEditable(node) && isVisible(node) && !node.hasChildNodes();
			});
			return $_(nodes).some(function (node) { return getAlignmentValue(node) == "left"; })
				&& $_(nodes).some(function (node) { return getAlignmentValue(node) != "left"; });
		},
		state: function () {
			// "Block-extend the active range. Return true if there is at least one
			// visible editable node that is contained in the result and has no
			// children, and all such nodes have alignment value "left".  Otherwise
			// return false."
			var nodes = getAllContainedNodes(blockExtend(getActiveRange()), function (node) {
				return isEditable(node) && isVisible(node) && !node.hasChildNodes();
			});
			return nodes.length && $_(nodes).every(function (node) {
				return getAlignmentValue(node) == "left";
			});
		},
		value: function () {
			// "Block-extend the active range, and return the alignment value of
			// the first visible editable node that is contained in the result and
			// has no children. If there is no such node, return "left"."
			var nodes = getAllContainedNodes(blockExtend(getActiveRange()), function (node) {
				return isEditable(node) && isVisible(node) && !node.hasChildNodes();
			});
			if (nodes.length) {
				return getAlignmentValue(nodes[0]);
			}
			return "left";
		}
	};

	//@}
	///// The justifyRight command /////
	//@{
	commands.justifyright = {
		// "Justify the selection with alignment "right"."
		action: function (value, range) {
			justifySelection("right", range);
		},
		indeterm: function () {
			// "Block-extend the active range. Return true if among visible
			// editable nodes that are contained in the result and have no
			// children, at least one has alignment value "right" and at least one
			// does not. Otherwise return false."
			var nodes = getAllContainedNodes(blockExtend(getActiveRange()), function (node) {
				return isEditable(node) && isVisible(node) && !node.hasChildNodes();
			});
			return $_(nodes).some(function (node) { return getAlignmentValue(node) == "right"; })
				&& $_(nodes).some(function (node) { return getAlignmentValue(node) != "right"; });
		},
		state: function () {
			// "Block-extend the active range. Return true if there is at least one
			// visible editable node that is contained in the result and has no
			// children, and all such nodes have alignment value "right".
			// Otherwise return false."
			var nodes = getAllContainedNodes(blockExtend(getActiveRange()), function (node) {
				return isEditable(node) && isVisible(node) && !node.hasChildNodes();
			});
			return nodes.length && $_(nodes).every(function (node) {
				return getAlignmentValue(node) == "right";
			});
		},
		value: function () {
			// "Block-extend the active range, and return the alignment value of
			// the first visible editable node that is contained in the result and
			// has no children. If there is no such node, return "left"."
			var nodes = getAllContainedNodes(blockExtend(getActiveRange()), function (node) {
				return isEditable(node) && isVisible(node) && !node.hasChildNodes();
			});
			if (nodes.length) {
				return getAlignmentValue(nodes[0]);
			}
			return "left";
		}
	};

	//@}
	///// The outdent command /////
	//@{
	commands.outdent = {
		action: function () {
			// "Let items be a list of all lis that are ancestor containers of the
			// range's start and/or end node."
			//
			// It's annoying to get this in tree order using functional stuff
			// without doing getDescendants(document), which is slow, so I do it
			// imperatively.
			var items = [];
			(function () {
				var ancestorContainer;
				for (ancestorContainer = getActiveRange().endContainer;
					     ancestorContainer != getActiveRange().commonAncestorContainer;
					     ancestorContainer = ancestorContainer.parentNode) {
					if (isNamedHtmlElement(ancestorContainer, "li")) {
						items.unshift(ancestorContainer);
					}
				}
				for (ancestorContainer = getActiveRange().startContainer;
					     ancestorContainer;
					     ancestorContainer = ancestorContainer.parentNode) {
					if (isNamedHtmlElement(ancestorContainer, "li")) {
						items.unshift(ancestorContainer);
					}
				}
			}());

			// "For each item in items, normalize sublists of item."
			$_(items).forEach(function (thisArg) {
				normalizeSublists(thisArg, getActiveRange());
			});

			// "Block-extend the active range, and let new range be the result."
			var newRange = blockExtend(getActiveRange());

			// "Let node list be a list of nodes, initially empty."
			//
			// "For each node node contained in new range, append node to node list
			// if the last member of node list (if any) is not an ancestor of node;
			// node is editable; and either node has no editable descendants, or is
			// an ol or ul, or is an li whose parent is an ol or ul."
			var nodeList = getContainedNodes(newRange, function (node) {
				return isEditable(node) && (!$_(getDescendants(node)).some(isEditable) || isHtmlElementInArray(node, ["ol", "ul"]) || (isNamedHtmlElement(node, 'li') && isHtmlElementInArray(node.parentNode, ["ol", "ul"])));
			});

			// "While node list is not empty:"
			while (nodeList.length) {
				// "While the first member of node list is an ol or ul or is not
				// the child of an ol or ul, outdent it and remove it from node
				// list."
				while (nodeList.length && (isHtmlElementInArray(nodeList[0], ["OL", "UL"]) || !isHtmlElementInArray(nodeList[0].parentNode, ["OL", "UL"]))) {
					outdentNode(nodeList.shift(), newRange);
				}

				// "If node list is empty, break from these substeps."
				if (!nodeList.length) {
					break;
				}

				// "Let sublist be a list of nodes, initially empty."
				var sublist = [];

				// "Remove the first member of node list and append it to sublist."
				sublist.push(nodeList.shift());

				// "While the first member of node list is the nextSibling of the
				// last member of sublist, and the first member of node list is not
				// an ol or ul, remove the first member of node list and append it
				// to sublist."
				while (nodeList.length && nodeList[0] == sublist[sublist.length - 1].nextSibling && !isHtmlElementInArray(nodeList[0], ["OL", "UL"])) {
					sublist.push(nodeList.shift());
				}

				// "Record the values of sublist, and let values be the result."
				var values = recordValues(sublist);

				// "Split the parent of sublist, with new parent null."
				splitParent(sublist, newRange);

				// "Fix disallowed ancestors of each member of sublist."
				$_(sublist).forEach(fixDisallowedAncestors);

				// "Restore the values from values."
				restoreValues(values, newRange);
			}
		}
	};

	//@}

	//////////////////////////////////
	///// Miscellaneous commands /////
	//////////////////////////////////

	///// The selectAll command /////
	//@{
	commands.selectall = {
		// Note, this ignores the whole globalRange/getActiveRange() thing and
		// works with actual selections.  Not suitable for autoimplementation.html.
		action: function () {
			// "Let target be the body element of the context object."
			var target = document.body;

			// "If target is null, let target be the context object's
			// documentElement."
			if (!target) {
				target = document.documentElement;
			}

			// "If target is null, call getSelection() on the context object, and
			// call removeAllRanges() on the result."
			if (!target) {
				Aloha.getSelection().removeAllRanges();

				// "Otherwise, call getSelection() on the context object, and call
				// selectAllChildren(target) on the result."
			} else {
				Aloha.getSelection().selectAllChildren(target);
			}
		}
	};

	//@}
	///// The styleWithCSS command /////
	//@{
	commands.stylewithcss = {
		action: function (value) {
			// "If value is an ASCII case-insensitive match for the string
			// "false", set the CSS styling flag to false. Otherwise, set the
			// CSS styling flag to true."
			cssStylingFlag = String(value).toLowerCase() != "false";
		},
		state: function () {
			return cssStylingFlag;
		}
	};

	//@}
	///// The useCSS command /////
	//@{
	commands.usecss = {
		action: function (value) {
			// "If value is an ASCII case-insensitive match for the string "false",
			// set the CSS styling flag to true. Otherwise, set the CSS styling
			// flag to false."
			cssStylingFlag = String(value).toLowerCase() == "false";
		}
	};
	//@}

	// Some final setup
	//@{
	(function () {
		// Opera 11.50 doesn't implement Object.keys, so I have to make an explicit
		// temporary, which means I need an extra closure to not leak the temporaries
		// into the global namespace.  >:(
		var commandNames = [];
		var command;
		for (command in commands) {
			if (commands.hasOwnProperty(command)) {
				commandNames.push(command);
			}
		}
		$_(commandNames).forEach(function (command) {
			// "If a command does not have a relevant CSS property specified, it
			// defaults to null."
			if (null == commands[command].relevantCssProperty) {
				commands[command].relevantCssProperty = null;
			}

			// "If a command has inline command activated values defined but
			// nothing else defines when it is indeterminate, it is indeterminate
			// if among editable Text nodes effectively contained in the active
			// range, there is at least one whose effective command value is one of
			// the given values and at least one whose effective command value is
			// not one of the given values."
			if (null != commands[command].inlineCommandActivatedValues && null == commands[command].indeterm) {
				commands[command].indeterm = function (range) {
					var values = $_(getAllEffectivelyContainedNodes(range, function (node) { return isEditable(node) && node.nodeType == $_.Node.TEXT_NODE; }))
						.map(function (node) { return getEffectiveCommandValue(node, command); });

					var matchingValues = $_(values).filter(function (value) {
						return $_(commands[command].inlineCommandActivatedValues).indexOf(value) != -1;
					});

					return matchingValues.length >= 1 && values.length - matchingValues.length >= 1;
				};
			}

			// "If a command has inline command activated values defined, its state
			// is true if either no editable Text node is effectively contained in
			// the active range, and the active range's start node's effective
			// command value is one of the given values; or if there is at least
			// one editable Text node effectively contained in the active range,
			// and all of them have an effective command value equal to one of the
			// given values."
			if (null != commands[command].inlineCommandActivatedValues) {
				commands[command].state = function (range) {
					var nodes = getAllEffectivelyContainedNodes(range, function (node) {
						return isEditable(node) && node.nodeType == $_.Node.TEXT_NODE;
					});

					if (nodes.length == 0) {
						return $_(commands[command].inlineCommandActivatedValues).indexOf(getEffectiveCommandValue(range.startContainer, command)) != -1;
					}
					return $_(nodes).every(function (node) {
						return $_(commands[command].inlineCommandActivatedValues).indexOf(getEffectiveCommandValue(node, command)) != -1;
					});
				};
			}

			// "If a command is a standard inline value command, it is
			// indeterminate if among editable Text nodes that are effectively
			// contained in the active range, there are two that have distinct
			// effective command values. Its value is the effective command value
			// of the first editable Text node that is effectively contained in the
			// active range, or if there is no such node, the effective command
			// value of the active range's start node."
			if (null != commands[command].standardInlineValueCommand) {
				commands[command].indeterm = function () {
					var values = $_(getAllEffectivelyContainedNodes(getActiveRange())).filter(function (node) { return isEditable(node) && node.nodeType == $_.Node.TEXT_NODE; }, true)
						.map(function (node) { return getEffectiveCommandValue(node, command); });
					var i;
					for (i = 1; i < values.length; i++) {
						if (values[i] != values[i - 1]) {
							return true;
						}
					}
					return false;
				};

				commands[command].value = function (range) {
					var refNode = getAllEffectivelyContainedNodes(range, function (node) {
						return isEditable(node) && node.nodeType == $_.Node.TEXT_NODE;
					})[0];

					if (typeof refNode == "undefined") {
						refNode = range.startContainer;
					}

					return getEffectiveCommandValue(refNode, command);
				};
			}
		});
	}());
	//@}
	return {
		commands: commands,
		execCommand: myExecCommand,
		queryCommandIndeterm: myQueryCommandIndeterm,
		queryCommandState: myQueryCommandState,
		queryCommandValue: myQueryCommandValue,
		queryCommandEnabled: myQueryCommandEnabled,
		queryCommandSupported: myQueryCommandSupported,
		copyAttributes: copyAttributes,
		createEndBreak: createEndBreak,
		isEndBreak: isEndBreak,
		ensureContainerEditable: ensureContainerEditable,
		isEditingHost: isEditingHost,
		isEditable: isEditable,
		getStateOverride: getStateOverride,
		setStateOverride: setStateOverride,
		resetOverrides: resetOverrides,
		unsetStateOverride: unsetStateOverride
	};
}); // end define
// vim: foldmarker=@{,@} foldmethod=marker
;
/* selection.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('aloha/selection',[
	'aloha/core',
	'jquery',
	'util/class',
	'util/range',
	'util/arrays',
	'util/strings',
	'util/dom',
	'util/dom2',
	'util/browser',
	'util/html',
	'aloha/console',
	'PubSub',
	'aloha/engine',
	'aloha/ecma5shims',
	'aloha/rangy-core'
], function (
	Aloha,
	jQuery,
	Class,
	Range,
	Arrays,
	Strings,
	Dom,
	Dom2,
	Browser,
	Html,
	console,
	PubSub,
	Engine,
	e5s
) {
	"use strict";

	var GENTICS = window.GENTICS;

	function isCollapsedAndEmptyOrEndBr(rangeObject) {
		var firstChild;
		if (rangeObject.startContainer !== rangeObject.endContainer) {
			return false;
		}
		// check whether the container starts in an element node
		if (rangeObject.startContainer.nodeType != 1) {
			return false;
		}
		firstChild = rangeObject.startContainer.firstChild;
		return (!firstChild || (!firstChild.nextSibling && firstChild.nodeName == 'BR'));
	}

	function isCollapsedAndEndBr(rangeObject) {
		if (rangeObject.startContainer !== rangeObject.endContainer) {
			return false;
		}
		if (rangeObject.startContainer.nodeType != 1) {
			return false;
		}
		return Engine.isEndBreak(rangeObject.startContainer);
	}

	var prevStartContext = null;
	var prevEndContext = null;

	function makeContextHtml(node, parents) {
		var result = [],
			parent,
			len,
			i;
		if (1 === node.nodeType && node.nodeName !== 'BODY' && node.nodeName !== 'HTML') {
			result.push(node.cloneNode(false).outerHTML);
		} else {
			result.push('#' + node.nodeType);
		}
		for (i = 0, len = parents.length; i < len; i++) {
			parent = parents[i];
			if (parent.nodeName === 'BODY' || parent.nodeName === 'HTML') {
				// Although we limit the ancestors in most cases to the
				// active editable, in some cases (copy&paste) the
				// parent may be outside.
				// On IE7 this means the following code may clone the
				// HTML node too, which causes the browser to crash.
				// On other browsers, this is just an optimization
				// because the body and html elements should probably
				// not be considered part of the context of an edit
				// operation.
				break;
			}
			result.push(parent.cloneNode(false).outerHTML);
		}
		return result.join('');
	}

	function getChangedContext(node, context) {
		var until = Aloha.activeEditable ? Aloha.activeEditable.obj.parent()[0] : null;
		var parents = jQuery(node).parentsUntil(until).get();
		var html = makeContextHtml(node, parents);
		var equal = (context && node === context.node && Arrays.equal(context.parents, parents) && html === context.html);
		return equal ? null : {
			node: node,
			parents: parents,
			html: html
		};
	}

	function triggerSelectionContextChanged(rangeObject, event) {
		var startContainer = rangeObject.startContainer;
		var endContainer = rangeObject.endContainer;
		if (!startContainer || !endContainer) {
			console.warn("aloha/selection", "encountered range object without start or end container");
			return;
		}
		var startContext = getChangedContext(startContainer, prevStartContext);
		var endContext = getChangedContext(endContainer, prevEndContext);
		if (!startContext && !endContext) {
			return;
		}
		prevStartContext = startContext;
		prevEndContext = endContext;

		/**
		 * @api documented in the guides
		 */
		PubSub.pub('aloha.selection.context-change', {
			range: rangeObject,
			event: event
		});
	}

	/**
	 * Checks if `range` is contained inside an Aloha-Block
	 * @param {Range} range
	 * @return {*}
	 */
	function rangeStartInBlock(range) {
		return jQuery(range.startContainer).closest('.aloha-editable,.aloha-block,.aloha-table-cell-editable,.aloha-table-cell_active')
		                   .first()
			               .hasClass('aloha-block');
	}

	/**
	 * Gets parent block element
	 *
	 * @param {Element} element
	 * @return {*}
	 */
	function getBlockElement(element) {
		while (element && !Html.isBlock(element)) {
			element = element.parentNode;
		}
		return element;
	}

	/**
	 * Checks if `rangeObject` ends at the beginning of a text Node.
	 *
	 * @param {RangeObject} rangeObject
	 * @return {boolean}
	 */
	function isEndContainerAtBeginTexNode(rangeObject) {
		var endContainer = rangeObject.endContainer;
		var endOffset = rangeObject.endOffset;
		var i;

		if (!Dom2.isTextNode(endContainer)) {
			return false;
		}

		for (i = endOffset - 1; i >= 0; i--) {
			if (jQuery.trim(endContainer.textContent[i]).length !== 0) {
				return false;
			}
		}

		return true;
	}

	/**
	 * Checks if ranges ends in the beginning of a block element.
	 *
	 * @param {RangeObejct} rangeObejct
	 * @return {boolean}
	 */
	function rangeEndsInBeginningBlockElement(rangeObejct) {
		var endContainer = rangeObejct.endContainer;
		var node = endContainer;

		var blockElement = getBlockElement(rangeObejct.endContainer);

		if (!isEndContainerAtBeginTexNode(rangeObejct)) {
			return false;
		}

		node = node.previousSibling || node.parentNode;

		while (node !== blockElement) {
			if (node.previousSibling) {
				node = node.previousSibling;
				if (Html.isRenderedNode(node)) {
					return false;
				}
			} else {
				node = node.parentNode;
			}
		}

		return node === blockElement;
	}

	/**
	 * Sets the end of `range` before `element`.
	 * @param {Range} range
	 * @param {Element} element
	 */
	function setEndRangeBeforeElement(range, element) {
		range.setEndBefore(element);

		Aloha.getSelection().removeAllRanges();
		Aloha.getSelection().addRange(range);
	}

	/**
	 * Corrects the range if the range is expanded and it ends in the beginning of a
	 * block element.
	 *
	 * @param {RangeObject} rangeObject
	 */
	function correctFirefoxRangeIssue(rangeObject) {
		if (!rangeObject.isCollapsed() && rangeEndsInBeginningBlockElement(rangeObject)) {
			var blockElement = getBlockElement(rangeObject.endContainer);
			var range = Aloha.getSelection().getRangeAt(0);

			setEndRangeBeforeElement(range, blockElement);
		}
	}

	/**
	 * @namespace Aloha
	 * @class Selection
	 * This singleton class always represents the current user selection
	 * @singleton
	 */
	var Selection = Class.extend({
		_constructor: function () {
			// Pseudo Range Clone being cleaned up for better HTML wrapping support
			this.rangeObject = {};

			this.preventSelectionChangedFlag = false; // will remember if someone urged us to skip the next aloha-selection-changed event

			this.correctSelectionFlag = false; // this is true, when the current selection is corrected (to prevent endless loops)

			// define basics first
			this.tagHierarchy = {
				'textNode': {},
				'abbr': {
					'textNode': true
				},
				'b': {
					'textNode': true,
					'b': true,
					'i': true,
					'em': true,
					'sup': true,
					'sub': true,
					'br': true,
					'span': true,
					'img': true,
					'a': true,
					'del': true,
					'ins': true,
					'u': true,
					'cite': true,
					'q': true,
					'code': true,
					'abbr': true,
					'strong': true
				},
				'pre': {
					'textNode': true,
					'b': true,
					'i': true,
					'em': true,
					'sup': true,
					'sub': true,
					'br': true,
					'span': true,
					'img': true,
					'a': true,
					'del': true,
					'ins': true,
					'u': true,
					'cite': true,
					'q': true,
					'code': true,
					'abbr': true
				},
				'blockquote': {
					'textNode': true,
					'b': true,
					'i': true,
					'em': true,
					'sup': true,
					'sub': true,
					'br': true,
					'span': true,
					'img': true,
					'a': true,
					'del': true,
					'ins': true,
					'u': true,
					'cite': true,
					'q': true,
					'code': true,
					'abbr': true,
					'p': true,
					'h1': true,
					'h2': true,
					'h3': true,
					'h4': true,
					'h5': true,
					'h6': true
				},
				'ins': {
					'textNode': true,
					'b': true,
					'i': true,
					'em': true,
					'sup': true,
					'sub': true,
					'br': true,
					'span': true,
					'img': true,
					'a': true,
					'u': true,
					'p': true,
					'h1': true,
					'h2': true,
					'h3': true,
					'h4': true,
					'h5': true,
					'h6': true
				},
				'ul': {
					'li': true
				},
				'ol': {
					'li': true
				},
				'dl': {
					'dt': true,
					'dd': true
				},
				'dt': {
					'textNode': true
				},
				'dd': {
					'textNode': true,
					'b': true,
					'i': true,
					'em': true,
					'sup': true,
					'sub': true,
					'br': true,
					'span': true,
					'img': true,
					'ul': true,
					'ol': true,
					'dt': true,
					'table': true,
					'h1': true,
					'h2': true,
					'h3': true,
					'h4': true,
					'h5': true,
					'h6': true,
					'del': true,
					'ins': true,
					'u': true,
					'p': true,
					'div': true,
					'pre': true,
					'blockquote': true,
					'a': true
				},
				'li': {
					'textNode': true,
					'b': true,
					'i': true,
					'em': true,
					'sup': true,
					'sub': true,
					'br': true,
					'span': true,
					'img': true,
					'ul': true,
					'ol': true,
					'del': true,
					'ins': true,
					'u': true,
					'a': true
				},
				'tr': {
					'td': true,
					'th': true
				},
				'table': {
					'tr': true
				},
				'div': {
					'textNode': true,
					'b': true,
					'i': true,
					'em': true,
					'sup': true,
					'sub': true,
					'br': true,
					'span': true,
					'img': true,
					'ul': true,
					'ol': true,
					'dt': true,
					'table': true,
					'h1': true,
					'h2': true,
					'h3': true,
					'h4': true,
					'h5': true,
					'h6': true,
					'del': true,
					'ins': true,
					'u': true,
					'p': true,
					'div': true,
					'pre': true,
					'blockquote': true,
					'a': true
				},
				'h1': {
					'textNode': true,
					'b': true,
					'i': true,
					'em': true,
					'sup': true,
					'sub': true,
					'br': true,
					'span': true,
					'img': true,
					'a': true,
					'del': true,
					'ins': true,
					'u': true
				}
			};

			// now reference the basics for all other equal tags (important: don't forget to include
			// the basics itself as reference: 'b' : this.tagHierarchy.b
			this.tagHierarchy = {
				'textNode': this.tagHierarchy.textNode,
				'abbr': this.tagHierarchy.abbr,
				'br': this.tagHierarchy.textNode,
				'img': this.tagHierarchy.textNode,
				'b': this.tagHierarchy.b,
				'strong': this.tagHierarchy.b,
				'code': this.tagHierarchy.b,
				'q': this.tagHierarchy.b,
				'blockquote': this.tagHierarchy.blockquote,
				'cite': this.tagHierarchy.b,
				'i': this.tagHierarchy.b,
				'em': this.tagHierarchy.b,
				'sup': this.tagHierarchy.b,
				'sub': this.tagHierarchy.b,
				'span': this.tagHierarchy.b,
				'del': this.tagHierarchy.del,
				'ins': this.tagHierarchy.ins,
				'u': this.tagHierarchy.b,
				'p': this.tagHierarchy.b,
				'pre': this.tagHierarchy.pre,
				'a': this.tagHierarchy.b,
				'ul': this.tagHierarchy.ul,
				'ol': this.tagHierarchy.ol,
				'dl': this.tagHierarchy.dl,
				'li': this.tagHierarchy.li,
				'div': this.tagHierarchy.div,
				'h1': this.tagHierarchy.h1,
				'h2': this.tagHierarchy.h1,
				'h3': this.tagHierarchy.h1,
				'h4': this.tagHierarchy.h1,
				'h5': this.tagHierarchy.h1,
				'h6': this.tagHierarchy.h1,
				// for tables (and all related tags) we set the hierarchy to div
				// this enables to add anything into tables. We also need to set this
				// for tr, td and th, because the check in canTag1WrapTag2 does not check
				// transitively
				'table': this.tagHierarchy.div,
				'tr': this.tagHierarchy.div,
				'th': this.tagHierarchy.div,
				'td': this.tagHierarchy.div
			};

			// When applying this elements to selection they will replace the assigned elements
			this.replacingElements = {
				'h1': {
					'p': true,
					'h1': true,
					'h2': true,
					'h3': true,
					'h4': true,
					'h5': true,
					'h6': true,
					'pre': true,
					'blockquote': true
				}
			};
			this.replacingElements = {
				'h1': this.replacingElements.h1,
				'h2': this.replacingElements.h1,
				'h3': this.replacingElements.h1,
				'h4': this.replacingElements.h1,
				'h5': this.replacingElements.h1,
				'h6': this.replacingElements.h1,
				'pre': this.replacingElements.h1,
				'p': this.replacingElements.h1,
				'blockquote': this.replacingElements.h1
			};
			this.allowedToStealElements = {
				'h1': {
					'textNode': true
				}
			};
			this.allowedToStealElements = {
				'h1': this.allowedToStealElements.h1,
				'h2': this.allowedToStealElements.h1,
				'h3': this.allowedToStealElements.h1,
				'h4': this.allowedToStealElements.h1,
				'h5': this.allowedToStealElements.h1,
				'h6': this.allowedToStealElements.h1,
				'p': this.tagHierarchy.b
			};
		},

		/**
		 * Class definition of a SelectionTree (relevant for all formatting / markup changes)
		 * TODO: remove this (was moved to range.js)
		 * Structure:
		 * +
		 * |-domobj: <reference to the DOM Object> (NOT jQuery)
		 * |-selection: defines if this node is marked by user [none|partial|full]
		 * |-children: recursive structure like this
		 * @hide
		 */
		SelectionTree: function () {
			this.domobj = {};
			this.selection = undefined;
			this.children = [];
		},

		/**
		 * INFO: Method is used for integration with Gentics Aloha, has no use otherwise
		 * Updates the rangeObject according to the current user selection
		 * Method is always called on selection change
		 * @param objectClicked Object that triggered the selectionChange event
		 * @return true when rangeObject was modified, false otherwise
		 * @hide
		 */
		onChange: function (objectClicked, event, timeout, editableChanged) {
			if (this.updateSelectionTimeout) {
				window.clearTimeout(this.updateSelectionTimeout);
			}

			// We get no valid selection from IE it the event target was
			// a text input element, so the following setTimeout() approach
			// would never terminate. We let the browser handle all events
			// in such elements, but we still have to make sure the
			// editable containing the event target is active.
			if (event && (event.target.nodeName === 'INPUT' || event.target.nodeName === 'TEXTAREA')) {
				var editable = Aloha.getEditableHost(objectClicked);

				if (editable && Aloha.activeEditable !== editable) {
					editable.activate();
				}

				return;
			}

			// We have to update the selection in a timeout due to an IE
			// bug that is is caused by selecting some text and then
			// clicking once inside the selection (which collapses the
			// selection inside the previous selection).
			var selection = this;
			this.updateSelectionTimeout = window.setTimeout(function () {
				var range = new Aloha.Selection.SelectionRange(true);
				// We have to work around an IE bug that causes the user
				// selection to be incorrectly set on the body element
				// when the updateSelectionTimeout triggers. The
				// selection corrects itself after waiting a while.
				if (!range.startContainer || 'HTML' === range.startContainer.nodeName || 'BODY' === range.startContainer.nodeName) {
					if (!this.updateSelectionTimeout) {
						// First wait 5 millis, then 20 millis, 50 millis, 110 millis etc.
						selection.onChange(objectClicked, event, 10 + (timeout || 5) * 2);
					}
					return;
				} else {
					// activate the editable host of the selection
					var editable = Aloha.getEditableHost(jQuery(range.startContainer));
					if (editable) {
						editable.activate();
					}

					// And yet another IE workaround. Somehow the caret is not
					// positioned inside the clicked editable. This occures only
					// when switching editables in IE. In those cases the caret is
					// invisible. I tried to trace the origin of the issue but i
					// could not find the place where the caret is mispositioned.
					// I noticed that IE is sometimes adding drag handles to
					// editables. Aloha is removing those handles.
					// If those handles are visible it apears that two clicks are needed
					// to activate the editable. The first click is to select the
					// editable and the second to enable it and activeate it. I added a
					// range select call that will cirumvent this issue by resetting
					// the selection. I also checked the range object. In all cases
					// i found the range object contained correct properties. The
					// workaround will only be applied for IE.
					if (Aloha.browser.msie && editableChanged) {
						range.select();
					}
				}
				Aloha.Selection._updateSelection(event, range);
			}, timeout || 5);
		},

		/**
		 * prevents the next aloha-selection-changed event from being triggered
		 */
		preventSelectionChanged: function () {
			this.preventSelectionChangedFlag = true;
		},

		/**
		 * will return wheter selection change event was prevented or not, and reset the preventSelectionChangedFlag
		 * @return {Boolean} true if aloha-selection-change event was prevented
		 */
		isSelectionChangedPrevented: function () {
			var prevented = this.preventSelectionChangedFlag;
			this.preventSelectionChangedFlag = false;
			return prevented;
		},

		/**
		 * Checks if the current rangeObject common ancector container is edtiable
		 * @return {Boolean} true if current common ancestor is editable
		 */
		isSelectionEditable: function () {
			return (this.rangeObject.commonAncestorContainer && jQuery(this.rangeObject.commonAncestorContainer).contentEditable());
		},

		/**
		 * This method checks, if the current rangeObject common ancestor container has a 'data-aloha-floatingmenu-visible' Attribute.
		 * Needed in Floating Menu for exceptional display of floatingmenu.
		 */
		isFloatingMenuVisible: function () {
			var visible = jQuery(Aloha.Selection.rangeObject.commonAncestorContainer).attr('data-aloha-floatingmenu-visible');
			if (visible !== 'undefined') {
				if (visible === 'true') {
					return true;
				}
				return false;
			}
			return false;
		},

		/**
		 * INFO: Method is used for integration with Gentics Aloha, has no use otherwise
		 * Updates the rangeObject according to the current user selection
		 * Method is always called on selection change
		 * @param event jQuery browser event object
		 * @return true when rangeObject was modified, false otherwise
		 * @hide
		 */
		updateSelection: function (event) {
			return this._updateSelection(event, null);
		},

		/**
		 * Internal version of updateSelection that adds the range parameter to be
		 * able to work around an IE bug that caused the current user selection
		 * sometimes to be on the body element.
		 * @param {Object} event
		 * @param {Object} range a substitute for the current user selection. if not provided,
		 *   the current user selection will be used.
		 * @hide
		 */
		_updateSelection: function (event, range) {
			if (event) {
				if (event.target.nodeName === 'INPUT' || event.target.nodeName === 'TEXTAREA'
						|| (event.originalEvent && true === event.originalEvent.stopSelectionUpdate)) {
					return false;
				}
			}

			if (typeof range === 'undefined') {
				return false;
			}

			this.rangeObject = range =
					range || new Aloha.Selection.SelectionRange(true);

			// workaround for FF selection bug, where it is possible to move the selection INTO a hr
			if (range && range.startContainer
					&& 'HR' === range.startContainer.nodeName
					&& range.endContainer
					&& 'HR' === range.endContainer.nodeName) {
				Aloha.getSelection().removeAllRanges();
				return true;
			}

			// Determine the common ancestor container and update the selection
			// tree.
			range.update();

			// Workaround for nasty IE bug that allows the user to select
			// text nodes inside areas with contenteditable "false"
			if (range && range.startContainer && range.endContainer && !this.correctSelectionFlag) {
				var inEditable =
						jQuery(range.commonAncestorContainer)
							.closest('.aloha-editable').length > 0;

				// we only will move the selection out of the non-editable area (in an editable)
				// if the range is collapsed (blinking cursor)
				if (inEditable && range.isCollapsed()) {
					var validStartPosition = this._validEditablePosition(range.startContainer);
					var validEndPosition = this._validEditablePosition(range.endContainer);
					var newPos;
					// when we are moving down (with the cursor down key), we want to position the
					// cursor AFTER the non-editable area
					// otherwise BEFORE the non-editable area
					var movingDown = event && (event.keyCode === 40 || event.keyCode === 39);

					if (!validStartPosition) {
						newPos = this._getNearestEditablePosition(range.startContainer, movingDown);
						if (newPos) {
							range.startContainer = newPos.container;
							range.startOffset = newPos.offset;
						}
					}
					if (!validEndPosition) {
						newPos = this._getNearestEditablePosition(range.endContainer, movingDown);
						if (newPos) {
							range.endContainer = newPos.container;
							range.endOffset = newPos.offset;
						}
					}
					if (!validStartPosition || !validEndPosition) {
						this.correctSelectionFlag = true;
						range.correctRange();
						range.select();
					}
				}
			}
			this.correctSelectionFlag = false;

			// check if aloha-selection-changed event has been prevented
			if (this.isSelectionChangedPrevented()) {
				return true;
			}

			Aloha.trigger('aloha-selection-changed-before', [this.rangeObject, event]);

			// throw the event that the selection has changed. Plugins now have the
			// chance to react on the currentElements[childCount].children.lengthged selection
			Aloha.trigger('aloha-selection-changed', [this.rangeObject, event]);

			triggerSelectionContextChanged(this.rangeObject, event);

			Aloha.trigger('aloha-selection-changed-after', [this.rangeObject, event]);

			// At least Mozilla still has the focus on the href input field.
			var editable = jQuery(this.rangeObject.startContainer).closest('.aloha-editable,.aloha-table-cell-editable');

			if (editable.length > 0 && Aloha.browser.mozilla && document.activeElement !== editable[0]) {
				editable.focus();
			}

			return true;
		},

		/**
		 * Check whether a position with the given node as container is a valid editable position
		 * @param {DOMObject} node DOM node
		 * @return true if the position is editable, false if not
		 */
		_validEditablePosition: function (node) {
			if (!node) {
				return false;
			}
			switch (node.nodeType) {
			case 1:
				return jQuery(node).contentEditable();
			case 3:
				return jQuery(node.parentNode).contentEditable();
			default:
				return false;
			}
		},

		/**
		 * Starting with the given node (which is supposed to be not editable)
		 * find the nearest editable position
		 * 
		 * @param {DOMObject} node DOM node
		 * @param {Boolean} forward true for searching forward, false for searching backward
		 */
		_getNearestEditablePosition: function (node, forward) {
			var current = node;
			var parent = current.parentNode;
			while (parent !== null && !jQuery(parent).contentEditable()) {
				current = parent;
				parent = parent.parentNode;
			}
			if (current === null) {
				return false;
			}
			if (forward) {
				// check whether the element after the non editable element is editable and a blocklevel element
				if (Dom.isBlockLevelElement(current.nextSibling) && jQuery(current.nextSibling).contentEditable()) {
					return {
						container: current.nextSibling,
						offset: 0
					};
				} else {
					return {
						container: parent,
						offset: Dom.getIndexInParent(current) + 1
					};
				}
			} else {
				// check whether the element before the non editable element is editable and a blocklevel element
				if (Dom.isBlockLevelElement(current.previousSibling) && jQuery(current.previousSibling).contentEditable()) {
					return {
						container: current.previousSibling,
						offset: current.previousSibling.childNodes.length
					};
				} else {
					return {
						container: parent,
						offset: Dom.getIndexInParent(current)
					};
				}
			}
		},

		/**
		 * creates an object with x items containing all relevant dom objects.
		 * Structure:
		 * +
		 * |-domobj: <reference to the DOM Object> (NOT jQuery)
		 * |-selection: defines if this node is marked by user [none|partial|full]
		 * |-children: recursive structure like this ("x.." because it's then shown last in DOM Browsers...)
		 * TODO: remove this (was moved to range.js)
		 *
		 * @param rangeObject "Aloha clean" range object including a commonAncestorContainer
		 * @return obj selection
		 * @hide
		 */
		getSelectionTree: function (rangeObject) {
			if (!rangeObject) { // if called without any parameters, the method acts as getter for this.selectionTree
				return this.rangeObject.getSelectionTree();
			}
			if (!rangeObject.commonAncestorContainer) {
				Aloha.Log.error(this, 'the rangeObject is missing the commonAncestorContainer');
				return false;
			}

			this.inselection = false;

			// before getting the selection tree, we do a cleanup
			if (GENTICS.Utils.Dom.doCleanup({ 'merge': true }, rangeObject)) {
				rangeObject.update();
				rangeObject.select();
			}

			return this.recursiveGetSelectionTree(rangeObject, rangeObject.commonAncestorContainer);
		},

		/**
		 * Recursive inner function for generating the selection tree.
		 * TODO: remove this (was moved to range.js)
		 * @param rangeObject range object
		 * @param currentObject current DOM object for which the selection tree shall be generated
		 * @return array of SelectionTree objects for the children of the current DOM object
		 * @hide
		 */
		recursiveGetSelectionTree: function (rangeObject, currentObject) {
			// get all direct children of the given object
			var jQueryCurrentObject = jQuery(currentObject),
				childCount = 0,
				that = this,
				currentElements = [];

			jQueryCurrentObject.contents().each(function (index) {
				var selectionType = 'none',
					startOffset = false,
					endOffset = false,
					collapsedFound = false,
					i,
				    elementsLength,
					noneFound = false,
					partialFound = false,
					fullFound = false;

				// check for collapsed selections between nodes
				if (rangeObject.isCollapsed() && currentObject === rangeObject.startContainer && rangeObject.startOffset == index) {
					// insert an extra selectiontree object for the collapsed selection here
					currentElements[childCount] = new Aloha.Selection.SelectionTree();
					currentElements[childCount].selection = 'collapsed';
					currentElements[childCount].domobj = undefined;
					that.inselection = false;
					collapsedFound = true;
					childCount++;
				}

				if (!that.inselection && !collapsedFound) {
					// the start of the selection was not yet found, so look for it now
					// check whether the start of the selection is found here

					// Try to read the nodeType property and return if we do not have permission
					// ie.: frame document to an external URL
					var nodeType;
					try {
						nodeType = this.nodeType;
					} catch (e) {
						return;
					}

					// stop on iframes
					if (this.nodeName === 'IFRAME') {
						return;
					}

					// check is dependent on the node type
					switch (nodeType) {
					case 3:
						// text node
						if (this === rangeObject.startContainer) {
							// the selection starts here
							that.inselection = true;

							// when the startoffset is > 0, the selection type is only partial
							selectionType = rangeObject.startOffset > 0 ? 'partial' : 'full';
							startOffset = rangeObject.startOffset;
							endOffset = this.length;
						}
						break;
					case 1:
						// element node
						if (this === rangeObject.startContainer && rangeObject.startOffset === 0) {
							// the selection starts here
							that.inselection = true;
							selectionType = 'full';
						}
						if (currentObject === rangeObject.startContainer && rangeObject.startOffset === index) {
							// the selection starts here
							that.inselection = true;
							selectionType = 'full';
						}
						break;
					}
				}

				if (that.inselection && !collapsedFound) {
					if (selectionType == 'none') {
						selectionType = 'full';
					}
					// we already found the start of the selection, so look for the end of the selection now
					// check whether the end of the selection is found here

					switch (this.nodeType) {
					case 3:
						// text node
						if (this === rangeObject.endContainer) {
							// the selection ends here
							that.inselection = false;

							// check for partial selection here
							if (rangeObject.endOffset < this.length) {
								selectionType = 'partial';
							}
							if (startOffset === false) {
								startOffset = 0;
							}
							endOffset = rangeObject.endOffset;
						}
						break;
					case 1:
						// element node
						if (this === rangeObject.endContainer && rangeObject.endOffset === 0) {
							that.inselection = false;
						}
						break;
					}
					if (currentObject === rangeObject.endContainer && rangeObject.endOffset <= index) {
						that.inselection = false;
						selectionType = 'none';
					}
				}

				// create the current selection tree entry
				currentElements[childCount] = new Aloha.Selection.SelectionTree();
				currentElements[childCount].domobj = this;
				currentElements[childCount].selection = selectionType;
				if (selectionType == 'partial') {
					currentElements[childCount].startOffset = startOffset;
					currentElements[childCount].endOffset = endOffset;
				}

				// now do the recursion step into the current object
				currentElements[childCount].children = that.recursiveGetSelectionTree(rangeObject, this);
				elementsLength = currentElements[childCount].children.length;

				// check whether a selection was found within the children
				if (elementsLength > 0) {
					for (i = 0; i < elementsLength; ++i) {
						switch (currentElements[childCount].children[i].selection) {
						case 'none':
							noneFound = true;
							break;
						case 'full':
							fullFound = true;
							break;
						case 'partial':
							partialFound = true;
							break;
						}
					}

					if (partialFound || (fullFound && noneFound)) {
						// found at least one 'partial' selection in the children, or both 'full' and 'none', so this element is also 'partial' selected
						currentElements[childCount].selection = 'partial';
					} else if (fullFound && !partialFound && !noneFound) {
						// only found 'full' selected children, so this element is also 'full' selected
						currentElements[childCount].selection = 'full';
					}
				}

				// when the selection ends in this node, we leave the selection now
				if (rangeObject.endContainer === this) {
					that.inselection = false;
				}
				childCount++;
			});

			// extra check for collapsed selections at the end of the current element
			if (rangeObject.isCollapsed() && currentObject === rangeObject.startContainer && rangeObject.startOffset == currentObject.childNodes.length) {
				currentElements[childCount] = new Aloha.Selection.SelectionTree();
				currentElements[childCount].selection = 'collapsed';
				currentElements[childCount].domobj = undefined;
			}

			return currentElements;
		},

		/**
		 * Get the currently selected range
		 * @return {Aloha.Selection.SelectionRange} currently selected range
		 * @method
		 */
		getRangeObject: function () {
			return this.rangeObject;
		},

		/**
		 * method finds out, if a node is within a certain markup or not
		 * @param rangeObj Aloha rangeObject
		 * @param startOrEnd boolean; defines, if start or endContainer should be used: false for start, true for end
		 * @param markupObject jQuery object of the markup to look for
		 * @param tagComparator method, which is used to compare the dom object and the jQuery markup object. the method must accept 2 parameters, the first is the domobj, the second is the jquery object. if no method is specified, the method this.standardTextLevelSemanticsComparator is used
		 * @param limitObject dom object which limits the search are within the dom. normally this will be the active Editable
		 * @return true, if the markup is effective on the range objects start or end node
		 * @hide
		 */
		isRangeObjectWithinMarkup: function (rangeObject, startOrEnd, markupObject, tagComparator, limitObject) {
			var domObj = !startOrEnd ? rangeObject.startContainer : rangeObject.endContainer,
				that = this,
				parents = jQuery(domObj).parents(),
				returnVal = false,
				i = -1;

			// check if a comparison method was passed as parameter ...
			if (typeof tagComparator !== 'undefined' && typeof tagComparator !== 'function') {
				Aloha.Log.error(this, 'parameter tagComparator is not a function');
			}
			// ... if not use this as standard tag comparison method
			if (typeof tagComparator === 'undefined') {
				tagComparator = function (domobj, markupObject) {
					return that.standardTextLevelSemanticsComparator(domobj, markupObject); // TODO should actually be this.getStandardTagComparator(markupObject)
				};
			}

			if (parents.length > 0) {
				parents.each(function () {
					// the limit object was reached (normally the Editable Element)
					if (this === limitObject) {
						Aloha.Log.debug(that, 'reached limit dom obj');
						return false; // break() of jQuery .each(); THIS IS NOT THE FUNCTION RETURN VALUE
					}
					if (tagComparator(this, markupObject)) {
						if (returnVal === false) {
							returnVal = [];
						}
						Aloha.Log.debug(that, 'reached object equal to markup');
						i++;
						returnVal[i] = this;
						return true; // continue() of jQuery .each(); THIS IS NOT THE FUNCTION RETURN VALUE
					}
				});
			}
			return returnVal;
		},

		/**
		 * standard method, to compare a domobj and a jquery object for sections and grouping content (e.g. p, h1, h2, ul, ....).
		 * is always used when no other tag comparator is passed as parameter
		 * @param domobj domobject to compare with markup
		 * @param markupObject jQuery object of the markup to compare with domobj
		 * @return true if objects are equal and false if not
		 * @hide
		 */
		standardSectionsAndGroupingContentComparator: function (domobj, markupObject) {
			if (domobj.nodeType !== 1) {
				Aloha.Log.debug(this, 'only element nodes (nodeType == 1) can be compared');
				return false;
			}
			if (!markupObject[0].nodeName) {
				return false;
			}
			var elemMap = Aloha.Selection.replacingElements[domobj.nodeName.toLowerCase()];
			return elemMap && elemMap[markupObject[0].nodeName.toLowerCase()];
		},

		/**
		 * standard method, to compare a domobj and a jquery object for their tagName (aka span elements, e.g. b, i, sup, span, ...).
		 * is always used when no other tag comparator is passed as parameter
		 * @param domobj domobject to compare with markup
		 * @param markupObject jQuery object of the markup to compare with domobj
		 * @return true if objects are equal and false if not
		 * @hide
		 */
		standardTagNameComparator: function (domobj, markupObject) {
			if (domobj.nodeType === 1) {
				if (domobj.nodeName != markupObject[0].nodeName) {
					return false;
				}
				return true;
			}
			Aloha.Log.debug(this, 'only element nodes (nodeType == 1) can be compared');
			return false;
		},

		/**
		 * standard method, to compare a domobj and a jquery object for text level semantics (aka span elements, e.g. b, i, sup, span, ...).
		 * is always used when no other tag comparator is passed as parameter
		 * @param domobj domobject to compare with markup
		 * @param markupObject jQuery object of the markup to compare with domobj
		 * @return true if objects are equal and false if not
		 * @hide
		 */
		standardTextLevelSemanticsComparator: function (domobj, markupObject) {
			// only element nodes can be compared
			if (domobj.nodeType === 1) {
				if (domobj.nodeName != markupObject[0].nodeName) {
					return false;
				}
				if (!this.standardAttributesComparator(domobj, markupObject)) {
					return false;
				}
				return true;
			}
			Aloha.Log.debug(this, 'only element nodes (nodeType == 1) can be compared');
			return false;
		},


		/**
		 * standard method, to compare attributes of one dom obj and one markup obj (jQuery)
		 * @param domobj domobject to compare with markup
		 * @param markupObject jQuery object of the markup to compare with domobj
		 * @return true if objects are equal and false if not
		 * @hide
		 */
		standardAttributesComparator: function (domobj, markupObject) {
			var classesA = Strings.words((domobj && domobj.className) || '');
			var classesB = Strings.words((markupObject.length && markupObject[0].className) || '');
			Arrays.sortUnique(classesA);
			Arrays.sortUnique(classesB);
			return Arrays.equal(classesA, classesB);
		},

		/**
		 * method finds out, if a node is within a certain markup or not
		 * @param rangeObj Aloha rangeObject
		 * @param markupObject jQuery object of the markup to be applied (e.g. created with obj = jQuery('<b></b>'); )
		 * @param tagComparator method, which is used to compare the dom object and the jQuery markup object. the method must accept 2 parameters, the first is the domobj, the second is the jquery object. if no method is specified, the method this.standardTextLevelSemanticsComparator is used
		 * @return void; TODO: should return true if the markup applied successfully and false if not
		 * @hide
		 */
		changeMarkup: function (rangeObject, markupObject, tagComparator) {
			var tagName = markupObject[0].tagName.toLowerCase(),
				newCAC,
			    limitObject,
				backupRangeObject,
				relevantMarkupObjectsAtSelectionStart = this.isRangeObjectWithinMarkup(rangeObject, false, markupObject, tagComparator, limitObject),
				relevantMarkupObjectsAtSelectionEnd = this.isRangeObjectWithinMarkup(rangeObject, true, markupObject, tagComparator, limitObject),
				nextSibling,
			    relevantMarkupObjectAfterSelection,
				prevSibling,
			    relevantMarkupObjectBeforeSelection,
				extendedRangeObject;
			var parentElement;

			// if the element is a replacing element (like p/h1/h2/h3/h4/h5/h6...), which must not wrap each other
			// use a clone of rangeObject
			if (this.replacingElements[tagName]) {
				// backup rangeObject for later selection;
				backupRangeObject = rangeObject;

				// create a new range object to not modify the orginal
				rangeObject = new this.SelectionRange(rangeObject);

				// either select the active Editable as new commonAncestorContainer (CAC) or use the body
				if (Aloha.activeEditable) {
					newCAC = Aloha.activeEditable.obj.get(0);
				} else {
					newCAC = jQuery('body');
				}
				// update rangeObject by setting the newCAC and automatically recalculating the selectionTree
				rangeObject.update(newCAC);

				// store the information, that the markupObject can be replaced (not must be!!) inside the jQuery markup object
				markupObject.isReplacingElement = true;
			} else {
				// if the element is NOT a replacing element, then something needs to be selected, otherwise it can not be wrapped
				// therefor the method can return false, if nothing is selected ( = rangeObject is collapsed)
				if (rangeObject.isCollapsed()) {
					Aloha.Log.debug(this, 'early returning from applying markup because nothing is currently selected');
					return false;
				}
			}

			// is Start/End DOM Obj inside the markup to change
			if (Aloha.activeEditable) {
				limitObject = Aloha.activeEditable.obj[0];
			} else {
				limitObject = jQuery('body');
			}

			if (!markupObject.isReplacingElement && rangeObject.startOffset === 0) { // don't care about replacers, because they never extend
				if (null != (prevSibling = this.getTextNodeSibling(false, rangeObject.commonAncestorContainer.parentNode, rangeObject.startContainer))) {
					relevantMarkupObjectBeforeSelection = this.isRangeObjectWithinMarkup({
						startContainer: prevSibling,
						startOffset: 0
					}, false, markupObject, tagComparator, limitObject);
				}
			}
			if (!markupObject.isReplacingElement && (rangeObject.endOffset === rangeObject.endContainer.length)) { // don't care about replacers, because they never extend
				if (null != (nextSibling = this.getTextNodeSibling(true, rangeObject.commonAncestorContainer.parentNode, rangeObject.endContainer))) {
					relevantMarkupObjectAfterSelection = this.isRangeObjectWithinMarkup({
						startContainer: nextSibling,
						startOffset: 0
					}, false, markupObject, tagComparator, limitObject);
				}
			}

			// decide what to do (expand or reduce markup)
			// Alternative A: from markup to no-markup: markup will be removed in selection;
			// reapplied from original markup start to selection start
			if (!markupObject.isReplacingElement && (relevantMarkupObjectsAtSelectionStart && !relevantMarkupObjectsAtSelectionEnd)) {
				Aloha.Log.info(this, 'markup 2 non-markup');
				this.prepareForRemoval(rangeObject.getSelectionTree(), markupObject, tagComparator);
				jQuery(relevantMarkupObjectsAtSelectionStart).addClass('preparedForRemoval');
				this.insertCroppedMarkups(relevantMarkupObjectsAtSelectionStart, rangeObject, false, tagComparator);
			} else if (!markupObject.isReplacingElement && relevantMarkupObjectsAtSelectionStart && relevantMarkupObjectsAtSelectionEnd) {
				// Alternative B: from markup to markup:
				// remove selected markup (=split existing markup if single, shrink if two different)
				Aloha.Log.info(this, 'markup 2 markup');
				this.prepareForRemoval(rangeObject.getSelectionTree(), markupObject, tagComparator);
				this.splitRelevantMarkupObject(relevantMarkupObjectsAtSelectionStart, relevantMarkupObjectsAtSelectionEnd, rangeObject, tagComparator);
			} else if (!markupObject.isReplacingElement && ((!relevantMarkupObjectsAtSelectionStart && relevantMarkupObjectsAtSelectionEnd) || relevantMarkupObjectAfterSelection || relevantMarkupObjectBeforeSelection)) { //
				// Alternative C: from no-markup to markup OR with next2markup:
				// new markup is wrapped from selection start to end of originalmarkup, original is remove afterwards
				Aloha.Log.info(this, 'non-markup 2 markup OR with next2markup');
				// move end of rangeObject to end of relevant markups
				if (relevantMarkupObjectBeforeSelection && relevantMarkupObjectAfterSelection) {
					extendedRangeObject = new Aloha.Selection.SelectionRange(rangeObject);
					extendedRangeObject.startContainer = jQuery(relevantMarkupObjectBeforeSelection[relevantMarkupObjectBeforeSelection.length - 1]).textNodes()[0];
					extendedRangeObject.startOffset = 0;
					extendedRangeObject.endContainer = jQuery(relevantMarkupObjectAfterSelection[relevantMarkupObjectAfterSelection.length - 1]).textNodes().last()[0];
					extendedRangeObject.endOffset = extendedRangeObject.endContainer.length;
					extendedRangeObject.update();
					this.applyMarkup(extendedRangeObject.getSelectionTree(), rangeObject, markupObject, tagComparator);
					Aloha.Log.info(this, 'double extending previous markup(previous and after selection), actually wrapping it ...');

				} else if (relevantMarkupObjectBeforeSelection && !relevantMarkupObjectAfterSelection && !relevantMarkupObjectsAtSelectionEnd) {
					this.extendExistingMarkupWithSelection(relevantMarkupObjectBeforeSelection, rangeObject, false, tagComparator);
					Aloha.Log.info(this, 'extending previous markup');

				} else if (relevantMarkupObjectBeforeSelection && !relevantMarkupObjectAfterSelection && relevantMarkupObjectsAtSelectionEnd) {
					extendedRangeObject = new Aloha.Selection.SelectionRange(rangeObject);
					extendedRangeObject.startContainer = jQuery(relevantMarkupObjectBeforeSelection[relevantMarkupObjectBeforeSelection.length - 1]).textNodes()[0];
					extendedRangeObject.startOffset = 0;
					extendedRangeObject.endContainer = jQuery(relevantMarkupObjectsAtSelectionEnd[relevantMarkupObjectsAtSelectionEnd.length - 1]).textNodes().last()[0];
					extendedRangeObject.endOffset = extendedRangeObject.endContainer.length;
					extendedRangeObject.update();
					this.applyMarkup(extendedRangeObject.getSelectionTree(), rangeObject, markupObject, tagComparator);
					Aloha.Log.info(this, 'double extending previous markup(previous and relevant at the end), actually wrapping it ...');

				} else if (!relevantMarkupObjectBeforeSelection && relevantMarkupObjectAfterSelection) {
					this.extendExistingMarkupWithSelection(relevantMarkupObjectAfterSelection, rangeObject, true, tagComparator);
					Aloha.Log.info(this, 'extending following markup backwards');

				} else {
					this.extendExistingMarkupWithSelection(relevantMarkupObjectsAtSelectionEnd, rangeObject, true, tagComparator);
				}
			} else if (markupObject.isReplacingElement || (!relevantMarkupObjectsAtSelectionStart && !relevantMarkupObjectsAtSelectionEnd && !relevantMarkupObjectBeforeSelection && !relevantMarkupObjectAfterSelection)) {
				// Alternative D: no-markup to no-markup: easy
				Aloha.Log.info(this, 'non-markup 2 non-markup');

				// workaround to keep the caret at the right position if it's an empty element
				// applyMarkup was not working correctly and has a lot of overhead we don't need in that case
				if (isCollapsedAndEmptyOrEndBr(rangeObject)) {
					var newMarkup = markupObject.clone();

					if (isCollapsedAndEndBr(rangeObject)) {
						newMarkup[0].appendChild(Engine.createEndBreak());
					}

					// setting the focus is needed for mozilla and IE 7 to have a working rangeObject.select()
					if (Aloha.activeEditable && Aloha.browser.mozilla && document.activeElement !== Aloha.activeEditable.obj[0]) {
						Aloha.activeEditable.obj.focus();
					}

					if (Engine.isEditable(rangeObject.startContainer)) {
						Engine.copyAttributes(rangeObject.startContainer, newMarkup[0]);
						jQuery(rangeObject.startContainer).after(newMarkup[0]).remove();
						Engine.ensureContainerEditable(newMarkup[0]);
					} else if (Engine.isEditingHost(rangeObject.startContainer)) {
						jQuery(rangeObject.startContainer).append(newMarkup[0]);
						Engine.ensureContainerEditable(newMarkup[0]);
					}

					backupRangeObject.startContainer = newMarkup[0];
					backupRangeObject.endContainer = newMarkup[0];
					backupRangeObject.startOffset = 0;
					backupRangeObject.endOffset = 0;
					return;
				}
				this.applyMarkup(rangeObject.getSelectionTree(), rangeObject, markupObject, tagComparator, {
					setRangeObject2NewMarkup: true
				});
				backupRangeObject.startContainer = rangeObject.startContainer;
				backupRangeObject.endContainer = rangeObject.endContainer;
				backupRangeObject.startOffset = rangeObject.startOffset;
				backupRangeObject.endOffset = rangeObject.endOffset;
			}

			if (markupObject.isReplacingElement) {
				//Check if the startContainer is one of the zapped elements
				if (backupRangeObject && backupRangeObject.startContainer.className && backupRangeObject.startContainer.className.indexOf('preparedForRemoval') > -1) {
					//var parentElement = jQuery(backupRangeObject.startContainer).closest(markupObject[0].tagName).get(0);
					parentElement = jQuery(backupRangeObject.startContainer).parents(markupObject[0].tagName).get(0);
					backupRangeObject.startContainer = parentElement;
					rangeObject.startContainer = parentElement;
				}
				//check if the endContainer is one of the zapped elements
				if (backupRangeObject && backupRangeObject.endContainer.className && backupRangeObject.endContainer.className.indexOf('preparedForRemoval') > -1) {
					//var parentElement = jQuery(backupRangeObject.endContainer).closest(markupObject[0].tagName).get(0);
					parentElement = jQuery(backupRangeObject.endContainer).parents(markupObject[0].tagName).get(0);
					backupRangeObject.endContainer = parentElement;
					rangeObject.endContainer = parentElement;
				}
			}
			// remove all marked items
			jQuery('.preparedForRemoval').zap();

			// recalculate cac and selectionTree

			// update selection
			if (markupObject.isReplacingElement) {
				//After the zapping we have to check for wrong offsets
				if (e5s.Node.ELEMENT_NODE === backupRangeObject.startContainer.nodeType && backupRangeObject.startContainer.childNodes && backupRangeObject.startContainer.childNodes.length < backupRangeObject.startOffset) {
					backupRangeObject.startOffset = backupRangeObject.startContainer.childNodes.length;
					rangeObject.startOffset = backupRangeObject.startContainer.childNodes.length;
				}
				if (e5s.Node.ELEMENT_NODE === backupRangeObject.endContainer.nodeType && backupRangeObject.endContainer.childNodes && backupRangeObject.endContainer.childNodes.length < backupRangeObject.endOffset) {
					backupRangeObject.endOffset = backupRangeObject.endContainer.childNodes.length;
					rangeObject.endOffset = backupRangeObject.endContainer.childNodes.length;
				}
				rangeObject.endContainer = backupRangeObject.endContainer;
				rangeObject.endOffset = backupRangeObject.endOffset;
				rangeObject.startContainer = backupRangeObject.startContainer;
				rangeObject.startOffset = backupRangeObject.startOffset;
				backupRangeObject.update();
				backupRangeObject.select();
			} else {
				rangeObject.update();
				rangeObject.select();
			}
		},

		/**
		 * method compares a JS array of domobjects with a range object and decides, if the rangeObject spans the whole markup objects. method is used to decide if a markup2markup selection can be completely remove or if it must be splitted into 2 separate markups
		 * @param relevantMarkupObjectsAtSelectionStart JS Array of dom objects, which are parents to the rangeObject.startContainer
		 * @param relevantMarkupObjectsAtSelectionEnd JS Array of dom objects, which are parents to the rangeObject.endContainer
		 * @param rangeObj Aloha rangeObject
		 * @return true, if rangeObjects and markup objects are identical, false otherwise
		 * @hide
		 */
		areMarkupObjectsAsLongAsRangeObject: function (relevantMarkupObjectsAtSelectionStart, relevantMarkupObjectsAtSelectionEnd, rangeObject) {
			var i, el, textNode, relMarkupEnd, relMarkupStart;

			if (rangeObject.startOffset !== 0) {
				return false;
			}

			for (i = 0, relMarkupStart = relevantMarkupObjectsAtSelectionStart.length; i < relMarkupStart; i++) {
				el = jQuery(relevantMarkupObjectsAtSelectionStart[i]);
				if (el.textNodes().first()[0] !== rangeObject.startContainer) {
					return false;
				}
			}

			for (i = 0, relMarkupEnd = relevantMarkupObjectsAtSelectionEnd.length; i < relMarkupEnd; i++) {
				el = jQuery(relevantMarkupObjectsAtSelectionEnd[i]);
				textNode = el.textNodes().last()[0];
				if (textNode !== rangeObject.endContainer || textNode.length != rangeObject.endOffset) {
					return false;
				}
			}

			return true;
		},

		/**
		 * method used to remove/split markup from a "markup2markup" selection
		 * @param relevantMarkupObjectsAtSelectionStart JS Array of dom objects, which are parents to the rangeObject.startContainer
		 * @param relevantMarkupObjectsAtSelectionEnd JS Array of dom objects, which are parents to the rangeObject.endContainer
		 * @param rangeObj Aloha rangeObject
		 * @param tagComparator method, which is used to compare the dom object and the jQuery markup object. the method must accept 2 parameters, the first is the domobj, the second is the jquery object. if no method is specified, the method this.standardTextLevelSemanticsComparator is used
		 * @return true (always, since no "false" case is currently known...but might be added)
		 * @hide
		 */
		splitRelevantMarkupObject: function (relevantMarkupObjectsAtSelectionStart, relevantMarkupObjectsAtSelectionEnd, rangeObject, tagComparator) {
			// mark them to be deleted
			jQuery(relevantMarkupObjectsAtSelectionStart).addClass('preparedForRemoval');
			jQuery(relevantMarkupObjectsAtSelectionEnd).addClass('preparedForRemoval');

			// check if the rangeObject is identical with the relevantMarkupObjects (in this case the markup can simply be removed)
			if (this.areMarkupObjectsAsLongAsRangeObject(relevantMarkupObjectsAtSelectionStart, relevantMarkupObjectsAtSelectionEnd, rangeObject)) {
				return true;
			}

			// find intersection (this can always only be one dom element (namely the highest) because all others will be removed
			var relevantMarkupObjectAtSelectionStartAndEnd = this.intersectRelevantMarkupObjects(relevantMarkupObjectsAtSelectionStart, relevantMarkupObjectsAtSelectionEnd);

			if (relevantMarkupObjectAtSelectionStartAndEnd) {
				this.insertCroppedMarkups([relevantMarkupObjectAtSelectionStartAndEnd], rangeObject, false, tagComparator);
				this.insertCroppedMarkups([relevantMarkupObjectAtSelectionStartAndEnd], rangeObject, true, tagComparator);
			} else {
				this.insertCroppedMarkups(relevantMarkupObjectsAtSelectionStart, rangeObject, false, tagComparator);
				this.insertCroppedMarkups(relevantMarkupObjectsAtSelectionEnd, rangeObject, true, tagComparator);
			}
			return true;
		},

		/**
		 * method takes two arrays of bottom up dom objects, compares them and returns either the object closest to the root or false
		 * @param relevantMarkupObjectsAtSelectionStart JS Array of dom objects
		 * @param relevantMarkupObjectsAtSelectionEnd JS Array of dom objects
		 * @return dom object closest to the root or false
		 * @hide
		 */
		intersectRelevantMarkupObjects: function (relevantMarkupObjectsAtSelectionStart, relevantMarkupObjectsAtSelectionEnd) {
			var intersection = false, i, elStart, j, elEnd, relMarkupStart, relMarkupEnd;
			if (!relevantMarkupObjectsAtSelectionStart || !relevantMarkupObjectsAtSelectionEnd) {
				return intersection; // we can only intersect, if we have to arrays!
			}
			relMarkupStart = relevantMarkupObjectsAtSelectionStart.length;
			relMarkupEnd = relevantMarkupObjectsAtSelectionEnd.length;
			for (i = 0; i < relMarkupStart; i++) {
				elStart = relevantMarkupObjectsAtSelectionStart[i];
				for (j = 0; j < relMarkupEnd; j++) {
					elEnd = relevantMarkupObjectsAtSelectionEnd[j];
					if (elStart === elEnd) {
						intersection = elStart;
					}
				}
			}
			return intersection;
		},

		/**
		 * method used to add markup to a nonmarkup2markup selection
		 * @param relevantMarkupObjects JS Array of dom objects effecting either the start or endContainer of a selection (which should be extended)
		 * @param rangeObject Aloha rangeObject the markups should be extended to
		 * @param startOrEnd boolean; defines, if the existing markups should be extended forwards or backwards (is propably redundant and could be found out by comparing start or end container with the markup array dom objects)
		 * @param tagComparator method, which is used to compare the dom object and the jQuery markup object. the method must accept 2 parameters, the first is the domobj, the second is the jquery object. if no method is specified, the method this.standardTextLevelSemanticsComparator is used
		 * @return true
		 * @hide
		 */
		extendExistingMarkupWithSelection: function (relevantMarkupObjects, rangeObject, startOrEnd, tagComparator) {
			var extendMarkupsAtStart, extendMarkupsAtEnd, objects, i, relMarkupLength, el, textnodes, nodeNr;
			if (!startOrEnd) { // = Start
				// start part of rangeObject should be used, therefor existing markups are cropped at the end
				extendMarkupsAtStart = true;
			}
			if (startOrEnd) { // = End
				// end part of rangeObject should be used, therefor existing markups are cropped at start (beginning)
				extendMarkupsAtEnd = true;
			}
			objects = [];
			for (i = 0, relMarkupLength = relevantMarkupObjects.length; i < relMarkupLength; i++) {
				objects[i] = new this.SelectionRange();
				el = relevantMarkupObjects[i];
				if (extendMarkupsAtEnd && !extendMarkupsAtStart) {
					objects[i].startContainer = rangeObject.startContainer; // jQuery(el).contents()[0];
					objects[i].startOffset = rangeObject.startOffset;
					textnodes = jQuery(el).textNodes(true);

					nodeNr = textnodes.length - 1;
					objects[i].endContainer = textnodes[nodeNr];
					objects[i].endOffset = textnodes[nodeNr].length;
					objects[i].update();
					this.applyMarkup(objects[i].getSelectionTree(), rangeObject, this.getClonedMarkup4Wrapping(el), tagComparator, {
						setRangeObject2NewMarkup: true
					});
				}
				if (!extendMarkupsAtEnd && extendMarkupsAtStart) {
					textnodes = jQuery(el).textNodes(true);
					objects[i].startContainer = textnodes[0]; // jQuery(el).contents()[0];
					objects[i].startOffset = 0;
					objects[i].endContainer = rangeObject.endContainer;
					objects[i].endOffset = rangeObject.endOffset;
					objects[i].update();
					this.applyMarkup(objects[i].getSelectionTree(), rangeObject, this.getClonedMarkup4Wrapping(el), tagComparator, {
						setRangeObject2NewMarkup: true
					});
				}
			}
			return true;
		},

		/**
		 * method creates an empty markup jQuery object from a dom object passed as paramter
		 * @param domobj domobject to be cloned, cleaned and emptied
		 * @param tagComparator method, which is used to compare the dom object and the jQuery markup object. the method must accept 2 parameters, the first is the domobj, the second is the jquery object. if no method is specified, the method this.standardTextLevelSemanticsComparator is used
		 * @return jQuery wrapper object to be passed to e.g. this.applyMarkup(...)
		 * @hide
		 */
		getClonedMarkup4Wrapping: function (domobj) {
			var wrapper = jQuery(domobj.outerHTML).removeClass('preparedForRemoval').empty();
			if (wrapper.attr('class').length === 0) {
				wrapper.removeAttr('class');
			}
			return wrapper;
		},

		/**
		 * method used to subtract the range object from existing markup. in other words: certain markup is removed from the selections defined by the rangeObject
		 * @param relevantMarkupObjects JS Array of dom objects effecting either the start or endContainer of a selection (which should be extended)
		 * @param rangeObject Aloha rangeObject the markups should be removed from
		 * @param startOrEnd boolean; defines, if the existing markups should be reduced at the beginning of the tag or at the end (is propably redundant and could be found out by comparing start or end container with the markup array dom objects)
		 * @param tagComparator method, which is used to compare the dom object and the jQuery markup object. the method must accept 2 parameters, the first is the domobj, the second is the jquery object. if no method is specified, the method this.standardTextLevelSemanticsComparator is used
		 * @return true
		 * @hide
		 */
		insertCroppedMarkups: function (relevantMarkupObjects, rangeObject, startOrEnd, tagComparator) {
			var cropMarkupsAtEnd, cropMarkupsAtStart, textnodes, objects, i, el, textNodes;
			if (!startOrEnd) { // = Start
				// start part of rangeObject should be used, therefor existing markups are cropped at the end
				cropMarkupsAtEnd = true;
			} else { // = End
				// end part of rangeObject should be used, therefor existing markups are cropped at start (beginning)
				cropMarkupsAtStart = true;
			}
			objects = [];
			for (i = 0; i < relevantMarkupObjects.length; i++) {
				objects[i] = new this.SelectionRange();
				el = relevantMarkupObjects[i];
				if (cropMarkupsAtEnd && !cropMarkupsAtStart) {
					textNodes = jQuery(el).textNodes(true);
					objects[i].startContainer = textNodes[0];
					objects[i].startOffset = 0;
					// if the existing markup startContainer & startOffset are equal to the rangeObject startContainer and startOffset,
					// then markupobject does not have to be added again, because it would have no content (zero-length)
					if (objects[i].startContainer === rangeObject.startContainer && objects[i].startOffset === rangeObject.startOffset) {
						continue;
					}
					if (rangeObject.startOffset === 0) {
						objects[i].endContainer = this.getTextNodeSibling(false, el, rangeObject.startContainer);
						objects[i].endOffset = objects[i].endContainer.length;
					} else {
						objects[i].endContainer = rangeObject.startContainer;
						objects[i].endOffset = rangeObject.startOffset;
					}

					objects[i].update();

					this.applyMarkup(objects[i].getSelectionTree(), rangeObject, this.getClonedMarkup4Wrapping(el), tagComparator, {
						setRangeObject2NextSibling: true
					});
				}

				if (!cropMarkupsAtEnd && cropMarkupsAtStart) {
					objects[i].startContainer = rangeObject.endContainer; // jQuery(el).contents()[0];
					objects[i].startOffset = rangeObject.endOffset;
					textnodes = jQuery(el).textNodes(true);
					objects[i].endContainer = textnodes[textnodes.length - 1];
					objects[i].endOffset = textnodes[textnodes.length - 1].length;
					objects[i].update();
					this.applyMarkup(objects[i].getSelectionTree(), rangeObject, this.getClonedMarkup4Wrapping(el), tagComparator, {
						setRangeObject2PreviousSibling: true
					});
				}
			}
			return true;
		},

		/**
		 * Checks for Firefox incorrect range. When selecting a paragraph with the
		 * command 'shift+keydown', the selection ends in the start of the next paragraph
		 * instead of at the end of the selected paragraph. This produces an unexpected
		 * behaviour when formatting the selected text to a heading or a list, because the
		 * result included one extra paragraph.
		 */
		checkForFirefoxIncorrectRange: function () {
			if (Browser.mozilla && Aloha.getSelection().getRangeCount() !== 0) {
				correctFirefoxRangeIssue(this.getRangeObject());
			}
		},

		/**
		 * apply a certain markup to the current selection
		 * @param markupObject jQuery object of the markup to be applied (e.g. created with obj = jQuery('<b></b>'); )
		 * @return void
		 * @hide
		 */
		changeMarkupOnSelection: function (markupObject) {
			this.checkForFirefoxIncorrectRange();
			var rangeObject = this.getRangeObject();

			// change the markup
			this.changeMarkup(rangeObject, markupObject, this.getStandardTagComparator(markupObject));

			// merge text nodes
			GENTICS.Utils.Dom.doCleanup({
				'merge': true
			}, rangeObject);

			// update the range and select it
			rangeObject.update();
			rangeObject.select();
			this.rangeObject = rangeObject;
		},

		/**
		 * apply a certain markup to the selection Tree
		 * @param selectionTree SelectionTree Object markup should be applied to
		 * @param rangeObject Aloha rangeObject which will be modified to reflect the dom changes, after the markup was applied (only if activated via options)
		 * @param markupObject jQuery object of the markup to be applied (e.g. created with obj = jQuery('<b></b>'); )
		 * @param tagComparator method, which is used to compare the dom object and the jQuery markup object. the method must accept 2 parameters, the first is the domobj, the second is the jquery object. if no method is specified, the method this.standardTextLevelSemanticsComparator is used
		 * @param options JS object, with the following boolean properties: setRangeObject2NewMarkup, setRangeObject2NextSibling, setRangeObject2PreviousSibling
		 * @return void
		 * @hide
		 */
		applyMarkup: function (selectionTree, rangeObject, markupObject, tagComparator, options) {
			var optimizedSelectionTree, i, el, breakpoint;
			options = options || {};
			// first same tags from within fully selected nodes for removal
			this.prepareForRemoval(selectionTree, markupObject, tagComparator);

			// first let's optimize the selection Tree in useful groups which can be wrapped together
			optimizedSelectionTree = this.optimizeSelectionTree4Markup(selectionTree, markupObject, tagComparator);
			breakpoint = true;

			// now iterate over grouped elements and either recursively dive into object or wrap it as a whole
			for (i = 0; i < optimizedSelectionTree.length; i++) {
				el = optimizedSelectionTree[i];
				if (el.wrappable) {
					this.wrapMarkupAroundSelectionTree(el.elements, rangeObject, markupObject, tagComparator, options);
				} else {
					Aloha.Log.debug(this, 'dive further into non-wrappable object');
					this.applyMarkup(el.element.children, rangeObject, markupObject, tagComparator, options);
				}
			}
		},

		/**
		 * returns the type of the given markup (trying to match HTML5)
		 * @param markupObject jQuery object of the markup to be applied (e.g. created with obj = jQuery('<b></b>'); )
		 * @return string name of the markup type
		 * @hide
		 */
		getMarkupType: function (markupObject) {
			var nn = jQuery(markupObject)[0].nodeName.toLowerCase();
			if (markupObject.outerHtml) {
				Aloha.Log.debug(this, 'Node name detected: ' + nn + ' for: ' + markupObject.outerHtml());
			}
			if (nn == '#text') {
				return 'textNode';
			}
			if (this.replacingElements[nn]) {
				return 'sectionOrGroupingContent';
			}
			if (this.tagHierarchy[nn]) {
				return 'textLevelSemantics';
			}
			Aloha.Log.warn(this, 'unknown markup passed to this.getMarkupType(...): ' + markupObject.outerHtml());
		},

		/**
		 * returns the standard tag comparator for the given markup object
		 * @param markupObject jQuery object of the markup to be applied (e.g. created with obj = jQuery('<b></b>'); )
		 * @return function tagComparator method, which is used to compare the dom object and the jQuery markup object. the method must accept 2 parameters, the first is the domobj, the second is the jquery object. if no method is specified, the method this.standardTextLevelSemanticsComparator is used
		 * @hide
		 */
		getStandardTagComparator: function (markupObject) {
			var that = this,
				result;
			switch (this.getMarkupType(markupObject)) {
			case 'textNode':
				result = function (p1, p2) {
					return false;
				};
				break;

			case 'sectionOrGroupingContent':
				result = function (domobj, markupObject) {
					return that.standardSectionsAndGroupingContentComparator(domobj, markupObject);
				};
				break;

			//case 'textLevelSemantics' covered by default
			default:
				result = function (domobj, markupObject) {
					return that.standardTextLevelSemanticsComparator(domobj, markupObject);
				};
				break;
			}
			return result;
		},

		/**
		 * searches for fully selected equal markup tags
		 * @param selectionTree SelectionTree Object markup should be applied to
		 * @param markupObject jQuery object of the markup to be applied (e.g. created with obj = jQuery('<b></b>'); )
		 * @param tagComparator method, which is used to compare the dom object and the jQuery markup object. the method must accept 2 parameters, the first is the domobj, the second is the jquery object. if no method is specified, the method this.standardTextLevelSemanticsComparator is used
		 * @return void
		 * @hide
		 */
		prepareForRemoval: function (selectionTree, markupObject, tagComparator) {
			var that = this, i, el;

			// check if a comparison method was passed as parameter ...
			if (typeof tagComparator !== 'undefined' && typeof tagComparator !== 'function') {
				Aloha.Log.error(this, 'parameter tagComparator is not a function');
			}
			// ... if not use this as standard tag comparison method
			if (typeof tagComparator === 'undefined') {
				tagComparator = this.getStandardTagComparator(markupObject);
			}
			for (i = 0; i < selectionTree.length; i++) {
				el = selectionTree[i];
				if (el.domobj && (el.selection == 'full' || (el.selection == 'partial' && markupObject.isReplacingElement))) {
					// mark for removal
					if (el.domobj.nodeType === 1 && tagComparator(el.domobj, markupObject)) {
						Aloha.Log.debug(this, 'Marking for removal: ' + el.domobj.nodeName);
						jQuery(el.domobj).addClass('preparedForRemoval');
					}
				}
				if (el.selection != 'none' && el.children.length > 0) {
					this.prepareForRemoval(el.children, markupObject, tagComparator);
				}

			}
		},

		/**
		 * searches for fully selected equal markup tags
		 * @param selectionTree SelectionTree Object markup should be applied to
		 * @param rangeObject Aloha rangeObject the markup will be applied to
		 * @param markupObject jQuery object of the markup to be applied (e.g. created with obj = jQuery('<b></b>'); )
		 * @param tagComparator method, which is used to compare the dom object and the jQuery markup object. the method must accept 2 parameters, the first is the domobj, the second is the jquery object. if no method is specified, the method this.standardTextLevelSemanticsComparator is used
		 * @param options JS object, with the following boolean properties: setRangeObject2NewMarkup, setRangeObject2NextSibling, setRangeObject2PreviousSibling
		 * @return void
		 * @hide
		 */
		wrapMarkupAroundSelectionTree: function (selectionTree, rangeObject, markupObject, tagComparator, options) {
			// first let's find out if theoretically the whole selection can be wrapped with one tag and save it for later use
			var objects2wrap = [], // // this will be used later to collect objects
				j = -1, // internal counter,
				breakpoint = true,
				preText = '',
				postText = '',
				prevOrNext,
				textNode2Start,
				textnodes,
				newMarkup,
				i,
			    el,
			    middleText;

			Aloha.Log.debug(this, 'The formatting <' + markupObject[0].tagName + '> will be wrapped around the selection');

			// now lets iterate over the elements
			for (i = 0; i < selectionTree.length; i++) {
				el = selectionTree[i];

				// check if markup is allowed inside the elements parent
				if (el.domobj && !this.canTag1WrapTag2(el.domobj.parentNode.tagName.toLowerCase(), markupObject[0].tagName.toLowerCase())) {
					Aloha.Log.info(this, 'Skipping the wrapping of <' + markupObject[0].tagName.toLowerCase() + '> because this tag is not allowed inside <' + el.domobj.parentNode.tagName.toLowerCase() + '>');
					continue;
				}

				// skip empty text nodes
				if (el.domobj && el.domobj.nodeType === 3 && jQuery.trim(el.domobj.nodeValue).length === 0) {
					continue;
				}

				// partial element, can either be a textnode and therefore be wrapped (at least partially)
				// or can be a nodeType == 1 (tag) which must be dived into
				if (el.domobj && el.selection == 'partial' && !markupObject.isReplacingElement) {
					if (el.startOffset !== undefined && el.endOffset === undefined) {
						j++;
						preText += el.domobj.data.substr(0, el.startOffset);
						el.domobj.data = el.domobj.data.substr(el.startOffset, el.domobj.data.length - el.startOffset);
						objects2wrap[j] = el.domobj;
					} else if (el.endOffset !== undefined && el.startOffset === undefined) {
						j++;
						postText += el.domobj.data.substr(el.endOffset, el.domobj.data.length - el.endOffset);
						el.domobj.data = el.domobj.data.substr(0, el.endOffset);
						objects2wrap[j] = el.domobj;
					} else if (el.endOffset !== undefined && el.startOffset !== undefined) {
						if (el.startOffset == el.endOffset) { // do not wrap empty selections
							Aloha.Log.debug(this, 'skipping empty selection');
							continue;
						}
						j++;
						preText += el.domobj.data.substr(0, el.startOffset);
						middleText = el.domobj.data.substr(el.startOffset, el.endOffset - el.startOffset);
						postText += el.domobj.data.substr(el.endOffset, el.domobj.data.length - el.endOffset);
						el.domobj.data = middleText;
						objects2wrap[j] = el.domobj;
					} else {
						// a partially selected item without selectionStart/EndOffset is a nodeType 1 Element on the way to the textnode
						Aloha.Log.debug(this, 'diving into object');
						this.applyMarkup(el.children, rangeObject, markupObject, tagComparator, options);
					}
				}
				// fully selected dom elements can be wrapped as whole element
				if (el.domobj && (el.selection == 'full' || (el.selection == 'partial' && markupObject.isReplacingElement))) {
					j++;
					objects2wrap[j] = el.domobj;
				}
			}

			if (objects2wrap.length > 0) {
				// wrap collected DOM object with markupObject
				objects2wrap = jQuery(objects2wrap);

				// make a fix for text nodes in <li>'s in ie
				jQuery.each(objects2wrap, function (index, element) {
					if (Aloha.browser.msie && element.nodeType == 3 && !element.nextSibling && !element.previousSibling && element.parentNode && element.parentNode.nodeName.toLowerCase() == 'li') {
						element.data = jQuery.trim(element.data);
					}
				});

				newMarkup = objects2wrap.wrapAll(markupObject).parent();
				newMarkup.before(preText).after(postText);

				if (options.setRangeObject2NewMarkup) { // this is used, when markup is added to normal/normal Text
					textnodes = objects2wrap.textNodes();

					if (textnodes.index(rangeObject.startContainer) != -1) {
						rangeObject.startOffset = 0;
					}
					if (textnodes.index(rangeObject.endContainer) != -1) {
						rangeObject.endOffset = rangeObject.endContainer.length;
					}
					breakpoint = true;
				}
				if (options.setRangeObject2NextSibling) {
					prevOrNext = true;
					textNode2Start = newMarkup.textNodes(true).last()[0];
					if (objects2wrap.index(rangeObject.startContainer) != -1) {
						rangeObject.startContainer = this.getTextNodeSibling(prevOrNext, newMarkup.parent(), textNode2Start);
						rangeObject.startOffset = 0;
					}
					if (objects2wrap.index(rangeObject.endContainer) != -1) {
						rangeObject.endContainer = this.getTextNodeSibling(prevOrNext, newMarkup.parent(), textNode2Start);
						rangeObject.endOffset = rangeObject.endOffset - textNode2Start.length;
					}
				}
				if (options.setRangeObject2PreviousSibling) {
					prevOrNext = false;
					textNode2Start = newMarkup.textNodes(true).first()[0];
					if (objects2wrap.index(rangeObject.startContainer) != -1) {
						rangeObject.startContainer = this.getTextNodeSibling(prevOrNext, newMarkup.parent(), textNode2Start);
						rangeObject.startOffset = 0;
					}
					if (objects2wrap.index(rangeObject.endContainer) != -1) {
						rangeObject.endContainer = this.getTextNodeSibling(prevOrNext, newMarkup.parent(), textNode2Start);
						rangeObject.endOffset = rangeObject.endContainer.length;
					}
				}
			}
		},

		/**
		 * takes a text node and return either the next recursive text node sibling or the previous
		 * @param previousOrNext boolean, false for previous, true for next sibling
		 * @param commonAncestorContainer dom object to be used as root for the sibling search
		 * @param currentTextNode dom object of the originating text node
		 * @return dom object of the sibling text node
		 * @hide
		 */
		getTextNodeSibling: function (previousOrNext, commonAncestorContainer, currentTextNode) {
			var textNodes = jQuery(commonAncestorContainer).textNodes(true), newIndex, index;

			index = textNodes.index(currentTextNode);
			if (index == -1) { // currentTextNode was not found
				return false;
			}
			newIndex = index + (!previousOrNext ? -1 : 1);
			return textNodes[newIndex] || false;
		},

		/**
		 * takes a selection tree and groups it into markup wrappable selection trees
		 * @param selectionTree rangeObject selection tree
		 * @param markupObject jQuery object of the markup to be applied (e.g. created with obj = jQuery('<b></b>'); )
		 * @return JS array of wrappable selection trees
		 * @hide
		 */
		optimizeSelectionTree4Markup: function (selectionTree, markupObject, tagComparator) {
			var groupMap = [],
				outerGroupIndex = 0,
				innerGroupIndex = 0,
				that = this,
				i,
			    j,
				endPosition,
			    startPosition;

			if (typeof tagComparator === 'undefined') {
				tagComparator = function (domobj, markupObject) {
					return that.standardTextLevelSemanticsComparator(markupObject);
				};
			}
			for (i = 0; i < selectionTree.length; i++) {
				// we are just interested in selected item, but not in non-selected items
				if (selectionTree[i].domobj && selectionTree[i].selection != 'none') {
					if (markupObject.isReplacingElement && tagComparator(markupObject[0], jQuery(selectionTree[i].domobj))) {
						if (groupMap[outerGroupIndex] !== undefined) {
							outerGroupIndex++;
						}
						groupMap[outerGroupIndex] = {};
						groupMap[outerGroupIndex].wrappable = true;
						groupMap[outerGroupIndex].elements = [];
						groupMap[outerGroupIndex].elements[innerGroupIndex] = selectionTree[i];
						outerGroupIndex++;

					} else if (this.canMarkupBeApplied2ElementAsWhole([selectionTree[i]], markupObject)) {
						// now check, if the children of our item could be wrapped all together by the markup object
						// if yes, add it to the current group
						if (groupMap[outerGroupIndex] === undefined) {
							groupMap[outerGroupIndex] = {};
							groupMap[outerGroupIndex].wrappable = true;
							groupMap[outerGroupIndex].elements = [];
						}
						if (markupObject.isReplacingElement) { //  && selectionTree[i].domobj.nodeType === 3
							/* we found the node to wrap for a replacing element. however there might
							 * be siblings which should be included as well
							 * although they are actually not selected. example:
							 * li
							 * |-textNode ( .selection = 'none')
							 * |-textNode (cursor inside, therefor .selection = 'partial')
							 * |-textNode ( .selection = 'none')
							 *
							 * in this case it would be useful to select the previous and following textNodes as well (they might result from a previous DOM manipulation)
							 * Think about other cases, where the parent is the Editable. In this case we propably only want to select from and until the next <br /> ??
							 * .... many possibilities, here I realize the two described cases
							 */

							// first find start element starting from the current element going backwards until sibling 0
							startPosition = i;
							for (j = i - 1; j >= 0; j--) {
								if (this.canMarkupBeApplied2ElementAsWhole([selectionTree[j]], markupObject) && this.isMarkupAllowedToStealSelectionTreeElement(selectionTree[j], markupObject)) {
									startPosition = j;
								} else {
									break;
								}
							}

							// now find the end element starting from the current element going forward until the last sibling
							endPosition = i;
							for (j = i + 1; j < selectionTree.length; j++) {
								if (this.canMarkupBeApplied2ElementAsWhole([selectionTree[j]], markupObject) && this.isMarkupAllowedToStealSelectionTreeElement(selectionTree[j], markupObject)) {
									endPosition = j;
								} else {
									break;
								}
							}

							// now add the elements to the groupMap
							innerGroupIndex = 0;
							for (j = startPosition; j <= endPosition; j++) {
								groupMap[outerGroupIndex].elements[innerGroupIndex] = selectionTree[j];
								groupMap[outerGroupIndex].elements[innerGroupIndex].selection = 'full';
								innerGroupIndex++;
							}
							innerGroupIndex = 0;
						} else {
							// normal text level semantics object, no siblings need to be selected
							groupMap[outerGroupIndex].elements[innerGroupIndex] = selectionTree[i];
							innerGroupIndex++;
						}
					} else {
						// if no, isolate it in its own group
						if (groupMap[outerGroupIndex] !== undefined) {
							outerGroupIndex++;
						}
						groupMap[outerGroupIndex] = {};
						groupMap[outerGroupIndex].wrappable = false;
						groupMap[outerGroupIndex].element = selectionTree[i];
						innerGroupIndex = 0;
						outerGroupIndex++;
					}
				}
			}
			return groupMap;
		},

		/**
		 * very tricky method, which decides, if a certain markup (normally a replacing markup element like p, h1, blockquote)
		 * is allowed to extend the user selection to other dom objects (represented as selectionTreeElement)
		 * to understand the purpose: if the user selection is collapsed inside e.g. some text, which is currently not
		 * wrapped by the markup to be applied, and therefor the markup does not have an equal markup to replace, then the DOM
		 * manipulator has to decide which objects to wrap. real example:
		 * <div>
		 *	<h1>headline</h1>
		 *	some text blabla bla<br>
		 *	more text HERE THE | CURSOR BLINKING and <b>even more bold text</b>
		 * </div>
		 * when the user now wants to apply e.g. a <p> tag, what will be wrapped? it could be useful if the manipulator would actually
		 * wrap everything inside the div except the <h1>. but for this purpose someone has to decide, if the markup is
		 * allowed to wrap certain dom elements in this case the question would be, if the <p> is allowed to wrap
		 * textNodes, <br> and <b> and <h1>. therefore this tricky method should answer the question for those 3 elements
		 * with true, but for for the <h1> it should return false. and since the method does not know this, there is a configuration
		 * for this
		 *
		 * @param selectionTree rangeObject selection tree element (only one, not an array of)
		 * @param markupObject lowercase string of the tag to be verified (e.g. "b")
		 * @return true if the markup is allowed to wrap the selection tree element, false otherwise
		 * @hide
		 */
		isMarkupAllowedToStealSelectionTreeElement: function (selectionTreeElement, markupObject) {
			if (!selectionTreeElement.domobj) {
				return false;
			}
			var maybeTextNodeName = selectionTreeElement.domobj.nodeName.toLowerCase(),
				nodeName = (maybeTextNodeName == '#text') ? 'textNode' : maybeTextNodeName,
				markupName = markupObject[0].nodeName.toLowerCase(),
				elemMap = this.allowedToStealElements[markupName];
			return elemMap && elemMap[nodeName];
		},

		/**
		 * checks if a selection can be completey wrapped by a certain html tags (helper method for this.optimizeSelectionTree4Markup
		 * @param selectionTree rangeObject selection tree
		 * @param markupObject lowercase string of the tag to be verified (e.g. "b")
		 * @return true if selection can be applied as whole, false otherwise
		 * @hide
		 */
		canMarkupBeApplied2ElementAsWhole: function (selectionTree, markupObject) {
			var htmlTag, i, el, returnVal;

			if (markupObject.jquery) {
				htmlTag = markupObject[0].tagName;
			}
			if (markupObject.tagName) {
				htmlTag = markupObject.tagName;
			}

			returnVal = true;
			for (i = 0; i < selectionTree.length; i++) {
				el = selectionTree[i];
				if (el.domobj && (el.selection != "none" || markupObject.isReplacingElement)) {
					// Aloha.Log.debug(this, 'Checking, if  <' + htmlTag + '> can be applied to ' + el.domobj.nodeName);
					if (!this.canTag1WrapTag2(htmlTag, el.domobj.nodeName)) {
						return false;
					}
					if (el.children.length > 0 && !this.canMarkupBeApplied2ElementAsWhole(el.children, markupObject)) {
						return false;
					}
				}
			}
			return returnVal;
		},

		/**
		 * checks if a tag 1 (first parameter) can wrap tag 2 (second parameter).
		 * IMPORTANT: the method does not verify, if there have to be other tags in between
		 * Example: this.canTag1WrapTag2("table", "td") will return true, because the method does not take into account, that there has to be a "tr" in between
		 * @param t1 string: tagname of outer tag to verify, e.g. "b"
		 * @param t2 string: tagname of inner tag to verify, e.g. "b"
		 * @return true if tag 1 can wrap tag 2, false otherwise
		 * @hide
		 */
		canTag1WrapTag2: function (t1, t2) {
			t1 = (t1 == '#text') ? 'textNode' : t1.toLowerCase();
			t2 = (t2 == '#text') ? 'textNode' : t2.toLowerCase();
			var t1Map = this.tagHierarchy[t1];
			if (!t1Map) {
				return true;
			}
			if (!this.tagHierarchy[t2]) {
				return true;
			}
			return t1Map[t2];
		},

		/**
		 * Check whether it is allowed to insert the given tag at the start of the
		 * current selection. This method will check whether the markup effective for
		 * the start and outside of the editable part (starting with the editable tag
		 * itself) may wrap the given tag.
		 * @param tagName {String} name of the tag which shall be inserted
		 * @return true when it is allowed to insert that tag, false if not
		 * @hide
		 */
		mayInsertTag: function (tagName) {
			var i;
			if (typeof this.rangeObject.unmodifiableMarkupAtStart == 'object') {
				// iterate over all DOM elements outside of the editable part
				for (i = 0; i < this.rangeObject.unmodifiableMarkupAtStart.length; ++i) {
					// check whether an element may not wrap the given
					if (!this.canTag1WrapTag2(this.rangeObject.unmodifiableMarkupAtStart[i].nodeName, tagName)) {
						// found a DOM element which forbids to insert the given tag, we are done
						return false;
					}
				}

				// all of the found DOM elements allow inserting the given tag
				return true;
			}
			Aloha.Log.warn(this, 'Unable to determine whether tag ' + tagName + ' may be inserted');
			return true;
		},

		/**
		 * Sets prevStartContext & prevEndContext to null
		 */
		resetPrevSelectionContexts: function () {
			prevStartContext = null;
			prevEndContext   = null;
		},

		/**
		 * String representation
		 * @return "Aloha.Selection"
		 * @hide
		 */
		toString: function () {
			return 'Aloha.Selection';
		},

		/**
		 * @namespace Aloha.Selection
		 * @class SelectionRange
		 * @extends GENTICS.Utils.RangeObject
		 * Constructor for a range object.
		 * Optionally you can pass in a range object that's properties will be assigned to the new range object.
		 * @param rangeObject A range object thats properties will be assigned to the new range object.
		 * @constructor
		 */
		SelectionRange: GENTICS.Utils.RangeObject.extend({
			_constructor: function (rangeObject) {
				this._super(rangeObject);
				// If a range object was passed in we apply the values to the new range object
				if (rangeObject) {
					if (rangeObject.commonAncestorContainer) {
						this.commonAncestorContainer = rangeObject.commonAncestorContainer;
					}
					if (rangeObject.selectionTree) {
						this.selectionTree = rangeObject.selectionTree;
					}
					if (rangeObject.limitObject) {
						this.limitObject = rangeObject.limitObject;
					}
					if (rangeObject.markupEffectiveAtStart) {
						this.markupEffectiveAtStart = rangeObject.markupEffectiveAtStart;
					}
					if (rangeObject.unmodifiableMarkupAtStart) {
						this.unmodifiableMarkupAtStart = rangeObject.unmodifiableMarkupAtStart;
					}
					if (rangeObject.splitObject) {
						this.splitObject = rangeObject.splitObject;
					}
				}
			},

			/**
			 * DOM object of the common ancestor from startContainer and endContainer
			 * @hide
			 */
			commonAncestorContainer: undefined,

			/**
			 * The selection tree
			 * @hide
			 */
			selectionTree: undefined,

			/**
			 * Array of DOM objects effective for the start container and inside the
			 * editable part (inside the limit object). relevant for the button status
			 * @hide
			 */
			markupEffectiveAtStart: [],

			/**
			 * Array of DOM objects effective for the start container, which lies
			 * outside of the editable portion (starting with the limit object)
			 * @hide
			 */
			unmodifiableMarkupAtStart: [],

			/**
			 * DOM object being the limit for all markup relevant activities
			 * @hide
			 */
			limitObject: undefined,

			/**
			 * DOM object being split when enter key gets hit
			 * @hide
			 */
			splitObject: undefined,

			/**
			 * Sets the visible selection in the Browser based on the range object.
			 * If the selection is collapsed, this will result in a blinking cursor,
			 * otherwise in a text selection.
			 * @method
			 */
			select: function () {
				// Call Utils' select()
				this._super();

				// update the selection
				Aloha.Selection.updateSelection();
			},

			/**
			 * Method to update a range object internally
			 * @param commonAncestorContainer (DOM Object); optional Parameter; if set, the parameter
			 * will be used instead of the automatically calculated CAC
			 * @return void
			 * @hide
			 */
			update: function (commonAncestorContainer) {
				this.updatelimitObject();
				this.updateMarkupEffectiveAtStart();
				this.updateCommonAncestorContainer(commonAncestorContainer);

				// reset the selectiontree (must be recalculated)
				this.selectionTree = undefined;
			},

			/**
			 * Get the selection tree for this range
			 * TODO: remove this (was moved to range.js)
			 * @return selection tree
			 * @hide
			 */
			getSelectionTree: function () {
				// if not yet calculated, do this now
				if (!this.selectionTree) {
					this.selectionTree = Aloha.Selection.getSelectionTree(this);
				}

				return this.selectionTree;
			},

			/**
			 * TODO: move this to range.js
			 * Get an array of domobj (in dom tree order) of siblings of the given domobj, which are contained in the selection
			 * @param domobj dom object to start with
			 * @return array of siblings of the given domobj, which are also selected
			 * @hide
			 */
			getSelectedSiblings: function (domobj) {
				var selectionTree = this.getSelectionTree();

				return this.recursionGetSelectedSiblings(domobj, selectionTree);
			},

			/**
			 * TODO: move this to range.js
			 * Recursive method to find the selected siblings of the given domobj (which should be selected as well)
			 * @param domobj dom object for which the selected siblings shall be found
			 * @param selectionTree current level of the selection tree
			 * @return array of selected siblings of dom objects or false if none found
			 * @hide
			 */
			recursionGetSelectedSiblings: function (domobj, selectionTree) {
				var selectedSiblings = false,
					foundObj = false,
					i;

				for (i = 0; i < selectionTree.length; ++i) {
					if (selectionTree[i].domobj === domobj) {
						foundObj = true;
						selectedSiblings = [];
					} else if (!foundObj && selectionTree[i].children) {
						// do the recursion
						selectedSiblings = this.recursionGetSelectedSiblings(domobj, selectionTree[i].children);
						if (selectedSiblings !== false) {
							break;
						}
					} else if (foundObj && selectionTree[i].domobj && selectionTree[i].selection != 'collapsed' && selectionTree[i].selection != 'none') {
						selectedSiblings.push(selectionTree[i].domobj);
					} else if (foundObj && selectionTree[i].selection == 'none') {
						break;
					}
				}

				return selectedSiblings;
			},

			/**
			 * TODO: move this to range.js
			 * Method updates member var markupEffectiveAtStart and splitObject, which is relevant primarily for button status and enter key behaviour
			 * @return void
			 * @hide
			 */
			updateMarkupEffectiveAtStart: function () {
				// reset the current markup
				this.markupEffectiveAtStart = [];
				this.unmodifiableMarkupAtStart = [];

				var parents = this.getStartContainerParents(),
					limitFound = false,
					splitObjectWasSet,
					i,
				    el;

				for (i = 0; i < parents.length; i++) {
					el = parents[i];
					if (!limitFound && (el !== this.limitObject)) {
						this.markupEffectiveAtStart[i] = el;
						if (!splitObjectWasSet && GENTICS.Utils.Dom.isSplitObject(el)) {
							splitObjectWasSet = true;
							this.splitObject = el;
						}
					} else {
						limitFound = true;
						this.unmodifiableMarkupAtStart.push(el);
					}
				}
				if (!splitObjectWasSet) {
					this.splitObject = false;
				}
				return;
			},

			/**
			 * TODO: remove this
			 * Method updates member var markupEffectiveAtStart, which is relevant primarily for button status
			 * @return void
			 * @hide
			 */
			updatelimitObject: function () {
				if (Aloha.editables && Aloha.editables.length > 0) {
					var parents = this.getStartContainerParents(),
						editables = Aloha.editables,
						i,
					    el,
					    j,
					    editable;
					for (i = 0; i < parents.length; i++) {
						el = parents[i];
						for (j = 0; j < editables.length; j++) {
							editable = editables[j].obj[0];
							if (el === editable) {
								this.limitObject = el;
								return true;
							}
						}
					}
				}
				this.limitObject = jQuery('body');
				return true;
			},

			/**
			 * string representation of the range object
			 * @param	verbose	set to true for verbose output
			 * @return string representation of the range object
			 * @hide
			 */
			toString: function (verbose) {
				if (!verbose) {
					return 'Aloha.Selection.SelectionRange';
				}
				return 'Aloha.Selection.SelectionRange {start [' + this.startContainer.nodeValue + '] offset ' + this.startOffset + ', end [' + this.endContainer.nodeValue + '] offset ' + this.endOffset + '}';
			}

		}) // SelectionRange

	}); // Selection


	/**
	 * This method implements an ugly workaround for a selection problem in ie:
	 * when the cursor shall be placed at the end of a text node in a li element, that is followed by a nested list,
	 * the selection would always snap into the first li of the nested list
	 * therefore, we make sure that the text node ends with a space and place the cursor right before it
	 */
	function nestedListInIEWorkaround(range) {
		var nextSibling;
		if (Aloha.browser.msie && range.startContainer === range.endContainer && range.startOffset === range.endOffset && range.startContainer.nodeType == 3 && range.startOffset == range.startContainer.data.length && range.startContainer.nextSibling) {
			nextSibling = range.startContainer.nextSibling;
			if ('OL' === nextSibling.nodeName || 'UL' === nextSibling.nodeName) {
				if (range.startContainer.data[range.startContainer.data.length - 1] == ' ') {
					range.startOffset = range.endOffset = range.startOffset - 1;
				} else {
					range.startContainer.data = range.startContainer.data + ' ';
				}
			}
		}
	}

	function correctRange(range) {
		nestedListInIEWorkaround(range);
		return range;
	}

	/**
	 * Implements Selection http://html5.org/specs/dom-range.html#selection
	 * @namespace Aloha
	 * @class Selection This singleton class always represents the
	 *        current user selection
	 * @singleton
	 */
	var AlohaSelection = Class.extend({

		_constructor: function (nativeSelection) {

			this._nativeSelection = nativeSelection;
			this.ranges = [];

			// will remember if urged to not change the selection
			this.preventChange = false;

		},

		/**
		 * Returns the element that contains the start of the selection. Returns null if there's no selection.
		 * @readonly
		 * @type Node
		 */
		anchorNode: null,

		/**
		 * Returns the offset of the start of the selection relative to the element that contains the start
		 * of the selection. Returns 0 if there's no selection.
		 * @readonly
		 * @type int
		 */
		anchorOffset: 0,

		/**
		 * Returns the element that contains the end of the selection.
		 * Returns null if there's no selection.
		 * @readonly
		 * @type Node
		 */
		focusNode: null,

		/**
		 * Returns the offset of the end of the selection relative to the element that contains the end
		 * of the selection. Returns 0 if there's no selection.
		 * @readonly
		 * @type int
		 */
		focusOffset: 0,

		/**
		 * Returns true if there's no selection or if the selection is empty. Otherwise, returns false.
		 * @readonly
		 * @type boolean
		 */
		isCollapsed: false,

		/**
		 * Returns the number of ranges in the selection.
		 * @readonly
		 * @type int
		 */
		rangeCount: 0,

		/**
		 * Replaces the selection with an empty one at the given position.
		 * @throws a WRONG_DOCUMENT_ERR exception if the given node is in a different document.
		 * @param parentNode Node of new selection
		 * @param offest offest of new Selection in parentNode
		 * @void
		 */
		collapse: function (parentNode, offset) {
			this._nativeSelection.collapse(parentNode, offset);
		},

		/**
		 * Replaces the selection with an empty one at the position of the start of the current selection.
		 * @throws an INVALID_STATE_ERR exception if there is no selection.
		 * @void
		 */
		collapseToStart: function () {
			throw "NOT_IMPLEMENTED";
		},

		/**
		 * @void
		 */
		extend: function (parentNode, offset) {

		},

		/**
		 * @param alter DOMString
		 * @param direction DOMString
		 * @param granularity DOMString
		 * @void
		 */
		modify: function (alter, direction, granularity) {

		},

		/**
		 * Replaces the selection with an empty one at the position of the end of the current selection.
		 * @throws an INVALID_STATE_ERR exception if there is no selection.
		 * @void
		 */
		collapseToEnd: function () {
			this._nativeSelection.collapseToEnd();
		},

		/**
		 * Replaces the selection with one that contains all the contents of the given element.
		 * @throws a WRONG_DOCUMENT_ERR exception if the given node is in a different document.
		 * @param parentNode Node the Node fully select
		 * @void
		 */
		selectAllChildren: function (parentNode) {
			throw "NOT_IMPLEMENTED";
		},

		/**
		 * Deletes the contents of the selection
		 */
		deleteFromDocument: function () {
			throw "NOT_IMPLEMENTED";
		},

		/**
		 * NB!
		 * We have serious problem in IE.
		 * The range that we get in IE is not the same as the range we had set,
		 * so even if we normalize it during getRangeAt, in IE, we will be
		 * correcting the range to the "correct" place, but still not the place
		 * where it was originally set.
		 *
		 * Returns the given range.
		 * The getRangeAt(index) method returns the indexth range in the list.
		 * NOTE: Aloha Editor only support 1 range! index can only be 0
		 * @throws INDEX_SIZE_ERR DOM exception if index is less than zero or
		 * greater or equal to the value returned by the rangeCount.
		 * @param index int
		 * @return Range return the selected range from index
		 */
		getRangeAt: function (index) {
			return correctRange(this._nativeSelection.getRangeAt(index));
			//if ( index < 0 || this.rangeCount ) {
			//	throw "INDEX_SIZE_ERR DOM";
			//}
			//return this._ranges[index];
		},

		/**
		 * Adds the given range to the selection.
		 * The addRange(range) method adds the given range Range object to the list of
		 * selections, at the end (so the newly added range is the new last range).
		 * NOTE: Aloha Editor only support 1 range! The added range will replace the
		 * range at index 0
		 * see http://html5.org/specs/dom-range.html#selection note about addRange
		 * @throws an INVALID_NODE_TYPE_ERR exception if the given Range has a boundary point
		 * node that's not a Text or Element node, and an INVALID_MODIFICATION_ERR exception
		 * if it has a boundary point node that doesn't descend from a Document.
		 * @param range Range adds the range to the selection
		 * @void
		 */
		addRange: function (range) {
			// set readonly attributes
			this._nativeSelection.addRange(range);
			// We will correct the range after rangy has processed the native
			// selection range, so that our correction will be the final fix on
			// the range according to the guarentee's that Aloha wants to make
			this._nativeSelection._ranges[0] = correctRange(range);

			// make sure, the old Aloha selection will be updated (until all implementations use the new AlohaSelection)
			Aloha.Selection.updateSelection();
		},

		/**
		 * Removes the given range from the selection, if the range was one of the ones in the selection.
		 * NOTE: Aloha Editor only support 1 range! The added range will replace the
		 * range at with index 0
		 * @param range Range removes the range from the selection
		 * @void
		 */
		removeRange: function (range) {
			this._nativeSelection.removeRange();
		},

		/**
		 * Removes all the ranges in the selection.
		 * @viod
		 */
		removeAllRanges: function () {
			this._nativeSelection.removeAllRanges();
		},

		/**
		 * INFO: Method is used for integration with Gentics
		 * Aloha, has no use otherwise Updates the rangeObject
		 * according to the current user selection Method is
		 * always called on selection change
		 *
		 * @param event
		 *            jQuery browser event object
		 * @return true when rangeObject was modified, false
		 *         otherwise
		 * @hide
		 */
		refresh: function (event) {

		},

		/**
		 * String representation
		 *
		 * @return "Aloha.Selection"
		 * @hide
		 */
		toString: function () {
			return 'Aloha.Selection';
		},

		getRangeCount: function () {
			return this._nativeSelection.rangeCount;
		}

	});

	/**
	 * A wrapper for the function of the same name in the rangy core-depdency.
	 * This function should be preferred as it hides the global rangy object.
	 * For more information look at the following sites:
	 * http://html5.org/specs/dom-range.html
	 * @param window optional - specifices the window to get the selection of
	 */
	Aloha.getSelection = function (target) {
		target = (target !== document || target !== window) ? window : target;
		// Aloha.Selection.refresh()
		// implement Aloha Selection
		// TODO cache
		return new AlohaSelection(window.rangy.getSelection(target));
	};

	/**
	 * A wrapper for the function of the same name in the rangy core-depdency.
	 * This function should be preferred as it hides the global rangy object.
	 * Please note: when the range object is not needed anymore,
	 *   invoke the detach method on it. It is currently unknown to me why
	 *   this is required, but that's what it says in the rangy specification.
	 * For more information look at the following sites:
	 * http://www.w3.org/TR/DOM-Level-2-Traversal-Range/ranges.html
	 * @param document optional - specifies which document to create the range for
	 */
	Aloha.createRange = function (givenWindow) {
		return window.rangy.createRange(givenWindow);
	};

	/**
	 * Method to scroll the window to move the current collapsed selection into
	 * the viewport. If the selection is not collapsed or some browser functionality
	 * for detecting the position of the current selection is not available, nothing
	 * will be done. This applies e.g. to older IE versions.
	 */
	Aloha.scrollToSelection = function () {
		var sel = Aloha.getSelection();
		// no selection, do nothing
		if (sel.getRangeCount() === 0) {
			return;
		}
		var range = sel.getRangeAt(0);
		if (!range.collapsed) {
			return;
		}

		// check for necessary browser functionality
		if (!range.nativeRange) {
			return;
		}
		if (!range.nativeRange.getClientRects) {
			return;
		}

		// determine the position of the current selection as close as possible
		var rect, top, bottom, prev, next;
		if (range.nativeRange.getClientRects().length === 0) {
			if (range.startContainer.nodeType === 3) {
				rect = range.startContainer.parentNode.getBoundingClientRect();
				top = rect.top;
				bottom = rect.bottom;
			} else {
				// the start container is not a text node, so we get the bounding rectangle of the start container itself
				rect = range.startContainer.getBoundingClientRect();
				top = rect.top;
				bottom = rect.bottom;

				// we refine the top and bottom positions by getting the bounding rectangles of the previous and next elements
				if (range.startOffset > 0) {
					prev = range.startContainer.childNodes[range.startOffset - 1];
					next = prev.nextSibling;
				} else {
					next = range.startContainer.firstChild;
				}
				if (prev && prev.nodeType === 1) {
					top = prev.getBoundingClientRect().bottom;
				}
				if (next && next.nodeType === 1) {
					bottom = next.getBoundingClientRect().top;
				}
			}
		} else {
			rect = range.nativeRange.getClientRects()[0];
			top = rect.top;
			bottom = rect.bottom;
		}

		// scroll the window if necessary
		var $win = jQuery(window);
		if (top < 0) {
			$win.scrollTop($win.scrollTop() + top);
		} else if (bottom > $win.height()) {
			$win.scrollTop($win.scrollTop() + (bottom - $win.height()));
		}

		var $scrollable = jQuery(range.startContainer).closest(':hasScroll(y)');
		if ($scrollable.length > 0 && !$scrollable.is($win) && !$scrollable.is(jQuery('html'))) {
			var scrollRect = $scrollable[0].getBoundingClientRect();
			if (top < scrollRect.top) {
				// scroll up
				$scrollable.scrollTop($scrollable.scrollTop() - (scrollRect.top - top));
			} else if (bottom > scrollRect.bottom) {
				// scroll down
				$scrollable.scrollTop($scrollable.scrollTop() + (bottom - scrollRect.bottom));
			}
		}
	};

	var selection = new Selection();
	Aloha.Selection = selection;

	return selection;
});

/* block-jump.js is part of the Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/**
 * Implements some logic related to moving the cursor keys across blocks.
 * 
 * In the following example
 *
 * "some text<span class="aloha-block ..." contenteditable="false" ...>...</span>[]some text"
 *
 * when one moves the cursor indicated by "[]" to the left, the entire
 * non-contenteditable block is skipped. The same for moving the cursor
 * right across the block.
 *
 * TODO: actually, the block shouldn't be skipped, it should be
 *       selected/highlighted first.
 * TODO: this file currently doesn't contain all the code to implement
 *       block jumping. Some of it is currently implemented in markup.js.
 */
define('aloha/block-jump',[
	'aloha/core',
	'jquery',
	'aloha/console'
], function (
	Aloha,
	$,
	console
) {
	'use strict';

	var zeroWidthNode = null;

	/**
	 * Replaces the text in given text with the given text.
	 *
	 * @param node
	 *        A text node attached to the DOM.
	 * @param text
	 *        A string that is to replace the text of the given text node.
	 */
	function replaceMergeTextNode(node, text) {
		node.deleteData(0, node.length);
		if ('' !== text) {
			if (node.nextSibling && 3 === node.nextSibling.nodeType) {
				node.nextSibling.insertData(0, text);
			} else if (node.previousSibling && 3 === node.previousSibling.nodeType) {
				node.previousSibling.insertData(node.previousSibling.length, text);
			} else {
				node.insertData(0, text);
			}
		}
		// We don't remove the node immediately to avoid intefering with a
		// caller's range object that may have a start or end containers
		// equal to this node. Removing it in a timeout may still interfere
		// with the selection, but that was not a problem during testing.
		setTimeout(function () {
			if (0 === node.length) {
				$(node).remove();
			}
		}, 0);
	}

	/**
	 * Removes a previously inserted zero width text node.
	 * See insertZeroWidthTextNodeFix().
	 */
	function removeZeroWidthTextNodeFix() {
		if (!zeroWidthNode) {
			return;
		}
		// We want to only replace a single zero-width character to avoid
		// interfering with the other zero-width whitespace hack that makes
		// empty lines visible in IE7.
		var text = zeroWidthNode.nodeValue.replace(/\u200b/, '');
		if (text === zeroWidthNode.nodeValue) {
			console.warn('Expected to remove the zero width text node fix, but couldn\'t find it');
		}
		replaceMergeTextNode(zeroWidthNode, text);
		zeroWidthNode = null;
	}

	/**
	 * Inserts a zero width text node before or after a block.
	 *
	 * There is a problem where some browsers can't select the boundary
	 * between some contenteditable content and non-contenteditable
	 * content. For example, if in the example at the top of the file
	 * the selection were one step to the right "...</span>s[]ome..."
	 * and the left cursor key were pressed, then the selection would
	 * just disappear or be stuck between the span and the text node.
	 *
	 * To work around this problem a zero width text node is inserted
	 * before or after a block.
	 *
	 * The inserted zero width text node will be removed automatically
	 * when it isn't necessary any more (on selection change or on
	 * editable.getContents()).
	 *
	 * TODO: In retrospect, a better alternative may be to simply wrap
	 *       every inlin-block with an editable span.
	 * @param block
	 *        The DOM element for a block before or after which the zero
	 *        width text node will be inserted.
	 * @param isGoingLeft
	 *        True if the zero width text node is to be inserted after
	 *        the block element, or false if the zero width text node is
	 *        to be inserted before the block element.
	 * @return
	 *        The text node that was inserted.
	 */
	function insertZeroWidthTextNodeFix(block, isGoingLeft) {
		removeZeroWidthTextNodeFix();
		zeroWidthNode = document.createTextNode("\u200b");
		if (isGoingLeft) {
			$(block).after(zeroWidthNode);
		} else {
			$(block).before(zeroWidthNode);
		}
		Aloha.bind('aloha-selection-changed', function (event) {
			removeZeroWidthTextNodeFix();
			Aloha.unbind(event);
		});
		return zeroWidthNode;
	}

	return {
		removeZeroWidthTextNodeFix: removeZeroWidthTextNodeFix,
		insertZeroWidthTextNodeFix: insertZeroWidthTextNodeFix
	};
});

/* markup.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('aloha/markup',[
	'aloha/core',
	'util/class',
	'util/html',
	'jquery',
	'aloha/ecma5shims',
	'aloha/console',
	'aloha/block-jump',
	'aloha/content-rules'
], function (
	Aloha,
	Class,
	Html,
	jQuery,
	shims,
	console,
	BlockJump,
	ContentRules
) {
	"use strict";

	var GENTICS = window.GENTICS;

	var isOldIE = !!(Aloha.browser.msie && 9 > parseInt(Aloha.browser.version, 10));

	function isBR(node) {
		return 'BR' === node.nodeName;
	}

	function isBlock(node) {
		return 'false' === jQuery(node).attr('contenteditable');
	}

	function isTextNode(node) {
		return node && 3 === node.nodeType; // Node.TEXT_NODE
	}

	function nodeLength(node) {
		return !node ? 0 : (isTextNode(node) ? node.length : node.childNodes.length);
	}

	/**
	 * Determines whether the given text node is visible to the the user,
	 * based on our understanding that browsers will not display
	 * superfluous white spaces.
	 *
	 * @param {HTMLEmenent} node The text node to be checked.
	 */
	function isVisibleTextNode(node) {
		return 0 < node.data.replace(/\s+/g, '').length;
	}

	function nextVisibleNode(node) {
		if (!node) {
			return null;
		}

		if (node.nextSibling) {
			// Skip over nodes that the user cannot see ...
			if (isTextNode(node.nextSibling) && !isVisibleTextNode(node.nextSibling)) {
				return nextVisibleNode(node.nextSibling);
			}

			// Skip over propping <br>s ...
			if (isBR(node.nextSibling) && node.nextSibling === node.parentNode.lastChild) {
				return nextVisibleNode(node.nextSibling);
			}

			// Skip over empty editable elements ...
			if ('' === node.nextSibling.innerHTML && !isBlock(node.nextSibling)) {
				return nextVisibleNode(node.nextSibling);
			}

			return node.nextSibling;
		}

		if (node.parentNode) {
			return nextVisibleNode(node.parentNode);
		}

		return null;
	}

	function prevVisibleNode(node) {
		if (!node) {
			return null;
		}

		if (node.previousSibling) {
			// Skip over nodes that the user cannot see...
			if (isTextNode(node.previousSibling) && !isVisibleTextNode(node.previousSibling)) {
				return prevVisibleNode(node.previousSibling);
			}

			// Skip over empty editable elements ...
			if ('' === node.previousSibling.innerHTML && !isBlock(node.previousSibling)) {
				return prevVisibleNode(node.previouSibling);
			}

			return node.previousSibling;
		}

		if (node.parentNode) {
			return prevVisibleNode(node.parentNode);
		}

		return null;
	}

	/**
	 * Checks if the caret (the passed offset) is at the start
	 * of the passed node. This also trims whitespace before checking.
	 *
	 * @param {Object} node    A DOM node
	 * @param {number} offset  Offset into the node, this is 0 or 1 for elements
	 * @return {boolean}       True or false
	 */
	function isFrontPosition(node, offset) {
		if (isTextNode(node)
				&& offset <= node.data.length - node.data.replace(/^\s+/, '').length) {
			return true;
		}

		return offset === 0;
	}

	function isBlockInsideEditable($block) {
		return $block.parent().hasClass('aloha-editable');
	}

	function isEndPosition(node, offset) {
		var length = nodeLength(node);

		if (length === offset) {
			return true;
		}

		var isText = isTextNode(node);

		// If within a text node, then ignore superfluous white-spaces,
		// since they are invisible to the user.
		if (isText && node.data.replace(/\s+$/, '').length === offset) {
			return true;
		}

		if (1 === length && !isText) {
			return isBR(node.childNodes[0]);
		}

		return false;
	}

	function blink(node) {
		jQuery(node).stop(true).css({
			opacity: 0
		}).fadeIn(0).delay(100).fadeIn(function () {
			jQuery(node).css({
				opacity: 1
			});
		});

		return node;
	}

	function nodeContains(node1, node2) {
		return isOldIE ? (shims.compareDocumentPosition(node1, node2) & 16) : 0 < jQuery(node1).find(node2).length;
	}

	function isInsidePlaceholder(range) {
		var start = range.startContainer;
		var end = range.endContainer;
		var $placeholder = window.$_alohaPlaceholder;

		return $placeholder.is(start) || $placeholder.is(end) || nodeContains($placeholder[0], start) || nodeContains($placeholder[0], end);
	}

	function cleanupPlaceholders(range) {
		if (window.$_alohaPlaceholder && !isInsidePlaceholder(range)) {
			if (0 === window.$_alohaPlaceholder.html().replace(/^(&nbsp;)*$/, '').length) {
				window.$_alohaPlaceholder.remove();
			}

			window.$_alohaPlaceholder = null;
		}
	}

	/**
	 * @TODO(petro): We need to be more intelligent about whether we insert a
	 *               block-level placeholder or a phrasing level element.
	 * @TODO(petro): test with <pre>
	 * @TODO: move to block-jump.js
	 */
	function jumpBlock(block, isGoingLeft, currentRange) {
		var range = new GENTICS.Utils.RangeObject();
		var sibling = isGoingLeft ? prevVisibleNode(block) : nextVisibleNode(block);

		if (!sibling || isBlock(sibling)) {
			var $landing = jQuery('<div class="aloha-placeholder aloha-editing-div">&nbsp;</div>');

			if (isGoingLeft) {
				jQuery(block).before($landing);
			} else {
				jQuery(block).after($landing);
			}

			range.startContainer = range.endContainer = $landing[0];
			range.startOffset = range.endOffset = 0;

			// Clear out any old placeholder first ...
			cleanupPlaceholders(range);

			window.$_alohaPlaceholder = $landing;
		} else {

			// Don't jump the block yet if the cursor is moving to the
			// beginning or end of a text node, or if it is about to leave
			// an element node. Both these cases require a hack in some
			// browsers.
			var moveToBoundaryPositionInIE = ( // To the beginning or end of a text node?
				(currentRange.startContainer.nodeType === 3
				 && currentRange.startContainer === currentRange.endContainer
				 && currentRange.startContainer.nodeValue !== ""
				 && (isGoingLeft ? currentRange.startOffset === 1 : currentRange.endOffset + 1 === currentRange.endContainer.length))
				// Leaving an element node?
					|| (currentRange.startContainer.nodeType === 1
						&& (!currentRange.startOffset
							|| (currentRange.startContainer.childNodes[currentRange.startOffset] && currentRange.startContainer.childNodes[currentRange.startOffset].nodeType === 1)))
			);

			if (moveToBoundaryPositionInIE) {
				// The cursor is moving to the beginning or end of a text
				// node, or is leaving an element node, which requires a
				// hack in some browsers.
				var zeroWidthNode = BlockJump.insertZeroWidthTextNodeFix(block, isGoingLeft);
				range.startContainer = range.endContainer = zeroWidthNode;
				range.startOffset = range.endOffset = isGoingLeft ? 1 : 0;
			} else {
				// The selection is already at the boundary position - jump
				// the block.
				range.startContainer = range.endContainer = sibling;
				range.startOffset = range.endOffset = isGoingLeft ? nodeLength(sibling) : 0;
				if (!isGoingLeft) {
					// Just as above, jumping to the first position right of
					// a block requires a hack in some browsers. Jumping
					// left seems to be fine.
					BlockJump.insertZeroWidthTextNodeFix(block, true);
				}
			}
			cleanupPlaceholders(range);
		}

		range.select();

		Aloha.trigger('aloha-block-selected', block);
		Aloha.Selection.preventSelectionChanged();
	}

	/**
	 * recursively search through parent nodes to find if
	 * node is child of a specific node.
	 *
	 * @param {DOMNode} starting node
	 * @param {Array[String]} Array of UPPERCASE (!) node names to search for, eg. ["TD"] or ["TD", "TH"].
	 * @return true if node is child of a node of nodeName, false otherwise
	 */
	function isChildOf(node, nodeNames) {
		var i;
		if (node.parentNode) {
			for (i = 0; i < nodeNames.length; i++) {
				if (nodeNames[i] === node.parentNode.nodeName) {
					return true;
				}
			}
			return isChildOf(node.parentNode, nodeNames);
		} else {
			return false;
		}
	}

	/**
	 * Will recursively check if the current node is the first node in
	 * it's hierarchy up it's ancestor tree until the stopNode is reached.
	 * Useful to find eg. if you're in the first td within a table.
	 * Will stop if stopNodeName is encountered or the root node is reached.
	 *
	 * @param {DOMnode} node to start from
	 * @param {String} UPPERCASE node name to stop search at
	 * @return true if node is the first node, false otherwise
	 */
	function isFirstNode(node, stopNodeName) {
		if (!node.parentNode) {
			return true;
		}

		// firstChild will also find textNodes while children[0] will only return non-text nodes
		var isTextNode = ((node.nodeType === 3 && node.parentNode.firstChild === node) || (node.parentNode.children[0] === node));

		// unfortunately we need to take care of the aloha-table-selectrow and aloha-table-selectcolumn
		var isTableSelectRow = node.nodeName === 'TR' && node.parentNode.children[0].className.indexOf('aloha-table-selectcolumn') !== -1;
		var isTableSelectColumn = node.nodeName === 'TD' && node.parentNode.children[0].className.indexOf('aloha-table-selectrow') !== -1;
		var isFirstNodeOfTable = ((isTableSelectColumn || isTableSelectRow) && node.parentNode.children[1] === node);

		if (isTextNode || isFirstNodeOfTable) {
			if (node.parentNode.nodeName === stopNodeName) {
				return true;
			} else {
				return isFirstNode(node.parentNode, stopNodeName);
			}
		} else {
			return false;
		}
	}

	/**
	 * Will recurseively check if the current node is the last node in
	 * it's hierarchy up it's ancestor tree until the stopNode is reached.
	 * Useful to find eg. if you're in the last td within a table.
	 * Will stop if stopNodeName is encountered or the root node is reached.
	 * Will ignore whitespace text nodes and caption nodes
	 *
	 * @param {DOMnode} node to start from
	 * @param {String} UPPERCASE node name to stop search at
	 * @return true if node is the last node, false otherwise
	 */
	// implemented as an IIFE because the local helper getLast() should only be defined once
	var isLastNode = (function () {
		// get the last node that is not empty text or a table caption
		function getLast(node) {
			var last, i;

			for (i = node.childNodes.length - 1; i > -1; i--) {
				last = node.childNodes[i];
				if (last.nodeName !== 'CAPTION' && !(last.nodeType === 3 && /^[\t\n\r ]+$/.test(last.data))) {
					return last;
				}
			}

			return node.lastChild;
		}

		return function (node, stopNodeName) {
			if (!node.parentNode) {
				return true;
			}

			if (getLast(node.parentNode) === node) {
				if (node.parentNode.nodeName === stopNodeName) {
					return true;
				} else {
					return isLastNode(node.parentNode, stopNodeName);
				}
			} else {
				return false;
			}
		};
	}());

	/**
	 * Markup object
	 */
	Aloha.Markup = Class.extend({

		/**
		 * Key handlers for special key codes
		 */
		keyHandlers: {},

		/**
		 * Add a key handler for the given key code
		 * @param keyCode key code
		 * @param handler handler function
		 */
		addKeyHandler: function (keyCode, handler) {
			if (!this.keyHandlers[keyCode]) {
				this.keyHandlers[keyCode] = [];
			}

			this.keyHandlers[keyCode].push(handler);
		},

		/**
		 * Removes a key handler for the given key code
		 * @param keyCode key code
		 */
		removeKeyHandler: function (keyCode) {
			if (this.keyHandlers[keyCode]) {
				this.keyHandlers[keyCode] = null;
			}
		},

		insertBreak: function () {
			var range = Aloha.Selection.rangeObject,
				nonWSIndex,
				nextTextNode,
				newBreak;

			if (!range.isCollapsed()) {
				this.removeSelectedMarkup();
			}

			newBreak = jQuery('<br/>');
			GENTICS.Utils.Dom.insertIntoDOM(newBreak, range, Aloha.activeEditable.obj);

			nextTextNode = GENTICS.Utils.Dom.searchAdjacentTextNode(
				newBreak.parent().get(0),
				GENTICS.Utils.Dom.getIndexInParent(newBreak.get(0)) + 1,
				false
			);

			if (nextTextNode) {
				// trim leading whitespace
				nonWSIndex = nextTextNode.data.search(/\S/);
				if (nonWSIndex > 0) {
					nextTextNode.data = nextTextNode.data.substring(nonWSIndex);
				}
			}

			range.startContainer = range.endContainer = newBreak.get(0).parentNode;
			range.startOffset = range.endOffset = GENTICS.Utils.Dom.getIndexInParent(newBreak.get(0)) + 1;
			range.correctRange();
			range.clearCaches();
			range.select();
		},

		/**
		 * first method to handle key strokes
		 * @param event DOM event
		 * @param rangeObject as provided by Aloha.Selection.getRangeObject();
		 * @return "Aloha.Selection"
		 */
		preProcessKeyStrokes: function (event) {
			if (event.target.nodeName === 'INPUT' || event.target.nodeName === 'TEXTAREA') {
				// Just let the browser handle all events on input fields.
				event.stopImmediatePropagation();

				return true;
			}

			if (event.type !== 'keydown') {
				return false;
			}

			var rangeObject,
			    handlers,
			    i;

			if (this.keyHandlers[event.keyCode]) {
				handlers = this.keyHandlers[event.keyCode];
				for (i = 0; i < handlers.length; ++i) {
					if (!handlers[i](event)) {
						return false;
					}
				}
			}

			// LEFT (37), RIGHT (39) keys for block detection
			if (event.keyCode === 37 || event.keyCode === 39) {
				if (Aloha.getSelection().getRangeCount()) {
					rangeObject = Aloha.getSelection().getRangeAt(0);

					if (this.processCursor(rangeObject, event.keyCode)) {
						cleanupPlaceholders(Aloha.Selection.rangeObject);
						return true;
					}
				}

				return false;
			}

			// UP (38), DOWN (40) keys for table navigation
			if (event.keyCode === 38 || event.keyCode === 40) {
				if (Aloha.getSelection().getRangeCount()) {
					rangeObject = Aloha.getSelection().getRangeAt(0);
					if (this.processCursorUpDown(rangeObject, event.keyCode)) {
						return false;
					}
				}
				return true;
			}

			// Internet Explorer hack: IE would allow to move the cursor into non-editable areas.
			// we cannot prevent this, without breaking the selection & copy/paste functionality.
			// so we simply prevent any keypress events that would insert text into non-editable areas
			// keypresses with the ctrl-key are allowed, because they trigger functionality like copying
			if (Aloha.browser.msie && !Aloha.Selection.isSelectionEditable() && !event.ctrlKey) {
				return false;
			}

			// BACKSPACE
			if (event.keyCode === 8) {
				event.preventDefault(); // prevent history.back() even on exception
				Aloha.execCommand('delete', false);
				return false;
			}

			// DELETE
			if (event.keyCode === 46) {
				Aloha.execCommand('forwarddelete', false);
				return false;
			}

			// ENTER
			if (event.keyCode === 13) {
				if (!event.shiftKey && Html.allowNestedParagraph(Aloha.activeEditable) && ContentRules.isAllowed(Aloha.activeEditable.obj, 'p')) {
					Aloha.execCommand('insertparagraph', false);
					return false;
				// if the shift key is pressed, or if the active editable is not allowed
				// to contain paragraphs, a linebreak is inserted instead
				} else if (ContentRules.isAllowed(Aloha.activeEditable.obj, 'br')) {
					Aloha.execCommand('insertlinebreak', false);
					return false;
				} else if (Html.allowNestedParagraph(Aloha.activeEditable) && ContentRules.isAllowed(Aloha.activeEditable.obj, 'p')) {
					Aloha.execCommand('insertparagraph', false);
					return false;
				} else {
					return false;
				}
			}
			return true;
		},

		/**
		 * processing up and down cursor keys inside tables
		 * will only try to figure out if cursor is at first
		 * or last position in table and exit to the next
		 * editable node from there
		 *
		 * won't do anything if range is not collapsed
		 * 
		 * @param {RangyRange} range A range object for the current selection.
		 * @param {number} keyCode Code of the currently pressed key.
		 * @return {boolean} true if something was done, false if browser should 
		 * continue handling the event
		 */
		processCursorUpDown: function (range, keyCode) {
			if (!range.collapsed) {
				return false;
			}

			var node = range.startContainer,
				tableWrapper,
				cursorNode;

			// UP
			if (keyCode === 38 &&
					isFrontPosition(node, range.startOffset) &&
					isChildOf(node, ['TD', 'TH']) &&
					isFirstNode(node, 'TABLE')) {

				// we want to position the cursor now in the first 
				// element before the table, so we need to find the
				// table wrapper first ...
				tableWrapper = jQuery(node).parents('div.aloha-table-wrapper').get(0);
				if (!tableWrapper) {
					return false;
				}

				// ... and then find it's previousSibling
				// which we will descend down to its deepest
				// nested child node, where we will put the
				// cursor
				// prefer previousElemntSibling because Firefox will land you in a
				// whitespace text node between a preceding <p> and the table otherwise
				if (tableWrapper.previousElementSibling) {
					cursorNode = tableWrapper.previousElementSibling;
				} else {
					cursorNode = tableWrapper.previousSibling;
				}
				while (cursorNode.nodeType !== 3) {
					cursorNode = cursorNode.lastChild;
					if (cursorNode === null) {
						// stop if there is no element to be entered before the table
						return false;
					}
				}

				Aloha.Selection.rangeObject.startContainer = cursorNode;
				Aloha.Selection.rangeObject.endContainer = cursorNode;
				Aloha.Selection.rangeObject.startOffset = cursorNode.length;
				Aloha.Selection.rangeObject.endOffset = cursorNode.length;
				Aloha.Selection.rangeObject.select();

				// Mozilla needs this fix or else the selection will not work
				if (Aloha.activeEditable && jQuery.browser.mozilla && document.activeElement !== Aloha.activeEditable.obj[0]) {
					Aloha.activeEditable.obj.focus();
				}

				return true;

			// DOWN
			} else if (keyCode === 40 &&
					isEndPosition(node, range.startOffset) &&
					isChildOf(node, ['TD', 'TH']) &&
					isLastNode(node, 'TABLE')) {

				// we want to put the cursor in the first element right 
				// after the table so we need to find the table wrapper first
				tableWrapper = jQuery(node).parents('div.aloha-table-wrapper').get(0);
				if (!tableWrapper) {
					return false;
				}

				// and now find its following sibling where we will put
				// the cursor in the first position
				// the next elementSibling is preffered over the nextSibling
				// because Mozilla will sometimes have an empty text node
				// right next to the table - but we most likely want to put 
				// the cursor into the next paragraph
				if (tableWrapper.nextElementSibling) {
					cursorNode = tableWrapper.nextElementSibling;
				} else {
					cursorNode = tableWrapper.nextSibling;
				}

				while (cursorNode.nodeType !== 3) {
					cursorNode = cursorNode.firstChild;
					if (cursorNode === null) {
						return false;
					}
				}

				Aloha.Selection.rangeObject.startContainer = cursorNode;
				Aloha.Selection.rangeObject.endContainer = cursorNode;
				Aloha.Selection.rangeObject.startOffset = 0;
				Aloha.Selection.rangeObject.endOffset = 0;
				Aloha.Selection.rangeObject.select();

				// Mozilla needs this fix or else the selection will not work
				if (Aloha.activeEditable && jQuery.browser.mozilla && document.activeElement !== Aloha.activeEditable.obj[0]) {
					Aloha.activeEditable.obj.focus();
				}

				return true;

			} else {
				return false;
			}
		},

		/**
		 * Processing of cursor keys.
		 * Detect blocks (elements with contenteditable=false) and will select them
		 * (normally the cursor would simply jump right past them).
		 *
		 * For each block that is selected, an 'aloha-block-selected' event will be
		 * triggered.
		 *
		 * TODO: the above is what should happen. Currently we just skip past blocks.
		 *
		 * @param {RangyRange} range A range object for the current selection.
		 * @param {number} keyCode Code of the currently pressed key.
		 * @return {boolean} False if a block was found, to prevent further events,
		 *                   true otherwise.
		 * @TODO move to block-jump.js
		 */
		processCursor: function (range, keyCode) {
			if (!range.collapsed) {
				return true;
			}

			BlockJump.removeZeroWidthTextNodeFix();

			var node = range.startContainer,
				selection = Aloha.getSelection();

			if (!node) {
				return true;
			}

			var sibling, offset;

			// special handling for moving Cursor around zero-width whitespace in IE7
			if (Aloha.browser.msie && parseInt(Aloha.browser.version, 10) <= 7 && isTextNode(node)) {
				if (keyCode == 37) {
					// moving left -> skip zwsp to the left
					offset = range.startOffset;
					while (offset > 0 && node.data.charAt(offset - 1) === '\u200b') {
						offset--;
					}
					if (offset != range.startOffset) {
						range.setStart(range.startContainer, offset);
						range.setEnd(range.startContainer, offset);
						selection = Aloha.getSelection();
						selection.removeAllRanges();
						selection.addRange(range);
					}
				} else if (keyCode == 39) {
					// moving right -> skip zwsp to the right
					offset = range.startOffset;
					while (offset < node.data.length && node.data.charAt(offset) === '\u200b') {
						offset++;
					}
					if (offset != range.startOffset) {
						range.setStart(range.startContainer, offset);
						range.setEnd(range.startContainer, offset);
						selection.removeAllRanges();
						selection.addRange(range);
					}
				}
			}

			// Versions of Internet Explorer that are older that 9, will
			// erroneously allow you to enter and edit inside elements which have
			// their contenteditable attribute set to false...
			if (isOldIE && !jQuery(node).contentEditable()) {
				var $parentBlock = jQuery(node).parents('[contenteditable=false]');
				var isInsideBlock = $parentBlock.length > 0;

				if (isInsideBlock) {
					if (isBlockInsideEditable($parentBlock)) {
						sibling = $parentBlock[0];
					} else {
						return true;
					}
				}
			}

			var isLeft;
			if (!sibling) {
				// True if keyCode denotes LEFT or UP arrow key, otherwise they
				// keyCode is for RIGHT or DOWN in which this value will be false.
				isLeft = (37 === keyCode || 38 === keyCode);
				offset = range.startOffset;

				if (isTextNode(node)) {
					if (isLeft) {
						var isApproachingFrontPosition = (1 === offset);
						if (!isApproachingFrontPosition && !isFrontPosition(node, offset)) {
							return true;
						}
					} else if (!isEndPosition(node, offset)) {
						return true;
					}

				} else if (node.childNodes.length > 0) {
					node = node.childNodes[offset === nodeLength(node) ? offset - 1 : offset];
				}

				sibling = isLeft ? prevVisibleNode(node) : nextVisibleNode(node);
			}

			if (isBlock(sibling)) {
				jumpBlock(sibling, isLeft, range);
				return false;
			}

			return true;
		},

		/**
		 * method handling shiftEnter
		 * @param Aloha.Selection.SelectionRange of the current selection
		 * @return void
		 */
		processShiftEnter: function (rangeObject) {
			this.insertHTMLBreak(rangeObject.getSelectionTree(), rangeObject);
		},

		/**
		 * method handling Enter
		 * @param Aloha.Selection.SelectionRange of the current selection
		 * @return void
		 */
		processEnter: function (rangeObject) {
			if (rangeObject.splitObject) {
				// now comes a very evil hack for ie, when the enter is pressed in a text node in an li element, we just append an empty text node
				// if ( Aloha.browser.msie
				//      && GENTICS.Utils.Dom
				//           .isListElement( rangeObject.splitObject ) ) {
				//  jQuery( rangeObject.splitObject ).append(
				//          jQuery( document.createTextNode( '' ) ) );
				//  }
				this.splitRangeObject(rangeObject);
			} else { // if there is no split object, the Editable is the paragraph type itself (e.g. a p or h2)
				this.insertHTMLBreak(rangeObject.getSelectionTree(), rangeObject);
			}
		},

		/**
		 * Insert the given html markup at the current selection
		 * @param html html markup to be inserted
		 */
		insertHTMLCode: function (html) {
			var rangeObject = Aloha.Selection.rangeObject;
			this.insertHTMLBreak(rangeObject.getSelectionTree(), rangeObject, jQuery(html));
		},

		/**
		 * insert an HTML Break <br /> into current selection
		 * @param Aloha.Selection.SelectionRange of the current selection
		 * @return void
		 */
		insertHTMLBreak: function (selectionTree, rangeObject, inBetweenMarkup) {
			var i,
			    treeLength,
			    el,
			    jqEl,
			    jqElBefore,
			    jqElAfter,
			    tmpObject,
			    offset,
			    checkObj;

			inBetweenMarkup = inBetweenMarkup || jQuery('<br/>');

			for (i = 0, treeLength = selectionTree.length; i < treeLength; ++i) {
				el = selectionTree[i];
				jqEl = el.domobj ? jQuery(el.domobj) : undefined;

				if (el.selection !== 'none') { // before cursor, leave this part inside the splitObject
					if (el.selection == 'collapsed') {
						// collapsed selection found (between nodes)
						if (i > 0) {
							// not at the start, so get the element to the left
							jqElBefore = jQuery(selectionTree[i - 1].domobj);

							// and insert the break after it
							jqElBefore.after(inBetweenMarkup);

						} else {
							// at the start, so get the element to the right
							jqElAfter = jQuery(selectionTree[1].domobj);

							// and insert the break before it
							jqElAfter.before(inBetweenMarkup);
						}

						// now set the range
						rangeObject.startContainer = rangeObject.endContainer = inBetweenMarkup[0].parentNode;
						rangeObject.startOffset = rangeObject.endOffset = GENTICS.Utils.Dom.getIndexInParent(inBetweenMarkup[0]) + 1;
						rangeObject.correctRange();

					} else if (el.domobj && el.domobj.nodeType === 3) { // textNode
						// when the textnode is immediately followed by a blocklevel element (like p, h1, ...) we need to add an additional br in between
						if (el.domobj.nextSibling && el.domobj.nextSibling.nodeType == 1 && Aloha.Selection.replacingElements[el.domobj.nextSibling.nodeName.toLowerCase()]) {
							// TODO check whether this depends on the browser
							jqEl.after('<br/>');
						}

						if (this.needEndingBreak()) {
							// when the textnode is the last inside a blocklevel element
							// (like p, h1, ...) we need to add an additional br as very
							// last object in the blocklevel element
							checkObj = el.domobj;

							while (checkObj) {
								if (checkObj.nextSibling) {
									checkObj = false;
								} else {
									// go to the parent
									checkObj = checkObj.parentNode;

									// found a blocklevel or list element, we are done
									if (GENTICS.Utils.Dom.isBlockLevelElement(checkObj) || GENTICS.Utils.Dom.isListElement(checkObj)) {
										break;
									}

									// reached the limit object, we are done
									if (checkObj === rangeObject.limitObject) {
										checkObj = false;
									}
								}
							}

							// when we found a blocklevel element, insert a break at the
							// end. Mark the break so that it is cleaned when the
							// content is fetched.
							if (checkObj) {
								jQuery(checkObj).append('<br class="aloha-cleanme" />');
							}
						}

						// insert the break
						jqEl.between(inBetweenMarkup, el.startOffset);

						// correct the range
						// count the number of previous siblings
						offset = 0;
						tmpObject = inBetweenMarkup[0];
						while (tmpObject) {
							tmpObject = tmpObject.previousSibling;
							++offset;
						}

						rangeObject.startContainer = inBetweenMarkup[0].parentNode;
						rangeObject.endContainer = inBetweenMarkup[0].parentNode;
						rangeObject.startOffset = offset;
						rangeObject.endOffset = offset;
						rangeObject.correctRange();

					} else if (el.domobj && el.domobj.nodeType === 1) { // other node, normally a break
						if (jqEl.parent().find('br.aloha-ephemera').length === 0) {
							// but before putting it, remove all:
							jQuery(rangeObject.limitObject).find('br.aloha-ephemera').remove();

							//  now put it:
							jQuery(rangeObject.commonAncestorContainer).append(this.getFillUpElement(rangeObject.splitObject));
						}

						jqEl.after(inBetweenMarkup);

						// now set the selection. Since we just added one break do the currect el
						// the new position must be el's position + 1. el's position is the index
						// of the el in the selection tree, which is i. then we must add
						// another +1 because we want to be AFTER the object, not before. therefor +2
						rangeObject.startContainer = rangeObject.commonAncestorContainer;
						rangeObject.endContainer = rangeObject.startContainer;
						rangeObject.startOffset = i + 2;
						rangeObject.endOffset = i + 2;
						rangeObject.update();
					}
				}
			}
			rangeObject.select();
		},

		/**
		 * Check whether blocklevel elements need breaks at the end to visibly render a newline
		 * @return true if an ending break is necessary, false if not
		 */
		needEndingBreak: function () {
			// currently, all browser except IE need ending breaks
			return !Aloha.browser.msie;
		},

		/**
		 * Get the currently selected text or false if nothing is selected (or the selection is collapsed)
		 * @return selected text
		 */
		getSelectedText: function () {
			var rangeObject = Aloha.Selection.rangeObject;

			if (rangeObject.isCollapsed()) {
				return false;
			}

			return this.getFromSelectionTree(rangeObject.getSelectionTree(), true);
		},

		/**
		 * Recursive function to get the selected text from the selection tree starting at the given level
		 * @param selectionTree array of selectiontree elements
		 * @param astext true when the contents shall be fetched as text, false for getting as html markup
		 * @return selected text from that level (incluiding all sublevels)
		 */
		getFromSelectionTree: function (selectionTree, astext) {
			var text = '', i, treeLength, el, clone;
			for (i = 0, treeLength = selectionTree.length; i < treeLength; i++) {
				el = selectionTree[i];
				if (el.selection == 'partial') {
					if (el.domobj.nodeType === 3) {
						// partial text node selected, get the selected part
						text += el.domobj.data.substring(el.startOffset, el.endOffset);
					} else if (el.domobj.nodeType === 1 && el.children) {
						// partial element node selected, do the recursion into the children
						if (astext) {
							text += this.getFromSelectionTree(el.children, astext);
						} else {
							// when the html shall be fetched, we create a clone of
							// the element and remove all the children
							clone = jQuery(el.domobj.outerHTML).empty();
							// then we do the recursion and add the selection into the clone
							clone.html(this.getFromSelectionTree(el.children, astext));
							// finally we get the html of the clone
							text += clone.outerHTML();
						}
					}
				} else if (el.selection == 'full') {
					if (el.domobj.nodeType === 3) {
						// full text node selected, get the text
						text += jQuery(el.domobj).text();
					} else if (el.domobj.nodeType === 1 && el.children) {
						// full element node selected, get the html of the node and all children
						text += astext ? jQuery(el.domobj).text() : jQuery(el.domobj).outerHTML();
					}
				}
			}

			return text;
		},

		/**
		 * Get the currently selected markup or false if nothing is selected (or the selection is collapsed)
		 * @return {?String}
		 */
		getSelectedMarkup: function () {
			var rangeObject = Aloha.Selection.rangeObject;
			return rangeObject.isCollapsed() ? null : this.getFromSelectionTree(rangeObject.getSelectionTree(), false);
		},

		/**
		 * Remove the currently selected markup
		 */
		removeSelectedMarkup: function () {
			var rangeObject = Aloha.Selection.rangeObject,
				newRange;

			if (rangeObject.isCollapsed()) {
				return;
			}

			newRange = new Aloha.Selection.SelectionRange();
			// remove the selection
			this.removeFromSelectionTree(rangeObject.getSelectionTree(), newRange);

			// do a cleanup now (starting with the commonancestorcontainer)
			newRange.update();
			GENTICS.Utils.Dom.doCleanup({
				'merge': true,
				'removeempty': true
			}, Aloha.Selection.rangeObject);
			Aloha.Selection.rangeObject = newRange;

			// need to set the collapsed selection now
			newRange.correctRange();
			newRange.update();
			newRange.select();
			Aloha.Selection.updateSelection();
		},

		/**
		 * Recursively remove the selected items, starting with the given level in the selectiontree
		 * @param selectionTree current level of the selectiontree
		 * @param newRange new collapsed range to be set after the removal
		 */
		removeFromSelectionTree: function (selectionTree, newRange) {
			// remember the first found partially selected element node (in case we need
			// to merge it with the last found partially selected element node)
			var firstPartialElement, newdata, i, el, adjacentTextNode, treeLength;

			// iterate through the selection tree
			for (i = 0, treeLength = selectionTree.length; i < treeLength; i++) {
				el = selectionTree[i];

				// check the type of selection
				if (el.selection == 'partial') {
					if (el.domobj.nodeType === 3) {
						// partial text node selected, so remove the selected portion
						newdata = '';
						if (el.startOffset > 0) {
							newdata += el.domobj.data.substring(0, el.startOffset);
						}
						if (el.endOffset < el.domobj.data.length) {
							newdata += el.domobj.data.substring(el.endOffset, el.domobj.data.length);
						}
						el.domobj.data = newdata;

						// eventually set the new range (if not done before)
						if (!newRange.startContainer) {
							newRange.startContainer = newRange.endContainer = el.domobj;
							newRange.startOffset = newRange.endOffset = el.startOffset;
						}
					} else if (el.domobj.nodeType === 1 && el.children) {
						// partial element node selected, so do the recursion into the children
						this.removeFromSelectionTree(el.children, newRange);

						if (firstPartialElement) {
							// when the first parially selected element is the same type
							// of element, we need to merge them
							if (firstPartialElement.nodeName == el.domobj.nodeName) {
								// merge the nodes
								jQuery(firstPartialElement).append(jQuery(el.domobj).contents());

								// and remove the latter one
								jQuery(el.domobj).remove();
							}

						} else {
							// remember this element as first partially selected element
							firstPartialElement = el.domobj;
						}
					}

				} else if (el.selection == 'full') {
					// eventually set the new range (if not done before)
					if (!newRange.startContainer) {
						adjacentTextNode = GENTICS.Utils.Dom.searchAdjacentTextNode(
							el.domobj.parentNode,
							GENTICS.Utils.Dom.getIndexInParent(el.domobj) + 1,
							false,
							{
								'blocklevel': false
							}
						);

						if (adjacentTextNode) {
							newRange.startContainer = newRange.endContainer = adjacentTextNode;
							newRange.startOffset = newRange.endOffset = 0;
						} else {
							newRange.startContainer = newRange.endContainer = el.domobj.parentNode;
							newRange.startOffset = newRange.endOffset = GENTICS.Utils.Dom.getIndexInParent(el.domobj) + 1;
						}
					}

					// full node selected, so just remove it (will also remove all children)
					jQuery(el.domobj).remove();
				}
			}
		},

		/**
		 * split passed rangeObject without or with optional markup
		 * @param Aloha.Selection.SelectionRange of the current selection
		 * @param markup object (jQuery) to insert in between the split elements
		 * @return void
		 */
		splitRangeObject: function (rangeObject, markup) {
			// UAAAA: first check where the markup can be inserted... *grrrrr*, then decide where to split
			// object which is split up
			var splitObject = jQuery(rangeObject.splitObject),
				selectionTree,
			    insertAfterObject,
			    followUpContainer;

			// update the commonAncestor with the splitObject (so that the selectionTree is correct)
			rangeObject.update(rangeObject.splitObject); // set the splitObject as new commonAncestorContainer and update the selectionTree

			// calculate the selection tree. NOTE: it is necessary to do this before
			// getting the followupcontainer, since getting the selection tree might
			// possibly merge text nodes, which would lead to differences in the followupcontainer
			selectionTree = rangeObject.getSelectionTree();

			// object to be inserted after the splitObject
			followUpContainer = this.getSplitFollowUpContainer(rangeObject);

			// now split up the splitObject into itself AND the followUpContainer
			this.splitRangeObjectHelper(selectionTree, rangeObject, followUpContainer); // split the current object into itself and the followUpContainer

			// check whether the followupcontainer is still marked for removal
			if (followUpContainer.hasClass('preparedForRemoval')) {
				// TODO shall we just remove the class or shall we not use the followupcontainer?
				followUpContainer.removeClass('preparedForRemoval');
			}

			// now let's find the place, where the followUp is inserted afterwards. normally that's the splitObject itself, but in
			// some cases it might be their parent (e.g. inside a list, a <p> followUp must be inserted outside the list)
			insertAfterObject = this.getInsertAfterObject(rangeObject, followUpContainer);

			// now insert the followUpContainer
			jQuery(followUpContainer).insertAfter(insertAfterObject); // attach the followUpContainer right after the insertAfterObject

			// in some cases, we want to remove the "empty" splitObject (e.g. LIs, if enter was hit twice)
			if (rangeObject.splitObject.nodeName.toLowerCase() === 'li' && !Aloha.Selection.standardTextLevelSemanticsComparator(rangeObject.splitObject, followUpContainer)) {
				jQuery(rangeObject.splitObject).remove();
			}

			rangeObject.startContainer = null;
			// first check whether the followUpContainer starts with a <br/>
			// if so, place the cursor right before the <br/>
			var followContents = followUpContainer.contents();
			if (followContents.length > 0 && followContents.get(0).nodeType == 1 && followContents.get(0).nodeName.toLowerCase() === 'br') {
				rangeObject.startContainer = followUpContainer.get(0);
			}

			if (!rangeObject.startContainer) {
				// find a possible text node in the followUpContainer and set the selection to it
				// if no textnode is available, set the selection to the followup container itself
				rangeObject.startContainer = followUpContainer.textNodes(true, true).first().get(0);
			}
			if (!rangeObject.startContainer) { // if no text node was found, select the parent object of <br class="aloha-ephemera" />
				rangeObject.startContainer = followUpContainer.textNodes(false).first().parent().get(0);
			}
			if (rangeObject.startContainer) {
				// the cursor is always at the beginning of the followUp
				rangeObject.endContainer = rangeObject.startContainer;
				rangeObject.startOffset = 0;
				rangeObject.endOffset = 0;
			} else {
				rangeObject.startContainer = rangeObject.endContainer = followUpContainer.parent().get(0);
				rangeObject.startOffset = rangeObject.endOffset = GENTICS.Utils.Dom.getIndexInParent(followUpContainer.get(0));
			}

			// finally update the range object again
			rangeObject.update();

			// now set the selection
			rangeObject.select();
		},

		/**
		 * method to get the object after which the followUpContainer can be inserted during splitup
		 * this is a helper method, not needed anywhere else
		 * @param rangeObject Aloha.Selection.SelectionRange of the current selection
		 * @param followUpContainer optional jQuery object; if provided the rangeObject will be split and the second part will be insert inside of this object
		 * @return object after which the followUpContainer can be inserted
		 */
		getInsertAfterObject: function (rangeObject, followUpContainer) {
			var passedSplitObject, i, el;

			for (i = 0; i < rangeObject.markupEffectiveAtStart.length; i++) {
				el = rangeObject.markupEffectiveAtStart[i];

				// check if we have already passed the splitObject (some other markup might come before)
				if (el === rangeObject.splitObject) {
					passedSplitObject = true;
				}

				// if not passed splitObject, skip this markup
				if (!passedSplitObject) {
					continue;
				}

				// once we are passed, check if the followUpContainer is allowed to be inserted into the currents el's parent
				if (Aloha.Selection.canTag1WrapTag2(jQuery(el).parent()[0].nodeName, followUpContainer[0].nodeName)) {
					return el;
				}
			}

			return false;
		},

		/**
		 * @fixme: Someone who knows what this function does, please refactor it.
		 *			1. splitObject arg is not used at all
		 *			2. Would be better to use ternary operation would be better than if else statement
		 *
		 * method to get the html code for a fillUpElement. this is needed for empty paragraphs etc., so that they take up their expected height
		 * @param splitObject split object (dom object)
		 * @return fillUpElement HTML Code
		 */
		getFillUpElement: function (splitObject) {
			if (Aloha.browser.msie) {
				return false;
			}
			return jQuery('<br class="aloha-cleanme"/>');
		},

		/**
		 * removes textNodes from passed array, which only contain contentWhiteSpace (e.g. a \n between two tags)
		 * @param domArray array of domObjects
		 * @return void
		 */
		removeElementContentWhitespaceObj: function (domArray) {
			var correction = 0,
				removeLater = [],
				i,
				el,
			    removeIndex;

			for (i = 0; i < domArray.length; ++i) {
				el = domArray[i];
				if (el.isElementContentWhitespace) {
					removeLater[removeLater.length] = i;
				}
			}

			for (i = 0; i < removeLater.length; ++i) {
				removeIndex = removeLater[i];
				domArray.splice(removeIndex - correction, 1);
				++correction;
			}
		},

		/**
		 * recursive method to parallelly walk through two dom subtrees, leave elements before startContainer in first subtree and move rest to other
		 * @param selectionTree tree to iterate over as contained in rangeObject. must be passed separately to allow recursion in the selection tree, but not in the rangeObject
		 * @param rangeObject Aloha.Selection.SelectionRange of the current selection
		 * @param followUpContainer optional jQuery object; if provided the rangeObject will be split and the second part will be insert inside of this object
		 * @param inBetweenMarkup jQuery object to be inserted between the two split parts. will be either a <br> (if no followUpContainer is passed) OR e.g. a table, which must be inserted between the splitobject AND the follow up
		 * @return void
		 */
		splitRangeObjectHelper: function (selectionTree, rangeObject, followUpContainer, inBetweenMarkup) {
			if (!followUpContainer) {
				Aloha.Log.warn(this, 'no followUpContainer, no inBetweenMarkup, nothing to do...');
			}

			var fillUpElement = this.getFillUpElement(rangeObject.splitObject),
				splitObject = jQuery(rangeObject.splitObject),
				startMoving = false,
				el,
				i,
				completeText,
				jqObj,
				mirrorLevel,
				parent,
				treeLength;

			if (selectionTree.length > 0) {
				mirrorLevel = followUpContainer.contents();

				// if length of mirrorLevel and selectionTree are not equal, the mirrorLevel must be corrected. this happens, when the mirrorLevel contains whitespace textNodes
				if (mirrorLevel.length !== selectionTree.length) {
					this.removeElementContentWhitespaceObj(mirrorLevel);
				}

				for (i = 0, treeLength = selectionTree.length; i < treeLength; ++i) {
					el = selectionTree[i];

					// remove all objects in the mirrorLevel, which are BEFORE the cursor
					// OR if the cursor is at the last position of the last Textnode (causing an empty followUpContainer to be appended)
					if ((el.selection === 'none' && startMoving === false) || (el.domobj && el.domobj.nodeType === 3 && el === selectionTree[(selectionTree.length - 1)] && el.startOffset === el.domobj.data.length)) {
						// iteration is before cursor, leave this part inside the splitObject, remove from followUpContainer
						// however if the object to remove is the last existing textNode within the followUpContainer, insert a BR instead
						// otherwise the followUpContainer is invalid and takes up no vertical space

						if (followUpContainer.textNodes().length > 1 || (el.domobj.nodeType === 1 && el.children.length === 0)) {
							// note: the second part of the if (el.domobj.nodeType === 1 && el.children.length === 0) covers a very special condition,
							// where an empty tag is located right before the cursor when pressing enter. In this case the empty tag would not be
							// removed correctly otherwise
							mirrorLevel.eq(i).remove();

						} else if (GENTICS.Utils.Dom.isSplitObject(followUpContainer[0])) {
							if (fillUpElement) {
								followUpContainer.html(fillUpElement); // for your zoological german knowhow: ephemera = Eintagsfliege
							} else {
								followUpContainer.empty();
							}

						} else {
							followUpContainer.empty();
							followUpContainer.addClass('preparedForRemoval');
						}

						continue;

					} else {
						// split objects, which are AT the cursor Position or directly above
						if (el.selection !== 'none') { // before cursor, leave this part inside the splitObject
							// TODO better check for selection == 'partial' here?
							if (el.domobj && el.domobj.nodeType === 3 && el.startOffset !== undefined) {
								completeText = el.domobj.data;
								if (el.startOffset > 0) { // first check, if there will be some text left in the splitObject
									el.domobj.data = completeText.substr(0, el.startOffset);
								} else if (selectionTree.length > 1) { // if not, check if the splitObject contains more than one node, because then it can be removed. this happens, when ENTER is pressed inside of a textnode, but not at the borders
									jQuery(el.domobj).remove();
								} else { // if the "empty" textnode is the last node left in the splitObject, replace it with a ephemera break
									// if the parent is a blocklevel element, we insert the fillup element
									parent = jQuery(el.domobj).parent();
									if (GENTICS.Utils.Dom.isSplitObject(parent[0])) {
										if (fillUpElement) {
											parent.html(fillUpElement);
										} else {
											parent.empty();
										}

									} else {
										// if the parent is no blocklevel element and would be empty now, we completely remove it
										parent.remove();
									}
								}
								if (completeText.length - el.startOffset > 0) {
									// first check if there is text left to put in the followUpContainer's textnode. this happens, when ENTER is pressed inside of a textnode, but not at the borders
									mirrorLevel[i].data = completeText.substr(el.startOffset, completeText.length);
								} else if (mirrorLevel.length > 1) {
									// if not, check if the followUpContainer contains more than one node, because if yes, the "empty" textnode can be removed
									mirrorLevel.eq((i)).remove();
								} else if (GENTICS.Utils.Dom.isBlockLevelElement(followUpContainer[0])) {
									// if the "empty" textnode is the last node left in the followUpContainer (which is a blocklevel element), replace it with a ephemera break
									if (fillUpElement) {
										followUpContainer.html(fillUpElement);
									} else {
										followUpContainer.empty();
									}

								} else {
									// if the "empty" textnode is the last node left in a non-blocklevel element, mark it for removal
									followUpContainer.empty();
									followUpContainer.addClass('preparedForRemoval');
								}
							}

							startMoving = true;

							if (el.children.length > 0) {
								this.splitRangeObjectHelper(el.children, rangeObject, mirrorLevel.eq(i), inBetweenMarkup);
							}

						} else {
							// remove all objects in the origin, which are AFTER the cursor
							if (el.selection === 'none' && startMoving === true) {
								// iteration is after cursor, remove from splitObject and leave this part inside the followUpContainer
								jqObj = jQuery(el.domobj).remove();
							}
						}
					}
				}
			} else {
				Aloha.Log.error(this, 'can not split splitObject due to an empty selection tree');
			}

			// and finally cleanup: remove all fillUps > 1
			splitObject.find('br.aloha-ephemera:gt(0)').remove(); // remove all elements greater than (gt) 0, that also means: leave one
			followUpContainer.find('br.aloha-ephemera:gt(0)').remove(); // remove all elements greater than (gt) 0, that also means: leave one

			// remove objects prepared for removal
			splitObject.find('.preparedForRemoval').remove();
			followUpContainer.find('.preparedForRemoval').remove();

			// if splitObject / followUp are empty, place a fillUp inside
			if (splitObject.contents().length === 0 && GENTICS.Utils.Dom.isSplitObject(splitObject[0]) && fillUpElement) {
				splitObject.html(fillUpElement);
			}

			if (followUpContainer.contents().length === 0 && GENTICS.Utils.Dom.isSplitObject(followUpContainer[0]) && fillUpElement) {
				followUpContainer.html(fillUpElement);
			}
		},

		/**
		 * returns a jQuery object fitting the passed splitObject as follow up object
		 * examples,
		 * - when passed a p it will return an empty p (clone of the passed p)
		 * - when passed an h1, it will return either an h1 (clone of the passed one) or a new p (if the collapsed selection was at the end)
		 * @param rangeObject Aloha.RangeObject
		 * @return void
		 */
		getSplitFollowUpContainer: function (rangeObject) {
			var tagName = rangeObject.splitObject.nodeName.toLowerCase(),
				returnObj,
				inside,
				lastObj;

			switch (tagName) {
			case 'h1':
			case 'h2':
			case 'h3':
			case 'h4':
			case 'h5':
			case 'h6':
				// get the last textnode in the splitobject, but don't consider aloha-cleanme elements
				lastObj = jQuery(rangeObject.splitObject).textNodes(':not(.aloha-cleanme)').last()[0];
				// special case: when enter is hit at the end of a heading, the followUp should be a <p>
				if (lastObj && rangeObject.startContainer === lastObj && rangeObject.startOffset === lastObj.length) {
					returnObj = jQuery('<p></p>');
					inside = jQuery(rangeObject.splitObject.outerHTML).contents();
					returnObj.append(inside);
					return returnObj;
				}
				break;

			case 'li':
				// TODO check whether the li is the last one
				// special case: if enter is hit twice inside a list, the next item should be a <p> (and inserted outside the list)
				if (rangeObject.startContainer.nodeName.toLowerCase() === 'br' && jQuery(rangeObject.startContainer).hasClass('aloha-ephemera')) {
					returnObj = jQuery('<p></p>');
					inside = jQuery(rangeObject.splitObject.outerHTML).contents();
					returnObj.append(inside);
					return returnObj;
				}
				// when the li is the last one and empty, we also just return a <p>
				if (!rangeObject.splitObject.nextSibling && jQuery.trim(jQuery(rangeObject.splitObject).text()).length === 0) {
					returnObj = jQuery('<p></p>');
					return returnObj;
				}
				break;
			}

			return jQuery(rangeObject.splitObject.outerHTML);
		},

		/**
		 * Transform the given domobj into an object with the given new nodeName.
		 * Preserves the content and all attributes. If a range object is given, also the range will be preserved
		 * @param domobj dom object to transform
		 * @param nodeName new node name
		 * @param range range object
		 * @api
		 * @return new object as jQuery object
		 */
		transformDomObject: function (domobj, nodeName, range) {
			// first create the new element
			var jqOldObj = jQuery(domobj),
				jqNewObj = jQuery('<' + nodeName + '>'),
				i,
				attributes = jqOldObj[0].cloneNode(false).attributes;

			// TODO what about events?
			// copy attributes
			if (attributes) {
				for (i = 0; i < attributes.length; ++i) {
					if (typeof attributes[i].specified === 'undefined' || attributes[i].specified) {
						jqNewObj.attr(attributes[i].nodeName, attributes[i].nodeValue);
					}
				}
			}

			// copy inline CSS
			if (jqOldObj[0].style && jqOldObj[0].style.cssText) {
				jqNewObj[0].style.cssText = jqOldObj[0].style.cssText;
			}

			// now move the contents of the old dom object into the new dom object
			jqOldObj.contents().appendTo(jqNewObj);

			// finally replace the old object with the new one
			jqOldObj.replaceWith(jqNewObj);

			// preserve the range
			if (range) {
				if (range.startContainer == domobj) {
					range.startContainer = jqNewObj.get(0);
				}

				if (range.endContainer == domobj) {
					range.endContainer = jqNewObj.get(0);
				}
			}

			return jqNewObj;
		},

		/**
		 * String representation
		 * @return {String}
		 */
		toString: function () {
			return 'Aloha.Markup';
		}

	});

	Aloha.Markup = new Aloha.Markup();
	return Aloha.Markup;
});

/* observable.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('aloha/observable',[
	'jquery'
], function (
	jQuery
) {
	"use strict";

	var $ = jQuery;

	return {
		_eventHandlers: null,

		/**
		 * Attach a handler to an event
		 *
		 * @param {String} eventType A string containing the event name to bind to
		 * @param {Function} handler A function to execute each time the event is triggered
		 * @param {Object} scope Optional. Set the scope in which handler is executed
		 */
		bind: function (eventType, handler, scope) {
			this._eventHandlers = this._eventHandlers || {};
			if (!this._eventHandlers[eventType]) {
				this._eventHandlers[eventType] = [];
			}
			this._eventHandlers[eventType].push({
				handler: handler,
				scope: (scope || window)
			});
		},

		/**
		 * Remove a previously-attached event handler
		 *
		 * @param {String} eventType A string containing the event name to unbind
		 * @param {Function} handler The function that is to be no longer executed. Optional. If not given, unregisters all functions for the given event.
		 */
		unbind: function (eventType, handler) {
			this._eventHandlers = this._eventHandlers || {};
			if (!this._eventHandlers[eventType]) {
				return;
			}
			if (!handler) {
				// No handler function given, unbind all event handlers for the eventType
				this._eventHandlers[eventType] = [];
			} else {
				this._eventHandlers[eventType] = $.grep(this._eventHandlers[eventType], function (element) {
					if (element.handler === handler) {
						return false;
					}
					return true;
				});
			}
		},

		/**
		 * Execute all handlers attached to the given event type.
		 * All arguments except the eventType are directly passed to the callback function.
		 *
		 * @param (String} eventType A string containing the event name for which the event handlers should be invoked.
		 */
		trigger: function (eventType) {
			this._eventHandlers = this._eventHandlers || {};
			if (!this._eventHandlers[eventType]) {
				return;
			}

			// preparedArguments contains all arguments except the first one.
			var preparedArguments = [];
			$.each(arguments, function (i, argument) {
				if (i > 0) {
					preparedArguments.push(argument);
				}
			});

			$.each(this._eventHandlers[eventType], function (index, element) {
				element.handler.apply(element.scope, preparedArguments);
			});
		},

		/**
		 * Clears all event handlers. Call this method when cleaning up.
		 */
		unbindAll: function () {
			this._eventHandlers = null;
		}
	};
});

/* registry.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/*global define:true */
/**
 * Registry base class.
 * TODO: document that it also contains Observable.
 *
 */
define('aloha/registry',[
	'jquery',
	'aloha/observable',
	'util/class'
], function (
	jQuery,
	Observable,
	Class
) {
	"use strict";

	return Class.extend(Observable, {

		/**
		 * Object containing the registered entries by key.
		 */
		_entries: null,

		/**
		 * Array containing the registered ids in order
		 * of registry
		 */
		_ids: null,

		_constructor: function () {
			this._entries = {};
			this._ids = [];
		},

		/**
		 * Register an entry with an id
		 * 
		 * @event register
		 * @param id id of the registered entry
		 * @param entry registered entry
		 */
		register: function (id, entry) {
			// TODO check whether an entry with the id is already registered
			this._entries[id] = entry;
			this._ids.push(id);
			this.trigger('register', entry, id);
		},

		/**
		 * Unregister the entry with given id
		 * 
		 * @event unregister
		 * @param id id of the registered entry
		 */
		unregister: function (id) {
			// TODO check whether an entry was registered
			var i, oldEntry = this._entries[id];
			delete this._entries[id];
			for (i in this._ids) {
				if (this._ids.hasOwnProperty(i) && this._ids[i] === id) {
					this._ids.splice(i, 1);
					break;
				}
			}
			this.trigger('unregister', oldEntry, id);
		},

		/**
		 * Get the entry registered with the given id
		 * 
		 * @param id id of the registered entry
		 * @return registered entry
		 */
		get: function (id) {
			return this._entries[id];
		},

		/**
		 * Check whether an entry was registered with given id
		 * 
		 * @param id id to check
		 * @return true if an entry was registered, false if not
		 */
		has: function (id) {
			return (this._entries[id] ? true : false);
		},

		/**
		 * Get an object mapping the ids (properties) to the registered entries
		 * Note, that iterating over the properties of the returned object
		 * will return the entries in an unspecified order
		 * 
		 * @return object containing the registered entries
		 */
		getEntries: function () {
			// clone the entries so the user does not accidentally modify our _entries object.
			return jQuery.extend({}, this._entries);
		},

		/**
		 * Get the ids of the registered objects as array.
		 * The array will contain the ids in order of registry
		 * 
		 * @return array if registered ids
		 */
		getIds: function () {
			return jQuery.extend([], this._ids);
		}
	});
});

/* contenthandlermanager.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2013 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('aloha/contenthandlermanager',[
	'aloha/core',
	'aloha/registry',
	'util/class'
], function (
	Aloha,
	Registry,
	Class
) {
	'use strict';

	var ContentHandlerManager = Registry.extend({

		/**
		 * Create a contentHandler from the given definition.  Acts as a factory
		 * method for contentHandler.
		 *
		 * @param {object} definition
		 */
		createHandler: function (definition) {
			if (typeof definition.handleContent !== 'function') {
				throw 'ContentHandler has no function handleContent().';
			}
			var AbstractContentHandler = Class.extend({
				handleContent: function (content) {
					// Implement in subclass!
				}
			}, definition);
			return new AbstractContentHandler();
		},

		/**
		 * Manipulates the given contents of an editable by invoking content
		 * handlers over it.
		 *
		 * @param {string} content The content of an editable which will be
		 *                         handled.
		 * @param {object} options Used to filter limit which content handlers
		 *                         should be used.
		 * @param {Aloha.Editable} The editable whose content is being handled.
		 * @return {string} The handled content.
		 */
		handleContent: function (content, options, editable) {
			var manager = this;

			// Because if no options are specified, to indicate which content
			// handler to use, then all that are available are used.
			var handlers = options ? options.contenthandler : manager.getIds();

			if (!handlers) {
				return content;
			}

			var i;
			var handler;
			for (i = 0; i < handlers.length; i++) {
				handler = manager.get(handlers[i]);
				if (handler) {
					content = handler.handleContent(
						content,
						options,
						editable || Aloha.activeEditable
					);
				}

				// FIXME: Is it ever valid for content to be null?  This would
				//        break the handleContent(string):string contract.
				if (null === content) {
					break;
				}
			}

			return content;
		}
	});

	return new ContentHandlerManager();
});

/* trees.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/**
 * Tree walking functions.
 *
 * prewalk(form, fn, inplace)
 *
 *     Descend into the given form, which is a tree of arrays andmaps
 *     (javascript Object), and build a new tree with the result of
 *     applying the given fn to each branch and leaf. Only arrays and
 *     maps are descended into, everything else is considered a leaf.
 *
 *     The given fn is applied as the tree is descended into - the
 *     function application (pre)cedes descending into the tree.
 * 
 *     By default, an entirely new structure is returned. If the
 *     optional inplace argument is true, the algorithm will not
 *     allocate any new structures, but modify the given form in-place.
 *     The benefit of this is more performance due to less allocation,
 *     and reduced memory overhead, but see the "Note" below.
 *
 * postwalk(form, fn, inplace)
 *
 *     the same as prewalk, except the given fn is applied as the tree
 *     is ascended.
 *
 * preprune(form, pred, inplace)
 *
 *     the same as prewalk, except pred is a predicate function and any
 *     branch or leaf that is encountered and for which pred returns
 *     true is removed from the tree.
 *
 * postprune(form, pred, inplace)
 *
 *     the same as preprune, except the predicate function is applied as
 *     the tree is ascended.
 *
 *     Postpruning is potentially slower than prepruning since it always
 *     descendes into the whole tree, even into pruned nodes, while
 *     prepruning skips any pruned nodes.
 *
 * leaves(form, leaf, inplace)
 *
 *     Like postwalk, except the leaf function is applied only to
 *     leaves, and not to the arrays or maps that make up the tree
 *     structure of form.
 *
 *     Useful when one is only interested in tranforming leaves.
 *
 * flatten(form)
 *
 *     Makes an array of all of the given form's leaves.
 *
 * clone(form)
 *
 *     Constructs a deep clone of the given form.
 *
 * prepruneDom(form, pred, inplace)
 *
 *     Like preprune() except:
 *
 *     - the given form may be either an element or other DOM node, and
 *       only elements are descended into, all other node types are
 *       considered leaves.
 *
 *     - the given form will be cloned before it is being traversed, unless
 *       inplace is true.
 *
 *       This is different from prewalk, where the subforms that are
 *       passed to fn are not clones. Making a deep clone first
 *       simplifies some things, basically because an array or map can
 *       be the child of multiple arrays and maps at the same time,
 *       while a node can only be the child of a single parent node at
 *       any one time.
 *   
 * postpruneDom(form, pred, inplace)
 *
 *     Like prepruneDom(), except the given function is applied as the tree
 *     is ascended.
 *
 * walk(form, recurse, inplace)
 *
 *     If form is an array or map, calls recurse on each of its items.
 *     If inplace is true, modifies the form and sets each item to the
 *     result of the call to recurse. If inplace is false, creates a new
 *     array/map containing the results of calling recurse. Returns
 *     either form if inplace is true, or the newly created array/map.
 *
 *     If form is not an array or map, it is simply returned.
 *
 *     An example using walk() in a custom recursive traversal function:
 * 
 *     function doSomething(root) {
 *         function step(form) {
 *             form = Trees.walk(form, step);
 *             // do something with form
 *             return form ? [form] : [];
 *         }
 *         return step(root)[0] || null;
 *     }
 *
 * walk(form, recurse)
 *
 *     Short for walk(form, recurse, true)
 *
 * walkDomInplace(form, recurse)
 *
 *     Similar to walk() but operates on DOM nodes.
 *
 *     Elements are considered non-leaf, and everything else is
 *     considerd a leaf.
 *
 * Note: All functions work on array+map trees, unless they are suffixed
 *       with Dom, in which case they only work on DOM nodes.
 *
 * Note: When walking arrays and maps, if the fn and leaf functions
 *       modify the parent or any ancestor of the passed form, the
 *       resulting behaviour is undefined. Only modification of the
 *       passed form and descendants of the passed form is valid.
 *
 *       During DOM traversal, it is allowed to insert-into/remove-from
 *       the children of the parent of the given form, as long the given
 *       form itself is not removed.
 *
 * Note: the algorithms are recursive and the maximum nesting level of
 *       the input set is therefore bound to the maximum stack depth.
 *       IE7 and IE8 for example have a maximum stack depth of greater
 *       than 1000, so the maximum input nesting level should not exceed
 *       about 300 (3 stack frames are needed per nesting level).
 */
define('util/trees',['jquery'], function ($) {
	'use strict';

	function walk(form, step, inplace) {
		var type = $.type(form),
			subResult,
			result,
			resultOff,
			len,
			i,
			key;
		if ('array' === type) {
			result = (inplace ? form : []);
			resultOff = 0;
			for (i = 0, len = form.length; i < len; i++) {
				subResult = step(form[i]);
				if (subResult.length) {
					result[resultOff++] = subResult[0];
				}
			}
			if (resultOff !== result.length) {
				// TODO is result.length = resultOff better?
				result = result.slice(0, resultOff);
			}
		} else if ('object' === type) {
			result = (inplace ? form : {});
			for (key in form) {
				if (form.hasOwnProperty(key)) {
					subResult = step(form[key]);
					if (subResult.length) {
						result[key] = subResult[0];
					} else {
						delete result[key];
					}
				}
			}
		} else {
			result = form;
		}
		return result;
	}

	function walkInplace(form, step) {
		return walk(form, step, true);
	}

	function walkDomInplace(form, step) {
		var subResult,
		    child,
		    nextChild;
		if (1 === form.nodeType) {
			child = form.firstChild;
			while (child) {
				subResult = step(child);
				// Advance to the next child _after stepping into child_
				// to pick up modifications of the DOM.
				nextChild = child.nextSibling;
				if (subResult.length) {
					if (subResult[0] !== child) {
						form.replaceChild(subResult[0], child);
					}
				} else {
					form.removeChild(child);
				}
				child = nextChild;
			}
		}
		return form;
	}

	function prewalkStep(step, fn, walk, form) {
		return [walk(fn(form), step)];
	}

	function postwalkStep(step, fn, walk, form) {
		return [fn(walk(form, step))];
	}

	function prepruneStep(step, fn, walk, form) {
		return fn(form) ? [] : [walk(form, step)];
	}

	function postpruneStep(step, fn, walk, form) {
		var subForm = walk(form, step);
		return fn(subForm) ? [] : [subForm];
	}

	function prepost(step, fnOrPred, walk, form) {
		function prepostStep(form) {
			return step(prepostStep, fnOrPred, walk, form);
		}
		return prepostStep(form)[0];
	}

	function prewalk(form, fn, inplace) {
		return prepost(prewalkStep, fn, inplace ? walkInplace : walk, form);
	}

	function postwalk(form, fn, inplace) {
		return prepost(postwalkStep, fn, inplace ? walkInplace : walk, form);
	}

	function preprune(form, pred, inplace) {
		return prepost(prepruneStep, pred, inplace ? walkInplace : walk, form);
	}

	function postprune(form, pred, inplace) {
		return prepost(postpruneStep, pred, inplace ? walkInplace : walk, form);
	}

	function prewalkDom(form, fn, inplace) {
		return prepost(prewalkStep, fn, walkDomInplace, inplace ? form : form.cloneNode(true));
	}

	function postwalkDom(form, fn, inplace) {
		return prepost(postwalkStep, fn, walkDomInplace, inplace ? form : form.cloneNode(true));
	}

	function prepruneDom(form, pred, inplace) {
		return prepost(prepruneStep, pred, walkDomInplace, inplace ? form : form.cloneNode(true));
	}

	function postpruneDom(form, pred, inplace) {
		return prepost(postpruneStep, pred, walkDomInplace, inplace ? form : form.cloneNode(true));
	}

	function isLeaf(form) {
		var type = $.type(form);
		return type !== 'object' && type !== 'array';
	}

	function identityStep(step, walk, form) {
		return [walk(form, step)];
	}

	function leaves(form, leaf, inplace) {
		var leafWalk = inplace ? walkInplace : walk;

		function leafStep(form) {
			if (isLeaf(form)) {
				return [leaf(form)];
			}
			return identityStep(leafStep, leafWalk, form);
		}
		return leafStep(form)[0];
	}

	function clone(form) {
		function cloneStep(form) {
			return identityStep(cloneStep, walk, form);
		}
		return cloneStep(form)[0];
	}

	function flatten(form) {
		var inplace = true;
		var result = [];
		leaves(form, function (leaf) {
			result.push(leaf);
			return leaf;
		}, inplace);
		return result;
	}

	return {
		prewalk: prewalk,
		postwalk: postwalk,
		preprune: preprune,
		postprune: postprune,
		prewalkDom: prewalkDom,
		postwalkDom: postwalkDom,
		prepruneDom: prepruneDom,
		postpruneDom: postpruneDom,
		isLeaf: isLeaf,
		leaves: leaves,
		clone: clone,
		flatten: flatten,
		walk: walk,
		walkInplace: walkInplace,
		walkDomInplace: walkDomInplace
	};
});

/* misc.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/**
 * Contains miscellaneous utility functions that don't fit anywhere else.
 */
define('util/misc',[
	'jquery',
	'aloha/engine',
	'util/dom'
], function (
	jQuery,
	Engine,
	Dom
) {
	'use strict';

	/**
	 * Returns true if any regex in the given rxs array tests true
	 * against str.
	 */
	function anyRx(rxs, str) {
		var i,
		    len;
		for (i = 0, len = rxs.length; i < len; i++) {
			if (rxs[i].test(str)) {
				return true;
			}
		}
		return false;
	}

	/**
	 * Add editing helpers, if necessary
	 *
	 * @param {jQuery} $field object where to add the editing helpers
	 */
	function addEditingHelpers($field) {
		// check whether the editable contains a non-editable block
		// element. as first or last element (not counting whitespace
		// nodes) if so, we need to add br's at the end and/or start so
		// that the user could enter text. Note that inline blocks
		// will be padded by the block plugin, so we ignore them here.
		var firstChild = Dom.getFirstVisibleChild($field[0], false, ["TABLE"]);
		var $firstChild = jQuery(firstChild);

		if (Dom.isBlockNode(firstChild)
				&& (!$firstChild.contentEditable() || firstChild.nodeName === 'TABLE')) {
			var startP = jQuery('<p class="aloha-editing-p"></p>');

			$field.prepend(startP);

			if (0 === Dom.getOffsetHeight(startP[0])) {
				startP.append(jQuery('<br class="aloha-end-br"/>'));
			}
		}

		var lastChild = Dom.getLastVisibleChild($field[0], false, ["TABLE"]);
		var $lastChild = jQuery(lastChild);

		if (Dom.isBlockNode(lastChild)
				&& (!jQuery(lastChild).contentEditable() || lastChild.nodeName === 'TABLE')) {
			var endP = jQuery('<p class="aloha-editing-p"></p>');

			$field.append(endP);
			if (0 === Dom.getOffsetHeight(endP[0])) {
				endP.append(jQuery('<br class="aloha-end-br"/>'));
			}
		}
	}

	/**
	 * Removes helper-breaks in paragraphs inserted to be able to target editables
	 * with uneditable block-elements, and either removes the paragraphs (if empty)
	 * or their editing attribute (otherwise)
	 *
	 * @param {jQuery} $field specifies the area in which to look for editing helpers
	 */
	function removeEditingHelpers($field) {
		// remove the editing br's
		$field.find('p.aloha-editing-p > br.aloha-end-br').remove();

		$field.find('p.aloha-editing-p').each(function (index, elem) {
			if (Dom.isEmpty(elem) &&
				// blocks may remain empty until the user fills them with content
					!jQuery(elem).find('.aloha-block').length) {
				jQuery(elem).remove();
			} else {
				// if the p shall remain, we remove the class aloha-editing-p
				jQuery(elem).removeClass('aloha-editing-p');
				// use the Engine to add an end br, if necessary
				Engine.ensureContainerEditable(elem);
			}
		});
	}

	/**
	 * Stops the propagation of an Event (cancel bubble) in a backward compatible way.
	 * This method tries to first call stopPropagation() on the event object and has a
	 * fallback which sets the cancelBubble property to true (either on the event
	 * itself or the or the current window.event object)
	 *
	 * @param {Event} event the event which propagation to stop
	 */
	function eventStopPropagation(event) {
		event = event || window.event;

		if (event.stopPropagation) {
			event.stopPropagation();
		} else {
			event.cancelBubble = true;
		}
	}

	/**
	 * Prevents the default action on an event. If the browser does not support the native
	 * Event.preventDefault() false is returned.
	 *
	 * @param {Event} event the event for which the default action should be canceled
	 * @returns {boolean} false if the browser does not support the Event.preventDefault() method
	 */
	function eventPreventDefault(event) {
		// check if we can call preventDefault on the event
		if (event && event.preventDefault) {
			event.preventDefault();
		} else {
			// if the event or preventDefault() does not exist we return false
			return false;
		}
	}


	return {
		anyRx: anyRx,
		addEditingHelpers: addEditingHelpers,
		removeEditingHelpers: removeEditingHelpers,
		eventStopPropagation: eventStopPropagation,
		eventPreventDefault: eventPreventDefault
	};
});

/* ephemera.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/**
 * Provides functions to mark the contents of editables as ephemeral. An
 * editable's ephemeral content will be pruned before it is being
 * returned by editable.getContents().
 * 
 * It is planned to replace most instances of makeClean() with this
 * implementation for improved performance and more importantly, in
 * order to have a centralized place that has the control over all
 * ephemeral content, which can be leveraged by plugins to provide more
 * advanced functionality.
 *
 * Some examples that would be possible:
 * * a HTML source code text box, an interactive tree structure, or
 *   other kind of DOM visualization, next to the editable, that
 *   contains just the content of the editable (without ephemeral data)
 *   and which is updated efficiently in real time after each keystroke.
 *
 * * change detection algorithms that are able to intelligently ignore
 *   ephemeral data and which would not trigger unless non-ephemeral
 *   data is added to the editable.
 *
 * * When a plugin provides very general functionality over all nodes of
 *   the DOM, somtimes the plugin may not know what is and what isn't
 *   supposed to be real content. The functionality provided here makes
 *   it possible for the plugin to exaclty distinguish real content from
 *   ephemeral content.
 *
 * TODO: currently only simple transformations are suppored, like
 *       marking classes, attributes and elements as ephemeral and removing
 *       them during the pruning process.
 *       In the future, support for the block-plugin and custom pruning
 *       functions should be added. This may be done by letting implementations
 *       completely control the pruning of a DOM element through a
 *       function that takes the content+ephemeral-data and returns only
 *       content - similar to make clean, but for single elements to reduce
 *       overhead.
 */
define('aloha/ephemera',[
	'jquery',
	'aloha/core',
	'aloha/console',
	'util/strings',
	'util/trees',
	'util/arrays',
	'util/maps',
	'util/dom2',
	'util/functions',
	'util/html',
	'util/misc',
	'util/browser',
	'PubSub'
], function (
	$,
	Aloha,
	console,
	Strings,
	Trees,
	Arrays,
	Maps,
	Dom,
	Functions,
	Html,
	Misc,
	Browser,
	PubSub
) {
	'use strict';

	var ephemeraMap = {
		classMap: {
			'aloha-ephemera-wrapper': true,
			'aloha-ephemera-filler': true,
			'aloha-ephemera-attr': true,
			'aloha-ephemera': true,
			// aloha-cleanme is the same as aloha-ephemera.
			// TODO: should be replaced with aloha-ephemera throughout
			//       the codebase and removed here.
			'aloha-cleanme': true
		},
		attrMap: {
			'hidefocus': true,
			'hideFocus': true,
			'tabindex': true,
			'tabIndex': true,
			'contenteditable': ['TABLE'],
			'contentEditable': ['TABLE']
		},
		attrRxs: [/^(?:nodeIndex|sizcache|sizset|jquery)[\w\d]*$/i],
		pruneFns: []
	};

	var commonClsSubstr = 'aloha-';

	/**
	 * Checks whether the given classes contain the substring common to
	 * all ephemeral classes. If the check fails, an warning will be
	 * logged and the substring will be set to the empty string which
	 * voids the performance improvement the common substring would
	 * otherwise have gained.
	 */
	function checkCommonSubstr(clss) {
		var i, len;
		for (i = 0, len = clss.length; i < len; i++) {
			if (-1 === clss[i].indexOf(commonClsSubstr)) {
				console.warn('Class "' + clss[i] + '" was set to be ephemeral,' + 'which hurts peformance.' + ' Add the common substring "' + commonClsSubstr + '" to the class to fix this problem.');
				commonClsSubstr = '';
			}
		}
	}

	/**
	 * Registers ephemeral classes.
	 *
	 * An ephemeral class is a non-content class that will be pruned
	 * from the from the result of editable.getContents().
	 *
	 * The given classes should contain the string 'aloha-' to get the
	 * benefit of a performance optimization.
	 *
	 * Returns a map that contains all classes that were ever registered
	 * with this function.
	 *
	 * Multiple classes may be specified. If none are specified, just
	 * returns the current ephemeral classes map without modifying it.
	 *
	 * Also see ephemera().
	 */
	function classes() {
		var clss = Array.prototype.slice.call(arguments);
		Maps.fillKeys(ephemeraMap.classMap, clss, true);
		checkCommonSubstr(clss);
		PubSub.pub('aloha.ephemera.classes', {
			ephemera: ephemeraMap,
			newClasses: clss
		});
	}

	/**
	 * Registers ephemeral attributes by attribute name.
	 *
	 * Similar to classes() except applies to entire attributes instead
	 * of individual classes in the class attribute.
	 */
	function attributes() {
		var attrs = Array.prototype.slice.call(arguments);
		Maps.fillKeys(ephemeraMap.attrMap, attrs, true);
		PubSub.pub('aloha.ephemera.attributes', {
			ephemera: ephemeraMap,
			newAttributes: attrs
		});
	}

	/**
	 * Provides access to the global ephemera registry.
	 *
	 * If the given argument is not null, sets the global ephemera
	 * registry to the given value and returns it. Otherwise, just
	 * returns the global registry.
	 *
	 * The given/returned value has the following properties:
	 *
	 * The given map may have the following entries
	 *
	 * classMap - a map from class name to the value true.
	 *            all classes must have a "aloha-" prefix.
	 *            Use Ehpemera.attributes() to set classes without "aloha-" prefix.
	 *
	 * attrMap  - a map from attribute name to the value true or to an array
	 *            of element names. If an array of elements is specified, the
	 *            attribute will only be considered ephemeral if it is
	 *            found on an element in the array.
	 *
	 * attrRxs  - an array of regexes (in object - not string - form: /[a-z].../)
	 *
	 * pruneFns - an array of functions that will be called at each pruning step.
	 *
	 * When a DOM tree is pruned with prune(elem) without an emap
	 * argument, the global registry maintained with classes()
	 * attributes() and ephemera() is used as a default map. If an emap
	 * argument is specified, the global registry will be ignored and
	 * the emap argument will be used instead.
	 *
	 * When a DOM tree is pruned with prune()
	 * - classes specified by classMap will be removed
	 * - attributes specified by attrMap or attrRxs will be removed
	 * - functions specified by pruneFns will be called as the DOM tree
	 *   is descended into (pre-order), with each node (element, text,
	 *   etc.) as a single argument. The function is free to modify the
	 *   element and return it, or return a new element which will
	 *   replace the given element in the pruned tree. If null or
	 *   undefined is returned, the element will be removed from the
	 *   tree. As per contract of Maps.walkDomInplace, it is allowed to
	 *   insert/remove children in the parent node as long as the given
	 *   node is not removed.
	 *
	 * Also see classes() and attributes().
	 *
	 * Note that removal of attributes doesn't always work on IE7 (in
	 * rare special cases). The dom-to-xhtml plugin can reliably remove
	 * ephemeral attributes during the serialization step.
	 */
	function ephemera(emap) {
		if (emap) {
			ephemeraMap = emap;
		}
		PubSub.pub('aloha.ephemera', {
			ephemera: ephemeraMap
		});
		return ephemeraMap;
	}

	/**
	 * Marks an element as ephemeral.
	 *
	 * The element will be completely removed when the prune function is
	 * called on it.
	 *
	 * Adds the class 'aloha-ephemera' to the given element.
	 *
	 * The class 'aloha-ephemera' can also be added directly without
	 * recurse to this function, if that is more convenient.
	 */
	function markElement(elem) {
		$(elem).addClass('aloha-ephemera');
	}

	/**
	 * Marks the attribute of an element as ephemeral.
	 *
	 * The attribute will be removed from the element when the prune
	 * function is called on it.
	 *
	 * Multiple attributes can be passed at the same time be separating
	 * them with a space.
	 *
	 * Adds the class 'aloha-ephemera-attr' to the given element. Also
	 * adds or modifies the 'data-aloha-ephemera-attr' attribute,
	 * and adds to it the name of the given attribute.
	 *
	 * These modifications can be made directly without recurse to this
	 * function, if that is more convenient.
	 */
	function markAttr(elem, attr) {
		elem = $(elem);
		var data = elem.attr('data-aloha-ephemera-attr');
		if (null == data || '' === data) {
			data = attr;
		} else if (-1 === Arrays.indexOf(Strings.words(data), attr)) {
			data += ' ' + attr;
		}
		elem.attr('data-aloha-ephemera-attr', data);
		elem.addClass('aloha-ephemera-attr');
	}

	/**
	 * Marks an element as a ephemeral, excluding subnodes.
	 *
	 * The element will be removed when the prune function is called on
	 * it, but any children of the wrapper element will remain in its
	 * place.
	 *
	 * A wrapper is an element that wraps a single non-ephemeral
	 * element. A filler is an element that is wrapped by a single
	 * non-ephemeral element. This distinction is not important for the
	 * prune function, which behave the same for both wrappers and
	 * fillers, but it makes it easier to build more advanced content
	 * inspection algorithms (also see note at the header of ephemeral.js).
	 * 
	 * Adds the class 'aloha-ephemera-wrapper' to the given element.
	 *
	 * The class 'aloha-ephemera-wrapper' may also be added directly,
	 * without recurse to this function, if that is more convenient.
	 *
	 * NB: a wrapper element must not wrap a filler element. Wrappers
	 *     and fillers are ephermeral. A wrapper must always wrap a
	 *     single _non-ephemeral_ element, and a filler must always fill
	 *     a single _non-ephemeral_ element.
	 */
	function markWrapper(elem) {
		$(elem).addClass('aloha-ephemera-wrapper');
	}

	/**
	 * Marks an element as a ephemeral. If all subnodes are White Spaces,
	 * the elements would be removed completed. Otherwise only the wrapper
	 * will be removed, without deleting the subnodes. 
	 */
	function markWhiteSpaceWrapper(elem) {
		$(elem).addClass('aloha-ephemera-empty-wrapper');
	}

	/**
	 * Marks an element as ephemeral, excluding subnodes.
	 *
	 * Adds the class 'aloha-ephemera-filler' to the given element.
	 *
	 * The class 'aloha-ephemera-filler' may also be added directly,
	 * without recurse to this function, if that is more convenient.
	 *
	 * See wrapper()
	 */
	function markFiller(elem) {
		$(elem).addClass('aloha-ephemera-filler');
	}

	/**
	 * Prunes attributes marked as ephemeral with Ephemera.attributes()
	 * from the given element.
	 */
	function pruneMarkedAttrs(elem) {
		var $elem = $(elem);
		var data = $elem.attr('data-aloha-ephemera-attr');
		var i;
		var attrs;
		// Because IE7 crashes if we remove this attribute. If the
		// dom-to-xhtml plugin is turned on, it will handle the removal
		// of this attribute during serialization.
		if (!Browser.ie7) {
			$elem.removeAttr('data-aloha-ephemera-attr');
		}
		if (typeof data === 'string') {
			attrs = Strings.words(data);
			for (i = 0; i < attrs.length; i++) {
				$elem.removeAttr(attrs[i]);
			}
		}
	}

	/**
	 * Determines whether the given attribute of the given element is
	 * ephemeral according to the given emap.
	 * See Ephemera.ephemera() for an explanation of attrMap and attrRxs.
	 */
	function isAttrEphemeral(elem, attrName, attrMap, attrRxs) {
		var mapped = attrMap[attrName];
		if (mapped) {
			// The attrMap may either contain boolean true or an array of element names.
			if (true === mapped) {
				return true;
			}
			if (-1 !== Arrays.indexOf(mapped, elem.nodeName)) {
				return true;
			}
		}
		return Misc.anyRx(attrRxs, attrName);
	}

	/**
	 * Prunes attributes specified with either emap.attrMap or emap.attrRxs.
	 * See ephemera().
	 */
	function pruneEmapAttrs(elem, emap) {
		var $elem = null,
			attrs = Dom.attrNames(elem),
		    name,
		    i,
		    len;
		for (i = 0, len = attrs.length; i < len; i++) {
			name = attrs[i];
			if (isAttrEphemeral(elem, name, emap.attrMap, emap.attrRxs)) {
				$elem = $elem || $(elem);
				$elem.removeAttr(name);
			}
		}
	}

	/**
	 * Prunes an element of attributes and classes or removes the
	 * element by returning false.
	 *
	 * Elements attributes and classes can either be marked as
	 * ephemeral, in which case the element itself will contain the
	 * prune-info, or they can be specified as ephemeral with the given
	 * emap.
	 *
	 * See ephemera() for an explanation of the emap argument.
	 */
	function pruneElem(elem, emap) {
		var className = elem.className;
		// Because SVG elements will (sometimes) hold a SVGAnimatedString object
		// (http://mdn.beonex.com/en/DOM/SVGStylable.html#Properties) instead of
		// a string for the className property
		if ('string' === typeof className && -1 !== className.indexOf(commonClsSubstr)) {
			var classes = Strings.words(className);

			// Ephemera.markElement()
			if (-1 !== Arrays.indexOf(classes, 'aloha-cleanme') || -1 !== Arrays.indexOf(classes, 'aloha-ephemera')) {
				$.removeData(elem); // avoids memory leak
				return false; // removes the element
			}

			// Ephemera.markWrapper() and Ephemera.markFiller()
			if (-1 !== Arrays.indexOf(classes, 'aloha-ephemera-wrapper') || -1 !== Arrays.indexOf(classes, 'aloha-ephemera-filler')) {
				Dom.moveNextAll(elem.parentNode, elem.firstChild, elem.nextSibling);
				$.removeData(elem);
				return false;
			}

			// Ephemera.markWhiteSpaceWrapper() and Ephemera.markFiller()
			if (-1 !== Arrays.indexOf(classes, 'aloha-ephemera-empty-wrapper')) {
				if (!Html.hasOnlyWhiteSpaceChildren(elem)) {
					Dom.moveNextAll(elem.parentNode, elem.firstChild, elem.nextSibling);
				}
				$.removeData(elem);
				return false;
			}

			// Ephemera.markAttr()
			if (-1 !== Arrays.indexOf(classes, 'aloha-ephemera-attr')) {
				pruneMarkedAttrs(elem);
			}

			// Ephemera.classes() and Ehpemera.ephemera({ classMap: {} })
			var persistentClasses = Arrays.filter(classes, function (cls) {
				return !emap.classMap[cls];
			});
			if (persistentClasses.length !== classes.length) {
				if (0 === persistentClasses.length) {
					// Removing the attributes is dangerous. Aloha has a
					// jquery patch in place to fix some issue.
					$(elem).removeAttr('class');
				} else {
					elem.className = persistentClasses.join(' ');
				}
			}
		}

		// Ephemera.attributes() and Ephemera.ephemera({ attrMap: {}, attrRxs: {} })
		pruneEmapAttrs(elem, emap);

		return true;
	}

	/**
	 * Called for each node during the pruning of a DOM tree.
	 */
	function pruneStep(emap, step, node) {
		if (1 === node.nodeType) {
			if (!pruneElem(node, emap)) {
				return [];
			}
			node = Trees.walkDomInplace(node, step);
		}

		// Ephemera.ephemera({ pruneFns: [] })
		node = Arrays.reduce(emap.pruneFns, node, Arrays.applyNotNull);
		if (!node) {
			return [];
		}

		return [node];
	}

	/**
	 * Prunes the given element of all ephemeral data.
	 *
	 * Elements marked with Ephemera.markElement() will be removed.
	 * Attributes marked with Ephemera.markAttr() will be removed.
	 * Elements marked with Ephemera.markWrapper() or
	 * Ephemera.markFiller() will be replaced with their children.
	 *
	 * See ephemera() for an explanation of the emap argument.
	 *
	 * All properties of emap, if specified, are required, but may be
	 * empty.
	 *
	 * The element is modified in-place and returned.
	 */
	function prune(elem, emap) {
		emap = emap || ephemeraMap;

		function pruneStepClosure(node) {
			return pruneStep(emap, pruneStepClosure, node);
		}
		return pruneStepClosure(elem)[0];
	}

	return {
		ephemera: ephemera,
		classes: classes,
		attributes: attributes,
		markElement: markElement,
		markAttr: markAttr,
		markWrapper: markWrapper,
		markWhiteSpaceWrapper: markWhiteSpaceWrapper,
		markFiller: markFiller,
		prune: prune,
		isAttrEphemeral: isAttrEphemeral
	};
});

/* copypaste.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/**
 * @overview:
 * Various utility functions that are useful when working with selections, and
 * ranges for copy/paste functionality.
 */
define('aloha/copypaste', [
	'jquery',
	'aloha/core'
], function (
	$,
	Aloha
) {
	'use strict';

	/**
	 * Retrieve the editable host in which the given range is contained.
	 *
	 * @param {WrappedRange} range
	 * @return {jQuery.<HTMLElement>|null} The editable host element, null if
	 *                                     non can be determinded from the given
	 *                                     range.
	 */
	function getEditableAt(range) {
		if (!range || !range.commonAncestorContainer) {
			return null;
		}
		var $container = $(range.commonAncestorContainer);
		return $container.length ? Aloha.getEditableHost($container) : null;
	}

	/**
	 * Retrieves the current range.
	 *
	 * @return {WrappedRange|null} Range at current selection or null of non
	 *                             exists.
	 */
	function getRange() {
		var selection = Aloha.getSelection();
		return selection.getRangeCount() ? selection.getRangeAt(0) : null;
	}

	/**
	 * Set the selection to the given range
	 *
	 * @param {object} range An object that must container the following
	 *                       essential range properties: ~ startContainer
	 *                                                   ~ endContainer
	 *                                                   ~ startOffset
	 *                                                   ~ endOffset
	 */
	function setSelectionAt(range) {
		var newRange = Aloha.createRange();
		var selection = Aloha.getSelection();
		newRange.setStart(range.startContainer, range.startOffset);
		newRange.setEnd(range.endContainer, range.endOffset);
		selection.removeAllRanges();
		selection.addRange(newRange);
	}

	/**
	 * Creates a selection that encompasses the contents of the given element.
	 *
	 * @param {HTMLElement} element Editable DOM element.
	 */
	function selectAllOf(element) {
		setSelectionAt({
			startContainer: element,
			endContainer: element,
			startOffset: 0,
			endOffset: element.childNodes ? element.childNodes.length
		                                  : element.length
		});
		$(element).focus();
	}

	return {
		getEditableAt: getEditableAt,
		getRange: getRange,
		selectAllOf: selectAllOf,
		setSelectionAt: setSelectionAt
	};
});

/* command.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('aloha/command',[
	'aloha/core',
	'aloha/registry',
	'aloha/engine',
	'util/dom',
	'aloha/contenthandlermanager'
], function (
	Aloha,
	Registry,
	Engine,
	Dom,
	ContentHandlerManager
) {
	"use strict";

	//			Action: What the command does when executed via execCommand(). Every command defined
	//			in CommandManager specification has an action defined for it in the relevant section. For example,
	//			the bold command's action generally makes the current selection bold, or removes bold if
	//			the selection is already bold. An editing toolbar might provide buttons that execute the
	//			action for a command if clicked, or a script might run an action without user interaction
	//			to achieve some particular effect.
	//
	//			Indeterminate: A boolean value returned by queryCommandIndeterm(), depending on the
	//			current state of the document. Generally, a command that has a state defined will be
	//			indeterminate if the state is true for part but not all of the current selection, and a
	//			command that has a value defined will be indeterminate if different parts of the
	//			selection have different values. An editing toolbar might display a button or control
	//			in a special way if the command is indeterminate, like showing a "bold" button as
	//			partially depressed, or leaving a font size selector blank instead of showing the font
	//			size of the current selection. As a rule, a command can only be indeterminate if its
	//			state is false, supposing it has a state.
	//
	//			State: A boolean value returned by queryCommandState(), depending on the current state
	//			of the document. The state of a command is true if it is already in effect, in some
	//			sense specific to the command. Most commands that have a state defined will take opposite
	//			actions depending on whether the state is true or false, such as making the selection
	//			bold if the state is false and removing bold if the state is true. Others will just
	//			have no effect if the state is true, like the justifyCenter command. Still others will
	//			have the same effect regardless, like the styleWithCss command. An editing toolbar might
	//			display a button or control differently depending on the state and indeterminacy of the
	//			command.
	//
	//			Value: A string returned by queryCommandValue(), depending on the current state of the
	//			document. A command usually has a value instead of a state if the property it modifies
	//			can take more than two different values, like the foreColor command. If the command is
	//			indeterminate, its value is generally based on the start of the selection. Otherwise,
	//			in most cases the value holds true for the entire selection, but see the justifyCenter
	//			command and its three companions for an exception. An editing toolbar might display the
	//			value of a command as selected in a drop-down or filled in in a text box, if the command
	//			isn't indeterminate.
	//
	//			Relevant CSS property: CommandManager is defined for certain inline formatting commands, and
	//			is used in algorithms specific to those commands. It is an implementation detail, and
	//			is not exposed to authors. If a command does not have a relevant CSS property
	//			specified, it defaults to null.

	var CommandManager = {

		execCommand: function (commandId, showUi, value, range) {
			var eventData = {
				commandId: commandId,
				preventDefault: false
			};

			Aloha.trigger('aloha-command-will-execute', eventData);

			if (eventData.preventDefault === true) {
				return;
			}

			var selection = Aloha.getSelection();
			if (!range) {
				if (!selection.getRangeCount()) {
					return;
				}
				range = selection.getRangeAt(0);
			}

			if (commandId.toLowerCase() === 'inserthtml') {
				value = ContentHandlerManager.handleContent(value, {
					contenthandler: Aloha.settings.contentHandler.insertHtml,
					command: 'insertHtml'
				});
			}

			Engine.execCommand(commandId, showUi, value, range);

			// Because there is never a situation where it will be necessary to
			// do any further cleanup (merging of similar adjacent nodes)
			if ('insertparagraph' !== commandId.toLowerCase()
					&& selection.getRangeCount()) {

				range = selection.getRangeAt(0);

				// FIX: doCleanup should work with W3C range
				var start = range.commonAncestorContainer;
				if (start.parentNode) {
					start = start.parentNode;
				}

				var rangeObject = new window.GENTICS.Utils.RangeObject();
				rangeObject.startContainer = range.startContainer;
				rangeObject.startOffset = range.startOffset;
				rangeObject.endContainer = range.endContainer;
				rangeObject.endOffset = range.endOffset;

				Dom.doCleanup({
					merge: true,
					removeempty: false
				}, rangeObject, start);

				rangeObject.select();
			}

			Aloha.scrollToSelection();

			Aloha.trigger('aloha-command-executed', commandId);
		},

		// If command is available and not disabled or the active range is not null
		// the command is enabled
		queryCommandEnabled: function (commandId, range) {

			// Take current selection if not passed
			if (!range) {
				if (!Aloha.getSelection().getRangeCount()) {
					return;
				}
				range = Aloha.getSelection().getRangeAt(0);
			}
			return Engine.queryCommandEnabled(commandId, range);
		},

		// "Return true if command is indeterminate, otherwise false."
		queryCommandIndeterm: function (commandId, range) {

			// Take current selection if not passed
			if (!range) {
				if (!Aloha.getSelection().getRangeCount()) {
					return;
				}
				range = Aloha.getSelection().getRangeAt(0);
			}
			return Engine.queryCommandIndeterm(commandId, range);

		},

		queryCommandState: function (commandId, range) {

			// Take current selection if not passed
			if (!range) {
				if (!Aloha.getSelection().getRangeCount()) {
					return;
				}
				range = Aloha.getSelection().getRangeAt(0);
			}
			return Engine.queryCommandState(commandId, range);

		},

		// "When the queryCommandSupported(command) method on the HTMLDocument
		// interface is invoked, the user agent must return true if command is
		// supported, and false otherwise."
		queryCommandSupported: function (commandId) {

			return Engine.queryCommandSupported(commandId);
		},

		queryCommandValue: function (commandId, range) {

			// Take current selection if not passed
			if (!range) {
				if (!Aloha.getSelection().getRangeCount()) {
					return;
				}
				range = Aloha.getSelection().getRangeAt(0);
			}

			// "Return command's value."
			return Engine.queryCommandValue(commandId, range);
		},
		querySupportedCommands: function () {

			var commands = [],
				command;

			for (command in Engine.commands) {
				if (Engine.commands.hasOwnProperty(command)) {
					commands.push(command);
				}
			}
			return commands;
		},
		getStateOverride: Engine.getStateOverride,
		setStateOverride: Engine.setStateOverride,
		resetOverrides: Engine.resetOverrides,
		unsetStateOverride: Engine.unsetStateOverride
	};

	// create an instance
	CommandManager = new (Registry.extend(CommandManager))();

	/**
	 * Executes a registered command.
	 * http://aryeh.name/spec/editing/editing.html#methods-of-the-htmldocument-interface
	 * @method
	 * @param command name of the command
	 * @param showUI has no effect for Aloha Editor and is only here because in spec...
	 * @param value depends on the used command and it impementation
	 * @range optional a range on which the command will be executed if not specified
	 *        the current selection will be used as range
	 */
	Aloha.execCommand = CommandManager.execCommand;

	/**
	 * Check wheater the command in enabled.
	 * If command is not supported, raise a NOT_SUPPORTED_ERR exception.
	 * @param command name of the command
	 * @return true if command is enabled, false otherwise.
	 */
	Aloha.queryCommandEnabled = CommandManager.queryCommandEnabled;

	/**
	 * Check if the command has an indetermed state.
	 * If command is not supported, a NOT_SUPPORTED_ERR exception is thrown
	 * If command has no indeterminacy, INVALID_ACCESS_ERR exception is thrown
	 * If command is not enabled, return false.
	 * @param command name of the command
	 * @range optional a range on which the command will be executed if not specified
	 *        the current selection will be used as range
	 * @return true if command is indeterminate, otherwise false.
	 */
	Aloha.queryCommandIndeterm = CommandManager.queryCommandIndeterm;

	/**
	 * Returns the state of a given command
	 * If command is not supported, a NOT_SUPPORTED_ERR exception is thrown
	 * If command has no state, an INVALID_ACCESS_ERR exception is thrown
	 * If command is not enabled, return false
	 * If the state override for command is set, it returns the state
	 * @param command name of the command
	 * @return state override or true if command's state is true, otherwise false.
	 */
	Aloha.queryCommandState = CommandManager.queryCommandState;

	/**
	 * Check if a given command is supported
	 * @return true if command is supported, and false otherwise.
	 */
	Aloha.queryCommandSupported = CommandManager.queryCommandSupported;

	/**
	 * Returns the Value of a given Command
	 * If command is not supported, a NOT_SUPPORTED_ERR exception is thrown
	 * If command is not enabled, returns an empty string
	 * If command is "fontSize" and its value override is set, an integer
	 * number of pixels is returned as font size for the result.
	 * If the value override for command is set, it returns that.
	 * @return command's value.
	 */
	Aloha.queryCommandValue = CommandManager.queryCommandValue;

	Aloha.querySupportedCommands = CommandManager.querySupportedCommands;

	return CommandManager;
});

/* state-override.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('aloha/state-override',[
	'aloha/core',
	'jquery',
	'aloha/command',
	'util/dom2',
	'util/maps',
	'util/range',
	'PubSub'
], function (
	Aloha,
	jQuery,
	Command,
	Dom,
	Maps,
	RangeObject,
	PubSub
) {
	'use strict';

	// Because we want to provide an easy way to disable the state-override feature.
	var enabled = Aloha.settings.stateOverride !== false;
	var overrides = null;
	var overrideRange = null;

	function rangeObjectFromRange(range) {
		return new RangeObject(range);
	}

	function clear() {
		overrideRange = null;
		overrides = null;
	}

	function keyPressHandler(event) {
		if (!overrides) {
			return;
		}
		if (event.altKey || event.ctrlKey || !event.which) {
			return;
		}
		var selection = Aloha.getSelection();
		if (!selection.getRangeCount()) {
			return;
		}
		var text = String.fromCharCode(event.which);
		var range = selection.getRangeAt(0);
		Dom.insertSelectText(text, range);
		Maps.forEach(overrides, function (formatFn, command) {
			formatFn(command, range);
		});
		Dom.collapseToEnd(range);
		selection.removeAllRanges();
		selection.addRange(range);
		// Because we handled the character insert ourselves via
		// insertText we must not let the browser's default action
		// insert the character a second time.
		event.preventDefault();
	}

	function set(command, range, formatFn) {
		if (!enabled) {
			return;
		}
		overrideRange = range;
		overrides = overrides || {};
		overrides[command] = formatFn;
	}

	function setWithRangeObject(command, rangeObject, formatFn) {
		if (!enabled) {
			return;
		}
		set(command, Dom.rangeFromRangeObject(rangeObject), function (command, range) {
			var rangeObject = rangeObjectFromRange(range);
			formatFn(command, rangeObject);
			Dom.setRangeFromRef(range, rangeObject);
		});
		// Because without doing rangeObject.select(), the
		// next insertText command (see editable.js) will
		// not be reached and instead the browsers default
		// insert behaviour will be applied (which doesn't
		// know anything about state overrides). I don't
		// know the exact reasons why; probably some
		// stopPropagation somewhere by some plugin.
		rangeObject.select();
	}

	function enabledAccessor(trueFalse) {
		if (null != trueFalse) {
			enabled = trueFalse;
		}
		return enabled;
	}

	// https://dvcs.w3.org/hg/editing/raw-file/tip/editing.html#state-override
	// "Whenever the number of ranges in the selection changes to
	// something different, and whenever a boundary point of the range
	// at a given index in the selection changes to something different,
	// the state override and value override must be unset for every
	// command."
	Aloha.bind('aloha-selection-changed', function (event, range) {
		if (overrideRange && !Dom.areRangesEq(overrideRange, range)) {
			clear();
			// Because the UI may reflect the any potentially state
			// overrides that are now no longer in effect, we must
			// redraw the UI according to the current selection.
			PubSub.pub('aloha.selection.context-change', {
				range: range,
				event: event
			});
		}
	});

	return {
		enabled: enabledAccessor,
		keyPressHandler: keyPressHandler,
		setWithRangeObject: setWithRangeObject,
		set: set,
		clear: clear
	};
});

/* editable.js is part of the Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2014 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 * License http://aloha-editor.org/license.php
 */
define('aloha/editable',[
	'aloha/core',
	'util/class',
	'jquery',
	'aloha/content-rules',
	'aloha/pluginmanager',
	'aloha/selection',
	'aloha/markup',
	'aloha/contenthandlermanager',
	'aloha/console',
	'aloha/block-jump',
	'aloha/ephemera',
	'util/dom2',
	'util/browser',
	'PubSub',
	'aloha/copypaste',
	'aloha/command',
	'aloha/state-override'
], function (
	Aloha,
	Class,
	$,
	ContentRules,
	PluginManager,
	Selection,
	Markup,
	ContentHandlerManager,
	console,
	BlockJump,
	Ephemera,
	Dom,
	Browser,
	PubSub,
	CopyPaste,
	Command,
	StateOverride
) {
	'use strict';

	var jQuery = $;
	var unescape = window.unescape,
		GENTICS = window.GENTICS,

		// True, if the next editable activate event should not be handled
		ignoreNextActivateEvent = false;

	/**
	 * A cache to hold information derived, and used in getContents().
	 * @type {object<string,(string|jQuery.<HTMLElement>)>}
	 * @private
	 */
	var editableContentCache = {};

	// default supported and custom content handler settings
	// @TODO move to new config when implemented in Aloha
	Aloha.defaults.contentHandler = {};
	Aloha.defaults.contentHandler.initEditable = ['blockelement', 'sanitize'];
	Aloha.defaults.contentHandler.getContents = ['blockelement', 'sanitize', 'basic'];

	// The insertHtml contenthandler ( paste ) will, by default, use all
	// registered content handlers.
	//Aloha.defaults.contentHandler.insertHtml = void 0;

	if (typeof Aloha.settings.contentHandler === 'undefined') {
		Aloha.settings.contentHandler = {};
	}

	var defaultContentSerializer = function (editableElement) {
		return jQuery(editableElement).html();
	};

	var contentSerializer = defaultContentSerializer;

	/**
	 * Triggers smartContentChange handlers.
	 *
	 * @param {Aloha.Editable}
	 * @return {string} Content that has been processed by getContent handlers
	 *                  and smartContentChange handlers.
	 */
	function handleSmartContentChange(editable) {
		return ContentHandlerManager.handleContent(editable.getContents(), {
			contenthandler: Aloha.settings.contentHandler.smartContentChange
		}, editable);
	}

	/**
	 * List of observed key, mapped against their keycodes.
	 *
	 * @type {object<number, string>}
	 * @const
	 */
	var KEYCODES = {
		65: 'a'
	};

	var IGNOREABLE_KEY_CODES = [
		9, /* Tab */
		16, /* shift */
		17, /* ctrl */
		18, /* alt */
		20, /* capslock */
		33, /* Page up */
		34, /* Page down */
		35, /* End */
		36, /* Home */
		37, /* Arrow left */
		38, /* Arrow Up */
		39, /* Arrow right */
		40, /* Arrow down */
		91, /* windows/super */
		/* F1-12 */
		112,
		113,
		114,
		115,
		116,
		117,
		118,
		119,
		120,
		121,
		122,
		123,
		192 /* Escape */
	];

	/**
	 * Handlers for various key combos.
	 * Each handler ought to return false if they do not want the event to
	 * continue propagating.
	 */
	var keyBindings = {
		'ctrl+a': function () {
			var editable = CopyPaste.getEditableAt(CopyPaste.getRange());
			if (editable) {
				CopyPaste.selectAllOf(editable.obj[0]);
				return false;
			}
		}
	};

	/**
	 * Gets the name of the modifier key if is in effect for the given event.
	 *
	 * eg: <Ctrl>+c
	 *
	 * @param {jQuery.Event} $event
	 * @return {string|null} Modifier string or null if no modifier is in
	 *                       effect.
	 *                      
	 */
	function keyModifier($event) {
		return $event.altKey ? 'alt' :
					$event.ctrlKey ? 'ctrl' :
						$event.shiftKey ? 'shift' : null;
	}

	/**
	 * Handles keydown events that are fired on the page's document.
	 *
	 * @param {jQuery.Event) event
	 * @return {boolean} Returns false to stop propagation; undefined otherwise.
	 */
	function onKeydown(event) {
		// If the event has already been prevented and stopped, then we return false as well.
		if (typeof event.isDefaultPrevented === 'function' && typeof event.isPropagationStopped === 'function') {
			if (event.isDefaultPrevented() && event.isPropagationStopped()) {
				return false;
			}
		}

		if (!Aloha.activeEditable) {
			return;
		}

		var key = KEYCODES[event.which];
		if (key) {
			var modifier = keyModifier(event);
			var combo = (modifier ? modifier + '+' : '') + key;
			if (keyBindings[combo]) {
				return keyBindings[combo](event);
			}
		}
	}

	/**
	 * Registers events on the given editable's corresponding DOM element.
	 *
	 * @param {Editable} editable
	 */
	function registerEvents(editable) {
		var $editable = editable.obj;

		$editable.mousedown(function () {
			Aloha.eventHandled = true;
		}).mouseup(function () {
			Aloha.eventHandled = false;
		});

		// Events which can override/replace the current selection
		$editable.on('keydown input paste cut', function (event) {
			// If the event has already been prevented and stopped, then we return false as well.
			if (typeof event.isDefaultPrevented === 'function' && typeof event.isPropagationStopped === 'function') {
				if (event.isDefaultPrevented() && event.isPropagationStopped()) {
					return false;
				}
			}

			// It's a key press which can be safely used
			if (event.keyCode != null && IGNOREABLE_KEY_CODES.indexOf(event.keyCode) !== -1) {
				return true;
			}

			// check whether there is a selection at all
			var sel = Aloha.getSelection();
			if (sel.getRangeCount() == 0) {
				return true;
			}
			var replacedEditables = [];
			var range = Selection.rangeObject;
			var tree = Selection.getSelectionTree(range) || [];
			var idx;
			var domObjects = [];
			var pushToDomObjects = function () {
				domObjects.push(this);
			};
			var preventDefault = function () {
				this._prevented = true;
			};
			var isDefaultPrevented = function () {
				return this._prevented;
			};

			// Search for any editable in the selection. If one has been found, trigger an event.
			for (idx = 0; idx < tree.length; idx++) {
				var elem = tree[idx];
				// Ignore not selected elements
				if (elem.selection === 'none') {
					continue;
				}

				domObjects = [];
				var item = $(elem.domobj);
				if (item.is('.aloha-block,.aloha-editable')) {
					domObjects = [elem.domobj];
				} else {
					$.each(item.children('.aloha-block,.aloah-editable'), pushToDomObjects);
				}

				var objIdx;
				for (objIdx = 0; objIdx < domObjects.length; objIdx++) {
					var triggerEventObj = {
						element: domObjects[objIdx],
						range: range,
						_prevented: false,
						preventDefault: preventDefault,
						isDefaultPrevented: isDefaultPrevented
					};
					Aloha.trigger('aloha-editable-delete', triggerEventObj);

					if (triggerEventObj.isDefaultPrevented()) {
						replacedEditables.push(domObjects[objIdx]);
					}
				}
			}

			if (replacedEditables.length > 0) {
				event.preventDefault();
				event.stopPropagation();
				return false;
			}
		});

		$editable.keydown(function (event) {
			// If the event has already been prevented and stopped, then we return false as well.
			if (typeof event.isDefaultPrevented === 'function' && typeof event.isPropagationStopped === 'function') {
				if (event.isDefaultPrevented() && event.isPropagationStopped()) {
					return false;
				}
			}

			var letEventPass = Markup.preProcessKeyStrokes(event);
			editable.keyCode = event.which;
			if (!letEventPass) {
				// the event will not proceed to key press, therefore trigger
				// smartContentChange
				editable.smartContentChange(event);
				return false;
			}
		});

		$editable.keypress(StateOverride.keyPressHandler);
		$editable.keypress(function (event) {
			// triggers a smartContentChange to get the right charcode
			// To test try http://www.w3.org/2002/09/tests/keys.html
			Aloha.activeEditable.smartContentChange(event);
		});

		// native drag and drop adds unwanted style elements so we need to
		// disable it
		$editable.on('dragstart', function (event) {
			return false;
		});

		$editable.keyup(function (event) {
			if (event.keyCode === 27) {
				Aloha.deactivateEditable();
				return false;
			}
		});

		$editable.contentEditableSelectionChange(function (event) {
			Selection.onChange($editable, event, 0, Aloha.mouseEventChangedEditable);
			if (Aloha.mouseEventChangedEditable) {
				Aloha.mouseEventChangedEditable = false;
			}
			return $editable;
		});
	}

	/**
	 * Helper function for safely removing a placeholder that is a div
	 * @private
	 * @param {Element} placeholder DOM Element
	 */
	function removeDivPlaceholder(placeholder) {
		var $placeholder = $(placeholder);
		var child = placeholder.firstChild;

		if (!child) {
			$placeholder.remove();
			return;
		}

		if (!Dom.isTextNode(child) || child.data.indexOf('\u00A0') === -1) {
			child = placeholder.lastChild;
		}

		if (Dom.isTextNode(child)) {
			child.data = child.data.replace(/(^(\u00A0)+)|((\u00A0)+$)/g, '');
		}

		if (!$placeholder.is(':empty')) {
			Dom.removeShallow(placeholder);
		} else {
			$placeholder.remove();
		}
	}

	/**
	 * Checks if the element given is an unmodified aloha placeholder
	 *
	 * @private
	 * @param {HTMLElement} node
	 * @return {Boolean} True if the given element is an aloha-editing-paragraph.
	 */
	function isUnmodifiedAlohaEditingP(node) {
		return Browser.ie
		       ? (node.className === 'aloha-editing-p aloha-placeholder'
		         && node.children.length === 0
		         && (!node.firstChild || node.firstChild.data === '\u2060'))
		       : (node.className === 'aloha-editing-p aloha-placeholder'
		         && node.children.length >= 1
		         && node.children[0].nodeName === 'BR'
		         && node.children[0].className === 'aloha-end-br');
	}

	/**
	 * Helper function for safely removing a placeholder that is a paragraph
	 *
	 * @private
	 * @param {Element} placeholder DOM Element
	 */
	function removePPlaceholder(placeholder) {
		var $placeholder = $(placeholder);
		if (isUnmodifiedAlohaEditingP(placeholder)) {
			$placeholder.remove();
		} else {
			$placeholder.removeClass('aloha-editing-p');
			$placeholder.removeClass('aloha-placeholder');
			if (Browser.ie) {
				//remove trailing or leading word joiner
				var child = $placeholder[0].firstChild;
				if (child && Dom.isTextNode(child) && child.data.indexOf('\u2060') >= -1) {
					child.data = child.data.replace(/(^(\u2060)+)|((\u2060)+$)/g, '');
				}
			}
		}
	}


	/**
	 * Safely removes a placeholder and leaves its content at its place.
	 * This function is a helper to be passed to a jQuery each() invocation.
	 *
	 * @private
	 * @param {index}   index (Unused) index of placeholder element in jQuery collection.
	 * @param {Element} placeholder DOM Element
	 */
	function removePlaceholder(index, placeholder) {
		var $placeholder = $(placeholder);
		if ($placeholder.hasClass('aloha-editing-div')) {
			removeDivPlaceholder(placeholder);
			return;
		}
		if ($placeholder.hasClass('aloha-editing-p')) {
			removePPlaceholder(placeholder);
			return;
		}
		$placeholder.remove();
	}

	$(document).keydown(onKeydown);

	/**
	 * Editable object
	 * @namespace Aloha
	 * @class Editable
	 * @method
	 * @constructor
	 * @param {Object} obj jQuery object reference to the object
	 */
	Aloha.Editable = Class.extend({

		_constructor: function (obj) {
			// check wheter the object has an ID otherwise generate and set
			// globally unique ID
			if (!obj.attr('id')) {
				obj.attr('id', GENTICS.Utils.guid());
			}

			// store object reference
			this.obj = obj;
			this.originalObj = obj;
			this.ready = false;

			// delimiters, timer and idle for smartContentChange
			// smartContentChange triggers -- tab: '\u0009' - space: '\u0020' - enter: 'Enter'
			// backspace: U+0008 - delete: U+007F
			this.sccDelimiters = [':', ';', '.', '!', '?', ',',
								  unescape('%u0009'), unescape('%u0020'), unescape('%u0008'), unescape('%u007F'), 'Enter'];
			this.sccIdle = 5000;
			this.sccDelay = 500;
			this.sccTimerIdle = false;
			this.sccTimerDelay = false;

			// see keyset http://www.w3.org/TR/2007/WD-DOM-Level-3-Events-20071221/keyset.html
			this.keyCodeMap = {
				93: 'Apps', // The Application key
				18: 'Alt', // The Alt ( Menu ) key.
				20: 'CapsLock', // The Caps Lock ( Capital ) key.
				17: 'Control', // The Control ( Ctrl ) key.
				40: 'Down', // The Down Arrow key.
				35: 'End', // The End key.
				13: 'Enter', // The Enter key.
				112: 'F1', // The F1 key.
				113: 'F2', // The F2 key.
				114: 'F3', // The F3 key.
				115: 'F4', // The F4 key.
				116: 'F5', // The F5 key.
				117: 'F6', // The F6 key.
				118: 'F7', // The F7 key.
				119: 'F8', // The F8 key.
				120: 'F9', // The F9 key.
				121: 'F10', // The F10 key.
				122: 'F11', // The F11 key.
				123: 'F12', // The F12 key.

				// Anybody knows the keycode for F13-F24?
				36: 'Home', // The Home key.
				45: 'Insert', // The Insert ( Ins ) key.
				37: 'Left', // The Left Arrow key.
				224: 'Meta', // The Meta key.
				34: 'PageDown', // The Page Down ( Next ) key.
				33: 'PageUp', // The Page Up key.
				19: 'Pause', // The Pause key.
				44: 'PrintScreen', // The Print Screen ( PrintScrn, SnapShot ) key.
				39: 'Right', // The Right Arrow key.
				145: 'Scroll', // The scroll lock key
				16: 'Shift', // The Shift key.
				38: 'Up', // The Up Arrow key.
				91: 'Win', // The left Windows Logo key.
				92: 'Win' // The right Windows Logo key.
			};

			this.placeholderClass = 'aloha-placeholder';

			Aloha.registerEditable(this);
		},

		/**
		 * Initialize the editable
		 * @return void
		 * @hide
		 */
		init: function () {
			var me = this;

			// TODO make editables their own settings.
			this.settings = Aloha.settings;

			// smartContentChange settings
			// @TODO move to new config when implemented in Aloha
			if (Aloha.settings && Aloha.settings.smartContentChange) {
				if (Aloha.settings.smartContentChange.delimiters) {
					this.sccDelimiters = Aloha.settings.smartContentChange.delimiters;
				}

				if (Aloha.settings.smartContentChange.idle) {
					this.sccIdle = Aloha.settings.smartContentChange.idle;
				}

				if (Aloha.settings.smartContentChange.delay) {
					this.sccDelay = Aloha.settings.smartContentChange.delay;
				}
			}

			// check if Aloha can handle the obj as Editable
			if (!this.check(this.obj)) {
				//Aloha.log( 'warn', this, 'Aloha cannot handle {' + this.obj[0].nodeName + '}' );
				this.destroy();
				return;
			}

			// apply content handler to clean up content
			if (typeof Aloha.settings.contentHandler.getContents === 'undefined') {
				Aloha.settings.contentHandler.getContents = Aloha.defaults.contentHandler.getContents;
			}

			// apply content handler to clean up content
			if (typeof Aloha.settings.contentHandler.initEditable === 'undefined') {
				Aloha.settings.contentHandler.initEditable = Aloha.defaults.contentHandler.initEditable;
			}

			Ephemera.markAttr(me.obj, 'style');

			var content = me.obj.html();
			content = ContentHandlerManager.handleContent(content, {
				contenthandler: Aloha.settings.contentHandler.initEditable,
				command: 'initEditable'
			}, me);
			me.obj.html(ContentRules.applyRules(content, me.obj[0]));

			// Because editables can only properly be initialized when Aloha
			// plugins are loaded.
			Aloha.bind('aloha-plugins-loaded', function () {
				me.obj.addClass('aloha-editable').contentEditable(true);

				registerEvents(me);

				// we don't do the sanitizing on aloha ready, since some plugins add elements into the content and bind
				// events to it. If we sanitize by replacing the html, all events would get lost. TODO: think about a
				// better solution for the sanitizing, without destroying the events  apply content handler to clean up content
				//				var content = me.obj.html();
				//				if ( typeof Aloha.settings.contentHandler.initEditable === 'undefined' ) {
				//					Aloha.settings.contentHandler.initEditable = Aloha.defaults.contentHandler.initEditable;
				//				}
				//				content = ContentHandlerManager.handleContent( content, {
				//					contenthandler: Aloha.settings.contentHandler.initEditable
				//				} );
				//				me.obj.html( content );

				me.snapshotContent = me.getContents();


				me.initPlaceholder();

				me.ready = true;

				// disable object resizing and inline table editing.
				// we do this in here and with a slight delay, because
				// starting with FF 15, this would cause a JS error
				// if done before the first DOM object is made contentEditable.
				window.setTimeout(function () {
					Aloha.disableObjectResizing();
					Aloha.disableInlineTableEditing();
				}, 20);

				// throw a new event when the editable has been created
				/**
				 * @event editableCreated fires after a new editable has been created, eg. via $( '#editme' ).aloha()
				 * The event is triggered in Aloha's global scope Aloha
				 * @param {Event} e the event object
				 * @param {Array} a an array which contains a reference to the currently created editable on its first position
				 */
				Aloha.trigger('aloha-editable-created', [me]);
				PubSub.pub('aloha.editable.created', {
					editable: me,
					data: me // deprecated
				});
			});

			// mark the editable unmodified, when aloha is ready
			Aloha.bind('aloha-ready', function () {
				me.setUnmodified();
			});
		},

		/**
		 * True, if this editable is active for editing
		 * @property
		 * @type boolean
		 */
		isActive: false,

		/**
		 * stores the original content to determine if it has been modified
		 * @hide
		 */
		originalContent: null,

		/**
		 * every time a selection is made in the current editable the selection has to
		 * be saved for further use
		 * @hide
		 */
		range: undefined,

		/**
		 * Check if object can be edited by Aloha Editor
		 * @return {boolean } editable true if Aloha Editor can handle else false
		 * @hide
		 */
		check: function () {
			/* TODO check those elements
			'map', 'meter', 'object', 'output', 'progress', 'samp',
			'time', 'area', 'datalist', 'figure', 'kbd', 'keygen',
			'mark', 'math', 'wbr', 'area',
			*/

			// Extract El
			var me = this,
				obj = this.obj,
				el = obj.get(0),
				nodeName = el.nodeName.toLowerCase(),

				// supported elements
				textElements = ['a', 'abbr', 'address', 'article', 'aside', 'b', 'bdo', 'blockquote', 'cite', 'code', 'command', 'del', 'details', 'dfn', 'div', 'dl', 'em', 'footer', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'header', 'i', 'ins', 'menu', 'nav', 'p', 'pre', 'q', 'ruby', 'section', 'small', 'span', 'strong', 'sub', 'sup', 'var'],
				i,
			    div;

			for (i = 0; i < textElements.length; ++i) {
				if (nodeName === textElements[i]) {
					return true;
				}
			}

			// special handled elements
			switch (nodeName) {
			case 'label':
			case 'button':
				// TODO need some special handling.
				break;
			case 'textarea':
			case 'input':
				// Create a div alongside the textarea
				div = jQuery('<div id="' + this.getId() + '-aloha" class="aloha-' + nodeName + '" />').insertAfter(obj);

				// Resize the div to the textarea and
				// Populate the div with the value of the textarea
				// Then, hide the textarea
				
				div.css("height", parseInt(obj.css("height"))+"px").css("width", parseInt(obj.css("width"))+"px").html(obj.val());

				obj.hide();

				// Attach a onsubmit to the form to place the HTML of the
				// div back into the textarea
				obj.parents('form:first').submit(function () {
					obj.val(me.getContents());
				});

				// Swap textarea reference with the new div
				this.obj = div;

				// Supported
				return true;
			default:
				break;
			}

			// the following elements are not supported
			/*
			'canvas', 'audio', 'br', 'embed', 'fieldset', 'hgroup', 'hr',
			'iframe', 'img', 'input', 'map', 'script', 'select', 'style',
			'svg', 'table', 'ul', 'video', 'ol', 'form', 'noscript',
			 */
			return false;
		},

		/**
		 * Init Placeholder
		 *
		 * @return void
		 */
		initPlaceholder: function () {
			if (Aloha.settings.placeholder && this.isEmpty()) {
				this.addPlaceholder();
			}
		},

		/**
		 * Check if the conteneditable is empty.
		 *
		 * @return {Boolean}
		 */
		isEmpty: function () {
			var editableTrimedContent = jQuery.trim(this.getContents()),
				onlyBrTag = (editableTrimedContent === '<br>') ? true : false;
			return (editableTrimedContent.length === 0 || onlyBrTag);
		},

		/**
		 * Add placeholder in editable
		 *
		 * @return void
		 */
		addPlaceholder: function () {
			var div = jQuery('<div>'),
				span = jQuery('<span>'),
				el,
				obj = this.obj;
			if (GENTICS.Utils.Dom.allowsNesting(obj[0], div[0])) {
				el = div;
			} else {
				el = span;
			}
			if (jQuery("." + this.placeholderClass, obj).length !== 0) {
				return;
			}
			jQuery.each(Aloha.settings.placeholder, function (selector, selectorConfig) {
				if (obj.is(selector)) {
					el.html(selectorConfig);
				}
			});
			if (!el.is(':empty')) {
				el.addClass(this.placeholderClass).addClass('aloha-ephemera');
				jQuery(obj).append(el);
			}
			jQuery('br', obj).remove();
		},

		/**
		 * remove placeholder from contenteditable. If setCursor is true,
		 * will also set the cursor to the start of the selection. However,
		 * this will be ASYNCHRONOUS, so if you rely on the fact that
		 * the placeholder is removed after calling this method, setCursor
		 * should be false ( or not set )
		 *
		 * @return void
		 */
		removePlaceholder: function (obj, setCursor) {
			var placeholderClass = this.placeholderClass,
				range;
			if (jQuery("." + this.placeholderClass, obj).length === 0) {
				return;
			}
			// set the cursor // remove placeholder
			if (setCursor === true) {
				window.setTimeout(function () {
					range = new Selection.SelectionRange();
					range.startContainer = range.endContainer = obj.get(0);
					range.startOffset = range.endOffset = 0;
					obj.find('.' + placeholderClass).each(removePlaceholder);
					range.select();

				}, 100);
			} else {
				obj.find('.' + placeholderClass).each(removePlaceholder);
			}
		},

		/**
		 * destroy the editable
		 * @return void
		 */
		destroy: function () {
			// leave the element just to get sure
			if (this === Aloha.getActiveEditable()) {
				this.blur();
			}

			// special handled elements
			switch (this.originalObj.get(0).nodeName.toLowerCase()) {
			case 'label':
			case 'button':
				// TODO need some special handling.
				break;
			case 'textarea':
			case 'input':
				// restore content to original textarea
				this.originalObj.val(this.getContents());
				this.obj.remove();
				this.originalObj.show();
				break;
			default:
				break;
			}

			// now the editable is not ready any more
			this.ready = false;

			// remove the placeholder if needed.
			this.removePlaceholder(this.obj);

			// initialize the object and disable contentEditable
			// unbind all events
			// TODO should only unbind the specific handlers.
			this.obj.removeClass('aloha-editable').contentEditable(false).unbind('mousedown click dblclick focus keydown keypress keyup');

			/* TODO remove this event, it should implemented as bind and unbind
			// register the onSelectionChange Event with the Editable field
			this.obj.contentEditableSelectionChange( function( event ) {
				Aloha.Selection.onChange( me.obj, event );
				return me.obj;
			} );
			*/

			// throw a new event when the editable has been created
			/**
			 * @event editableCreated fires after a new editable has been destroyes, eg. via $( '#editme' ).mahalo()
			 * The event is triggered in Aloha's global scope Aloha
			 * @param {Event} e the event object
			 * @param {Array} a an array which contains a reference to the currently created editable on its first position
			 */
			Aloha.trigger('aloha-editable-destroyed', [this]);
			PubSub.pub('aloha.editable.destroyed', {
				editable: this,
				data: this // deprecated
			});

			// finally register the editable with Aloha
			Aloha.unregisterEditable(this);
		},

		/**
		 * marks the editables current state as unmodified. Use this method to inform the editable
		 * that it's contents have been saved
		 * @method
		 */
		setUnmodified: function () {
			this.originalContent = this.getContents();
		},

		/**
		 * check if the editable has been modified during the edit process#
		 * @method
		 * @return boolean true if the editable has been modified, false otherwise
		 */
		isModified: function () {
			return this.originalContent !== this.getContents();
		},

		/**
		 * String representation of the object
		 * @method
		 * @return Aloha.Editable
		 */
		toString: function () {
			return 'Aloha.Editable';
		},

		/**
		 * check whether the editable has been disabled
		 */
		isDisabled: function () {
			return !this.obj.contentEditable() || this.obj.contentEditable() === 'false';
		},

		/**
		 * disable this editable
		 * a disabled editable cannot be written on by keyboard
		 */
		disable: function () {
			return this.isDisabled() || this.obj.contentEditable(false);
		},

		/**
		 * enable this editable
		 * reenables a disabled editable to be writteable again
		 */
		enable: function () {
			return this.isDisabled() && this.obj.contentEditable(true);
		},


		/**
		 * activates an Editable for editing
		 * disables all other active items
		 * @method
		 */
		activate: function (e) {
			// get active Editable before setting the new one.
			var oldActive = Aloha.getActiveEditable();

			// We need to ommit this call when this flag is set to true.
			// This flag will only be set to true before the removePlaceholder method
			// is called since that method invokes a focus event which will again trigger
			// this method. We want to avoid double invokation of this method.
			if (ignoreNextActivateEvent) {
				ignoreNextActivateEvent = false;
				return;
			}

			// handle special case in which a nested editable is focused by a click
			// in this case the "focus" event would be triggered on the parent element
			// which actually shifts the focus away to it's parent. this if is here to
			// prevent this situation
			if (e && e.type === 'focus' && oldActive !== null && oldActive.obj.parent().get(0) === e.currentTarget) {
				return;
			}

			// leave immediately if this is already the active editable
			if (this.isActive || this.isDisabled()) {
				// we don't want parent editables to be triggered as well, so return false
				return;
			}

			this.obj.addClass('aloha-editable-active');

			Aloha.activateEditable(this);

			ignoreNextActivateEvent = true;
			this.removePlaceholder(this.obj, true);
			ignoreNextActivateEvent = false;

			this.isActive = true;

			/**
			 * @event editableActivated fires after the editable has been activated by clicking on it.
			 * This event is triggered in Aloha's global scope Aloha
			 * @param {Event} e the event object
			 * @param {Array} a an array which contains a reference to last active editable on its first position, as well
			 * as the currently active editable on it's second position
			 */
			// trigger a 'general' editableActivated event
			Aloha.trigger('aloha-editable-activated', {
				'oldActive': oldActive,
				'editable': this
			});
			PubSub.pub('aloha.editable.activated', {
				old: oldActive,
				editable: this,
				// deprecated
				data: {
					old: oldActive,
					editable: this
				}
			});
		},

		/**
		 * handle the blur event
		 * this must not be attached to the blur event, which will trigger far too often
		 * eg. when a table within an editable is selected
		 * 
		 * @param {Aloha.Editable} editable optional new editable
		 * @hide
		 */
		blur: function (editable) {
			this.obj.blur();
			this.isActive = false;
			this.initPlaceholder();
			this.obj.removeClass('aloha-editable-active');

			/**
			 * @event editableDeactivated fires after the editable has been activated by clicking on it.
			 * This event is triggered in Aloha's global scope Aloha
			 * @param {Event} e the event object
			 * @param {Array} a an array which contains a reference to this editable
			 */
			Aloha.trigger('aloha-editable-deactivated', {editable: this, newEditable: editable});
			PubSub.pub('aloha.editable.deactivated', {
				editable: this,
				newEditable: editable,
				// deprecated
				data: {
					editable: this,
					newEditable: editable
				}
			});

			/**
			 * @event smartContentChanged
			 */
			Aloha.activeEditable.smartContentChange({
				type: 'blur'
			}, null);

			Selection.resetPrevSelectionContexts();
		},

		/**
		 * check if the string is empty
		 * used for zerowidth check
		 * @return true if empty or string is null, false otherwise
		 * @hide
		 */
		empty: function (str) {
			// br is needed for chrome
			return (null === str) || (jQuery.trim(str) === '' || str === '<br/>');
		},

		/**
		 * Get the contents of this editable as a HTML string or child node DOM
		 * objects.
		 *
		 * @param {boolean} asObject Whether or not to retreive the contents of
		 *                           this editable as child node objects or as
		 *                           HTML string.
		 * @return {string|jQuery.<HTMLElement>} Contents of the editable as
		 *                                       DOM objects or an HTML string.
		 */
		getContents: function (asObject) {
			var raw = this.obj.html();
			var cache = editableContentCache[this.getId()];

			if (!cache || raw !== cache.raw) {

				BlockJump.removeZeroWidthTextNodeFix();

				var $clone = this.obj.clone(false);
				this.removePlaceholder($clone);
				$clone = jQuery(Ephemera.prune($clone[0]));
				PluginManager.makeClean($clone);

				// TODO rewrite ContentHandlerManager to accept DOM trees instead of strings
				$clone = jQuery('<div>' + ContentHandlerManager.handleContent($clone.html(), {
					contenthandler: Aloha.settings.contentHandler.getContents,
					command: 'getContents'
				}, this) + '</div>');

				cache = editableContentCache[this.getId()] = {};
				cache.raw = raw;
				cache.element = $clone;
			}

			if (asObject) {
				return cache.element.clone().contents();
			}

			if (null == cache.serialized) {
				cache.serialized = contentSerializer(cache.element[0]);
			}
			return cache.serialized;
		},

		/**
		 * Set the contents of this editable as a HTML string
		 * @param content as html
		 * @param return as object or html string
		 * @return contents of the editable
		 */
		setContents: function (content, asObject) {
			var reactivate = null;

			if (Aloha.getActiveEditable() === this) {
				Aloha.deactivateEditable();
				reactivate = this;
			}

			this.obj.html(content);

			if (null !== reactivate) {
				reactivate.activate();
			}

			this.smartContentChange({
				type: 'set-contents'
			});

			return asObject ? this.obj.contents() : contentSerializer(this.obj[0]);
		},

		/**
		 * Get the id of this editable
		 * @method
		 * @return id of this editable
		 */
		getId: function () {
			return this.obj.attr('id');
		},

		/**
		 * Generates and signals a smartContentChange event.
		 *
		 * A smart content change occurs when a special editing action, or a
		 * combination of interactions are performed by the user during the
		 * course of editing within an editable.
		 * The smart content change event would therefore signal to any
		 * component that is listening to this event, that content has been
		 * inserted into the editable that may need to be prococessed in a
		 * special way
		 * This is used for smart actions within the content/while editing.
		 * @param {Event} event
		 * @hide
		 */
		smartContentChange: function (event) {
			var me = this,
				uniChar = null;

			// ignore meta keys like crtl+v or crtl+l and so on
			if (event && (event.metaKey || event.crtlKey || event.altKey)) {
				return false;
			}

			if (event) {
				// Use among browsers reliable which http://api.jquery.com/keypress
				uniChar = (this.keyCodeMap[this.keyCode] || String.fromCharCode(event.which) || 'unknown');
			}

			var snapshot = null;

			function getSnapshotContent() {
				if (null == snapshot) {
					snapshot = me.getSnapshotContent();
				}
				return snapshot;
			}

			if (event && event.type === 'paste') {
				Aloha.trigger('aloha-smart-content-changed', {
					'editable': me,
					'keyIdentifier': null,
					'keyCode': null,
					'char': null,
					'triggerType': 'paste',
					'getSnapshotContent': getSnapshotContent
				});
				handleSmartContentChange(me);

			} else if (event && event.type === 'blur') {
				Aloha.trigger('aloha-smart-content-changed', {
					'editable': me,
					'keyIdentifier': null,
					'keyCode': null,
					'char': null,
					'triggerType': 'blur',
					'getSnapshotContent': getSnapshotContent
				});
				handleSmartContentChange(me);

			} else if (event && event.type === 'block-change') {
				clearTimeout(this.sccTimerIdle);
				clearTimeout(this.sccTimerDelay);

				this.sccTimerDelay = window.setTimeout(function () {
					Aloha.trigger('aloha-smart-content-changed', {
						'editable': me,
						'keyIdentifier': null,
						'keyCode': null,
						'char': null,
						'triggerType': 'block-change',
						'plugin': event.plugin,
						'getSnapshotContent': getSnapshotContent
					});
					handleSmartContentChange(me);

				}, this.sccDelay);

			} else if (jQuery.inArray(uniChar, this.sccDelimiters) >= 0) {
				// handle "Enter" -- it's not "U+1234" -- when returned via "event.originalEvent.key"
				// reference: http://www.w3.org/TR/2007/WD-DOM-Level-3-Events-20071221/keyset.html
				clearTimeout(this.sccTimerIdle);
				clearTimeout(this.sccTimerDelay);

				this.sccTimerDelay = window.setTimeout(function () {
					Aloha.trigger('aloha-smart-content-changed', {
						'editable': me,
						'keyIdentifier': event.originalEvent && event.originalEvent.key,
						'keyCode': event.keyCode,
						'char': uniChar,
						'triggerType': 'keypress', // keypress, timer, blur, paste
						'getSnapshotContent': getSnapshotContent
					});
					handleSmartContentChange(me);

					console.debug('Aloha.Editable',
						'smartContentChanged: event type keypress triggered');
				}, this.sccDelay);

			} else if (uniChar !== null) {
				var range = Aloha.Selection.getRangeObject();

				//Remove break in otherwise empty children in IE
				//This is done automatically in Chrome and would lead to errors
				if (Browser.ie) {
					if (range.startContainer == range.endContainer) {
						var $children = $(range.startContainer).children();

						if ($children.length == 1 && $children.is('br')) {
							$children.remove();
						}
					}
				}

				// in the rare case idle time is lower then delay time
				clearTimeout(this.sccTimerDelay);
				clearTimeout(this.sccTimerIdle);
				this.sccTimerIdle = window.setTimeout(function () {
					Aloha.trigger('aloha-smart-content-changed', {
						'editable': me,
						'keyIdentifier': null,
						'keyCode': null,
						'char': null,
						'triggerType': 'idle',
						'getSnapshotContent': getSnapshotContent
					});
					handleSmartContentChange(me);
				}, this.sccIdle);
			}
		},

		/**
		 * Get a snapshot of the active editable as a HTML string
		 * @hide
		 * @return snapshot of the editable
		 */
		getSnapshotContent: function () {
			var ret = this.snapshotContent;
			this.snapshotContent = this.getContents();
			return ret;
		}
	});

	/**
	 * Sets the content serializer function.
	 *
	 * The default content serializer will just call the jQuery.html()
	 * function on the editable element (which gets the innerHTML property).
	 *
	 * This method is a static class method and will affect the result
	 * of editable.getContents() for all editables that have been or
	 * will be constructed.
	 *
	 * @param {!Function} serializerFunction
	 *        A function that accepts a DOM element and returns the serialized
	 *        XHTML of the element contents (excluding the start and end tag of
	 *        the passed element).
	 * @api
	 */
	Aloha.Editable.setContentSerializer = function (serializerFunction) {
		contentSerializer = serializerFunction;
	};

	/**
	 * Gets the content serializer function.
	 *
	 * @see Aloha.Editable.setContentSerializer()
	 * @api
	 * @return {!Function}
	 *        The serializer function.
	 */
	Aloha.Editable.getContentSerializer = function () {
		return contentSerializer;
	};

	Aloha.Editable.registerEvents = registerEvents;

});

/* plugin.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('aloha/plugin',[
	'aloha/core',
	'jquery',
	'util/class',
	'aloha/pluginmanager',
	'aloha/console'
], function (
	Aloha,
	jQuery,
	Class,
	PluginManager,
	console
) {
	"use strict";

	/**
	 * Gets the original object from the editable. If the editable is an input or textarea,
	 * aloha creates a editable div, but sometimes we need the original object and not the div
	 * created by aloha.
	 * @param {jQuery} editableElement
	 * @returns {jQuery}
	 */
	function getEditableOriginalObj(editableElement) {
		var editable = Aloha.getEditableById(editableElement.attr('id'));

		return editable ? editable.originalObj : editableElement;
	}

	/**
	 * Abstract Plugin Object
	 * @namespace Aloha
	 * @class Plugin
	 * @constructor
	 * @param {String} pluginPrefix unique plugin prefix
	 */
	var Plugin = Class.extend({

		name: null,

		/**
		 * contains the plugin's default settings object
		 * @cfg {Object} default settings for the plugin
		 */
		defaults: {},

		/**
		 * contains the plugin's settings object
		 * @cfg {Object} settings the plugins settings stored in an object
		 */
		settings: {},

		/**
		 * Names of other plugins which must be loaded in order for this plugin to
		 * function.
		 * @cfg {Array}
		 */
		dependencies: [],

		_constructor: function (name) {
			/**
			 * Settings of the plugin
			 */
			if (typeof name !== "string") {
				console.error('Cannot initialise unnamed plugin, skipping');
			} else {
				this.name = name;
			}
		},

		/**
		 * @return true if dependencies satisfied, false otherwise
		 */
		checkDependencies: function () {
			var plugin = this;
			var satisfied = true;
			jQuery.each(plugin.dependencies, function (i, dependency) {
				if (!Aloha.isPluginLoaded(dependency.toString())) {
					satisfied = false;
					console.error('plugin.' + plugin.name,
							'Required plugin "' + dependency + '" not found.');
					return false;
				}
			});
			return satisfied;
		},

		/**
		 * Init method of the plugin. Called from Aloha Core to initialize this plugin
		 * @return void
		 * @hide
		 */
		init: function () {},

		/**
		 * A map of custom contenthandler mapping a selector to a 
		 * set of handler functions. For an working example see the list plugin.
		 * 
		 * @return {Object.<string, Array.<function>>} the content handler
		 */
		getPluginContentHandler: function () {},

		/**
		 * Get the configuration settings for an editable obj.
		 * Handles both conf arrays or conf objects
		 * <ul>
		 * <li>Array configuration parameters are:
		 * <pre>
		 * "list": {
		 *		config : [ 'b', 'h1' ],
		 *		editables : {
		 *			'#title'	: [ ],
		 *			'div'		: [ 'b', 'i' ],
		 *			'.article'	: [ 'h1' ]
		 *		}
		 *	}
		 * </pre>
		 *
		 * The hash keys of the editables are css selectors. For a
		 *
		 * <pre>
		 *  <div class="article">content</div>
		 * </pre>
		 *
		 *  the selectors 'div' and '.article' match and the returned configuration is
		 *
		 * <pre>
		 *  [ 'b', 'i', 'h1']
		 * </pre>
		 *
		 * The '#title' object would return an empty configuration.
		 *
		 * <pre>
		 *  [ ]
		 * </pre>
		 *
		 *  All other objects would get the 'config' configuration. If config is not set
		 * the plugin default configuration is returned.
		 *
		 * <pre>
		 *  [ 'b', 'h1']
		 * </pre></li>
		 * <li>Object configuration parameters are :
		 * <pre>
		 *	"image": {
		 *		config : { 'img': { 'max_width': '50px',
		 *		'max_height': '50px' }},
		 *		editables : {
		 *			'#title': {},
		 *			'div': {'img': {}},
		 *			'.article': {'img': { 'max_width': '150px',
		 *			'max_height': '150px' }}
		 *		}
		 *	}
		 * </pre>
		 *  The '#title' object would return an empty configuration.<br/>
		 *  The 'div' object would return the default configuration.<br/>
		 *  the '.article' would return :
		 *  <pre>
		 *		{'img': { 'max_width': '150px',
		 *		'max_height': '150px' }}
		 *  </pre>
		 * </li>
		 *
		 * @param {jQuery} obj jQuery object of an Editable Object
		 * @return {Array} config A Array with configuration entries
		 */
		getEditableConfig: function (obj) {
			var configObj = null,
				configSpecified = false,
				that = this;

			if (this.settings.editables) {
				// When editable is an input or textarea we need the original object.
				obj = getEditableOriginalObj(obj);

				// when obj does not exist in the DOM anymore, fetch from DOM again 
				// so that nested selectors with parent elements will match against obj as well
				if (!document.body.contains(obj[0]) && typeof obj[0] != "undefined" && typeof obj[0].id != "undefined") {
					obj = jQuery('#' + obj[0].id);
				}

				// check if the editable's selector matches and if so add its configuration to object configuration
				jQuery.each(this.settings.editables, function (selector, selectorConfig) {
					var k;
					if (obj.is(selector)) {
						configSpecified = true;
						if (selectorConfig instanceof Array) {
							configObj = [];
							configObj = jQuery.merge(configObj, selectorConfig);
						} else if (typeof selectorConfig === "object") {
							configObj = {};
							configObj['aloha-editable-selector'] = selector;
							for (k in selectorConfig) {
								if (selectorConfig.hasOwnProperty(k)) {
									if (selectorConfig[k] instanceof Array) {
										//configObj[k] = [];
										//configObj[k] = jQuery.extend(true, configObj[k], that.config[k], selectorConfig[k]);
										configObj[k] = selectorConfig[k];
									} else if (typeof selectorConfig[k] === "object") {
										configObj[k] = {};
										configObj[k] = jQuery.extend(true, configObj[k], that.config[k], selectorConfig[k]);
									} else {
										configObj[k] = selectorConfig[k];
									}
								}
							}
						} else {
							configObj = selectorConfig;
						}
					}
				});
			}

			// fall back to default configuration
			if (!configSpecified) {
				if (typeof this.settings.config === 'undefined' || !this.settings.config) {
					configObj = this.config;
				} else {
					configObj = this.settings.config;
				}
			}

			return configObj;
		},

		/**
		 * Make the given jQuery object (representing an editable) clean for saving
		 * @param obj jQuery object to make clean
		 * @return void
		 */
		makeClean: function (obj) {},

		/**
		 * Make a system-wide unique id out of a plugin-wide unique id by prefixing it with the plugin prefix
		 * @param id plugin-wide unique id
		 * @return system-wide unique id
		 * @hide
		 * @deprecated
		 */
		getUID: function (id) {
			console.deprecated('plugin', 'getUID() is deprecated. Use plugin.name instead.');
			return this.name;
		},

		/**
		 * Return string representation of the plugin, which is the prefix
		 * @return name
		 * @hide
		 * @deprecated
		 */
		toString: function () {
			return this.name;
		},

		/**
		 * Log a plugin message to the logger
		 * @param level log level
		 * @param message log message
		 * @return void
		 * @hide
		 * @deprecated
		 */
		log: function (level, message) {
			console.deprecated('plugin', 'log() is deprecated. Use Aloha.console instead.');
			console.log(level, this, message);
		}
	});

	/**
	 * Static method used as factory to create plugins.
	 * 
	 * @param {String} pluginName name of the plugin
	 * @param {Object} definition definition of the plugin, should have at least an "init" and "destroy" method.
	 */
	Plugin.create = function (pluginName, definition) {

		var pluginInstance = new (Plugin.extend(definition))(pluginName);
		pluginInstance.settings = jQuery.extendObjects(true, pluginInstance.defaults, Aloha.settings[pluginName]);
		PluginManager.register(pluginInstance);

		return pluginInstance;
	};

	return Plugin;
});

/* jquery.aloha.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/**
 * IMPORTANT!
 * Don't add any more custom jquery extensions here.
 * Instead use the define(...) mechanism to define a module and to
 * import it where you need it.
 */
define('aloha/jquery.aloha',[
	'aloha/core',
	'aloha/selection',
	'jquery',
	'aloha/console'
], function (
	Aloha,
	Selection,
	jQuery,
	console
) {
	'use strict';

	var XMLSerializer = window.XMLSerializer;

	/**
	 * jQuery between Extension
	 *
	 * insert either html code, a dom object OR a jQuery object inside of an existing text node.
	 * if the chained jQuery object is not a text node, nothing will happen.
	 *
	 * @param content HTML Code, DOM object or jQuery object to be inserted
	 * @param offset character offset from the start where the content should be inserted
	 */
	jQuery.fn.between = function (content, offset) {
		var offSize, fullText;

		if (this[0].nodeType !== 3) {
			// we are not in a text node, just insert the element at the corresponding position
			offSize = this.children().length;
			if (offset > offSize) {
				offset = offSize;
			}
			if (offset <= 0) {
				this.prepend(content);
			} else {
				this.children().eq(offset - 1).after(content);
			}
		} else {
			// we are in a text node so we have to split it at the correct position
			if (offset <= 0) {
				this.before(content);
			} else if (offset >= this[0].length) {
				this.after(content);
			} else {
				fullText = this[0].data;
				this[0].data = fullText.substring(0, offset);
				this.after(fullText.substring(offset, fullText.length));
				this.after(content);
			}
		}
	};

	/**
	 * Make the object contenteditable. Care about browser version (name of contenteditable attribute depends on it)
	 */
	jQuery.fn.contentEditable = function (b) {
		// ie does not understand contenteditable but contentEditable
		// contentEditable is not xhtml compatible.
		var $el = jQuery(this);
		var ce = 'contenteditable';

		// Check
		if (Aloha.browser.msie && parseInt(Aloha.browser.version, 10) == 7) {
			ce = 'contentEditable';
		}

		if (typeof b === 'undefined') {

			// For chrome use this specific attribute. The old ce will only
			// return 'inherit' for nested elements of a contenteditable.
			// The isContentEditable is a w3c standard compliant property which works in IE7,8,FF36+, Chrome 12+
			if (typeof $el[0] === 'undefined') {
				console.warn('The jquery object did not contain any valid elements.'); // die silent
				return undefined;
			}
			if (typeof $el[0].isContentEditable === 'undefined') {
				console.warn('Could not determine whether the is editable or not. I assume it is.');
				return true;
			}

			return $el[0].isContentEditable;
		}

		if (b === '') {
			$el.removeAttr(ce);
		} else {
			if (b && b !== 'false') {
				b = 'true';
			} else {
				b = 'false';
			}
			$el.attr(ce, b);
		}

		return $el;
	};

	/**
	 * jQuery Aloha Plugin.
	 *
	 * Makes the elements in a jQuery selection set Aloha editables.
	 *
	 * @return jQuery container of holding DOM elements that have been
	 *         aloha()fied.
	 * @api
	 */
	jQuery.fn.aloha = function () {
		var $elements = this;
		Aloha.bind('aloha-plugins-loaded', function () {
			$elements.each(function (_, elem) {
				if (!Aloha.isEditable(elem)) {
					new Aloha.Editable(jQuery(elem)).init();
				}
			});
		});
		return $elements;
	};

	/**
	 * jQuery destroy elements as editable
	 *
	 * destroy all mached elements editable capabilities
	 * @return	jQuery object for the matched elements
	 * @api
	 */
	jQuery.fn.mahalo = function () {
		return this.each(function () {
			if (Aloha.isEditable(this)) {
				Aloha.getEditableById(jQuery(this).attr('id')).destroy();
			}
		});
	};

	/**
	 * jQuery alohaText gets contents for an Aloha Editor editable
	 *
	 * getContents forall editable
	 * @return	jQuery object for the matched elements
	 * @api
	 */
	jQuery.fn.alohaText = function () {
		return this.each(function () {
			if (Aloha.isEditable(this)) {
				Aloha.getEditableById(jQuery(this).attr('id')).getContents();
			}
		});
	};

	/**
	 * jQuery Extension
	 * new Event which is triggered whenever a selection (length >= 0) is made in
	 * an Aloha Editable element
	 */
	jQuery.fn.contentEditableSelectionChange = function (callback) {
		var that = this;

		// update selection when keys are pressed
		this.keyup(function (event) {
			var rangeObject = Selection.getRangeObject();
			callback(event);
		});

		// update selection on doubleclick (especially important for the first automatic selection, when the Editable is not active yet, but is at the same time activated as the selection occurs
		this.dblclick(function (event) {
			callback(event);
		});

		// update selection when text is selected
		this.mousedown(function (event) {
			// remember that a selection was started
			that.selectionStarted = true;
		});

		jQuery(document).mouseup(function (event) {
			Selection.eventOriginalTarget = that;
			if (that.selectionStarted) {
				callback(event);
			}
			Selection.eventOriginalTarget = false;
			that.selectionStarted = false;
		});

		return this;
	};

	/**
	 * Fetch the outerHTML of an Element
	 * @version 1.0.0
	 * @date February 01, 2011
	 * @package jquery-sparkle {@link http://www.balupton/projects/jquery-sparkle}
	 * @author Benjamin Arthur Lupton {@link http://balupton.com}
	 * @copyright 2011 Benjamin Arthur Lupton {@link http://balupton.com}
	 * @license MIT License {@link http://creativecommons.org/licenses/MIT/}
	 * @return {String} outerHtml
	 */
	jQuery.fn.outerHtml = jQuery.fn.outerHtml || function () {
		var $el = jQuery(this),
			el = $el.get(0);
		if (typeof el.outerHTML != 'undefined') {
			return el.outerHTML;
		}
		try {
			// Gecko-based browsers, Safari, Opera.
			return (new XMLSerializer()).serializeToString(el);
		} catch (e) {
			try {
				// Internet Explorer.
				return el.xml;
			} catch (e2) {}
		}
	};

	jQuery.fn.zap = function () {
		return this.each(function () {
			jQuery(this.childNodes).insertBefore(this);
		}).remove();
	};

	jQuery.fn.textNodes = function (excludeBreaks, includeEmptyTextNodes) {
		var ret = [],
			doSomething = function (el) {
				var i, childLength;
				if ((el.nodeType === 3 && jQuery.trim(el.data) && !includeEmptyTextNodes) || (el.nodeType === 3 && includeEmptyTextNodes) || (el.nodeName == "BR" && !excludeBreaks)) {
					ret.push(el);
				} else {
					for (i = 0, childLength = el.childNodes.length; i < childLength; ++i) {
						doSomething(el.childNodes[i]);
					}
				}
			};

		doSomething(this[0]);

		return jQuery(ret);
	};

	/**
	 * extendObjects is like jQuery.extend, but it does not extend arrays
	 */
	jQuery.extendObjects = jQuery.fn.extendObjects = function (arg1, arg2) {
		var options, name, src, copy, copyIsArray, clone,
		    start = 1,
		    target = arg1 || {},
			length = arguments.length,
		    deep = false,
		    i;


		// Handle a deep copy situation
		if (typeof target === "boolean") {
			deep = target;
			target = arg2 || {};
			// skip the boolean and the target
			start = 2;
		}

		// Handle case when target is a string or something (possible in deep copy)
		if (typeof target !== "object" && !jQuery.isFunction(target)) {
			target = {};
		}

		// extend jQuery itself if only one argument is passed
		if (length === start) {
			target = this;
			--start;
		}

		for (i = start; i < length; i++) {
			// Only deal with non-null/undefined values
			if ((options = arguments[i]) != null) {
				// Extend the base object
				for (name in options) {
					if (options.hasOwnProperty(name)) {

						src = target[name];
						copy = options[name];

						// Prevent never-ending loop
						if (target === copy) {
							continue;
						}

						// Recurse if we're merging plain objects or arrays
						if (deep && copy && (jQuery.isPlainObject(copy) || true === (copyIsArray = jQuery.isArray(copy)))) {
							if (copyIsArray) {
								copyIsArray = false;
								clone = src && jQuery.isArray(src) ? src : [];

							} else {
								clone = src && jQuery.isPlainObject(src) ? src : {};
							}

							// Never move original objects, clone them
							if (jQuery.isArray(copy)) {
								// don't extend arrays
								target[name] = copy;
							} else {
								target[name] = jQuery.extendObjects(deep, clone, copy);
							}

							// Don't bring in undefined values
						} else if (copy !== undefined) {
							target[name] = copy;
						}
					}
				}
			}
		}

		// Return the modified object
		return target;
	};

	/**
	 * Check whether element has scrollbars visible
	 */
	function hasScroll(el, index, match) {
		if (!el.style) {
			return false;
		}
		var $el = jQuery(el), sX = $el.css('overflow-x'), sY = $el
			.css('overflow-y'), hidden = 'hidden', visible = 'visible',
			scroll = 'scroll', axis = match[3];

		if (!axis) {
			if (sX === sY && (sY === hidden || sY === visible)) {
				return false;
			}
			if (sX === scroll || sY === scroll) {
				return true;
			}
		} else if (axis === 'x') {
			if (sX === hidden || sX === visible) {
				return false;
			}
			if (sX === scroll) {
				return true;
			}
		} else if (axis === 'y') {
			if (sY === hidden || sY === visible) {
				return false;
			}
			if (sY === scroll) {
				return true;
			}
		}

		// Compare client and scroll dimensions to see if a scrollbar is
		// needed

		return parseInt($el.css("height"))-parseInt($el.css("padding-top"))-parseInt($el.css("padding-bottom")) < el.scrollHeight
				|| parseInt($el.css("width"))-parseInt($el.css("padding-left"))-parseInt($el.css("padding-right")) < el.scrollWidth;
	}

	jQuery.expr.pseudos.hasScroll = hasScroll;

	/*
	 * jQuery Hotkeys Plugin
	 * Copyright 2010, John Resig
	 * Dual licensed under the MIT or GPL Version 2 licenses.
	 *
	 * Based upon the plugin by Tzury Bar Yochay:
	 * http://github.com/tzuryby/hotkeys
	 *
	 * Original idea by:
	 * Binny V A, http://www.openjs.com/scripts/events/keyboard_shortcuts/
	 */

	jQuery.hotkeys = {
		version: "0.8",

		specialKeys: {
			8: "backspace",
			9: "tab",
			13: "return",
			16: "shift",
			17: "ctrl",
			18: "alt",
			19: "pause",
			20: "capslock",
			27: "esc",
			32: "space",
			33: "pageup",
			34: "pagedown",
			35: "end",
			36: "home",
			37: "left",
			38: "up",
			39: "right",
			40: "down",
			45: "insert",
			46: "del",
			96: "0",
			97: "1",
			98: "2",
			99: "3",
			100: "4",
			101: "5",
			102: "6",
			103: "7",
			104: "8",
			105: "9",
			106: "*",
			107: "+",
			109: "-",
			110: ".",
			111: "/",
			112: "f1",
			113: "f2",
			114: "f3",
			115: "f4",
			116: "f5",
			117: "f6",
			118: "f7",
			119: "f8",
			120: "f9",
			121: "f10",
			122: "f11",
			123: "f12",
			144: "numlock",
			145: "scroll",
			188: ",",
			190: ".",
			191: "/",
			224: "meta"
		},

		shiftNums: {
			"`": "~",
			"1": "!",
			"2": "@",
			"3": "#",
			"4": "$",
			"5": "%",
			"6": "^",
			"7": "&",
			"8": "*",
			"9": "(",
			"0": ")",
			"-": "_",
			"=": "+",
			";": ": ",
			"'": "\"",
			",": "<",
			".": ">",
			"/": "?",
			"\\": "|"
		}
	};

	function applyKeyHandler(handler, context, args, event) {
		// Don't fire in text-accepting inputs that we didn't directly bind to
		if (context !== event.target && (/textarea|input|select/i.test(event.target.nodeName) || event.target.type === "text")) {
			return;
		}
		return handler.apply(context, args);
	}

	function keyHandler(handleObj) {
		var origHandler, keys, handle, i;

		// Only care when a possible input has been specified
		if (typeof handleObj.data !== "string") {
			return;
		}

		origHandler = handleObj.handler;
		keys = handleObj.data.toLowerCase().split(" ");
		handle = {};

		for (i = 0; i < keys.length; i++) {
			handle[keys[i]] = true;
		}

		handleObj.handler = function (event) {
			// The original comment that was added with this condition says:
			// "Don't fire in contentEditable true elements"
			// But this is incorrect.
			// What this condition does is it skips hotkey events for
			// any target unless it is directly bound.
			// The condition event.target.contentEditable !== true will
			// always be true, because contentEditable is a string
			// attribute that is never strictly equal true.
			//if (this !== event.target && event.target.contentEditable !== true) {
			//return;
			//}
			// Below is what this condition really does. Ideally, I'd
			// like to remove this condition since it was not there in
			// the original implementation by John Resig and it could
			// interfere with other plugins, but when I removed it, I
			// was unable to input any space characters into an
			// editable.
			// TODO figure out a way to safely remove this
			if (this !== event.target) {
				return;
			}

			// Keypress represents characters, not special keys
			var special = event.type !== "keypress" && jQuery.hotkeys.specialKeys[event.which],
				modif = "",
				character;

			// check combinations (alt|ctrl|shift+anything)
			if (event.altKey && special !== "alt") {
				modif += "alt+";
			}

			if (event.ctrlKey && special !== "ctrl") {
				modif += "ctrl+";
			}

			// TODO: Need to make sure this works consistently across platforms
			if (event.metaKey && !event.ctrlKey && special !== "meta") {
				modif += "meta+";
			}

			if (event.shiftKey && special !== "shift") {
				modif += "shift+";
			}

			if (special) {
				if (handle[modif + special]) {
					return applyKeyHandler(origHandler, this, arguments, event);
				}
			} else {
				character = String.fromCharCode(event.which).toLowerCase();

				if (handle[modif + character]) {
					return applyKeyHandler(origHandler, this, arguments, event);
				}

				if (handle[modif + jQuery.hotkeys.shiftNums[character]]) {
					return applyKeyHandler(origHandler, this, arguments, event);
				}

				// "$" can be triggered as "Shift+4" or "Shift+$" or just "$"
				if (modif === "shift+") {
					if (handle[jQuery.hotkeys.shiftNums[character]]) {
						return applyKeyHandler(origHandler, this, arguments, event);
					}
				}
			}
		};
	}

	jQuery.each(['keydown', 'keyup', 'keypress'], function () {
		jQuery.event.special[this] = {
			add: keyHandler
		};
	});

});

/* sidebar.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/**
 * @todo: - Make the sidebars resizable using drag handles.
 *        - Make overlayPage setting settable from external config.
 */

define('aloha/sidebar',[
	'aloha/core',
	'jquery',
	'aloha/selection',
	'PubSub'
], function (
	Aloha,
	$,
	Selection,
	PubSub
) {
	'use strict';

	var uid = +(new Date());

	// Extend jQuery easing animations.
	if (!$.easing.easeOutExpo) {
		$.extend($.easing, {
			easeOutExpo: function (x) {
				return (x === 1) ? 1 : 1 - Math.pow(2, -10 * x);
			},
			easeOutElastic: function (x) {
				var c = 1, // amplitude
					p = 0.3, // period
					s = p / (2 * Math.PI) * Math.asin(1 / c);
	
				if (x === 0) {
					return 0;
				} else if (x === 1) {
					return 1;
				} else {
					return -(c * Math.pow(2, 10 * (x - 1)) * Math.sin(((x - 1) * 2 * Math.PI) / p)) + 1;
				}
			}
		});
	}
	var Panel = function Panel(opts) {
		this.id = null;
		this.folds = {};
		this.button = null;
		this.title = $('<div class="aloha-sidebar-panel-title">' + '<span class="aloha-sidebar-panel-title-arrow"></span>' + '<span class="aloha-sidebar-panel-title-text">Untitled</span>' + '</div>');
		this.content = $('<div class="aloha-sidebar-panel-content">' + '<div class="aloha-sidebar-panel-content-inner">' + '<div class="aloha-sidebar-panel-content-inner-text"></div>' + '</div>' + '</div>');
		this.element = null;
		this.effectiveElement = null;
		this.expanded = false;
		this.isActive = true;
		this.init(opts);
	};

	var Sidebar = function Sidebar(opts) {
		var sidebar = this;
		this.id = 'aloha-sidebar-' + (++uid);
		this.panels = {};
		this.container = $('<div class="aloha-ui aloha-sidebar-bar">' + '<div class="aloha-sidebar-handle">' + '<span class="aloha-sidebar-handle-icon"></span>' + '</div>' + '<div class="aloha-sidebar-inner">' + '<ul class="aloha-sidebar-panels"></ul>' + '</div>' + '</div>');
		this.width = 300;
		this.opened = false;
		this.isOpen = false;
		this.isCompletelyOpen = false;
		this.settings = {
			// We automatically set this to true when we are in IE, where
			// rotating elements using filters causes undesirable rendering
			// ugliness.  Our solution is to fallback to swapping icon images.
			// We set this as a sidebar property so that it can overridden by
			// whoever thinks they are smarter than we are.
			rotateIcons: !Aloha.browser.msie,
			overlayPage: true
		};

		$(function () {
			if (!((typeof Aloha.settings.sidebar !== 'undefined') && Aloha.settings.sidebar.disabled)) {
				sidebar.init(opts);
			}
		});
	};

	/**
	 * The last calculated view port height.
	 * @type {number}
	 */
	var previousViewportHeight = null;
	var previousActivePanelIds = null;

	$.extend(Sidebar.prototype, {

		// We build as much of the sidebar as we can before appending it to DOM
		// to minimize reflow.
		init: function (opts) {
			var that = this;
			var panels;

			if (typeof opts === 'object') {
				panels = opts.panels;
				delete opts.panels;
			}

			$.extend(this, opts);

			if (typeof panels === 'object') {
				$.each(panels, function () {
					that.addPanel(this, true);
				});
			}

			var bar = this.container;

			if (this.position === 'right') {
				bar.addClass('aloha-sidebar-right');
			}

			bar.hide().appendTo($('body')).click(function () {
				that.barClicked.apply(that, arguments);
			}).find('.aloha-sidebar-panels').css("width", this.width + "px");

			// IE7 needs us to explicitly set the container width, since it is
			// unable to determine it on its own.
			bar.css("width", this.width + "px");
			this.width = parseInt(bar.css("width"));

			this.updateHeight();
			this.initToggler();

			this.container.css(this.position === 'right' ? 'marginRight' : 'marginLeft', -this.width);

			if (this.opened) {
				this.open(0);
			}

			this.toggleHandleIcon(this.isOpen);
			this.subscribeToEvents();

			$(window).resize(function () {
				that.updateHeight();
				that.correctHeight();
			});

			this.correctHeight();
		},

		show: function () {
			this.container.css('display', 'block');
			return this;
		},

		hide: function () {
			this.container.css('display', 'none');
			return this;
		},

		/**
		 * Determines the effective elements at the current selection.
		 * Iterates through all panels and checks whether the panel should be
		 * activated for any of the effective elements in the selection.
		 *
		 * @param {Aloha.RangeObject} range The current selection range.
		 */
		checkActivePanels: function (range) {
			var effective = [];

			if (typeof range !== 'undefined' && typeof range.markupEffectiveAtStart !== 'undefined') {
				var l = range.markupEffectiveAtStart.length;
				var i;
				for (i = 0; i < l; ++i) {
					effective.push($(range.markupEffectiveAtStart[i]));
				}
			}

			var that = this;

			$.each(this.panels, function () {
				that.showActivePanel(this, effective);
			});

			this.correctHeight();
		},

		subscribeToEvents: function () {
			var that = this;

			PubSub.sub('aloha.selection.context-change', function (message) {
				if (that.isOpen) {
					that.checkActivePanels(message.range);
				}
				that.lastRange = message.range;
			});

			Aloha.bind('aloha-editable-deactivated', function (event, params) {
				if (that.isOpen) {
					that.checkActivePanels();
				}
				that.lastRange = null;
			});

			this.container.mousedown(function (e) {
				e.originalEvent.stopSelectionUpdate = true;
				Aloha.eventHandled = true;
			});

			this.container.mouseup(function (e) {
				e.originalEvent.stopSelectionUpdate = true;
				Aloha.eventHandled = false;
			});
		},

		/**
		 * Dynamically set appropriate heights for panels.
		 * The height for each panel is determined by the amount of space that
		 * is available in the viewport and the number of panels that need to
		 * share that space.
		 */
		correctHeight: function () {
			if (!this.isOpen) {
				return;
			}
			if (!this.isCompletelyOpen) {
				this.correctHeightWhenCompletelyOpen = true;
				return;
			}

			var viewportHeight = parseInt($(window).css("height"));
			var activePanelIds = [];
			var panels = [];
			var panelId;
			for (panelId in this.panels) {
				if (this.panels.hasOwnProperty(panelId)) {
					if (this.panels[panelId].isActive) {
						panels.push(this.panels[panelId]);
						activePanelIds.push(panelId);
					}
				}
			}

			if (0 === panels.length) {
				return;
			}

			activePanelIds = activePanelIds.sort().join(',');

			if (previousActivePanelIds === activePanelIds && previousViewportHeight === viewportHeight) {
				return;
			}

			previousViewportHeight = viewportHeight;
			previousActivePanelIds = activePanelIds;

			var height = parseInt(this.container.find('.aloha-sidebar-inner').css("height"));
			var remainingHeight = height - ((parseInt(panels[0].title.css("heigth")) + parseInt(panels[0].title.css("padding-top")) + parseInt(panels[0].title.css("padding-bottom")) + 10) * panels.length);
			var panel;
			var targetHeight;
			var panelInner;
			var panelText;
			var undone;
			var toadd = 0;
			var math = Math;
			var j;

			while (panels.length > 0 && remainingHeight > 0) {
				remainingHeight += toadd;
				toadd = 0;
				undone = [];

				for (j = panels.length - 1; j >= 0; --j) {
					panel = panels[j];
					panelInner = panel.content.find('.aloha-sidebar-panel-content-inner');

					targetHeight = math.min(
						parseInt(panelInner.css("height",'auto').css("height")),
						math.floor(remainingHeight / (j + 1))
					);

					panelInner.css("height", targetHeight + "px");
					remainingHeight -= targetHeight;
					panelText = panelInner.find('.aloha-sidebar-panel-content-inner-text');

					if (parseInt(panelText.css("height")) > targetHeight) {
						undone.push(panel);
						toadd += targetHeight;
						panelInner.css({
							'overflow-x': 'hidden',
							'overflow-y': 'scroll'
						});
					} else {
						panelInner.css('overflow-y', 'hidden');
					}

					if (panel.expanded) {
						panel.expand();
					}
				}

				panels = undone;
			}
		},

		/**
		 * Checks whether this panel should be activated (ie: made visible) for
		 * any of the elements specified in a given list of elements.
		 *
		 * We have to add a null object to the list of elements to allow us to
		 * check whether the panel should be visible when we have no effective
		 * elements in the current selection
		 *
		 * @param {object} panel The Panel object we will test
		 * @param {Array.<jQuery.<HTMLElement>>} elements The effective
		 *                                                elements, any of
		 *                                                which may activate
		 *                                                the panel.
		 */
		showActivePanel: function (panel, elements) {
			elements.push(null);

			var li = panel.content.parent('li');
			var activeOn = panel.activeOn;
			var effective = $();
			var count = 0;
			var j = elements.length;
			var i;

			for (i = 0; i < j; ++i) {
				if (activeOn(elements[i])) {
					++count;
					if (elements[i]) {
						$.merge(effective, elements[i]);
					}
				}
			}

			if (count) {
				panel.activate(effective);
			} else {
				panel.deactivate();
			}
		},

		/**
		 * Sets up the functionality, event listeners, and animation of the
		 * sidebar handle
		 */
		initToggler: function () {
			var that = this;
			var bar = this.container;
			var icon = bar.find('.aloha-sidebar-handle-icon');
			var toggledClass = 'aloha-sidebar-toggled';
			var bounceTimer;
			var isRight = (this.position === 'right');

			if (this.opened) {
				this.rotateHandleArrow(isRight ? 0 : 180, 0);
			}

			// configure the position of the sidebar handle
			$(function () {
				if (typeof Aloha.settings.sidebar !== 'undefined' && Aloha.settings.sidebar.handle && Aloha.settings.sidebar.handle.top) {
					$(bar.find('.aloha-sidebar-handle'))[0].style.top = Aloha.settings.sidebar.handle.top;
				}
			});

			bar.find('.aloha-sidebar-handle').click(function () {
				if (bounceTimer) {
					clearInterval(bounceTimer);
				}

				icon.stop().css('marginLeft', 4);

				if (that.isOpen) {
					$(this).removeClass(toggledClass);
					that.close();
					that.isOpen = false;
				} else {
					$(this).addClass(toggledClass);
					that.open();
					that.isOpen = true;
				}
			}).hover(function () {
				var flag = that.isOpen ? -1 : 1;

				if (bounceTimer) {
					clearInterval(bounceTimer);
				}

				icon.stop();

				$(this).stop().animate(
					isRight ? {
						marginLeft: '-=' + (flag * 5)
					} : {
						marginRight: '-=' + (flag * 5)
					},
					200
				);

				bounceTimer = setInterval(function () {
					flag *= -1;
					icon.animate(
						isRight ? {
							left: '-=' + (flag * 4)
						} : {
							right: '-=' + (flag * 4)
						},
						300
					);
				}, 300);
			}, function () {
				if (bounceTimer) {
					clearInterval(bounceTimer);
				}

				icon.stop().css(isRight ? 'left' : 'right', 5);

				$(this).stop().animate(
					isRight ? {
						marginLeft: 0
					} : {
						marginRight: 0
					},
					600,
					'easeOutElastic'
				);
			});
		},

		/**
		 * Rounds the top corners of the first visible panel, and the bottom
		 * corners of the last visible panel elements in the panels ul list.
		 * @deprecated
		 * @fixme: css3
		 */
		roundCorners: function () {

			var bar = this.container;
			var lis = bar.find('.aloha-sidebar-panels>li:not(.aloha-sidebar-deactivated)');
			var topClass = 'aloha-sidebar-panel-top';
			var bottomClass = 'aloha-sidebar-panel-bottom';

			bar.find('.aloha-sidebar-panel-top, .aloha-sidebar-panel-bottom').removeClass(topClass).removeClass(bottomClass);

			lis.first().find('.aloha-sidebar-panel-title').addClass(topClass);
			lis.last().find('.aloha-sidebar-panel-content').addClass(bottomClass);
		},

		/**
		 * Updates the height of the inner div of the sidebar. This is done
		 * whenever the viewport is resized.
		 */
		updateHeight: function () {
			var h = $(window).height();
			this.container.css("height",h+"px").find('.aloha-sidebar-inner').css("height",h+"px");
		},

		/**
		 * Delegate all sidebar onclick events to the container.
		 * Then use handleBarclick method until we bubble up to the first
		 * significant element that we can interact with.
		 */
		barClicked: function (ev) {
			this.handleBarclick($(ev.target));
		},

		/**
		 * We handle all click events on the sidebar from here--dispatching
		 * calls to which ever methods that should be invoked for the each
		 * interaction.
		 */
		handleBarclick: function (el) {
			if (el.hasClass('aloha-sidebar-panel-title')) {
				this.togglePanel(el);
			} else if (!el.hasClass('aloha-sidebar-panel-content') && !el.hasClass('aloha-sidebar-handle') && !el.hasClass('aloha-sidebar-bar')) {
				this.handleBarclick(el.parent());
			}
		},

		getPanelById: function (id) {
			return this.panels[id];
		},

		getPanelByElement: function (el) {
			var li = (el[0].tagName === 'LI') ? el : el.parent('li');
			return this.getPanelById(li[0].id);
		},

		togglePanel: function (el) {
			this.getPanelByElement(el).toggle();
		},

		/**
		 * Animation to rotate the sidebar arrow
		 *
		 * @param {number} angle The angle two which the arrow should rotate
		 *						 (0 or 180).
		 * @param {number|String} duration (Optional) How long the animation
		 *                                 should play for.
		 */
		rotateHandleIcon: function (angle, duration) {
			var arr = this.container.find('.aloha-sidebar-handle-icon');
			arr.animate({
				angle: angle
			}, {
				duration: (typeof duration === 'number' || typeof duration === 'string') ? duration : 500,
				easing: 'easeOutExpo',
				step: function (val, fx) {
					arr.css({
						'-o-transform': 'rotate(' + val + 'deg)',
						'-webkit-transform': 'rotate(' + val + 'deg)',
						'-moz-transform': 'rotate(' + val + 'deg)',
						'-ms-transform': 'rotate(' + val + 'deg)'
						// We cannot use Microsoft Internet Explorer filters
						// because Microsoft Internet Explore 8 does not support
						// Microsoft Internet Explorer filters correctly. It
						// breaks the layout
						// filter             : 'progid:DXImageTransform.Microsoft.BasicImage(rotation=' + (angle / 90) + ')'
					});
				}
			});
		},

		/**
		 * Sets the handle icon to the "i am opened, click me to close the
		 * sidebar" state, or vice versa. The direction of the arrow depends
		 * on whether the sidebar is on the left or right, and whether it is
		 * in an opened state or not.
		 *
		 * @param {boolean} isOpen Whether or not the sidebar is in the opened
		 *                         state.
		 */
		toggleHandleIcon: function (isOpen) {
			var isPointingLeft = (this.position === 'right') ^ isOpen;

			if (this.settings.rotateIcons) {
				this.rotateHandleIcon(isPointingLeft ? 180 : 0, 0);
			} else {
				var icon = this.container.find('.aloha-sidebar-handle-icon');

				if (isPointingLeft) {
					icon.addClass('aloha-sidebar-handle-icon-left');
				} else {
					icon.removeClass('aloha-sidebar-handle-icon-left');
				}
			}
		},

		/**
		 * Slides the sidebar into view
		 */
		open: function (duration, callback) {
			if (this.isOpen) {
				return this;
			}

			var isRight = (this.position === 'right');
			var anim = isRight ? {
				marginRight: 0
			} : {
				marginLeft: 0
			};
			var sidebar = this;

			this.toggleHandleIcon(true);
			this.container.animate(anim, (typeof duration === 'number' || typeof duration === 'string') ? duration : 500, 'easeOutExpo');

			if (!this.settings.overlayPage) {
				$('body').animate(
					isRight ? {
						marginRight: '+=' + this.width
					} : {
						marginLeft: '+=' + this.width
					},
					500,
					'easeOutExpo',
					function () {
						sidebar.isCompletelyOpen = true;
						if (sidebar.correctHeightWhenCompletelyOpen) {
							sidebar.correctHeight();
						}
					}
				);
			}

			this.isOpen = true;
			this.correctHeight();
			if (this.lastRange) {
				this.checkActivePanels(this.lastRange);
			}
			$('body').trigger('aloha-sidebar-opened', this);

			return this;
		},

		/**
		 * Slides that sidebar out of view.
		 */
		close: function (duration, callback) {
			if (!this.isOpen) {
				return this;
			}

			var isRight = (this.position === 'right');
			var anim = isRight ? {
				marginRight: -this.width
			} : {
				marginLeft: -this.width
			};

			this.toggleHandleIcon(false);
			this.container.animate(anim, (typeof duration === 'number' || typeof duration === 'string') ? duration : 500, 'easeOutExpo');

			if (!this.settings.overlayPage) {
				$('body').animate(
					isRight ? {
						marginRight: '-=' + this.width
					} : {
						marginLeft: '-=' + this.width
					},
					500,
					'easeOutExpo'
				);
			}

			this.isOpen = false;
			this.isCompletelyOpen = false;

			return this;
		},

		/**
		 * Activates the given panel and passes to it the given element as the
		 * the effective that we want it to think activated it.
		 *
		 * @param {object|String} panel Panel instance or the id of a panel
		 *								object.
		 * @param {jQuery} element Element to pass to the panel as effective
		 *	                       element (the element that activated it).
		 */
		activatePanel: function (panel, element) {
			if (typeof panel === 'string') {
				panel = this.getPanelById(panel);
			}

			if (panel) {
				panel.activate(element);
			}

			this.roundCorners();

			return this;
		},

		/**
		 * Invokes the expand method for the given panel so that it expands its
		 * height to display its contents
		 *
		 * @param {object|String} panel Panel instance or the id of a panel
		 *                              object.
		 * @param {funtion} callback
		 */
		expandPanel: function (panel, callback) {
			if (typeof panel === 'string') {
				panel = this.getPanelById(panel);
			}

			if (panel) {
				panel.expand(callback);
			}

			return this;
		},

		/**
		 * Collapses the panel contents by invoking the given panel's collapse
		 * method.
		 *
		 * @param {object|String} panel Panel instance or the id of a panel
		 *								object.
		 * @param {funtion} callback
		 */
		collapsePanel: function (panel, callback) {
			if (typeof panel === 'string') {
				panel = this.getPanelById(panel);
			}

			if (panel) {
				panel.collapse(callback);
			}

			return this;
		},

		/**
		 * Adds a panel to this sidebar instance.
		 * We try and build as much of the panel DOM as we can before inserting
		 * it into the DOM in order to reduce reflow.
		 *
		 * @param {object} panel - either a panel instance or an associative
		 *			   array containing settings for the construction
		 *			   of a new panel.
		 * @param {boolean} deferRounding - (Optional) If true, the rounding-off
		 *				    of the top most and bottom most panels
		 *				    will not be automatically done. Set
		 *				    this to true when adding a lot of panels
		 *				    at once.
		 * @return {object} The newly created panel.
		 */
		addPanel: function (panel, deferRounding) {
			if (!(panel instanceof Panel)) {
				if (!panel.width) {
					panel.width = this.width;
				}
				panel.sidebar = this;
				panel = new Panel(panel);
			}

			this.panels[panel.id] = panel;
			this.container.find('.aloha-sidebar-panels').append(panel.element);
			this.checkActivePanels(Selection.getRangeObject());
			return panel;
		}

	});

	// ------------------------------------------------------------------------
	// Panel prototype
	// ------------------------------------------------------------------------
	$.extend(Panel.prototype, {

		init: function (opts) {
			this.setTitle(opts.title).setContent(opts.content);

			delete opts.title;
			delete opts.content;

			$.extend(this, opts);

			if (!this.id) {
				this.id = 'aloha-sidebar-' + (++uid);
			}

			var li = this.element = $('<li id="' + this.id + '">').append(this.title, this.content);

			if (this.expanded) {
				this.content.css("height",'auto');
			}

			this.toggleTitleIcon(this.expanded);
			this.coerceActiveOn();

			// Disable text selection on title element.
			this.title.attr('unselectable', 'on').css('-moz-user-select', 'none').each(function () {
				this.onselectstart = function () {
					return false;
				};
			});

			if (typeof this.onInit === 'function') {
				this.onInit.apply(this);
			}
		},

		/**
		 * @param {boolean} isExpanded Whether or not the panel is in an
		 *                             expanded state.
		 */
		toggleTitleIcon: function (isExpanded) {
			if (this.sidebar.settings.rotateIcons) {
				this.rotateTitleIcon(isExpanded ? 90 : 0);
			} else {
				var icon = this.title.find('.aloha-sidebar-panel-title-arrow');

				if (isExpanded) {
					icon.addClass('aloha-sidebar-panel-title-arrow-down');
				} else {
					icon.removeClass('aloha-sidebar-panel-title-arrow-down');
				}
			}
		},

		/**
		 * Normalizes the activeOn property into a predicate function.
		 */
		coerceActiveOn: function () {
			if (typeof this.activeOn !== 'function') {
				var activeOn = this.activeOn;

				this.activeOn = (function () {
					var typeofActiveOn = typeof activeOn,
						fn;

					if (typeofActiveOn === 'boolean') {
						fn = function () {
							return activeOn;
						};
					} else if (typeofActiveOn === 'undefined') {
						fn = function () {
							return true;
						};
					} else if (typeofActiveOn === 'string') {
						fn = function (el) {
							return el ? el.is(activeOn) : false;
						};
					} else {
						fn = function () {
							return false;
						};
					}

					return fn;
				}());
			}
		},

		/**
		 * Activates (displays) this panel.
		 */
		activate: function (effective) {
			this.isActive = true;
			this.content.parent('li').show().removeClass('aloha-sidebar-deactivated');
			this.effectiveElement = effective;
			if (typeof this.onActivate === 'function') {
				this.onActivate.call(this, effective);
			}
		},

		/**
		 * Hides this panel.
		 */
		deactivate: function () {
			if (!this.isActive) {
				return;
			}
			this.isActive = false;
			this.content.parent('li').hide().addClass('aloha-sidebar-deactivated');
			this.effectiveElement = null;
		},

		toggle: function () {
			if (this.expanded) {
				this.collapse();
			} else {
				this.expand();
			}
		},

		/**
		 * Displays the panel's contents.
		 */
		expand: function (callback) {
			var that = this;
			var el = this.content;
			var old_h = parseInt(el.css("height"));
			var new_h = parseInt(el.css("height",'auto').css("height"));
			el.css("height",old_h+"px").stop().animate(
				{height: new_h},
				500,
				'easeOutExpo',
				function () {
					if (typeof callback === 'function') {
						callback.call(that);
					}
				}
			);
			this.element.removeClass('collapsed');
			this.toggleTitleIcon(true);
			this.expanded = true;
			return this;
		},

		/**
		 * Hides the panel's contents--leaving only it's header.
		 */
		collapse: function (duration, callback) {
			var that = this;
			this.element.addClass('collapsed');
			this.content.stop().animate(
				{ height: 3 },
				250,
				'easeOutExpo',
				function () {
					if (typeof callback === 'function') {
						callback.call(that);
					}
				}
			);
			this.toggleTitleIcon(false);
			this.expanded = false;
			return this;
		},

		/**
		 * May also be called by the Sidebar to update title of panel
		 *
		 * @param {string} html Markup string, DOM object, or jQuery object.
		 */
		setTitle: function (html) {
			this.title.find('.aloha-sidebar-panel-title-text').html(html);
			return this;
		},

		/**
		 * May also be called by the Sidebar to update content of panel
		 *
		 * @param {string|jQuery.<HTMLElement>|HTMLElement} html Markup string,
		 *                                                       DOM object, or
		 *                                                       jQuery object.
		 */
		setContent: function (html) {
			// We do this so that empty panels don't appear collapsed
			if (!html || html === '') {
				html = '&nbsp;';
			}

			this.content.find('.aloha-sidebar-panel-content-inner-text').html(html);
			return this;
		},

		rotateTitleIcon: function (angle, duration) {
			var arr = this.title.find('.aloha-sidebar-panel-title-arrow');
			arr.animate({
				angle: angle
			}, {
				duration: (typeof duration === 'number') ? duration : 500,
				easing: 'easeOutExpo',
				step: function (val, fx) {
					arr.css({
						'-o-transform': 'rotate(' + val + 'deg)',
						'-webkit-transform': 'rotate(' + val + 'deg)',
						'-moz-transform': 'rotate(' + val + 'deg)',
						'-ms-transform': 'rotate(' + val + 'deg)'
						// filter              : 'progid:DXImageTransform.Microsoft.BasicImage(rotation=' + (angle / 90) + ')'
					});
				}
			});
		},

		/**
		 * Walks up the ancestors chain for the given effective element, and
		 * renders subpanels using the specified renderer function.
		 *
		 * @param {jQuery.<HTMLElement>} effective The effective element, whose
		 *                                         lineage we want to render.
		 * @param {function} renderer (Optional) function that will render each
		 *                                       element in the parental
		 *                                       lineage of the effective
		 *                                       element.
		 */
		renderEffectiveParents: function (effective, renderer) {
			var el = effective.first();
			var content = [];
			var path = [];
			var activeOn = this.activeOn;
			var l;
			var pathRev;

			while (el.length > 0 && !el.is('.aloha-editable')) {
				if (activeOn(el)) {
					path.push('<span>' + el[0].tagName.toLowerCase() + '</span>');
					l = path.length;
					pathRev = [];
					while (l--) {
						pathRev.push(path[l]);
					}
					content.push(
						'<div class="aloha-sidebar-panel-parent">'
							+ '<div class="aloha-sidebar-panel-parent-path">'
							+ pathRev.join('')
							+ '</div>'
							+ '<div class="aloha-sidebar-panel-parent-content'
							+ 'aloha-sidebar-opened">'
							+ ((typeof renderer === 'function') ? renderer(el) : '----') + '</div>' + '</div>'
					);
				}
				el = el.parent();
			}

			this.setContent(content.join(''));

			$('.aloha-sidebar-panel-parent-path').click(function () {
				var $content = $(this).parent().find('.aloha-sidebar-panel-parent-content');
				if ($content.hasClass('aloha-sidebar-opened')) {
					$content.hide().removeClass('aloha-sidebar-opened');
				} else {
					$content.show().addClass('aloha-sidebar-opened');
				}
			});

			this.content.css("height",'auto').find('.aloha-sidebar-panel-content-inner').css("height",'auto');
		}

	});

	var left = new Sidebar({
		position: 'left',
		width: 250 // TODO define in config
	});

	var right = new Sidebar({
		position: 'right',
		width: 250 // TODO define in config
	});

	Aloha.Sidebar = {
		disabled: !!((Aloha.settings || {}).sidebar || {}).disabled,
		left: left,
		right: right
	};

	return Aloha.Sidebar;
});

/* position.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
// Start Closure
// Ensure GENTICS Namespace
window.GENTICS = window.GENTICS || {};
window.GENTICS.Utils = window.GENTICS.Utils || {};
define('util/position',['jquery'], function (jQuery) {
	"use strict";

	var	$ = jQuery,
		GENTICS = window.GENTICS,
		Class = window.Class,
		console = window.console;

	/**
	 * position utility, which will provide scroll and mouse positions
	 * please note that the positions provided by this class are not
	 * realtime - instead they are calculated with a 0.5 second delay
	 */
	GENTICS.Utils.Position = {};

	/**
	 * jquery reference to the window object
	 */
	GENTICS.Utils.Position.w = jQuery(window);

	/**
	 * contains the current scroll top and left position, and indicates if the user is currently scrolling
	 * @api
	 */
	GENTICS.Utils.Position.Scroll = {
		top: 0,
		left: 0,
		isScrolling: false
	};

	/**
	 * contains the scroll corrections to apply on special cases (ribbon for example)
	 * @api
	 */
	GENTICS.Utils.Position.ScrollCorrection = {
		top: 100,
		left: 50
	};

	/**
	 * contains the current mouse position (x,y) as well as an indicator if the mouse is moving
	 * @api
	 */
	GENTICS.Utils.Position.Mouse = {
		x: 0,
		y: 0,
		oldX: 0,
		oldY: 0,
		isMoving: false,
		triggeredMouseStop: true
	};

	/**
	 * contains all mousestop callbacks
	 */
	GENTICS.Utils.Position.mouseStopCallbacks = [];

	/**
	 * contains all mousemove callbacks
	 */
	GENTICS.Utils.Position.mouseMoveCallbacks = [];

	/**
	 * updates scroll position and the scrolling status
	 */
	GENTICS.Utils.Position.update = function () {
		// update scroll position
		var st = this.w.scrollTop(),
			sl = this.w.scrollLeft(),
			i;

		if (this.Scroll.isScrolling) {
			if (this.Scroll.top == st && this.Scroll.left == sl) {
				// stopped scrolling
				this.Scroll.isScrolling = false;
			}
		} else {
			if (this.Scroll.top != st || this.Scroll.left != sl) {
				// started scrolling
				this.Scroll.isScrolling = true;
			}
		}

		// update scroll positions
		this.Scroll.top = st;
		this.Scroll.left = sl;

		// check wether the user has stopped moving the mouse
		if (this.Mouse.x == this.Mouse.oldX && this.Mouse.y == this.Mouse.oldY) {
			this.Mouse.isMoving = false;
			// now check if we've triggered the mousestop event
			if (!this.Mouse.triggeredMouseStop) {
				this.Mouse.triggeredMouseStop = true;
				// iterate callbacks
				for (i = 0; i < this.mouseStopCallbacks.length; i++) {
					this.mouseStopCallbacks[i].call();
				}
			}
		} else {
			this.Mouse.isMoving = true;
			this.Mouse.triggeredMouseStop = false;
			// iterate callbacks
			for (i = 0; i < this.mouseMoveCallbacks.length; i++) {
				this.mouseMoveCallbacks[i].call();
			}
		}

		// update mouse positions
		this.Mouse.oldX = this.Mouse.x;
		this.Mouse.oldY = this.Mouse.y;
	};

	/**
	 * adds a callback method which is invoked when the mouse has stopped moving
	 * @param	callback	the callback method to be invoked
	 * @return	index of the callback
	 */
	GENTICS.Utils.Position.addMouseStopCallback = function (callback) {
		this.mouseStopCallbacks.push(callback);
		return (this.mouseStopCallbacks.length - 1);
	};

	/**
	 * adds a callback method which is invoked when the mouse is moving
	 * @param	callback	the callback method to be invoked
	 * @return	index of the callback
	 */
	GENTICS.Utils.Position.addMouseMoveCallback = function (callback) {
		this.mouseMoveCallbacks.push(callback);
		return (this.mouseMoveCallbacks.length - 1);
	};


	// Mousemove Hooks
	jQuery(function () {
		window.setInterval(function () {
			GENTICS.Utils.Position.update();
		}, 500);
	});

	jQuery('html').mousemove(function (e) {
		GENTICS.Utils.Position.Mouse.x = e.pageX;
		GENTICS.Utils.Position.Mouse.y = e.pageY;
	});

});

/* repositoryobjects.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('aloha/repositoryobjects',[
	'aloha/core',
	'util/class'
], function (
	Aloha,
	Class
) {
	"use strict";

	var	GENTICS = window.GENTICS;

	Aloha.RepositoryObject = function () {};

	/**
	 * @namespace Aloha.Repository
	 * @class Document
	 * @constructor
	 *
	 * Abstract Document suitable for most Objects.<br /><br />
	 *
	 * Example:
	 *
	<pre><code>
	 var item = new Aloha.Repository.Document({
		id: 1,
		repositoryId: 'myrepository',
		name: 'Aloha Editor - The HTML5 Editor',
		type: 'website',
		url:'http://aloha-editor.com',
	 });
	</code></pre>
	 *
	 * @param {Object} properties An object with the data.
	 * <div class="mdetail-params"><ul>
	 * <li><code>id</code> : String <div class="sub-desc">Unique identifier</div></li>
	 * <li><code>repositoryId</code> : String <div class="sub-desc">Unique repository identifier</div></li>
	 * <li><code>name</code> : String <div class="sub-desc">Name of the object. This name is used to display</div></li>
	 * <li><code>type</code> : String <div class="sub-desc">The specific object type</div></li>
	 * <li><code>partentId</code> : String (optional) <div class="sub-desc"></div></li>
	 * <li><code>mimetype</code> : String (optional) <div class="sub-desc">MIME type of the Content Stream</div></li>
	 * <li><code>filename</code> : String (optional) <div class="sub-desc">File name of the Content Stream</div></li>
	 * <li><code>length</code> : String (optional) <div class="sub-desc">Length of the content stream (in bytes)</div></li>
	 * <li><code>url</code> : String (optional) <div class="sub-desc">URL of the content stream</div></li>
	 * <li><code>renditions</code> : Array (optional) <div class="sub-desc">Array of different renditions of this object</div></li>
	 * <li><code>localName</code> : String (optional) <div class="sub-desc">Name of the object. This name is used internally</div></li>
	 * <li><code>createdBy</code> : String (optional) <div class="sub-desc">User who created the object</div></li>
	 * <li><code>creationDate</code> : Date (optional) <div class="sub-desc">DateTime when the object was created</div></li>
	 * <li><code>lastModifiedBy</code> : String (optional) <div class="sub-desc">User who last modified the object</div></li>
	 * <li><code>lastModificationDate</code> : Date (optional) <div class="sub-desc">DateTime when the object was last modified</div></li>
	 * </ul></div>
	 *
	 */
	Aloha.RepositoryDocument = Class.extend({
		_constructor: function (properties) {

			var p = properties;

			this.type = 'document';

			// Basic error checking for MUST attributes
			if (!p.id || !p.name || !p.repositoryId) {
				//				Aloha.Log.error(this, "No valid Aloha Object. Missing MUST property");
				return;
			}

			GENTICS.Utils.applyProperties(this, properties);

			this.baseType = 'document';
		}
		//		/**
		//		 * Not implemented method to generate this JS API doc correctly.
		//		 */
		//		,empty = function() }

	});



	/**
	 * @namespace Aloha.Repository
	 * @class Folder
	 * @constructor
	 * Abstract Folder suitable for most strucural Objects.<br /><br />
	 *
	 * Example:
	 *
	<pre><code>
	 var item = new Aloha.Repository.Folder({
		id: 2,
		repositoryId: 'myrepository',
		name: 'images',
		type: 'directory',
		parentId:'/www'
	 });
	</code></pre>
	 * @param {Object} properties An object with the data.
	 * <div class="mdetail-params"><ul>
	 * <li><code>id</code> : String <div class="sub-desc">Unique identifier</div></li>
	 * <li><code>repositoryId</code> : String <div class="sub-desc">Unique repository identifier</div></li>
	 * <li><code>name</code> : String <div class="sub-desc">Name of the object. This name is used to display</div></li>
	 * <li><code>type</code> : String <div class="sub-desc">The specific object type</div></li>
	 * <li><code>partentId</code> : String (optional) <div class="sub-desc"></div></li>
	 * <li><code>localName</code> : String (optional) <div class="sub-desc">Name of the object. This name is used internally</div></li>
	 * <li><code>createdBy</code> : String (optional) <div class="sub-desc">User who created the object</div></li>
	 * <li><code>creationDate</code> : Date (optional) <div class="sub-desc">DateTime when the object was created</div></li>
	 * <li><code>lastModifiedBy</code> : String (optional) <div class="sub-desc">User who last modified the object</div></li>
	 * <li><code>lastModificationDate</code> : Date (optional) <div class="sub-desc">DateTime when the object was last modified</div></li>
	 * </ul></div>
	 *
	 */
	Aloha.RepositoryFolder = Class.extend({

		_constructor: function (properties) {

			var p = properties;

			this.type = 'folder';

			// Basic error checking for MUST attributes
			if (!p.id || !p.name || !p.repositoryId) {
				//		Aloha.Log.error(this, "No valid Aloha Object. Missing MUST property");
				return;
			}

			GENTICS.Utils.applyProperties(this, properties);

			this.baseType = 'folder';

		}
		//	/**
		//	* Not implemented method to generate this JS API doc correctly.
		//	*/
		//	,empty = function() {};

	});
});

/* repositorymanager.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('aloha/repositorymanager',[
	'jquery',
	'util/class',
	'aloha/core',
	'aloha/console',
	'aloha/repositoryobjects' // Provides Aloha.RepositoryFolder
], function (
	$,
	Class,
	Aloha,
	Console,
	__unused__
) {
	'use strict';

	/**
	 * Given an input set, returns a new set which is a range of the input set
	 * that maps to the given predicate.
	 *
	 * Prefers native Array.prototype.filter() where available (after JavaScript
	 * 1.6).
	 *
	 * @param {function:boolean} predicate
	 * @return {Array} Sub set of domain
	 */
	var filter = (function (predicate) {
		if (predicate) {
			return function (domain, predicate) {
				return domain.filter(predicate);
			};
		}

		return function (domain, predicate) {
			var codomain = [],
				i,
				len = domain.length;
			for (i = 0; i < len; i++) {
				if (predicate(domain[i])) {
					codomain.push(domain[i]);
				}
			}
			return codomain;
		};
	}(Array.prototype.hasOwnProperty('filter')));

	/**
	 * Bundles results, and meta information in preparation for the JSON Reader.
	 *
	 * Used with query().
	 *
	 * @param {Array.<Document|Folder>} items Results, collected from all
	 *                                        repositories.
	 * @param {object<string, number>} meta Optional object containing metainfo.
	 * @return {object} Result object.
	 */
	function bundle(items, meta) {
		var result = {
			items: items,
			results: items.length
		};
		if (meta) {
			result.numItems = meta.numItems;
			result.hasMoreItems = meta.hasMoreItems;
			result.timeout = meta.timeout;
		}
		return result;
	}

	/**
	 * Passes all the results we have collected to the client through the
	 * callback it specified.
	 *
	 * TODO: Implement sorting based on repository specification sort
	 *       items by weight.
	 * items.sort(function (a, b) {
	 *	return (b.weight || 0) - (a.weight || 0);
	 * });
	 *
	 * @param {function} callback Callback specified by client when invoking
	 *                            the query method.
	 * @param {Array.<Document|Folder>|object<string, number>} results
	 */
	function report(callback, results) {
		callback(results);
	}

	/**
	 * Predicates; used to filter lists of repositories based on whether they
	 * implement a method or not.
	 *
	 * @type {object<string, function(Repository):boolean}
	 */
	var repositoryFilters = {
		query: function (repository) {
			return typeof repository.query === 'function';
		},
		getChildren: function (repository) {
			return typeof repository.getChildren === 'function';
		},
		getSelectedFolder: function (repository) {
			return typeof repository.getSelectedFolder === 'function';
		}
	};

	/**
	 * Repository Manager.
	 *
	 * @namespace Aloha
	 * @class RepositoryManager
	 * @singleton
	 */
	var RepositoryManager = Class.extend({

		repositories: [],

		settings: (Aloha.settings && Aloha.settings.repositories) || {},

		initialized: false,

		/**
		 * Initializes all registered repositories.
		 *
		 *                            ???
		 *                             |
		 *                             v
		 *
		 * Warning: testing has shown that repositories are maybe not loaded yet
		 * (found that case in IE7), so don't rely on that in this init
		 * function.
		 *
		 *                             ^
		 *                             |
		 *                            !!!
		 */
		init: function () {
			var manager = this;
			if (typeof manager.settings.timeout === 'undefined') {
				manager.settings.timeout = 5000;
			}
			var i;
			for (i = 0; i < manager.repositories.length; i++) {
				manager.initRepository(manager.repositories[i]);
			}
			manager.initialized = true;
		},

		/**
		 * Registers a Repository.
		 *
		 * If the repositorie is registered after the Repository Manager is
		 * initialized it will be automatically initialized.
		 *
		 * @param {Repository} repository Repository to register.
		 */
		register: function (repository) {
			var manager = this;
			if (!manager.getRepository(repository.repositoryId)) {
				manager.repositories.push(repository);
				if (manager.initialized) {
					manager.initRepository(repository);
				}
			} else {
				Console.warn(manager, 'A repository with name "'
						+ repository.repositoryId
						+ '" already registerd. Ignoring this.');
			}
		},

		/**
		 * Initializes a repository.
		 *
		 * @param {Repository} repository Repository to initialize.
		 */
		initRepository: function (repository) {
			var manager = this;
			if (!repository.settings) {
				repository.settings = {};
			}
			if (manager.settings[repository.repositoryId]) {
				$.extend(repository.settings,
				         manager.settings[repository.repositoryId]);
			}
			repository.init();
		},

		/**
		 * Returns the repository identified by repositoryId.
		 *
		 * @param {String} id Id of repository to retrieve.
		 * @return {Repository|null} Repository or null if none with the given
		 *                           id is found.
		 */
		getRepository: function (id) {
			var manager = this;
			var i;
			for (i = 0; i < manager.repositories.length; i++) {
				if (manager.repositories[i].repositoryId === id) {
					return manager.repositories[i];
				}
			}
			return null;
		},

		/**
		 * Searches all repositories for repositoryObjects matching query and
		 * repositoryObjectType.
		 *
		 * <pre><code>
		 *  // Example:
		 *  var params = {
		 *      queryString: 'hello',
		 *      objectTypeFilter: ['website'],
		 *      filter: null,
		 *      inFolderId: null,
		 *      orderBy: null,
		 *      maxItems: null,
		 *      skipCount: null,
		 *      renditionFilter: null,
		 *      repositoryId: null
		 *  };
		 *  Aloha.RepositoryManager.query(params, function (items) {
		 *      Console.log(items);
		 *  });
		 * </code></pre>
		 *
		 * @param {object<string, mixed>} params
		 *
		 *       queryString: String             The query string for full text
		 *                                       search.
		 *  objectTypeFilter: Array   (optional) Object types to be retrieved.
		 *            filter: Array   (optional) Attributes that will be
		 *                                       included.
		 *        inFolderId: boolean (optional) Whether or not a candidate
		 *                                       object is a child-object of the
		 *                                       folder object identified by the
		 *                                       given inFolderId (objectId).
		 *          inTreeId: boolean (optional) This indicates whether or
		 *                                       not a candidate object is a
		 *                                       descendant-object of the folder
		 *                                       object identified by the given
		 *                                       inTreeId (objectId).
		 *           orderBy: Array   (optional) example: [{
		 *                                           lastModificationDate: 'DESC',
		 *                                           name: 'ASC'
		 *                                       }]
		 *          maxItems: number  (optional) Number of items to include in
		 *                                       result set.
		 *         skipCount: number  (optional) This is tricky in a merged
		 *                                       multi repository scenario.
		 *   renditionFilter: Array   (optional) Instead of termlist, an
		 *                                       array of kind or mimetype is
		 *                                       expected.  If null or an empty
		 *                                       set, then all renditions are
		 *                                       returned. See
		 *                                       http://docs.oasis-open.org/cmis/CMIS/v1.0/cd04/cmis-spec-v1.0.html#_Ref237323310
		 *                                       for renditionFilter.
		 *
		 * @param {function(Document|Folder)} callback Function to be invoked
		 *                                             after the repository
		 *                                             manager has finished
		 *                                             querying all
		 *                                             repositories.
		 */
		query: function (params, callback) {
			var manager = this;

			var i;

			// The merged results, collected from repository responses.
			var results = [];

			// The merged metainfo, collected from repository responses.
			var allmetainfo = {
				numItems: 0,
				hasMoreItems: false
			};

			// A counting semaphore (working in reverse, ie: 0 means free).
			var numOpenQueries;

			// Unless the calling client specifies otherwise, the manager will
			// wait a maximum of 5 seconds for all repositories to be queried
			// and respond. 5 seconds is deemed to be the reasonable time to
			// wait when querying the repository manager in the context of
			// something like autocomplete.
			var timeout = (params.timeout && parseInt(params.timeout, 10))
			           || manager.settings.timeout;

			// When this timer times-out, whatever has been collected in
			// `results' will be returned to the calling client and all further
			// processing aborted.
			var timer = window.setTimeout(function () {
				// Store in metainfo that a timeout occurred.
				allmetainfo = allmetainfo || {};
				allmetainfo.timeout = true;

				if (numOpenQueries > 0) {
					Console.warn(manager, numOpenQueries
							+ ' repositories did not return before the '
							+ 'configured timeout of ' + timeout + 'ms.');
					numOpenQueries = 0;
				}
				clearTimeout(timer);
				report(callback, bundle(results, allmetainfo));
			}, timeout);

			/**
			 * Invoked by each repository when it wants to present its results
			 * to the manager.
			 *
			 * Collects the results from each repository, and decrements the
			 * numOpenQueries semaphore to indicate that there is one less
			 * repository for which the manager is waiting for a reponse.
			 *
			 * If a repository invokes this callback after all openCallbacks
			 * have been closed (ie: numOpenQueries == 0), then the repository
			 * was too late ("missed the ship"), and will be ignored.
			 *
			 * If numOpenQueries decrements to 0 during this call, it means that
			 * the the manager is ready to report the results back to the client
			 * through the report() method.
			 *
			 * @param {Array.<Document|Folder>} items Results returned by the
			 *                                        repository.
			 * @param {object<string, number>} metainfo Optional Metainfo
			 *                                          returned by some
			 *                                          repositories.
			 */
			var process = function (items, metainfo) {
				var repository = this;

				if (0 === numOpenQueries) {
					return;
				}

				if (items && items.length) {

					// Because some negligent repository implementations do not
					// set repositoryId properly.
					if (!items[0].repositoryId) {
						var id = repository.repositoryId;
						var i;
						for (i = 0; i < items.length; i++) {
							items[i].repositoryId = id;
						}
					}

					$.merge(results, items);
				}

				if (metainfo && allmetainfo) {
					allmetainfo.numItems =
						($.isNumeric(metainfo.numItems) &&
						 $.isNumeric(allmetainfo.numItems))
							? allmetainfo.numItems + metainfo.numItems
							: undefined;

					allmetainfo.hasMoreItems =
						(typeof metainfo.hasMoreItems === 'boolean' &&
						 typeof allmetainfo.hasMoreItems === 'boolean')
							? allmetainfo.hasMoreItems || metainfo.hasMoreItems
							: undefined;

					if (metainfo.timeout) {
						allmetainfo.timeout = true;
					}
				} else {

					// Because if even one repository does not return metainfo,
					// so we have no aggregated metainfo at all.
					allmetainfo = undefined;
				}

				Console.debug(manager, 'The repository '
						+ repository.repositoryId + 'returned with '
						+ items.length + ' results.');

				// TODO: how to return the metainfo here?
				if (0 === --numOpenQueries) {
					clearTimeout(timer);
					report(callback, bundle(results, allmetainfo));
				}
			};

			var repositories = params.repositoryId
			                 ? [manager.getRepository(params.repositoryId)]
			                 : manager.repositories;

			var queue = filter(repositories, repositoryFilters.query);

			// If none of the repositories implemented the query method, then
			// don't wait for the timeout, simply report to the client.
			if (0 === queue.length) {
				clearTimeout(timer);
				report(callback, bundle(results, allmetainfo));
				return;
			}

			var makeProcess = function (repository) {
				return function () {
					process.apply(repository, arguments);
				};
			};

			numOpenQueries = queue.length;

			for (i = 0; i < queue.length; i++) {
				queue[i].query(params, makeProcess(queue[i]));
			}
		},

		/**
		 * Retrieves children items.
		 *
		 * @param {object<string,mixed>} params Object with properties.
		 *
		 *  objectTypeFilter: Array   (optional) Object types to be retrieved.
		 *            filter: Array   (optional) Attributes to be retrieved.
		 *        inFolderId: boolean (optional) This indicates whether or not
		 *                                       a candidate object is a
		 *                                       child-object of the folder
		 *                                       object identified by the given
		 *                                       inFolderId (objectId).
		 *           orderBy: Array   (optional) example: [{
		 *                                           lastModificationDate: 'DESC',
		 *                                           name: 'ASC'
		 *                                       }]
		 *          maxItems: number  (optional) number Items to return as a result.
		 *         skipCount: number  (optional) This is tricky in a merged
		 *                                       multi repository scenario.
		 *   renditionFilter: Array   (optional) Instead of termlist an Array
		 *                                       of kind or mimetype is
		 *                                       expected. If null or
		 *                                       Array.length == 0 all
		 *                                       renditions are returned. See
		 *                                       http://docs.oasis-open.org/cmis/CMIS/v1.0/cd04/cmis-spec-v1.0.html#_Ref237323310
		 *                                       for renditionFilter.
		 *
		 * @param {function(Document|Folder)} callback Function to be invoked
		 *                                             after the repository
		 *                                             manager has finished
		 *                                             querying all
		 *                                             repositories.
		 */
		getChildren: function (params, callback) {
			var manager = this;

			var i;

			// The marged results, collected from repository responses.
			var results = [];

			// A counting semaphore (working in reverse, ie: 0 means free).
			var numOpenQueries = 0;

			var timeout = (params.timeout && parseInt(params.timeout, 10))
			           || manager.settings.timeout;

			var timer = window.setTimeout(function () {
				if (numOpenQueries > 0) {
					Console.warn(manager, numOpenQueries
							+ ' repositories did not respond before the '
							+ 'configured timeout of ' + timeout + 'ms.');
					numOpenQueries = 0;
				}
				clearTimeout(timer);
				report(callback, results);
			}, timeout);

			var process = function (items) {
				if (0 === numOpenQueries) {
					return;
				}
				if (items) {
					$.merge(results, items);
				}
				if (0 === --numOpenQueries) {
					clearTimeout(timer);
					report(callback, results);
				}
			};

			var repositories = params.repositoryId
			                 ? [manager.getRepository(params.repositoryId)]
			                 : manager.repositories;

			if (params.repositoryFilter && params.repositoryFilter.length) {
				repositories = filter(repositories, function (repository) {
					return -1 < $.inArray(repository.repositoryId,
						params.repositoryFilter);
				});
			}

			// If the inFolderId is the default id of 'aloha', then return all
			// registered repositories as the result set.
			if ('aloha' === params.inFolderId) {
				var hasRepoFilter = params.repositoryFilter
				                 && 0 < params.repositoryFilter.length;

				for (i = 0; i < repositories.length; i++) {
					results.push(new Aloha.RepositoryFolder({
						id: repositories[i].repositoryId,
						name: repositories[i].repositoryName,
						repositoryId: repositories[i].repositoryId,
						type: 'repository',
						hasMoreItems: true
					}));
				}

				clearTimeout(timer);
				report(callback, results);
				return;
			}

			var queue = filter(repositories, repositoryFilters.getChildren);

			if (0 === queue.length) {
				clearTimeout(timer);
				report(callback, results);
				return;
			}

			numOpenQueries = queue.length;

			for (i = 0; i < queue.length; i++) {
				queue[i].getChildren(params, process);
			}
		},

		/**
		 * @fixme: Not tested, but the code for this function does not seem to
		 *        compute repository.makeClean will be undefined
		 *
		 * @todo: Rewrite this function header comment so that is clearer
		 *
		 * Pass an object, which represents an marked repository to corresponding
		 * repository, so that it can make the content clean (prepare for saving)
		 *
		 * @param {jQuery} obj - representing an editable
		 * @return void
		 */
		makeClean: function (obj) {
			// iterate through all registered repositories
			var that = this,
				repository = {},
				i = 0,
				j = that.repositories.length;

			// find all repository tags
			obj.find('[data-gentics-aloha-repository=' + this.prefix + ']').each(function () {
				while (i < j) {
					repository.makeClean(obj);
					i += 1;
				}
				Console.debug(that, 'Passing contents of HTML Element with id { ' + this.attr('id') + ' } for cleaning to repository { ' + repository.repositoryId + ' }');
				repository.makeClean(this);
			});
		},

		/**
		 * Marks an object as repository of this type and with this item.id.
		 * Objects can be any DOM objects as A, SPAN, ABBR, etc. or
		 * special objects such as aloha-aloha_block elements.
		 *
		 * Marks the target obj with two private attributes:
		 * (see http://dev.w3.org/html5/spec/elements.html#embedding-custom-non-visible-data)
		 *	- data-gentics-aloha-repository: stores the repositoryId
		 *	- data-gentics-aloha-object-id: stores the object.id
		 *
		 * @param {HTMLElement} obj DOM object to mark.
		 * @param {Aloha.Repository.Object} item Item which is applied to obj,
		 *                                       if set to null, the
		 *                                       "data-GENTICS-..." attributes
		 *                                       are removed.
		 */
		markObject: function (obj, item) {
			if (!obj) {
				return;
			}

			var manager = this, $obj = $(obj);

			if (item) {
				var repository = manager.getRepository(item.repositoryId);
				if (repository) {
					// only mark the object if something changed
					if ($obj.attr('data-gentics-aloha-repository') !== item.repositoryId ||
							$obj.attr('data-gentics-aloha-object-id') !== item.id) {
						$obj.attr({
							'data-gentics-aloha-repository': item.repositoryId,
							'data-gentics-aloha-object-id': item.id
						});
						repository.markObject(obj, item);
					}
				} else {
					Console.error(manager, 'Trying to apply a repository "'
							+ item.name
							+ '" to an object, but item has no repositoryId.');
				}
			} else {
				$obj.removeAttr('data-gentics-aloha-repository')
				    .removeAttr('data-gentics-aloha-object-id');
			}
		},

		/**
		 * Get the object for which the given DOM object is marked from the
		 * repository.
		 *
		 * Will initialize the item cache (per repository) if not already done.
		 *
		 * @param {HTMLElement} element DOM object which probably is marked.
		 * @param {function} callback
		 */
		getObject: function (element, callback) {
			var manager = this;
			var $element = $(element);
			var itemId = $element.attr('data-gentics-aloha-object-id');
			var repositoryId = $element.attr('data-gentics-aloha-repository');
			var repository = manager.getRepository(repositoryId);

			if (repository && itemId) {
				if (!manager.itemCache) {
					manager.itemCache = [];
				}

				var cache = manager.itemCache[repositoryId];
				if (!cache) {
					cache = manager.itemCache[repositoryId] = [];
				}

				if (cache[itemId]) {
					callback([cache[itemId]]);
				} else {
					repository.getObjectById(itemId, function (items) {
						cache[itemId] = items[0];
						callback(items);
					});
				}
			}
		},

		/**
		 * Mark a folder as opened.
		 *
		 * Called by a repository client (eg: repository browser) when a folder
		 * is opened.
		 *
		 * @param {object|Folder} folder Object with property repositoryId.
		 */
		folderOpened: function (folder) {
			var repository = this.getRepository(folder.repositoryId);
			if (typeof repository.folderOpened === 'function') {
				repository.folderOpened(folder);
			}
		},

		/**
		 * Mark a folder as closed.
		 *
		 * Called by a repository client (eg: repository browser) when a folder
		 * is closed.
		 *
		 * @param {object|Folder} folder Object with property repositoryId.
		 */
		folderClosed: function (folder) {
			var repository = this.getRepository(folder.repositoryId);
			if (typeof repository.folderClosed === 'function') {
				repository.folderClosed(folder);
			}
		},

		/**
		 * Mark a folder as selected.
		 *
		 * Called by a repository client (eg: repository browser) when a folder
		 * is selected.
		 *
		 * @param {object|Folder} folder Object with property repositoryId.
		 */
		folderSelected: function (folder) {
			var repository = this.getRepository(folder.repositoryId);
			if (typeof repository.folderSelected === 'function') {
				repository.folderSelected(folder);
			}
		},

		/**
		 * Retrieve the selected folder.
		 *
		 * @return {Folder} Selected folder or null if it cannot be found.
		 */
		getSelectedFolder: function () {
			var repositories = filter(this.repositories,
					repositoryFilters.getSelectedFolder);
			var i;
			var selected;
			for (i = 0; i < repositories.length; i++) {
				selected = repositories[i].getSelectedFolder();
				if (selected) {
					return selected;
				}
			}
			return null;
		},

		/**
		 * Human readable representation of repository manager.
		 *
		 * @return {string}
		 */
		toString: function () {
			return 'repositorymanager';
		}

	});

	Aloha.RepositoryManager = new RepositoryManager();

	return Aloha.RepositoryManager;
});

/* repository.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('aloha/repository',[
	'aloha/core',
	'util/class',
	'aloha/repositorymanager'
], function (
	Aloha,
	Class,
	RepositoryManager
) {
	"use strict";

	//	var
	//		$ = jQuery,
	//		GENTICS = window.GENTICS,
	//		Aloha = window.Aloha,
	//		Class = window.Class;

	/**
	 * Abstract Repository Class. Implement that class for your own repository.
	 * @namespace Aloha.Repository
	 * @class Repository
	 * @constructor
	 * @param {String} repositoryId unique repository identifier
	 * @param {String} repositoryName (optional) is the displyed name for this Repository instance
	 */
	var AbstractRepository = Class.extend({
		_constructor: function (repositoryId, repositoryName) {
			/**
			 * @property repositoryId is the unique Id for this Repository instance
			 */
			this.repositoryId = repositoryId;

			/**
			 * contains the repository's settings object
			 * @property settings {Object} the repository's settings stored in an object
			 */
			this.settings = {};

			/**
			 * @property repositoryName is the name for this Repository instance
			 */
			this.repositoryName = repositoryName || repositoryId;

			RepositoryManager.register(this);
		},

		/**
		 * Init method of the repository. Called from Aloha Core to initialize this repository
		 * @return void
		 * @hide
		 */
		init: function () {},

		/**
	 * Searches a repository for object items matching queryString if none found returns null.
	 * The returned object items must be an array of Aloha.Repository.Object
	 *
	<pre><code>
	// simple delicious implementation
	Aloha.Repositories.myRepository.query = function (params, callback) {

		// make local var of this to use in ajax function
		var that = this;

		// handle each word as tag
		var tags = p.queryString.split(' ');

		// if we have a query and no tag matching return
		if ( p.queryString && tags.length == 0 ) {
			callback.call( that, []);
			return;
		}

		// no handling of objectTypeFilter, filter, inFolderId, etc...
		// in real implementation you should handle all parameters

		jQuery.ajax({ type: "GET",
			dataType: "jsonp",
			url: 'http://feeds.delicious.com/v2/json/' + tags.join('+'),
			success: function(data) {
				var items = [];
				// convert data to Aloha objects
				for (var i = 0; i < data.length; i++) {
					if (typeof data[i] != 'function' ) {
						items.push(new Aloha.Repository.Document ({
							id: data[i].u,
							name: data[i].d,
							repositoryId: that.repositoryId,
							type: 'website',
							url: data[i].u
						}));
					}
				}
				callback.call( that, items);
			}
		});
	};
	</code></pre>
	 *
	 * @param {object} params object with properties
	 * <div class="mdetail-params"><ul>
	 * <li><code> queryString</code> :  String <div class="sub-desc">The query string for full text search</div></li>
	 * <li><code> objectTypeFilter</code> : array  (optional) <div class="sub-desc">Object types that will be returned.</div></li>
	 * <li><code> filter</code> : array (optional) <div class="sub-desc">Attributes that will be returned.</div></li>
	 * <li><code> inFolderId</code> : boolean  (optional) <div class="sub-desc">This is indicates whether or not a candidate object is a child-object of the folder object identified by the given inFolderId (objectId).</div></li>
	 * <li><code> inTreeId</code> : boolean  (optional) <div class="sub-desc">This indicates whether or not a candidate object is a descendant-object of the folder object identified by the given inTreeId (objectId).</div></li>
	 * <li><code> orderBy</code> : array  (optional) <div class="sub-desc">ex. [{lastModificationDate:’DESC’, name:’ASC’}]</div></li>
	 * <li><code> maxItems</code> : Integer  (optional) <div class="sub-desc">number items to return as result</div></li>
	 * <li><code> skipCount</code> : Integer  (optional) <div class="sub-desc">This is tricky in a merged multi repository scenario</div></li>
	 * <li><code> renditionFilter</code> : array  (optional) <div class="sub-desc">Instead of termlist an array of kind or mimetype is expected. If null or array.length == 0 all renditions are returned. See http://docs.oasis-open.org/cmis/CMIS/v1.0/cd04/cmis-spec-v1.0.html#_Ref237323310 for renditionFilter</div></li>
	 * </ul></div>
	 * @param {function} callback this method must be called with all result items</div></li>
	 */
		query: null,
		/*
	query: function( params, callback ) {
		if (typeof callback === 'function') {
			callback([]);
		}
	},
	*/

		/**
		 * Returns all children of a given motherId.
		 *
		 * @param {object} params object with properties
		 * <div class="mdetail-params"><ul>
		 * <li><code> objectTypeFilter</code> : array  (optional) <div class="sub-desc">Object types that will be returned.</div></li>
		 * <li><code> filter</code> : array  (optional) <div class="sub-desc">Attributes that will be returned.</div></li>
		 * <li><code> inFolderId</code> : boolean  (optional) <div class="sub-desc">This indicates whether or not a candidate object is a child-object of the folder object identified by the given inFolderId (objectId).</div></li>
		 * <li><code> orderBy</code> : array  (optional) <div class="sub-desc">ex. [{lastModificationDate:’DESC’, name:’ASC’}]</div></li>
		 * <li><code> maxItems</code> : Integer  (optional) <div class="sub-desc">number items to return as result</div></li>
		 * <li><code> skipCount</code> : Integer  (optional) <div class="sub-desc">This is tricky in a merged multi repository scenario</div></li>
		 * <li><code> renditionFilter</code> : array  (optional) <div class="sub-desc">Instead of termlist an array of kind or mimetype is expected. If null or array.length == 0 all renditions are returned. See http://docs.oasis-open.org/cmis/CMIS/v1.0/cd04/cmis-spec-v1.0.html#_Ref237323310 for renditionFilter</div></li>
		 * </ul></div>
		 * @param {function} callback this method must be called with all result items
		 */
		getChildren: null,
		/*
	getChildren: function( params, callback ) {
		if (typeof callback === 'function') {
			callback([]);
		}
	},
	*/

		/**
	 * Make the given jQuery object (representing an object marked as object of this type)
	 * clean. All attributes needed for handling should be removed.
	 *
	<pre><code>
	Aloha.Repositories.myRepository.makeClean = function (obj) {
		obj.removeAttr('data-myRepository-name');
	};
	</code></pre>
	 * @param {jQuery} obj jQuery object to make clean
	 * @return void
	 */
		makeClean: function (obj) {},

		/**
	 * This method will be called when a user chooses an item from a repository and wants
	 * to insert this item in his content.
	 * Mark or modify an object as needed by that repository for handling, processing or identification.
	 * Objects can be any DOM object as A, SPAN, ABBR, etc. or
	 * special objects such as aloha-aloha_block elements.
	 * (see http://dev.w3.org/html5/spec/elements.html#embedding-custom-non-visible-data)
	 *
	<pre><code>
	Aloha.Repositories.myRepository.markObject = function (obj, resourceItem) {
		obj.attr('data-myRepository-name').text(resourceItem.name);
	};
	</code></pre>
	 *
	 *
	 * @param obj jQuery target object to which the repositoryItem will be applied
	 * @param repositoryItem The selected item. A class constructed from Document or Folder.
	 * @return void
	 */
		markObject: function (obj, repositoryItem) {},

		/**
		 * Set a template for rendering objects of this repository
		 * @param {String} template
		 * @return void
		 * @method
		 */
		setTemplate: function (template) {
			if (template) {
				this.template = template;
			} else {
				this.template = null;
			}
		},

		/**
		 * Checks whether the repository has a template
		 * @return {boolean} true when the repository has a template, false if not
		 * @method
		 */
		hasTemplate: function () {
			return this.template ? true : false;
		},

		/**
		 * Get the parsed template
		 * @return {Object} parsed template
		 * @method
		 */
		getTemplate: function () {
			return this.template;
		},

		/**
		 * Get the repositoryItem with given id
		 * @param itemId {String} id of the repository item to fetch
		 * @param callback {function} callback function
		 * @return {Aloha.Repository.Object} item with given id
		 */
		getObjectById: function (itemId, callback) {
			return true;
		}
	});

	// expose the AbstractRepository
	Aloha.AbstractRepository = AbstractRepository;

	return AbstractRepository;
});

/* aloha.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
(function (global) {
	'use strict';

	/**
	 * Initialization facilities.
	 */
	var Initialization = {

		/**
		 * A list of all stages that are passed into the Initialization.start()
		 * function.  Unless failure happens, every single one of these phases
		 * will be passed.
		 *
		 * @type {Array.<object>}
		 */
		phases: [],

		/**
		 * Completed phases.
		 *
		 * This array grows as the initialization process progresses through
		 * the initialization phases.  Each phases which is completed is pushed
		 * to the bottom of the list.
		 *
		 * @type {Array.<object>}
		 */
		completed: [],

		/**
		 * Starts the initialization phases.
		 *
		 * @param {object.<object>} phases Initialization phases.
		 * @param {function} callback Callback function to be invoked when
		 *                            initialization is completed.
		 */
		start: function (phases, callback) {
			Initialization.phases = Initialization.phases.concat(phases);
			Initialization.proceed(0, phases, callback);
		},

		/**
		 * Proceeds to next initialization phase.
		 *
		 * @param {number} index The current initialization phase, as an index
		 *                       into `phases'.
		 * @param {Array.<object>} phases
		 * @param {function=} callback Callback function to invoke at the end
		 *                             of the initialization phases.
		 */
		proceed: function (index, phases, callback) {
			if (index < phases.length) {
				var phase = phases[index];
				var next = function () {
					Initialization.proceed(++index, phases, callback);
				};
				var event = function () {
					Initialization.completed.push(phase);
					if (phase.event) {
						Aloha.trigger(phase.event);
					}
				};
				if (phase.fn) {
					phase.fn(event, next);
				} else {
					event();
					next();
				}
			} else if (callback) {
				callback();
			}
		},

		/**
		 * Retreives an phase object whose `event' property string matches the
		 * given event name.
		 *
		 * @param {string} event The event name.
		 * @return {object} A phase object or null.
		 */
		getPhaseByEvent: function (event) {
			var i;
			for (i = 0; i < Initialization.phases.length; i++) {
				if (event === Initialization.phases[i].event) {
					return Initialization.phases[i];
				}
			}
			return null;
		},

		/**
		 * Given and the name of an event, returns a corresponding readiness
		 * state concerning what should be done with that event at the current
		 * stage in the initialization phase.
		 *
		 * @param {string} event Name of event.
		 * @return {string} One of either "immediate", "deferred", or "noraml".
		 */
		getReadiness: function (event) {
			var i;
			for (i = 0; i < Initialization.completed.length; i++) {
				if (event === Initialization.completed[i].event) {
					return 'immediate';
				}
			}
			return Initialization.getPhaseByEvent(event) ? 'deferred'
			                                             : 'normal';
		}
	};

	/**
	 * Gets the configuration for loading Aloha.
	 *
	 * If Aloha.settings.baseUrl is not specified, it will be taken from
	 * the first script element that has a data-aloha-plugins attribute,
	 * or, if there is no such script element, the first script element
	 * of which the src attribute matches /\/aloha.js$/.
	 *
	 * If Aloha.settings.plugins.load is not specified, it will be taken
	 * from the data-aloha-plugins attribute from the first script
	 * element carrying this attribute.
	 *
	 * @return
	 *       A map with two properties:
	 *       baseUrl - the path to aloha.js (this file).
	 *       plugins - an array of plugins to load.
	 */
	function getLoadConfig() {
		var scripts,
		    script,
		    plugins = Aloha.settings.plugins && Aloha.settings.plugins.load,
		    baseUrl = Aloha.settings.baseUrl,
		    pluginsAttr,
		    regexAlohaJs = /\/aloha.js(\?\S*)?$/,
            regexStripFilename = /\/[^\/]*\.js$/,
		    i;

		if (!plugins || !baseUrl) {
			scripts = document.getElementsByTagName('script');
			for (i = 0; i < scripts.length; i++) {
				script = scripts[i];
				pluginsAttr = script.getAttribute('data-aloha-plugins');
				if (null != pluginsAttr) {
					if (!plugins) {
						plugins = pluginsAttr;
					}
					if (!baseUrl) {
						baseUrl = script.src.replace(regexStripFilename, '');
					}
					break;
				}
				if (!baseUrl && regexAlohaJs.test(script.src)) {
					baseUrl = script.src.replace(regexAlohaJs, '');
				}
			}
		}

		if (typeof plugins === 'string' && plugins !== '') {
			plugins = plugins.replace(/\s+/g, '').split(',');
		}

		return {
			baseUrl: baseUrl,
			plugins: plugins || []
		};
	}

	function isDeferInit() {
		var scripts = document.getElementsByTagName('script');
		for (var i = 0; i < scripts.length; i++) {
			var attr = scripts[i].getAttribute('data-aloha-defer-init');
			if ("true" === attr) {
				return true;
			}
		}
		return false;
	}

	/**
	 * Extends the given map with plugin specific requirejs path configuration.
	 *
	 * plugin-name: bundle-path/plugin-name/lib
	 * plugin-name/nls: bundle-path/plugin-name/nls
	 * plugin-name/css: bundle-path/plugin-name/css
	 * plugin-name/vendor: bundle-path/plugin-name/vendor
	 * plugin-name/res: bundle-path/plugin-name/res
	 */
	function mergePluginPaths(paths, bundlePath, pluginName) {
		var resourceFolders = ['nls', 'css', 'vendor', 'res'],
		    resourceFolder,
		    i;
		paths[pluginName] = bundlePath + '/' + pluginName + '/lib';
		for (i = 0; i < resourceFolders.length; i++) {
			var resourceFolder = resourceFolders[i];
			paths[pluginName + '/' + resourceFolder]
				= bundlePath + '/' + pluginName + '/' + resourceFolder;
		}
	}

	/**
	 * Gets the configuration for loading the given plugins.
	 *
	 * The bundle-path for each given plugin is determined in the following manner:
	 * Aloha.settings.basePath + (Aloha.settings.bundles[bundleName] || "../plugins/bundle-name")
	 *
	 * @param plugins
	 *        An array of plugins to get the configuration for in the
	 *        form "bundle-name/plugin-name"
	 * @return
	 *        A map with the following properties:
	 *        paths - requirejs path configuration for each plugin (mergePluginPaths())
	 *        entryPoints - an array of requirejs entry points ("link/link-plugin")
	 *        baseUrlByName - ("link" => "bundle-path/link")
	 *        names - an array of plugin names (the same as the given
	 *                array with the bundle-name stripped)
	 */
	function getPluginLoadConfig(plugins) {
		var paths = {},
		    entryPoints = [],
		    names = [],
		    baseUrlByName = {},
		    map = {},
		    parts,
		    bundleName,
		    pluginName,
		    basePath = Aloha.settings.basePath || '',
		    bundlePath,
		    bundles = Aloha.settings.bundles || {},
		    i;
		for (i = 0; i < plugins.length; i++) {
			parts = plugins[i].split('/');
			bundleName = parts[0];
			pluginName = parts[1];
			if (bundles[bundleName]) {
				bundlePath = basePath + bundles[bundleName];
			} else {
				bundlePath = basePath + '../plugins/' + bundleName;
			}
			mergePluginPaths(paths, bundlePath, pluginName);
			baseUrlByName[pluginName] = bundlePath + '/' + pluginName;
			entryPoints.push(pluginName + '/' + pluginName + '-plugin');
			map[pluginName] = {'jquery': 'aloha/jquery'};
		}
		return {
			paths: paths,
			entryPoints: entryPoints,
			baseUrlByName: baseUrlByName,
			names: names,
			map: map
		};
	}

	/**
	 * Merges properites of all given arguments into a new one.
	 * Duplicate properties will be "seived" out.
	 * Works in a similar way to jQuery.extend.
	 * Necessary because we must not assume that jquery was already
	 * loaded.
	 */
	function mergeObjects () {
		var clone = {};
		var objects = Array.prototype.slice.call(arguments);
		var name;
		var i;
		var obj;
		for (i = 0; i < objects.length; i++) {
			obj = objects[i];
			for (name in obj) {
				if (obj.hasOwnProperty(name)) {
					clone[name] = objects[i][name];
				}
			}
		}
		return clone;
	}

	function createDefine(name, module) {
		define(name, function () {
			return module;
		});
	}

	function load() {
		Aloha.features = {};
		Aloha.defaults = {};
		Aloha.settings = Aloha.settings || {};
		Aloha.initialize = Initialization.start;

		var loadConfig = getLoadConfig();
		var pluginConfig = getPluginLoadConfig(loadConfig.plugins);

		Aloha.settings.baseUrl = loadConfig.baseUrl;
		Aloha.settings.loadedPlugins = pluginConfig.names;
		Aloha.settings._pluginBaseUrlByName = pluginConfig.baseUrlByName;

		var coreMap = {
			'aloha':             {'jquery': 'aloha/jquery'},
			'aloha/jquery':      {'jquery': 'jquery'}, // avoid a circular dependency
			'jqueryui':          {'jquery': 'aloha/jquery'},
			'vendor':            {'jquery': 'aloha/jquery'},
			'util':              {'jquery': 'aloha/jquery'},
			'RepositoryBrowser': {'jquery': 'aloha/jquery'},
			'jstree':            {'jquery': 'aloha/jquery'},
			'jqgrid':            {'jquery': 'aloha/jquery'},
			'jqgrid-locale-en':  {'jquery': 'aloha/jquery'},
			'jqgrid-locale-de':  {'jquery': 'aloha/jquery'},
			'jquery-layout':     {'jquery': 'aloha/jquery'}
		};

		/**
		 * Map the 'jquery' module to the 'aloha/jquery' module. This
		 * enforces Aloha modules to always use aloha/jquery instead of
		 * jquery. One could also just write
		 * define(['aloha/jquery']... to require Aloha's jquery, but
		 * this is problematic in vendor files that don't know anything
		 * about Aloha. Each key in the map is either the module name,
		 * or the firs part of the module name. For example, the mapping
		 * under the key 'aloha' will take effect for all modules with
		 * names like aloha/xxx.  When a new 'paths' entry is added
		 * (browserPaths or other), an entry should also be added the
		 * moduleMap to rename the jquery dependency.
		 * See also define('aloha/jquery', ... below.
		 */
		var moduleMap = mergeObjects(coreMap, pluginConfig.map)

		var defaultConfig = {
			context: 'aloha',
			config: {
				i18n: {
					locale: Aloha.settings.locale || 'en'
				}
			},
			baseUrl: Aloha.settings.baseUrl,
			map: moduleMap
		};

		var defaultPaths = {
			jquery: 'vendor/jquery-3.7.0',
			jqueryui: 'vendor/jquery-ui-1.13.2',
		};

		var browserPaths = {
			PubSub: 'vendor/pubsub/js/pubsub-unminified',
			'Class': 'vendor/class',
			RepositoryBrowser: 'vendor/repository-browser/js/repository-browser-unminified',
			jstree: 'vendor/jquery.jstree',              // Mutates jquery
			jqgrid: 'vendor/jquery.jqgrid',              // Mutates jquery
			'jquery-layout': 'vendor/jquery.layout',     // Mutates jquery
			'jqgrid-locale-en': 'vendor/grid.locale.en', // Mutates jqgrid
			'jqgrid-locale-de': 'vendor/grid.locale.de', // Mutates jqgrid
			'repository-browser-i18n-de': 'vendor/repository-browser/js/repository-browser-unminified',
			'repository-browser-i18n-en': 'vendor/repository-browser/js/repository-browser-unminified'
		};

		var requireConfig = mergeObjects(
			defaultConfig,
			Aloha.settings.requireConfig
		);

		requireConfig.paths = mergeObjects(
			defaultPaths,
			browserPaths,
			pluginConfig.paths,
			requireConfig.paths
		);

		// Create define() wrappers that will provide the initialized objects
		// that the user passes into Aloha via require() calls.
		var predefinedModules = Aloha.settings.predefinedModules || {};

		if (Aloha.settings.jQuery) {
			predefinedModules.jquery = Aloha.settings.jQuery;
		}

		var moduleName;
		for (moduleName in predefinedModules) if (predefinedModules.hasOwnProperty(moduleName)) {
			createDefine(moduleName, predefinedModules[moduleName]);
			delete requireConfig.paths[moduleName];
		}

		// Configure require and expose the Aloha.require.
		var alohaRequire = require.config(requireConfig);

		Aloha.require = function (callback) {
			// Pass the Aloha object to the given callback.
			if (1 === arguments.length && typeof callback === 'function') {
				return alohaRequire(['aloha'], callback);
			}
			return alohaRequire.apply(this, arguments);
		};

		/**
		 *
		 * @param {string} event Name of event
		 * @param {function} fn Event handler
		 */
		Aloha.bind = function (event, fn) {
			Aloha.require(['aloha/jquery'], function ($) {
				// Because we will only need to load jQuery once
				Aloha.bind = function (event, fn) {
					switch(Initialization.getReadiness(event)) {
					case 'deferred':
						var phase = Initialization.getPhaseByEvent(event);
						if (!phase.deferred) {
							phase.deferred = $.Deferred();
						}
						phase.deferred.done(fn);
						break;
					case 'immediate':
						fn();
						break;
					case 'normal':
						$(Aloha).on(event, fn);
						break;
					default:
						throw 'Unknown readiness';
					}
					return this;
				};
				Aloha.bind(event, fn);
			});
			return this;
		};

		Aloha.trigger = function (type, data) {
			Aloha.require(['aloha/jquery'], function ($) {
				Aloha.trigger = function (type, data) {
					var phase = Initialization.getPhaseByEvent(type);
					if (phase) {
						if (phase.deferred) {
							$(phase.deferred.resolve);
							phase.deferred = null;
						}
					}
					$(Aloha).trigger(type, data);
					return this;
				};
				Aloha.trigger(type, data);
			});
			return this;
		};

		/**
		 * Unbinds a bound event handler from Aloha Editor.
		 * Passing the handler function used to bind the event is highly recommended,
		 * all bound handlers will be de-registered otherwise.
		 *
		 * @param {string}   event    The event name.
		 * @param {function} handler  Optional: An event handler callback function
		 */
		Aloha.unbind = function (typeOrEvent, handler) {
			Aloha.require(['aloha/jquery'], function ($) {
				$(Aloha).unbind(typeOrEvent, handler);
			});
		};

		Aloha.ready = function (fn) {
			this.bind('aloha-ready', fn);
			return this;
		};

		/**
		 * This makes sure that all Aloha modules will receive the same jQuery.
		 *
		 * This is a workaround for when a user includes his own
		 * jQuery _after_ aloha.js has been loaded.
		 *
		 * If multiple 'jquery's are included in the page, each version
		 * will make its own call to define(), and depending on when an
		 * Aloha module is loaded, it may receive a different
		 * 'jquery'. However, 'aloha/jquery' will not be redefined and
		 * will therefore point always to only one particular version.
		 *
		 * !!Important!! to be certain that 'aloha/jquery' points to
		 * the jQuery intended for Aloha, it can't be loaded
		 * dynamically, because if a user loads his own jQuery after
		 * aloha.js, then there is no way to tell whether it is the
		 * user's jQuery or Aloha's jQuery that has finished
		 * loading. Instead, jQuery must be loaded before aloha.js and
		 * passed in to us.
		 */
		var jQueryThatWasPassedToUs = Aloha.settings.jQuery;
		define('aloha/jquery', ['jquery'], function ($) {
			// We prefer Aloha.settings.jQuery, since a dynamically loaded
			// jQuery may have been redefined by a user's jQuery.
			return jQueryThatWasPassedToUs || $;
		});

		// Initialize this early so that the user doesn't have to use
		// Aloha.ready().
		Aloha.jQuery = jQueryThatWasPassedToUs;

		define('aloha', [
			'aloha/jquery',
			'util/json2',
			'aloha/rangy-core',
			'util/class',
			'util/lang',
			'util/range',
			'util/dom',
			'aloha/core',
			'aloha/editable',
			'aloha/console',
			'aloha/markup',
			'aloha/plugin',
			'aloha/selection',
			'aloha/command',
			'aloha/jquery.aloha',
			'aloha/sidebar',
			'util/position',
			'aloha/repositorymanager',
			'aloha/repository',
			'aloha/repositoryobjects',
			'aloha/contenthandlermanager'
		], function($) {
			Aloha.features.jquery = true;

			// Set it again in case jQuery was loaded asynchronously.
			Aloha.jQuery = $;

			// Some core files provide default settings in Aloha.defaults.
			Aloha.settings = $.extendObjects(true, {}, Aloha.defaults,
					Aloha.settings);

			return Aloha;
		});

		// TODO aloha should not make the require call itself.  Instead, user
		// code should require and initialize aloha.
		require(requireConfig, ['aloha', 'aloha/jquery'], function (Aloha, $) {
			require(requireConfig, pluginConfig.entryPoints, function () {
				$(function () {
					// Rangy must be initialized only after the body is
					// available since it accesses the body element during
					// initialization.
					window.rangy.init();

					// The same for Aloha, but probably only because it depends
					// on rangy.
					Aloha.init();
				});
			});
		});
	} // end load()

	global.Aloha = global.Aloha || {};
	global.Aloha.settings = global.Aloha.settings || {};

	// set the locale in the global __DEPS__ here to enable i18n of dependencies
	// like repository browser
	global.__DEPS__ = global.__DEPS__ || {};
	global.__DEPS__.lang = global.Aloha.settings.locale || 'en';
	if (global.Aloha.deferInit || isDeferInit()) {
		global.Aloha.deferInit = load;
	} else {
		// Unless init is deferred above, aloha mus be loaded
		// immediately in the development version, but later in the
		// compiled version. The reason loading must be delayed in the
		// compiled version is that the "include" directive in the r.js
		// build profile, which lists the plugins that will be compiled
		// into aloha.js, will include the plugins *after* this
		// file. Since the require() call that loads the plugins is in
		// this file, it will not see any of the plugin's defines that
		// come after this file. The call to Aloha._load is only made in
		// compiled mode in closure-end.frag. The call to load() below
		// is only made in development mode because the excludeStart and
		// excludeEnd r.js pragmas will exclude everything inbetween in
		// the compiled version.
		// TODO ideally the bootstrap file should not make the require
		//      call at all. Instead, user code should require and
		//      initialize aloha.
		Aloha._load = load;
			}
}(window));

/**
 * The context module provides functions to get at the context element
 * for widgets.
 *
 * Many widgets are created dynamically and append themselves to the
 * body so that they can be shown to the user. The context element is
 * just a div appended to the body, that provides a common parent for
 * these widget elements.
 * 
 * Appending widget elements to the context element provides two benefits:
 * 1 - it would be cleaner for all aloha-specific elements to be
 *     appended to one common parent.
 * 2 - all css rules should have a .aloha context class, and the common
 *     parent provides this class.
 */
define('ui/context',[
	'aloha',
	'jquery',
	'util/class'
], function (
	Aloha,
	$,
	Class
) {
	'use strict';

	var id = 'aloha-ui-context',
	    selector = '#' + id,
	    element;

	// There is just a single context element in the page
	element = $(selector);
	if (!element.length) {
		element = $('<div>', {'class': 'aloha', 'id': id});
		// In the built aloha.js, init will happend before the body has
		// finished loading, so we have to defer appending the element.
		$(function () { 
			element.appendTo('body');
		});
	}

	var Context =  Class.extend({
		surfaces: [],
		containers: []
	});

	// static fields

	$.extend(Context, {
		selector: selector,
		element: element
	});

	return Context;
});

define('ui/scopes',[
	'PubSub'
], function (
	PubSub
) {
	'use strict';

	/**
	 * Mapping of which scopes are required for another to exist and which should be considered active.
	 * When a scope is changed, it will resolve all "depended" scopes and mark them active.
	 *
	 * Example:
	 * ```
	 * ROOT = []
	 * GLOBAL = []
	 * A = [ROOT]
	 * B = [A]
	 * C = [GLOBAL]
	 * D = [B, C]
	 * 
	 * > enterScope(A)
	 * < [A, ROOT]
	 * 
	 * > setScope(ROOT) // Reset
	 * > enterScope(B)
	 * < [B, A, ROOT]
	 * 
	 * > setScope(ROOT) // Reset
	 * > enterScope(D)
	 * < [D, B, A, ROOT, C, GLOBAL]
	 * 
	 * > leaveScope(A)
	 * < [ROOT, C, GLOBAL]
	 * ```
	 * 
	 * @type {object.<string, Set.<string>>}
	 */
	var DEPENDENCY_MAPPING = {};

	var SCOPE_EMPTY = 'Aloha.empty';
	var SCOPE_GLOBAL = 'Aloha.global';
	var SCOPE_CONTINUOUS_TEXT = 'Aloha.continuoustext';

	var MARKER_TEMP = Symbol('temporary-scope');

	DEPENDENCY_MAPPING[SCOPE_EMPTY] = new Set();
	DEPENDENCY_MAPPING[SCOPE_GLOBAL] = new Set([SCOPE_EMPTY]);
	DEPENDENCY_MAPPING[SCOPE_CONTINUOUS_TEXT] = new Set([SCOPE_GLOBAL]);

	var RESERVED_SCOPES = [SCOPE_EMPTY, SCOPE_GLOBAL, SCOPE_CONTINUOUS_TEXT];
	var DEFAULT_SCOPE = SCOPE_EMPTY;

	var activeScopes = new Set([SCOPE_EMPTY]);
	var resolvedActiveScopes = new Set([SCOPE_EMPTY]);

	/**
	 * Simple debounce function to prevent spam/unnceccary changes.
	 * @param {function} fn Function call which should be debounced
	 * @param {number} time How long the debounce time in `ms` should be.
	 */
	function debounce(fn, time) {
		var timer = -1;
		var bound = this;

		function schedule() {
			var args = Array.from(arguments);
			if (timer !== -1) {
				window.clearTimeout(timer);
			}
			timer = window.setTimeout(function() {
				fn.apply(bound, args);
			}, time);
		}

		return schedule;
	}

	function setIsDifferent(a, b) {
		if (a.size !== b.size) {
			return true;
		}

		var values = a.values();
		var hasDiff = false;
		for (var i = 0; i < a.size; i++) {
			if (!b.has(values.next().value)) {
				hasDiff = true;
				break;
			}
		}

		return hasDiff;
	}

	PubSub.sub('aloha.editable.activated', function() {
		Scopes.enterScope(SCOPE_CONTINUOUS_TEXT);
	});

	/**
	 * Utility yo manage the scope/functionality/visibility of UI Elements.
	 * A scope is simply a namespace, to determine where the selection/interaction
	 * is currently at.
	 */
	var Scopes = {
		SCOPE_EMPTY: SCOPE_EMPTY,
		SCOPE_GLOBAL: SCOPE_GLOBAL,
		SCOPE_CONTINUOUS_TEXT: SCOPE_CONTINUOUS_TEXT,

		/**
		 * Attempts to register the provided scope with it's dependencies.
		 *
		 * @param {string} scope The name of the scope attempting to register
		 * @param {Array.<string>=} dependencies An optional list of "dependencies"/other scopes which should be active, when `scope` is entered.
		 * @returns {boolean} If it was successfully registered.
		 */
		registerScope: function (scope, dependencies) {
			if (typeof scope !== 'string') {
				throw new Error('Scope has to be a string');
			}
			if (RESERVED_SCOPES.includes(scope)) {
				throw new Error('You may not override reserved scopes (' + RESERVED_SCOPES.join(',') + ')');
			}
			if (Array.isArray(dependencies)) {
				for (var i = 0; i < dependencies.length; i++) {
					// Cannot register a dependency which isn't registered itself.
					if (!DEPENDENCY_MAPPING.hasOwnProperty(dependencies[i])) {
						return false;
					}
				}
			} else {
				dependencies = [];
			}

			DEPENDENCY_MAPPING[scope] = new Set(dependencies);

			return true;
		},

		/**
		 * Attempts to remove the specified scope.
		 * If the scope is a depency for another scope, the removal will fail, unless `force` is set to `true`.
		 * When `force` is enabled, it'll remove the scope from the other scope's dependency list.
		 *
		 * @param {string} scope The scope to be removed
		 * @param {boolean=} force If this scope is registered as a dependency in other scopes, if it should be removed instead to fail.
		 * @returns {boolean} If it was able to remove the scope.
		 */
		removeScope: function (scope, force) {
			if (!DEPENDENCY_MAPPING.hasOwnProperty(scope)) {
				return false;
			}
			if (RESERVED_SCOPES.includes(scope)) {
				throw new Error('You may not remove reserved scopes (' + RESERVED_SCOPES.join(',') + ')');
			}

			var entries = Object.entries();
			for (var i = 0; entries.length; i++) {
				if (DEPENDENCY_MAPPING[entries[0]].has(scope)) {
					if (!force) {
						return false;
					}
					DEPENDENCY_MAPPING[entries[0]].delete(scope);
				}
			}

			delete DEPENDENCY_MAPPING[scope];

			return true;
		},

		/**
		 * Helper function to resolve all active scopes.
		 * May contain duplicates, so removal of these should be done on the initial call,
		 * as this function is being called recursively.
		 *
		 * @param {string} scope Scope to resolve all scopes from
		 *
		 * @returns {Set.<string>} All active scopes.
		 */
		_resolveScopes: function (scope) {
			var deps = DEPENDENCY_MAPPING[scope];
			if (deps == null || deps.size === 0 || deps.has(MARKER_TEMP)) {
				return new Set();
			}

			var out = new Set();
			deps.forEach(function (el) {
				out.add(el);
				Scopes._resolveScopes(el).forEach(function (resolved) {
					out.add(resolved);
				});
			});

			return out;
		},		

		/**
	 	 * Helper function which does diff check and triggers the proper event.
		 * @param {Set.<string>} newActiveScopes The new scopes to apply
		 * @returns {boolean} If the new scopes have been applied (Only false if they are the same already).
		 */
		_modifyState: debounce(function(newActiveScopes) {
			var previousScopes = Array.from(activeScopes);
			var previousScopeList = Array.from(resolvedActiveScopes);

			activeScopes = newActiveScopes;
			resolvedActiveScopes = new Set();
			activeScopes.forEach(function (toResolve) {
				resolvedActiveScopes.add(toResolve);
				Scopes._resolveScopes(toResolve).forEach(function (resolved) {
					resolvedActiveScopes.add(resolved);
				});
			});

			PubSub.pub('aloha.ui.scope.change', {
				previousScopes: previousScopes,
				previousScopeList: previousScopeList,
				activeScopes: Array.from(activeScopes),
				activeScopeList: Array.from(resolvedActiveScopes),
			});
		}, 10),

		/**
		 * Attempts to enter the specified scope.
		 * If the scope isn't registered yet, it'll simply return `false`.
		 * Will not trigger a new change if the current scope is the same.
		 *
		 * @param {string} scope The scope to enter
		 * @param {boolean=} temp If this is a temporary scope and should be removed once it's being left.
		 *
		 * @returns {boolean} If the scope is now active.
		 */
		enterScope: function (scope, temp) {
			if (!DEPENDENCY_MAPPING.hasOwnProperty(scope)) {
				if (!temp) {
					return false;
				}
				DEPENDENCY_MAPPING[scope] = new Set([MARKER_TEMP]);
			}
			if (activeScopes.has(scope)) {
				return true;
			}

			var newScopes = structuredClone(activeScopes);
			newScopes.add(scope);

			if (!setIsDifferent(newScopes, activeScopes)) {
				return false;
			}

			return Scopes._modifyState(newScopes);
		},

		/**
		 * Attempts to leave the specified scope.
		 *
		 * @param {string} scope The scope to leave.
		 *
		 * @returns {boolean} If the scope has been successfully left.
		 */
		leaveScope: function (scope) {
			// You cannot leave the empty/default scope or undefined ones.
			if (!DEPENDENCY_MAPPING.hasOwnProperty(scope) || scope === SCOPE_EMPTY) {
				return false;
			}
			// Special check for when we would try to leave the default scope, which would do nothing.
			if (activeScopes.size === 1 && activeScopes.has(DEFAULT_SCOPE) && scope === DEFAULT_SCOPE) {
				// `false`, as the 'state' wouldn't be different.
				return false;
			}
			// Not active, so nothing to do.
			if (!activeScopes.has(scope)) {
				return true;
			}

			var newScopes = structuredClone(activeScopes);
			newScopes.delete(scope);
			if (DEPENDENCY_MAPPING[scope][0] === MARKER_TEMP) {
				delete DEPENDENCY_MAPPING[scope];
			}
			if (newScopes.size === 0) {
				newScopes.add(DEFAULT_SCOPE);
			}

			if (!setIsDifferent(newScopes, activeScopes)) {
				return false;
			}

			return Scopes._modifyState(newScopes);
		},

		/**
		 * Overrides the active scopes to the specified ones.
		 *
		 * @param {string|Array.<string>} scopes One or more scopes to be set active.
		 * @param {boolean=} ignoreInvalid If it should ignore invalid scope entries.
		 *
		 * @returns {boolean} If it successfully set the scopes.
		 */
		setScope: function (scope, ignoreInvalid) {
			if (typeof scope === 'string') {
				scope = [scope];
			} else if (!Array.isArray(scope) || scope.length === 0) {
				scope = [DEFAULT_SCOPE];
			}

			var newScopes = new Set();
			for (var i = 0; i < scope.length; i++) {
				if (!DEPENDENCY_MAPPING.hasOwnProperty(scope[i]) && !ignoreInvalid) {
					return false;
				}
				newScopes.add(scope[i]);
			}

			if (newScopes.size === 0) {
				newScopes.add(DEFAULT_SCOPE);
			}

			if (!setIsDifferent(newScopes, activeScopes)) {
				return false;
			}

			return Scopes._modifyState(newScopes);
		},

		/**
		 * @param {string} scope The scope to check
		 * @returns {boolean} If the scope is currently active or not.
		 */
		isActiveScope: function (scope) {
			return resolvedActiveScopes.has(scope);
		},

		/**
		 * Returns the currently active scopes.
		 *
		 * @param {boolean=} withResolved If it should include additionally resolved scopes or not.
		 */
		getActiveScopes: function (withResolved) {
			return Array.from(withResolved ? resolvedActiveScopes : activeScopes);
		}
	};

	return Scopes;
});

/**
 * @template {*} T
 * @typedef {object} OverlayElementControl
 * 
 * @property {VoidFunction} close - Closes the overlay element if it isn't closed yet.
 * @property {function} isOpen - Returns if the overlay element is still open.
 * @property {Promise.<T>} value - A Promise of the value returned by rhe overlay element.
 */

/**
 * @template {*} T
 * @typedef {object} OverlayElementSettings
 * 
 * @property {T=} initialValue - Value of the form/component and what it's starting value is.
 * @property {boolean=} closeOnEscape - If the overlay eleemnt should close when the escape key is being pressed.
 * @property {boolean=} closeOnOverlayClick - If the overlay element should close when the user clicks outside of it.
 */

/**
 * @typedef {function} VoidFunction
 * 
 * @returns {void} - Nothing
 */

/**
 * @template {*} T
 * @typedef {function} SetterFunction
 * 
 * @param {T} value - The value to set
 * 
 * @returns {void} - Nothing
 */

/**
 * @template {*} T
 * @typedef {object} ExposedControl
 * 
 * @property {T} value - Readonly. The current value of the control.
 * @property {boolean} enabled - Readonly. If the control is currently enabled.
 * @property {boolean} dirty - Readonly. If the control has been touched by the user.
 * @property {boolean} pristine - Readonly. If the control has not yet been touched by the user.
 * @property {boolean} valid - Readonly. If the control is valid.
 * @property {SetterFunction.<T>} setValue - Setter for the value.
 * @property {VoidFunction} enable - Enables this control.
 * @property {VoidFunction} disable - Disables this control.
 * @property {VoidFunction} markAsDirty - Marks this control as touched by the user.
 * @property {VoidFunction} markAsPristine - Marks this control as untouched by the user.
 */

/**
 * @template {*} T
 * @typedef {callback} ValidationCallback
 * 
 * @param {T} value - Value of the control (component or form).
 * 
 * @returns {(null|object.<string.*>)} A validation result, where `null` indicates it's valid, otherwise an object with
 *      error entries (i.E. `{ required: true, regexp: '^\w+$' }`).
 */

/**
 * @template {*} T
 * @typedef {callback} ChangeCallback
 * 
 * @param {T} value - The value of the control (component or form).
 * @param {ExposedControl.<T>} control - The control for the form or component.
 * 
 * @returns {void}
 */

/**
 * @template {*} T
 * @typedef {object} DynamicControlConfiguration
 * 
 * @property {string} type - The type of the component which is supposed to handle the value.
 * @property {object.<string, *>=} options - Options for the component. Is component dependend.
 * @property {ValidationCallback.<T>=} validate - A validation function for the control.
 * @property {ChangeCallback.<T>=} onChange - A callback which gets called whenever the value changes.
 */

/**
 * @template {*} T
 * @typedef {object} DynamicFormModalConfigurationProperties
 *
 * @property {string} title - Title of the Modal.
 * @property {object.<string, DynamicControlConfiguration} controls - Control configuration to generate the form with.
 * @property {ValidationCallback.<T>=} validate - A validation function for the entire form.
 * @property {ChangeCallback.<T>=} onChange - A callback which gets called whenever the value changes.
 */

/**
 * @template {*} T
 * @typedef {OverlayElementSettings.<T> & DynamicFormModalConfigurationProperties.<T>} DynamicFormModalConfiguration
 */

/**
 * @typedef {object} DynamicDropdownConfigurationProperties
 * 
 * @property {boolean=} resolveWithConfirmButton - If the dropdown should render a confirm button
 *      and only resolve, when the confirm button has been clicked.
 *      This changes the behaviour from resolving as soon as a valid value has been selected.
 */

/**
 * @template {*} T
 * @typedef {OverlayElementSettings.<T> & DynamicControlConfiguration.<T> & DynamicDropdownConfigurationProperties} DynamicDropdownConfiguration
 */

/**
 * @typedef {object} BaseDialogConfiguration
 * @property {string} title Title of the Dialog
 * @property {string} text Text/Description of the dialog for the user.
 */

/**
 * @typedef {object} ConfirmDialogConfigurationProps
 * 
 * @property {VoidFunction} yes The function to call, when the user acceps the dialog.
 * @property {VoidFunction} no The function to call, when the user denies the dialog.
 * @property {SetterFunction.<boolean>} answer Function which is called when the user acceps or denies the dialog.
 */

/**
 * @typedef {BaseDialogConfiguration & ConfirmDialogConfigurationProps} ConfirmDialogConfiguration
 */

/**
 * @typedef {BaseDialogConfiguration} AlertDialogConfiguration
 */

define('ui/overlayElement',[], function () {
    'use strict';

    /**
     * Pseudo Enum for the various reasons a overlay element can be closed for.
     */
    var ClosingReason = {
        /** Closed by user by using the ESC key */
        ESCAPE: 'escape',
        /** Closed by user by clicking on the overlay */
        OVERLAY_CLICK: 'overlay-click',
        /** Closed by the user by canceling it (usually a cancel button) */
        CANCEL: 'cancel',
        /** Closed programatically via the API */
        API: 'api',
        /** Closed due to unforseen error */
        ERROR: 'error',
    }

    Object.freeze(ClosingReason);

    function OverlayCloseError(reasonOrError, message) {
        var instance;

        if (reasonOrError instanceof Error) {
            instance = reasonOrError;
            instance.reason = ClosingReason.ERROR;
            if (!message) {
                message = getDefaultErrorMessage(instance.reason);
            }
        } else {
            instance = Error(message);
            instance.reason = reasonOrError;
            if (!instance.message) {
                instance.message = getDefaultErrorMessage(instance.reason);
            }
        }

        Object.setPrototypeOf(instance, Object.getPrototypeOf(this));

        return instance;
    }

    function getDefaultErrorMessage(reason) {
        switch (reason) {
            case ClosingReason.ESCAPE:
                return 'Closed by user via ESC key';
            case ClosingReason.CANCEL:
                return 'Closed by user cancel';
            case ClosingReason.API:
                return 'Closed programmatically via API';
            case ClosingReason.OVERLAY_CLICK:
                return 'Closed by user by clicking the overlay';
            case ClosingReason.ERROR:
                return 'Closed due to unforseen error';
            default:
                return 'Unknown error/reason';
        }
    }

    OverlayCloseError.prototype = Object.create(Error.prototype, {
        constructor: {
            value: Error,
            enumerable: false,
            writable: true,
            configurable: true
        }
    });
    if (Object.setPrototypeOf) {
        Object.setPrototypeOf(OverlayCloseError, Error);
    } else {
        OverlayCloseError.__proto__ = Error;
    }

    return {
        OverlayCloseError: OverlayCloseError,
        ClosingReason: ClosingReason,
    };
});
/* utils.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('ui/utils',[
	'ui/scopes',
	'ui/overlayElement'
], function (
	Scopes,
	OverlayElement
) {
	'use strict';

	var colorCache = {};
	var colorCanvas = document.createElement('canvas');
	colorCanvas.width = colorCanvas.height = 1;
	var colorCanvasCtx = colorCanvas.getContext('2d');

	/** @see https://stackoverflow.com/questions/11068240/what-is-the-most-efficient-way-to-parse-a-css-color-in-javascript */
	function colorToRGBA(inputColor) {
		if (inputColor == null || typeof inputColor !== 'string') {
			// If it's an array, we're gonna assume it's an already parsed color
			return Array.isArray(inputColor) ? inputColor : null;
		}
		if (colorCache.hasOwnProperty(inputColor)) {
			var cached = colorCache[inputColor];
			return cached ? cached.slice() : null;
		}

		colorCanvasCtx.clearRect(0, 0, 1, 1);
		// In order to detect invalid values,
		// we can't rely on col being in the same format as what fillStyle is computed as,
		// but we can ask it to implicitly compute a normalized value twice and compare.
		colorCanvasCtx.fillStyle = '#000';
		colorCanvasCtx.fillStyle = inputColor;
		var computed = colorCanvasCtx.fillStyle;
		colorCanvasCtx.fillStyle = '#fff';
		colorCanvasCtx.fillStyle = inputColor;
		if (computed !== colorCanvasCtx.fillStyle) {
			// invalid color
			colorCache[inputColor] = null;
			return null;
		}
		colorCanvasCtx.fillRect(0, 0, 1, 1);

		var outputColor = Array.from(colorCanvasCtx.getImageData(0, 0, 1, 1).data);
		colorCache[inputColor] = outputColor;

		return outputColor.slice();
	}

	function colorToHex(inputColor) {
		var rgba;
		if (Array.isArray(inputColor)) {
			rgba = inputColor;
		} else if (inputColor instanceof Uint8ClampedArray) {
			rgba = Array.from(inputColor);
		} else {
			rgba = colorToRGBA(inputColor);
			if (!rgba) {
				return null;
			}
			rgba = Array.from(rgba);
		}

		return '#' + rgba.map(function (number) {
			return number < 10 ? '0' + number.toString() : number.toString(16);
		}).join('');
	}

	var scopeFns = {};

	function normalizeScopeToFunction(scopes) {
		if (typeof scopes === 'string') {
			if (scopes.includes(',')) {
				scopes = scopes.split(',').map(function (part) {
					return part.trim();
				});
			} else {
				scopes = [scopes];
			}
		} else if (!Array.isArray(scopes)) {
			scopes = [];
		}

		scopes = scopes.filter(function (scope) {
			return typeof scope === 'string' && scope.length > 0;
		});

		if (scopes.length === 0) {
			return function () {
				return true;
			}
		}

		var functions = scopes.map(function (scope) {
			if (scopeFns[scope]) {
				return scopeFns[scope];
			}
			return scopeFns[scope] = function () {
				return Scopes.isActiveScope(scope);
			};
		});

		return function () {
			return functions.some(function (fn) {
				return fn();
			});
		}
	}

	function colorIsSame(one, two) {
		if (!Array.isArray(one) || !Array.isArray(two)) {
			return (one == null && two == null) || one === two;
		}

        return one.every(function(part, idx) {
            return part === two[idx];
        });
    }

	function isUserCloseError(error) {
		return error instanceof OverlayElement.OverlayCloseError
			&& error.reason !== OverlayElement.ClosingReason.ERROR;
	}

	/**
	 * Util to ignore all errors which occur when a user closes a overlay pre-maturely.
	 * Will re-throw the error if it's a legit one.
	 *
	 * @param {*} error The error which has been thrown
	 * @param {*=} resolveValue The value that should be returned in the case it's a notification error.
	 * @returns 
	 */
	function handleUserCloseErrors(error, resolveValue) {
		if (isUserCloseError(error)) {
			return resolveValue;
		}

		throw error;
	}

	/**
	 * Wrapper for `handleUserCloseErrors`, which calls it on the promise' error handler.
	 *
	 * @param {Promise.<*>} promise A promise that should be handled
	 * @param {*=} resolveValue The value that should be returned in the case it's a notification error.
	 * @returns A promise which either resolves or throws the original error
	 */
	function ignoreUserCloseErrors(promise, resolveValue) {
		return promise.catch(function(error) {
			return handleUserCloseErrors(error, resolveValue);
		});
	}

	return {
		// Color utils
		normalizeScopeToFunction: normalizeScopeToFunction,
		colorToRGBA: colorToRGBA,
		colorToHex: colorToHex,
		colorIsSame: colorIsSame,

		// Overlay utils
		isUserCloseError: isUserCloseError,
		handleUserCloseErrors: handleUserCloseErrors,
		ignoreUserCloseErrors: ignoreUserCloseErrors,
	};
});

/**
 * Defines a `Container` Class.
 *
 * Containers are activated based on the `showOn` setting for the container.
 * The values are normalized to functions which accept an element and return a
 * boolean; true means the container should be shown.
 *
 * For efficiency, we group all containers that have the same normalized
 * `showOn()' function together, so we can evaluate it once, regardless of how
 * many containers are using the same logic. In order for this to work, the
 * exact same function must be returned from `Container.normalizeShowOn()' when
 * the logic is the same.
 *
 * The list of containers is then stored on the context instance as
 * `context.containers', which is a hash of `showOn()' ids to an array of
 * containers. The `showOn()' ids are unique identifiers that are stored as
 * properties of the `showOn()' function (see `getShowOnId()'). This gives us
 * constant lookup times when grouping containers.
 */

define('ui/container',[
	'jquery',
	'util/class',
	'ui/utils'
], function (
	$,
	Class,
	Utils
) {
	'use strict';

	var uid = 0;

	/**
	 * Gets the id of a normalized showOn option.  If the given function has
	 * not had its showOnId set it will receive one, the first time this
	 * function it is passed to this function.
	 *
	 * @param {function} showOn The function whose id we wish to get.
	 * @return {number} The id of the given function.
	 */
	function getShowOnId(showOn) {
		// Store a unique id on the showOn function.
		// See full explanation at top of file.
		if (!showOn.showOnId) {
			showOn.showOnId = ++uid;
		}
		return showOn.showOnId;
	}

	/**
	 * Show or hide a set of containers.
	 *
	 * @param {Array.<Container>} containers The set of containers to operate
	 *                                       on.
	 * @param {boolean} show Whether to show or hide the given containers.
	 */
	function toggleContainers(containers, show) {
		var action = show ? 'show' : 'hide',
		    i;
		for (i = 0; i < containers.length; i++) {
			containers[i][action]();
		}
	}

	var returnTrue = function () {
		return true;
	};

	/**
	 * Normalizes a showOn option into a function.
	 *
	 * @param {(string|boolean|function)} showOn
	 * @return function
	 */
	function normalizeShowOn(container, showOn) {
		switch ($.type(showOn)) {
		case 'function':
			return showOn;
		case 'object':
			if (!showOn.scope) {
				throw "Invalid showOn configuration";
			}

			return Utils.normalizeScopeToFunction(showOn.scope);			
		default:
			return returnTrue;
		}
	}

	/**
	 * Container class.
	 *
	 * @class
	 * @base
	 */
	var Container = Class.extend({

		_contextContainerKey: null,

		/**
		 * The containing (wrapper) element for this container.
		 *
		 * @type {jQuery<HTMLElement>}
		 */
		element: null,

		/**
		 * Initialize a new container with the specified properties.
		 *
		 * @param {object=} settings Optional properties, and override methods.
		 * @constructor
		 */
		_constructor: function (context, settings) {
			var showOn = normalizeShowOn(this, settings.showOn);
			this._contextContainerKey = getShowOnId(showOn);
			var group = context.containers[this._contextContainerKey];
			this.context = context;

			if (!group) {
				group = context.containers[this._contextContainerKey] = {
					shouldShow: showOn,
					containers: []
				};
			}
			group.containers.push(this);
		},

		/**
		 * Must be implemented by extending classes.
		 *
		 * @ingroup api
		 * @{
		 */

		/**
		 * A container is also a component; this is part of the component API.
		 */
		show: function () {},
		/**
		 * A container is also a component; this is part of the component API.
		 */
		hide: function () {},
		/**
		 * A container is also a component; this is part of the component API.
		 */
		focus: function () {},
		/**
		 * A container is also a component; this is part of the component API.
		 */
		foreground: function () {},

		/**
		 * The container was previously hidden, and now has become visible. This
		 * allows a container to let its children react to this.
		 */
		childVisible: function (childComponent, visible) {},
		/**
		 * The container was given focus; this method must give focus to all
		 * children of the container.
		 * Optional. (E.g. tab.js doesn't implement this.)
		 */
		childFocus: function (childComponent) {},
		/**
		 * The container was foregrounded; this method must foreground all children
		 * of the container.
		 */
		childForeground: function (childComponent) {},

		/**
		 * @} End of "ingroup api".
		 */

		destroy: function() {
			if (this._contextContainerKey) {
				delete this.context.containers[this._contextContainerKey];
				this._contextContainerKey = null;
			}
		},
	});

	// static fields

	$.extend( Container, {
		/**
		 * Given an array of elements, show appropriate containers.
		 *
		 * @param {object} context
		 * @param {string} eventType Type of the event triggered (optional)
		 * @static
		 */
		showContainersForContext: function (context, eventType) {
			var group,
			    groupKey,
			    containerGroups;
			if (!context.containers) {
				// No containers were constructed for the given context, so
				// there is nothing for us to do.
				return;
			}
			containerGroups = context.containers;
			for (groupKey in containerGroups) {
				if (containerGroups.hasOwnProperty(groupKey)) {
					group = containerGroups[groupKey];
					toggleContainers(group.containers, group.shouldShow(eventType));
				}
			}
		}
	});

	return Container;
});

/** @typedef {import('./overlayElement').DynamicDropdownConfiguration} DynamicDropdownConfiguration */
/** @typedef {import('./overlayElement').DynamicModalConfiguration} DynamicModalConfiguration */
/** @typedef {import('./overlayElement').ConfirmDialogConfiguration} ConfirmDialogConfiguration */
/** @typedef {import('./overlayElement').AlertDialogConfiguration} AlertDialogConfiguration */
/** @typedef {import('./overlayElement').VoidFunction} VoidFunction */

define('ui/surface',[
	'aloha/core',
	'jquery',
	'util/class',
	'ui/container'
], function (
	Aloha,
	$,
	Class,
	Container
) {
	'use strict';

	/**
	 * The Surface class and manager.
	 *
	 * @class
	 * @base
	 */
	var Surface = Class.extend({
		enabled: true,

		_constructor: function (context) {
			context.surfaces.push(this);
		},

		/**
		 * Function to adopt/register a component to a specific slot.
		 * Rendering of the component should be done when the slot for it is available.
		 * @param {string} slot The slot that sohuld be registered for the component.
		 * @param {*} component The component that should be registered.
		 * @abstract
		 */
		adoptInto: function (slot, component) {
			throw Error('Implement this function!');
		},
		/**
		 * Clears a previously adopted slot.
		 * @param {string} slot The slot that should be cleared.
		 * @abstract
		 */
		unadopt: function(slot) {
			throw Error('Implement this function!');
		},

		enable: function() {
			this.enabled = true;
		},
		disable: function() {
			this.enabled = false
		},

		/**
		 * Show the Surface and it's content
		 * @abstract
		 */
		show: function() {
			throw Error('Implement this function!');
		},
		/**
		 * Hide the Surface and it's content
		 * @abstract
		 */
		hide: function() {
			throw Error('Implement this function!');
		},

		/**
		 * Opens a modal with a dynamic form configuration.
		 * @template {*} T
		 * @param {string} componentName - The name of the component/slot to where the dropdown should be opened to.
		 * @param {DynamicDropdownConfiguration.<T>} config - The config for how to open the dropdown and what to display.
		 * @returns {Promise.<OverlayElementControl.<T>>} - A Promise for a overlay element control.
		 */
		openDynamicDropdown: function(componentName, config) {
			throw Error("Implement this function!");
		},
		/**
		 * Opens a modal with a dynamic form configuration.
		 * @template {*} T
		 * @param {DynamicFormModalConfiguration.<T>} config - The config for how to open the modal and what to do with it.
		 * @returns {Promise.<OverlayElementControl.<T>>} - A Promise for a overlay element control.
		 */
		openDynamicModal: function(config) {
			throw Error("Implement this function!");
		},
		/**
		 * Opens a dialog for the user to confirm/dismiss an action.
		 * @param {ConfirmDialogConfiguration} config The configuration for the dialog.
		 * @returns {VoidFunction} A function to call to close the dialog.
		 */
		openConfirmDialog: function(config) {
			throw Error("Implement this function!");
		},
		/**
		 * Opens an alert dialog/notification for the user.
		 * @param {AlertDialogConfiguration} config The configuration for the dialog.
		 * @returns {VoidFunction} A function to call to close the dialog.
		 */
		openAlertDialog: function(config) {
			throw Error("Implement this function!");
		},
		/**
		 * Attempts to set a tab as focused/active if this surface supports the toolbar tabs.
		 * @param {string} tabId The Tab ID which should be focused/marked as active
		 */
		focusTab: function(tabId) {
			// Not implemented
		},

		/**
		 * Check for whether or not this surface is active--that is, whether is
		 * is visible and the user can interact with it.
		 *
		 * @eturn {boolean} True if this surface is visible.
		 */
		isActive: function () {
			return this.enabled;
		}
	});

	// Static fields for the Surface class.

	$.extend(Surface, {

		/**
		 * The range of the current selection.
		 * 
		 * Interacting with a surface removes focus from the editable, so the
		 * surface is responsible for keeping track of the range that should be
		 * modified by the components.
		 * 
		 * @static
		 * @type {Aloha.Selection}
		 */
		range: null,

		/**
		 * Shows all surfaces for a given context.
		 *
		 * @param {!Object} context.
		 */
		show: function (context) {
			$.each(context.surfaces, function (i, surface) {
				surface.show();
			});
		},

		/**
		 * Hides all surfaces for a given context.
		 *
		 * @param {!Object} context
		 */
		hide: function (context) {
			$.each(context.surfaces, function (i, surface) {
				surface.hide();
			});
		},

		/**
		 * Track editable and range when interacting with a surface.
		 *
		 * @param {jQuery<HTMLElement>} element A component or surface for
		 *                                      which we wish to keep track of
		 *                                      the current selection range
		 *                                      when the user interacts with
		 *                                      it.
		 */
		trackRange: function (element) {
			element.on('mousedown', function (e) {
				e.originalEvent.stopSelectionUpdate = true;
				Aloha.eventHandled = true;
				Surface.suppressHide = true;

				if (Aloha.activeEditable) {
					var selection = Aloha.getSelection();
					Surface.range = (0 < selection.getRangeCount()) ?
						selection.getRangeAt(0) : null;
				}
			});
			
			element.on('mouseup', function (e) {
				e.originalEvent.stopSelectionUpdate = true;
				Aloha.eventHandled = false;
				Surface.suppressHide = false;
			});
		}
	});

	return Surface;
});

define('jqueryui', ['jquery'], function (jQuery) {

	/*! jQuery UI - v1.13.2 - 2022-07-14
* http://jqueryui.com
* Includes: widget.js, position.js, data.js, disable-selection.js, effect.js, effects/effect-blind.js, effects/effect-bounce.js, effects/effect-clip.js, effects/effect-drop.js, effects/effect-explode.js, effects/effect-fade.js, effects/effect-fold.js, effects/effect-highlight.js, effects/effect-puff.js, effects/effect-pulsate.js, effects/effect-scale.js, effects/effect-shake.js, effects/effect-size.js, effects/effect-slide.js, effects/effect-transfer.js, focusable.js, form-reset-mixin.js, jquery-patch.js, keycode.js, labels.js, scroll-parent.js, tabbable.js, unique-id.js, widgets/accordion.js, widgets/autocomplete.js, widgets/button.js, widgets/checkboxradio.js, widgets/controlgroup.js, widgets/datepicker.js, widgets/dialog.js, widgets/draggable.js, widgets/droppable.js, widgets/menu.js, widgets/mouse.js, widgets/progressbar.js, widgets/resizable.js, widgets/selectable.js, widgets/selectmenu.js, widgets/slider.js, widgets/sortable.js, widgets/spinner.js, widgets/tabs.js, widgets/tooltip.js
* Copyright jQuery Foundation and other contributors; Licensed MIT */

	( function( $ ) {
		$.ui = $.ui || {};

		var version = $.ui.version = "1.13.2";


		/*!
 * jQuery UI Widget 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Widget
//>>group: Core
//>>description: Provides a factory for creating stateful widgets with a common API.
//>>docs: http://api.jqueryui.com/jQuery.widget/
//>>demos: http://jqueryui.com/widget/


		var widgetUuid = 0;
		var widgetHasOwnProperty = Array.prototype.hasOwnProperty;
		var widgetSlice = Array.prototype.slice;

		$.cleanData = ( function( orig ) {
			return function( elems ) {
				var events, elem, i;
				for ( i = 0; ( elem = elems[ i ] ) != null; i++ ) {

					// Only trigger remove when necessary to save time
					events = $._data( elem, "events" );
					if ( events && events.remove ) {
						$( elem ).triggerHandler( "remove" );
					}
				}
				orig( elems );
			};
		} )( $.cleanData );

		$.widget = function( name, base, prototype ) {
			var existingConstructor, constructor, basePrototype;

			// ProxiedPrototype allows the provided prototype to remain unmodified
			// so that it can be used as a mixin for multiple widgets (#8876)
			var proxiedPrototype = {};

			var namespace = name.split( "." )[ 0 ];
			name = name.split( "." )[ 1 ];
			var fullName = namespace + "-" + name;

			if ( !prototype ) {
				prototype = base;
				base = $.Widget;
			}

			if ( Array.isArray( prototype ) ) {
				prototype = $.extend.apply( null, [ {} ].concat( prototype ) );
			}

			// Create selector for plugin
			$.expr.pseudos[ fullName.toLowerCase() ] = function( elem ) {
				return !!$.data( elem, fullName );
			};

			$[ namespace ] = $[ namespace ] || {};
			existingConstructor = $[ namespace ][ name ];
			constructor = $[ namespace ][ name ] = function( options, element ) {

				// Allow instantiation without "new" keyword
				if ( !this || !this._createWidget ) {
					return new constructor( options, element );
				}

				// Allow instantiation without initializing for simple inheritance
				// must use "new" keyword (the code above always passes args)
				if ( arguments.length ) {
					this._createWidget( options, element );
				}
			};

			// Extend with the existing constructor to carry over any static properties
			$.extend( constructor, existingConstructor, {
				version: prototype.version,

				// Copy the object used to create the prototype in case we need to
				// redefine the widget later
				_proto: $.extend( {}, prototype ),

				// Track widgets that inherit from this widget in case this widget is
				// redefined after a widget inherits from it
				_childConstructors: []
			} );

			basePrototype = new base();

			// We need to make the options hash a property directly on the new instance
			// otherwise we'll modify the options hash on the prototype that we're
			// inheriting from
			basePrototype.options = $.widget.extend( {}, basePrototype.options );
			$.each( prototype, function( prop, value ) {
				if ( typeof value !== "function" ) {
					proxiedPrototype[ prop ] = value;
					return;
				}
				proxiedPrototype[ prop ] = ( function() {
					function _super() {
						return base.prototype[ prop ].apply( this, arguments );
					}

					function _superApply( args ) {
						return base.prototype[ prop ].apply( this, args );
					}

					return function() {
						var __super = this._super;
						var __superApply = this._superApply;
						var returnValue;

						this._super = _super;
						this._superApply = _superApply;

						returnValue = value.apply( this, arguments );

						this._super = __super;
						this._superApply = __superApply;

						return returnValue;
					};
				} )();
			} );
			constructor.prototype = $.widget.extend( basePrototype, {

				// TODO: remove support for widgetEventPrefix
				// always use the name + a colon as the prefix, e.g., draggable:start
				// don't prefix for widgets that aren't DOM-based
				widgetEventPrefix: existingConstructor ? ( basePrototype.widgetEventPrefix || name ) : name
			}, proxiedPrototype, {
				constructor: constructor,
				namespace: namespace,
				widgetName: name,
				widgetFullName: fullName
			} );

			// If this widget is being redefined then we need to find all widgets that
			// are inheriting from it and redefine all of them so that they inherit from
			// the new version of this widget. We're essentially trying to replace one
			// level in the prototype chain.
			if ( existingConstructor ) {
				$.each( existingConstructor._childConstructors, function( i, child ) {
					var childPrototype = child.prototype;

					// Redefine the child widget using the same prototype that was
					// originally used, but inherit from the new version of the base
					$.widget( childPrototype.namespace + "." + childPrototype.widgetName, constructor,
						child._proto );
				} );

				// Remove the list of existing child constructors from the old constructor
				// so the old child constructors can be garbage collected
				delete existingConstructor._childConstructors;
			} else {
				base._childConstructors.push( constructor );
			}

			$.widget.bridge( name, constructor );

			return constructor;
		};

		$.widget.extend = function( target ) {
			var input = widgetSlice.call( arguments, 1 );
			var inputIndex = 0;
			var inputLength = input.length;
			var key;
			var value;

			for ( ; inputIndex < inputLength; inputIndex++ ) {
				for ( key in input[ inputIndex ] ) {
					value = input[ inputIndex ][ key ];
					if ( widgetHasOwnProperty.call( input[ inputIndex ], key ) && value !== undefined ) {

						// Clone objects
						if ( $.isPlainObject( value ) ) {
							target[ key ] = $.isPlainObject( target[ key ] ) ?
								$.widget.extend( {}, target[ key ], value ) :

								// Don't extend strings, arrays, etc. with objects
								$.widget.extend( {}, value );

							// Copy everything else by reference
						} else {
							target[ key ] = value;
						}
					}
				}
			}
			return target;
		};

		$.widget.bridge = function( name, object ) {
			var fullName = object.prototype.widgetFullName || name;
			$.fn[ name ] = function( options ) {
				var isMethodCall = typeof options === "string";
				var args = widgetSlice.call( arguments, 1 );
				var returnValue = this;

				if ( isMethodCall ) {

					// If this is an empty collection, we need to have the instance method
					// return undefined instead of the jQuery instance
					if ( !this.length && options === "instance" ) {
						returnValue = undefined;
					} else {
						this.each( function() {
							var methodValue;
							var instance = $.data( this, fullName );

							if ( options === "instance" ) {
								returnValue = instance;
								return false;
							}

							if ( !instance ) {
								return $.error( "cannot call methods on " + name +
									" prior to initialization; " +
									"attempted to call method '" + options + "'" );
							}

							if ( typeof instance[ options ] !== "function" ||
								options.charAt( 0 ) === "_" ) {
								return $.error( "no such method '" + options + "' for " + name +
									" widget instance" );
							}

							methodValue = instance[ options ].apply( instance, args );

							if ( methodValue !== instance && methodValue !== undefined ) {
								returnValue = methodValue && methodValue.jquery ?
									returnValue.pushStack( methodValue.get() ) :
									methodValue;
								return false;
							}
						} );
					}
				} else {

					// Allow multiple hashes to be passed on init
					if ( args.length ) {
						options = $.widget.extend.apply( null, [ options ].concat( args ) );
					}

					this.each( function() {
						var instance = $.data( this, fullName );
						if ( instance ) {
							instance.option( options || {} );
							if ( instance._init ) {
								instance._init();
							}
						} else {
							$.data( this, fullName, new object( options, this ) );
						}
					} );
				}

				return returnValue;
			};
		};

		$.Widget = function( /* options, element */ ) {};
		$.Widget._childConstructors = [];

		$.Widget.prototype = {
			widgetName: "widget",
			widgetEventPrefix: "",
			defaultElement: "<div>",

			options: {
				classes: {},
				disabled: false,

				// Callbacks
				create: null
			},

			_createWidget: function( options, element ) {
				element = $( element || this.defaultElement || this )[ 0 ];
				this.element = $( element );
				this.uuid = widgetUuid++;
				this.eventNamespace = "." + this.widgetName + this.uuid;

				this.bindings = $();
				this.hoverable = $();
				this.focusable = $();
				this.classesElementLookup = {};

				if ( element !== this ) {
					$.data( element, this.widgetFullName, this );
					this._on( true, this.element, {
						remove: function( event ) {
							if ( event.target === element ) {
								this.destroy();
							}
						}
					} );
					this.document = $( element.style ?

						// Element within the document
						element.ownerDocument :

						// Element is window or document
						element.document || element );
					this.window = $( this.document[ 0 ].defaultView || this.document[ 0 ].parentWindow );
				}

				this.options = $.widget.extend( {},
					this.options,
					this._getCreateOptions(),
					options );

				this._create();

				if ( this.options.disabled ) {
					this._setOptionDisabled( this.options.disabled );
				}

				this._trigger( "create", null, this._getCreateEventData() );
				this._init();
			},

			_getCreateOptions: function() {
				return {};
			},

			_getCreateEventData: $.noop,

			_create: $.noop,

			_init: $.noop,

			destroy: function() {
				var that = this;

				this._destroy();
				$.each( this.classesElementLookup, function( key, value ) {
					that._removeClass( value, key );
				} );

				// We can probably remove the unbind calls in 2.0
				// all event bindings should go through this._on()
				this.element
					.off( this.eventNamespace )
					.removeData( this.widgetFullName );
				this.widget()
					.off( this.eventNamespace )
					.removeAttr( "aria-disabled" );

				// Clean up events and states
				this.bindings.off( this.eventNamespace );
			},

			_destroy: $.noop,

			widget: function() {
				return this.element;
			},

			option: function( key, value ) {
				var options = key;
				var parts;
				var curOption;
				var i;

				if ( arguments.length === 0 ) {

					// Don't return a reference to the internal hash
					return $.widget.extend( {}, this.options );
				}

				if ( typeof key === "string" ) {

					// Handle nested keys, e.g., "foo.bar" => { foo: { bar: ___ } }
					options = {};
					parts = key.split( "." );
					key = parts.shift();
					if ( parts.length ) {
						curOption = options[ key ] = $.widget.extend( {}, this.options[ key ] );
						for ( i = 0; i < parts.length - 1; i++ ) {
							curOption[ parts[ i ] ] = curOption[ parts[ i ] ] || {};
							curOption = curOption[ parts[ i ] ];
						}
						key = parts.pop();
						if ( arguments.length === 1 ) {
							return curOption[ key ] === undefined ? null : curOption[ key ];
						}
						curOption[ key ] = value;
					} else {
						if ( arguments.length === 1 ) {
							return this.options[ key ] === undefined ? null : this.options[ key ];
						}
						options[ key ] = value;
					}
				}

				this._setOptions( options );

				return this;
			},

			_setOptions: function( options ) {
				var key;

				for ( key in options ) {
					this._setOption( key, options[ key ] );
				}

				return this;
			},

			_setOption: function( key, value ) {
				if ( key === "classes" ) {
					this._setOptionClasses( value );
				}

				this.options[ key ] = value;

				if ( key === "disabled" ) {
					this._setOptionDisabled( value );
				}

				return this;
			},

			_setOptionClasses: function( value ) {
				var classKey, elements, currentElements;

				for ( classKey in value ) {
					currentElements = this.classesElementLookup[ classKey ];
					if ( value[ classKey ] === this.options.classes[ classKey ] ||
						!currentElements ||
						!currentElements.length ) {
						continue;
					}

					// We are doing this to create a new jQuery object because the _removeClass() call
					// on the next line is going to destroy the reference to the current elements being
					// tracked. We need to save a copy of this collection so that we can add the new classes
					// below.
					elements = $( currentElements.get() );
					this._removeClass( currentElements, classKey );

					// We don't use _addClass() here, because that uses this.options.classes
					// for generating the string of classes. We want to use the value passed in from
					// _setOption(), this is the new value of the classes option which was passed to
					// _setOption(). We pass this value directly to _classes().
					elements.addClass( this._classes( {
						element: elements,
						keys: classKey,
						classes: value,
						add: true
					} ) );
				}
			},

			_setOptionDisabled: function( value ) {
				this._toggleClass( this.widget(), this.widgetFullName + "-disabled", null, !!value );

				// If the widget is becoming disabled, then nothing is interactive
				if ( value ) {
					this._removeClass( this.hoverable, null, "ui-state-hover" );
					this._removeClass( this.focusable, null, "ui-state-focus" );
				}
			},

			enable: function() {
				return this._setOptions( { disabled: false } );
			},

			disable: function() {
				return this._setOptions( { disabled: true } );
			},

			_classes: function( options ) {
				var full = [];
				var that = this;

				options = $.extend( {
					element: this.element,
					classes: this.options.classes || {}
				}, options );

				function bindRemoveEvent() {
					var nodesToBind = [];

					options.element.each( function( _, element ) {
						var isTracked = $.map( that.classesElementLookup, function( elements ) {
							return elements;
						} )
							.some( function( elements ) {
								return elements.is( element );
							} );

						if ( !isTracked ) {
							nodesToBind.push( element );
						}
					} );

					that._on( $( nodesToBind ), {
						remove: "_untrackClassesElement"
					} );
				}

				function processClassString( classes, checkOption ) {
					var current, i;
					for ( i = 0; i < classes.length; i++ ) {
						current = that.classesElementLookup[ classes[ i ] ] || $();
						if ( options.add ) {
							bindRemoveEvent();
							current = $( $.uniqueSort( current.get().concat( options.element.get() ) ) );
						} else {
							current = $( current.not( options.element ).get() );
						}
						that.classesElementLookup[ classes[ i ] ] = current;
						full.push( classes[ i ] );
						if ( checkOption && options.classes[ classes[ i ] ] ) {
							full.push( options.classes[ classes[ i ] ] );
						}
					}
				}

				if ( options.keys ) {
					processClassString( options.keys.match( /\S+/g ) || [], true );
				}
				if ( options.extra ) {
					processClassString( options.extra.match( /\S+/g ) || [] );
				}

				return full.join( " " );
			},

			_untrackClassesElement: function( event ) {
				var that = this;
				$.each( that.classesElementLookup, function( key, value ) {
					if ( $.inArray( event.target, value ) !== -1 ) {
						that.classesElementLookup[ key ] = $( value.not( event.target ).get() );
					}
				} );

				this._off( $( event.target ) );
			},

			_removeClass: function( element, keys, extra ) {
				return this._toggleClass( element, keys, extra, false );
			},

			_addClass: function( element, keys, extra ) {
				return this._toggleClass( element, keys, extra, true );
			},

			_toggleClass: function( element, keys, extra, add ) {
				add = ( typeof add === "boolean" ) ? add : extra;
				var shift = ( typeof element === "string" || element === null ),
					options = {
						extra: shift ? keys : extra,
						keys: shift ? element : keys,
						element: shift ? this.element : element,
						add: add
					};
				options.element.toggleClass( this._classes( options ), add );
				return this;
			},

			_on: function( suppressDisabledCheck, element, handlers ) {
				var delegateElement;
				var instance = this;

				// No suppressDisabledCheck flag, shuffle arguments
				if ( typeof suppressDisabledCheck !== "boolean" ) {
					handlers = element;
					element = suppressDisabledCheck;
					suppressDisabledCheck = false;
				}

				// No element argument, shuffle and use this.element
				if ( !handlers ) {
					handlers = element;
					element = this.element;
					delegateElement = this.widget();
				} else {
					element = delegateElement = $( element );
					this.bindings = this.bindings.add( element );
				}

				$.each( handlers, function( event, handler ) {
					function handlerProxy() {

						// Allow widgets to customize the disabled handling
						// - disabled as an array instead of boolean
						// - disabled class as method for disabling individual parts
						if ( !suppressDisabledCheck &&
							( instance.options.disabled === true ||
								$( this ).hasClass( "ui-state-disabled" ) ) ) {
							return;
						}
						return ( typeof handler === "string" ? instance[ handler ] : handler )
							.apply( instance, arguments );
					}

					// Copy the guid so direct unbinding works
					if ( typeof handler !== "string" ) {
						handlerProxy.guid = handler.guid =
							handler.guid || handlerProxy.guid || $.guid++;
					}

					var match = event.match( /^([\w:-]*)\s*(.*)$/ );
					var eventName = match[ 1 ] + instance.eventNamespace;
					var selector = match[ 2 ];

					if ( selector ) {
						delegateElement.on( eventName, selector, handlerProxy );
					} else {
						element.on( eventName, handlerProxy );
					}
				} );
			},

			_off: function( element, eventName ) {
				eventName = ( eventName || "" ).split( " " ).join( this.eventNamespace + " " ) +
					this.eventNamespace;
				element.off( eventName );

				// Clear the stack to avoid memory leaks (#10056)
				this.bindings = $( this.bindings.not( element ).get() );
				this.focusable = $( this.focusable.not( element ).get() );
				this.hoverable = $( this.hoverable.not( element ).get() );
			},

			_delay: function( handler, delay ) {
				function handlerProxy() {
					return ( typeof handler === "string" ? instance[ handler ] : handler )
						.apply( instance, arguments );
				}
				var instance = this;
				return setTimeout( handlerProxy, delay || 0 );
			},

			_hoverable: function( element ) {
				this.hoverable = this.hoverable.add( element );
				this._on( element, {
					mouseenter: function( event ) {
						this._addClass( $( event.currentTarget ), null, "ui-state-hover" );
					},
					mouseleave: function( event ) {
						this._removeClass( $( event.currentTarget ), null, "ui-state-hover" );
					}
				} );
			},

			_focusable: function( element ) {
				this.focusable = this.focusable.add( element );
				this._on( element, {
					focusin: function( event ) {
						this._addClass( $( event.currentTarget ), null, "ui-state-focus" );
					},
					focusout: function( event ) {
						this._removeClass( $( event.currentTarget ), null, "ui-state-focus" );
					}
				} );
			},

			_trigger: function( type, event, data ) {
				var prop, orig;
				var callback = this.options[ type ];

				data = data || {};
				event = $.Event( event );
				event.type = ( type === this.widgetEventPrefix ?
					type :
					this.widgetEventPrefix + type ).toLowerCase();

				// The original event may come from any element
				// so we need to reset the target on the new event
				event.target = this.element[ 0 ];

				// Copy original event properties over to the new event
				orig = event.originalEvent;
				if ( orig ) {
					for ( prop in orig ) {
						if ( !( prop in event ) ) {
							event[ prop ] = orig[ prop ];
						}
					}
				}

				this.element.trigger( event, data );
				return !( typeof callback === "function" &&
					callback.apply( this.element[ 0 ], [ event ].concat( data ) ) === false ||
					event.isDefaultPrevented() );
			}
		};

		$.each( { show: "fadeIn", hide: "fadeOut" }, function( method, defaultEffect ) {
			$.Widget.prototype[ "_" + method ] = function( element, options, callback ) {
				if ( typeof options === "string" ) {
					options = { effect: options };
				}

				var hasOptions;
				var effectName = !options ?
					method :
					options === true || typeof options === "number" ?
						defaultEffect :
						options.effect || defaultEffect;

				options = options || {};
				if ( typeof options === "number" ) {
					options = { duration: options };
				} else if ( options === true ) {
					options = {};
				}

				hasOptions = !$.isEmptyObject( options );
				options.complete = callback;

				if ( options.delay ) {
					element.delay( options.delay );
				}

				if ( hasOptions && $.effects && $.effects.effect[ effectName ] ) {
					element[ method ]( options );
				} else if ( effectName !== method && element[ effectName ] ) {
					element[ effectName ]( options.duration, options.easing, callback );
				} else {
					element.queue( function( next ) {
						$( this )[ method ]();
						if ( callback ) {
							callback.call( element[ 0 ] );
						}
						next();
					} );
				}
			};
		} );

		var widget = $.widget;


		/*!
 * jQuery UI Position 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 *
 * http://api.jqueryui.com/position/
 */

//>>label: Position
//>>group: Core
//>>description: Positions elements relative to other elements.
//>>docs: http://api.jqueryui.com/position/
//>>demos: http://jqueryui.com/position/


		( function() {
			var cachedScrollbarWidth,
				max = Math.max,
				abs = Math.abs,
				rhorizontal = /left|center|right/,
				rvertical = /top|center|bottom/,
				roffset = /[\+\-]\d+(\.[\d]+)?%?/,
				rposition = /^\w+/,
				rpercent = /%$/,
				_position = $.fn.position;

			function getOffsets( offsets, width, height ) {
				return [
					parseFloat( offsets[ 0 ] ) * ( rpercent.test( offsets[ 0 ] ) ? width / 100 : 1 ),
					parseFloat( offsets[ 1 ] ) * ( rpercent.test( offsets[ 1 ] ) ? height / 100 : 1 )
				];
			}

			function parseCss( element, property ) {
				return parseInt( $.css( element, property ), 10 ) || 0;
			}

			function isWindow( obj ) {
				return obj != null && obj === obj.window;
			}

			function getDimensions( elem ) {
				var raw = elem[ 0 ];
				if ( raw.nodeType === 9 ) {
					return {
						width: parseInt(elem.css("width")),
						height: parseInt(elem.css("height")),
						offset: { top: 0, left: 0 }
					};
				}
				if ( isWindow( raw ) ) {
					return {
						width: elem.width(),
						height: elem.height(),
						offset: { top: elem.scrollTop(), left: elem.scrollLeft() }
					};
				}
				if ( raw.preventDefault ) {
					return {
						width: 0,
						height: 0,
						offset: { top: raw.pageY, left: raw.pageX }
					};
				}
				return {
					width: parseInt(elem.css("width")) + parseInt(elem.css("padding-left")) + parseInt(elem.css("padding-right")),
					height: parseInt(elem.css("heigth")) + parseInt(elem.css("padding-top")) + parseInt(elem.css("padding-bottom")),
					offset: elem.offset()
				};
			}

			$.position = {
				scrollbarWidth: function() {
					if ( cachedScrollbarWidth !== undefined ) {
						return cachedScrollbarWidth;
					}
					var w1, w2,
						div = $( "<div style=" +
							"'display:block;position:absolute;width:200px;height:200px;overflow:hidden;'>" +
							"<div style='height:300px;width:auto;'></div></div>" ),
						innerDiv = div.children()[ 0 ];

					$( "body" ).append( div );
					w1 = innerDiv.offsetWidth;
					div.css( "overflow", "scroll" );

					w2 = innerDiv.offsetWidth;

					if ( w1 === w2 ) {
						w2 = div[ 0 ].clientWidth;
					}

					div.remove();

					return ( cachedScrollbarWidth = w1 - w2 );
				},
				getScrollInfo: function( within ) {
					var overflowX = within.isWindow || within.isDocument ? "" :
							within.element.css( "overflow-x" ),
						overflowY = within.isWindow || within.isDocument ? "" :
							within.element.css( "overflow-y" ),
						hasOverflowX = overflowX === "scroll" ||
							( overflowX === "auto" && within.width < within.element[ 0 ].scrollWidth ),
						hasOverflowY = overflowY === "scroll" ||
							( overflowY === "auto" && within.height < within.element[ 0 ].scrollHeight );
					return {
						width: hasOverflowY ? $.position.scrollbarWidth() : 0,
						height: hasOverflowX ? $.position.scrollbarWidth() : 0
					};
				},
				getWithinInfo: function( element ) {
					var withinElement = $( element || window ),
						isElemWindow = isWindow( withinElement[ 0 ] ),
						isDocument = !!withinElement[ 0 ] && withinElement[ 0 ].nodeType === 9,
						hasOffset = !isElemWindow && !isDocument;
					return {
						element: withinElement,
						isWindow: isElemWindow,
						isDocument: isDocument,
						offset: hasOffset ? $( element ).offset() : { left: 0, top: 0 },
						scrollLeft: withinElement.scrollLeft(),
						scrollTop: withinElement.scrollTop(),
						width: isElemWindow ? withinElement.width() : parseInt(withinElement.css("width")) + parseInt(withinElement.css("padding-left")) + parseInt(withinElement.css("padding-right")),
						height: isElemWindow? withinElement.height() : parseInt(withinElement.css("heigth")) + parseInt(withinElement.css("padding-top")) + parseInt(withinElement.css("padding-bottom"))
					};
				}
			};

			$.fn.position = function( options ) {
				if ( !options || !options.of ) {
					return _position.apply( this, arguments );
				}

				// Make a copy, we don't want to modify arguments
				options = $.extend( {}, options );

				var atOffset, targetWidth, targetHeight, targetOffset, basePosition, dimensions,

					// Make sure string options are treated as CSS selectors
					target = typeof options.of === "string" ?
						$( document ).find( options.of ) :
						$( options.of ),

					within = $.position.getWithinInfo( options.within ),
					scrollInfo = $.position.getScrollInfo( within ),
					collision = ( options.collision || "flip" ).split( " " ),
					offsets = {};

				dimensions = getDimensions( target );
				if ( target[ 0 ].preventDefault ) {

					// Force left top to allow flipping
					options.at = "left top";
				}
				targetWidth = dimensions.width;
				targetHeight = dimensions.height;
				targetOffset = dimensions.offset;

				// Clone to reuse original targetOffset later
				basePosition = $.extend( {}, targetOffset );

				// Force my and at to have valid horizontal and vertical positions
				// if a value is missing or invalid, it will be converted to center
				$.each( [ "my", "at" ], function() {
					var pos = ( options[ this ] || "" ).split( " " ),
						horizontalOffset,
						verticalOffset;

					if ( pos.length === 1 ) {
						pos = rhorizontal.test( pos[ 0 ] ) ?
							pos.concat( [ "center" ] ) :
							rvertical.test( pos[ 0 ] ) ?
								[ "center" ].concat( pos ) :
								[ "center", "center" ];
					}
					pos[ 0 ] = rhorizontal.test( pos[ 0 ] ) ? pos[ 0 ] : "center";
					pos[ 1 ] = rvertical.test( pos[ 1 ] ) ? pos[ 1 ] : "center";

					// Calculate offsets
					horizontalOffset = roffset.exec( pos[ 0 ] );
					verticalOffset = roffset.exec( pos[ 1 ] );
					offsets[ this ] = [
						horizontalOffset ? horizontalOffset[ 0 ] : 0,
						verticalOffset ? verticalOffset[ 0 ] : 0
					];

					// Reduce to just the positions without the offsets
					options[ this ] = [
						rposition.exec( pos[ 0 ] )[ 0 ],
						rposition.exec( pos[ 1 ] )[ 0 ]
					];
				} );

				// Normalize collision option
				if ( collision.length === 1 ) {
					collision[ 1 ] = collision[ 0 ];
				}

				if ( options.at[ 0 ] === "right" ) {
					basePosition.left += targetWidth;
				} else if ( options.at[ 0 ] === "center" ) {
					basePosition.left += targetWidth / 2;
				}

				if ( options.at[ 1 ] === "bottom" ) {
					basePosition.top += targetHeight;
				} else if ( options.at[ 1 ] === "center" ) {
					basePosition.top += targetHeight / 2;
				}

				atOffset = getOffsets( offsets.at, targetWidth, targetHeight );
				basePosition.left += atOffset[ 0 ];
				basePosition.top += atOffset[ 1 ];

				return this.each( function() {
					var collisionPosition, using,
						elem = $( this ),
						elemWidth = parseInt(elem.css("width")) + parseInt(elem.css("padding-left")) + parseInt(elem.css("padding-right")),
						elemHeight = parseInt(elem.css("heigth")) + parseInt(elem.css("padding-top")) + parseInt(elem.css("padding-bottom")),
						marginLeft = parseCss( this, "marginLeft" ),
						marginTop = parseCss( this, "marginTop" ),
						collisionWidth = elemWidth + marginLeft + parseCss( this, "marginRight" ) +
							scrollInfo.width,
						collisionHeight = elemHeight + marginTop + parseCss( this, "marginBottom" ) +
							scrollInfo.height,
						position = $.extend( {}, basePosition ),
						myOffset = getOffsets( offsets.my, parseInt(elem.css("width")) + parseInt(elem.css("padding-left")) + parseInt(elem.css("padding-right")), parseInt(elem.css("heigth")) + parseInt(elem.css("padding-top")) + parseInt(elem.css("padding-bottom")) );

					if ( options.my[ 0 ] === "right" ) {
						position.left -= elemWidth;
					} else if ( options.my[ 0 ] === "center" ) {
						position.left -= elemWidth / 2;
					}

					if ( options.my[ 1 ] === "bottom" ) {
						position.top -= elemHeight;
					} else if ( options.my[ 1 ] === "center" ) {
						position.top -= elemHeight / 2;
					}

					position.left += myOffset[ 0 ];
					position.top += myOffset[ 1 ];

					collisionPosition = {
						marginLeft: marginLeft,
						marginTop: marginTop
					};

					$.each( [ "left", "top" ], function( i, dir ) {
						if ( $.ui.position[ collision[ i ] ] ) {
							$.ui.position[ collision[ i ] ][ dir ]( position, {
								targetWidth: targetWidth,
								targetHeight: targetHeight,
								elemWidth: elemWidth,
								elemHeight: elemHeight,
								collisionPosition: collisionPosition,
								collisionWidth: collisionWidth,
								collisionHeight: collisionHeight,
								offset: [ atOffset[ 0 ] + myOffset[ 0 ], atOffset [ 1 ] + myOffset[ 1 ] ],
								my: options.my,
								at: options.at,
								within: within,
								elem: elem
							} );
						}
					} );

					if ( options.using ) {

						// Adds feedback as second argument to using callback, if present
						using = function( props ) {
							var left = targetOffset.left - position.left,
								right = left + targetWidth - elemWidth,
								top = targetOffset.top - position.top,
								bottom = top + targetHeight - elemHeight,
								feedback = {
									target: {
										element: target,
										left: targetOffset.left,
										top: targetOffset.top,
										width: targetWidth,
										height: targetHeight
									},
									element: {
										element: elem,
										left: position.left,
										top: position.top,
										width: elemWidth,
										height: elemHeight
									},
									horizontal: right < 0 ? "left" : left > 0 ? "right" : "center",
									vertical: bottom < 0 ? "top" : top > 0 ? "bottom" : "middle"
								};
							if ( targetWidth < elemWidth && abs( left + right ) < targetWidth ) {
								feedback.horizontal = "center";
							}
							if ( targetHeight < elemHeight && abs( top + bottom ) < targetHeight ) {
								feedback.vertical = "middle";
							}
							if ( max( abs( left ), abs( right ) ) > max( abs( top ), abs( bottom ) ) ) {
								feedback.important = "horizontal";
							} else {
								feedback.important = "vertical";
							}
							options.using.call( this, props, feedback );
						};
					}

					elem.offset( $.extend( position, { using: using } ) );
				} );
			};

			$.ui.position = {
				fit: {
					left: function( position, data ) {
						var within = data.within,
							withinOffset = within.isWindow ? within.scrollLeft : within.offset.left,
							outerWidth = within.width,
							collisionPosLeft = position.left - data.collisionPosition.marginLeft,
							overLeft = withinOffset - collisionPosLeft,
							overRight = collisionPosLeft + data.collisionWidth - outerWidth - withinOffset,
							newOverRight;

						// Element is wider than within
						if ( data.collisionWidth > outerWidth ) {

							// Element is initially over the left side of within
							if ( overLeft > 0 && overRight <= 0 ) {
								newOverRight = position.left + overLeft + data.collisionWidth - outerWidth -
									withinOffset;
								position.left += overLeft - newOverRight;

								// Element is initially over right side of within
							} else if ( overRight > 0 && overLeft <= 0 ) {
								position.left = withinOffset;

								// Element is initially over both left and right sides of within
							} else {
								if ( overLeft > overRight ) {
									position.left = withinOffset + outerWidth - data.collisionWidth;
								} else {
									position.left = withinOffset;
								}
							}

							// Too far left -> align with left edge
						} else if ( overLeft > 0 ) {
							position.left += overLeft;

							// Too far right -> align with right edge
						} else if ( overRight > 0 ) {
							position.left -= overRight;

							// Adjust based on position and margin
						} else {
							position.left = max( position.left - collisionPosLeft, position.left );
						}
					},
					top: function( position, data ) {
						var within = data.within,
							withinOffset = within.isWindow ? within.scrollTop : within.offset.top,
							outerHeight = data.within.height,
							collisionPosTop = position.top - data.collisionPosition.marginTop,
							overTop = withinOffset - collisionPosTop,
							overBottom = collisionPosTop + data.collisionHeight - outerHeight - withinOffset,
							newOverBottom;

						// Element is taller than within
						if ( data.collisionHeight > outerHeight ) {

							// Element is initially over the top of within
							if ( overTop > 0 && overBottom <= 0 ) {
								newOverBottom = position.top + overTop + data.collisionHeight - outerHeight -
									withinOffset;
								position.top += overTop - newOverBottom;

								// Element is initially over bottom of within
							} else if ( overBottom > 0 && overTop <= 0 ) {
								position.top = withinOffset;

								// Element is initially over both top and bottom of within
							} else {
								if ( overTop > overBottom ) {
									position.top = withinOffset + outerHeight - data.collisionHeight;
								} else {
									position.top = withinOffset;
								}
							}

							// Too far up -> align with top
						} else if ( overTop > 0 ) {
							position.top += overTop;

							// Too far down -> align with bottom edge
						} else if ( overBottom > 0 ) {
							position.top -= overBottom;

							// Adjust based on position and margin
						} else {
							position.top = max( position.top - collisionPosTop, position.top );
						}
					}
				},
				flip: {
					left: function( position, data ) {
						var within = data.within,
							withinOffset = within.offset.left + within.scrollLeft,
							outerWidth = within.width,
							offsetLeft = within.isWindow ? within.scrollLeft : within.offset.left,
							collisionPosLeft = position.left - data.collisionPosition.marginLeft,
							overLeft = collisionPosLeft - offsetLeft,
							overRight = collisionPosLeft + data.collisionWidth - outerWidth - offsetLeft,
							myOffset = data.my[ 0 ] === "left" ?
								-data.elemWidth :
								data.my[ 0 ] === "right" ?
									data.elemWidth :
									0,
							atOffset = data.at[ 0 ] === "left" ?
								data.targetWidth :
								data.at[ 0 ] === "right" ?
									-data.targetWidth :
									0,
							offset = -2 * data.offset[ 0 ],
							newOverRight,
							newOverLeft;

						if ( overLeft < 0 ) {
							newOverRight = position.left + myOffset + atOffset + offset + data.collisionWidth -
								outerWidth - withinOffset;
							if ( newOverRight < 0 || newOverRight < abs( overLeft ) ) {
								position.left += myOffset + atOffset + offset;
							}
						} else if ( overRight > 0 ) {
							newOverLeft = position.left - data.collisionPosition.marginLeft + myOffset +
								atOffset + offset - offsetLeft;
							if ( newOverLeft > 0 || abs( newOverLeft ) < overRight ) {
								position.left += myOffset + atOffset + offset;
							}
						}
					},
					top: function( position, data ) {
						var within = data.within,
							withinOffset = within.offset.top + within.scrollTop,
							outerHeight = within.height,
							offsetTop = within.isWindow ? within.scrollTop : within.offset.top,
							collisionPosTop = position.top - data.collisionPosition.marginTop,
							overTop = collisionPosTop - offsetTop,
							overBottom = collisionPosTop + data.collisionHeight - outerHeight - offsetTop,
							top = data.my[ 1 ] === "top",
							myOffset = top ?
								-data.elemHeight :
								data.my[ 1 ] === "bottom" ?
									data.elemHeight :
									0,
							atOffset = data.at[ 1 ] === "top" ?
								data.targetHeight :
								data.at[ 1 ] === "bottom" ?
									-data.targetHeight :
									0,
							offset = -2 * data.offset[ 1 ],
							newOverTop,
							newOverBottom;
						if ( overTop < 0 ) {
							newOverBottom = position.top + myOffset + atOffset + offset + data.collisionHeight -
								outerHeight - withinOffset;
							if ( newOverBottom < 0 || newOverBottom < abs( overTop ) ) {
								position.top += myOffset + atOffset + offset;
							}
						} else if ( overBottom > 0 ) {
							newOverTop = position.top - data.collisionPosition.marginTop + myOffset + atOffset +
								offset - offsetTop;
							if ( newOverTop > 0 || abs( newOverTop ) < overBottom ) {
								position.top += myOffset + atOffset + offset;
							}
						}
					}
				},
				flipfit: {
					left: function() {
						$.ui.position.flip.left.apply( this, arguments );
						$.ui.position.fit.left.apply( this, arguments );
					},
					top: function() {
						$.ui.position.flip.top.apply( this, arguments );
						$.ui.position.fit.top.apply( this, arguments );
					}
				}
			};

		} )();

		var position = $.ui.position;


		/*!
 * jQuery UI :data 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: :data Selector
//>>group: Core
//>>description: Selects elements which have data stored under the specified key.
//>>docs: http://api.jqueryui.com/data-selector/


		var data = $.extend( $.expr.pseudos, {
			data: $.expr.createPseudo ?
				$.expr.createPseudo( function( dataName ) {
					return function( elem ) {
						return !!$.data( elem, dataName );
					};
				} ) :

				// Support: jQuery <1.8
				function( elem, i, match ) {
					return !!$.data( elem, match[ 3 ] );
				}
		} );

		/*!
 * jQuery UI Disable Selection 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: disableSelection
//>>group: Core
//>>description: Disable selection of text content within the set of matched elements.
//>>docs: http://api.jqueryui.com/disableSelection/

// This file is deprecated

		var disableSelection = $.fn.extend( {
			disableSelection: ( function() {
				var eventType = "onselectstart" in document.createElement( "div" ) ?
					"selectstart" :
					"mousedown";

				return function() {
					return this.on( eventType + ".ui-disableSelection", function( event ) {
						event.preventDefault();
					} );
				};
			} )(),

			enableSelection: function() {
				return this.off( ".ui-disableSelection" );
			}
		} );



// Create a local jQuery because jQuery Color relies on it and the
// global may not exist with AMD and a custom build (#10199).
// This module is a noop if used as a regular AMD module.
// eslint-disable-next-line no-unused-vars
		var jQuery = $;


		/*!
 * jQuery Color Animations v2.2.0
 * https://github.com/jquery/jquery-color
 *
 * Copyright OpenJS Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 *
 * Date: Sun May 10 09:02:36 2020 +0200
 */



		var stepHooks = "backgroundColor borderBottomColor borderLeftColor borderRightColor " +
				"borderTopColor color columnRuleColor outlineColor textDecorationColor textEmphasisColor",

			class2type = {},
			toString = class2type.toString,

			// plusequals test for += 100 -= 100
			rplusequals = /^([\-+])=\s*(\d+\.?\d*)/,

			// a set of RE's that can match strings and generate color tuples.
			stringParsers = [ {
				re: /rgba?\(\s*(\d{1,3})\s*,\s*(\d{1,3})\s*,\s*(\d{1,3})\s*(?:,\s*(\d?(?:\.\d+)?)\s*)?\)/,
				parse: function( execResult ) {
					return [
						execResult[ 1 ],
						execResult[ 2 ],
						execResult[ 3 ],
						execResult[ 4 ]
					];
				}
			}, {
				re: /rgba?\(\s*(\d+(?:\.\d+)?)\%\s*,\s*(\d+(?:\.\d+)?)\%\s*,\s*(\d+(?:\.\d+)?)\%\s*(?:,\s*(\d?(?:\.\d+)?)\s*)?\)/,
				parse: function( execResult ) {
					return [
						execResult[ 1 ] * 2.55,
						execResult[ 2 ] * 2.55,
						execResult[ 3 ] * 2.55,
						execResult[ 4 ]
					];
				}
			}, {

				// this regex ignores A-F because it's compared against an already lowercased string
				re: /#([a-f0-9]{2})([a-f0-9]{2})([a-f0-9]{2})([a-f0-9]{2})?/,
				parse: function( execResult ) {
					return [
						parseInt( execResult[ 1 ], 16 ),
						parseInt( execResult[ 2 ], 16 ),
						parseInt( execResult[ 3 ], 16 ),
						execResult[ 4 ] ?
							( parseInt( execResult[ 4 ], 16 ) / 255 ).toFixed( 2 ) :
							1
					];
				}
			}, {

				// this regex ignores A-F because it's compared against an already lowercased string
				re: /#([a-f0-9])([a-f0-9])([a-f0-9])([a-f0-9])?/,
				parse: function( execResult ) {
					return [
						parseInt( execResult[ 1 ] + execResult[ 1 ], 16 ),
						parseInt( execResult[ 2 ] + execResult[ 2 ], 16 ),
						parseInt( execResult[ 3 ] + execResult[ 3 ], 16 ),
						execResult[ 4 ] ?
							( parseInt( execResult[ 4 ] + execResult[ 4 ], 16 ) / 255 )
								.toFixed( 2 ) :
							1
					];
				}
			}, {
				re: /hsla?\(\s*(\d+(?:\.\d+)?)\s*,\s*(\d+(?:\.\d+)?)\%\s*,\s*(\d+(?:\.\d+)?)\%\s*(?:,\s*(\d?(?:\.\d+)?)\s*)?\)/,
				space: "hsla",
				parse: function( execResult ) {
					return [
						execResult[ 1 ],
						execResult[ 2 ] / 100,
						execResult[ 3 ] / 100,
						execResult[ 4 ]
					];
				}
			} ],

			// jQuery.Color( )
			color = jQuery.Color = function( color, green, blue, alpha ) {
				return new jQuery.Color.fn.parse( color, green, blue, alpha );
			},
			spaces = {
				rgba: {
					props: {
						red: {
							idx: 0,
							type: "byte"
						},
						green: {
							idx: 1,
							type: "byte"
						},
						blue: {
							idx: 2,
							type: "byte"
						}
					}
				},

				hsla: {
					props: {
						hue: {
							idx: 0,
							type: "degrees"
						},
						saturation: {
							idx: 1,
							type: "percent"
						},
						lightness: {
							idx: 2,
							type: "percent"
						}
					}
				}
			},
			propTypes = {
				"byte": {
					floor: true,
					max: 255
				},
				"percent": {
					max: 1
				},
				"degrees": {
					mod: 360,
					floor: true
				}
			},
			support = color.support = {},

			// element for support tests
			supportElem = jQuery( "<p>" )[ 0 ],

			// colors = jQuery.Color.names
			colors,

			// local aliases of functions called often
			each = jQuery.each;

// determine rgba support immediately
		supportElem.style.cssText = "background-color:rgba(1,1,1,.5)";
		support.rgba = supportElem.style.backgroundColor.indexOf( "rgba" ) > -1;

// define cache name and alpha properties
// for rgba and hsla spaces
		each( spaces, function( spaceName, space ) {
			space.cache = "_" + spaceName;
			space.props.alpha = {
				idx: 3,
				type: "percent",
				def: 1
			};
		} );

// Populate the class2type map
		jQuery.each( "Boolean Number String Function Array Date RegExp Object Error Symbol".split( " " ),
			function( _i, name ) {
				class2type[ "[object " + name + "]" ] = name.toLowerCase();
			} );

		function getType( obj ) {
			if ( obj == null ) {
				return obj + "";
			}

			return typeof obj === "object" ?
				class2type[ toString.call( obj ) ] || "object" :
				typeof obj;
		}

		function clamp( value, prop, allowEmpty ) {
			var type = propTypes[ prop.type ] || {};

			if ( value == null ) {
				return ( allowEmpty || !prop.def ) ? null : prop.def;
			}

			// ~~ is an short way of doing floor for positive numbers
			value = type.floor ? ~~value : parseFloat( value );

			// IE will pass in empty strings as value for alpha,
			// which will hit this case
			if ( isNaN( value ) ) {
				return prop.def;
			}

			if ( type.mod ) {

				// we add mod before modding to make sure that negatives values
				// get converted properly: -10 -> 350
				return ( value + type.mod ) % type.mod;
			}

			// for now all property types without mod have min and max
			return Math.min( type.max, Math.max( 0, value ) );
		}

		function stringParse( string ) {
			var inst = color(),
				rgba = inst._rgba = [];

			string = string.toLowerCase();

			each( stringParsers, function( _i, parser ) {
				var parsed,
					match = parser.re.exec( string ),
					values = match && parser.parse( match ),
					spaceName = parser.space || "rgba";

				if ( values ) {
					parsed = inst[ spaceName ]( values );

					// if this was an rgba parse the assignment might happen twice
					// oh well....
					inst[ spaces[ spaceName ].cache ] = parsed[ spaces[ spaceName ].cache ];
					rgba = inst._rgba = parsed._rgba;

					// exit each( stringParsers ) here because we matched
					return false;
				}
			} );

			// Found a stringParser that handled it
			if ( rgba.length ) {

				// if this came from a parsed string, force "transparent" when alpha is 0
				// chrome, (and maybe others) return "transparent" as rgba(0,0,0,0)
				if ( rgba.join() === "0,0,0,0" ) {
					jQuery.extend( rgba, colors.transparent );
				}
				return inst;
			}

			// named colors
			return colors[ string ];
		}

		color.fn = jQuery.extend( color.prototype, {
			parse: function( red, green, blue, alpha ) {
				if ( red === undefined ) {
					this._rgba = [ null, null, null, null ];
					return this;
				}
				if ( red.jquery || red.nodeType ) {
					red = jQuery( red ).css( green );
					green = undefined;
				}

				var inst = this,
					type = getType( red ),
					rgba = this._rgba = [];

				// more than 1 argument specified - assume ( red, green, blue, alpha )
				if ( green !== undefined ) {
					red = [ red, green, blue, alpha ];
					type = "array";
				}

				if ( type === "string" ) {
					return this.parse( stringParse( red ) || colors._default );
				}

				if ( type === "array" ) {
					each( spaces.rgba.props, function( _key, prop ) {
						rgba[ prop.idx ] = clamp( red[ prop.idx ], prop );
					} );
					return this;
				}

				if ( type === "object" ) {
					if ( red instanceof color ) {
						each( spaces, function( _spaceName, space ) {
							if ( red[ space.cache ] ) {
								inst[ space.cache ] = red[ space.cache ].slice();
							}
						} );
					} else {
						each( spaces, function( _spaceName, space ) {
							var cache = space.cache;
							each( space.props, function( key, prop ) {

								// if the cache doesn't exist, and we know how to convert
								if ( !inst[ cache ] && space.to ) {

									// if the value was null, we don't need to copy it
									// if the key was alpha, we don't need to copy it either
									if ( key === "alpha" || red[ key ] == null ) {
										return;
									}
									inst[ cache ] = space.to( inst._rgba );
								}

								// this is the only case where we allow nulls for ALL properties.
								// call clamp with alwaysAllowEmpty
								inst[ cache ][ prop.idx ] = clamp( red[ key ], prop, true );
							} );

							// everything defined but alpha?
							if ( inst[ cache ] && jQuery.inArray( null, inst[ cache ].slice( 0, 3 ) ) < 0 ) {

								// use the default of 1
								if ( inst[ cache ][ 3 ] == null ) {
									inst[ cache ][ 3 ] = 1;
								}

								if ( space.from ) {
									inst._rgba = space.from( inst[ cache ] );
								}
							}
						} );
					}
					return this;
				}
			},
			is: function( compare ) {
				var is = color( compare ),
					same = true,
					inst = this;

				each( spaces, function( _, space ) {
					var localCache,
						isCache = is[ space.cache ];
					if ( isCache ) {
						localCache = inst[ space.cache ] || space.to && space.to( inst._rgba ) || [];
						each( space.props, function( _, prop ) {
							if ( isCache[ prop.idx ] != null ) {
								same = ( isCache[ prop.idx ] === localCache[ prop.idx ] );
								return same;
							}
						} );
					}
					return same;
				} );
				return same;
			},
			_space: function() {
				var used = [],
					inst = this;
				each( spaces, function( spaceName, space ) {
					if ( inst[ space.cache ] ) {
						used.push( spaceName );
					}
				} );
				return used.pop();
			},
			transition: function( other, distance ) {
				var end = color( other ),
					spaceName = end._space(),
					space = spaces[ spaceName ],
					startColor = this.alpha() === 0 ? color( "transparent" ) : this,
					start = startColor[ space.cache ] || space.to( startColor._rgba ),
					result = start.slice();

				end = end[ space.cache ];
				each( space.props, function( _key, prop ) {
					var index = prop.idx,
						startValue = start[ index ],
						endValue = end[ index ],
						type = propTypes[ prop.type ] || {};

					// if null, don't override start value
					if ( endValue === null ) {
						return;
					}

					// if null - use end
					if ( startValue === null ) {
						result[ index ] = endValue;
					} else {
						if ( type.mod ) {
							if ( endValue - startValue > type.mod / 2 ) {
								startValue += type.mod;
							} else if ( startValue - endValue > type.mod / 2 ) {
								startValue -= type.mod;
							}
						}
						result[ index ] = clamp( ( endValue - startValue ) * distance + startValue, prop );
					}
				} );
				return this[ spaceName ]( result );
			},
			blend: function( opaque ) {

				// if we are already opaque - return ourself
				if ( this._rgba[ 3 ] === 1 ) {
					return this;
				}

				var rgb = this._rgba.slice(),
					a = rgb.pop(),
					blend = color( opaque )._rgba;

				return color( jQuery.map( rgb, function( v, i ) {
					return ( 1 - a ) * blend[ i ] + a * v;
				} ) );
			},
			toRgbaString: function() {
				var prefix = "rgba(",
					rgba = jQuery.map( this._rgba, function( v, i ) {
						if ( v != null ) {
							return v;
						}
						return i > 2 ? 1 : 0;
					} );

				if ( rgba[ 3 ] === 1 ) {
					rgba.pop();
					prefix = "rgb(";
				}

				return prefix + rgba.join() + ")";
			},
			toHslaString: function() {
				var prefix = "hsla(",
					hsla = jQuery.map( this.hsla(), function( v, i ) {
						if ( v == null ) {
							v = i > 2 ? 1 : 0;
						}

						// catch 1 and 2
						if ( i && i < 3 ) {
							v = Math.round( v * 100 ) + "%";
						}
						return v;
					} );

				if ( hsla[ 3 ] === 1 ) {
					hsla.pop();
					prefix = "hsl(";
				}
				return prefix + hsla.join() + ")";
			},
			toHexString: function( includeAlpha ) {
				var rgba = this._rgba.slice(),
					alpha = rgba.pop();

				if ( includeAlpha ) {
					rgba.push( ~~( alpha * 255 ) );
				}

				return "#" + jQuery.map( rgba, function( v ) {

					// default to 0 when nulls exist
					v = ( v || 0 ).toString( 16 );
					return v.length === 1 ? "0" + v : v;
				} ).join( "" );
			},
			toString: function() {
				return this._rgba[ 3 ] === 0 ? "transparent" : this.toRgbaString();
			}
		} );
		color.fn.parse.prototype = color.fn;

// hsla conversions adapted from:
// https://code.google.com/p/maashaack/source/browse/packages/graphics/trunk/src/graphics/colors/HUE2RGB.as?r=5021

		function hue2rgb( p, q, h ) {
			h = ( h + 1 ) % 1;
			if ( h * 6 < 1 ) {
				return p + ( q - p ) * h * 6;
			}
			if ( h * 2 < 1 ) {
				return q;
			}
			if ( h * 3 < 2 ) {
				return p + ( q - p ) * ( ( 2 / 3 ) - h ) * 6;
			}
			return p;
		}

		spaces.hsla.to = function( rgba ) {
			if ( rgba[ 0 ] == null || rgba[ 1 ] == null || rgba[ 2 ] == null ) {
				return [ null, null, null, rgba[ 3 ] ];
			}
			var r = rgba[ 0 ] / 255,
				g = rgba[ 1 ] / 255,
				b = rgba[ 2 ] / 255,
				a = rgba[ 3 ],
				max = Math.max( r, g, b ),
				min = Math.min( r, g, b ),
				diff = max - min,
				add = max + min,
				l = add * 0.5,
				h, s;

			if ( min === max ) {
				h = 0;
			} else if ( r === max ) {
				h = ( 60 * ( g - b ) / diff ) + 360;
			} else if ( g === max ) {
				h = ( 60 * ( b - r ) / diff ) + 120;
			} else {
				h = ( 60 * ( r - g ) / diff ) + 240;
			}

			// chroma (diff) == 0 means greyscale which, by definition, saturation = 0%
			// otherwise, saturation is based on the ratio of chroma (diff) to lightness (add)
			if ( diff === 0 ) {
				s = 0;
			} else if ( l <= 0.5 ) {
				s = diff / add;
			} else {
				s = diff / ( 2 - add );
			}
			return [ Math.round( h ) % 360, s, l, a == null ? 1 : a ];
		};

		spaces.hsla.from = function( hsla ) {
			if ( hsla[ 0 ] == null || hsla[ 1 ] == null || hsla[ 2 ] == null ) {
				return [ null, null, null, hsla[ 3 ] ];
			}
			var h = hsla[ 0 ] / 360,
				s = hsla[ 1 ],
				l = hsla[ 2 ],
				a = hsla[ 3 ],
				q = l <= 0.5 ? l * ( 1 + s ) : l + s - l * s,
				p = 2 * l - q;

			return [
				Math.round( hue2rgb( p, q, h + ( 1 / 3 ) ) * 255 ),
				Math.round( hue2rgb( p, q, h ) * 255 ),
				Math.round( hue2rgb( p, q, h - ( 1 / 3 ) ) * 255 ),
				a
			];
		};


		each( spaces, function( spaceName, space ) {
			var props = space.props,
				cache = space.cache,
				to = space.to,
				from = space.from;

			// makes rgba() and hsla()
			color.fn[ spaceName ] = function( value ) {

				// generate a cache for this space if it doesn't exist
				if ( to && !this[ cache ] ) {
					this[ cache ] = to( this._rgba );
				}
				if ( value === undefined ) {
					return this[ cache ].slice();
				}

				var ret,
					type = getType( value ),
					arr = ( type === "array" || type === "object" ) ? value : arguments,
					local = this[ cache ].slice();

				each( props, function( key, prop ) {
					var val = arr[ type === "object" ? key : prop.idx ];
					if ( val == null ) {
						val = local[ prop.idx ];
					}
					local[ prop.idx ] = clamp( val, prop );
				} );

				if ( from ) {
					ret = color( from( local ) );
					ret[ cache ] = local;
					return ret;
				} else {
					return color( local );
				}
			};

			// makes red() green() blue() alpha() hue() saturation() lightness()
			each( props, function( key, prop ) {

				// alpha is included in more than one space
				if ( color.fn[ key ] ) {
					return;
				}
				color.fn[ key ] = function( value ) {
					var local, cur, match, fn,
						vtype = getType( value );

					if ( key === "alpha" ) {
						fn = this._hsla ? "hsla" : "rgba";
					} else {
						fn = spaceName;
					}
					local = this[ fn ]();
					cur = local[ prop.idx ];

					if ( vtype === "undefined" ) {
						return cur;
					}

					if ( vtype === "function" ) {
						value = value.call( this, cur );
						vtype = getType( value );
					}
					if ( value == null && prop.empty ) {
						return this;
					}
					if ( vtype === "string" ) {
						match = rplusequals.exec( value );
						if ( match ) {
							value = cur + parseFloat( match[ 2 ] ) * ( match[ 1 ] === "+" ? 1 : -1 );
						}
					}
					local[ prop.idx ] = value;
					return this[ fn ]( local );
				};
			} );
		} );

// add cssHook and .fx.step function for each named hook.
// accept a space separated string of properties
		color.hook = function( hook ) {
			var hooks = hook.split( " " );
			each( hooks, function( _i, hook ) {
				jQuery.cssHooks[ hook ] = {
					set: function( elem, value ) {
						var parsed, curElem,
							backgroundColor = "";

						if ( value !== "transparent" && ( getType( value ) !== "string" || ( parsed = stringParse( value ) ) ) ) {
							value = color( parsed || value );
							if ( !support.rgba && value._rgba[ 3 ] !== 1 ) {
								curElem = hook === "backgroundColor" ? elem.parentNode : elem;
								while (
									( backgroundColor === "" || backgroundColor === "transparent" ) &&
									curElem && curElem.style
									) {
									try {
										backgroundColor = jQuery.css( curElem, "backgroundColor" );
										curElem = curElem.parentNode;
									} catch ( e ) {
									}
								}

								value = value.blend( backgroundColor && backgroundColor !== "transparent" ?
									backgroundColor :
									"_default" );
							}

							value = value.toRgbaString();
						}
						try {
							elem.style[ hook ] = value;
						} catch ( e ) {

							// wrapped to prevent IE from throwing errors on "invalid" values like 'auto' or 'inherit'
						}
					}
				};
				jQuery.fx.step[ hook ] = function( fx ) {
					if ( !fx.colorInit ) {
						fx.start = color( fx.elem, hook );
						fx.end = color( fx.end );
						fx.colorInit = true;
					}
					jQuery.cssHooks[ hook ].set( fx.elem, fx.start.transition( fx.end, fx.pos ) );
				};
			} );

		};

		color.hook( stepHooks );

		jQuery.cssHooks.borderColor = {
			expand: function( value ) {
				var expanded = {};

				each( [ "Top", "Right", "Bottom", "Left" ], function( _i, part ) {
					expanded[ "border" + part + "Color" ] = value;
				} );
				return expanded;
			}
		};

// Basic color names only.
// Usage of any of the other color names requires adding yourself or including
// jquery.color.svg-names.js.
		colors = jQuery.Color.names = {

			// 4.1. Basic color keywords
			aqua: "#00ffff",
			black: "#000000",
			blue: "#0000ff",
			fuchsia: "#ff00ff",
			gray: "#808080",
			green: "#008000",
			lime: "#00ff00",
			maroon: "#800000",
			navy: "#000080",
			olive: "#808000",
			purple: "#800080",
			red: "#ff0000",
			silver: "#c0c0c0",
			teal: "#008080",
			white: "#ffffff",
			yellow: "#ffff00",

			// 4.2.3. "transparent" color keyword
			transparent: [ null, null, null, 0 ],

			_default: "#ffffff"
		};


		/*!
 * jQuery UI Effects 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Effects Core
//>>group: Effects
		/* eslint-disable max-len */
//>>description: Extends the internal jQuery effects. Includes morphing and easing. Required by all other effects.
		/* eslint-enable max-len */
//>>docs: http://api.jqueryui.com/category/effects-core/
//>>demos: http://jqueryui.com/effect/


		var dataSpace = "ui-effects-",
			dataSpaceStyle = "ui-effects-style",
			dataSpaceAnimated = "ui-effects-animated";

		$.effects = {
			effect: {}
		};

		/******************************************************************************/
		/****************************** CLASS ANIMATIONS ******************************/
		/******************************************************************************/
		( function() {

			var classAnimationActions = [ "add", "remove", "toggle" ],
				shorthandStyles = {
					border: 1,
					borderBottom: 1,
					borderColor: 1,
					borderLeft: 1,
					borderRight: 1,
					borderTop: 1,
					borderWidth: 1,
					margin: 1,
					padding: 1
				};

			$.each(
				[ "borderLeftStyle", "borderRightStyle", "borderBottomStyle", "borderTopStyle" ],
				function( _, prop ) {
					$.fx.step[ prop ] = function( fx ) {
						if ( fx.end !== "none" && !fx.setAttr || fx.pos === 1 && !fx.setAttr ) {
							jQuery.style( fx.elem, prop, fx.end );
							fx.setAttr = true;
						}
					};
				}
			);

			function camelCase( string ) {
				return string.replace( /-([\da-z])/gi, function( all, letter ) {
					return letter.toUpperCase();
				} );
			}

			function getElementStyles( elem ) {
				var key, len,
					style = elem.ownerDocument.defaultView ?
						elem.ownerDocument.defaultView.getComputedStyle( elem, null ) :
						elem.currentStyle,
					styles = {};

				if ( style && style.length && style[ 0 ] && style[ style[ 0 ] ] ) {
					len = style.length;
					while ( len-- ) {
						key = style[ len ];
						if ( typeof style[ key ] === "string" ) {
							styles[ camelCase( key ) ] = style[ key ];
						}
					}

					// Support: Opera, IE <9
				} else {
					for ( key in style ) {
						if ( typeof style[ key ] === "string" ) {
							styles[ key ] = style[ key ];
						}
					}
				}

				return styles;
			}

			function styleDifference( oldStyle, newStyle ) {
				var diff = {},
					name, value;

				for ( name in newStyle ) {
					value = newStyle[ name ];
					if ( oldStyle[ name ] !== value ) {
						if ( !shorthandStyles[ name ] ) {
							if ( $.fx.step[ name ] || !isNaN( parseFloat( value ) ) ) {
								diff[ name ] = value;
							}
						}
					}
				}

				return diff;
			}

// Support: jQuery <1.8
			if ( !$.fn.addBack ) {
				$.fn.addBack = function( selector ) {
					return this.add( selector == null ?
						this.prevObject : this.prevObject.filter( selector )
					);
				};
			}

			$.effects.animateClass = function( value, duration, easing, callback ) {
				var o = $.speed( duration, easing, callback );

				return this.queue( function() {
					var animated = $( this ),
						baseClass = animated.attr( "class" ) || "",
						applyClassChange,
						allAnimations = o.children ? animated.find( "*" ).addBack() : animated;

					// Map the animated objects to store the original styles.
					allAnimations = allAnimations.map( function() {
						var el = $( this );
						return {
							el: el,
							start: getElementStyles( this )
						};
					} );

					// Apply class change
					applyClassChange = function() {
						$.each( classAnimationActions, function( i, action ) {
							if ( value[ action ] ) {
								animated[ action + "Class" ]( value[ action ] );
							}
						} );
					};
					applyClassChange();

					// Map all animated objects again - calculate new styles and diff
					allAnimations = allAnimations.map( function() {
						this.end = getElementStyles( this.el[ 0 ] );
						this.diff = styleDifference( this.start, this.end );
						return this;
					} );

					// Apply original class
					animated.attr( "class", baseClass );

					// Map all animated objects again - this time collecting a promise
					allAnimations = allAnimations.map( function() {
						var styleInfo = this,
							dfd = $.Deferred(),
							opts = $.extend( {}, o, {
								queue: false,
								complete: function() {
									dfd.resolve( styleInfo );
								}
							} );

						this.el.animate( this.diff, opts );
						return dfd.promise();
					} );

					// Once all animations have completed:
					$.when.apply( $, allAnimations.get() ).done( function() {

						// Set the final class
						applyClassChange();

						// For each animated element,
						// clear all css properties that were animated
						$.each( arguments, function() {
							var el = this.el;
							$.each( this.diff, function( key ) {
								el.css( key, "" );
							} );
						} );

						// This is guarnteed to be there if you use jQuery.speed()
						// it also handles dequeuing the next anim...
						o.complete.call( animated[ 0 ] );
					} );
				} );
			};

			$.fn.extend( {
				addClass: ( function( orig ) {
					return function( classNames, speed, easing, callback ) {
						return speed ?
							$.effects.animateClass.call( this,
								{ add: classNames }, speed, easing, callback ) :
							orig.apply( this, arguments );
					};
				} )( $.fn.addClass ),

				removeClass: ( function( orig ) {
					return function( classNames, speed, easing, callback ) {
						return arguments.length > 1 ?
							$.effects.animateClass.call( this,
								{ remove: classNames }, speed, easing, callback ) :
							orig.apply( this, arguments );
					};
				} )( $.fn.removeClass ),

				toggleClass: ( function( orig ) {
					return function( classNames, force, speed, easing, callback ) {
						if ( typeof force === "boolean" || force === undefined ) {
							if ( !speed ) {

								// Without speed parameter
								return orig.apply( this, arguments );
							} else {
								return $.effects.animateClass.call( this,
									( force ? { add: classNames } : { remove: classNames } ),
									speed, easing, callback );
							}
						} else {

							// Without force parameter
							return $.effects.animateClass.call( this,
								{ toggle: classNames }, force, speed, easing );
						}
					};
				} )( $.fn.toggleClass ),

				switchClass: function( remove, add, speed, easing, callback ) {
					return $.effects.animateClass.call( this, {
						add: add,
						remove: remove
					}, speed, easing, callback );
				}
			} );

		} )();

		/******************************************************************************/
		/*********************************** EFFECTS **********************************/
		/******************************************************************************/

		( function() {

			if ( $.expr && $.expr.pseudos && $.expr.pseudos.animated ) {
				$.expr.pseudos.animated = ( function( orig ) {
					return function( elem ) {
						return !!$( elem ).data( dataSpaceAnimated ) || orig( elem );
					};
				} )( $.expr.pseudos.animated );
			}

			if ( $.uiBackCompat !== false ) {
				$.extend( $.effects, {

					// Saves a set of properties in a data storage
					save: function( element, set ) {
						var i = 0, length = set.length;
						for ( ; i < length; i++ ) {
							if ( set[ i ] !== null ) {
								element.data( dataSpace + set[ i ], element[ 0 ].style[ set[ i ] ] );
							}
						}
					},

					// Restores a set of previously saved properties from a data storage
					restore: function( element, set ) {
						var val, i = 0, length = set.length;
						for ( ; i < length; i++ ) {
							if ( set[ i ] !== null ) {
								val = element.data( dataSpace + set[ i ] );
								element.css( set[ i ], val );
							}
						}
					},

					setMode: function( el, mode ) {
						if ( mode === "toggle" ) {
							mode = el.is( ":hidden" ) ? "show" : "hide";
						}
						return mode;
					},

					// Wraps the element around a wrapper that copies position properties
					createWrapper: function( element ) {

						// If the element is already wrapped, return it
						if ( element.parent().is( ".ui-effects-wrapper" ) ) {
							return element.parent();
						}

						// Wrap the element
						var props = {
								width: parseInt(element.css("width")) + parseInt(element.css("padding-left")) + parseInt(element.css("padding-right")) + parseInt(element.css("margin-left")) + parseInt(element.css("margin-right")),
								height: parseInt(element.css("heigth")) + parseInt(element.css("padding-top")) + parseInt(element.css("padding-bottom")) + parseInt(element.css("margin-top")) + parseInt(element.css("margin-bottom")),
								"float": element.css( "float" )
							},
							wrapper = $( "<div></div>" )
								.addClass( "ui-effects-wrapper" )
								.css( {
									fontSize: "100%",
									background: "transparent",
									border: "none",
									margin: 0,
									padding: 0
								} ),

							// Store the size in case width/height are defined in % - Fixes #5245
							size = {
								width: parseInt(element.css("width")),
								height: parseInt(element.css("height")),
							},
							active = document.activeElement;

						// Support: Firefox
						// Firefox incorrectly exposes anonymous content
						// https://bugzilla.mozilla.org/show_bug.cgi?id=561664
						try {
							// eslint-disable-next-line no-unused-expressions
							active.id;
						} catch ( e ) {
							active = document.body;
						}

						element.wrap( wrapper );

						// Fixes #7595 - Elements lose focus when wrapped.
						if ( element[ 0 ] === active || $.contains( element[ 0 ], active ) ) {
							$( active ).trigger( "focus" );
						}

						// Hotfix for jQuery 1.4 since some change in wrap() seems to actually
						// lose the reference to the wrapped element
						wrapper = element.parent();

						// Transfer positioning properties to the wrapper
						if ( element.css( "position" ) === "static" ) {
							wrapper.css( { position: "relative" } );
							element.css( { position: "relative" } );
						} else {
							$.extend( props, {
								position: element.css( "position" ),
								zIndex: element.css( "z-index" )
							} );
							$.each( [ "top", "left", "bottom", "right" ], function( i, pos ) {
								props[ pos ] = element.css( pos );
								if ( isNaN( parseInt( props[ pos ], 10 ) ) ) {
									props[ pos ] = "auto";
								}
							} );
							element.css( {
								position: "relative",
								top: 0,
								left: 0,
								right: "auto",
								bottom: "auto"
							} );
						}
						element.css( size );

						return wrapper.css( props ).show();
					},

					removeWrapper: function( element ) {
						var active = document.activeElement;

						if ( element.parent().is( ".ui-effects-wrapper" ) ) {
							element.parent().replaceWith( element );

							// Fixes #7595 - Elements lose focus when wrapped.
							if ( element[ 0 ] === active || $.contains( element[ 0 ], active ) ) {
								$( active ).trigger( "focus" );
							}
						}

						return element;
					}
				} );
			}

			$.extend( $.effects, {
				version: "1.13.2",

				define: function( name, mode, effect ) {
					if ( !effect ) {
						effect = mode;
						mode = "effect";
					}

					$.effects.effect[ name ] = effect;
					$.effects.effect[ name ].mode = mode;

					return effect;
				},

				scaledDimensions: function( element, percent, direction ) {
					if ( percent === 0 ) {
						return {
							height: 0,
							width: 0,
							outerHeight: 0,
							outerWidth: 0
						};
					}

					var x = direction !== "horizontal" ? ( ( percent || 100 ) / 100 ) : 1,
						y = direction !== "vertical" ? ( ( percent || 100 ) / 100 ) : 1;

					return {
						height: parseInt(element.css("height")) * y,
						width: parseInt(element.css("width")) * x,
						outerHeight: (parseInt(element.css("heigth")) + parseInt(element.css("padding-top")) + parseInt(element.css("padding-bottom"))) * y,
						outerWidth: (parseInt(element.css("width")) + parseInt(element.css("padding-left")) + parseInt(element.css("padding-right"))) * x
					};

				},

				clipToBox: function( animation ) {
					return {
						width: animation.clip.right - animation.clip.left,
						height: animation.clip.bottom - animation.clip.top,
						left: animation.clip.left,
						top: animation.clip.top
					};
				},

				// Injects recently queued functions to be first in line (after "inprogress")
				unshift: function( element, queueLength, count ) {
					var queue = element.queue();

					if ( queueLength > 1 ) {
						queue.splice.apply( queue,
							[ 1, 0 ].concat( queue.splice( queueLength, count ) ) );
					}
					element.dequeue();
				},

				saveStyle: function( element ) {
					element.data( dataSpaceStyle, element[ 0 ].style.cssText );
				},

				restoreStyle: function( element ) {
					element[ 0 ].style.cssText = element.data( dataSpaceStyle ) || "";
					element.removeData( dataSpaceStyle );
				},

				mode: function( element, mode ) {
					var hidden = element.is( ":hidden" );

					if ( mode === "toggle" ) {
						mode = hidden ? "show" : "hide";
					}
					if ( hidden ? mode === "hide" : mode === "show" ) {
						mode = "none";
					}
					return mode;
				},

				// Translates a [top,left] array into a baseline value
				getBaseline: function( origin, original ) {
					var y, x;

					switch ( origin[ 0 ] ) {
						case "top":
							y = 0;
							break;
						case "middle":
							y = 0.5;
							break;
						case "bottom":
							y = 1;
							break;
						default:
							y = origin[ 0 ] / original.height;
					}

					switch ( origin[ 1 ] ) {
						case "left":
							x = 0;
							break;
						case "center":
							x = 0.5;
							break;
						case "right":
							x = 1;
							break;
						default:
							x = origin[ 1 ] / original.width;
					}

					return {
						x: x,
						y: y
					};
				},

				// Creates a placeholder element so that the original element can be made absolute
				createPlaceholder: function( element ) {
					var placeholder,
						cssPosition = element.css( "position" ),
						position = element.position();

					// Lock in margins first to account for form elements, which
					// will change margin if you explicitly set height
					// see: http://jsfiddle.net/JZSMt/3/ https://bugs.webkit.org/show_bug.cgi?id=107380
					// Support: Safari
					element.css( {
						marginTop: element.css( "marginTop" ),
						marginBottom: element.css( "marginBottom" ),
						marginLeft: element.css( "marginLeft" ),
						marginRight: element.css( "marginRight" )
					} )
						.css("width", parseInt(element.css("width")))
						.css("padding-left", parseInt(element.css("padding-left")))
						.css("padding-right", parseInt(element.css("padding-right")) )
						.css("height", parseInt(element.css("heigth")))
						.css("padding-top", parseInt(element.css("padding-top")))
						.css("padding-bottom", parseInt(element.css("padding-bottom")) );

					if ( /^(static|relative)/.test( cssPosition ) ) {
						cssPosition = "absolute";

						placeholder = $( "<" + element[ 0 ].nodeName + ">" ).insertAfter( element ).css( {

							// Convert inline to inline block to account for inline elements
							// that turn to inline block based on content (like img)
							display: /^(inline|ruby)/.test( element.css( "display" ) ) ?
								"inline-block" :
								"block",
							visibility: "hidden",

							// Margins need to be set to account for margin collapse
							marginTop: element.css( "marginTop" ),
							marginBottom: element.css( "marginBottom" ),
							marginLeft: element.css( "marginLeft" ),
							marginRight: element.css( "marginRight" ),
							"float": element.css( "float" )
						} )
							.css("width", parseInt(element.css("width")))
							.css("padding-left", parseInt(element.css("padding-left")))
							.css("padding-right", parseInt(element.css("padding-right")) )
							.css("height", parseInt(element.css("heigth")))
							.css("padding-top", parseInt(element.css("padding-top")))
							.css("padding-bottom", parseInt(element.css("padding-bottom")) )
							.addClass( "ui-effects-placeholder" );

						element.data( dataSpace + "placeholder", placeholder );
					}

					element.css( {
						position: cssPosition,
						left: position.left,
						top: position.top
					} );

					return placeholder;
				},

				removePlaceholder: function( element ) {
					var dataKey = dataSpace + "placeholder",
						placeholder = element.data( dataKey );

					if ( placeholder ) {
						placeholder.remove();
						element.removeData( dataKey );
					}
				},

				// Removes a placeholder if it exists and restores
				// properties that were modified during placeholder creation
				cleanUp: function( element ) {
					$.effects.restoreStyle( element );
					$.effects.removePlaceholder( element );
				},

				setTransition: function( element, list, factor, value ) {
					value = value || {};
					$.each( list, function( i, x ) {
						var unit = element.cssUnit( x );
						if ( unit[ 0 ] > 0 ) {
							value[ x ] = unit[ 0 ] * factor + unit[ 1 ];
						}
					} );
					return value;
				}
			} );

// Return an effect options object for the given parameters:
			function _normalizeArguments( effect, options, speed, callback ) {

				// Allow passing all options as the first parameter
				if ( $.isPlainObject( effect ) ) {
					options = effect;
					effect = effect.effect;
				}

				// Convert to an object
				effect = { effect: effect };

				// Catch (effect, null, ...)
				if ( options == null ) {
					options = {};
				}

				// Catch (effect, callback)
				if ( typeof options === "function" ) {
					callback = options;
					speed = null;
					options = {};
				}

				// Catch (effect, speed, ?)
				if ( typeof options === "number" || $.fx.speeds[ options ] ) {
					callback = speed;
					speed = options;
					options = {};
				}

				// Catch (effect, options, callback)
				if ( typeof speed === "function" ) {
					callback = speed;
					speed = null;
				}

				// Add options to effect
				if ( options ) {
					$.extend( effect, options );
				}

				speed = speed || options.duration;
				effect.duration = $.fx.off ? 0 :
					typeof speed === "number" ? speed :
						speed in $.fx.speeds ? $.fx.speeds[ speed ] :
							$.fx.speeds._default;

				effect.complete = callback || options.complete;

				return effect;
			}

			function standardAnimationOption( option ) {

				// Valid standard speeds (nothing, number, named speed)
				if ( !option || typeof option === "number" || $.fx.speeds[ option ] ) {
					return true;
				}

				// Invalid strings - treat as "normal" speed
				if ( typeof option === "string" && !$.effects.effect[ option ] ) {
					return true;
				}

				// Complete callback
				if ( typeof option === "function" ) {
					return true;
				}

				// Options hash (but not naming an effect)
				if ( typeof option === "object" && !option.effect ) {
					return true;
				}

				// Didn't match any standard API
				return false;
			}

			$.fn.extend( {
				effect: function( /* effect, options, speed, callback */ ) {
					var args = _normalizeArguments.apply( this, arguments ),
						effectMethod = $.effects.effect[ args.effect ],
						defaultMode = effectMethod.mode,
						queue = args.queue,
						queueName = queue || "fx",
						complete = args.complete,
						mode = args.mode,
						modes = [],
						prefilter = function( next ) {
							var el = $( this ),
								normalizedMode = $.effects.mode( el, mode ) || defaultMode;

							// Sentinel for duck-punching the :animated pseudo-selector
							el.data( dataSpaceAnimated, true );

							// Save effect mode for later use,
							// we can't just call $.effects.mode again later,
							// as the .show() below destroys the initial state
							modes.push( normalizedMode );

							// See $.uiBackCompat inside of run() for removal of defaultMode in 1.14
							if ( defaultMode && ( normalizedMode === "show" ||
								( normalizedMode === defaultMode && normalizedMode === "hide" ) ) ) {
								el.show();
							}

							if ( !defaultMode || normalizedMode !== "none" ) {
								$.effects.saveStyle( el );
							}

							if ( typeof next === "function" ) {
								next();
							}
						};

					if ( $.fx.off || !effectMethod ) {

						// Delegate to the original method (e.g., .show()) if possible
						if ( mode ) {
							return this[ mode ]( args.duration, complete );
						} else {
							return this.each( function() {
								if ( complete ) {
									complete.call( this );
								}
							} );
						}
					}

					function run( next ) {
						var elem = $( this );

						function cleanup() {
							elem.removeData( dataSpaceAnimated );

							$.effects.cleanUp( elem );

							if ( args.mode === "hide" ) {
								elem.hide();
							}

							done();
						}

						function done() {
							if ( typeof complete === "function" ) {
								complete.call( elem[ 0 ] );
							}

							if ( typeof next === "function" ) {
								next();
							}
						}

						// Override mode option on a per element basis,
						// as toggle can be either show or hide depending on element state
						args.mode = modes.shift();

						if ( $.uiBackCompat !== false && !defaultMode ) {
							if ( elem.is( ":hidden" ) ? mode === "hide" : mode === "show" ) {

								// Call the core method to track "olddisplay" properly
								elem[ mode ]();
								done();
							} else {
								effectMethod.call( elem[ 0 ], args, done );
							}
						} else {
							if ( args.mode === "none" ) {

								// Call the core method to track "olddisplay" properly
								elem[ mode ]();
								done();
							} else {
								effectMethod.call( elem[ 0 ], args, cleanup );
							}
						}
					}

					// Run prefilter on all elements first to ensure that
					// any showing or hiding happens before placeholder creation,
					// which ensures that any layout changes are correctly captured.
					return queue === false ?
						this.each( prefilter ).each( run ) :
						this.queue( queueName, prefilter ).queue( queueName, run );
				},

				show: ( function( orig ) {
					return function( option ) {
						if ( standardAnimationOption( option ) ) {
							return orig.apply( this, arguments );
						} else {
							var args = _normalizeArguments.apply( this, arguments );
							args.mode = "show";
							return this.effect.call( this, args );
						}
					};
				} )( $.fn.show ),

				hide: ( function( orig ) {
					return function( option ) {
						if ( standardAnimationOption( option ) ) {
							return orig.apply( this, arguments );
						} else {
							var args = _normalizeArguments.apply( this, arguments );
							args.mode = "hide";
							return this.effect.call( this, args );
						}
					};
				} )( $.fn.hide ),

				toggle: ( function( orig ) {
					return function( option ) {
						if ( standardAnimationOption( option ) || typeof option === "boolean" ) {
							return orig.apply( this, arguments );
						} else {
							var args = _normalizeArguments.apply( this, arguments );
							args.mode = "toggle";
							return this.effect.call( this, args );
						}
					};
				} )( $.fn.toggle ),

				cssUnit: function( key ) {
					var style = this.css( key ),
						val = [];

					$.each( [ "em", "px", "%", "pt" ], function( i, unit ) {
						if ( style.indexOf( unit ) > 0 ) {
							val = [ parseFloat( style ), unit ];
						}
					} );
					return val;
				},

				cssClip: function( clipObj ) {
					if ( clipObj ) {
						return this.css( "clip", "rect(" + clipObj.top + "px " + clipObj.right + "px " +
							clipObj.bottom + "px " + clipObj.left + "px)" );
					}
					return parseClip( this.css( "clip" ), this );
				},

				transfer: function( options, done ) {
					var element = $( this ),
						target = $( options.to ),
						targetFixed = target.css( "position" ) === "fixed",
						body = $( "body" ),
						fixTop = targetFixed ? body.scrollTop() : 0,
						fixLeft = targetFixed ? body.scrollLeft() : 0,
						endPosition = target.offset(),
						animation = {
							top: endPosition.top - fixTop,
							left: endPosition.left - fixLeft,
							height: parseInt(target.css("height"))-parseInt(target.css("padding-top"))-parseInt(target.css("padding-bottom")),
							width: parseInt(target.css("width"))-parseInt(target.css("padding-left"))-parseInt(target.css("padding-right"))
						},
						startPosition = element.offset(),
						transfer = $( "<div class='ui-effects-transfer'></div>" );

					transfer
						.appendTo( "body" )
						.addClass( options.className )
						.css( {
							top: startPosition.top - fixTop,
							left: startPosition.left - fixLeft,
							height: parseInt(element.css("height"))-parseInt(element.css("padding-top"))-parseInt(element.css("padding-bottom")),
							width: parseInt(element.css("width"))-parseInt(element.css("padding-left"))-parseInt(element.css("padding-right")),
							position: targetFixed ? "fixed" : "absolute"
						} )
						.animate( animation, options.duration, options.easing, function() {
							transfer.remove();
							if ( typeof done === "function" ) {
								done();
							}
						} );
				}
			} );

			function parseClip( str, element ) {
				var outerWidth = parseInt(element.css("width")) + parseInt(element.css("padding-left")) + parseInt(element.css("padding-right")),
					outerHeight = parseInt(element.css("height"))+parseInt(element.css("padding-top"))+parseInt(element.css("padding-bottom")),
					clipRegex = /^rect\((-?\d*\.?\d*px|-?\d+%|auto),?\s*(-?\d*\.?\d*px|-?\d+%|auto),?\s*(-?\d*\.?\d*px|-?\d+%|auto),?\s*(-?\d*\.?\d*px|-?\d+%|auto)\)$/,
					values = clipRegex.exec( str ) || [ "", 0, outerWidth, outerHeight, 0 ];

				return {
					top: parseFloat( values[ 1 ] ) || 0,
					right: values[ 2 ] === "auto" ? outerWidth : parseFloat( values[ 2 ] ),
					bottom: values[ 3 ] === "auto" ? outerHeight : parseFloat( values[ 3 ] ),
					left: parseFloat( values[ 4 ] ) || 0
				};
			}

			$.fx.step.clip = function( fx ) {
				if ( !fx.clipInit ) {
					fx.start = $( fx.elem ).cssClip();
					if ( typeof fx.end === "string" ) {
						fx.end = parseClip( fx.end, fx.elem );
					}
					fx.clipInit = true;
				}

				$( fx.elem ).cssClip( {
					top: fx.pos * ( fx.end.top - fx.start.top ) + fx.start.top,
					right: fx.pos * ( fx.end.right - fx.start.right ) + fx.start.right,
					bottom: fx.pos * ( fx.end.bottom - fx.start.bottom ) + fx.start.bottom,
					left: fx.pos * ( fx.end.left - fx.start.left ) + fx.start.left
				} );
			};

		} )();

		/******************************************************************************/
		/*********************************** EASING ***********************************/
		/******************************************************************************/

		( function() {

// Based on easing equations from Robert Penner (http://www.robertpenner.com/easing)

			var baseEasings = {};

			$.each( [ "Quad", "Cubic", "Quart", "Quint", "Expo" ], function( i, name ) {
				baseEasings[ name ] = function( p ) {
					return Math.pow( p, i + 2 );
				};
			} );

			$.extend( baseEasings, {
				Sine: function( p ) {
					return 1 - Math.cos( p * Math.PI / 2 );
				},
				Circ: function( p ) {
					return 1 - Math.sqrt( 1 - p * p );
				},
				Elastic: function( p ) {
					return p === 0 || p === 1 ? p :
						-Math.pow( 2, 8 * ( p - 1 ) ) * Math.sin( ( ( p - 1 ) * 80 - 7.5 ) * Math.PI / 15 );
				},
				Back: function( p ) {
					return p * p * ( 3 * p - 2 );
				},
				Bounce: function( p ) {
					var pow2,
						bounce = 4;

					while ( p < ( ( pow2 = Math.pow( 2, --bounce ) ) - 1 ) / 11 ) {}
					return 1 / Math.pow( 4, 3 - bounce ) - 7.5625 * Math.pow( ( pow2 * 3 - 2 ) / 22 - p, 2 );
				}
			} );

			$.each( baseEasings, function( name, easeIn ) {
				$.easing[ "easeIn" + name ] = easeIn;
				$.easing[ "easeOut" + name ] = function( p ) {
					return 1 - easeIn( 1 - p );
				};
				$.easing[ "easeInOut" + name ] = function( p ) {
					return p < 0.5 ?
						easeIn( p * 2 ) / 2 :
						1 - easeIn( p * -2 + 2 ) / 2;
				};
			} );

		} )();

		var effect = $.effects;


		/*!
 * jQuery UI Effects Blind 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Blind Effect
//>>group: Effects
//>>description: Blinds the element.
//>>docs: http://api.jqueryui.com/blind-effect/
//>>demos: http://jqueryui.com/effect/


		var effectsEffectBlind = $.effects.define( "blind", "hide", function( options, done ) {
			var map = {
					up: [ "bottom", "top" ],
					vertical: [ "bottom", "top" ],
					down: [ "top", "bottom" ],
					left: [ "right", "left" ],
					horizontal: [ "right", "left" ],
					right: [ "left", "right" ]
				},
				element = $( this ),
				direction = options.direction || "up",
				start = element.cssClip(),
				animate = { clip: $.extend( {}, start ) },
				placeholder = $.effects.createPlaceholder( element );

			animate.clip[ map[ direction ][ 0 ] ] = animate.clip[ map[ direction ][ 1 ] ];

			if ( options.mode === "show" ) {
				element.cssClip( animate.clip );
				if ( placeholder ) {
					placeholder.css( $.effects.clipToBox( animate ) );
				}

				animate.clip = start;
			}

			if ( placeholder ) {
				placeholder.animate( $.effects.clipToBox( animate ), options.duration, options.easing );
			}

			element.animate( animate, {
				queue: false,
				duration: options.duration,
				easing: options.easing,
				complete: done
			} );
		} );


		/*!
 * jQuery UI Effects Bounce 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Bounce Effect
//>>group: Effects
//>>description: Bounces an element horizontally or vertically n times.
//>>docs: http://api.jqueryui.com/bounce-effect/
//>>demos: http://jqueryui.com/effect/


		var effectsEffectBounce = $.effects.define( "bounce", function( options, done ) {
			var upAnim, downAnim, refValue,
				element = $( this ),

				// Defaults:
				mode = options.mode,
				hide = mode === "hide",
				show = mode === "show",
				direction = options.direction || "up",
				distance = options.distance,
				times = options.times || 5,

				// Number of internal animations
				anims = times * 2 + ( show || hide ? 1 : 0 ),
				speed = options.duration / anims,
				easing = options.easing,

				// Utility:
				ref = ( direction === "up" || direction === "down" ) ? "top" : "left",
				motion = ( direction === "up" || direction === "left" ),
				i = 0,

				queuelen = element.queue().length;

			$.effects.createPlaceholder( element );

			refValue = element.css( ref );

			// Default distance for the BIGGEST bounce is the outer Distance / 3
			if ( !distance ) {
				distance = element[ ref === "top" ? "outerHeight" : "outerWidth" ]() / 3;
			}

			if ( show ) {
				downAnim = { opacity: 1 };
				downAnim[ ref ] = refValue;

				// If we are showing, force opacity 0 and set the initial position
				// then do the "first" animation
				element
					.css( "opacity", 0 )
					.css( ref, motion ? -distance * 2 : distance * 2 )
					.animate( downAnim, speed, easing );
			}

			// Start at the smallest distance if we are hiding
			if ( hide ) {
				distance = distance / Math.pow( 2, times - 1 );
			}

			downAnim = {};
			downAnim[ ref ] = refValue;

			// Bounces up/down/left/right then back to 0 -- times * 2 animations happen here
			for ( ; i < times; i++ ) {
				upAnim = {};
				upAnim[ ref ] = ( motion ? "-=" : "+=" ) + distance;

				element
					.animate( upAnim, speed, easing )
					.animate( downAnim, speed, easing );

				distance = hide ? distance * 2 : distance / 2;
			}

			// Last Bounce when Hiding
			if ( hide ) {
				upAnim = { opacity: 0 };
				upAnim[ ref ] = ( motion ? "-=" : "+=" ) + distance;

				element.animate( upAnim, speed, easing );
			}

			element.queue( done );

			$.effects.unshift( element, queuelen, anims + 1 );
		} );


		/*!
 * jQuery UI Effects Clip 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Clip Effect
//>>group: Effects
//>>description: Clips the element on and off like an old TV.
//>>docs: http://api.jqueryui.com/clip-effect/
//>>demos: http://jqueryui.com/effect/


		var effectsEffectClip = $.effects.define( "clip", "hide", function( options, done ) {
			var start,
				animate = {},
				element = $( this ),
				direction = options.direction || "vertical",
				both = direction === "both",
				horizontal = both || direction === "horizontal",
				vertical = both || direction === "vertical";

			start = element.cssClip();
			animate.clip = {
				top: vertical ? ( start.bottom - start.top ) / 2 : start.top,
				right: horizontal ? ( start.right - start.left ) / 2 : start.right,
				bottom: vertical ? ( start.bottom - start.top ) / 2 : start.bottom,
				left: horizontal ? ( start.right - start.left ) / 2 : start.left
			};

			$.effects.createPlaceholder( element );

			if ( options.mode === "show" ) {
				element.cssClip( animate.clip );
				animate.clip = start;
			}

			element.animate( animate, {
				queue: false,
				duration: options.duration,
				easing: options.easing,
				complete: done
			} );

		} );


		/*!
 * jQuery UI Effects Drop 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Drop Effect
//>>group: Effects
//>>description: Moves an element in one direction and hides it at the same time.
//>>docs: http://api.jqueryui.com/drop-effect/
//>>demos: http://jqueryui.com/effect/


		var effectsEffectDrop = $.effects.define( "drop", "hide", function( options, done ) {

			var distance,
				element = $( this ),
				mode = options.mode,
				show = mode === "show",
				direction = options.direction || "left",
				ref = ( direction === "up" || direction === "down" ) ? "top" : "left",
				motion = ( direction === "up" || direction === "left" ) ? "-=" : "+=",
				oppositeMotion = ( motion === "+=" ) ? "-=" : "+=",
				animation = {
					opacity: 0
				};

			$.effects.createPlaceholder( element );

			distance = options.distance ||
				element[ ref === "top" ? "outerHeight" : "outerWidth" ]( true ) / 2;

			animation[ ref ] = motion + distance;

			if ( show ) {
				element.css( animation );

				animation[ ref ] = oppositeMotion + distance;
				animation.opacity = 1;
			}

			// Animate
			element.animate( animation, {
				queue: false,
				duration: options.duration,
				easing: options.easing,
				complete: done
			} );
		} );


		/*!
 * jQuery UI Effects Explode 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Explode Effect
//>>group: Effects
		/* eslint-disable max-len */
//>>description: Explodes an element in all directions into n pieces. Implodes an element to its original wholeness.
		/* eslint-enable max-len */
//>>docs: http://api.jqueryui.com/explode-effect/
//>>demos: http://jqueryui.com/effect/


		var effectsEffectExplode = $.effects.define( "explode", "hide", function( options, done ) {

			var i, j, left, top, mx, my,
				rows = options.pieces ? Math.round( Math.sqrt( options.pieces ) ) : 3,
				cells = rows,
				element = $( this ),
				mode = options.mode,
				show = mode === "show",

				// Show and then visibility:hidden the element before calculating offset
				offset = element.show().css( "visibility", "hidden" ).offset(),

				// Width and height of a piece
				width = Math.ceil( (parseInt(element.css("width")) + parseInt(element.css("padding-left")) + parseInt(element.css("padding-right"))) / cells ),
				height = Math.ceil( (parseInt(element.css("height"))+parseInt(element.css("padding-top"))+parseInt(element.css("padding-bottom"))) / rows ),
				pieces = [];

			// Children animate complete:
			function childComplete() {
				pieces.push( this );
				if ( pieces.length === rows * cells ) {
					animComplete();
				}
			}

			// Clone the element for each row and cell.
			for ( i = 0; i < rows; i++ ) { // ===>
				top = offset.top + i * height;
				my = i - ( rows - 1 ) / 2;

				for ( j = 0; j < cells; j++ ) { // |||
					left = offset.left + j * width;
					mx = j - ( cells - 1 ) / 2;

					// Create a clone of the now hidden main element that will be absolute positioned
					// within a wrapper div off the -left and -top equal to size of our pieces
					element
						.clone()
						.appendTo( "body" )
						.wrap( "<div></div>" )
						.css( {
							position: "absolute",
							visibility: "visible",
							left: -j * width,
							top: -i * height
						} )

						// Select the wrapper - make it overflow: hidden and absolute positioned based on
						// where the original was located +left and +top equal to the size of pieces
						.parent()
						.addClass( "ui-effects-explode" )
						.css( {
							position: "absolute",
							overflow: "hidden",
							width: width,
							height: height,
							left: left + ( show ? mx * width : 0 ),
							top: top + ( show ? my * height : 0 ),
							opacity: show ? 0 : 1
						} )
						.animate( {
							left: left + ( show ? 0 : mx * width ),
							top: top + ( show ? 0 : my * height ),
							opacity: show ? 1 : 0
						}, options.duration || 500, options.easing, childComplete );
				}
			}

			function animComplete() {
				element.css( {
					visibility: "visible"
				} );
				$( pieces ).remove();
				done();
			}
		} );


		/*!
 * jQuery UI Effects Fade 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Fade Effect
//>>group: Effects
//>>description: Fades the element.
//>>docs: http://api.jqueryui.com/fade-effect/
//>>demos: http://jqueryui.com/effect/


		var effectsEffectFade = $.effects.define( "fade", "toggle", function( options, done ) {
			var show = options.mode === "show";

			$( this )
				.css( "opacity", show ? 0 : 1 )
				.animate( {
					opacity: show ? 1 : 0
				}, {
					queue: false,
					duration: options.duration,
					easing: options.easing,
					complete: done
				} );
		} );


		/*!
 * jQuery UI Effects Fold 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Fold Effect
//>>group: Effects
//>>description: Folds an element first horizontally and then vertically.
//>>docs: http://api.jqueryui.com/fold-effect/
//>>demos: http://jqueryui.com/effect/


		var effectsEffectFold = $.effects.define( "fold", "hide", function( options, done ) {

			// Create element
			var element = $( this ),
				mode = options.mode,
				show = mode === "show",
				hide = mode === "hide",
				size = options.size || 15,
				percent = /([0-9]+)%/.exec( size ),
				horizFirst = !!options.horizFirst,
				ref = horizFirst ? [ "right", "bottom" ] : [ "bottom", "right" ],
				duration = options.duration / 2,

				placeholder = $.effects.createPlaceholder( element ),

				start = element.cssClip(),
				animation1 = { clip: $.extend( {}, start ) },
				animation2 = { clip: $.extend( {}, start ) },

				distance = [ start[ ref[ 0 ] ], start[ ref[ 1 ] ] ],

				queuelen = element.queue().length;

			if ( percent ) {
				size = parseInt( percent[ 1 ], 10 ) / 100 * distance[ hide ? 0 : 1 ];
			}
			animation1.clip[ ref[ 0 ] ] = size;
			animation2.clip[ ref[ 0 ] ] = size;
			animation2.clip[ ref[ 1 ] ] = 0;

			if ( show ) {
				element.cssClip( animation2.clip );
				if ( placeholder ) {
					placeholder.css( $.effects.clipToBox( animation2 ) );
				}

				animation2.clip = start;
			}

			// Animate
			element
				.queue( function( next ) {
					if ( placeholder ) {
						placeholder
							.animate( $.effects.clipToBox( animation1 ), duration, options.easing )
							.animate( $.effects.clipToBox( animation2 ), duration, options.easing );
					}

					next();
				} )
				.animate( animation1, duration, options.easing )
				.animate( animation2, duration, options.easing )
				.queue( done );

			$.effects.unshift( element, queuelen, 4 );
		} );


		/*!
 * jQuery UI Effects Highlight 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Highlight Effect
//>>group: Effects
//>>description: Highlights the background of an element in a defined color for a custom duration.
//>>docs: http://api.jqueryui.com/highlight-effect/
//>>demos: http://jqueryui.com/effect/


		var effectsEffectHighlight = $.effects.define( "highlight", "show", function( options, done ) {
			var element = $( this ),
				animation = {
					backgroundColor: element.css( "backgroundColor" )
				};

			if ( options.mode === "hide" ) {
				animation.opacity = 0;
			}

			$.effects.saveStyle( element );

			element
				.css( {
					backgroundImage: "none",
					backgroundColor: options.color || "#ffff99"
				} )
				.animate( animation, {
					queue: false,
					duration: options.duration,
					easing: options.easing,
					complete: done
				} );
		} );


		/*!
 * jQuery UI Effects Size 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Size Effect
//>>group: Effects
//>>description: Resize an element to a specified width and height.
//>>docs: http://api.jqueryui.com/size-effect/
//>>demos: http://jqueryui.com/effect/


		var effectsEffectSize = $.effects.define( "size", function( options, done ) {

			// Create element
			var baseline, factor, temp,
				element = $( this ),

				// Copy for children
				cProps = [ "fontSize" ],
				vProps = [ "borderTopWidth", "borderBottomWidth", "paddingTop", "paddingBottom" ],
				hProps = [ "borderLeftWidth", "borderRightWidth", "paddingLeft", "paddingRight" ],

				// Set options
				mode = options.mode,
				restore = mode !== "effect",
				scale = options.scale || "both",
				origin = options.origin || [ "middle", "center" ],
				position = element.css( "position" ),
				pos = element.position(),
				original = $.effects.scaledDimensions( element ),
				from = options.from || original,
				to = options.to || $.effects.scaledDimensions( element, 0 );

			$.effects.createPlaceholder( element );

			if ( mode === "show" ) {
				temp = from;
				from = to;
				to = temp;
			}

			// Set scaling factor
			factor = {
				from: {
					y: from.height / original.height,
					x: from.width / original.width
				},
				to: {
					y: to.height / original.height,
					x: to.width / original.width
				}
			};

			// Scale the css box
			if ( scale === "box" || scale === "both" ) {

				// Vertical props scaling
				if ( factor.from.y !== factor.to.y ) {
					from = $.effects.setTransition( element, vProps, factor.from.y, from );
					to = $.effects.setTransition( element, vProps, factor.to.y, to );
				}

				// Horizontal props scaling
				if ( factor.from.x !== factor.to.x ) {
					from = $.effects.setTransition( element, hProps, factor.from.x, from );
					to = $.effects.setTransition( element, hProps, factor.to.x, to );
				}
			}

			// Scale the content
			if ( scale === "content" || scale === "both" ) {

				// Vertical props scaling
				if ( factor.from.y !== factor.to.y ) {
					from = $.effects.setTransition( element, cProps, factor.from.y, from );
					to = $.effects.setTransition( element, cProps, factor.to.y, to );
				}
			}

			// Adjust the position properties based on the provided origin points
			if ( origin ) {
				baseline = $.effects.getBaseline( origin, original );
				from.top = ( original.outerHeight - from.outerHeight ) * baseline.y + pos.top;
				from.left = ( original.outerWidth - from.outerWidth ) * baseline.x + pos.left;
				to.top = ( original.outerHeight - to.outerHeight ) * baseline.y + pos.top;
				to.left = ( original.outerWidth - to.outerWidth ) * baseline.x + pos.left;
			}
			delete from.outerHeight;
			delete from.outerWidth;
			element.css( from );

			// Animate the children if desired
			if ( scale === "content" || scale === "both" ) {

				vProps = vProps.concat( [ "marginTop", "marginBottom" ] ).concat( cProps );
				hProps = hProps.concat( [ "marginLeft", "marginRight" ] );

				// Only animate children with width attributes specified
				// TODO: is this right? should we include anything with css width specified as well
				element.find( "*[width]" ).each( function() {
					var child = $( this ),
						childOriginal = $.effects.scaledDimensions( child ),
						childFrom = {
							height: childOriginal.height * factor.from.y,
							width: childOriginal.width * factor.from.x,
							outerHeight: childOriginal.outerHeight * factor.from.y,
							outerWidth: childOriginal.outerWidth * factor.from.x
						},
						childTo = {
							height: childOriginal.height * factor.to.y,
							width: childOriginal.width * factor.to.x,
							outerHeight: childOriginal.height * factor.to.y,
							outerWidth: childOriginal.width * factor.to.x
						};

					// Vertical props scaling
					if ( factor.from.y !== factor.to.y ) {
						childFrom = $.effects.setTransition( child, vProps, factor.from.y, childFrom );
						childTo = $.effects.setTransition( child, vProps, factor.to.y, childTo );
					}

					// Horizontal props scaling
					if ( factor.from.x !== factor.to.x ) {
						childFrom = $.effects.setTransition( child, hProps, factor.from.x, childFrom );
						childTo = $.effects.setTransition( child, hProps, factor.to.x, childTo );
					}

					if ( restore ) {
						$.effects.saveStyle( child );
					}

					// Animate children
					child.css( childFrom );
					child.animate( childTo, options.duration, options.easing, function() {

						// Restore children
						if ( restore ) {
							$.effects.restoreStyle( child );
						}
					} );
				} );
			}

			// Animate
			element.animate( to, {
				queue: false,
				duration: options.duration,
				easing: options.easing,
				complete: function() {

					var offset = element.offset();

					if ( to.opacity === 0 ) {
						element.css( "opacity", from.opacity );
					}

					if ( !restore ) {
						element
							.css( "position", position === "static" ? "relative" : position )
							.offset( offset );

						// Need to save style here so that automatic style restoration
						// doesn't restore to the original styles from before the animation.
						$.effects.saveStyle( element );
					}

					done();
				}
			} );

		} );


		/*!
 * jQuery UI Effects Scale 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Scale Effect
//>>group: Effects
//>>description: Grows or shrinks an element and its content.
//>>docs: http://api.jqueryui.com/scale-effect/
//>>demos: http://jqueryui.com/effect/


		var effectsEffectScale = $.effects.define( "scale", function( options, done ) {

			// Create element
			var el = $( this ),
				mode = options.mode,
				percent = parseInt( options.percent, 10 ) ||
					( parseInt( options.percent, 10 ) === 0 ? 0 : ( mode !== "effect" ? 0 : 100 ) ),

				newOptions = $.extend( true, {
					from: $.effects.scaledDimensions( el ),
					to: $.effects.scaledDimensions( el, percent, options.direction || "both" ),
					origin: options.origin || [ "middle", "center" ]
				}, options );

			// Fade option to support puff
			if ( options.fade ) {
				newOptions.from.opacity = 1;
				newOptions.to.opacity = 0;
			}

			$.effects.effect.size.call( this, newOptions, done );
		} );


		/*!
 * jQuery UI Effects Puff 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Puff Effect
//>>group: Effects
//>>description: Creates a puff effect by scaling the element up and hiding it at the same time.
//>>docs: http://api.jqueryui.com/puff-effect/
//>>demos: http://jqueryui.com/effect/


		var effectsEffectPuff = $.effects.define( "puff", "hide", function( options, done ) {
			var newOptions = $.extend( true, {}, options, {
				fade: true,
				percent: parseInt( options.percent, 10 ) || 150
			} );

			$.effects.effect.scale.call( this, newOptions, done );
		} );


		/*!
 * jQuery UI Effects Pulsate 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Pulsate Effect
//>>group: Effects
//>>description: Pulsates an element n times by changing the opacity to zero and back.
//>>docs: http://api.jqueryui.com/pulsate-effect/
//>>demos: http://jqueryui.com/effect/


		var effectsEffectPulsate = $.effects.define( "pulsate", "show", function( options, done ) {
			var element = $( this ),
				mode = options.mode,
				show = mode === "show",
				hide = mode === "hide",
				showhide = show || hide,

				// Showing or hiding leaves off the "last" animation
				anims = ( ( options.times || 5 ) * 2 ) + ( showhide ? 1 : 0 ),
				duration = options.duration / anims,
				animateTo = 0,
				i = 1,
				queuelen = element.queue().length;

			if ( show || !element.is( ":visible" ) ) {
				element.css( "opacity", 0 ).show();
				animateTo = 1;
			}

			// Anims - 1 opacity "toggles"
			for ( ; i < anims; i++ ) {
				element.animate( { opacity: animateTo }, duration, options.easing );
				animateTo = 1 - animateTo;
			}

			element.animate( { opacity: animateTo }, duration, options.easing );

			element.queue( done );

			$.effects.unshift( element, queuelen, anims + 1 );
		} );


		/*!
 * jQuery UI Effects Shake 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Shake Effect
//>>group: Effects
//>>description: Shakes an element horizontally or vertically n times.
//>>docs: http://api.jqueryui.com/shake-effect/
//>>demos: http://jqueryui.com/effect/


		var effectsEffectShake = $.effects.define( "shake", function( options, done ) {

			var i = 1,
				element = $( this ),
				direction = options.direction || "left",
				distance = options.distance || 20,
				times = options.times || 3,
				anims = times * 2 + 1,
				speed = Math.round( options.duration / anims ),
				ref = ( direction === "up" || direction === "down" ) ? "top" : "left",
				positiveMotion = ( direction === "up" || direction === "left" ),
				animation = {},
				animation1 = {},
				animation2 = {},

				queuelen = element.queue().length;

			$.effects.createPlaceholder( element );

			// Animation
			animation[ ref ] = ( positiveMotion ? "-=" : "+=" ) + distance;
			animation1[ ref ] = ( positiveMotion ? "+=" : "-=" ) + distance * 2;
			animation2[ ref ] = ( positiveMotion ? "-=" : "+=" ) + distance * 2;

			// Animate
			element.animate( animation, speed, options.easing );

			// Shakes
			for ( ; i < times; i++ ) {
				element
					.animate( animation1, speed, options.easing )
					.animate( animation2, speed, options.easing );
			}

			element
				.animate( animation1, speed, options.easing )
				.animate( animation, speed / 2, options.easing )
				.queue( done );

			$.effects.unshift( element, queuelen, anims + 1 );
		} );


		/*!
 * jQuery UI Effects Slide 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Slide Effect
//>>group: Effects
//>>description: Slides an element in and out of the viewport.
//>>docs: http://api.jqueryui.com/slide-effect/
//>>demos: http://jqueryui.com/effect/


		var effectsEffectSlide = $.effects.define( "slide", "show", function( options, done ) {
			var startClip, startRef,
				element = $( this ),
				map = {
					up: [ "bottom", "top" ],
					down: [ "top", "bottom" ],
					left: [ "right", "left" ],
					right: [ "left", "right" ]
				},
				mode = options.mode,
				direction = options.direction || "left",
				ref = ( direction === "up" || direction === "down" ) ? "top" : "left",
				positiveMotion = ( direction === "up" || direction === "left" ),
				distance = options.distance ||
					element[ ref === "top" ? "outerHeight" : "outerWidth" ]( true ),
				animation = {};

			$.effects.createPlaceholder( element );

			startClip = element.cssClip();
			startRef = element.position()[ ref ];

			// Define hide animation
			animation[ ref ] = ( positiveMotion ? -1 : 1 ) * distance + startRef;
			animation.clip = element.cssClip();
			animation.clip[ map[ direction ][ 1 ] ] = animation.clip[ map[ direction ][ 0 ] ];

			// Reverse the animation if we're showing
			if ( mode === "show" ) {
				element.cssClip( animation.clip );
				element.css( ref, animation[ ref ] );
				animation.clip = startClip;
				animation[ ref ] = startRef;
			}

			// Actually animate
			element.animate( animation, {
				queue: false,
				duration: options.duration,
				easing: options.easing,
				complete: done
			} );
		} );


		/*!
 * jQuery UI Effects Transfer 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Transfer Effect
//>>group: Effects
//>>description: Displays a transfer effect from one element to another.
//>>docs: http://api.jqueryui.com/transfer-effect/
//>>demos: http://jqueryui.com/effect/


		var effect;
		if ( $.uiBackCompat !== false ) {
			effect = $.effects.define( "transfer", function( options, done ) {
				$( this ).transfer( options, done );
			} );
		}
		var effectsEffectTransfer = effect;


		/*!
 * jQuery UI Focusable 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: :focusable Selector
//>>group: Core
//>>description: Selects elements which can be focused.
//>>docs: http://api.jqueryui.com/focusable-selector/


// Selectors
		$.ui.focusable = function( element, hasTabindex ) {
			var map, mapName, img, focusableIfVisible, fieldset,
				nodeName = element.nodeName.toLowerCase();

			if ( "area" === nodeName ) {
				map = element.parentNode;
				mapName = map.name;
				if ( !element.href || !mapName || map.nodeName.toLowerCase() !== "map" ) {
					return false;
				}
				img = $( "img[usemap='#" + mapName + "']" );
				return img.length > 0 && img.is( ":visible" );
			}

			if ( /^(input|select|textarea|button|object)$/.test( nodeName ) ) {
				focusableIfVisible = !element.disabled;

				if ( focusableIfVisible ) {

					// Form controls within a disabled fieldset are disabled.
					// However, controls within the fieldset's legend do not get disabled.
					// Since controls generally aren't placed inside legends, we skip
					// this portion of the check.
					fieldset = $( element ).closest( "fieldset" )[ 0 ];
					if ( fieldset ) {
						focusableIfVisible = !fieldset.disabled;
					}
				}
			} else if ( "a" === nodeName ) {
				focusableIfVisible = element.href || hasTabindex;
			} else {
				focusableIfVisible = hasTabindex;
			}

			return focusableIfVisible && $( element ).is( ":visible" ) && visible( $( element ) );
		};

// Support: IE 8 only
// IE 8 doesn't resolve inherit to visible/hidden for computed values
		function visible( element ) {
			var visibility = element.css( "visibility" );
			while ( visibility === "inherit" ) {
				element = element.parent();
				visibility = element.css( "visibility" );
			}
			return visibility === "visible";
		}

		$.extend( $.expr.pseudos, {
			focusable: function( element ) {
				return $.ui.focusable( element, $.attr( element, "tabindex" ) != null );
			}
		} );

		var focusable = $.ui.focusable;



// Support: IE8 Only
// IE8 does not support the form attribute and when it is supplied. It overwrites the form prop
// with a string, so we need to find the proper form.
		var form = $.fn._form = function() {
			return typeof this[ 0 ].form === "string" ? this.closest( "form" ) : $( this[ 0 ].form );
		};


		/*!
 * jQuery UI Form Reset Mixin 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Form Reset Mixin
//>>group: Core
//>>description: Refresh input widgets when their form is reset
//>>docs: http://api.jqueryui.com/form-reset-mixin/


		var formResetMixin = $.ui.formResetMixin = {
			_formResetHandler: function() {
				var form = $( this );

				// Wait for the form reset to actually happen before refreshing
				setTimeout( function() {
					var instances = form.data( "ui-form-reset-instances" );
					$.each( instances, function() {
						this.refresh();
					} );
				} );
			},

			_bindFormResetHandler: function() {
				this.form = this.element._form();
				if ( !this.form.length ) {
					return;
				}

				var instances = this.form.data( "ui-form-reset-instances" ) || [];
				if ( !instances.length ) {

					// We don't use _on() here because we use a single event handler per form
					this.form.on( "reset.ui-form-reset", this._formResetHandler );
				}
				instances.push( this );
				this.form.data( "ui-form-reset-instances", instances );
			},

			_unbindFormResetHandler: function() {
				if ( !this.form.length ) {
					return;
				}

				var instances = this.form.data( "ui-form-reset-instances" );
				instances.splice( $.inArray( this, instances ), 1 );
				if ( instances.length ) {
					this.form.data( "ui-form-reset-instances", instances );
				} else {
					this.form
						.removeData( "ui-form-reset-instances" )
						.off( "reset.ui-form-reset" );
				}
			}
		};


		/*!
 * jQuery UI Support for jQuery core 1.8.x and newer 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 *
 */

//>>label: jQuery 1.8+ Support
//>>group: Core
//>>description: Support version 1.8.x and newer of jQuery core


// Support: jQuery 1.9.x or older
// $.expr[ ":" ] is deprecated.
		if ( !$.expr.pseudos ) {
			$.expr.pseudos = $.expr[ ":" ];
		}

// Support: jQuery 1.11.x or older
// $.unique has been renamed to $.uniqueSort
		if ( !$.uniqueSort ) {
			$.uniqueSort = $.unique;
		}

// Support: jQuery 2.2.x or older.
// This method has been defined in jQuery 3.0.0.
// Code from https://github.com/jquery/jquery/blob/e539bac79e666bba95bba86d690b4e609dca2286/src/selector/escapeSelector.js
		if ( !$.escapeSelector ) {

			// CSS string/identifier serialization
			// https://drafts.csswg.org/cssom/#common-serializing-idioms
			var rcssescape = /([\0-\x1f\x7f]|^-?\d)|^-$|[^\x80-\uFFFF\w-]/g;

			var fcssescape = function( ch, asCodePoint ) {
				if ( asCodePoint ) {

					// U+0000 NULL becomes U+FFFD REPLACEMENT CHARACTER
					if ( ch === "\0" ) {
						return "\uFFFD";
					}

					// Control characters and (dependent upon position) numbers get escaped as code points
					return ch.slice( 0, -1 ) + "\\" + ch.charCodeAt( ch.length - 1 ).toString( 16 ) + " ";
				}

				// Other potentially-special ASCII characters get backslash-escaped
				return "\\" + ch;
			};

			$.escapeSelector = function( sel ) {
				return ( sel + "" ).replace( rcssescape, fcssescape );
			};
		}

// Support: jQuery 3.4.x or older
// These methods have been defined in jQuery 3.5.0.
		if ( !$.fn.even || !$.fn.odd ) {
			$.fn.extend( {
				even: function() {
					return this.filter( function( i ) {
						return i % 2 === 0;
					} );
				},
				odd: function() {
					return this.filter( function( i ) {
						return i % 2 === 1;
					} );
				}
			} );
		}

		;
		/*!
 * jQuery UI Keycode 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Keycode
//>>group: Core
//>>description: Provide keycodes as keynames
//>>docs: http://api.jqueryui.com/jQuery.ui.keyCode/


		var keycode = $.ui.keyCode = {
			BACKSPACE: 8,
			COMMA: 188,
			DELETE: 46,
			DOWN: 40,
			END: 35,
			ENTER: 13,
			ESCAPE: 27,
			HOME: 36,
			LEFT: 37,
			PAGE_DOWN: 34,
			PAGE_UP: 33,
			PERIOD: 190,
			RIGHT: 39,
			SPACE: 32,
			TAB: 9,
			UP: 38
		};


		/*!
 * jQuery UI Labels 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: labels
//>>group: Core
//>>description: Find all the labels associated with a given input
//>>docs: http://api.jqueryui.com/labels/


		var labels = $.fn.labels = function() {
			var ancestor, selector, id, labels, ancestors;

			if ( !this.length ) {
				return this.pushStack( [] );
			}

			// Check control.labels first
			if ( this[ 0 ].labels && this[ 0 ].labels.length ) {
				return this.pushStack( this[ 0 ].labels );
			}

			// Support: IE <= 11, FF <= 37, Android <= 2.3 only
			// Above browsers do not support control.labels. Everything below is to support them
			// as well as document fragments. control.labels does not work on document fragments
			labels = this.eq( 0 ).parents( "label" );

			// Look for the label based on the id
			id = this.attr( "id" );
			if ( id ) {

				// We don't search against the document in case the element
				// is disconnected from the DOM
				ancestor = this.eq( 0 ).parents().last();

				// Get a full set of top level ancestors
				ancestors = ancestor.add( ancestor.length ? ancestor.siblings() : this.siblings() );

				// Create a selector for the label based on the id
				selector = "label[for='" + $.escapeSelector( id ) + "']";

				labels = labels.add( ancestors.find( selector ).addBack( selector ) );

			}

			// Return whatever we have found for labels
			return this.pushStack( labels );
		};


		/*!
 * jQuery UI Scroll Parent 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: scrollParent
//>>group: Core
//>>description: Get the closest ancestor element that is scrollable.
//>>docs: http://api.jqueryui.com/scrollParent/


		var scrollParent = $.fn.scrollParent = function( includeHidden ) {
			var position = this.css( "position" ),
				excludeStaticParent = position === "absolute",
				overflowRegex = includeHidden ? /(auto|scroll|hidden)/ : /(auto|scroll)/,
				scrollParent = this.parents().filter( function() {
					var parent = $( this );
					if ( excludeStaticParent && parent.css( "position" ) === "static" ) {
						return false;
					}
					return overflowRegex.test( parent.css( "overflow" ) + parent.css( "overflow-y" ) +
						parent.css( "overflow-x" ) );
				} ).eq( 0 );

			return position === "fixed" || !scrollParent.length ?
				$( this[ 0 ].ownerDocument || document ) :
				scrollParent;
		};


		/*!
 * jQuery UI Tabbable 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: :tabbable Selector
//>>group: Core
//>>description: Selects elements which can be tabbed to.
//>>docs: http://api.jqueryui.com/tabbable-selector/


		var tabbable = $.extend( $.expr.pseudos, {
			tabbable: function( element ) {
				var tabIndex = $.attr( element, "tabindex" ),
					hasTabindex = tabIndex != null;
				return ( !hasTabindex || tabIndex >= 0 ) && $.ui.focusable( element, hasTabindex );
			}
		} );


		/*!
 * jQuery UI Unique ID 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: uniqueId
//>>group: Core
//>>description: Functions to generate and remove uniqueId's
//>>docs: http://api.jqueryui.com/uniqueId/


		var uniqueId = $.fn.extend( {
			uniqueId: ( function() {
				var uuid = 0;

				return function() {
					return this.each( function() {
						if ( !this.id ) {
							this.id = "ui-id-" + ( ++uuid );
						}
					} );
				};
			} )(),

			removeUniqueId: function() {
				return this.each( function() {
					if ( /^ui-id-\d+$/.test( this.id ) ) {
						$( this ).removeAttr( "id" );
					}
				} );
			}
		} );


		/*!
 * jQuery UI Accordion 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Accordion
//>>group: Widgets
		/* eslint-disable max-len */
//>>description: Displays collapsible content panels for presenting information in a limited amount of space.
		/* eslint-enable max-len */
//>>docs: http://api.jqueryui.com/accordion/
//>>demos: http://jqueryui.com/accordion/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/accordion.css
//>>css.theme: ../../themes/base/theme.css


		var widgetsAccordion = $.widget( "ui.accordion", {
			version: "1.13.2",
			options: {
				active: 0,
				animate: {},
				classes: {
					"ui-accordion-header": "ui-corner-top",
					"ui-accordion-header-collapsed": "ui-corner-all",
					"ui-accordion-content": "ui-corner-bottom"
				},
				collapsible: false,
				event: "click",
				header: function( elem ) {
					return elem.find( "> li > :first-child" ).add( elem.find( "> :not(li)" ).even() );
				},
				heightStyle: "auto",
				icons: {
					activeHeader: "ui-icon-triangle-1-s",
					header: "ui-icon-triangle-1-e"
				},

				// Callbacks
				activate: null,
				beforeActivate: null
			},

			hideProps: {
				borderTopWidth: "hide",
				borderBottomWidth: "hide",
				paddingTop: "hide",
				paddingBottom: "hide",
				height: "hide"
			},

			showProps: {
				borderTopWidth: "show",
				borderBottomWidth: "show",
				paddingTop: "show",
				paddingBottom: "show",
				height: "show"
			},

			_create: function() {
				var options = this.options;

				this.prevShow = this.prevHide = $();
				this._addClass( "ui-accordion", "ui-widget ui-helper-reset" );
				this.element.attr( "role", "tablist" );

				// Don't allow collapsible: false and active: false / null
				if ( !options.collapsible && ( options.active === false || options.active == null ) ) {
					options.active = 0;
				}

				this._processPanels();

				// handle negative values
				if ( options.active < 0 ) {
					options.active += this.headers.length;
				}
				this._refresh();
			},

			_getCreateEventData: function() {
				return {
					header: this.active,
					panel: !this.active.length ? $() : this.active.next()
				};
			},

			_createIcons: function() {
				var icon, children,
					icons = this.options.icons;

				if ( icons ) {
					icon = $( "<span>" );
					this._addClass( icon, "ui-accordion-header-icon", "ui-icon " + icons.header );
					icon.prependTo( this.headers );
					children = this.active.children( ".ui-accordion-header-icon" );
					this._removeClass( children, icons.header )
						._addClass( children, null, icons.activeHeader )
						._addClass( this.headers, "ui-accordion-icons" );
				}
			},

			_destroyIcons: function() {
				this._removeClass( this.headers, "ui-accordion-icons" );
				this.headers.children( ".ui-accordion-header-icon" ).remove();
			},

			_destroy: function() {
				var contents;

				// Clean up main element
				this.element.removeAttr( "role" );

				// Clean up headers
				this.headers
					.removeAttr( "role aria-expanded aria-selected aria-controls tabIndex" )
					.removeUniqueId();

				this._destroyIcons();

				// Clean up content panels
				contents = this.headers.next()
					.css( "display", "" )
					.removeAttr( "role aria-hidden aria-labelledby" )
					.removeUniqueId();

				if ( this.options.heightStyle !== "content" ) {
					contents.css( "height", "" );
				}
			},

			_setOption: function( key, value ) {
				if ( key === "active" ) {

					// _activate() will handle invalid values and update this.options
					this._activate( value );
					return;
				}

				if ( key === "event" ) {
					if ( this.options.event ) {
						this._off( this.headers, this.options.event );
					}
					this._setupEvents( value );
				}

				this._super( key, value );

				// Setting collapsible: false while collapsed; open first panel
				if ( key === "collapsible" && !value && this.options.active === false ) {
					this._activate( 0 );
				}

				if ( key === "icons" ) {
					this._destroyIcons();
					if ( value ) {
						this._createIcons();
					}
				}
			},

			_setOptionDisabled: function( value ) {
				this._super( value );

				this.element.attr( "aria-disabled", value );

				// Support: IE8 Only
				// #5332 / #6059 - opacity doesn't cascade to positioned elements in IE
				// so we need to add the disabled class to the headers and panels
				this._toggleClass( null, "ui-state-disabled", !!value );
				this._toggleClass( this.headers.add( this.headers.next() ), null, "ui-state-disabled",
					!!value );
			},

			_keydown: function( event ) {
				if ( event.altKey || event.ctrlKey ) {
					return;
				}

				var keyCode = $.ui.keyCode,
					length = this.headers.length,
					currentIndex = this.headers.index( event.target ),
					toFocus = false;

				switch ( event.keyCode ) {
					case keyCode.RIGHT:
					case keyCode.DOWN:
						toFocus = this.headers[ ( currentIndex + 1 ) % length ];
						break;
					case keyCode.LEFT:
					case keyCode.UP:
						toFocus = this.headers[ ( currentIndex - 1 + length ) % length ];
						break;
					case keyCode.SPACE:
					case keyCode.ENTER:
						this._eventHandler( event );
						break;
					case keyCode.HOME:
						toFocus = this.headers[ 0 ];
						break;
					case keyCode.END:
						toFocus = this.headers[ length - 1 ];
						break;
				}

				if ( toFocus ) {
					$( event.target ).attr( "tabIndex", -1 );
					$( toFocus ).attr( "tabIndex", 0 );
					$( toFocus ).trigger( "focus" );
					event.preventDefault();
				}
			},

			_panelKeyDown: function( event ) {
				if ( event.keyCode === $.ui.keyCode.UP && event.ctrlKey ) {
					$( event.currentTarget ).prev().trigger( "focus" );
				}
			},

			refresh: function() {
				var options = this.options;
				this._processPanels();

				// Was collapsed or no panel
				if ( ( options.active === false && options.collapsible === true ) ||
					!this.headers.length ) {
					options.active = false;
					this.active = $();

					// active false only when collapsible is true
				} else if ( options.active === false ) {
					this._activate( 0 );

					// was active, but active panel is gone
				} else if ( this.active.length && !$.contains( this.element[ 0 ], this.active[ 0 ] ) ) {

					// all remaining panel are disabled
					if ( this.headers.length === this.headers.find( ".ui-state-disabled" ).length ) {
						options.active = false;
						this.active = $();

						// activate previous panel
					} else {
						this._activate( Math.max( 0, options.active - 1 ) );
					}

					// was active, active panel still exists
				} else {

					// make sure active index is correct
					options.active = this.headers.index( this.active );
				}

				this._destroyIcons();

				this._refresh();
			},

			_processPanels: function() {
				var prevHeaders = this.headers,
					prevPanels = this.panels;

				if ( typeof this.options.header === "function" ) {
					this.headers = this.options.header( this.element );
				} else {
					this.headers = this.element.find( this.options.header );
				}
				this._addClass( this.headers, "ui-accordion-header ui-accordion-header-collapsed",
					"ui-state-default" );

				this.panels = this.headers.next().filter( ":not(.ui-accordion-content-active)" ).hide();
				this._addClass( this.panels, "ui-accordion-content", "ui-helper-reset ui-widget-content" );

				// Avoid memory leaks (#10056)
				if ( prevPanels ) {
					this._off( prevHeaders.not( this.headers ) );
					this._off( prevPanels.not( this.panels ) );
				}
			},

			_refresh: function() {
				var maxHeight,
					options = this.options,
					heightStyle = options.heightStyle,
					parent = this.element.parent();

				this.active = this._findActive( options.active );
				this._addClass( this.active, "ui-accordion-header-active", "ui-state-active" )
					._removeClass( this.active, "ui-accordion-header-collapsed" );
				this._addClass( this.active.next(), "ui-accordion-content-active" );
				this.active.next().show();

				this.headers
					.attr( "role", "tab" )
					.each( function() {
						var header = $( this ),
							headerId = header.uniqueId().attr( "id" ),
							panel = header.next(),
							panelId = panel.uniqueId().attr( "id" );
						header.attr( "aria-controls", panelId );
						panel.attr( "aria-labelledby", headerId );
					} )
					.next()
					.attr( "role", "tabpanel" );

				this.headers
					.not( this.active )
					.attr( {
						"aria-selected": "false",
						"aria-expanded": "false",
						tabIndex: -1
					} )
					.next()
					.attr( {
						"aria-hidden": "true"
					} )
					.hide();

				// Make sure at least one header is in the tab order
				if ( !this.active.length ) {
					this.headers.eq( 0 ).attr( "tabIndex", 0 );
				} else {
					this.active.attr( {
						"aria-selected": "true",
						"aria-expanded": "true",
						tabIndex: 0
					} )
						.next()
						.attr( {
							"aria-hidden": "false"
						} );
				}

				this._createIcons();

				this._setupEvents( options.event );

				if ( heightStyle === "fill" ) {
					maxHeight = parseInt(parent.css("height"));
					this.element.siblings( ":visible" ).each( function() {
						var elem = $( this ),
							position = elem.css( "position" );

						if ( position === "absolute" || position === "fixed" ) {
							return;
						}
						maxHeight -= parseInt(elem.css("height"))+parseInt(elem.css("padding-top"))+parseInt(elem.css("padding-bottom")) + parseInt(elem.css("margin-top"))+parseInt(elem.css("margin-bottom"));
					} );

					this.headers.each( function() {
						maxHeight -= parseInt($(this).css("height"))+parseInt($(this).css("padding-top"))+parseInt($(this).css("padding-bottom")) + parseInt($(this).css("margin-top"))+parseInt($(this).css("margin-bottom"));
					} );

					this.headers.next()
						.each( function() {
							$( this ).css("height", (Math.max( 0, maxHeight -
								parseInt($(this).css("height"))-parseInt($(this).css("padding-top"))-parseInt($(this).css("padding-bottom")) + parseInt($( this ).css("height"))) ) +"px");
						} )
						.css( "overflow", "auto" );
				} else if ( heightStyle === "auto" ) {
					maxHeight = 0;
					this.headers.next()
						.each( function() {
							var isVisible = $( this ).is( ":visible" );
							if ( !isVisible ) {
								$( this ).show();
							}
							maxHeight = Math.max( maxHeight, parseInt($( this ).css( "height", "" ).css("height") ));
							if ( !isVisible ) {
								$( this ).hide();
							}
						} )
						.css("height", maxHeight+"px" );
				}
			},

			_activate: function( index ) {
				var active = this._findActive( index )[ 0 ];

				// Trying to activate the already active panel
				if ( active === this.active[ 0 ] ) {
					return;
				}

				// Trying to collapse, simulate a click on the currently active header
				active = active || this.active[ 0 ];

				this._eventHandler( {
					target: active,
					currentTarget: active,
					preventDefault: $.noop
				} );
			},

			_findActive: function( selector ) {
				return typeof selector === "number" ? this.headers.eq( selector ) : $();
			},

			_setupEvents: function( event ) {
				var events = {
					keydown: "_keydown"
				};
				if ( event ) {
					$.each( event.split( " " ), function( index, eventName ) {
						events[ eventName ] = "_eventHandler";
					} );
				}

				this._off( this.headers.add( this.headers.next() ) );
				this._on( this.headers, events );
				this._on( this.headers.next(), { keydown: "_panelKeyDown" } );
				this._hoverable( this.headers );
				this._focusable( this.headers );
			},

			_eventHandler: function( event ) {
				var activeChildren, clickedChildren,
					options = this.options,
					active = this.active,
					clicked = $( event.currentTarget ),
					clickedIsActive = clicked[ 0 ] === active[ 0 ],
					collapsing = clickedIsActive && options.collapsible,
					toShow = collapsing ? $() : clicked.next(),
					toHide = active.next(),
					eventData = {
						oldHeader: active,
						oldPanel: toHide,
						newHeader: collapsing ? $() : clicked,
						newPanel: toShow
					};

				event.preventDefault();

				if (

					// click on active header, but not collapsible
					( clickedIsActive && !options.collapsible ) ||

					// allow canceling activation
					( this._trigger( "beforeActivate", event, eventData ) === false ) ) {
					return;
				}

				options.active = collapsing ? false : this.headers.index( clicked );

				// When the call to ._toggle() comes after the class changes
				// it causes a very odd bug in IE 8 (see #6720)
				this.active = clickedIsActive ? $() : clicked;
				this._toggle( eventData );

				// Switch classes
				// corner classes on the previously active header stay after the animation
				this._removeClass( active, "ui-accordion-header-active", "ui-state-active" );
				if ( options.icons ) {
					activeChildren = active.children( ".ui-accordion-header-icon" );
					this._removeClass( activeChildren, null, options.icons.activeHeader )
						._addClass( activeChildren, null, options.icons.header );
				}

				if ( !clickedIsActive ) {
					this._removeClass( clicked, "ui-accordion-header-collapsed" )
						._addClass( clicked, "ui-accordion-header-active", "ui-state-active" );
					if ( options.icons ) {
						clickedChildren = clicked.children( ".ui-accordion-header-icon" );
						this._removeClass( clickedChildren, null, options.icons.header )
							._addClass( clickedChildren, null, options.icons.activeHeader );
					}

					this._addClass( clicked.next(), "ui-accordion-content-active" );
				}
			},

			_toggle: function( data ) {
				var toShow = data.newPanel,
					toHide = this.prevShow.length ? this.prevShow : data.oldPanel;

				// Handle activating a panel during the animation for another activation
				this.prevShow.add( this.prevHide ).stop( true, true );
				this.prevShow = toShow;
				this.prevHide = toHide;

				if ( this.options.animate ) {
					this._animate( toShow, toHide, data );
				} else {
					toHide.hide();
					toShow.show();
					this._toggleComplete( data );
				}

				toHide.attr( {
					"aria-hidden": "true"
				} );
				toHide.prev().attr( {
					"aria-selected": "false",
					"aria-expanded": "false"
				} );

				// if we're switching panels, remove the old header from the tab order
				// if we're opening from collapsed state, remove the previous header from the tab order
				// if we're collapsing, then keep the collapsing header in the tab order
				if ( toShow.length && toHide.length ) {
					toHide.prev().attr( {
						"tabIndex": -1,
						"aria-expanded": "false"
					} );
				} else if ( toShow.length ) {
					this.headers.filter( function() {
						return parseInt( $( this ).attr( "tabIndex" ), 10 ) === 0;
					} )
						.attr( "tabIndex", -1 );
				}

				toShow
					.attr( "aria-hidden", "false" )
					.prev()
					.attr( {
						"aria-selected": "true",
						"aria-expanded": "true",
						tabIndex: 0
					} );
			},

			_animate: function( toShow, toHide, data ) {
				var total, easing, duration,
					that = this,
					adjust = 0,
					boxSizing = toShow.css( "box-sizing" ),
					down = toShow.length &&
						( !toHide.length || ( toShow.index() < toHide.index() ) ),
					animate = this.options.animate || {},
					options = down && animate.down || animate,
					complete = function() {
						that._toggleComplete( data );
					};

				if ( typeof options === "number" ) {
					duration = options;
				}
				if ( typeof options === "string" ) {
					easing = options;
				}

				// fall back from options to animation in case of partial down settings
				easing = easing || options.easing || animate.easing;
				duration = duration || options.duration || animate.duration;

				if ( !toHide.length ) {
					return toShow.animate( this.showProps, duration, easing, complete );
				}
				if ( !toShow.length ) {
					return toHide.animate( this.hideProps, duration, easing, complete );
				}

				total = parseInt(toShow.show().css("height"))+parseInt(toShow.show().css("padding-top"))+parseInt(toShow.show().css("padding-bottom"))
				toHide.animate( this.hideProps, {
					duration: duration,
					easing: easing,
					step: function( now, fx ) {
						fx.now = Math.round( now );
					}
				} );
				toShow
					.hide()
					.animate( this.showProps, {
						duration: duration,
						easing: easing,
						complete: complete,
						step: function( now, fx ) {
							fx.now = Math.round( now );
							if ( fx.prop !== "height" ) {
								if ( boxSizing === "content-box" ) {
									adjust += fx.now;
								}
							} else if ( that.options.heightStyle !== "content" ) {
								fx.now = Math.round( total - parseInt(toHide.css("height"))+parseInt(toHide.css("padding-top"))+parseInt(toHide.css("padding-bottom")) - adjust );
								adjust = 0;
							}
						}
					} );
			},

			_toggleComplete: function( data ) {
				var toHide = data.oldPanel,
					prev = toHide.prev();

				this._removeClass( toHide, "ui-accordion-content-active" );
				this._removeClass( prev, "ui-accordion-header-active" )
					._addClass( prev, "ui-accordion-header-collapsed" );

				// Work around for rendering bug in IE (#5421)
				if ( toHide.length ) {
					toHide.parent()[ 0 ].className = toHide.parent()[ 0 ].className;
				}
				this._trigger( "activate", null, data );
			}
		} );



		var safeActiveElement = $.ui.safeActiveElement = function( document ) {
			var activeElement;

			// Support: IE 9 only
			// IE9 throws an "Unspecified error" accessing document.activeElement from an <iframe>
			try {
				activeElement = document.activeElement;
			} catch ( error ) {
				activeElement = document.body;
			}

			// Support: IE 9 - 11 only
			// IE may return null instead of an element
			// Interestingly, this only seems to occur when NOT in an iframe
			if ( !activeElement ) {
				activeElement = document.body;
			}

			// Support: IE 11 only
			// IE11 returns a seemingly empty object in some cases when accessing
			// document.activeElement from an <iframe>
			if ( !activeElement.nodeName ) {
				activeElement = document.body;
			}

			return activeElement;
		};


		/*!
 * jQuery UI Menu 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Menu
//>>group: Widgets
//>>description: Creates nestable menus.
//>>docs: http://api.jqueryui.com/menu/
//>>demos: http://jqueryui.com/menu/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/menu.css
//>>css.theme: ../../themes/base/theme.css


		var widgetsMenu = $.widget( "ui.menu", {
			version: "1.13.2",
			defaultElement: "<ul>",
			delay: 300,
			options: {
				icons: {
					submenu: "ui-icon-carat-1-e"
				},
				items: "> *",
				menus: "ul",
				position: {
					my: "left top",
					at: "right top"
				},
				role: "menu",

				// Callbacks
				blur: null,
				focus: null,
				select: null
			},

			_create: function() {
				this.activeMenu = this.element;

				// Flag used to prevent firing of the click handler
				// as the event bubbles up through nested menus
				this.mouseHandled = false;
				this.lastMousePosition = { x: null, y: null };
				this.element
					.uniqueId()
					.attr( {
						role: this.options.role,
						tabIndex: 0
					} );

				this._addClass( "ui-menu", "ui-widget ui-widget-content" );
				this._on( {

					// Prevent focus from sticking to links inside menu after clicking
					// them (focus should always stay on UL during navigation).
					"mousedown .ui-menu-item > a": function( event ) {
						event.preventDefault();
					},
					"click .ui-state-disabled > a": function( event ) {
						event.preventDefault();
					},
					"click .ui-menu-item:has(a)": function( event ) {
						var target = $( event.target );
						var active = $( $.ui.safeActiveElement( this.document[ 0 ] ) );
						if ( !this.mouseHandled && target.not( ".ui-state-disabled" ).length ) {
							this.select( event );

							// Only set the mouseHandled flag if the event will bubble, see #9469.
							if ( !event.isPropagationStopped() ) {
								this.mouseHandled = true;
							}

							// Open submenu on click
							if ( target.has( ".ui-menu" ).length ) {
								this.expand( event );
							} else if ( !this.element.is( ":focus" ) &&
								active.closest( ".ui-menu" ).length ) {

								// Redirect focus to the menu
								this.element.trigger( "focus", [ true ] );

								// If the active item is on the top level, let it stay active.
								// Otherwise, blur the active item since it is no longer visible.
								if ( this.active && this.active.parents( ".ui-menu" ).length === 1 ) {
									clearTimeout( this.timer );
								}
							}
						}
					},
					"mouseenter .ui-menu-item": function( event ) {
						var target = $( event.currentTarget );
						// Remove ui-state-active class from siblings of the newly focused menu item
						// to avoid a jump caused by adjacent elements both having a class with a border
						target.siblings().children( ".ui-state-active" ).removeClass( "ui-state-active" );
						this.focus( event, target );
					},
					mouseleave: "collapseAll",
					"mouseleave .ui-menu": "collapseAll",
					focus: function( event, keepActiveItem ) {

						// If there's already an active item, keep it active
						// If not, activate the first item
						var item = this.active || this._menuItems().first();

						if ( !keepActiveItem ) {
							this.focus( event, item );
						}
					},
					blur: function( event ) {
						this._delay( function() {
							var notContained = !$.contains(
								this.element[ 0 ],
								$.ui.safeActiveElement( this.document[ 0 ] )
							);
							if ( notContained ) {
								this.collapseAll( event );
							}
						} );
					},
					keydown: "_keydown"
				} );

				this.refresh();

				// Clicks outside of a menu collapse any open menus
				this._on( this.document, {
					click: function( event ) {
						if ( this._closeOnDocumentClick( event ) ) {
							this.collapseAll( event, true );
						}

						// Reset the mouseHandled flag
						this.mouseHandled = false;
					}
				} );
			},

			_activateItem: function( event ) {

				// Ignore mouse events while typeahead is active, see #10458.
				// Prevents focusing the wrong item when typeahead causes a scroll while the mouse
				// is over an item in the menu
				if ( this.previousFilter ) {
					return;
				}

				// If the mouse didn't actually move, but the page was scrolled, ignore the event (#9356)
				if ( event.clientX === this.lastMousePosition.x &&
					event.clientY === this.lastMousePosition.y ) {
					return;
				}

				this.lastMousePosition = {
					x: event.clientX,
					y: event.clientY
				};

				var actualTarget = $( event.target ).closest( ".ui-menu-item" ),
					target = $( event.currentTarget );

				// Ignore bubbled events on parent items, see #11641
				if ( actualTarget[ 0 ] !== target[ 0 ] ) {
					return;
				}

				// If the item is already active, there's nothing to do
				if ( target.is( ".ui-state-active" ) ) {
					return;
				}

				// Remove ui-state-active class from siblings of the newly focused menu item
				// to avoid a jump caused by adjacent elements both having a class with a border
				this._removeClass( target.siblings().children( ".ui-state-active" ),
					null, "ui-state-active" );
				this.focus( event, target );
			},

			_destroy: function() {
				var items = this.element.find( ".ui-menu-item" )
						.removeAttr( "role aria-disabled" ),
					submenus = items.children( ".ui-menu-item-wrapper" )
						.removeUniqueId()
						.removeAttr( "tabIndex role aria-haspopup" );

				// Destroy (sub)menus
				this.element
					.removeAttr( "aria-activedescendant" )
					.find( ".ui-menu" ).addBack()
					.removeAttr( "role aria-labelledby aria-expanded aria-hidden aria-disabled " +
						"tabIndex" )
					.removeUniqueId()
					.show();

				submenus.children().each( function() {
					var elem = $( this );
					if ( elem.data( "ui-menu-submenu-caret" ) ) {
						elem.remove();
					}
				} );
			},

			_keydown: function( event ) {
				var match, prev, character, skip,
					preventDefault = true;

				switch ( event.keyCode ) {
					case $.ui.keyCode.PAGE_UP:
						this.previousPage( event );
						break;
					case $.ui.keyCode.PAGE_DOWN:
						this.nextPage( event );
						break;
					case $.ui.keyCode.HOME:
						this._move( "first", "first", event );
						break;
					case $.ui.keyCode.END:
						this._move( "last", "last", event );
						break;
					case $.ui.keyCode.UP:
						this.previous( event );
						break;
					case $.ui.keyCode.DOWN:
						this.next( event );
						break;
					case $.ui.keyCode.LEFT:
						this.collapse( event );
						break;
					case $.ui.keyCode.RIGHT:
						if ( this.active && !this.active.is( ".ui-state-disabled" ) ) {
							this.expand( event );
						}
						break;
					case $.ui.keyCode.ENTER:
					case $.ui.keyCode.SPACE:
						this._activate( event );
						break;
					case $.ui.keyCode.ESCAPE:
						this.collapse( event );
						break;
					default:
						preventDefault = false;
						prev = this.previousFilter || "";
						skip = false;

						// Support number pad values
						character = event.keyCode >= 96 && event.keyCode <= 105 ?
							( event.keyCode - 96 ).toString() : String.fromCharCode( event.keyCode );

						clearTimeout( this.filterTimer );

						if ( character === prev ) {
							skip = true;
						} else {
							character = prev + character;
						}

						match = this._filterMenuItems( character );
						match = skip && match.index( this.active.next() ) !== -1 ?
							this.active.nextAll( ".ui-menu-item" ) :
							match;

						// If no matches on the current filter, reset to the last character pressed
						// to move down the menu to the first item that starts with that character
						if ( !match.length ) {
							character = String.fromCharCode( event.keyCode );
							match = this._filterMenuItems( character );
						}

						if ( match.length ) {
							this.focus( event, match );
							this.previousFilter = character;
							this.filterTimer = this._delay( function() {
								delete this.previousFilter;
							}, 1000 );
						} else {
							delete this.previousFilter;
						}
				}

				if ( preventDefault ) {
					event.preventDefault();
				}
			},

			_activate: function( event ) {
				if ( this.active && !this.active.is( ".ui-state-disabled" ) ) {
					if ( this.active.children( "[aria-haspopup='true']" ).length ) {
						this.expand( event );
					} else {
						this.select( event );
					}
				}
			},

			refresh: function() {
				// Initialize nested menus
				var menus,
				icon = this.options.icons.submenu,
				submenus = this.element.find( this.options.menus + ":not(.ui-menu)" )
					.addClass( "ui-menu ui-widget ui-widget-content ui-corner-all" )
					.hide()
					.attr({
						role: this.options.role,
						"aria-hidden": "true",
						"aria-expanded": "false"
					});

			// Don't refresh list items that are already adapted
			menus = submenus.add( this.element );

			menus.children( ":not(.ui-menu-item):has(a)" )
				.addClass( "ui-menu-item" )
				.attr( "role", "presentation" )
				.children( "a" )
					.uniqueId()
					.addClass( "ui-menu-item-wrapper" )
					.attr({
						tabIndex: -1,
						role: this._itemRole()
					});

			// Initialize unlinked menu-items containing spaces and/or dashes only as dividers
			menus.children( ":not(.ui-menu-item)" ).each(function() {
				var item = $( this );
				// hyphen, em dash, en dash
				if ( !/[^\-—–\s]/.test( item.text() ) ) {
					item.addClass( "ui-widget-content ui-menu-divider" );
				}
			});

			// Add aria-disabled attribute to any disabled menu item
			menus.children( ".ui-state-disabled" ).attr( "aria-disabled", "true" );

			submenus.each(function() {
				var menu = $( this ),
					item = menu.prev( "a" ),
					submenuCarat = $( "<span>" )
						.addClass( "ui-menu-icon ui-icon " + icon )
						.data( "ui-menu-submenu-carat", true );

				item
					.attr( "aria-haspopup", "true" )
					.prepend( submenuCarat );
				menu.attr( "aria-labelledby", item.attr( "id" ) );
			});

			// If the active item has been removed, blur the menu
			if ( this.active && !$.contains( this.element[ 0 ], this.active[ 0 ] ) ) {
				this.blur();
			}
			},

			_itemRole: function() {
				return {
					menu: "menuitem",
					listbox: "option"
				}[ this.options.role ];
			},

			_setOption: function( key, value ) {
				if ( key === "icons" ) {
					var icons = this.element.find( ".ui-menu-icon" );
					this._removeClass( icons, null, this.options.icons.submenu )
						._addClass( icons, null, value.submenu );
				}
				this._super( key, value );
			},

			_setOptionDisabled: function( value ) {
				this._super( value );

				this.element.attr( "aria-disabled", String( value ) );
				this._toggleClass( null, "ui-state-disabled", !!value );
			},

			focus: function( event, item ) {
				var nested, focused, activeParent;
				this.blur( event, event && event.type === "focus" );

				this._scrollIntoView( item );

				this.active = item.first();

				focused = this.active.children( ".ui-menu-item-wrapper" );
				this._addClass( focused, null, "ui-state-active" );

				// Only update aria-activedescendant if there's a role
				// otherwise we assume focus is managed elsewhere
				if ( this.options.role ) {
					this.element.attr( "aria-activedescendant", focused.attr( "id" ) );
				}

				// Highlight active parent menu item, if any
				activeParent = this.active
					.parent()
					.closest( ".ui-menu-item" )
					.children( ".ui-menu-item-wrapper" );
				this._addClass( activeParent, null, "ui-state-active" );

				if ( event && event.type === "keydown" ) {
					this._close();
				} else {
					this.timer = this._delay( function() {
						this._close();
					}, this.delay );
				}

				nested = item.children( ".ui-menu" );
				if ( nested.length && event && ( /^mouse/.test( event.type ) ) ) {
					this._startOpening( nested );
				}
				this.activeMenu = item.parent();

				this._trigger( "focus", event, { item: item } );
			},

			_scrollIntoView: function( item ) {
				var borderTop, paddingTop, offset, scroll, elementHeight, itemHeight;
				if ( this._hasScroll() ) {
					borderTop = parseFloat( $.css( this.activeMenu[ 0 ], "borderTopWidth" ) ) || 0;
					paddingTop = parseFloat( $.css( this.activeMenu[ 0 ], "paddingTop" ) ) || 0;
					offset = item.offset().top - this.activeMenu.offset().top - borderTop - paddingTop;
					scroll = this.activeMenu.scrollTop();
					elementHeight = parseInt(this.activeMenu.css("height"));
					itemHeight = parseInt(item.css("height"))+parseInt(item.css("padding-top"))+parseInt(item.css("padding-bottom"));

					if ( offset < 0 ) {
						this.activeMenu.scrollTop( scroll + offset );
					} else if ( offset + itemHeight > elementHeight ) {
						this.activeMenu.scrollTop( scroll + offset - elementHeight + itemHeight );
					}
				}
			},

			blur: function( event, fromFocus ) {
				if ( !fromFocus ) {
					clearTimeout( this.timer );
				}

				if ( !this.active ) {
					return;
				}

				this._removeClass( this.active.children( ".ui-menu-item-wrapper" ),
					null, "ui-state-active" );

				this._trigger( "blur", event, { item: this.active } );
				this.active = null;
			},

			_startOpening: function( submenu ) {
				clearTimeout( this.timer );

				// Don't open if already open fixes a Firefox bug that caused a .5 pixel
				// shift in the submenu position when mousing over the caret icon
				if ( submenu.attr( "aria-hidden" ) !== "true" ) {
					return;
				}

				this.timer = this._delay( function() {
					this._close();
					this._open( submenu );
				}, this.delay );
			},

			_open: function( submenu ) {
				var position = $.extend( {
					of: this.active
				}, this.options.position );

				clearTimeout( this.timer );
				this.element.find( ".ui-menu" ).not( submenu.parents( ".ui-menu" ) )
					.hide()
					.attr( "aria-hidden", "true" );

				submenu
					.show()
					.removeAttr( "aria-hidden" )
					.attr( "aria-expanded", "true" )
					.position( position );
			},

			collapseAll: function( event, all ) {
				clearTimeout( this.timer );
				this.timer = this._delay( function() {

					// If we were passed an event, look for the submenu that contains the event
					var currentMenu = all ? this.element :
						$( event && event.target ).closest( this.element.find( ".ui-menu" ) );

					// If we found no valid submenu ancestor, use the main menu to close all
					// sub menus anyway
					if ( !currentMenu.length ) {
						currentMenu = this.element;
					}

					this._close( currentMenu );

					this.blur( event );

					// Work around active item staying active after menu is blurred
					this._removeClass( currentMenu.find( ".ui-state-active" ), null, "ui-state-active" );

					this.activeMenu = currentMenu;
				}, all ? 0 : this.delay );
			},

			// With no arguments, closes the currently active menu - if nothing is active
			// it closes all menus.  If passed an argument, it will search for menus BELOW
			_close: function( startMenu ) {
				if ( !startMenu ) {
					startMenu = this.active ? this.active.parent() : this.element;
				}

				startMenu.find( ".ui-menu" )
					.hide()
					.attr( "aria-hidden", "true" )
					.attr( "aria-expanded", "false" );
			},

			_closeOnDocumentClick: function( event ) {
				return !$( event.target ).closest( ".ui-menu" ).length;
			},

			_isDivider: function( item ) {

				// Match hyphen, em dash, en dash
				return !/[^\-\u2014\u2013\s]/.test( item.text() );
			},

			collapse: function( event ) {
				var newItem = this.active &&
					this.active.parent().closest( ".ui-menu-item", this.element );
				if ( newItem && newItem.length ) {
					this._close();
					this.focus( event, newItem );
				}
			},

			expand: function( event ) {
				var newItem = this.active && this._menuItems( this.active.children( ".ui-menu" ) ).first();

				if ( newItem && newItem.length ) {
					this._open( newItem.parent() );

					// Delay so Firefox will not hide activedescendant change in expanding submenu from AT
					this._delay( function() {
						this.focus( event, newItem );
					} );
				}
			},

			next: function( event ) {
				this._move( "next", "first", event );
			},

			previous: function( event ) {
				this._move( "prev", "last", event );
			},

			isFirstItem: function() {
				return this.active && !this.active.prevAll( ".ui-menu-item" ).length;
			},

			isLastItem: function() {
				return this.active && !this.active.nextAll( ".ui-menu-item" ).length;
			},

			_menuItems: function( menu ) {
				return ( menu || this.element )
					.find( this.options.items )
					.filter( ".ui-menu-item" );
			},

			_move: function( direction, filter, event ) {
				var next;
				if ( this.active ) {
					if ( direction === "first" || direction === "last" ) {
						next = this.active
							[ direction === "first" ? "prevAll" : "nextAll" ]( ".ui-menu-item" )
							.last();
					} else {
						next = this.active
							[ direction + "All" ]( ".ui-menu-item" )
							.first();
					}
				}
				if ( !next || !next.length || !this.active ) {
					next = this._menuItems( this.activeMenu )[ filter ]();
				}

				this.focus( event, next );
			},

			nextPage: function( event ) {
				var item, base, height;

				if ( !this.active ) {
					this.next( event );
					return;
				}
				if ( this.isLastItem() ) {
					return;
				}
				if ( this._hasScroll() ) {
					base = this.active.offset().top;
					height = parseInt(this.element.css("height"))-parseInt(this.element.css("padding-top"))-parseInt(this.element.css("padding-bottom"));

					// jQuery 3.2 doesn't include scrollbars in innerHeight, add it back.
					if ( $.fn.jquery.indexOf( "3.2." ) === 0 ) {
						height += this.element[ 0 ].offsetHeight - parseInt(this.element.css("height"))+parseInt(this.element.css("padding-top"))+parseInt(this.element.css("padding-bottom"));
					}

					this.active.nextAll( ".ui-menu-item" ).each( function() {
						item = $( this );
						return item.offset().top - base - height < 0;
					} );

					this.focus( event, item );
				} else {
					this.focus( event, this._menuItems( this.activeMenu )
						[ !this.active ? "first" : "last" ]() );
				}
			},

			previousPage: function( event ) {
				var item, base, height;
				if ( !this.active ) {
					this.next( event );
					return;
				}
				if ( this.isFirstItem() ) {
					return;
				}
				if ( this._hasScroll() ) {
					base = this.active.offset().top;
					height = parseInt(this.element.css("height"))-parseInt(this.element.css("padding-top"))-parseInt(this.element.css("padding-bottom"));

					// jQuery 3.2 doesn't include scrollbars in innerHeight, add it back.
					if ( $.fn.jquery.indexOf( "3.2." ) === 0 ) {
						height += this.element[ 0 ].offsetHeight - parseInt(this.element.css("height"))+parseInt(this.element.css("padding-top"))+parseInt(this.element.css("padding-bottom"));
					}

					this.active.prevAll( ".ui-menu-item" ).each( function() {
						item = $( this );
						return item.offset().top - base + height > 0;
					} );

					this.focus( event, item );
				} else {
					this.focus( event, this._menuItems( this.activeMenu ).first() );
				}
			},

			_hasScroll: function() {
				return parseInt(this.element.css("height"))+parseInt(this.element.css("padding-top"))+parseInt(this.element.css("padding-bottom")) < this.element.prop( "scrollHeight" );
			},

			select: function( event ) {

				// TODO: It should never be possible to not have an active item at this
				// point, but the tests don't trigger mouseenter before click.
				this.active = this.active || $( event.target ).closest( ".ui-menu-item" );
				var ui = { item: this.active };
				if ( !this.active.has( ".ui-menu" ).length ) {
					this.collapseAll( event, true );
				}
				this._trigger( "select", event, ui );
			},

			_filterMenuItems: function( character ) {
				var escapedCharacter = character.replace( /[\-\[\]{}()*+?.,\\\^$|#\s]/g, "\\$&" ),
					regex = new RegExp( "^" + escapedCharacter, "i" );

				return this.activeMenu
					.find( this.options.items )

					// Only match on items, not dividers or other content (#10571)
					.filter( ".ui-menu-item" )
					.filter( function() {
						return regex.test(
							String.prototype.trim.call(
								$( this ).children( ".ui-menu-item-wrapper" ).text() ) );
					} );
			}
		} );


		/*!
 * jQuery UI Autocomplete 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Autocomplete
//>>group: Widgets
//>>description: Lists suggested words as the user is typing.
//>>docs: http://api.jqueryui.com/autocomplete/
//>>demos: http://jqueryui.com/autocomplete/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/autocomplete.css
//>>css.theme: ../../themes/base/theme.css


		$.widget( "ui.autocomplete", {
			version: "1.13.2",
			defaultElement: "<input>",
			options: {
				appendTo: null,
				autoFocus: false,
				delay: 300,
				minLength: 1,
				position: {
					my: "left top",
					at: "left bottom",
					collision: "none"
				},
				source: null,

				// Callbacks
				change: null,
				close: null,
				focus: null,
				open: null,
				response: null,
				search: null,
				select: null
			},

			requestIndex: 0,
			pending: 0,
			liveRegionTimer: null,

			_create: function() {

				// Some browsers only repeat keydown events, not keypress events,
				// so we use the suppressKeyPress flag to determine if we've already
				// handled the keydown event. #7269
				// Unfortunately the code for & in keypress is the same as the up arrow,
				// so we use the suppressKeyPressRepeat flag to avoid handling keypress
				// events when we know the keydown event was used to modify the
				// search term. #7799
				var suppressKeyPress, suppressKeyPressRepeat, suppressInput,
					nodeName = this.element[ 0 ].nodeName.toLowerCase(),
					isTextarea = nodeName === "textarea",
					isInput = nodeName === "input";

				// Textareas are always multi-line
				// Inputs are always single-line, even if inside a contentEditable element
				// IE also treats inputs as contentEditable
				// All other element types are determined by whether or not they're contentEditable
				this.isMultiLine = isTextarea || !isInput && this._isContentEditable( this.element );

				this.valueMethod = this.element[ isTextarea || isInput ? "val" : "text" ];
				this.isNewMenu = true;

				this._addClass( "ui-autocomplete-input" );
				this.element.attr( "autocomplete", "off" );

				this._on( this.element, {
					keydown: function( event ) {
						if ( this.element.prop( "readOnly" ) ) {
							suppressKeyPress = true;
							suppressInput = true;
							suppressKeyPressRepeat = true;
							return;
						}

						suppressKeyPress = false;
						suppressInput = false;
						suppressKeyPressRepeat = false;
						var keyCode = $.ui.keyCode;
						switch ( event.keyCode ) {
							case keyCode.PAGE_UP:
								suppressKeyPress = true;
								this._move( "previousPage", event );
								break;
							case keyCode.PAGE_DOWN:
								suppressKeyPress = true;
								this._move( "nextPage", event );
								break;
							case keyCode.UP:
								suppressKeyPress = true;
								this._keyEvent( "previous", event );
								break;
							case keyCode.DOWN:
								suppressKeyPress = true;
								this._keyEvent( "next", event );
								break;
							case keyCode.ENTER:

								// when menu is open and has focus
								if ( this.menu.active ) {

									// #6055 - Opera still allows the keypress to occur
									// which causes forms to submit
									suppressKeyPress = true;
									event.preventDefault();
									this.menu.select( event );
								}
								break;
							case keyCode.TAB:
								if ( this.menu.active ) {
									this.menu.select( event );
								}
								break;
							case keyCode.ESCAPE:
								if ( this.menu.element.is( ":visible" ) ) {
									if ( !this.isMultiLine ) {
										this._value( this.term );
									}
									this.close( event );

									// Different browsers have different default behavior for escape
									// Single press can mean undo or clear
									// Double press in IE means clear the whole form
									event.preventDefault();
								}
								break;
							default:
								suppressKeyPressRepeat = true;

								// search timeout should be triggered before the input value is changed
								this._searchTimeout( event );
								break;
						}
					},
					keypress: function( event ) {
						if ( suppressKeyPress ) {
							suppressKeyPress = false;
							if ( !this.isMultiLine || this.menu.element.is( ":visible" ) ) {
								event.preventDefault();
							}
							return;
						}
						if ( suppressKeyPressRepeat ) {
							return;
						}

						// Replicate some key handlers to allow them to repeat in Firefox and Opera
						var keyCode = $.ui.keyCode;
						switch ( event.keyCode ) {
							case keyCode.PAGE_UP:
								this._move( "previousPage", event );
								break;
							case keyCode.PAGE_DOWN:
								this._move( "nextPage", event );
								break;
							case keyCode.UP:
								this._keyEvent( "previous", event );
								break;
							case keyCode.DOWN:
								this._keyEvent( "next", event );
								break;
						}
					},
					input: function( event ) {
						if ( suppressInput ) {
							suppressInput = false;
							event.preventDefault();
							return;
						}
						this._searchTimeout( event );
					},
					focus: function() {
						this.selectedItem = null;
						this.previous = this._value();
					},
					blur: function( event ) {
						clearTimeout( this.searching );
						this.close( event );
						this._change( event );
					}
				} );

				this._initSource();
				this.menu = $( "<ul>" )
					.appendTo( this._appendTo() )
					.menu( {

						// disable ARIA support, the live region takes care of that
						role: null
					} )
					.hide()

					// Support: IE 11 only, Edge <= 14
					// For other browsers, we preventDefault() on the mousedown event
					// to keep the dropdown from taking focus from the input. This doesn't
					// work for IE/Edge, causing problems with selection and scrolling (#9638)
					// Happily, IE and Edge support an "unselectable" attribute that
					// prevents an element from receiving focus, exactly what we want here.
					.attr( {
						"unselectable": "on"
					} )
					.menu( "instance" );

				this._addClass( this.menu.element, "ui-autocomplete", "ui-front" );
				this._on( this.menu.element, {
					mousedown: function( event ) {

						// Prevent moving focus out of the text field
						event.preventDefault();
					},
					menufocus: function( event, ui ) {
						var label, item;

						// support: Firefox
						// Prevent accidental activation of menu items in Firefox (#7024 #9118)
						if ( this.isNewMenu ) {
							this.isNewMenu = false;
							if ( event.originalEvent && /^mouse/.test( event.originalEvent.type ) ) {
								this.menu.blur();

								this.document.one( "mousemove", function() {
									$( event.target ).trigger( event.originalEvent );
								} );

								return;
							}
						}

						item = ui.item.data( "ui-autocomplete-item" );
						if ( false !== this._trigger( "focus", event, { item: item } ) ) {

							// use value to match what will end up in the input, if it was a key event
							if ( event.originalEvent && /^key/.test( event.originalEvent.type ) ) {
								this._value( item.value );
							}
						}

						// Announce the value in the liveRegion
						label = ui.item.attr( "aria-label" ) || item.value;
						if ( label && String.prototype.trim.call( label ).length ) {
							clearTimeout( this.liveRegionTimer );
							this.liveRegionTimer = this._delay( function() {
								this.liveRegion.html( $( "<div>" ).text( label ) );
							}, 100 );
						}
					},
					menuselect: function( event, ui ) {
						var item = ui.item.data( "ui-autocomplete-item" ),
							previous = this.previous;

						// Only trigger when focus was lost (click on menu)
						if ( this.element[ 0 ] !== $.ui.safeActiveElement( this.document[ 0 ] ) ) {
							this.element.trigger( "focus" );
							this.previous = previous;

							// #6109 - IE triggers two focus events and the second
							// is asynchronous, so we need to reset the previous
							// term synchronously and asynchronously :-(
							this._delay( function() {
								this.previous = previous;
								this.selectedItem = item;
							} );
						}

						if ( false !== this._trigger( "select", event, { item: item } ) ) {
							this._value( item.value );
						}

						// reset the term after the select event
						// this allows custom select handling to work properly
						this.term = this._value();

						this.close( event );
						this.selectedItem = item;
					}
				} );

				this.liveRegion = $( "<div>", {
					role: "status",
					"aria-live": "assertive",
					"aria-relevant": "additions"
				} )
					.appendTo( this.document[ 0 ].body );

				this._addClass( this.liveRegion, null, "ui-helper-hidden-accessible" );

				// Turning off autocomplete prevents the browser from remembering the
				// value when navigating through history, so we re-enable autocomplete
				// if the page is unloaded before the widget is destroyed. #7790
				this._on( this.window, {
					beforeunload: function() {
						this.element.removeAttr( "autocomplete" );
					}
				} );
			},

			_destroy: function() {
				clearTimeout( this.searching );
				this.element.removeAttr( "autocomplete" );
				this.menu.element.remove();
				this.liveRegion.remove();
			},

			_setOption: function( key, value ) {
				this._super( key, value );
				if ( key === "source" ) {
					this._initSource();
				}
				if ( key === "appendTo" ) {
					this.menu.element.appendTo( this._appendTo() );
				}
				if ( key === "disabled" && value && this.xhr ) {
					this.xhr.abort();
				}
			},

			_isEventTargetInWidget: function( event ) {
				var menuElement = this.menu.element[ 0 ];

				return event.target === this.element[ 0 ] ||
					event.target === menuElement ||
					$.contains( menuElement, event.target );
			},

			_closeOnClickOutside: function( event ) {
				if ( !this._isEventTargetInWidget( event ) ) {
					this.close();
				}
			},

			_appendTo: function() {
				var element = this.options.appendTo;

				if ( element ) {
					element = element.jquery || element.nodeType ?
						$( element ) :
						this.document.find( element ).eq( 0 );
				}

				if ( !element || !element[ 0 ] ) {
					element = this.element.closest( ".ui-front, dialog" );
				}

				if ( !element.length ) {
					element = this.document[ 0 ].body;
				}

				return element;
			},

			_initSource: function() {
				var array, url,
					that = this;
				if ( Array.isArray( this.options.source ) ) {
					array = this.options.source;
					this.source = function( request, response ) {
						response( $.ui.autocomplete.filter( array, request.term ) );
					};
				} else if ( typeof this.options.source === "string" ) {
					url = this.options.source;
					this.source = function( request, response ) {
						if ( that.xhr ) {
							that.xhr.abort();
						}
						that.xhr = $.ajax( {
							url: url,
							data: request,
							dataType: "json",
							success: function( data ) {
								response( data );
							},
							error: function() {
								response( [] );
							}
						} );
					};
				} else {
					this.source = this.options.source;
				}
			},

			_searchTimeout: function( event ) {
				clearTimeout( this.searching );
				this.searching = this._delay( function() {

					// Search if the value has changed, or if the user retypes the same value (see #7434)
					var equalValues = this.term === this._value(),
						menuVisible = this.menu.element.is( ":visible" ),
						modifierKey = event.altKey || event.ctrlKey || event.metaKey || event.shiftKey;

					if ( !equalValues || ( equalValues && !menuVisible && !modifierKey ) ) {
						this.selectedItem = null;
						this.search( null, event );
					}
				}, this.options.delay );
			},

			search: function( value, event ) {
				value = value != null ? value : this._value();

				// Always save the actual value, not the one passed as an argument
				this.term = this._value();

				if ( value.length < this.options.minLength ) {
					return this.close( event );
				}

				if ( this._trigger( "search", event ) === false ) {
					return;
				}

				return this._search( value );
			},

			_search: function( value ) {
				this.pending++;
				this._addClass( "ui-autocomplete-loading" );
				this.cancelSearch = false;

				this.source( { term: value }, this._response() );
			},

			_response: function() {
				var index = ++this.requestIndex;

				return function( content ) {
					if ( index === this.requestIndex ) {
						this.__response( content );
					}

					this.pending--;
					if ( !this.pending ) {
						this._removeClass( "ui-autocomplete-loading" );
					}
				}.bind( this );
			},

			__response: function( content ) {
				if ( content ) {
					content = this._normalize( content );
				}
				this._trigger( "response", null, { content: content } );
				if ( !this.options.disabled && content && content.length && !this.cancelSearch ) {
					this._suggest( content );
					this._trigger( "open" );
				} else {

					// use ._close() instead of .close() so we don't cancel future searches
					this._close();
				}
			},

			close: function( event ) {
				this.cancelSearch = true;
				this._close( event );
			},

			_close: function( event ) {

				// Remove the handler that closes the menu on outside clicks
				this._off( this.document, "mousedown" );

				if ( this.menu.element.is( ":visible" ) ) {
					this.menu.element.hide();
					this.menu.blur();
					this.isNewMenu = true;
					this._trigger( "close", event );
				}
			},

			_change: function( event ) {
				if ( this.previous !== this._value() ) {
					this._trigger( "change", event, { item: this.selectedItem } );
				}
			},

			_normalize: function( items ) {

				// assume all items have the right format when the first item is complete
				if ( items.length && items[ 0 ].label && items[ 0 ].value ) {
					return items;
				}
				return $.map( items, function( item ) {
					if ( typeof item === "string" ) {
						return {
							label: item,
							value: item
						};
					}
					return $.extend( {}, item, {
						label: item.label || item.value,
						value: item.value || item.label
					} );
				} );
			},

			_suggest: function( items ) {
				var ul = this.menu.element.empty();
				this._renderMenu( ul, items );
				this.isNewMenu = true;
				this.menu.refresh();

				// Size and position menu
				ul.show();
				this._resizeMenu();
				ul.position( $.extend( {
					of: this.element
				}, this.options.position ) );

				if ( this.options.autoFocus ) {
					this.menu.next();
				}

				// Listen for interactions outside of the widget (#6642)
				this._on( this.document, {
					mousedown: "_closeOnClickOutside"
				} );
			},

			_resizeMenu: function() {
				var ul = this.menu.element;
				ul.outerWidth( Math.max(

					// Firefox wraps long text (possibly a rounding bug)
					// so we add 1px to avoid the wrapping (#7513)
					ul.css("width", "" ).outerWidth() + 1,
					this.element.outerWidth()
				) );
			},

			_renderMenu: function( ul, items ) {
				var that = this;
				$.each( items, function( index, item ) {
					that._renderItemData( ul, item );
				} );
			},

			_renderItemData: function( ul, item ) {
				return this._renderItem( ul, item ).data( "ui-autocomplete-item", item );
			},

			_renderItem: function( ul, item ) {
				return $( "<li>" )
					.append( $( "<div>" ).text( item.label ) )
					.appendTo( ul );
			},

			_move: function( direction, event ) {
				if ( !this.menu.element.is( ":visible" ) ) {
					this.search( null, event );
					return;
				}
				if ( this.menu.isFirstItem() && /^previous/.test( direction ) ||
					this.menu.isLastItem() && /^next/.test( direction ) ) {

					if ( !this.isMultiLine ) {
						this._value( this.term );
					}

					this.menu.blur();
					return;
				}
				this.menu[ direction ]( event );
			},

			widget: function() {
				return this.menu.element;
			},

			_value: function() {
				return this.valueMethod.apply( this.element, arguments );
			},

			_keyEvent: function( keyEvent, event ) {
				if ( !this.isMultiLine || this.menu.element.is( ":visible" ) ) {
					this._move( keyEvent, event );

					// Prevents moving cursor to beginning/end of the text field in some browsers
					event.preventDefault();
				}
			},

			// Support: Chrome <=50
			// We should be able to just use this.element.prop( "isContentEditable" )
			// but hidden elements always report false in Chrome.
			// https://code.google.com/p/chromium/issues/detail?id=313082
			_isContentEditable: function( element ) {
				if ( !element.length ) {
					return false;
				}

				var editable = element.prop( "contentEditable" );

				if ( editable === "inherit" ) {
					return this._isContentEditable( element.parent() );
				}

				return editable === "true";
			}
		} );

		$.extend( $.ui.autocomplete, {
			escapeRegex: function( value ) {
				return value.replace( /[\-\[\]{}()*+?.,\\\^$|#\s]/g, "\\$&" );
			},
			filter: function( array, term ) {
				var matcher = new RegExp( $.ui.autocomplete.escapeRegex( term ), "i" );
				return $.grep( array, function( value ) {
					return matcher.test( value.label || value.value || value );
				} );
			}
		} );

// Live region extension, adding a `messages` option
// NOTE: This is an experimental API. We are still investigating
// a full solution for string manipulation and internationalization.
		$.widget( "ui.autocomplete", $.ui.autocomplete, {
			options: {
				messages: {
					noResults: "No search results.",
					results: function( amount ) {
						return amount + ( amount > 1 ? " results are" : " result is" ) +
							" available, use up and down arrow keys to navigate.";
					}
				}
			},

			__response: function( content ) {
				var message;
				this._superApply( arguments );
				if ( this.options.disabled || this.cancelSearch ) {
					return;
				}
				if ( content && content.length ) {
					message = this.options.messages.results( content.length );
				} else {
					message = this.options.messages.noResults;
				}
				clearTimeout( this.liveRegionTimer );
				this.liveRegionTimer = this._delay( function() {
					this.liveRegion.html( $( "<div>" ).text( message ) );
				}, 100 );
			}
		} );

		var widgetsAutocomplete = $.ui.autocomplete;


		/*!
 * jQuery UI Controlgroup 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Controlgroup
//>>group: Widgets
//>>description: Visually groups form control widgets
//>>docs: http://api.jqueryui.com/controlgroup/
//>>demos: http://jqueryui.com/controlgroup/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/controlgroup.css
//>>css.theme: ../../themes/base/theme.css


		var controlgroupCornerRegex = /ui-corner-([a-z]){2,6}/g;

		var widgetsControlgroup = $.widget( "ui.controlgroup", {
			version: "1.13.2",
			defaultElement: "<div>",
			options: {
				direction: "horizontal",
				disabled: null,
				onlyVisible: true,
				items: {
					"button": "input[type=button], input[type=submit], input[type=reset], button, a",
					"controlgroupLabel": ".ui-controlgroup-label",
					"checkboxradio": "input[type='checkbox'], input[type='radio']",
					"selectmenu": "select",
					"spinner": ".ui-spinner-input"
				}
			},

			_create: function() {
				this.element.addClass( "ui-buttonset" );
				this._enhance();
			},

			// To support the enhanced option in jQuery Mobile, we isolate DOM manipulation
			_enhance: function() {
				this.refresh();
			},

			_destroy: function() {
				this._callChildMethod( "destroy" );
				this.childWidgets.removeData( "ui-controlgroup-data" );
				this.element.removeAttr( "role" );
				if ( this.options.items.controlgroupLabel ) {
					this.element
						.find( this.options.items.controlgroupLabel )
						.find( ".ui-controlgroup-label-contents" )
						.contents().unwrap();
				}
			},

			_initWidgets: function() {
				var that = this,
					childWidgets = [];

				// First we iterate over each of the items options
				$.each( this.options.items, function( widget, selector ) {
					var labels;
					var options = {};

					// Make sure the widget has a selector set
					if ( !selector ) {
						return;
					}

					if ( widget === "controlgroupLabel" ) {
						labels = that.element.find( selector );
						labels.each( function() {
							var element = $( this );

							if ( element.children( ".ui-controlgroup-label-contents" ).length ) {
								return;
							}
							element.contents()
								.wrapAll( "<span class='ui-controlgroup-label-contents'></span>" );
						} );
						that._addClass( labels, null, "ui-widget ui-widget-content ui-state-default" );
						childWidgets = childWidgets.concat( labels.get() );
						return;
					}

					// Make sure the widget actually exists
					if ( !$.fn[ widget ] ) {
						return;
					}

					// We assume everything is in the middle to start because we can't determine
					// first / last elements until all enhancments are done.
					if ( that[ "_" + widget + "Options" ] ) {
						options = that[ "_" + widget + "Options" ]( "middle" );
					} else {
						options = { classes: {} };
					}

					// Find instances of this widget inside controlgroup and init them
					that.element
						.find( selector )
						.each( function() {
							var element = $( this );
							var instance = element[ widget ]( "instance" );

							// We need to clone the default options for this type of widget to avoid
							// polluting the variable options which has a wider scope than a single widget.
							var instanceOptions = $.widget.extend( {}, options );

							// If the button is the child of a spinner ignore it
							// TODO: Find a more generic solution
							if ( widget === "button" && element.parent( ".ui-spinner" ).length ) {
								return;
							}

							// Create the widget if it doesn't exist
							if ( !instance ) {
								instance = element[ widget ]()[ widget ]( "instance" );
							}
							if ( instance ) {
								instanceOptions.classes =
									that._resolveClassesValues( instanceOptions.classes, instance );
							}
							element[ widget ]( instanceOptions );

							// Store an instance of the controlgroup to be able to reference
							// from the outermost element for changing options and refresh
							var widgetElement = element[ widget ]( "widget" );
							$.data( widgetElement[ 0 ], "ui-controlgroup-data",
								instance ? instance : element[ widget ]( "instance" ) );

							childWidgets.push( widgetElement[ 0 ] );
						} );
				} );

				this.childWidgets = $( $.uniqueSort( childWidgets ) );
				this._addClass( this.childWidgets, "ui-controlgroup-item" );
			},

			_callChildMethod: function( method ) {
				this.childWidgets.each( function() {
					var element = $( this ),
						data = element.data( "ui-controlgroup-data" );
					if ( data && data[ method ] ) {
						data[ method ]();
					}
				} );
			},

			_updateCornerClass: function( element, position ) {
				var remove = "ui-corner-top ui-corner-bottom ui-corner-left ui-corner-right ui-corner-all";
				var add = this._buildSimpleOptions( position, "label" ).classes.label;

				this._removeClass( element, null, remove );
				this._addClass( element, null, add );
			},

			_buildSimpleOptions: function( position, key ) {
				var direction = this.options.direction === "vertical";
				var result = {
					classes: {}
				};
				result.classes[ key ] = {
					"middle": "",
					"first": "ui-corner-" + ( direction ? "top" : "left" ),
					"last": "ui-corner-" + ( direction ? "bottom" : "right" ),
					"only": "ui-corner-all"
				}[ position ];

				return result;
			},

			_spinnerOptions: function( position ) {
				var options = this._buildSimpleOptions( position, "ui-spinner" );

				options.classes[ "ui-spinner-up" ] = "";
				options.classes[ "ui-spinner-down" ] = "";

				return options;
			},

			_buttonOptions: function( position ) {
				return this._buildSimpleOptions( position, "ui-button" );
			},

			_checkboxradioOptions: function( position ) {
				return this._buildSimpleOptions( position, "ui-checkboxradio-label" );
			},

			_selectmenuOptions: function( position ) {
				var direction = this.options.direction === "vertical";
				return {
					width: direction ? "auto" : false,
					classes: {
						middle: {
							"ui-selectmenu-button-open": "",
							"ui-selectmenu-button-closed": ""
						},
						first: {
							"ui-selectmenu-button-open": "ui-corner-" + ( direction ? "top" : "tl" ),
							"ui-selectmenu-button-closed": "ui-corner-" + ( direction ? "top" : "left" )
						},
						last: {
							"ui-selectmenu-button-open": direction ? "" : "ui-corner-tr",
							"ui-selectmenu-button-closed": "ui-corner-" + ( direction ? "bottom" : "right" )
						},
						only: {
							"ui-selectmenu-button-open": "ui-corner-top",
							"ui-selectmenu-button-closed": "ui-corner-all"
						}

					}[ position ]
				};
			},

			_resolveClassesValues: function( classes, instance ) {
				var result = {};
				$.each( classes, function( key ) {
					var current = instance.options.classes[ key ] || "";
					current = String.prototype.trim.call( current.replace( controlgroupCornerRegex, "" ) );
					result[ key ] = ( current + " " + classes[ key ] ).replace( /\s+/g, " " );
				} );
				return result;
			},

			_setOption: function( key, value ) {
				if ( key === "direction" ) {
					this._removeClass( "ui-controlgroup-" + this.options.direction );
				}

				this._super( key, value );
				if ( key === "disabled" ) {
					this._callChildMethod( value ? "disable" : "enable" );
					return;
				}

				this.refresh();
			},

			refresh: function() {
				var rtl = this.element.css( "direction" ) === "rtl";

				this.buttons = this.element.find( this.options.items )
					.filter( ":ui-button" )
					.button( "refresh" )
					.end()
					.not( ":ui-button" )
					.button()
					.end()
					.map(function() {
						return $( this ).button( "widget" )[ 0 ];
					})
					.removeClass( "ui-corner-all ui-corner-left ui-corner-right" )
					.filter( ":first" )
					.addClass( rtl ? "ui-corner-right" : "ui-corner-left" )
					.end()
					.filter( ":last" )
					.addClass( rtl ? "ui-corner-left" : "ui-corner-right" )
					.end()
					.end();
			},
		} );

		/*!
 * jQuery UI Checkboxradio 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Checkboxradio
//>>group: Widgets
//>>description: Enhances a form with multiple themeable checkboxes or radio buttons.
//>>docs: http://api.jqueryui.com/checkboxradio/
//>>demos: http://jqueryui.com/checkboxradio/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/button.css
//>>css.structure: ../../themes/base/checkboxradio.css
//>>css.theme: ../../themes/base/theme.css


		$.widget( "ui.checkboxradio", [ $.ui.formResetMixin, {
			version: "1.13.2",
			options: {
				disabled: null,
				label: null,
				icon: true,
				classes: {
					"ui-checkboxradio-label": "ui-corner-all",
					"ui-checkboxradio-icon": "ui-corner-all"
				}
			},

			_getCreateOptions: function() {
				var disabled, labels, labelContents;
				var options = this._super() || {};

				// We read the type here, because it makes more sense to throw a element type error first,
				// rather then the error for lack of a label. Often if its the wrong type, it
				// won't have a label (e.g. calling on a div, btn, etc)
				this._readType();

				labels = this.element.labels();

				// If there are multiple labels, use the last one
				this.label = $( labels[ labels.length - 1 ] );
				if ( !this.label.length ) {
					$.error( "No label found for checkboxradio widget" );
				}

				this.originalLabel = "";

				// We need to get the label text but this may also need to make sure it does not contain the
				// input itself.
				// The label contents could be text, html, or a mix. We wrap all elements
				// and read the wrapper's `innerHTML` to get a string representation of
				// the label, without the input as part of it.
				labelContents = this.label.contents().not( this.element[ 0 ] );

				if ( labelContents.length ) {
					this.originalLabel += labelContents
						.clone()
						.wrapAll( "<div></div>" )
						.parent()
						.html();
				}

				// Set the label option if we found label text
				if ( this.originalLabel ) {
					options.label = this.originalLabel;
				}

				disabled = this.element[ 0 ].disabled;
				if ( disabled != null ) {
					options.disabled = disabled;
				}
				return options;
			},

			_create: function() {
				var checked = this.element[ 0 ].checked;

				this._bindFormResetHandler();

				if ( this.options.disabled == null ) {
					this.options.disabled = this.element[ 0 ].disabled;
				}

				this._setOption( "disabled", this.options.disabled );
				this._addClass( "ui-checkboxradio", "ui-helper-hidden-accessible" );
				this._addClass( this.label, "ui-checkboxradio-label", "ui-button ui-widget" );

				if ( this.type === "radio" ) {
					this._addClass( this.label, "ui-checkboxradio-radio-label" );
				}

				if ( this.options.label && this.options.label !== this.originalLabel ) {
					this._updateLabel();
				} else if ( this.originalLabel ) {
					this.options.label = this.originalLabel;
				}

				this._enhance();

				if ( checked ) {
					this._addClass( this.label, "ui-checkboxradio-checked", "ui-state-active" );
				}

				this._on( {
					change: "_toggleClasses",
					focus: function() {
						this._addClass( this.label, null, "ui-state-focus ui-visual-focus" );
					},
					blur: function() {
						this._removeClass( this.label, null, "ui-state-focus ui-visual-focus" );
					}
				} );
			},

			_readType: function() {
				var nodeName = this.element[ 0 ].nodeName.toLowerCase();
				this.type = this.element[ 0 ].type;
				if ( nodeName !== "input" || !/radio|checkbox/.test( this.type ) ) {
					$.error( "Can't create checkboxradio on element.nodeName=" + nodeName +
						" and element.type=" + this.type );
				}
			},

			// Support jQuery Mobile enhanced option
			_enhance: function() {
				this._updateIcon( this.element[ 0 ].checked );
			},

			widget: function() {
				return this.label;
			},

			_getRadioGroup: function() {
				var group;
				var name = this.element[ 0 ].name;
				var nameSelector = "input[name='" + $.escapeSelector( name ) + "']";

				if ( !name ) {
					return $( [] );
				}

				if ( this.form.length ) {
					group = $( this.form[ 0 ].elements ).filter( nameSelector );
				} else {

					// Not inside a form, check all inputs that also are not inside a form
					group = $( nameSelector ).filter( function() {
						return $( this )._form().length === 0;
					} );
				}

				return group.not( this.element );
			},

			_toggleClasses: function() {
				var checked = this.element[ 0 ].checked;
				this._toggleClass( this.label, "ui-checkboxradio-checked", "ui-state-active", checked );

				if ( this.options.icon && this.type === "checkbox" ) {
					this._toggleClass( this.icon, null, "ui-icon-check ui-state-checked", checked )
						._toggleClass( this.icon, null, "ui-icon-blank", !checked );
				}

				if ( this.type === "radio" ) {
					this._getRadioGroup()
						.each( function() {
							var instance = $( this ).checkboxradio( "instance" );

							if ( instance ) {
								instance._removeClass( instance.label,
									"ui-checkboxradio-checked", "ui-state-active" );
							}
						} );
				}
			},

			_destroy: function() {
				this._unbindFormResetHandler();

				if ( this.icon ) {
					this.icon.remove();
					this.iconSpace.remove();
				}
			},

			_setOption: function( key, value ) {

				// We don't allow the value to be set to nothing
				if ( key === "label" && !value ) {
					return;
				}

				this._super( key, value );

				if ( key === "disabled" ) {
					this._toggleClass( this.label, null, "ui-state-disabled", value );
					this.element[ 0 ].disabled = value;

					// Don't refresh when setting disabled
					return;
				}
				this.refresh();
			},

			_updateIcon: function( checked ) {
				var toAdd = "ui-icon ui-icon-background ";

				if ( this.options.icon ) {
					if ( !this.icon ) {
						this.icon = $( "<span>" );
						this.iconSpace = $( "<span> </span>" );
						this._addClass( this.iconSpace, "ui-checkboxradio-icon-space" );
					}

					if ( this.type === "checkbox" ) {
						toAdd += checked ? "ui-icon-check ui-state-checked" : "ui-icon-blank";
						this._removeClass( this.icon, null, checked ? "ui-icon-blank" : "ui-icon-check" );
					} else {
						toAdd += "ui-icon-blank";
					}
					this._addClass( this.icon, "ui-checkboxradio-icon", toAdd );
					if ( !checked ) {
						this._removeClass( this.icon, null, "ui-icon-check ui-state-checked" );
					}
					this.icon.prependTo( this.label ).after( this.iconSpace );
				} else if ( this.icon !== undefined ) {
					this.icon.remove();
					this.iconSpace.remove();
					delete this.icon;
				}
			},

			_updateLabel: function() {

				// Remove the contents of the label ( minus the icon, icon space, and input )
				var contents = this.label.contents().not( this.element[ 0 ] );
				if ( this.icon ) {
					contents = contents.not( this.icon[ 0 ] );
				}
				if ( this.iconSpace ) {
					contents = contents.not( this.iconSpace[ 0 ] );
				}
				contents.remove();

				this.label.append( this.options.label );
			},

			refresh: function() {
				var checked = this.element[ 0 ].checked,
					isDisabled = this.element[ 0 ].disabled;

				this._updateIcon( checked );
				this._toggleClass( this.label, "ui-checkboxradio-checked", "ui-state-active", checked );
				if ( this.options.label !== null ) {
					this._updateLabel();
				}

				if ( isDisabled !== this.options.disabled ) {
					this._setOptions( { "disabled": isDisabled } );
				}
			}

		} ] );

		var widgetsCheckboxradio = $.ui.checkboxradio;


		/*!
 * jQuery UI Button 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Button
//>>group: Widgets
//>>description: Enhances a form with themeable buttons.
//>>docs: http://api.jqueryui.com/button/
//>>demos: http://jqueryui.com/button/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/button.css
//>>css.theme: ../../themes/base/theme.css

		const baseClasses = "ui-button ui-widget ui-state-default ui-corner-all";
			const stateClasses = "ui-state-hover ui-state-active ",
			typeClasses = "ui-button-icons-only ui-button-icon-only ui-button-text-icons ui-button-text-icon-primary ui-button-text-icon-secondary ui-button-text-only";

		$.widget( "ui.button", {
			version: "1.13.2",
			defaultElement: "<button>",
			options: {
				classes: {
					"ui-button": "ui-corner-all"
				},
				disabled: null,
				icon: null,
				iconPosition: "beginning",
				label: null,
				showLabel: true
			},

			_getCreateOptions: function() {
				var disabled,

					// This is to support cases like in jQuery Mobile where the base widget does have
					// an implementation of _getCreateOptions
					options = this._super() || {};

				this.isInput = this.element.is( "input" );

				disabled = this.element[ 0 ].disabled;
				if ( disabled != null ) {
					options.disabled = disabled;
				}

				this.originalLabel = this.isInput ? this.element.val() : this.element.html();
				if ( this.originalLabel ) {
					options.label = this.originalLabel;
				}

				return options;
			},

			_create: function() {
				if ( !this.option.showLabel & !this.options.icon ) {
					this.options.showLabel = true;
				}

				// We have to check the option again here even though we did in _getCreateOptions,
				// because null may have been passed on init which would override what was set in
				// _getCreateOptions
				if ( this.options.disabled == null ) {
					this.options.disabled = this.element[ 0 ].disabled || false;
				}

				this.hasTitle = !!this.element.attr( "title" );

				// Check to see if the label needs to be set or if its already correct
				if ( this.options.label && this.options.label !== this.originalLabel ) {
					if ( this.isInput ) {
						this.element.val( this.options.label );
					} else {
						const btnSpan = $( "<span></span>" ).addClass( "ui-button-text" ).html(this.options.label);
						this.element.html( btnSpan );
					}
				}

				this._addClass(baseClasses);
				this._setOption( "disabled", this.options.disabled );
				this._enhance();
				this._resetButton();

				if ( this.element.is( "a" ) ) {
					this._on( {
						"keyup": function( event ) {
							if ( event.keyCode === $.ui.keyCode.SPACE ) {
								event.preventDefault();

								// Support: PhantomJS <= 1.9, IE 8 Only
								// If a native click is available use it so we actually cause navigation
								// otherwise just trigger a click event
								if ( this.element[ 0 ].click ) {
									this.element[ 0 ].click();
								} else {
									this.element.trigger( "click" );
								}
							}
						}
					} );
				}

			},

			_enhance: function() {
				if ( !this.element.is( "button" ) ) {
					this.element.attr( "role", "button" );
				}

				if ( this.options.icon ) {
					this._updateIcon( "icon", this.options.icon );
					this._updateTooltip();
				}
			},

			_updateTooltip: function() {
				this.title = this.element.attr( "title" );

				if ( !this.options.showLabel && !this.title ) {
					this.element.attr( "title", this.options.label );
				}
			},

			_updateIcon: function( option, value ) {
				var icon = option !== "iconPosition",
					position = icon ? this.options.iconPosition : value,
					displayBlock = position === "top" || position === "bottom";

				// Create icon
				if ( !this.icon ) {
					this.icon = $( "<span>" );

					this._addClass( this.icon, "ui-button-icon-primary", "ui-icon" );

					if ( !this.options.showLabel ) {
						this._addClass( "ui-button-icon-only" );
					}
				} else if ( icon ) {

					// If we are updating the icon remove the old icon class
					this._removeClass( this.icon, null, this.options.icon );
				}

				// If we are updating the icon add the new icon class
				if ( icon ) {
					this._addClass( this.icon, null, value );
				}

				this._attachIcon( position );

				// If the icon is on top or bottom we need to add the ui-widget-icon-block class and remove
				// the iconSpace if there is one.
				if ( displayBlock ) {
					this._addClass( this.icon, null, "ui-widget-icon-block" );
					if ( this.iconSpace ) {
						this.iconSpace.remove();
					}
				} else {

					// Position is beginning or end so remove the ui-widget-icon-block class and add the
					// space if it does not exist
					if ( !this.iconSpace ) {
						this.iconSpace = $( "<span> </span>" );
						this._addClass( this.iconSpace, "ui-button-icon-space" );
					}
					this._removeClass( this.icon, null, "ui-wiget-icon-block" );
					this._attachIconSpace( position );
				}
			},

			_destroy: function() {
				this.element.removeAttr( "role" );

				if ( this.icon ) {
					this.icon.remove();
				}
				if ( this.iconSpace ) {
					this.iconSpace.remove();
				}
				if ( !this.hasTitle ) {
					this.element.removeAttr( "title" );
				}
			},

			_attachIconSpace: function( iconPosition ) {
				this.icon[ /^(?:end|bottom)/.test( iconPosition ) ? "before" : "after" ]( this.iconSpace );
			},

			_attachIcon: function( iconPosition ) {
				this.element[ /^(?:end|bottom)/.test( iconPosition ) ? "append" : "prepend" ]( this.icon );
			},

			_setOptions: function( options ) {
				var newShowLabel = options.showLabel === undefined ?
						this.options.showLabel :
						options.showLabel,
					newIcon = options.icon === undefined ? this.options.icon : options.icon;

				if ( !newShowLabel && !newIcon ) {
					options.showLabel = true;
				}
				this._super( options );
			},

			_setOption: function( key, value ) {
				if ( key === "icon" ) {
					if ( value ) {
						this._updateIcon( key, value );
					} else if ( this.icon ) {
						this.icon.remove();
						if ( this.iconSpace ) {
							this.iconSpace.remove();
						}
					}
				}

				if ( key === "iconPosition" ) {
					this._updateIcon( key, value );
				}

				// Make sure we can't end up with a button that has neither text nor icon
				if ( key === "showLabel" ) {
					this._toggleClass( "ui-button-icon-only", null, !value );
					this._updateTooltip();
				}

				if ( key === "label" ) {
					if ( this.isInput ) {
						this.element.val( value );
					} else {

						// If there is an icon, append it, else nothing then append the value
						// this avoids removal of the icon when setting label text
						this.element.html( value );
						if ( this.icon ) {
							this._attachIcon( this.options.iconPosition );
							this._attachIconSpace( this.options.iconPosition );
						}
					}
				}

				this._super( key, value );

				if ( key === "disabled" ) {
					this._toggleClass( null, "ui-state-disabled", value );
					this.element[ 0 ].disabled = value;
					if ( value ) {
						this.element.trigger( "blur" );
					}
				}
			},

			refresh: function() {

				// Make sure to only check disabled if its an element that supports this otherwise
				// check for the disabled class to determine state
				var isDisabled = this.element.is( "input, button" ) ?
					this.element[ 0 ].disabled : this.element.hasClass( "ui-button-disabled" );

				if ( isDisabled !== this.options.disabled ) {
					this._setOptions( { disabled: isDisabled } );
				}

				this._updateTooltip();
			},
			_resetButton: function() {
				if ( this.type === "input" ) {
					if ( this.options.label ) {
						this.element.val( this.options.label );
					}
					return;
				}
				var buttonElement = this.element.removeClass( typeClasses ),
					buttonText = $( "<span></span>", this.document[0] )
						.addClass( "ui-button-text" )
						.html( this.options.label )
						.appendTo( buttonElement.empty() )
						.text(),
					icons = this.options.icons,
					multipleIcons = icons.primary && icons.secondary,
					buttonClasses = [];

				if ( icons.primary || icons.secondary ) {

					if ( this.options.text ) {
						buttonClasses.push( "ui-button-text-icon" + ( multipleIcons ? "s" : ( icons.primary ? "-primary" : "-secondary" ) ) );
					}

					if ( icons.primary ) {
						buttonElement.prepend( "<span class='ui-button-icon-primary ui-icon " + icons.primary + "'></span>" );
					}

					if ( icons.secondary ) {
						buttonElement.append( "<span class='ui-button-icon-secondary ui-icon " + icons.secondary + "'></span>" );
					}

					if ( !this.options.text ) {
						buttonClasses.push( multipleIcons ? "ui-button-icons-only" : "ui-button-icon-only" );


					}
				} else {
					buttonClasses.push( "ui-button-text-only" );
				}
				buttonElement.addClass( buttonClasses.join( " " ) );
			}
		} );

// DEPRECATED
		if ( $.uiBackCompat !== false ) {

			// Text and Icons options
			$.widget( "ui.button", $.ui.button, {
				options: {
					text: true,
					icons: {
						primary: null,
						secondary: null
					}
				},

				_create: function() {
					if ( this.options.showLabel && !this.options.text ) {
						this.options.showLabel = this.options.text;
					}
					if ( !this.options.showLabel && this.options.text ) {
						this.options.text = this.options.showLabel;
					}
					if ( !this.options.icon && ( this.options.icons.primary ||
						this.options.icons.secondary ) ) {
						if ( this.options.icons.primary ) {
							this.options.icon = this.options.icons.primary;
						} else {
							this.options.icon = this.options.icons.secondary;
							this.options.iconPosition = "end";
						}
					} else if ( this.options.icon ) {
						this.options.icons.primary = this.options.icon;
					}
					this._super();
				},

				_setOption: function( key, value ) {
					if ( key === "text" ) {
						this._super( "showLabel", value );
						return;
					}
					if ( key === "showLabel" ) {
						this.options.text = value;
					}
					if ( key === "icon" ) {
						this.options.icons.primary = value;
					}
					if ( key === "icons" ) {
						if ( value.primary ) {
							this._super( "icon", value.primary );
							this._super( "iconPosition", "beginning" );
						} else if ( value.secondary ) {
							this._super( "icon", value.secondary );
							this._super( "iconPosition", "end" );
						}
					}
					this._superApply( arguments );
				}
			} );

			$.fn.button = ( function( orig ) {
				return function( options ) {
					var isMethodCall = typeof options === "string";
					var args = Array.prototype.slice.call( arguments, 1 );
					var returnValue = this;

					if ( isMethodCall ) {

						// If this is an empty collection, we need to have the instance method
						// return undefined instead of the jQuery instance
						if ( !this.length && options === "instance" ) {
							returnValue = undefined;
						} else {
							this.each( function() {
								var methodValue;
								var type = $( this ).attr( "type" );
								var name = type !== "checkbox" && type !== "radio" ?
									"button" :
									"checkboxradio";
								var instance = $.data( this, "ui-" + name );

								if ( options === "instance" ) {
									returnValue = instance;
									return false;
								}

								if ( !instance ) {
									return $.error( "cannot call methods on button" +
										" prior to initialization; " +
										"attempted to call method '" + options + "'" );
								}

								if ( typeof instance[ options ] !== "function" ||
									options.charAt( 0 ) === "_" ) {
									return $.error( "no such method '" + options + "' for button" +
										" widget instance" );
								}

								methodValue = instance[ options ].apply( instance, args );

								if ( methodValue !== instance && methodValue !== undefined ) {
									returnValue = methodValue && methodValue.jquery ?
										returnValue.pushStack( methodValue.get() ) :
										methodValue;
									return false;
								}
							} );
						}
					} else {

						// Allow multiple hashes to be passed on init
						if ( args.length ) {
							options = $.widget.extend.apply( null, [ options ].concat( args ) );
						}

						this.each( function() {
							var type = $( this ).attr( "type" );
							var name = type !== "checkbox" && type !== "radio" ? "button" : "checkboxradio";
							var instance = $.data( this, "ui-" + name );

							if ( instance ) {
								instance.option( options || {} );
								if ( instance._init ) {
									instance._init();
								}
							} else {
								if ( name === "button" ) {
									orig.call( $( this ), options );
									return;
								}

								$( this ).checkboxradio( $.extend( { icon: false }, options ) );
							}
						} );
					}

					return returnValue;
				};
			} )( $.fn.button );

			$.fn.buttonset = function() {
				if ( !$.ui.controlgroup ) {
					$.error( "Controlgroup widget missing" );
				}
				if ( arguments[ 0 ] === "option" && arguments[ 1 ] === "items" && arguments[ 2 ] ) {
					return this.controlgroup.apply( this,
						[ arguments[ 0 ], "items.button", arguments[ 2 ] ] );
				}
				if ( arguments[ 0 ] === "option" && arguments[ 1 ] === "items" ) {
					return this.controlgroup.apply( this, [ arguments[ 0 ], "items.button" ] );
				}
				if ( typeof arguments[ 0 ] === "object" && arguments[ 0 ].items ) {
					arguments[ 0 ].items = {
						button: arguments[ 0 ].items
					};
				}
				return this.controlgroup.apply( this, arguments );
			};
		}

		var widgetsButton = $.ui.button;


		/* eslint-disable max-len, camelcase */
		/*!
 * jQuery UI Datepicker 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Datepicker
//>>group: Widgets
//>>description: Displays a calendar from an input or inline for selecting dates.
//>>docs: http://api.jqueryui.com/datepicker/
//>>demos: http://jqueryui.com/datepicker/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/datepicker.css
//>>css.theme: ../../themes/base/theme.css


		$.extend( $.ui, { datepicker: { version: "1.13.2" } } );

		var datepicker_instActive;

		function datepicker_getZindex( elem ) {
			var position, value;
			while ( elem.length && elem[ 0 ] !== document ) {

				// Ignore z-index if position is set to a value where z-index is ignored by the browser
				// This makes behavior of this function consistent across browsers
				// WebKit always returns auto if the element is positioned
				position = elem.css( "position" );
				if ( position === "absolute" || position === "relative" || position === "fixed" ) {

					// IE returns 0 when zIndex is not specified
					// other browsers return a string
					// we ignore the case of nested elements with an explicit value of 0
					// <div style="z-index: -10;"><div style="z-index: 0;"></div></div>
					value = parseInt( elem.css( "zIndex" ), 10 );
					if ( !isNaN( value ) && value !== 0 ) {
						return value;
					}
				}
				elem = elem.parent();
			}

			return 0;
		}

		/* Date picker manager.
   Use the singleton instance of this class, $.datepicker, to interact with the date picker.
   Settings for (groups of) date pickers are maintained in an instance object,
   allowing multiple different settings on the same page. */

		function Datepicker() {
			this._curInst = null; // The current instance in use
			this._keyEvent = false; // If the last event was a key event
			this._disabledInputs = []; // List of date picker inputs that have been disabled
			this._datepickerShowing = false; // True if the popup picker is showing , false if not
			this._inDialog = false; // True if showing within a "dialog", false if not
			this._mainDivId = "ui-datepicker-div"; // The ID of the main datepicker division
			this._inlineClass = "ui-datepicker-inline"; // The name of the inline marker class
			this._appendClass = "ui-datepicker-append"; // The name of the append marker class
			this._triggerClass = "ui-datepicker-trigger"; // The name of the trigger marker class
			this._dialogClass = "ui-datepicker-dialog"; // The name of the dialog marker class
			this._disableClass = "ui-datepicker-disabled"; // The name of the disabled covering marker class
			this._unselectableClass = "ui-datepicker-unselectable"; // The name of the unselectable cell marker class
			this._currentClass = "ui-datepicker-current-day"; // The name of the current day marker class
			this._dayOverClass = "ui-datepicker-days-cell-over"; // The name of the day hover marker class
			this.regional = []; // Available regional settings, indexed by language code
			this.regional[ "" ] = { // Default regional settings
				closeText: "Done", // Display text for close link
				prevText: "Prev", // Display text for previous month link
				nextText: "Next", // Display text for next month link
				currentText: "Today", // Display text for current month link
				monthNames: [ "January", "February", "March", "April", "May", "June",
					"July", "August", "September", "October", "November", "December" ], // Names of months for drop-down and formatting
				monthNamesShort: [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ], // For formatting
				dayNames: [ "Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday" ], // For formatting
				dayNamesShort: [ "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat" ], // For formatting
				dayNamesMin: [ "Su", "Mo", "Tu", "We", "Th", "Fr", "Sa" ], // Column headings for days starting at Sunday
				weekHeader: "Wk", // Column header for week of the year
				dateFormat: "mm/dd/yy", // See format options on parseDate
				firstDay: 0, // The first day of the week, Sun = 0, Mon = 1, ...
				isRTL: false, // True if right-to-left language, false if left-to-right
				showMonthAfterYear: false, // True if the year select precedes month, false for month then year
				yearSuffix: "", // Additional text to append to the year in the month headers,
				selectMonthLabel: "Select month", // Invisible label for month selector
				selectYearLabel: "Select year" // Invisible label for year selector
			};
			this._defaults = { // Global defaults for all the date picker instances
				showOn: "focus", // "focus" for popup on focus,
				// "button" for trigger button, or "both" for either
				showAnim: "fadeIn", // Name of jQuery animation for popup
				showOptions: {}, // Options for enhanced animations
				defaultDate: null, // Used when field is blank: actual date,
				// +/-number for offset from today, null for today
				appendText: "", // Display text following the input box, e.g. showing the format
				buttonText: "...", // Text for trigger button
				buttonImage: "", // URL for trigger button image
				buttonImageOnly: false, // True if the image appears alone, false if it appears on a button
				hideIfNoPrevNext: false, // True to hide next/previous month links
				// if not applicable, false to just disable them
				navigationAsDateFormat: false, // True if date formatting applied to prev/today/next links
				gotoCurrent: false, // True if today link goes back to current selection instead
				changeMonth: false, // True if month can be selected directly, false if only prev/next
				changeYear: false, // True if year can be selected directly, false if only prev/next
				yearRange: "c-10:c+10", // Range of years to display in drop-down,
				// either relative to today's year (-nn:+nn), relative to currently displayed year
				// (c-nn:c+nn), absolute (nnnn:nnnn), or a combination of the above (nnnn:-n)
				showOtherMonths: false, // True to show dates in other months, false to leave blank
				selectOtherMonths: false, // True to allow selection of dates in other months, false for unselectable
				showWeek: false, // True to show week of the year, false to not show it
				calculateWeek: this.iso8601Week, // How to calculate the week of the year,
				// takes a Date and returns the number of the week for it
				shortYearCutoff: "+10", // Short year values < this are in the current century,
				// > this are in the previous century,
				// string value starting with "+" for current year + value
				minDate: null, // The earliest selectable date, or null for no limit
				maxDate: null, // The latest selectable date, or null for no limit
				duration: "fast", // Duration of display/closure
				beforeShowDay: null, // Function that takes a date and returns an array with
				// [0] = true if selectable, false if not, [1] = custom CSS class name(s) or "",
				// [2] = cell title (optional), e.g. $.datepicker.noWeekends
				beforeShow: null, // Function that takes an input field and
				// returns a set of custom settings for the date picker
				onSelect: null, // Define a callback function when a date is selected
				onChangeMonthYear: null, // Define a callback function when the month or year is changed
				onClose: null, // Define a callback function when the datepicker is closed
				onUpdateDatepicker: null, // Define a callback function when the datepicker is updated
				numberOfMonths: 1, // Number of months to show at a time
				showCurrentAtPos: 0, // The position in multipe months at which to show the current month (starting at 0)
				stepMonths: 1, // Number of months to step back/forward
				stepBigMonths: 12, // Number of months to step back/forward for the big links
				altField: "", // Selector for an alternate field to store selected dates into
				altFormat: "", // The date format to use for the alternate field
				constrainInput: true, // The input is constrained by the current date format
				showButtonPanel: false, // True to show button panel, false to not show it
				autoSize: false, // True to size the input for the date format, false to leave as is
				disabled: false // The initial disabled state
			};
			$.extend( this._defaults, this.regional[ "" ] );
			this.regional.en = $.extend( true, {}, this.regional[ "" ] );
			this.regional[ "en-US" ] = $.extend( true, {}, this.regional.en );
			this.dpDiv = datepicker_bindHover( $( "<div id='" + this._mainDivId + "' class='ui-datepicker ui-widget ui-widget-content ui-helper-clearfix ui-corner-all'></div>" ) );
		}

		$.extend( Datepicker.prototype, {

			/* Class name added to elements to indicate already configured with a date picker. */
			markerClassName: "hasDatepicker",

			//Keep track of the maximum number of rows displayed (see #7043)
			maxRows: 4,

			// TODO rename to "widget" when switching to widget factory
			_widgetDatepicker: function() {
				return this.dpDiv;
			},

			/* Override the default settings for all instances of the date picker.
	 * @param  settings  object - the new settings to use as defaults (anonymous object)
	 * @return the manager object
	 */
			setDefaults: function( settings ) {
				datepicker_extendRemove( this._defaults, settings || {} );
				return this;
			},

			/* Attach the date picker to a jQuery selection.
	 * @param  target	element - the target input field or division or span
	 * @param  settings  object - the new settings to use for this date picker instance (anonymous)
	 */
			_attachDatepicker: function( target, settings ) {
				var nodeName, inline, inst;
				nodeName = target.nodeName.toLowerCase();
				inline = ( nodeName === "div" || nodeName === "span" );
				if ( !target.id ) {
					this.uuid += 1;
					target.id = "dp" + this.uuid;
				}
				inst = this._newInst( $( target ), inline );
				inst.settings = $.extend( {}, settings || {} );
				if ( nodeName === "input" ) {
					this._connectDatepicker( target, inst );
				} else if ( inline ) {
					this._inlineDatepicker( target, inst );
				}
			},

			/* Create a new instance object. */
			_newInst: function( target, inline ) {
				var id = target[ 0 ].id.replace( /([^A-Za-z0-9_\-])/g, "\\\\$1" ); // escape jQuery meta chars
				return { id: id, input: target, // associated target
					selectedDay: 0, selectedMonth: 0, selectedYear: 0, // current selection
					drawMonth: 0, drawYear: 0, // month being drawn
					inline: inline, // is datepicker inline or not
					dpDiv: ( !inline ? this.dpDiv : // presentation div
						datepicker_bindHover( $( "<div class='" + this._inlineClass + " ui-datepicker ui-widget ui-widget-content ui-helper-clearfix ui-corner-all'></div>" ) ) ) };
			},

			/* Attach the date picker to an input field. */
			_connectDatepicker: function( target, inst ) {
				var input = $( target );
				inst.append = $( [] );
				inst.trigger = $( [] );
				if ( input.hasClass( this.markerClassName ) ) {
					return;
				}
				this._attachments( input, inst );
				input.addClass( this.markerClassName ).on( "keydown", this._doKeyDown ).
				on( "keypress", this._doKeyPress ).on( "keyup", this._doKeyUp );
				this._autoSize( inst );
				$.data( target, "datepicker", inst );

				//If disabled option is true, disable the datepicker once it has been attached to the input (see ticket #5665)
				if ( inst.settings.disabled ) {
					this._disableDatepicker( target );
				}
			},

			/* Make attachments based on settings. */
			_attachments: function( input, inst ) {
				var showOn, buttonText, buttonImage,
					appendText = this._get( inst, "appendText" ),
					isRTL = this._get( inst, "isRTL" );

				if ( inst.append ) {
					inst.append.remove();
				}
				if ( appendText ) {
					inst.append = $( "<span>" )
						.addClass( this._appendClass )
						.text( appendText );
					input[ isRTL ? "before" : "after" ]( inst.append );
				}

				input.off( "focus", this._showDatepicker );

				if ( inst.trigger ) {
					inst.trigger.remove();
				}

				showOn = this._get( inst, "showOn" );
				if ( showOn === "focus" || showOn === "both" ) { // pop-up date picker when in the marked field
					input.on( "focus", this._showDatepicker );
				}
				if ( showOn === "button" || showOn === "both" ) { // pop-up date picker when button clicked
					buttonText = this._get( inst, "buttonText" );
					buttonImage = this._get( inst, "buttonImage" );

					if ( this._get( inst, "buttonImageOnly" ) ) {
						inst.trigger = $( "<img>" )
							.addClass( this._triggerClass )
							.attr( {
								src: buttonImage,
								alt: buttonText,
								title: buttonText
							} );
					} else {
						inst.trigger = $( "<button type='button'>" )
							.addClass( this._triggerClass );
						if ( buttonImage ) {
							inst.trigger.html(
								$( "<img>" )
									.attr( {
										src: buttonImage,
										alt: buttonText,
										title: buttonText
									} )
							);
						} else {
							inst.trigger.text( buttonText );
						}
					}

					input[ isRTL ? "before" : "after" ]( inst.trigger );
					inst.trigger.on( "click", function() {
						if ( $.datepicker._datepickerShowing && $.datepicker._lastInput === input[ 0 ] ) {
							$.datepicker._hideDatepicker();
						} else if ( $.datepicker._datepickerShowing && $.datepicker._lastInput !== input[ 0 ] ) {
							$.datepicker._hideDatepicker();
							$.datepicker._showDatepicker( input[ 0 ] );
						} else {
							$.datepicker._showDatepicker( input[ 0 ] );
						}
						return false;
					} );
				}
			},

			/* Apply the maximum length for the date format. */
			_autoSize: function( inst ) {
				if ( this._get( inst, "autoSize" ) && !inst.inline ) {
					var findMax, max, maxI, i,
						date = new Date( 2009, 12 - 1, 20 ), // Ensure double digits
						dateFormat = this._get( inst, "dateFormat" );

					if ( dateFormat.match( /[DM]/ ) ) {
						findMax = function( names ) {
							max = 0;
							maxI = 0;
							for ( i = 0; i < names.length; i++ ) {
								if ( names[ i ].length > max ) {
									max = names[ i ].length;
									maxI = i;
								}
							}
							return maxI;
						};
						date.setMonth( findMax( this._get( inst, ( dateFormat.match( /MM/ ) ?
							"monthNames" : "monthNamesShort" ) ) ) );
						date.setDate( findMax( this._get( inst, ( dateFormat.match( /DD/ ) ?
							"dayNames" : "dayNamesShort" ) ) ) + 20 - date.getDay() );
					}
					inst.input.attr( "size", this._formatDate( inst, date ).length );
				}
			},

			/* Attach an inline date picker to a div. */
			_inlineDatepicker: function( target, inst ) {
				var divSpan = $( target );
				if ( divSpan.hasClass( this.markerClassName ) ) {
					return;
				}
				divSpan.addClass( this.markerClassName ).append( inst.dpDiv );
				$.data( target, "datepicker", inst );
				this._setDate( inst, this._getDefaultDate( inst ), true );
				this._updateDatepicker( inst );
				this._updateAlternate( inst );

				//If disabled option is true, disable the datepicker before showing it (see ticket #5665)
				if ( inst.settings.disabled ) {
					this._disableDatepicker( target );
				}

				// Set display:block in place of inst.dpDiv.show() which won't work on disconnected elements
				// http://bugs.jqueryui.com/ticket/7552 - A Datepicker created on a detached div has zero height
				inst.dpDiv.css( "display", "block" );
			},

			/* Pop-up the date picker in a "dialog" box.
	 * @param  input element - ignored
	 * @param  date	string or Date - the initial date to display
	 * @param  onSelect  function - the function to call when a date is selected
	 * @param  settings  object - update the dialog date picker instance's settings (anonymous object)
	 * @param  pos int[2] - coordinates for the dialog's position within the screen or
	 *					event - with x/y coordinates or
	 *					leave empty for default (screen centre)
	 * @return the manager object
	 */
			_dialogDatepicker: function( input, date, onSelect, settings, pos ) {
				var id, browserWidth, browserHeight, scrollX, scrollY,
					inst = this._dialogInst; // internal instance

				if ( !inst ) {
					this.uuid += 1;
					id = "dp" + this.uuid;
					this._dialogInput = $( "<input type='text' id='" + id +
						"' style='position: absolute; top: -100px; width: 0px;'/>" );
					this._dialogInput.on( "keydown", this._doKeyDown );
					$( "body" ).append( this._dialogInput );
					inst = this._dialogInst = this._newInst( this._dialogInput, false );
					inst.settings = {};
					$.data( this._dialogInput[ 0 ], "datepicker", inst );
				}
				datepicker_extendRemove( inst.settings, settings || {} );
				date = ( date && date.constructor === Date ? this._formatDate( inst, date ) : date );
				this._dialogInput.val( date );

				this._pos = ( pos ? ( pos.length ? pos : [ pos.pageX, pos.pageY ] ) : null );
				if ( !this._pos ) {
					browserWidth = document.documentElement.clientWidth;
					browserHeight = document.documentElement.clientHeight;
					scrollX = document.documentElement.scrollLeft || document.body.scrollLeft;
					scrollY = document.documentElement.scrollTop || document.body.scrollTop;
					this._pos = // should use actual width/height below
						[ ( browserWidth / 2 ) - 100 + scrollX, ( browserHeight / 2 ) - 150 + scrollY ];
				}

				// Move input on screen for focus, but hidden behind dialog
				this._dialogInput.css( "left", ( this._pos[ 0 ] + 20 ) + "px" ).css( "top", this._pos[ 1 ] + "px" );
				inst.settings.onSelect = onSelect;
				this._inDialog = true;
				this.dpDiv.addClass( this._dialogClass );
				this._showDatepicker( this._dialogInput[ 0 ] );
				if ( $.blockUI ) {
					$.blockUI( this.dpDiv );
				}
				$.data( this._dialogInput[ 0 ], "datepicker", inst );
				return this;
			},

			/* Detach a datepicker from its control.
	 * @param  target	element - the target input field or division or span
	 */
			_destroyDatepicker: function( target ) {
				var nodeName,
					$target = $( target ),
					inst = $.data( target, "datepicker" );

				if ( !$target.hasClass( this.markerClassName ) ) {
					return;
				}

				nodeName = target.nodeName.toLowerCase();
				$.removeData( target, "datepicker" );
				if ( nodeName === "input" ) {
					inst.append.remove();
					inst.trigger.remove();
					$target.removeClass( this.markerClassName ).
					off( "focus", this._showDatepicker ).
					off( "keydown", this._doKeyDown ).
					off( "keypress", this._doKeyPress ).
					off( "keyup", this._doKeyUp );
				} else if ( nodeName === "div" || nodeName === "span" ) {
					$target.removeClass( this.markerClassName ).empty();
				}

				if ( datepicker_instActive === inst ) {
					datepicker_instActive = null;
					this._curInst = null;
				}
			},

			/* Enable the date picker to a jQuery selection.
	 * @param  target	element - the target input field or division or span
	 */
			_enableDatepicker: function( target ) {
				var nodeName, inline,
					$target = $( target ),
					inst = $.data( target, "datepicker" );

				if ( !$target.hasClass( this.markerClassName ) ) {
					return;
				}

				nodeName = target.nodeName.toLowerCase();
				if ( nodeName === "input" ) {
					target.disabled = false;
					inst.trigger.filter( "button" ).
					each( function() {
						this.disabled = false;
					} ).end().
					filter( "img" ).css( { opacity: "1.0", cursor: "" } );
				} else if ( nodeName === "div" || nodeName === "span" ) {
					inline = $target.children( "." + this._inlineClass );
					inline.children().removeClass( "ui-state-disabled" );
					inline.find( "select.ui-datepicker-month, select.ui-datepicker-year" ).
					prop( "disabled", false );
				}
				this._disabledInputs = $.map( this._disabledInputs,

					// Delete entry
					function( value ) {
						return ( value === target ? null : value );
					} );
			},

			/* Disable the date picker to a jQuery selection.
	 * @param  target	element - the target input field or division or span
	 */
			_disableDatepicker: function( target ) {
				var nodeName, inline,
					$target = $( target ),
					inst = $.data( target, "datepicker" );

				if ( !$target.hasClass( this.markerClassName ) ) {
					return;
				}

				nodeName = target.nodeName.toLowerCase();
				if ( nodeName === "input" ) {
					target.disabled = true;
					inst.trigger.filter( "button" ).
					each( function() {
						this.disabled = true;
					} ).end().
					filter( "img" ).css( { opacity: "0.5", cursor: "default" } );
				} else if ( nodeName === "div" || nodeName === "span" ) {
					inline = $target.children( "." + this._inlineClass );
					inline.children().addClass( "ui-state-disabled" );
					inline.find( "select.ui-datepicker-month, select.ui-datepicker-year" ).
					prop( "disabled", true );
				}
				this._disabledInputs = $.map( this._disabledInputs,

					// Delete entry
					function( value ) {
						return ( value === target ? null : value );
					} );
				this._disabledInputs[ this._disabledInputs.length ] = target;
			},

			/* Is the first field in a jQuery collection disabled as a datepicker?
	 * @param  target	element - the target input field or division or span
	 * @return boolean - true if disabled, false if enabled
	 */
			_isDisabledDatepicker: function( target ) {
				if ( !target ) {
					return false;
				}
				for ( var i = 0; i < this._disabledInputs.length; i++ ) {
					if ( this._disabledInputs[ i ] === target ) {
						return true;
					}
				}
				return false;
			},

			/* Retrieve the instance data for the target control.
	 * @param  target  element - the target input field or division or span
	 * @return  object - the associated instance data
	 * @throws  error if a jQuery problem getting data
	 */
			_getInst: function( target ) {
				try {
					return $.data( target, "datepicker" );
				} catch ( err ) {
					throw "Missing instance data for this datepicker";
				}
			},

			/* Update or retrieve the settings for a date picker attached to an input field or division.
	 * @param  target  element - the target input field or division or span
	 * @param  name	object - the new settings to update or
	 *				string - the name of the setting to change or retrieve,
	 *				when retrieving also "all" for all instance settings or
	 *				"defaults" for all global defaults
	 * @param  value   any - the new value for the setting
	 *				(omit if above is an object or to retrieve a value)
	 */
			_optionDatepicker: function( target, name, value ) {
				var settings, date, minDate, maxDate,
					inst = this._getInst( target );

				if ( arguments.length === 2 && typeof name === "string" ) {
					return ( name === "defaults" ? $.extend( {}, $.datepicker._defaults ) :
						( inst ? ( name === "all" ? $.extend( {}, inst.settings ) :
							this._get( inst, name ) ) : null ) );
				}

				settings = name || {};
				if ( typeof name === "string" ) {
					settings = {};
					settings[ name ] = value;
				}

				if ( inst ) {
					if ( this._curInst === inst ) {
						this._hideDatepicker();
					}

					date = this._getDateDatepicker( target, true );
					minDate = this._getMinMaxDate( inst, "min" );
					maxDate = this._getMinMaxDate( inst, "max" );
					datepicker_extendRemove( inst.settings, settings );

					// reformat the old minDate/maxDate values if dateFormat changes and a new minDate/maxDate isn't provided
					if ( minDate !== null && settings.dateFormat !== undefined && settings.minDate === undefined ) {
						inst.settings.minDate = this._formatDate( inst, minDate );
					}
					if ( maxDate !== null && settings.dateFormat !== undefined && settings.maxDate === undefined ) {
						inst.settings.maxDate = this._formatDate( inst, maxDate );
					}
					if ( "disabled" in settings ) {
						if ( settings.disabled ) {
							this._disableDatepicker( target );
						} else {
							this._enableDatepicker( target );
						}
					}
					this._attachments( $( target ), inst );
					this._autoSize( inst );
					this._setDate( inst, date );
					this._updateAlternate( inst );
					this._updateDatepicker( inst );
				}
			},

			// Change method deprecated
			_changeDatepicker: function( target, name, value ) {
				this._optionDatepicker( target, name, value );
			},

			/* Redraw the date picker attached to an input field or division.
	 * @param  target  element - the target input field or division or span
	 */
			_refreshDatepicker: function( target ) {
				var inst = this._getInst( target );
				if ( inst ) {
					this._updateDatepicker( inst );
				}
			},

			/* Set the dates for a jQuery selection.
	 * @param  target element - the target input field or division or span
	 * @param  date	Date - the new date
	 */
			_setDateDatepicker: function( target, date ) {
				var inst = this._getInst( target );
				if ( inst ) {
					this._setDate( inst, date );
					this._updateDatepicker( inst );
					this._updateAlternate( inst );
				}
			},

			/* Get the date(s) for the first entry in a jQuery selection.
	 * @param  target element - the target input field or division or span
	 * @param  noDefault boolean - true if no default date is to be used
	 * @return Date - the current date
	 */
			_getDateDatepicker: function( target, noDefault ) {
				var inst = this._getInst( target );
				if ( inst && !inst.inline ) {
					this._setDateFromField( inst, noDefault );
				}
				return ( inst ? this._getDate( inst ) : null );
			},

			/* Handle keystrokes. */
			_doKeyDown: function( event ) {
				var onSelect, dateStr, sel,
					inst = $.datepicker._getInst( event.target ),
					handled = true,
					isRTL = inst.dpDiv.is( ".ui-datepicker-rtl" );

				inst._keyEvent = true;
				if ( $.datepicker._datepickerShowing ) {
					switch ( event.keyCode ) {
						case 9: $.datepicker._hideDatepicker();
							handled = false;
							break; // hide on tab out
						case 13: sel = $( "td." + $.datepicker._dayOverClass + ":not(." +
							$.datepicker._currentClass + ")", inst.dpDiv );
							if ( sel[ 0 ] ) {
								$.datepicker._selectDay( event.target, inst.selectedMonth, inst.selectedYear, sel[ 0 ] );
							}

							onSelect = $.datepicker._get( inst, "onSelect" );
							if ( onSelect ) {
								dateStr = $.datepicker._formatDate( inst );

								// Trigger custom callback
								onSelect.apply( ( inst.input ? inst.input[ 0 ] : null ), [ dateStr, inst ] );
							} else {
								$.datepicker._hideDatepicker();
							}

							return false; // don't submit the form
						case 27: $.datepicker._hideDatepicker();
							break; // hide on escape
						case 33: $.datepicker._adjustDate( event.target, ( event.ctrlKey ?
							-$.datepicker._get( inst, "stepBigMonths" ) :
							-$.datepicker._get( inst, "stepMonths" ) ), "M" );
							break; // previous month/year on page up/+ ctrl
						case 34: $.datepicker._adjustDate( event.target, ( event.ctrlKey ?
							+$.datepicker._get( inst, "stepBigMonths" ) :
							+$.datepicker._get( inst, "stepMonths" ) ), "M" );
							break; // next month/year on page down/+ ctrl
						case 35: if ( event.ctrlKey || event.metaKey ) {
							$.datepicker._clearDate( event.target );
						}
							handled = event.ctrlKey || event.metaKey;
							break; // clear on ctrl or command +end
						case 36: if ( event.ctrlKey || event.metaKey ) {
							$.datepicker._gotoToday( event.target );
						}
							handled = event.ctrlKey || event.metaKey;
							break; // current on ctrl or command +home
						case 37: if ( event.ctrlKey || event.metaKey ) {
							$.datepicker._adjustDate( event.target, ( isRTL ? +1 : -1 ), "D" );
						}
							handled = event.ctrlKey || event.metaKey;

							// -1 day on ctrl or command +left
							if ( event.originalEvent.altKey ) {
								$.datepicker._adjustDate( event.target, ( event.ctrlKey ?
									-$.datepicker._get( inst, "stepBigMonths" ) :
									-$.datepicker._get( inst, "stepMonths" ) ), "M" );
							}

							// next month/year on alt +left on Mac
							break;
						case 38: if ( event.ctrlKey || event.metaKey ) {
							$.datepicker._adjustDate( event.target, -7, "D" );
						}
							handled = event.ctrlKey || event.metaKey;
							break; // -1 week on ctrl or command +up
						case 39: if ( event.ctrlKey || event.metaKey ) {
							$.datepicker._adjustDate( event.target, ( isRTL ? -1 : +1 ), "D" );
						}
							handled = event.ctrlKey || event.metaKey;

							// +1 day on ctrl or command +right
							if ( event.originalEvent.altKey ) {
								$.datepicker._adjustDate( event.target, ( event.ctrlKey ?
									+$.datepicker._get( inst, "stepBigMonths" ) :
									+$.datepicker._get( inst, "stepMonths" ) ), "M" );
							}

							// next month/year on alt +right
							break;
						case 40: if ( event.ctrlKey || event.metaKey ) {
							$.datepicker._adjustDate( event.target, +7, "D" );
						}
							handled = event.ctrlKey || event.metaKey;
							break; // +1 week on ctrl or command +down
						default: handled = false;
					}
				} else if ( event.keyCode === 36 && event.ctrlKey ) { // display the date picker on ctrl+home
					$.datepicker._showDatepicker( this );
				} else {
					handled = false;
				}

				if ( handled ) {
					event.preventDefault();
					event.stopPropagation();
				}
			},

			/* Filter entered characters - based on date format. */
			_doKeyPress: function( event ) {
				var chars, chr,
					inst = $.datepicker._getInst( event.target );

				if ( $.datepicker._get( inst, "constrainInput" ) ) {
					chars = $.datepicker._possibleChars( $.datepicker._get( inst, "dateFormat" ) );
					chr = String.fromCharCode( event.charCode == null ? event.keyCode : event.charCode );
					return event.ctrlKey || event.metaKey || ( chr < " " || !chars || chars.indexOf( chr ) > -1 );
				}
			},

			/* Synchronise manual entry and field/alternate field. */
			_doKeyUp: function( event ) {
				var date,
					inst = $.datepicker._getInst( event.target );

				if ( inst.input.val() !== inst.lastVal ) {
					try {
						date = $.datepicker.parseDate( $.datepicker._get( inst, "dateFormat" ),
							( inst.input ? inst.input.val() : null ),
							$.datepicker._getFormatConfig( inst ) );

						if ( date ) { // only if valid
							$.datepicker._setDateFromField( inst );
							$.datepicker._updateAlternate( inst );
							$.datepicker._updateDatepicker( inst );
						}
					} catch ( err ) {
					}
				}
				return true;
			},

			/* Pop-up the date picker for a given input field.
	 * If false returned from beforeShow event handler do not show.
	 * @param  input  element - the input field attached to the date picker or
	 *					event - if triggered by focus
	 */
			_showDatepicker: function( input ) {
				input = input.target || input;
				if ( input.nodeName.toLowerCase() !== "input" ) { // find from button/image trigger
					input = $( "input", input.parentNode )[ 0 ];
				}

				if ( $.datepicker._isDisabledDatepicker( input ) || $.datepicker._lastInput === input ) { // already here
					return;
				}

				var inst, beforeShow, beforeShowSettings, isFixed,
					offset, showAnim, duration;

				inst = $.datepicker._getInst( input );
				if ( $.datepicker._curInst && $.datepicker._curInst !== inst ) {
					$.datepicker._curInst.dpDiv.stop( true, true );
					if ( inst && $.datepicker._datepickerShowing ) {
						$.datepicker._hideDatepicker( $.datepicker._curInst.input[ 0 ] );
					}
				}

				beforeShow = $.datepicker._get( inst, "beforeShow" );
				beforeShowSettings = beforeShow ? beforeShow.apply( input, [ input, inst ] ) : {};
				if ( beforeShowSettings === false ) {
					return;
				}
				datepicker_extendRemove( inst.settings, beforeShowSettings );

				inst.lastVal = null;
				$.datepicker._lastInput = input;
				$.datepicker._setDateFromField( inst );

				if ( $.datepicker._inDialog ) { // hide cursor
					input.value = "";
				}
				if ( !$.datepicker._pos ) { // position below input
					$.datepicker._pos = $.datepicker._findPos( input );
					$.datepicker._pos[ 1 ] += input.offsetHeight; // add the height
				}

				isFixed = false;
				$( input ).parents().each( function() {
					isFixed |= $( this ).css( "position" ) === "fixed";
					return !isFixed;
				} );

				offset = { left: $.datepicker._pos[ 0 ], top: $.datepicker._pos[ 1 ] };
				$.datepicker._pos = null;

				//to avoid flashes on Firefox
				inst.dpDiv.empty();

				// determine sizing offscreen
				inst.dpDiv.css( { position: "absolute", display: "block", top: "-1000px" } );
				$.datepicker._updateDatepicker( inst );

				// fix width for dynamic number of date pickers
				// and adjust position before showing
				offset = $.datepicker._checkOffset( inst, offset, isFixed );
				inst.dpDiv.css( { position: ( $.datepicker._inDialog && $.blockUI ?
						"static" : ( isFixed ? "fixed" : "absolute" ) ), display: "none",
					left: offset.left + "px", top: offset.top + "px" } );

				if ( !inst.inline ) {
					showAnim = $.datepicker._get( inst, "showAnim" );
					duration = $.datepicker._get( inst, "duration" );
					inst.dpDiv.css( "z-index", datepicker_getZindex( $( input ) ) + 1 );
					$.datepicker._datepickerShowing = true;

					if ( $.effects && $.effects.effect[ showAnim ] ) {
						inst.dpDiv.show( showAnim, $.datepicker._get( inst, "showOptions" ), duration );
					} else {
						inst.dpDiv[ showAnim || "show" ]( showAnim ? duration : null );
					}

					if ( $.datepicker._shouldFocusInput( inst ) ) {
						inst.input.trigger( "focus" );
					}

					$.datepicker._curInst = inst;
				}
			},

			/* Generate the date picker content. */
			_updateDatepicker: function( inst ) {
				this.maxRows = 4; //Reset the max number of rows being displayed (see #7043)
				datepicker_instActive = inst; // for delegate hover events
				inst.dpDiv.empty().append( this._generateHTML( inst ) );
				this._attachHandlers( inst );

				var origyearshtml,
					numMonths = this._getNumberOfMonths( inst ),
					cols = numMonths[ 1 ],
					width = 17,
					activeCell = inst.dpDiv.find( "." + this._dayOverClass + " a" ),
					onUpdateDatepicker = $.datepicker._get( inst, "onUpdateDatepicker" );

				if ( activeCell.length > 0 ) {
					datepicker_handleMouseover.apply( activeCell.get( 0 ) );
				}

				inst.dpDiv.removeClass( "ui-datepicker-multi-2 ui-datepicker-multi-3 ui-datepicker-multi-4" ).css("width", "" );
				if ( cols > 1 ) {
					inst.dpDiv.addClass( "ui-datepicker-multi-" + cols ).css( "width", ( width * cols ) + "em" );
				}
				inst.dpDiv[ ( numMonths[ 0 ] !== 1 || numMonths[ 1 ] !== 1 ? "add" : "remove" ) +
				"Class" ]( "ui-datepicker-multi" );
				inst.dpDiv[ ( this._get( inst, "isRTL" ) ? "add" : "remove" ) +
				"Class" ]( "ui-datepicker-rtl" );

				if ( inst === $.datepicker._curInst && $.datepicker._datepickerShowing && $.datepicker._shouldFocusInput( inst ) ) {
					inst.input.trigger( "focus" );
				}

				// Deffered render of the years select (to avoid flashes on Firefox)
				if ( inst.yearshtml ) {
					origyearshtml = inst.yearshtml;
					setTimeout( function() {

						//assure that inst.yearshtml didn't change.
						if ( origyearshtml === inst.yearshtml && inst.yearshtml ) {
							inst.dpDiv.find( "select.ui-datepicker-year" ).first().replaceWith( inst.yearshtml );
						}
						origyearshtml = inst.yearshtml = null;
					}, 0 );
				}

				if ( onUpdateDatepicker ) {
					onUpdateDatepicker.apply( ( inst.input ? inst.input[ 0 ] : null ), [ inst ] );
				}
			},

			// #6694 - don't focus the input if it's already focused
			// this breaks the change event in IE
			// Support: IE and jQuery <1.9
			_shouldFocusInput: function( inst ) {
				return inst.input && inst.input.is( ":visible" ) && !inst.input.is( ":disabled" ) && !inst.input.is( ":focus" );
			},

			/* Check positioning to remain on screen. */
			_checkOffset: function( inst, offset, isFixed ) {
				var dpWidth = parseInt(inst.dpDiv.css("width")) + parseInt(inst.dpDiv.css("padding-left")) + parseInt(inst.dpDiv.css("padding-right")),
					dpHeight = parseInt(inst.dpDiv.css("height"))+parseInt(inst.dpDiv.css("padding-top"))+parseInt(inst.dpDiv.css("padding-bottom")),
					inputWidth = inst.input ? parseInt(inst.input.css("width")) + parseInt(inst.input.css("padding-left")) + parseInt(inst.input.css("padding-right")) : 0,
					inputHeight = inst.input ? parseInt(inst.input.css("height"))+parseInt(inst.input.css("padding-top"))+parseInt(inst.input.css("padding-bottom")) : 0,
					viewWidth = document.documentElement.clientWidth + ( isFixed ? 0 : $( document ).scrollLeft() ),
					viewHeight = document.documentElement.clientHeight + ( isFixed ? 0 : $( document ).scrollTop() );

				offset.left -= ( this._get( inst, "isRTL" ) ? ( dpWidth - inputWidth ) : 0 );
				offset.left -= ( isFixed && offset.left === inst.input.offset().left ) ? $( document ).scrollLeft() : 0;
				offset.top -= ( isFixed && offset.top === ( inst.input.offset().top + inputHeight ) ) ? $( document ).scrollTop() : 0;

				// Now check if datepicker is showing outside window viewport - move to a better place if so.
				offset.left -= Math.min( offset.left, ( offset.left + dpWidth > viewWidth && viewWidth > dpWidth ) ?
					Math.abs( offset.left + dpWidth - viewWidth ) : 0 );
				offset.top -= Math.min( offset.top, ( offset.top + dpHeight > viewHeight && viewHeight > dpHeight ) ?
					Math.abs( dpHeight + inputHeight ) : 0 );

				return offset;
			},

			/* Find an object's position on the screen. */
			_findPos: function( obj ) {
				var position,
					inst = this._getInst( obj ),
					isRTL = this._get( inst, "isRTL" );

				while ( obj && ( obj.type === "hidden" || obj.nodeType !== 1 || $.expr.pseudos.hidden( obj ) ) ) {
					obj = obj[ isRTL ? "previousSibling" : "nextSibling" ];
				}

				position = $( obj ).offset();
				return [ position.left, position.top ];
			},

			/* Hide the date picker from view.
	 * @param  input  element - the input field attached to the date picker
	 */
			_hideDatepicker: function( input ) {
				var showAnim, duration, postProcess, onClose,
					inst = this._curInst;

				if ( !inst || ( input && inst !== $.data( input, "datepicker" ) ) ) {
					return;
				}

				if ( this._datepickerShowing ) {
					showAnim = this._get( inst, "showAnim" );
					duration = this._get( inst, "duration" );
					postProcess = function() {
						$.datepicker._tidyDialog( inst );
					};

					// DEPRECATED: after BC for 1.8.x $.effects[ showAnim ] is not needed
					if ( $.effects && ( $.effects.effect[ showAnim ] || $.effects[ showAnim ] ) ) {
						inst.dpDiv.hide( showAnim, $.datepicker._get( inst, "showOptions" ), duration, postProcess );
					} else {
						inst.dpDiv[ ( showAnim === "slideDown" ? "slideUp" :
							( showAnim === "fadeIn" ? "fadeOut" : "hide" ) ) ]( ( showAnim ? duration : null ), postProcess );
					}

					if ( !showAnim ) {
						postProcess();
					}
					this._datepickerShowing = false;

					onClose = this._get( inst, "onClose" );
					if ( onClose ) {
						onClose.apply( ( inst.input ? inst.input[ 0 ] : null ), [ ( inst.input ? inst.input.val() : "" ), inst ] );
					}

					this._lastInput = null;
					if ( this._inDialog ) {
						this._dialogInput.css( { position: "absolute", left: "0", top: "-100px" } );
						if ( $.blockUI ) {
							$.unblockUI();
							$( "body" ).append( this.dpDiv );
						}
					}
					this._inDialog = false;
				}
			},

			/* Tidy up after a dialog display. */
			_tidyDialog: function( inst ) {
				inst.dpDiv.removeClass( this._dialogClass ).off( ".ui-datepicker-calendar" );
			},

			/* Close date picker if clicked elsewhere. */
			_checkExternalClick: function( event ) {
				if ( !$.datepicker._curInst ) {
					return;
				}

				var $target = $( event.target ),
					inst = $.datepicker._getInst( $target[ 0 ] );

				if ( ( ( $target[ 0 ].id !== $.datepicker._mainDivId &&
						$target.parents( "#" + $.datepicker._mainDivId ).length === 0 &&
						!$target.hasClass( $.datepicker.markerClassName ) &&
						!$target.closest( "." + $.datepicker._triggerClass ).length &&
						$.datepicker._datepickerShowing && !( $.datepicker._inDialog && $.blockUI ) ) ) ||
					( $target.hasClass( $.datepicker.markerClassName ) && $.datepicker._curInst !== inst ) ) {
					$.datepicker._hideDatepicker();
				}
			},

			/* Adjust one of the date sub-fields. */
			_adjustDate: function( id, offset, period ) {
				var target = $( id ),
					inst = this._getInst( target[ 0 ] );

				if ( this._isDisabledDatepicker( target[ 0 ] ) ) {
					return;
				}
				this._adjustInstDate( inst, offset, period );
				this._updateDatepicker( inst );
			},

			/* Action for current link. */
			_gotoToday: function( id ) {
				var date,
					target = $( id ),
					inst = this._getInst( target[ 0 ] );

				if ( this._get( inst, "gotoCurrent" ) && inst.currentDay ) {
					inst.selectedDay = inst.currentDay;
					inst.drawMonth = inst.selectedMonth = inst.currentMonth;
					inst.drawYear = inst.selectedYear = inst.currentYear;
				} else {
					date = new Date();
					inst.selectedDay = date.getDate();
					inst.drawMonth = inst.selectedMonth = date.getMonth();
					inst.drawYear = inst.selectedYear = date.getFullYear();
				}
				this._notifyChange( inst );
				this._adjustDate( target );
			},

			/* Action for selecting a new month/year. */
			_selectMonthYear: function( id, select, period ) {
				var target = $( id ),
					inst = this._getInst( target[ 0 ] );

				inst[ "selected" + ( period === "M" ? "Month" : "Year" ) ] =
					inst[ "draw" + ( period === "M" ? "Month" : "Year" ) ] =
						parseInt( select.options[ select.selectedIndex ].value, 10 );

				this._notifyChange( inst );
				this._adjustDate( target );
			},

			/* Action for selecting a day. */
			_selectDay: function( id, month, year, td ) {
				var inst,
					target = $( id );

				if ( $( td ).hasClass( this._unselectableClass ) || this._isDisabledDatepicker( target[ 0 ] ) ) {
					return;
				}

				inst = this._getInst( target[ 0 ] );
				inst.selectedDay = inst.currentDay = parseInt( $( "a", td ).attr( "data-date" ) );
				inst.selectedMonth = inst.currentMonth = month;
				inst.selectedYear = inst.currentYear = year;
				this._selectDate( id, this._formatDate( inst,
					inst.currentDay, inst.currentMonth, inst.currentYear ) );
			},

			/* Erase the input field and hide the date picker. */
			_clearDate: function( id ) {
				var target = $( id );
				this._selectDate( target, "" );
			},

			/* Update the input field with the selected date. */
			_selectDate: function( id, dateStr ) {
				var onSelect,
					target = $( id ),
					inst = this._getInst( target[ 0 ] );

				dateStr = ( dateStr != null ? dateStr : this._formatDate( inst ) );
				if ( inst.input ) {
					inst.input.val( dateStr );
				}
				this._updateAlternate( inst );

				onSelect = this._get( inst, "onSelect" );
				if ( onSelect ) {
					onSelect.apply( ( inst.input ? inst.input[ 0 ] : null ), [ dateStr, inst ] );  // trigger custom callback
				} else if ( inst.input ) {
					inst.input.trigger( "change" ); // fire the change event
				}

				if ( inst.inline ) {
					this._updateDatepicker( inst );
				} else {
					this._hideDatepicker();
					this._lastInput = inst.input[ 0 ];
					if ( typeof( inst.input[ 0 ] ) !== "object" ) {
						inst.input.trigger( "focus" ); // restore focus
					}
					this._lastInput = null;
				}
			},

			/* Update any alternate field to synchronise with the main field. */
			_updateAlternate: function( inst ) {
				var altFormat, date, dateStr,
					altField = this._get( inst, "altField" );

				if ( altField ) { // update alternate field too
					altFormat = this._get( inst, "altFormat" ) || this._get( inst, "dateFormat" );
					date = this._getDate( inst );
					dateStr = this.formatDate( altFormat, date, this._getFormatConfig( inst ) );
					$( document ).find( altField ).val( dateStr );
				}
			},

			/* Set as beforeShowDay function to prevent selection of weekends.
	 * @param  date  Date - the date to customise
	 * @return [boolean, string] - is this date selectable?, what is its CSS class?
	 */
			noWeekends: function( date ) {
				var day = date.getDay();
				return [ ( day > 0 && day < 6 ), "" ];
			},

			/* Set as calculateWeek to determine the week of the year based on the ISO 8601 definition.
	 * @param  date  Date - the date to get the week for
	 * @return  number - the number of the week within the year that contains this date
	 */
			iso8601Week: function( date ) {
				var time,
					checkDate = new Date( date.getTime() );

				// Find Thursday of this week starting on Monday
				checkDate.setDate( checkDate.getDate() + 4 - ( checkDate.getDay() || 7 ) );

				time = checkDate.getTime();
				checkDate.setMonth( 0 ); // Compare with Jan 1
				checkDate.setDate( 1 );
				return Math.floor( Math.round( ( time - checkDate ) / 86400000 ) / 7 ) + 1;
			},

			/* Parse a string value into a date object.
	 * See formatDate below for the possible formats.
	 *
	 * @param  format string - the expected format of the date
	 * @param  value string - the date in the above format
	 * @param  settings Object - attributes include:
	 *					shortYearCutoff  number - the cutoff year for determining the century (optional)
	 *					dayNamesShort	string[7] - abbreviated names of the days from Sunday (optional)
	 *					dayNames		string[7] - names of the days from Sunday (optional)
	 *					monthNamesShort string[12] - abbreviated names of the months (optional)
	 *					monthNames		string[12] - names of the months (optional)
	 * @return  Date - the extracted date value or null if value is blank
	 */
			parseDate: function( format, value, settings ) {
				if ( format == null || value == null ) {
					throw "Invalid arguments";
				}

				value = ( typeof value === "object" ? value.toString() : value + "" );
				if ( value === "" ) {
					return null;
				}

				var iFormat, dim, extra,
					iValue = 0,
					shortYearCutoffTemp = ( settings ? settings.shortYearCutoff : null ) || this._defaults.shortYearCutoff,
					shortYearCutoff = ( typeof shortYearCutoffTemp !== "string" ? shortYearCutoffTemp :
						new Date().getFullYear() % 100 + parseInt( shortYearCutoffTemp, 10 ) ),
					dayNamesShort = ( settings ? settings.dayNamesShort : null ) || this._defaults.dayNamesShort,
					dayNames = ( settings ? settings.dayNames : null ) || this._defaults.dayNames,
					monthNamesShort = ( settings ? settings.monthNamesShort : null ) || this._defaults.monthNamesShort,
					monthNames = ( settings ? settings.monthNames : null ) || this._defaults.monthNames,
					year = -1,
					month = -1,
					day = -1,
					doy = -1,
					literal = false,
					date,

					// Check whether a format character is doubled
					lookAhead = function( match ) {
						var matches = ( iFormat + 1 < format.length && format.charAt( iFormat + 1 ) === match );
						if ( matches ) {
							iFormat++;
						}
						return matches;
					},

					// Extract a number from the string value
					getNumber = function( match ) {
						var isDoubled = lookAhead( match ),
							size = ( match === "@" ? 14 : ( match === "!" ? 20 :
								( match === "y" && isDoubled ? 4 : ( match === "o" ? 3 : 2 ) ) ) ),
							minSize = ( match === "y" ? size : 1 ),
							digits = new RegExp( "^\\d{" + minSize + "," + size + "}" ),
							num = value.substring( iValue ).match( digits );
						if ( !num ) {
							throw "Missing number at position " + iValue;
						}
						iValue += num[ 0 ].length;
						return parseInt( num[ 0 ], 10 );
					},

					// Extract a name from the string value and convert to an index
					getName = function( match, shortNames, longNames ) {
						var index = -1,
							names = $.map( lookAhead( match ) ? longNames : shortNames, function( v, k ) {
								return [ [ k, v ] ];
							} ).sort( function( a, b ) {
								return -( a[ 1 ].length - b[ 1 ].length );
							} );

						$.each( names, function( i, pair ) {
							var name = pair[ 1 ];
							if ( value.substr( iValue, name.length ).toLowerCase() === name.toLowerCase() ) {
								index = pair[ 0 ];
								iValue += name.length;
								return false;
							}
						} );
						if ( index !== -1 ) {
							return index + 1;
						} else {
							throw "Unknown name at position " + iValue;
						}
					},

					// Confirm that a literal character matches the string value
					checkLiteral = function() {
						if ( value.charAt( iValue ) !== format.charAt( iFormat ) ) {
							throw "Unexpected literal at position " + iValue;
						}
						iValue++;
					};

				for ( iFormat = 0; iFormat < format.length; iFormat++ ) {
					if ( literal ) {
						if ( format.charAt( iFormat ) === "'" && !lookAhead( "'" ) ) {
							literal = false;
						} else {
							checkLiteral();
						}
					} else {
						switch ( format.charAt( iFormat ) ) {
							case "d":
								day = getNumber( "d" );
								break;
							case "D":
								getName( "D", dayNamesShort, dayNames );
								break;
							case "o":
								doy = getNumber( "o" );
								break;
							case "m":
								month = getNumber( "m" );
								break;
							case "M":
								month = getName( "M", monthNamesShort, monthNames );
								break;
							case "y":
								year = getNumber( "y" );
								break;
							case "@":
								date = new Date( getNumber( "@" ) );
								year = date.getFullYear();
								month = date.getMonth() + 1;
								day = date.getDate();
								break;
							case "!":
								date = new Date( ( getNumber( "!" ) - this._ticksTo1970 ) / 10000 );
								year = date.getFullYear();
								month = date.getMonth() + 1;
								day = date.getDate();
								break;
							case "'":
								if ( lookAhead( "'" ) ) {
									checkLiteral();
								} else {
									literal = true;
								}
								break;
							default:
								checkLiteral();
						}
					}
				}

				if ( iValue < value.length ) {
					extra = value.substr( iValue );
					if ( !/^\s+/.test( extra ) ) {
						throw "Extra/unparsed characters found in date: " + extra;
					}
				}

				if ( year === -1 ) {
					year = new Date().getFullYear();
				} else if ( year < 100 ) {
					year += new Date().getFullYear() - new Date().getFullYear() % 100 +
						( year <= shortYearCutoff ? 0 : -100 );
				}

				if ( doy > -1 ) {
					month = 1;
					day = doy;
					do {
						dim = this._getDaysInMonth( year, month - 1 );
						if ( day <= dim ) {
							break;
						}
						month++;
						day -= dim;
					} while ( true );
				}

				date = this._daylightSavingAdjust( new Date( year, month - 1, day ) );
				if ( date.getFullYear() !== year || date.getMonth() + 1 !== month || date.getDate() !== day ) {
					throw "Invalid date"; // E.g. 31/02/00
				}
				return date;
			},

			/* Standard date formats. */
			ATOM: "yy-mm-dd", // RFC 3339 (ISO 8601)
			COOKIE: "D, dd M yy",
			ISO_8601: "yy-mm-dd",
			RFC_822: "D, d M y",
			RFC_850: "DD, dd-M-y",
			RFC_1036: "D, d M y",
			RFC_1123: "D, d M yy",
			RFC_2822: "D, d M yy",
			RSS: "D, d M y", // RFC 822
			TICKS: "!",
			TIMESTAMP: "@",
			W3C: "yy-mm-dd", // ISO 8601

			_ticksTo1970: ( ( ( 1970 - 1 ) * 365 + Math.floor( 1970 / 4 ) - Math.floor( 1970 / 100 ) +
				Math.floor( 1970 / 400 ) ) * 24 * 60 * 60 * 10000000 ),

			/* Format a date object into a string value.
	 * The format can be combinations of the following:
	 * d  - day of month (no leading zero)
	 * dd - day of month (two digit)
	 * o  - day of year (no leading zeros)
	 * oo - day of year (three digit)
	 * D  - day name short
	 * DD - day name long
	 * m  - month of year (no leading zero)
	 * mm - month of year (two digit)
	 * M  - month name short
	 * MM - month name long
	 * y  - year (two digit)
	 * yy - year (four digit)
	 * @ - Unix timestamp (ms since 01/01/1970)
	 * ! - Windows ticks (100ns since 01/01/0001)
	 * "..." - literal text
	 * '' - single quote
	 *
	 * @param  format string - the desired format of the date
	 * @param  date Date - the date value to format
	 * @param  settings Object - attributes include:
	 *					dayNamesShort	string[7] - abbreviated names of the days from Sunday (optional)
	 *					dayNames		string[7] - names of the days from Sunday (optional)
	 *					monthNamesShort string[12] - abbreviated names of the months (optional)
	 *					monthNames		string[12] - names of the months (optional)
	 * @return  string - the date in the above format
	 */
			formatDate: function( format, date, settings ) {
				if ( !date ) {
					return "";
				}

				var iFormat,
					dayNamesShort = ( settings ? settings.dayNamesShort : null ) || this._defaults.dayNamesShort,
					dayNames = ( settings ? settings.dayNames : null ) || this._defaults.dayNames,
					monthNamesShort = ( settings ? settings.monthNamesShort : null ) || this._defaults.monthNamesShort,
					monthNames = ( settings ? settings.monthNames : null ) || this._defaults.monthNames,

					// Check whether a format character is doubled
					lookAhead = function( match ) {
						var matches = ( iFormat + 1 < format.length && format.charAt( iFormat + 1 ) === match );
						if ( matches ) {
							iFormat++;
						}
						return matches;
					},

					// Format a number, with leading zero if necessary
					formatNumber = function( match, value, len ) {
						var num = "" + value;
						if ( lookAhead( match ) ) {
							while ( num.length < len ) {
								num = "0" + num;
							}
						}
						return num;
					},

					// Format a name, short or long as requested
					formatName = function( match, value, shortNames, longNames ) {
						return ( lookAhead( match ) ? longNames[ value ] : shortNames[ value ] );
					},
					output = "",
					literal = false;

				if ( date ) {
					for ( iFormat = 0; iFormat < format.length; iFormat++ ) {
						if ( literal ) {
							if ( format.charAt( iFormat ) === "'" && !lookAhead( "'" ) ) {
								literal = false;
							} else {
								output += format.charAt( iFormat );
							}
						} else {
							switch ( format.charAt( iFormat ) ) {
								case "d":
									output += formatNumber( "d", date.getDate(), 2 );
									break;
								case "D":
									output += formatName( "D", date.getDay(), dayNamesShort, dayNames );
									break;
								case "o":
									output += formatNumber( "o",
										Math.round( ( new Date( date.getFullYear(), date.getMonth(), date.getDate() ).getTime() - new Date( date.getFullYear(), 0, 0 ).getTime() ) / 86400000 ), 3 );
									break;
								case "m":
									output += formatNumber( "m", date.getMonth() + 1, 2 );
									break;
								case "M":
									output += formatName( "M", date.getMonth(), monthNamesShort, monthNames );
									break;
								case "y":
									output += ( lookAhead( "y" ) ? date.getFullYear() :
										( date.getFullYear() % 100 < 10 ? "0" : "" ) + date.getFullYear() % 100 );
									break;
								case "@":
									output += date.getTime();
									break;
								case "!":
									output += date.getTime() * 10000 + this._ticksTo1970;
									break;
								case "'":
									if ( lookAhead( "'" ) ) {
										output += "'";
									} else {
										literal = true;
									}
									break;
								default:
									output += format.charAt( iFormat );
							}
						}
					}
				}
				return output;
			},

			/* Extract all possible characters from the date format. */
			_possibleChars: function( format ) {
				var iFormat,
					chars = "",
					literal = false,

					// Check whether a format character is doubled
					lookAhead = function( match ) {
						var matches = ( iFormat + 1 < format.length && format.charAt( iFormat + 1 ) === match );
						if ( matches ) {
							iFormat++;
						}
						return matches;
					};

				for ( iFormat = 0; iFormat < format.length; iFormat++ ) {
					if ( literal ) {
						if ( format.charAt( iFormat ) === "'" && !lookAhead( "'" ) ) {
							literal = false;
						} else {
							chars += format.charAt( iFormat );
						}
					} else {
						switch ( format.charAt( iFormat ) ) {
							case "d": case "m": case "y": case "@":
								chars += "0123456789";
								break;
							case "D": case "M":
								return null; // Accept anything
							case "'":
								if ( lookAhead( "'" ) ) {
									chars += "'";
								} else {
									literal = true;
								}
								break;
							default:
								chars += format.charAt( iFormat );
						}
					}
				}
				return chars;
			},

			/* Get a setting value, defaulting if necessary. */
			_get: function( inst, name ) {
				return inst.settings[ name ] !== undefined ?
					inst.settings[ name ] : this._defaults[ name ];
			},

			/* Parse existing date and initialise date picker. */
			_setDateFromField: function( inst, noDefault ) {
				if ( inst.input.val() === inst.lastVal ) {
					return;
				}

				var dateFormat = this._get( inst, "dateFormat" ),
					dates = inst.lastVal = inst.input ? inst.input.val() : null,
					defaultDate = this._getDefaultDate( inst ),
					date = defaultDate,
					settings = this._getFormatConfig( inst );

				try {
					date = this.parseDate( dateFormat, dates, settings ) || defaultDate;
				} catch ( event ) {
					dates = ( noDefault ? "" : dates );
				}
				inst.selectedDay = date.getDate();
				inst.drawMonth = inst.selectedMonth = date.getMonth();
				inst.drawYear = inst.selectedYear = date.getFullYear();
				inst.currentDay = ( dates ? date.getDate() : 0 );
				inst.currentMonth = ( dates ? date.getMonth() : 0 );
				inst.currentYear = ( dates ? date.getFullYear() : 0 );
				this._adjustInstDate( inst );
			},

			/* Retrieve the default date shown on opening. */
			_getDefaultDate: function( inst ) {
				return this._restrictMinMax( inst,
					this._determineDate( inst, this._get( inst, "defaultDate" ), new Date() ) );
			},

			/* A date may be specified as an exact value or a relative one. */
			_determineDate: function( inst, date, defaultDate ) {
				var offsetNumeric = function( offset ) {
						var date = new Date();
						date.setDate( date.getDate() + offset );
						return date;
					},
					offsetString = function( offset ) {
						try {
							return $.datepicker.parseDate( $.datepicker._get( inst, "dateFormat" ),
								offset, $.datepicker._getFormatConfig( inst ) );
						} catch ( e ) {

							// Ignore
						}

						var date = ( offset.toLowerCase().match( /^c/ ) ?
								$.datepicker._getDate( inst ) : null ) || new Date(),
							year = date.getFullYear(),
							month = date.getMonth(),
							day = date.getDate(),
							pattern = /([+\-]?[0-9]+)\s*(d|D|w|W|m|M|y|Y)?/g,
							matches = pattern.exec( offset );

						while ( matches ) {
							switch ( matches[ 2 ] || "d" ) {
								case "d" : case "D" :
									day += parseInt( matches[ 1 ], 10 ); break;
								case "w" : case "W" :
									day += parseInt( matches[ 1 ], 10 ) * 7; break;
								case "m" : case "M" :
									month += parseInt( matches[ 1 ], 10 );
									day = Math.min( day, $.datepicker._getDaysInMonth( year, month ) );
									break;
								case "y": case "Y" :
									year += parseInt( matches[ 1 ], 10 );
									day = Math.min( day, $.datepicker._getDaysInMonth( year, month ) );
									break;
							}
							matches = pattern.exec( offset );
						}
						return new Date( year, month, day );
					},
					newDate = ( date == null || date === "" ? defaultDate : ( typeof date === "string" ? offsetString( date ) :
						( typeof date === "number" ? ( isNaN( date ) ? defaultDate : offsetNumeric( date ) ) : new Date( date.getTime() ) ) ) );

				newDate = ( newDate && newDate.toString() === "Invalid Date" ? defaultDate : newDate );
				if ( newDate ) {
					newDate.setHours( 0 );
					newDate.setMinutes( 0 );
					newDate.setSeconds( 0 );
					newDate.setMilliseconds( 0 );
				}
				return this._daylightSavingAdjust( newDate );
			},

			/* Handle switch to/from daylight saving.
	 * Hours may be non-zero on daylight saving cut-over:
	 * > 12 when midnight changeover, but then cannot generate
	 * midnight datetime, so jump to 1AM, otherwise reset.
	 * @param  date  (Date) the date to check
	 * @return  (Date) the corrected date
	 */
			_daylightSavingAdjust: function( date ) {
				if ( !date ) {
					return null;
				}
				date.setHours( date.getHours() > 12 ? date.getHours() + 2 : 0 );
				return date;
			},

			/* Set the date(s) directly. */
			_setDate: function( inst, date, noChange ) {
				var clear = !date,
					origMonth = inst.selectedMonth,
					origYear = inst.selectedYear,
					newDate = this._restrictMinMax( inst, this._determineDate( inst, date, new Date() ) );

				inst.selectedDay = inst.currentDay = newDate.getDate();
				inst.drawMonth = inst.selectedMonth = inst.currentMonth = newDate.getMonth();
				inst.drawYear = inst.selectedYear = inst.currentYear = newDate.getFullYear();
				if ( ( origMonth !== inst.selectedMonth || origYear !== inst.selectedYear ) && !noChange ) {
					this._notifyChange( inst );
				}
				this._adjustInstDate( inst );
				if ( inst.input ) {
					inst.input.val( clear ? "" : this._formatDate( inst ) );
				}
			},

			/* Retrieve the date(s) directly. */
			_getDate: function( inst ) {
				var startDate = ( !inst.currentYear || ( inst.input && inst.input.val() === "" ) ? null :
					this._daylightSavingAdjust( new Date(
						inst.currentYear, inst.currentMonth, inst.currentDay ) ) );
				return startDate;
			},

			/* Attach the onxxx handlers.  These are declared statically so
	 * they work with static code transformers like Caja.
	 */
			_attachHandlers: function( inst ) {
				var stepMonths = this._get( inst, "stepMonths" ),
					id = "#" + inst.id.replace( /\\\\/g, "\\" );
				inst.dpDiv.find( "[data-handler]" ).map( function() {
					var handler = {
						prev: function() {
							$.datepicker._adjustDate( id, -stepMonths, "M" );
						},
						next: function() {
							$.datepicker._adjustDate( id, +stepMonths, "M" );
						},
						hide: function() {
							$.datepicker._hideDatepicker();
						},
						today: function() {
							$.datepicker._gotoToday( id );
						},
						selectDay: function() {
							$.datepicker._selectDay( id, +this.getAttribute( "data-month" ), +this.getAttribute( "data-year" ), this );
							return false;
						},
						selectMonth: function() {
							$.datepicker._selectMonthYear( id, this, "M" );
							return false;
						},
						selectYear: function() {
							$.datepicker._selectMonthYear( id, this, "Y" );
							return false;
						}
					};
					$( this ).on( this.getAttribute( "data-event" ), handler[ this.getAttribute( "data-handler" ) ] );
				} );
			},

			/* Generate the HTML for the current state of the date picker. */
			_generateHTML: function( inst ) {
				var maxDraw, prevText, prev, nextText, next, currentText, gotoDate,
					controls, buttonPanel, firstDay, showWeek, dayNames, dayNamesMin,
					monthNames, monthNamesShort, beforeShowDay, showOtherMonths,
					selectOtherMonths, defaultDate, html, dow, row, group, col, selectedDate,
					cornerClass, calender, thead, day, daysInMonth, leadDays, curRows, numRows,
					printDate, dRow, tbody, daySettings, otherMonth, unselectable,
					tempDate = new Date(),
					today = this._daylightSavingAdjust(
						new Date( tempDate.getFullYear(), tempDate.getMonth(), tempDate.getDate() ) ), // clear time
					isRTL = this._get( inst, "isRTL" ),
					showButtonPanel = this._get( inst, "showButtonPanel" ),
					hideIfNoPrevNext = this._get( inst, "hideIfNoPrevNext" ),
					navigationAsDateFormat = this._get( inst, "navigationAsDateFormat" ),
					numMonths = this._getNumberOfMonths( inst ),
					showCurrentAtPos = this._get( inst, "showCurrentAtPos" ),
					stepMonths = this._get( inst, "stepMonths" ),
					isMultiMonth = ( numMonths[ 0 ] !== 1 || numMonths[ 1 ] !== 1 ),
					currentDate = this._daylightSavingAdjust( ( !inst.currentDay ? new Date( 9999, 9, 9 ) :
						new Date( inst.currentYear, inst.currentMonth, inst.currentDay ) ) ),
					minDate = this._getMinMaxDate( inst, "min" ),
					maxDate = this._getMinMaxDate( inst, "max" ),
					drawMonth = inst.drawMonth - showCurrentAtPos,
					drawYear = inst.drawYear;

				if ( drawMonth < 0 ) {
					drawMonth += 12;
					drawYear--;
				}
				if ( maxDate ) {
					maxDraw = this._daylightSavingAdjust( new Date( maxDate.getFullYear(),
						maxDate.getMonth() - ( numMonths[ 0 ] * numMonths[ 1 ] ) + 1, maxDate.getDate() ) );
					maxDraw = ( minDate && maxDraw < minDate ? minDate : maxDraw );
					while ( this._daylightSavingAdjust( new Date( drawYear, drawMonth, 1 ) ) > maxDraw ) {
						drawMonth--;
						if ( drawMonth < 0 ) {
							drawMonth = 11;
							drawYear--;
						}
					}
				}
				inst.drawMonth = drawMonth;
				inst.drawYear = drawYear;

				prevText = this._get( inst, "prevText" );
				prevText = ( !navigationAsDateFormat ? prevText : this.formatDate( prevText,
					this._daylightSavingAdjust( new Date( drawYear, drawMonth - stepMonths, 1 ) ),
					this._getFormatConfig( inst ) ) );

				if ( this._canAdjustMonth( inst, -1, drawYear, drawMonth ) ) {
					prev = $( "<a>" )
						.attr( {
							"class": "ui-datepicker-prev ui-corner-all",
							"data-handler": "prev",
							"data-event": "click",
							title: prevText
						} )
						.append(
							$( "<span>" )
								.addClass( "ui-icon ui-icon-circle-triangle-" +
									( isRTL ? "e" : "w" ) )
								.text( prevText )
						)[ 0 ].outerHTML;
				} else if ( hideIfNoPrevNext ) {
					prev = "";
				} else {
					prev = $( "<a>" )
						.attr( {
							"class": "ui-datepicker-prev ui-corner-all ui-state-disabled",
							title: prevText
						} )
						.append(
							$( "<span>" )
								.addClass( "ui-icon ui-icon-circle-triangle-" +
									( isRTL ? "e" : "w" ) )
								.text( prevText )
						)[ 0 ].outerHTML;
				}

				nextText = this._get( inst, "nextText" );
				nextText = ( !navigationAsDateFormat ? nextText : this.formatDate( nextText,
					this._daylightSavingAdjust( new Date( drawYear, drawMonth + stepMonths, 1 ) ),
					this._getFormatConfig( inst ) ) );

				if ( this._canAdjustMonth( inst, +1, drawYear, drawMonth ) ) {
					next = $( "<a>" )
						.attr( {
							"class": "ui-datepicker-next ui-corner-all",
							"data-handler": "next",
							"data-event": "click",
							title: nextText
						} )
						.append(
							$( "<span>" )
								.addClass( "ui-icon ui-icon-circle-triangle-" +
									( isRTL ? "w" : "e" ) )
								.text( nextText )
						)[ 0 ].outerHTML;
				} else if ( hideIfNoPrevNext ) {
					next = "";
				} else {
					next = $( "<a>" )
						.attr( {
							"class": "ui-datepicker-next ui-corner-all ui-state-disabled",
							title: nextText
						} )
						.append(
							$( "<span>" )
								.attr( "class", "ui-icon ui-icon-circle-triangle-" +
									( isRTL ? "w" : "e" ) )
								.text( nextText )
						)[ 0 ].outerHTML;
				}

				currentText = this._get( inst, "currentText" );
				gotoDate = ( this._get( inst, "gotoCurrent" ) && inst.currentDay ? currentDate : today );
				currentText = ( !navigationAsDateFormat ? currentText :
					this.formatDate( currentText, gotoDate, this._getFormatConfig( inst ) ) );

				controls = "";
				if ( !inst.inline ) {
					controls = $( "<button>" )
						.attr( {
							type: "button",
							"class": "ui-datepicker-close ui-state-default ui-priority-primary ui-corner-all",
							"data-handler": "hide",
							"data-event": "click"
						} )
						.text( this._get( inst, "closeText" ) )[ 0 ].outerHTML;
				}

				buttonPanel = "";
				if ( showButtonPanel ) {
					buttonPanel = $( "<div class='ui-datepicker-buttonpane ui-widget-content'>" )
						.append( isRTL ? controls : "" )
						.append( this._isInRange( inst, gotoDate ) ?
							$( "<button>" )
								.attr( {
									type: "button",
									"class": "ui-datepicker-current ui-state-default ui-priority-secondary ui-corner-all",
									"data-handler": "today",
									"data-event": "click"
								} )
								.text( currentText ) :
							"" )
						.append( isRTL ? "" : controls )[ 0 ].outerHTML;
				}

				firstDay = parseInt( this._get( inst, "firstDay" ), 10 );
				firstDay = ( isNaN( firstDay ) ? 0 : firstDay );

				showWeek = this._get( inst, "showWeek" );
				dayNames = this._get( inst, "dayNames" );
				dayNamesMin = this._get( inst, "dayNamesMin" );
				monthNames = this._get( inst, "monthNames" );
				monthNamesShort = this._get( inst, "monthNamesShort" );
				beforeShowDay = this._get( inst, "beforeShowDay" );
				showOtherMonths = this._get( inst, "showOtherMonths" );
				selectOtherMonths = this._get( inst, "selectOtherMonths" );
				defaultDate = this._getDefaultDate( inst );
				html = "";

				for ( row = 0; row < numMonths[ 0 ]; row++ ) {
					group = "";
					this.maxRows = 4;
					for ( col = 0; col < numMonths[ 1 ]; col++ ) {
						selectedDate = this._daylightSavingAdjust( new Date( drawYear, drawMonth, inst.selectedDay ) );
						cornerClass = " ui-corner-all";
						calender = "";
						if ( isMultiMonth ) {
							calender += "<div class='ui-datepicker-group";
							if ( numMonths[ 1 ] > 1 ) {
								switch ( col ) {
									case 0: calender += " ui-datepicker-group-first";
										cornerClass = " ui-corner-" + ( isRTL ? "right" : "left" ); break;
									case numMonths[ 1 ] - 1: calender += " ui-datepicker-group-last";
										cornerClass = " ui-corner-" + ( isRTL ? "left" : "right" ); break;
									default: calender += " ui-datepicker-group-middle"; cornerClass = ""; break;
								}
							}
							calender += "'>";
						}
						calender += "<div class='ui-datepicker-header ui-widget-header ui-helper-clearfix" + cornerClass + "'>" +
							( /all|left/.test( cornerClass ) && row === 0 ? ( isRTL ? next : prev ) : "" ) +
							( /all|right/.test( cornerClass ) && row === 0 ? ( isRTL ? prev : next ) : "" ) +
							this._generateMonthYearHeader( inst, drawMonth, drawYear, minDate, maxDate,
								row > 0 || col > 0, monthNames, monthNamesShort ) + // draw month headers
							"</div><table class='ui-datepicker-calendar'><thead>" +
							"<tr>";
						thead = ( showWeek ? "<th class='ui-datepicker-week-col'>" + this._get( inst, "weekHeader" ) + "</th>" : "" );
						for ( dow = 0; dow < 7; dow++ ) { // days of the week
							day = ( dow + firstDay ) % 7;
							thead += "<th scope='col'" + ( ( dow + firstDay + 6 ) % 7 >= 5 ? " class='ui-datepicker-week-end'" : "" ) + ">" +
								"<span title='" + dayNames[ day ] + "'>" + dayNamesMin[ day ] + "</span></th>";
						}
						calender += thead + "</tr></thead><tbody>";
						daysInMonth = this._getDaysInMonth( drawYear, drawMonth );
						if ( drawYear === inst.selectedYear && drawMonth === inst.selectedMonth ) {
							inst.selectedDay = Math.min( inst.selectedDay, daysInMonth );
						}
						leadDays = ( this._getFirstDayOfMonth( drawYear, drawMonth ) - firstDay + 7 ) % 7;
						curRows = Math.ceil( ( leadDays + daysInMonth ) / 7 ); // calculate the number of rows to generate
						numRows = ( isMultiMonth ? this.maxRows > curRows ? this.maxRows : curRows : curRows ); //If multiple months, use the higher number of rows (see #7043)
						this.maxRows = numRows;
						printDate = this._daylightSavingAdjust( new Date( drawYear, drawMonth, 1 - leadDays ) );
						for ( dRow = 0; dRow < numRows; dRow++ ) { // create date picker rows
							calender += "<tr>";
							tbody = ( !showWeek ? "" : "<td class='ui-datepicker-week-col'>" +
								this._get( inst, "calculateWeek" )( printDate ) + "</td>" );
							for ( dow = 0; dow < 7; dow++ ) { // create date picker days
								daySettings = ( beforeShowDay ?
									beforeShowDay.apply( ( inst.input ? inst.input[ 0 ] : null ), [ printDate ] ) : [ true, "" ] );
								otherMonth = ( printDate.getMonth() !== drawMonth );
								unselectable = ( otherMonth && !selectOtherMonths ) || !daySettings[ 0 ] ||
									( minDate && printDate < minDate ) || ( maxDate && printDate > maxDate );
								tbody += "<td class='" +
									( ( dow + firstDay + 6 ) % 7 >= 5 ? " ui-datepicker-week-end" : "" ) + // highlight weekends
									( otherMonth ? " ui-datepicker-other-month" : "" ) + // highlight days from other months
									( ( printDate.getTime() === selectedDate.getTime() && drawMonth === inst.selectedMonth && inst._keyEvent ) || // user pressed key
									( defaultDate.getTime() === printDate.getTime() && defaultDate.getTime() === selectedDate.getTime() ) ?

										// or defaultDate is current printedDate and defaultDate is selectedDate
										" " + this._dayOverClass : "" ) + // highlight selected day
									( unselectable ? " " + this._unselectableClass + " ui-state-disabled" : "" ) +  // highlight unselectable days
									( otherMonth && !showOtherMonths ? "" : " " + daySettings[ 1 ] + // highlight custom dates
										( printDate.getTime() === currentDate.getTime() ? " " + this._currentClass : "" ) + // highlight selected day
										( printDate.getTime() === today.getTime() ? " ui-datepicker-today" : "" ) ) + "'" + // highlight today (if different)
									( ( !otherMonth || showOtherMonths ) && daySettings[ 2 ] ? " title='" + daySettings[ 2 ].replace( /'/g, "&#39;" ) + "'" : "" ) + // cell title
									( unselectable ? "" : " data-handler='selectDay' data-event='click' data-month='" + printDate.getMonth() + "' data-year='" + printDate.getFullYear() + "'" ) + ">" + // actions
									( otherMonth && !showOtherMonths ? "&#xa0;" : // display for other months
										( unselectable ? "<span class='ui-state-default'>" + printDate.getDate() + "</span>" : "<a class='ui-state-default" +
											( printDate.getTime() === today.getTime() ? " ui-state-highlight" : "" ) +
											( printDate.getTime() === currentDate.getTime() ? " ui-state-active" : "" ) + // highlight selected day
											( otherMonth ? " ui-priority-secondary" : "" ) + // distinguish dates from other months
											"' href='#' aria-current='" + ( printDate.getTime() === currentDate.getTime() ? "true" : "false" ) + // mark date as selected for screen reader
											"' data-date='" + printDate.getDate() + // store date as data
											"'>" + printDate.getDate() + "</a>" ) ) + "</td>"; // display selectable date
								printDate.setDate( printDate.getDate() + 1 );
								printDate = this._daylightSavingAdjust( printDate );
							}
							calender += tbody + "</tr>";
						}
						drawMonth++;
						if ( drawMonth > 11 ) {
							drawMonth = 0;
							drawYear++;
						}
						calender += "</tbody></table>" + ( isMultiMonth ? "</div>" +
							( ( numMonths[ 0 ] > 0 && col === numMonths[ 1 ] - 1 ) ? "<div class='ui-datepicker-row-break'></div>" : "" ) : "" );
						group += calender;
					}
					html += group;
				}
				html += buttonPanel;
				inst._keyEvent = false;
				return html;
			},

			/* Generate the month and year header. */
			_generateMonthYearHeader: function( inst, drawMonth, drawYear, minDate, maxDate,
																					secondary, monthNames, monthNamesShort ) {

				var inMinYear, inMaxYear, month, years, thisYear, determineYear, year, endYear,
					changeMonth = this._get( inst, "changeMonth" ),
					changeYear = this._get( inst, "changeYear" ),
					showMonthAfterYear = this._get( inst, "showMonthAfterYear" ),
					selectMonthLabel = this._get( inst, "selectMonthLabel" ),
					selectYearLabel = this._get( inst, "selectYearLabel" ),
					html = "<div class='ui-datepicker-title'>",
					monthHtml = "";

				// Month selection
				if ( secondary || !changeMonth ) {
					monthHtml += "<span class='ui-datepicker-month'>" + monthNames[ drawMonth ] + "</span>";
				} else {
					inMinYear = ( minDate && minDate.getFullYear() === drawYear );
					inMaxYear = ( maxDate && maxDate.getFullYear() === drawYear );
					monthHtml += "<select class='ui-datepicker-month' aria-label='" + selectMonthLabel + "' data-handler='selectMonth' data-event='change'>";
					for ( month = 0; month < 12; month++ ) {
						if ( ( !inMinYear || month >= minDate.getMonth() ) && ( !inMaxYear || month <= maxDate.getMonth() ) ) {
							monthHtml += "<option value='" + month + "'" +
								( month === drawMonth ? " selected='selected'" : "" ) +
								">" + monthNamesShort[ month ] + "</option>";
						}
					}
					monthHtml += "</select>";
				}

				if ( !showMonthAfterYear ) {
					html += monthHtml + ( secondary || !( changeMonth && changeYear ) ? "&#xa0;" : "" );
				}

				// Year selection
				if ( !inst.yearshtml ) {
					inst.yearshtml = "";
					if ( secondary || !changeYear ) {
						html += "<span class='ui-datepicker-year'>" + drawYear + "</span>";
					} else {

						// determine range of years to display
						years = this._get( inst, "yearRange" ).split( ":" );
						thisYear = new Date().getFullYear();
						determineYear = function( value ) {
							var year = ( value.match( /c[+\-].*/ ) ? drawYear + parseInt( value.substring( 1 ), 10 ) :
								( value.match( /[+\-].*/ ) ? thisYear + parseInt( value, 10 ) :
									parseInt( value, 10 ) ) );
							return ( isNaN( year ) ? thisYear : year );
						};
						year = determineYear( years[ 0 ] );
						endYear = Math.max( year, determineYear( years[ 1 ] || "" ) );
						year = ( minDate ? Math.max( year, minDate.getFullYear() ) : year );
						endYear = ( maxDate ? Math.min( endYear, maxDate.getFullYear() ) : endYear );
						inst.yearshtml += "<select class='ui-datepicker-year' aria-label='" + selectYearLabel + "' data-handler='selectYear' data-event='change'>";
						for ( ; year <= endYear; year++ ) {
							inst.yearshtml += "<option value='" + year + "'" +
								( year === drawYear ? " selected='selected'" : "" ) +
								">" + year + "</option>";
						}
						inst.yearshtml += "</select>";

						html += inst.yearshtml;
						inst.yearshtml = null;
					}
				}

				html += this._get( inst, "yearSuffix" );
				if ( showMonthAfterYear ) {
					html += ( secondary || !( changeMonth && changeYear ) ? "&#xa0;" : "" ) + monthHtml;
				}
				html += "</div>"; // Close datepicker_header
				return html;
			},

			/* Adjust one of the date sub-fields. */
			_adjustInstDate: function( inst, offset, period ) {
				var year = inst.selectedYear + ( period === "Y" ? offset : 0 ),
					month = inst.selectedMonth + ( period === "M" ? offset : 0 ),
					day = Math.min( inst.selectedDay, this._getDaysInMonth( year, month ) ) + ( period === "D" ? offset : 0 ),
					date = this._restrictMinMax( inst, this._daylightSavingAdjust( new Date( year, month, day ) ) );

				inst.selectedDay = date.getDate();
				inst.drawMonth = inst.selectedMonth = date.getMonth();
				inst.drawYear = inst.selectedYear = date.getFullYear();
				if ( period === "M" || period === "Y" ) {
					this._notifyChange( inst );
				}
			},

			/* Ensure a date is within any min/max bounds. */
			_restrictMinMax: function( inst, date ) {
				var minDate = this._getMinMaxDate( inst, "min" ),
					maxDate = this._getMinMaxDate( inst, "max" ),
					newDate = ( minDate && date < minDate ? minDate : date );
				return ( maxDate && newDate > maxDate ? maxDate : newDate );
			},

			/* Notify change of month/year. */
			_notifyChange: function( inst ) {
				var onChange = this._get( inst, "onChangeMonthYear" );
				if ( onChange ) {
					onChange.apply( ( inst.input ? inst.input[ 0 ] : null ),
						[ inst.selectedYear, inst.selectedMonth + 1, inst ] );
				}
			},

			/* Determine the number of months to show. */
			_getNumberOfMonths: function( inst ) {
				var numMonths = this._get( inst, "numberOfMonths" );
				return ( numMonths == null ? [ 1, 1 ] : ( typeof numMonths === "number" ? [ 1, numMonths ] : numMonths ) );
			},

			/* Determine the current maximum date - ensure no time components are set. */
			_getMinMaxDate: function( inst, minMax ) {
				return this._determineDate( inst, this._get( inst, minMax + "Date" ), null );
			},

			/* Find the number of days in a given month. */
			_getDaysInMonth: function( year, month ) {
				return 32 - this._daylightSavingAdjust( new Date( year, month, 32 ) ).getDate();
			},

			/* Find the day of the week of the first of a month. */
			_getFirstDayOfMonth: function( year, month ) {
				return new Date( year, month, 1 ).getDay();
			},

			/* Determines if we should allow a "next/prev" month display change. */
			_canAdjustMonth: function( inst, offset, curYear, curMonth ) {
				var numMonths = this._getNumberOfMonths( inst ),
					date = this._daylightSavingAdjust( new Date( curYear,
						curMonth + ( offset < 0 ? offset : numMonths[ 0 ] * numMonths[ 1 ] ), 1 ) );

				if ( offset < 0 ) {
					date.setDate( this._getDaysInMonth( date.getFullYear(), date.getMonth() ) );
				}
				return this._isInRange( inst, date );
			},

			/* Is the given date in the accepted range? */
			_isInRange: function( inst, date ) {
				var yearSplit, currentYear,
					minDate = this._getMinMaxDate( inst, "min" ),
					maxDate = this._getMinMaxDate( inst, "max" ),
					minYear = null,
					maxYear = null,
					years = this._get( inst, "yearRange" );
				if ( years ) {
					yearSplit = years.split( ":" );
					currentYear = new Date().getFullYear();
					minYear = parseInt( yearSplit[ 0 ], 10 );
					maxYear = parseInt( yearSplit[ 1 ], 10 );
					if ( yearSplit[ 0 ].match( /[+\-].*/ ) ) {
						minYear += currentYear;
					}
					if ( yearSplit[ 1 ].match( /[+\-].*/ ) ) {
						maxYear += currentYear;
					}
				}

				return ( ( !minDate || date.getTime() >= minDate.getTime() ) &&
					( !maxDate || date.getTime() <= maxDate.getTime() ) &&
					( !minYear || date.getFullYear() >= minYear ) &&
					( !maxYear || date.getFullYear() <= maxYear ) );
			},

			/* Provide the configuration settings for formatting/parsing. */
			_getFormatConfig: function( inst ) {
				var shortYearCutoff = this._get( inst, "shortYearCutoff" );
				shortYearCutoff = ( typeof shortYearCutoff !== "string" ? shortYearCutoff :
					new Date().getFullYear() % 100 + parseInt( shortYearCutoff, 10 ) );
				return { shortYearCutoff: shortYearCutoff,
					dayNamesShort: this._get( inst, "dayNamesShort" ), dayNames: this._get( inst, "dayNames" ),
					monthNamesShort: this._get( inst, "monthNamesShort" ), monthNames: this._get( inst, "monthNames" ) };
			},

			/* Format the given date for display. */
			_formatDate: function( inst, day, month, year ) {
				if ( !day ) {
					inst.currentDay = inst.selectedDay;
					inst.currentMonth = inst.selectedMonth;
					inst.currentYear = inst.selectedYear;
				}
				var date = ( day ? ( typeof day === "object" ? day :
						this._daylightSavingAdjust( new Date( year, month, day ) ) ) :
					this._daylightSavingAdjust( new Date( inst.currentYear, inst.currentMonth, inst.currentDay ) ) );
				return this.formatDate( this._get( inst, "dateFormat" ), date, this._getFormatConfig( inst ) );
			}
		} );

		/*
 * Bind hover events for datepicker elements.
 * Done via delegate so the binding only occurs once in the lifetime of the parent div.
 * Global datepicker_instActive, set by _updateDatepicker allows the handlers to find their way back to the active picker.
 */
		function datepicker_bindHover( dpDiv ) {
			var selector = "button, .ui-datepicker-prev, .ui-datepicker-next, .ui-datepicker-calendar td a";
			return dpDiv.on( "mouseout", selector, function() {
				$( this ).removeClass( "ui-state-hover" );
				if ( this.className.indexOf( "ui-datepicker-prev" ) !== -1 ) {
					$( this ).removeClass( "ui-datepicker-prev-hover" );
				}
				if ( this.className.indexOf( "ui-datepicker-next" ) !== -1 ) {
					$( this ).removeClass( "ui-datepicker-next-hover" );
				}
			} )
				.on( "mouseover", selector, datepicker_handleMouseover );
		}

		function datepicker_handleMouseover() {
			if ( !$.datepicker._isDisabledDatepicker( datepicker_instActive.inline ? datepicker_instActive.dpDiv.parent()[ 0 ] : datepicker_instActive.input[ 0 ] ) ) {
				$( this ).parents( ".ui-datepicker-calendar" ).find( "a" ).removeClass( "ui-state-hover" );
				$( this ).addClass( "ui-state-hover" );
				if ( this.className.indexOf( "ui-datepicker-prev" ) !== -1 ) {
					$( this ).addClass( "ui-datepicker-prev-hover" );
				}
				if ( this.className.indexOf( "ui-datepicker-next" ) !== -1 ) {
					$( this ).addClass( "ui-datepicker-next-hover" );
				}
			}
		}

		/* jQuery extend now ignores nulls! */
		function datepicker_extendRemove( target, props ) {
			$.extend( target, props );
			for ( var name in props ) {
				if ( props[ name ] == null ) {
					target[ name ] = props[ name ];
				}
			}
			return target;
		}

		/* Invoke the datepicker functionality.
   @param  options  string - a command, optionally followed by additional parameters or
					Object - settings for attaching new datepicker functionality
   @return  jQuery object */
		$.fn.datepicker = function( options ) {

			/* Verify an empty collection wasn't passed - Fixes #6976 */
			if ( !this.length ) {
				return this;
			}

			/* Initialise the date picker. */
			if ( !$.datepicker.initialized ) {
				$( document ).on( "mousedown", $.datepicker._checkExternalClick );
				$.datepicker.initialized = true;
			}

			/* Append datepicker main container to body if not exist. */
			if ( $( "#" + $.datepicker._mainDivId ).length === 0 ) {
				$( "body" ).append( $.datepicker.dpDiv );
			}

			var otherArgs = Array.prototype.slice.call( arguments, 1 );
			if ( typeof options === "string" && ( options === "isDisabled" || options === "getDate" || options === "widget" ) ) {
				return $.datepicker[ "_" + options + "Datepicker" ].
				apply( $.datepicker, [ this[ 0 ] ].concat( otherArgs ) );
			}
			if ( options === "option" && arguments.length === 2 && typeof arguments[ 1 ] === "string" ) {
				return $.datepicker[ "_" + options + "Datepicker" ].
				apply( $.datepicker, [ this[ 0 ] ].concat( otherArgs ) );
			}
			return this.each( function() {
				if ( typeof options === "string" ) {
					$.datepicker[ "_" + options + "Datepicker" ]
						.apply( $.datepicker, [ this ].concat( otherArgs ) );
				} else {
					$.datepicker._attachDatepicker( this, options );
				}
			} );
		};

		$.datepicker = new Datepicker(); // singleton instance
		$.datepicker.initialized = false;
		$.datepicker.uuid = new Date().getTime();
		$.datepicker.version = "1.13.2";

		var widgetsDatepicker = $.datepicker;



// This file is deprecated
		var ie = $.ui.ie = !!/msie [\w.]+/.exec( navigator.userAgent.toLowerCase() );

		/*!
 * jQuery UI Mouse 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Mouse
//>>group: Widgets
//>>description: Abstracts mouse-based interactions to assist in creating certain widgets.
//>>docs: http://api.jqueryui.com/mouse/


		var mouseHandled = false;
		$( document ).on( "mouseup", function() {
			mouseHandled = false;
		} );

		var widgetsMouse = $.widget( "ui.mouse", {
			version: "1.13.2",
			options: {
				cancel: "input, textarea, button, select, option",
				distance: 1,
				delay: 0
			},
			_mouseInit: function() {
				var that = this;

				this.element
					.on( "mousedown." + this.widgetName, function( event ) {
						return that._mouseDown( event );
					} )
					.on( "click." + this.widgetName, function( event ) {
						if ( true === $.data( event.target, that.widgetName + ".preventClickEvent" ) ) {
							$.removeData( event.target, that.widgetName + ".preventClickEvent" );
							event.stopImmediatePropagation();
							return false;
						}
					} );

				this.started = false;
			},

			// TODO: make sure destroying one instance of mouse doesn't mess with
			// other instances of mouse
			_mouseDestroy: function() {
				this.element.off( "." + this.widgetName );
				if ( this._mouseMoveDelegate ) {
					this.document
						.off( "mousemove." + this.widgetName, this._mouseMoveDelegate )
						.off( "mouseup." + this.widgetName, this._mouseUpDelegate );
				}
			},

			_mouseDown: function( event ) {

				// don't let more than one widget handle mouseStart
				if ( mouseHandled ) {
					return;
				}

				this._mouseMoved = false;

				// We may have missed mouseup (out of window)
				if ( this._mouseStarted ) {
					this._mouseUp( event );
				}

				this._mouseDownEvent = event;

				var that = this,
					btnIsLeft = ( event.which === 1 ),

					// event.target.nodeName works around a bug in IE 8 with
					// disabled inputs (#7620)
					elIsCancel = ( typeof this.options.cancel === "string" && event.target.nodeName ?
						$( event.target ).closest( this.options.cancel ).length : false );
				if ( !btnIsLeft || elIsCancel || !this._mouseCapture( event ) ) {
					return true;
				}

				this.mouseDelayMet = !this.options.delay;
				if ( !this.mouseDelayMet ) {
					this._mouseDelayTimer = setTimeout( function() {
						that.mouseDelayMet = true;
					}, this.options.delay );
				}

				if ( this._mouseDistanceMet( event ) && this._mouseDelayMet( event ) ) {
					this._mouseStarted = ( this._mouseStart( event ) !== false );
					if ( !this._mouseStarted ) {
						event.preventDefault();
						return true;
					}
				}

				// Click event may never have fired (Gecko & Opera)
				if ( true === $.data( event.target, this.widgetName + ".preventClickEvent" ) ) {
					$.removeData( event.target, this.widgetName + ".preventClickEvent" );
				}

				// These delegates are required to keep context
				this._mouseMoveDelegate = function( event ) {
					return that._mouseMove( event );
				};
				this._mouseUpDelegate = function( event ) {
					return that._mouseUp( event );
				};

				this.document
					.on( "mousemove." + this.widgetName, this._mouseMoveDelegate )
					.on( "mouseup." + this.widgetName, this._mouseUpDelegate );

				event.preventDefault();

				mouseHandled = true;
				return true;
			},

			_mouseMove: function( event ) {

				// Only check for mouseups outside the document if you've moved inside the document
				// at least once. This prevents the firing of mouseup in the case of IE<9, which will
				// fire a mousemove event if content is placed under the cursor. See #7778
				// Support: IE <9
				if ( this._mouseMoved ) {

					// IE mouseup check - mouseup happened when mouse was out of window
					if ( $.ui.ie && ( !document.documentMode || document.documentMode < 9 ) &&
						!event.button ) {
						return this._mouseUp( event );

						// Iframe mouseup check - mouseup occurred in another document
					} else if ( !event.which ) {

						// Support: Safari <=8 - 9
						// Safari sets which to 0 if you press any of the following keys
						// during a drag (#14461)
						if ( event.originalEvent.altKey || event.originalEvent.ctrlKey ||
							event.originalEvent.metaKey || event.originalEvent.shiftKey ) {
							this.ignoreMissingWhich = true;
						} else if ( !this.ignoreMissingWhich ) {
							return this._mouseUp( event );
						}
					}
				}

				if ( event.which || event.button ) {
					this._mouseMoved = true;
				}

				if ( this._mouseStarted ) {
					this._mouseDrag( event );
					return event.preventDefault();
				}

				if ( this._mouseDistanceMet( event ) && this._mouseDelayMet( event ) ) {
					this._mouseStarted =
						( this._mouseStart( this._mouseDownEvent, event ) !== false );
					if ( this._mouseStarted ) {
						this._mouseDrag( event );
					} else {
						this._mouseUp( event );
					}
				}

				return !this._mouseStarted;
			},

			_mouseUp: function( event ) {
				this.document
					.off( "mousemove." + this.widgetName, this._mouseMoveDelegate )
					.off( "mouseup." + this.widgetName, this._mouseUpDelegate );

				if ( this._mouseStarted ) {
					this._mouseStarted = false;

					if ( event.target === this._mouseDownEvent.target ) {
						$.data( event.target, this.widgetName + ".preventClickEvent", true );
					}

					this._mouseStop( event );
				}

				if ( this._mouseDelayTimer ) {
					clearTimeout( this._mouseDelayTimer );
					delete this._mouseDelayTimer;
				}

				this.ignoreMissingWhich = false;
				mouseHandled = false;
				event.preventDefault();
			},

			_mouseDistanceMet: function( event ) {
				return ( Math.max(
						Math.abs( this._mouseDownEvent.pageX - event.pageX ),
						Math.abs( this._mouseDownEvent.pageY - event.pageY )
					) >= this.options.distance
				);
			},

			_mouseDelayMet: function( /* event */ ) {
				return this.mouseDelayMet;
			},

			// These are placeholder methods, to be overriden by extending plugin
			_mouseStart: function( /* event */ ) {},
			_mouseDrag: function( /* event */ ) {},
			_mouseStop: function( /* event */ ) {},
			_mouseCapture: function( /* event */ ) {
				return true;
			}
		} );



// $.ui.plugin is deprecated. Use $.widget() extensions instead.
		var plugin = $.ui.plugin = {
			add: function( module, option, set ) {
				var i,
					proto = $.ui[ module ].prototype;
				for ( i in set ) {
					proto.plugins[ i ] = proto.plugins[ i ] || [];
					proto.plugins[ i ].push( [ option, set[ i ] ] );
				}
			},
			call: function( instance, name, args, allowDisconnected ) {
				var i,
					set = instance.plugins[ name ];

				if ( !set ) {
					return;
				}

				if ( !allowDisconnected && ( !instance.element[ 0 ].parentNode ||
					instance.element[ 0 ].parentNode.nodeType === 11 ) ) {
					return;
				}

				for ( i = 0; i < set.length; i++ ) {
					if ( instance.options[ set[ i ][ 0 ] ] ) {
						set[ i ][ 1 ].apply( instance.element, args );
					}
				}
			}
		};



		var safeBlur = $.ui.safeBlur = function( element ) {

			// Support: IE9 - 10 only
			// If the <body> is blurred, IE will switch windows, see #9420
			if ( element && element.nodeName.toLowerCase() !== "body" ) {
				$( element ).trigger( "blur" );
			}
		};


		/*!
 * jQuery UI Draggable 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Draggable
//>>group: Interactions
//>>description: Enables dragging functionality for any element.
//>>docs: http://api.jqueryui.com/draggable/
//>>demos: http://jqueryui.com/draggable/
//>>css.structure: ../../themes/base/draggable.css


		$.widget( "ui.draggable", $.ui.mouse, {
			version: "1.13.2",
			widgetEventPrefix: "drag",
			options: {
				addClasses: true,
				appendTo: "parent",
				axis: false,
				connectToSortable: false,
				containment: false,
				cursor: "auto",
				cursorAt: false,
				grid: false,
				handle: false,
				helper: "original",
				iframeFix: false,
				opacity: false,
				refreshPositions: false,
				revert: false,
				revertDuration: 500,
				scope: "default",
				scroll: true,
				scrollSensitivity: 20,
				scrollSpeed: 20,
				snap: false,
				snapMode: "both",
				snapTolerance: 20,
				stack: false,
				zIndex: false,

				// Callbacks
				drag: null,
				start: null,
				stop: null
			},
			_create: function() {

				if ( this.options.helper === "original" ) {
					this._setPositionRelative();
				}
				if ( this.options.addClasses ) {
					this._addClass( "ui-draggable" );
				}
				this._setHandleClassName();

				this._mouseInit();
			},

			_setOption: function( key, value ) {
				this._super( key, value );
				if ( key === "handle" ) {
					this._removeHandleClassName();
					this._setHandleClassName();
				}
			},

			_destroy: function() {
				if ( ( this.helper || this.element ).is( ".ui-draggable-dragging" ) ) {
					this.destroyOnClear = true;
					return;
				}
				this._removeHandleClassName();
				this._mouseDestroy();
			},

			_mouseCapture: function( event ) {
				var o = this.options;

				// Among others, prevent a drag on a resizable-handle
				if ( this.helper || o.disabled ||
					$( event.target ).closest( ".ui-resizable-handle" ).length > 0 ) {
					return false;
				}

				//Quit if we're not on a valid handle
				this.handle = this._getHandle( event );
				if ( !this.handle ) {
					return false;
				}

				this._blurActiveElement( event );

				this._blockFrames( o.iframeFix === true ? "iframe" : o.iframeFix );

				return true;

			},

			_blockFrames: function( selector ) {
				this.iframeBlocks = this.document.find( selector ).map( function() {
					var iframe = $( this );

					return $( "<div>" )
						.css( "position", "absolute" )
						.appendTo( iframe.parent() )
						.css("width", parseInt(iframe.css("width")))
						.css("padding-left", parseInt(iframe.css("padding-left")))
						.css("padding-right", parseInt(element.css("padding-right")) )
						.css("height", parseInt(iframe.css("height")))
						.css("padding-top", parseInt(iframe.css("padding-top")))
						.css("padding-bottom", parseInt(iframe.css("padding-bottom")) )
						.offset( iframe.offset() )[ 0 ];
				} );
			},

			_unblockFrames: function() {
				if ( this.iframeBlocks ) {
					this.iframeBlocks.remove();
					delete this.iframeBlocks;
				}
			},

			_blurActiveElement: function( event ) {
				var activeElement = $.ui.safeActiveElement( this.document[ 0 ] ),
					target = $( event.target );

				// Don't blur if the event occurred on an element that is within
				// the currently focused element
				// See #10527, #12472
				if ( target.closest( activeElement ).length ) {
					return;
				}

				// Blur any element that currently has focus, see #4261
				$.ui.safeBlur( activeElement );
			},

			_mouseStart: function( event ) {

				var o = this.options;

				//Create and append the visible helper
				this.helper = this._createHelper( event );

				this._addClass( this.helper, "ui-draggable-dragging" );

				//Cache the helper size
				this._cacheHelperProportions();

				//If ddmanager is used for droppables, set the global draggable
				if ( $.ui.ddmanager ) {
					$.ui.ddmanager.current = this;
				}

				/*
		 * - Position generation -
		 * This block generates everything position related - it's the core of draggables.
		 */

				//Cache the margins of the original element
				this._cacheMargins();

				//Store the helper's css position
				this.cssPosition = this.helper.css( "position" );
				this.scrollParent = this.helper.scrollParent( true );
				this.offsetParent = this.helper.offsetParent();
				this.hasFixedAncestor = this.helper.parents().filter( function() {
					return $( this ).css( "position" ) === "fixed";
				} ).length > 0;

				//The element's absolute position on the page minus margins
				this.positionAbs = this.element.offset();
				this._refreshOffsets( event );

				//Generate the original position
				this.originalPosition = this.position = this._generatePosition( event, false );
				this.originalPageX = event.pageX;
				this.originalPageY = event.pageY;

				//Adjust the mouse offset relative to the helper if "cursorAt" is supplied
				if ( o.cursorAt ) {
					this._adjustOffsetFromHelper( o.cursorAt );
				}

				//Set a containment if given in the options
				this._setContainment();

				//Trigger event + callbacks
				if ( this._trigger( "start", event ) === false ) {
					this._clear();
					return false;
				}

				//Recache the helper size
				this._cacheHelperProportions();

				//Prepare the droppable offsets
				if ( $.ui.ddmanager && !o.dropBehaviour ) {
					$.ui.ddmanager.prepareOffsets( this, event );
				}

				// Execute the drag once - this causes the helper not to be visible before getting its
				// correct position
				this._mouseDrag( event, true );

				// If the ddmanager is used for droppables, inform the manager that dragging has started
				// (see #5003)
				if ( $.ui.ddmanager ) {
					$.ui.ddmanager.dragStart( this, event );
				}

				return true;
			},

			_refreshOffsets: function( event ) {
				this.offset = {
					top: this.positionAbs.top - this.margins.top,
					left: this.positionAbs.left - this.margins.left,
					scroll: false,
					parent: this._getParentOffset(),
					relative: this._getRelativeOffset()
				};

				this.offset.click = {
					left: event.pageX - this.offset.left,
					top: event.pageY - this.offset.top
				};
			},

			_mouseDrag: function( event, noPropagation ) {

				// reset any necessary cached properties (see #5009)
				if ( this.hasFixedAncestor ) {
					this.offset.parent = this._getParentOffset();
				}

				//Compute the helpers position
				this.position = this._generatePosition( event, true );
				this.positionAbs = this._convertPositionTo( "absolute" );

				//Call plugins and callbacks and use the resulting position if something is returned
				if ( !noPropagation ) {
					var ui = this._uiHash();
					if ( this._trigger( "drag", event, ui ) === false ) {
						this._mouseUp( new $.Event( "mouseup", event ) );
						return false;
					}
					this.position = ui.position;
				}

				this.helper[ 0 ].style.left = this.position.left + "px";
				this.helper[ 0 ].style.top = this.position.top + "px";

				if ( $.ui.ddmanager ) {
					$.ui.ddmanager.drag( this, event );
				}

				return false;
			},

			_mouseStop: function( event ) {

				//If we are using droppables, inform the manager about the drop
				var that = this,
					dropped = false;
				if ( $.ui.ddmanager && !this.options.dropBehaviour ) {
					dropped = $.ui.ddmanager.drop( this, event );
				}

				//if a drop comes from outside (a sortable)
				if ( this.dropped ) {
					dropped = this.dropped;
					this.dropped = false;
				}

				if ( ( this.options.revert === "invalid" && !dropped ) ||
					( this.options.revert === "valid" && dropped ) ||
					this.options.revert === true || ( typeof this.options.revert === "function" &&
						this.options.revert.call( this.element, dropped ) )
				) {
					$( this.helper ).animate(
						this.originalPosition,
						parseInt( this.options.revertDuration, 10 ),
						function() {
							if ( that._trigger( "stop", event ) !== false ) {
								that._clear();
							}
						}
					);
				} else {
					if ( this._trigger( "stop", event ) !== false ) {
						this._clear();
					}
				}

				return false;
			},

			_mouseUp: function( event ) {
				this._unblockFrames();

				// If the ddmanager is used for droppables, inform the manager that dragging has stopped
				// (see #5003)
				if ( $.ui.ddmanager ) {
					$.ui.ddmanager.dragStop( this, event );
				}

				// Only need to focus if the event occurred on the draggable itself, see #10527
				if ( this.handleElement.is( event.target ) ) {

					// The interaction is over; whether or not the click resulted in a drag,
					// focus the element
					this.element.trigger( "focus" );
				}

				return $.ui.mouse.prototype._mouseUp.call( this, event );
			},

			cancel: function() {

				if ( this.helper.is( ".ui-draggable-dragging" ) ) {
					this._mouseUp( new $.Event( "mouseup", { target: this.element[ 0 ] } ) );
				} else {
					this._clear();
				}

				return this;

			},

			_getHandle: function( event ) {
				return this.options.handle ?
					!!$( event.target ).closest( this.element.find( this.options.handle ) ).length :
					true;
			},

			_setHandleClassName: function() {
				this.handleElement = this.options.handle ?
					this.element.find( this.options.handle ) : this.element;
				this._addClass( this.handleElement, "ui-draggable-handle" );
			},

			_removeHandleClassName: function() {
				this._removeClass( this.handleElement, "ui-draggable-handle" );
			},

			_createHelper: function( event ) {

				var o = this.options,
					helperIsFunction = typeof o.helper === "function",
					helper = helperIsFunction ?
						$( o.helper.apply( this.element[ 0 ], [ event ] ) ) :
						( o.helper === "clone" ?
							this.element.clone().removeAttr( "id" ) :
							this.element );

				if ( !helper.parents( "body" ).length ) {
					helper.appendTo( ( o.appendTo === "parent" ?
						this.element[ 0 ].parentNode :
						o.appendTo ) );
				}

				// Http://bugs.jqueryui.com/ticket/9446
				// a helper function can return the original element
				// which wouldn't have been set to relative in _create
				if ( helperIsFunction && helper[ 0 ] === this.element[ 0 ] ) {
					this._setPositionRelative();
				}

				if ( helper[ 0 ] !== this.element[ 0 ] &&
					!( /(fixed|absolute)/ ).test( helper.css( "position" ) ) ) {
					helper.css( "position", "absolute" );
				}

				return helper;

			},

			_setPositionRelative: function() {
				if ( !( /^(?:r|a|f)/ ).test( this.element.css( "position" ) ) ) {
					this.element[ 0 ].style.position = "relative";
				}
			},

			_adjustOffsetFromHelper: function( obj ) {
				if ( typeof obj === "string" ) {
					obj = obj.split( " " );
				}
				if ( Array.isArray( obj ) ) {
					obj = { left: +obj[ 0 ], top: +obj[ 1 ] || 0 };
				}
				if ( "left" in obj ) {
					this.offset.click.left = obj.left + this.margins.left;
				}
				if ( "right" in obj ) {
					this.offset.click.left = this.helperProportions.width - obj.right + this.margins.left;
				}
				if ( "top" in obj ) {
					this.offset.click.top = obj.top + this.margins.top;
				}
				if ( "bottom" in obj ) {
					this.offset.click.top = this.helperProportions.height - obj.bottom + this.margins.top;
				}
			},

			_isRootNode: function( element ) {
				return ( /(html|body)/i ).test( element.tagName ) || element === this.document[ 0 ];
			},

			_getParentOffset: function() {

				//Get the offsetParent and cache its position
				var po = this.offsetParent.offset(),
					document = this.document[ 0 ];

				// This is a special case where we need to modify a offset calculated on start, since the
				// following happened:
				// 1. The position of the helper is absolute, so it's position is calculated based on the
				// next positioned parent
				// 2. The actual offset parent is a child of the scroll parent, and the scroll parent isn't
				// the document, which means that the scroll is included in the initial calculation of the
				// offset of the parent, and never recalculated upon drag
				if ( this.cssPosition === "absolute" && this.scrollParent[ 0 ] !== document &&
					$.contains( this.scrollParent[ 0 ], this.offsetParent[ 0 ] ) ) {
					po.left += this.scrollParent.scrollLeft();
					po.top += this.scrollParent.scrollTop();
				}

				if ( this._isRootNode( this.offsetParent[ 0 ] ) ) {
					po = { top: 0, left: 0 };
				}

				return {
					top: po.top + ( parseInt( this.offsetParent.css( "borderTopWidth" ), 10 ) || 0 ),
					left: po.left + ( parseInt( this.offsetParent.css( "borderLeftWidth" ), 10 ) || 0 )
				};

			},

			_getRelativeOffset: function() {
				if ( this.cssPosition !== "relative" ) {
					return { top: 0, left: 0 };
				}

				var p = this.element.position(),
					scrollIsRootNode = this._isRootNode( this.scrollParent[ 0 ] );

				return {
					top: p.top - ( parseInt( this.helper.css( "top" ), 10 ) || 0 ) +
						( !scrollIsRootNode ? this.scrollParent.scrollTop() : 0 ),
					left: p.left - ( parseInt( this.helper.css( "left" ), 10 ) || 0 ) +
						( !scrollIsRootNode ? this.scrollParent.scrollLeft() : 0 )
				};

			},

			_cacheMargins: function() {
				this.margins = {
					left: ( parseInt( this.element.css( "marginLeft" ), 10 ) || 0 ),
					top: ( parseInt( this.element.css( "marginTop" ), 10 ) || 0 ),
					right: ( parseInt( this.element.css( "marginRight" ), 10 ) || 0 ),
					bottom: ( parseInt( this.element.css( "marginBottom" ), 10 ) || 0 )
				};
			},

			_cacheHelperProportions: function() {
				this.helperProportions = {
					width: parseInt(this.helper.css("width")) + parseInt(this.helper.css("padding-left")) + parseInt(this.helper.css("padding-right")),
					height: parseInt(this.helper.css("height"))+parseInt(this.helper.css("padding-top"))+parseInt(this.helper.css("padding-bottom"))
				};
			},

			_setContainment: function() {

				var isUserScrollable, c, ce,
					o = this.options,
					document = this.document[ 0 ];

				this.relativeContainer = null;

				if ( !o.containment ) {
					this.containment = null;
					return;
				}

				if ( o.containment === "window" ) {
					this.containment = [
						$( window ).scrollLeft() - this.offset.relative.left - this.offset.parent.left,
						$( window ).scrollTop() - this.offset.relative.top - this.offset.parent.top,
						$( window ).scrollLeft() + parseInt($(window).css("width")) -
						this.helperProportions.width - this.margins.left,
						$( window ).scrollTop() +
						( parseInt($( window ).css("height")) || document.body.parentNode.scrollHeight ) -
						this.helperProportions.height - this.margins.top
					];
					return;
				}

				if ( o.containment === "document" ) {
					this.containment = [
						0,
						0,
						parseInt($(document).css("width")) - this.helperProportions.width - this.margins.left,
						( parseInt($( document ).css("height")) || document.body.parentNode.scrollHeight ) -
						this.helperProportions.height - this.margins.top
					];
					return;
				}

				if ( o.containment.constructor === Array ) {
					this.containment = o.containment;
					return;
				}

				if ( o.containment === "parent" ) {
					o.containment = this.helper[ 0 ].parentNode;
				}

				c = $( o.containment );
				ce = c[ 0 ];

				if ( !ce ) {
					return;
				}

				isUserScrollable = /(scroll|auto)/.test( c.css( "overflow" ) );

				this.containment = [
					( parseInt( c.css( "borderLeftWidth" ), 10 ) || 0 ) +
					( parseInt( c.css( "paddingLeft" ), 10 ) || 0 ),
					( parseInt( c.css( "borderTopWidth" ), 10 ) || 0 ) +
					( parseInt( c.css( "paddingTop" ), 10 ) || 0 ),
					( isUserScrollable ? Math.max( ce.scrollWidth, ce.offsetWidth ) : ce.offsetWidth ) -
					( parseInt( c.css( "borderRightWidth" ), 10 ) || 0 ) -
					( parseInt( c.css( "paddingRight" ), 10 ) || 0 ) -
					this.helperProportions.width -
					this.margins.left -
					this.margins.right,
					( isUserScrollable ? Math.max( ce.scrollHeight, ce.offsetHeight ) : ce.offsetHeight ) -
					( parseInt( c.css( "borderBottomWidth" ), 10 ) || 0 ) -
					( parseInt( c.css( "paddingBottom" ), 10 ) || 0 ) -
					this.helperProportions.height -
					this.margins.top -
					this.margins.bottom
				];
				this.relativeContainer = c;
			},

			_convertPositionTo: function( d, pos ) {

				if ( !pos ) {
					pos = this.position;
				}

				var mod = d === "absolute" ? 1 : -1,
					scrollIsRootNode = this._isRootNode( this.scrollParent[ 0 ] );

				return {
					top: (

						// The absolute mouse position
						pos.top	+

						// Only for relative positioned nodes: Relative offset from element to offset parent
						this.offset.relative.top * mod +

						// The offsetParent's offset without borders (offset + border)
						this.offset.parent.top * mod -
						( ( this.cssPosition === "fixed" ?
							-this.offset.scroll.top :
							( scrollIsRootNode ? 0 : this.offset.scroll.top ) ) * mod )
					),
					left: (

						// The absolute mouse position
						pos.left +

						// Only for relative positioned nodes: Relative offset from element to offset parent
						this.offset.relative.left * mod +

						// The offsetParent's offset without borders (offset + border)
						this.offset.parent.left * mod	-
						( ( this.cssPosition === "fixed" ?
							-this.offset.scroll.left :
							( scrollIsRootNode ? 0 : this.offset.scroll.left ) ) * mod )
					)
				};

			},

			_generatePosition: function( event, constrainPosition ) {

				var containment, co, top, left,
					o = this.options,
					scrollIsRootNode = this._isRootNode( this.scrollParent[ 0 ] ),
					pageX = event.pageX,
					pageY = event.pageY;

				// Cache the scroll
				if ( !scrollIsRootNode || !this.offset.scroll ) {
					this.offset.scroll = {
						top: this.scrollParent.scrollTop(),
						left: this.scrollParent.scrollLeft()
					};
				}

				/*
		 * - Position constraining -
		 * Constrain the position to a mix of grid, containment.
		 */

				// If we are not dragging yet, we won't check for options
				if ( constrainPosition ) {
					if ( this.containment ) {
						if ( this.relativeContainer ) {
							co = this.relativeContainer.offset();
							containment = [
								this.containment[ 0 ] + co.left,
								this.containment[ 1 ] + co.top,
								this.containment[ 2 ] + co.left,
								this.containment[ 3 ] + co.top
							];
						} else {
							containment = this.containment;
						}

						if ( event.pageX - this.offset.click.left < containment[ 0 ] ) {
							pageX = containment[ 0 ] + this.offset.click.left;
						}
						if ( event.pageY - this.offset.click.top < containment[ 1 ] ) {
							pageY = containment[ 1 ] + this.offset.click.top;
						}
						if ( event.pageX - this.offset.click.left > containment[ 2 ] ) {
							pageX = containment[ 2 ] + this.offset.click.left;
						}
						if ( event.pageY - this.offset.click.top > containment[ 3 ] ) {
							pageY = containment[ 3 ] + this.offset.click.top;
						}
					}

					if ( o.grid ) {

						//Check for grid elements set to 0 to prevent divide by 0 error causing invalid
						// argument errors in IE (see ticket #6950)
						top = o.grid[ 1 ] ? this.originalPageY + Math.round( ( pageY -
							this.originalPageY ) / o.grid[ 1 ] ) * o.grid[ 1 ] : this.originalPageY;
						pageY = containment ? ( ( top - this.offset.click.top >= containment[ 1 ] ||
							top - this.offset.click.top > containment[ 3 ] ) ?
							top :
							( ( top - this.offset.click.top >= containment[ 1 ] ) ?
								top - o.grid[ 1 ] : top + o.grid[ 1 ] ) ) : top;

						left = o.grid[ 0 ] ? this.originalPageX +
							Math.round( ( pageX - this.originalPageX ) / o.grid[ 0 ] ) * o.grid[ 0 ] :
							this.originalPageX;
						pageX = containment ? ( ( left - this.offset.click.left >= containment[ 0 ] ||
							left - this.offset.click.left > containment[ 2 ] ) ?
							left :
							( ( left - this.offset.click.left >= containment[ 0 ] ) ?
								left - o.grid[ 0 ] : left + o.grid[ 0 ] ) ) : left;
					}

					if ( o.axis === "y" ) {
						pageX = this.originalPageX;
					}

					if ( o.axis === "x" ) {
						pageY = this.originalPageY;
					}
				}

				return {
					top: (

						// The absolute mouse position
						pageY -

						// Click offset (relative to the element)
						this.offset.click.top -

						// Only for relative positioned nodes: Relative offset from element to offset parent
						this.offset.relative.top -

						// The offsetParent's offset without borders (offset + border)
						this.offset.parent.top +
						( this.cssPosition === "fixed" ?
							-this.offset.scroll.top :
							( scrollIsRootNode ? 0 : this.offset.scroll.top ) )
					),
					left: (

						// The absolute mouse position
						pageX -

						// Click offset (relative to the element)
						this.offset.click.left -

						// Only for relative positioned nodes: Relative offset from element to offset parent
						this.offset.relative.left -

						// The offsetParent's offset without borders (offset + border)
						this.offset.parent.left +
						( this.cssPosition === "fixed" ?
							-this.offset.scroll.left :
							( scrollIsRootNode ? 0 : this.offset.scroll.left ) )
					)
				};

			},

			_clear: function() {
				this._removeClass( this.helper, "ui-draggable-dragging" );
				if ( this.helper[ 0 ] !== this.element[ 0 ] && !this.cancelHelperRemoval ) {
					this.helper.remove();
				}
				this.helper = null;
				this.cancelHelperRemoval = false;
				if ( this.destroyOnClear ) {
					this.destroy();
				}
			},

			// From now on bulk stuff - mainly helpers

			_trigger: function( type, event, ui ) {
				ui = ui || this._uiHash();
				$.ui.plugin.call( this, type, [ event, ui, this ], true );

				// Absolute position and offset (see #6884 ) have to be recalculated after plugins
				if ( /^(drag|start|stop)/.test( type ) ) {
					this.positionAbs = this._convertPositionTo( "absolute" );
					ui.offset = this.positionAbs;
				}
				return $.Widget.prototype._trigger.call( this, type, event, ui );
			},

			plugins: {},

			_uiHash: function() {
				return {
					helper: this.helper,
					position: this.position,
					originalPosition: this.originalPosition,
					offset: this.positionAbs
				};
			}

		} );

		$.ui.plugin.add( "draggable", "connectToSortable", {
			start: function( event, ui, draggable ) {
				var uiSortable = $.extend( {}, ui, {
					item: draggable.element
				} );

				draggable.sortables = [];
				$( draggable.options.connectToSortable ).each( function() {
					var sortable = $( this ).sortable( "instance" );

					if ( sortable && !sortable.options.disabled ) {
						draggable.sortables.push( sortable );

						// RefreshPositions is called at drag start to refresh the containerCache
						// which is used in drag. This ensures it's initialized and synchronized
						// with any changes that might have happened on the page since initialization.
						sortable.refreshPositions();
						sortable._trigger( "activate", event, uiSortable );
					}
				} );
			},
			stop: function( event, ui, draggable ) {
				var uiSortable = $.extend( {}, ui, {
					item: draggable.element
				} );

				draggable.cancelHelperRemoval = false;

				$.each( draggable.sortables, function() {
					var sortable = this;

					if ( sortable.isOver ) {
						sortable.isOver = 0;

						// Allow this sortable to handle removing the helper
						draggable.cancelHelperRemoval = true;
						sortable.cancelHelperRemoval = false;

						// Use _storedCSS To restore properties in the sortable,
						// as this also handles revert (#9675) since the draggable
						// may have modified them in unexpected ways (#8809)
						sortable._storedCSS = {
							position: sortable.placeholder.css( "position" ),
							top: sortable.placeholder.css( "top" ),
							left: sortable.placeholder.css( "left" )
						};

						sortable._mouseStop( event );

						// Once drag has ended, the sortable should return to using
						// its original helper, not the shared helper from draggable
						sortable.options.helper = sortable.options._helper;
					} else {

						// Prevent this Sortable from removing the helper.
						// However, don't set the draggable to remove the helper
						// either as another connected Sortable may yet handle the removal.
						sortable.cancelHelperRemoval = true;

						sortable._trigger( "deactivate", event, uiSortable );
					}
				} );
			},
			drag: function( event, ui, draggable ) {
				$.each( draggable.sortables, function() {
					var innermostIntersecting = false,
						sortable = this;

					// Copy over variables that sortable's _intersectsWith uses
					sortable.positionAbs = draggable.positionAbs;
					sortable.helperProportions = draggable.helperProportions;
					sortable.offset.click = draggable.offset.click;

					if ( sortable._intersectsWith( sortable.containerCache ) ) {
						innermostIntersecting = true;

						$.each( draggable.sortables, function() {

							// Copy over variables that sortable's _intersectsWith uses
							this.positionAbs = draggable.positionAbs;
							this.helperProportions = draggable.helperProportions;
							this.offset.click = draggable.offset.click;

							if ( this !== sortable &&
								this._intersectsWith( this.containerCache ) &&
								$.contains( sortable.element[ 0 ], this.element[ 0 ] ) ) {
								innermostIntersecting = false;
							}

							return innermostIntersecting;
						} );
					}

					if ( innermostIntersecting ) {

						// If it intersects, we use a little isOver variable and set it once,
						// so that the move-in stuff gets fired only once.
						if ( !sortable.isOver ) {
							sortable.isOver = 1;

							// Store draggable's parent in case we need to reappend to it later.
							draggable._parent = ui.helper.parent();

							sortable.currentItem = ui.helper
								.appendTo( sortable.element )
								.data( "ui-sortable-item", true );

							// Store helper option to later restore it
							sortable.options._helper = sortable.options.helper;

							sortable.options.helper = function() {
								return ui.helper[ 0 ];
							};

							// Fire the start events of the sortable with our passed browser event,
							// and our own helper (so it doesn't create a new one)
							event.target = sortable.currentItem[ 0 ];
							sortable._mouseCapture( event, true );
							sortable._mouseStart( event, true, true );

							// Because the browser event is way off the new appended portlet,
							// modify necessary variables to reflect the changes
							sortable.offset.click.top = draggable.offset.click.top;
							sortable.offset.click.left = draggable.offset.click.left;
							sortable.offset.parent.left -= draggable.offset.parent.left -
								sortable.offset.parent.left;
							sortable.offset.parent.top -= draggable.offset.parent.top -
								sortable.offset.parent.top;

							draggable._trigger( "toSortable", event );

							// Inform draggable that the helper is in a valid drop zone,
							// used solely in the revert option to handle "valid/invalid".
							draggable.dropped = sortable.element;

							// Need to refreshPositions of all sortables in the case that
							// adding to one sortable changes the location of the other sortables (#9675)
							$.each( draggable.sortables, function() {
								this.refreshPositions();
							} );

							// Hack so receive/update callbacks work (mostly)
							draggable.currentItem = draggable.element;
							sortable.fromOutside = draggable;
						}

						if ( sortable.currentItem ) {
							sortable._mouseDrag( event );

							// Copy the sortable's position because the draggable's can potentially reflect
							// a relative position, while sortable is always absolute, which the dragged
							// element has now become. (#8809)
							ui.position = sortable.position;
						}
					} else {

						// If it doesn't intersect with the sortable, and it intersected before,
						// we fake the drag stop of the sortable, but make sure it doesn't remove
						// the helper by using cancelHelperRemoval.
						if ( sortable.isOver ) {

							sortable.isOver = 0;
							sortable.cancelHelperRemoval = true;

							// Calling sortable's mouseStop would trigger a revert,
							// so revert must be temporarily false until after mouseStop is called.
							sortable.options._revert = sortable.options.revert;
							sortable.options.revert = false;

							sortable._trigger( "out", event, sortable._uiHash( sortable ) );
							sortable._mouseStop( event, true );

							// Restore sortable behaviors that were modfied
							// when the draggable entered the sortable area (#9481)
							sortable.options.revert = sortable.options._revert;
							sortable.options.helper = sortable.options._helper;

							if ( sortable.placeholder ) {
								sortable.placeholder.remove();
							}

							// Restore and recalculate the draggable's offset considering the sortable
							// may have modified them in unexpected ways. (#8809, #10669)
							ui.helper.appendTo( draggable._parent );
							draggable._refreshOffsets( event );
							ui.position = draggable._generatePosition( event, true );

							draggable._trigger( "fromSortable", event );

							// Inform draggable that the helper is no longer in a valid drop zone
							draggable.dropped = false;

							// Need to refreshPositions of all sortables just in case removing
							// from one sortable changes the location of other sortables (#9675)
							$.each( draggable.sortables, function() {
								this.refreshPositions();
							} );
						}
					}
				} );
			}
		} );

		$.ui.plugin.add( "draggable", "cursor", {
			start: function( event, ui, instance ) {
				var t = $( "body" ),
					o = instance.options;

				if ( t.css( "cursor" ) ) {
					o._cursor = t.css( "cursor" );
				}
				t.css( "cursor", o.cursor );
			},
			stop: function( event, ui, instance ) {
				var o = instance.options;
				if ( o._cursor ) {
					$( "body" ).css( "cursor", o._cursor );
				}
			}
		} );

		$.ui.plugin.add( "draggable", "opacity", {
			start: function( event, ui, instance ) {
				var t = $( ui.helper ),
					o = instance.options;
				if ( t.css( "opacity" ) ) {
					o._opacity = t.css( "opacity" );
				}
				t.css( "opacity", o.opacity );
			},
			stop: function( event, ui, instance ) {
				var o = instance.options;
				if ( o._opacity ) {
					$( ui.helper ).css( "opacity", o._opacity );
				}
			}
		} );

		$.ui.plugin.add( "draggable", "scroll", {
			start: function( event, ui, i ) {
				if ( !i.scrollParentNotHidden ) {
					i.scrollParentNotHidden = i.helper.scrollParent( false );
				}

				if ( i.scrollParentNotHidden[ 0 ] !== i.document[ 0 ] &&
					i.scrollParentNotHidden[ 0 ].tagName !== "HTML" ) {
					i.overflowOffset = i.scrollParentNotHidden.offset();
				}
			},
			drag: function( event, ui, i  ) {

				var o = i.options,
					scrolled = false,
					scrollParent = i.scrollParentNotHidden[ 0 ],
					document = i.document[ 0 ];

				if ( scrollParent !== document && scrollParent.tagName !== "HTML" ) {
					if ( !o.axis || o.axis !== "x" ) {
						if ( ( i.overflowOffset.top + scrollParent.offsetHeight ) - event.pageY <
							o.scrollSensitivity ) {
							scrollParent.scrollTop = scrolled = scrollParent.scrollTop + o.scrollSpeed;
						} else if ( event.pageY - i.overflowOffset.top < o.scrollSensitivity ) {
							scrollParent.scrollTop = scrolled = scrollParent.scrollTop - o.scrollSpeed;
						}
					}

					if ( !o.axis || o.axis !== "y" ) {
						if ( ( i.overflowOffset.left + scrollParent.offsetWidth ) - event.pageX <
							o.scrollSensitivity ) {
							scrollParent.scrollLeft = scrolled = scrollParent.scrollLeft + o.scrollSpeed;
						} else if ( event.pageX - i.overflowOffset.left < o.scrollSensitivity ) {
							scrollParent.scrollLeft = scrolled = scrollParent.scrollLeft - o.scrollSpeed;
						}
					}

				} else {

					if ( !o.axis || o.axis !== "x" ) {
						if ( event.pageY - $( document ).scrollTop() < o.scrollSensitivity ) {
							scrolled = $( document ).scrollTop( $( document ).scrollTop() - o.scrollSpeed );
						} else if ( $( window ).height() - ( event.pageY - $( document ).scrollTop() ) <
							o.scrollSensitivity ) {
							scrolled = $( document ).scrollTop( $( document ).scrollTop() + o.scrollSpeed );
						}
					}

					if ( !o.axis || o.axis !== "y" ) {
						if ( event.pageX - $( document ).scrollLeft() < o.scrollSensitivity ) {
							scrolled = $( document ).scrollLeft(
								$( document ).scrollLeft() - o.scrollSpeed
							);
						} else if ( $(window).width() - ( event.pageX - $( document ).scrollLeft() ) <
							o.scrollSensitivity ) {
							scrolled = $( document ).scrollLeft(
								$( document ).scrollLeft() + o.scrollSpeed
							);
						}
					}

				}

				if ( scrolled !== false && $.ui.ddmanager && !o.dropBehaviour ) {
					$.ui.ddmanager.prepareOffsets( i, event );
				}

			}
		} );

		$.ui.plugin.add( "draggable", "snap", {
			start: function( event, ui, i ) {

				var o = i.options;

				i.snapElements = [];

				$( o.snap.constructor !== String ? ( o.snap.items || ":data(ui-draggable)" ) : o.snap )
					.each( function() {
						var $t = $( this ),
							$o = $t.offset();
						if ( this !== i.element[ 0 ] ) {
							i.snapElements.push( {
								item: this,
								width: parseInt($t.css("width")) + parseInt($t.css("padding-left")) + parseInt($t.css("padding-right")), height: parseInt($t.css("height"))+parseInt($t.css("padding-top"))+parseInt($t.css("padding-bottom")),
								top: $o.top, left: $o.left
							} );
						}
					} );

			},
			drag: function( event, ui, inst ) {

				var ts, bs, ls, rs, l, r, t, b, i, first,
					o = inst.options,
					d = o.snapTolerance,
					x1 = ui.offset.left, x2 = x1 + inst.helperProportions.width,
					y1 = ui.offset.top, y2 = y1 + inst.helperProportions.height;

				for ( i = inst.snapElements.length - 1; i >= 0; i-- ) {

					l = inst.snapElements[ i ].left - inst.margins.left;
					r = l + inst.snapElements[ i ].width;
					t = inst.snapElements[ i ].top - inst.margins.top;
					b = t + inst.snapElements[ i ].height;

					if ( x2 < l - d || x1 > r + d || y2 < t - d || y1 > b + d ||
						!$.contains( inst.snapElements[ i ].item.ownerDocument,
							inst.snapElements[ i ].item ) ) {
						if ( inst.snapElements[ i ].snapping ) {
							if ( inst.options.snap.release ) {
								inst.options.snap.release.call(
									inst.element,
									event,
									$.extend( inst._uiHash(), { snapItem: inst.snapElements[ i ].item } )
								);
							}
						}
						inst.snapElements[ i ].snapping = false;
						continue;
					}

					if ( o.snapMode !== "inner" ) {
						ts = Math.abs( t - y2 ) <= d;
						bs = Math.abs( b - y1 ) <= d;
						ls = Math.abs( l - x2 ) <= d;
						rs = Math.abs( r - x1 ) <= d;
						if ( ts ) {
							ui.position.top = inst._convertPositionTo( "relative", {
								top: t - inst.helperProportions.height,
								left: 0
							} ).top;
						}
						if ( bs ) {
							ui.position.top = inst._convertPositionTo( "relative", {
								top: b,
								left: 0
							} ).top;
						}
						if ( ls ) {
							ui.position.left = inst._convertPositionTo( "relative", {
								top: 0,
								left: l - inst.helperProportions.width
							} ).left;
						}
						if ( rs ) {
							ui.position.left = inst._convertPositionTo( "relative", {
								top: 0,
								left: r
							} ).left;
						}
					}

					first = ( ts || bs || ls || rs );

					if ( o.snapMode !== "outer" ) {
						ts = Math.abs( t - y1 ) <= d;
						bs = Math.abs( b - y2 ) <= d;
						ls = Math.abs( l - x1 ) <= d;
						rs = Math.abs( r - x2 ) <= d;
						if ( ts ) {
							ui.position.top = inst._convertPositionTo( "relative", {
								top: t,
								left: 0
							} ).top;
						}
						if ( bs ) {
							ui.position.top = inst._convertPositionTo( "relative", {
								top: b - inst.helperProportions.height,
								left: 0
							} ).top;
						}
						if ( ls ) {
							ui.position.left = inst._convertPositionTo( "relative", {
								top: 0,
								left: l
							} ).left;
						}
						if ( rs ) {
							ui.position.left = inst._convertPositionTo( "relative", {
								top: 0,
								left: r - inst.helperProportions.width
							} ).left;
						}
					}

					if ( !inst.snapElements[ i ].snapping && ( ts || bs || ls || rs || first ) ) {
						if ( inst.options.snap.snap ) {
							inst.options.snap.snap.call(
								inst.element,
								event,
								$.extend( inst._uiHash(), {
									snapItem: inst.snapElements[ i ].item
								} ) );
						}
					}
					inst.snapElements[ i ].snapping = ( ts || bs || ls || rs || first );

				}

			}
		} );

		$.ui.plugin.add( "draggable", "stack", {
			start: function( event, ui, instance ) {
				var min,
					o = instance.options,
					group = $.makeArray( $( o.stack ) ).sort( function( a, b ) {
						return ( parseInt( $( a ).css( "zIndex" ), 10 ) || 0 ) -
							( parseInt( $( b ).css( "zIndex" ), 10 ) || 0 );
					} );

				if ( !group.length ) {
					return;
				}

				min = parseInt( $( group[ 0 ] ).css( "zIndex" ), 10 ) || 0;
				$( group ).each( function( i ) {
					$( this ).css( "zIndex", min + i );
				} );
				this.css( "zIndex", ( min + group.length ) );
			}
		} );

		$.ui.plugin.add( "draggable", "zIndex", {
			start: function( event, ui, instance ) {
				var t = $( ui.helper ),
					o = instance.options;

				if ( t.css( "zIndex" ) ) {
					o._zIndex = t.css( "zIndex" );
				}
				t.css( "zIndex", o.zIndex );
			},
			stop: function( event, ui, instance ) {
				var o = instance.options;

				if ( o._zIndex ) {
					$( ui.helper ).css( "zIndex", o._zIndex );
				}
			}
		} );

		var widgetsDraggable = $.ui.draggable;


		/*!
 * jQuery UI Resizable 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Resizable
//>>group: Interactions
//>>description: Enables resize functionality for any element.
//>>docs: http://api.jqueryui.com/resizable/
//>>demos: http://jqueryui.com/resizable/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/resizable.css
//>>css.theme: ../../themes/base/theme.css


		$.widget( "ui.resizable", $.ui.mouse, {
			version: "1.13.2",
			widgetEventPrefix: "resize",
			options: {
				alsoResize: false,
				animate: false,
				animateDuration: "slow",
				animateEasing: "swing",
				aspectRatio: false,
				autoHide: false,
				classes: {
					"ui-resizable-se": "ui-icon ui-icon-gripsmall-diagonal-se"
				},
				containment: false,
				ghost: false,
				grid: false,
				handles: "e,s,se",
				helper: false,
				maxHeight: null,
				maxWidth: null,
				minHeight: 10,
				minWidth: 10,

				// See #7960
				zIndex: 90,

				// Callbacks
				resize: null,
				start: null,
				stop: null
			},

			_num: function( value ) {
				return parseFloat( value ) || 0;
			},

			_isNumber: function( value ) {
				return !isNaN( parseFloat( value ) );
			},

			_hasScroll: function( el, a ) {

				if ( $( el ).css( "overflow" ) === "hidden" ) {
					return false;
				}

				var scroll = ( a && a === "left" ) ? "scrollLeft" : "scrollTop",
					has = false;

				if ( el[ scroll ] > 0 ) {
					return true;
				}

				// TODO: determine which cases actually cause this to happen
				// if the element doesn't have the scroll set, see if it's possible to
				// set the scroll
				try {
					el[ scroll ] = 1;
					has = ( el[ scroll ] > 0 );
					el[ scroll ] = 0;
				} catch ( e ) {

					// `el` might be a string, then setting `scroll` will throw
					// an error in strict mode; ignore it.
				}
				return has;
			},

			_create: function() {

				var margins,
					o = this.options,
					that = this;
				this._addClass( "ui-resizable" );

				$.extend( this, {
					_aspectRatio: !!( o.aspectRatio ),
					aspectRatio: o.aspectRatio,
					originalElement: this.element,
					_proportionallyResizeElements: [],
					_helper: o.helper || o.ghost || o.animate ? o.helper || "ui-resizable-helper" : null
				} );

				// Wrap the element if it cannot hold child nodes
				if ( this.element[ 0 ].nodeName.match( /^(canvas|textarea|input|select|button|img)$/i ) ) {

					this.element.wrap(
						$( "<div class='ui-wrapper'></div>" ).css( {
							overflow: "hidden",
							position: this.element.css( "position" ),
							width: parseInt(this.element.css("width")) + parseInt(this.element.css("padding-left")) + parseInt(this.element.css("padding-right")),
							height: parseInt(this.element.css("height"))+parseInt(this.element.css("padding-top"))+parseInt(this.element.css("padding-bottom")),
							top: this.element.css( "top" ),
							left: this.element.css( "left" )
						} )
					);

					this.element = this.element.parent().data(
						"ui-resizable", this.element.resizable( "instance" )
					);

					this.elementIsWrapper = true;

					margins = {
						marginTop: this.originalElement.css( "marginTop" ),
						marginRight: this.originalElement.css( "marginRight" ),
						marginBottom: this.originalElement.css( "marginBottom" ),
						marginLeft: this.originalElement.css( "marginLeft" )
					};

					this.element.css( margins );
					this.originalElement.css( "margin", 0 );

					// support: Safari
					// Prevent Safari textarea resize
					this.originalResizeStyle = this.originalElement.css( "resize" );
					this.originalElement.css( "resize", "none" );

					this._proportionallyResizeElements.push( this.originalElement.css( {
						position: "static",
						zoom: 1,
						display: "block"
					} ) );

					// Support: IE9
					// avoid IE jump (hard set the margin)
					this.originalElement.css( margins );

					this._proportionallyResize();
				}

				this._setupHandles();

				if ( o.autoHide ) {
					$( this.element )
						.on( "mouseenter", function() {
							if ( o.disabled ) {
								return;
							}
							that._removeClass( "ui-resizable-autohide" );
							that._handles.show();
						} )
						.on( "mouseleave", function() {
							if ( o.disabled ) {
								return;
							}
							if ( !that.resizing ) {
								that._addClass( "ui-resizable-autohide" );
								that._handles.hide();
							}
						} );
				}

				this._mouseInit();
			},

			_destroy: function() {

				this._mouseDestroy();
				this._addedHandles.remove();

				var wrapper,
					_destroy = function( exp ) {
						$( exp )
							.removeData( "resizable" )
							.removeData( "ui-resizable" )
							.off( ".resizable" );
					};

				// TODO: Unwrap at same DOM position
				if ( this.elementIsWrapper ) {
					_destroy( this.element );
					wrapper = this.element;
					this.originalElement.css( {
						position: wrapper.css( "position" ),
						width: parseInt(wrapper.css("width")) + parseInt(wrapper.css("padding-left")) + parseInt(wrapper.css("padding-right")),
						height: parseInt(wrapper.css("height"))+parseInt(wrapper.css("padding-top"))+parseInt(wrapper.css("padding-bottom")),
						top: wrapper.css( "top" ),
						left: wrapper.css( "left" )
					} ).insertAfter( wrapper );
					wrapper.remove();
				}

				this.originalElement.css( "resize", this.originalResizeStyle );
				_destroy( this.originalElement );

				return this;
			},

			_setOption: function( key, value ) {
				this._super( key, value );

				switch ( key ) {
					case "handles":
						this._removeHandles();
						this._setupHandles();
						break;
					case "aspectRatio":
						this._aspectRatio = !!value;
						break;
					default:
						break;
				}
			},

			_setupHandles: function() {
				var o = this.options, handle, i, n, hname, axis, that = this;
				this.handles = o.handles ||
					( !$( ".ui-resizable-handle", this.element ).length ?
						"e,s,se" : {
							n: ".ui-resizable-n",
							e: ".ui-resizable-e",
							s: ".ui-resizable-s",
							w: ".ui-resizable-w",
							se: ".ui-resizable-se",
							sw: ".ui-resizable-sw",
							ne: ".ui-resizable-ne",
							nw: ".ui-resizable-nw"
						} );

				this._handles = $();
				this._addedHandles = $();
				if ( this.handles.constructor === String ) {

					if ( this.handles === "all" ) {
						this.handles = "n,e,s,w,se,sw,ne,nw";
					}

					n = this.handles.split( "," );
					this.handles = {};

					for ( i = 0; i < n.length; i++ ) {

						handle = String.prototype.trim.call( n[ i ] );
						hname = "ui-resizable-" + handle;
						axis = $( "<div>" );
						this._addClass( axis, "ui-resizable-handle " + hname );

						axis.css( { zIndex: o.zIndex } );

						this.handles[ handle ] = ".ui-resizable-" + handle;
						if ( !this.element.children( this.handles[ handle ] ).length ) {
							this.element.append( axis );
							this._addedHandles = this._addedHandles.add( axis );
						}
					}

				}

				this._renderAxis = function( target ) {

					var i, axis, padPos, padWrapper;

					target = target || this.element;

					for ( i in this.handles ) {

						if ( this.handles[ i ].constructor === String ) {
							this.handles[ i ] = this.element.children( this.handles[ i ] ).first().show();
						} else if ( this.handles[ i ].jquery || this.handles[ i ].nodeType ) {
							this.handles[ i ] = $( this.handles[ i ] );
							this._on( this.handles[ i ], { "mousedown": that._mouseDown } );
						}

						if ( this.elementIsWrapper &&
							this.originalElement[ 0 ]
								.nodeName
								.match( /^(textarea|input|select|button)$/i ) ) {
							axis = $( this.handles[ i ], this.element );

							padWrapper = /sw|ne|nw|se|n|s/.test( i ) ?
								parseInt(axis.css("height"))+parseInt(axis.css("padding-top"))+parseInt(axis.css("padding-bottom")) :
								parseInt(axis.css("width")) + parseInt(axis.css("padding-left")) + parseInt(axis.css("padding-right"));

							padPos = [ "padding",
								/ne|nw|n/.test( i ) ? "Top" :
									/se|sw|s/.test( i ) ? "Bottom" :
										/^e$/.test( i ) ? "Right" : "Left" ].join( "" );

							target.css( padPos, padWrapper );

							this._proportionallyResize();
						}

						this._handles = this._handles.add( this.handles[ i ] );
					}
				};

				// TODO: make renderAxis a prototype function
				this._renderAxis( this.element );

				this._handles = this._handles.add( this.element.find( ".ui-resizable-handle" ) );
				this._handles.disableSelection();

				this._handles.on( "mouseover", function() {
					if ( !that.resizing ) {
						if ( this.className ) {
							axis = this.className.match( /ui-resizable-(se|sw|ne|nw|n|e|s|w)/i );
						}
						that.axis = axis && axis[ 1 ] ? axis[ 1 ] : "se";
					}
				} );

				if ( o.autoHide ) {
					this._handles.hide();
					this._addClass( "ui-resizable-autohide" );
				}
			},

			_removeHandles: function() {
				this._addedHandles.remove();
			},

			_mouseCapture: function( event ) {
				var i, handle,
					capture = false;

				for ( i in this.handles ) {
					handle = $( this.handles[ i ] )[ 0 ];
					if ( handle === event.target || $.contains( handle, event.target ) ) {
						capture = true;
					}
				}

				return !this.options.disabled && capture;
			},

			_mouseStart: function( event ) {

				var curleft, curtop, cursor,
					o = this.options,
					el = this.element;

				this.resizing = true;

				this._renderProxy();

				curleft = this._num( this.helper.css( "left" ) );
				curtop = this._num( this.helper.css( "top" ) );

				if ( o.containment ) {
					curleft += $( o.containment ).scrollLeft() || 0;
					curtop += $( o.containment ).scrollTop() || 0;
				}

				this.offset = this.helper.offset();
				this.position = { left: curleft, top: curtop };

				this.size = this._helper ? {
					width: parseInt(this.helper.css("width")),
					height: parseInt(this.helper.css("height"))
				} : {
					width: parseInt(el.css("width")),
					height: parseInt(el.css("height"))
				};

				this.originalSize = this._helper ? {
					width: parseInt(el.css("width")) + parseInt(el.css("padding-left")) + parseInt(el.css("padding-right")),
					height: parseInt(el.css("height"))+parseInt(el.css("padding-top"))+parseInt(el.css("padding-bottom"))
				} : {
					width: parseInt(el.css("width")),
					height: parseInt(el.css("height"))
				};

				this.sizeDiff = {
					width:  parseInt(el.css("padding-left")) + parseInt(el.css("padding-right")),
					height: parseInt(el.css("padding-top"))+parseInt(el.css("padding-bottom"))
				};

				this.originalPosition = { left: curleft, top: curtop };
				this.originalMousePosition = { left: event.pageX, top: event.pageY };

				this.aspectRatio = ( typeof o.aspectRatio === "number" ) ?
					o.aspectRatio :
					( ( this.originalSize.width / this.originalSize.height ) || 1 );

				cursor = $( ".ui-resizable-" + this.axis ).css( "cursor" );
				$( "body" ).css( "cursor", cursor === "auto" ? this.axis + "-resize" : cursor );

				this._addClass( "ui-resizable-resizing" );
				this._propagate( "start", event );
				return true;
			},

			_mouseDrag: function( event ) {

				var data, props,
					smp = this.originalMousePosition,
					a = this.axis,
					dx = ( event.pageX - smp.left ) || 0,
					dy = ( event.pageY - smp.top ) || 0,
					trigger = this._change[ a ];

				this._updatePrevProperties();

				if ( !trigger ) {
					return false;
				}

				data = trigger.apply( this, [ event, dx, dy ] );

				this._updateVirtualBoundaries( event.shiftKey );
				if ( this._aspectRatio || event.shiftKey ) {
					data = this._updateRatio( data, event );
				}

				data = this._respectSize( data, event );

				this._updateCache( data );

				this._propagate( "resize", event );

				props = this._applyChanges();

				if ( !this._helper && this._proportionallyResizeElements.length ) {
					this._proportionallyResize();
				}

				if ( !$.isEmptyObject( props ) ) {
					this._updatePrevProperties();
					this._trigger( "resize", event, this.ui() );
					this._applyChanges();
				}

				return false;
			},

			_mouseStop: function( event ) {

				this.resizing = false;
				var pr, ista, soffseth, soffsetw, s, left, top,
					o = this.options, that = this;

				if ( this._helper ) {

					pr = this._proportionallyResizeElements;
					ista = pr.length && ( /textarea/i ).test( pr[ 0 ].nodeName );
					soffseth = ista && this._hasScroll( pr[ 0 ], "left" ) ? 0 : that.sizeDiff.height;
					soffsetw = ista ? 0 : that.sizeDiff.width;

					s = {
						width: ( parseInt(that.helper.css("width"))  - soffsetw ),
						height: ( parseInt(that.helper.css("height")) - soffseth )
					};
					left = ( parseFloat( that.element.css( "left" ) ) +
						( that.position.left - that.originalPosition.left ) ) || null;
					top = ( parseFloat( that.element.css( "top" ) ) +
						( that.position.top - that.originalPosition.top ) ) || null;

					if ( !o.animate ) {
						this.element.css( $.extend( s, { top: top, left: left } ) );
					}

					that.helper.css("height", that.size.height +"px");
					that.helper.css("width", that.size.width +"px");

					if ( this._helper && !o.animate ) {
						this._proportionallyResize();
					}
				}

				$( "body" ).css( "cursor", "auto" );

				this._removeClass( "ui-resizable-resizing" );

				this._propagate( "stop", event );

				if ( this._helper ) {
					this.helper.remove();
				}

				return false;

			},

			_updatePrevProperties: function() {
				this.prevPosition = {
					top: this.position.top,
					left: this.position.left
				};
				this.prevSize = {
					width: this.size.width,
					height: this.size.height
				};
			},

			_applyChanges: function() {
				var props = {};

				if ( this.position.top !== this.prevPosition.top ) {
					props.top = this.position.top + "px";
				}
				if ( this.position.left !== this.prevPosition.left ) {
					props.left = this.position.left + "px";
				}
				if ( this.size.width !== this.prevSize.width ) {
					props.width = this.size.width + "px";
				}
				if ( this.size.height !== this.prevSize.height ) {
					props.height = this.size.height + "px";
				}

				this.helper.css( props );

				return props;
			},

			_updateVirtualBoundaries: function( forceAspectRatio ) {
				var pMinWidth, pMaxWidth, pMinHeight, pMaxHeight, b,
					o = this.options;

				b = {
					minWidth: this._isNumber( o.minWidth ) ? o.minWidth : 0,
					maxWidth: this._isNumber( o.maxWidth ) ? o.maxWidth : Infinity,
					minHeight: this._isNumber( o.minHeight ) ? o.minHeight : 0,
					maxHeight: this._isNumber( o.maxHeight ) ? o.maxHeight : Infinity
				};

				if ( this._aspectRatio || forceAspectRatio ) {
					pMinWidth = b.minHeight * this.aspectRatio;
					pMinHeight = b.minWidth / this.aspectRatio;
					pMaxWidth = b.maxHeight * this.aspectRatio;
					pMaxHeight = b.maxWidth / this.aspectRatio;

					if ( pMinWidth > b.minWidth ) {
						b.minWidth = pMinWidth;
					}
					if ( pMinHeight > b.minHeight ) {
						b.minHeight = pMinHeight;
					}
					if ( pMaxWidth < b.maxWidth ) {
						b.maxWidth = pMaxWidth;
					}
					if ( pMaxHeight < b.maxHeight ) {
						b.maxHeight = pMaxHeight;
					}
				}
				this._vBoundaries = b;
			},

			_updateCache: function( data ) {
				this.offset = this.helper.offset();
				if ( this._isNumber( data.left ) ) {
					this.position.left = data.left;
				}
				if ( this._isNumber( data.top ) ) {
					this.position.top = data.top;
				}
				if ( this._isNumber( data.height ) ) {
					this.size.height = data.height;
				}
				if ( this._isNumber( data.width ) ) {
					this.size.width = data.width;
				}
			},

			_updateRatio: function( data ) {

				var cpos = this.position,
					csize = this.size,
					a = this.axis;

				if ( this._isNumber( data.height ) ) {
					data.width = ( data.height * this.aspectRatio );
				} else if ( this._isNumber( data.width ) ) {
					data.height = ( data.width / this.aspectRatio );
				}

				if ( a === "sw" ) {
					data.left = cpos.left + ( csize.width - data.width );
					data.top = null;
				}
				if ( a === "nw" ) {
					data.top = cpos.top + ( csize.height - data.height );
					data.left = cpos.left + ( csize.width - data.width );
				}

				return data;
			},

			_respectSize: function( data ) {

				var o = this._vBoundaries,
					a = this.axis,
					ismaxw = this._isNumber( data.width ) && o.maxWidth && ( o.maxWidth < data.width ),
					ismaxh = this._isNumber( data.height ) && o.maxHeight && ( o.maxHeight < data.height ),
					isminw = this._isNumber( data.width ) && o.minWidth && ( o.minWidth > data.width ),
					isminh = this._isNumber( data.height ) && o.minHeight && ( o.minHeight > data.height ),
					dw = this.originalPosition.left + this.originalSize.width,
					dh = this.originalPosition.top + this.originalSize.height,
					cw = /sw|nw|w/.test( a ), ch = /nw|ne|n/.test( a );
				if ( isminw ) {
					data.width = o.minWidth;
				}
				if ( isminh ) {
					data.height = o.minHeight;
				}
				if ( ismaxw ) {
					data.width = o.maxWidth;
				}
				if ( ismaxh ) {
					data.height = o.maxHeight;
				}

				if ( isminw && cw ) {
					data.left = dw - o.minWidth;
				}
				if ( ismaxw && cw ) {
					data.left = dw - o.maxWidth;
				}
				if ( isminh && ch ) {
					data.top = dh - o.minHeight;
				}
				if ( ismaxh && ch ) {
					data.top = dh - o.maxHeight;
				}

				// Fixing jump error on top/left - bug #2330
				if ( !data.width && !data.height && !data.left && data.top ) {
					data.top = null;
				} else if ( !data.width && !data.height && !data.top && data.left ) {
					data.left = null;
				}

				return data;
			},

			_getPaddingPlusBorderDimensions: function( element ) {
				var i = 0,
					widths = [],
					borders = [
						element.css( "borderTopWidth" ),
						element.css( "borderRightWidth" ),
						element.css( "borderBottomWidth" ),
						element.css( "borderLeftWidth" )
					],
					paddings = [
						element.css( "paddingTop" ),
						element.css( "paddingRight" ),
						element.css( "paddingBottom" ),
						element.css( "paddingLeft" )
					];

				for ( ; i < 4; i++ ) {
					widths[ i ] = ( parseFloat( borders[ i ] ) || 0 );
					widths[ i ] += ( parseFloat( paddings[ i ] ) || 0 );
				}

				return {
					height: widths[ 0 ] + widths[ 2 ],
					width: widths[ 1 ] + widths[ 3 ]
				};
			},

			_proportionallyResize: function() {

				if ( !this._proportionallyResizeElements.length ) {
					return;
				}

				var prel,
					i = 0,
					element = this.helper || this.element;

				for ( ; i < this._proportionallyResizeElements.length; i++ ) {

					prel = this._proportionallyResizeElements[ i ];

					// TODO: Seems like a bug to cache this.outerDimensions
					// considering that we are in a loop.
					if ( !this.outerDimensions ) {
						this.outerDimensions = this._getPaddingPlusBorderDimensions( prel );
					}

					prel.css( {
						height: ( parseInt(element.css("height")) - this.outerDimensions.height ) || 0,
						width: ( parseInt(element.css("width")) - this.outerDimensions.width ) || 0
					} );

				}

			},

			_renderProxy: function() {

				var el = this.element, o = this.options;
				this.elementOffset = el.offset();

				if ( this._helper ) {

					this.helper = this.helper || $( "<div></div>" ).css( { overflow: "hidden" } );

					this._addClass( this.helper, this._helper );
					this.helper.css( {
						width: parseInt(this.element.css("width")) + parseInt(this.element.css("padding-left")) + parseInt(this.element.css("padding-right")),
						height: parseInt(this.element.css("height"))+parseInt(this.element.css("padding-top"))+parseInt(this.element.css("padding-bottom")),
						position: "absolute",
						left: this.elementOffset.left + "px",
						top: this.elementOffset.top + "px",
						zIndex: ++o.zIndex //TODO: Don't modify option
					} );

					this.helper
						.appendTo( "body" )
						.disableSelection();

				} else {
					this.helper = this.element;
				}

			},

			_change: {
				e: function( event, dx ) {
					return { width: this.originalSize.width + dx };
				},
				w: function( event, dx ) {
					var cs = this.originalSize, sp = this.originalPosition;
					return { left: sp.left + dx, width: cs.width - dx };
				},
				n: function( event, dx, dy ) {
					var cs = this.originalSize, sp = this.originalPosition;
					return { top: sp.top + dy, height: cs.height - dy };
				},
				s: function( event, dx, dy ) {
					return { height: this.originalSize.height + dy };
				},
				se: function( event, dx, dy ) {
					return $.extend( this._change.s.apply( this, arguments ),
						this._change.e.apply( this, [ event, dx, dy ] ) );
				},
				sw: function( event, dx, dy ) {
					return $.extend( this._change.s.apply( this, arguments ),
						this._change.w.apply( this, [ event, dx, dy ] ) );
				},
				ne: function( event, dx, dy ) {
					return $.extend( this._change.n.apply( this, arguments ),
						this._change.e.apply( this, [ event, dx, dy ] ) );
				},
				nw: function( event, dx, dy ) {
					return $.extend( this._change.n.apply( this, arguments ),
						this._change.w.apply( this, [ event, dx, dy ] ) );
				}
			},

			_propagate: function( n, event ) {
				$.ui.plugin.call( this, n, [ event, this.ui() ] );
				if ( n !== "resize" ) {
					this._trigger( n, event, this.ui() );
				}
			},

			plugins: {},

			ui: function() {
				return {
					originalElement: this.originalElement,
					element: this.element,
					helper: this.helper,
					position: this.position,
					size: this.size,
					originalSize: this.originalSize,
					originalPosition: this.originalPosition
				};
			}

		} );

		/*
 * Resizable Extensions
 */

		$.ui.plugin.add( "resizable", "animate", {

			stop: function( event ) {
				var that = $( this ).resizable( "instance" ),
					o = that.options,
					pr = that._proportionallyResizeElements,
					ista = pr.length && ( /textarea/i ).test( pr[ 0 ].nodeName ),
					soffseth = ista && that._hasScroll( pr[ 0 ], "left" ) ? 0 : that.sizeDiff.height,
					soffsetw = ista ? 0 : that.sizeDiff.width,
					style = {
						width: ( that.size.width - soffsetw ),
						height: ( that.size.height - soffseth )
					},
					left = ( parseFloat( that.element.css( "left" ) ) +
						( that.position.left - that.originalPosition.left ) ) || null,
					top = ( parseFloat( that.element.css( "top" ) ) +
						( that.position.top - that.originalPosition.top ) ) || null;

				that.element.animate(
					$.extend( style, top && left ? { top: top, left: left } : {} ), {
						duration: o.animateDuration,
						easing: o.animateEasing,
						step: function() {

							var data = {
								width: parseFloat( that.element.css( "width" ) ),
								height: parseFloat( that.element.css( "height" ) ),
								top: parseFloat( that.element.css( "top" ) ),
								left: parseFloat( that.element.css( "left" ) )
							};

							if ( pr && pr.length ) {
								$( pr[ 0 ] ).css( { width: data.width, height: data.height } );
							}

							// Propagating resize, and updating values for each animation step
							that._updateCache( data );
							that._propagate( "resize", event );

						}
					}
				);
			}

		} );

		$.ui.plugin.add( "resizable", "containment", {

			start: function() {
				var element, p, co, ch, cw, width, height,
					that = $( this ).resizable( "instance" ),
					o = that.options,
					el = that.element,
					oc = o.containment,
					ce = ( oc instanceof $ ) ?
						oc.get( 0 ) :
						( /parent/.test( oc ) ) ? el.parent().get( 0 ) : oc;

				if ( !ce ) {
					return;
				}

				that.containerElement = $( ce );

				if ( /document/.test( oc ) || oc === document ) {
					that.containerOffset = {
						left: 0,
						top: 0
					};
					that.containerPosition = {
						left: 0,
						top: 0
					};

					that.parentData = {
						element: $( document ),
						left: 0,
						top: 0,
						width: parseInt($(document).css("width")),
						height: parseInt($( document ).css("height")) || document.body.parentNode.scrollHeight
					};
				} else {
					element = $( ce );
					p = [];
					$( [ "Top", "Right", "Left", "Bottom" ] ).each( function( i, name ) {
						p[ i ] = that._num( element.css( "padding" + name ) );
					} );

					that.containerOffset = element.offset();
					that.containerPosition = element.position();
					that.containerSize = {
						height: ( parseInt(element.css("height"))-parseInt(element.css("padding-top"))-parseInt(element.css("padding-bottom")) - p[ 3 ] ),
						width: ( parseInt(element.css("width"))-parseInt(element.css("padding-left"))-parseInt(element.css("padding-right")) - p[ 1 ] )
					};

					co = that.containerOffset;
					ch = that.containerSize.height;
					cw = that.containerSize.width;
					width = ( that._hasScroll( ce, "left" ) ? ce.scrollWidth : cw );
					height = ( that._hasScroll( ce ) ? ce.scrollHeight : ch );

					that.parentData = {
						element: ce,
						left: co.left,
						top: co.top,
						width: width,
						height: height
					};
				}
			},

			resize: function( event ) {
				var woset, hoset, isParent, isOffsetRelative,
					that = $( this ).resizable( "instance" ),
					o = that.options,
					co = that.containerOffset,
					cp = that.position,
					pRatio = that._aspectRatio || event.shiftKey,
					cop = {
						top: 0,
						left: 0
					},
					ce = that.containerElement,
					continueResize = true;

				if ( ce[ 0 ] !== document && ( /static/ ).test( ce.css( "position" ) ) ) {
					cop = co;
				}

				if ( cp.left < ( that._helper ? co.left : 0 ) ) {
					that.size.width = that.size.width +
						( that._helper ?
							( that.position.left - co.left ) :
							( that.position.left - cop.left ) );

					if ( pRatio ) {
						that.size.height = that.size.width / that.aspectRatio;
						continueResize = false;
					}
					that.position.left = o.helper ? co.left : 0;
				}

				if ( cp.top < ( that._helper ? co.top : 0 ) ) {
					that.size.height = that.size.height +
						( that._helper ?
							( that.position.top - co.top ) :
							that.position.top );

					if ( pRatio ) {
						that.size.width = that.size.height * that.aspectRatio;
						continueResize = false;
					}
					that.position.top = that._helper ? co.top : 0;
				}

				isParent = that.containerElement.get( 0 ) === that.element.parent().get( 0 );
				isOffsetRelative = /relative|absolute/.test( that.containerElement.css( "position" ) );

				if ( isParent && isOffsetRelative ) {
					that.offset.left = that.parentData.left + that.position.left;
					that.offset.top = that.parentData.top + that.position.top;
				} else {
					that.offset.left = that.element.offset().left;
					that.offset.top = that.element.offset().top;
				}

				woset = Math.abs( that.sizeDiff.width +
					( that._helper ?
						that.offset.left - cop.left :
						( that.offset.left - co.left ) ) );

				hoset = Math.abs( that.sizeDiff.height +
					( that._helper ?
						that.offset.top - cop.top :
						( that.offset.top - co.top ) ) );

				if ( woset + that.size.width >= that.parentData.width ) {
					that.size.width = that.parentData.width - woset;
					if ( pRatio ) {
						that.size.height = that.size.width / that.aspectRatio;
						continueResize = false;
					}
				}

				if ( hoset + that.size.height >= that.parentData.height ) {
					that.size.height = that.parentData.height - hoset;
					if ( pRatio ) {
						that.size.width = that.size.height * that.aspectRatio;
						continueResize = false;
					}
				}

				if ( !continueResize ) {
					that.position.left = that.prevPosition.left;
					that.position.top = that.prevPosition.top;
					that.size.width = that.prevSize.width;
					that.size.height = that.prevSize.height;
				}
			},

			stop: function() {
				var that = $( this ).resizable( "instance" ),
					o = that.options,
					co = that.containerOffset,
					cop = that.containerPosition,
					ce = that.containerElement,
					helper = $( that.helper ),
					ho = helper.offset(),
					w = parseInt(helper.css("width")) + parseInt(helper.css("padding-left")) + parseInt(helper.css("padding-right")) - that.sizeDiff.width,
					h = parseInt(helper.css("height"))+parseInt(helper.css("padding-top"))+parseInt(helper.css("padding-bottom")) - that.sizeDiff.height;

				if ( that._helper && !o.animate && ( /relative/ ).test( ce.css( "position" ) ) ) {
					$( this ).css( {
						left: ho.left - cop.left - co.left,
						width: w,
						height: h
					} );
				}

				if ( that._helper && !o.animate && ( /static/ ).test( ce.css( "position" ) ) ) {
					$( this ).css( {
						left: ho.left - cop.left - co.left,
						width: w,
						height: h
					} );
				}
			}
		} );

		$.ui.plugin.add( "resizable", "alsoResize", {

			start: function() {
				var that = $( this ).resizable( "instance" ),
					o = that.options;

				$( o.alsoResize ).each( function() {
					var el = $( this );

						el.data( "ui-resizable-alsoresize", {
						width: parseFloat( parseInt(el.css("width")) ), height: parseFloat( parseInt(el.css("height")) ),




						left: parseFloat( el.css( "left" ) ), top: parseFloat( el.css( "top" ) )
					} );
				} );
			},

			resize: function( event, ui ) {
				var that = $( this ).resizable( "instance" ),
					o = that.options,
					os = that.originalSize,
					op = that.originalPosition,
					delta = {
						height: ( that.size.height - os.height ) || 0,
						width: ( that.size.width - os.width ) || 0,
						top: ( that.position.top - op.top ) || 0,
						left: ( that.position.left - op.left ) || 0
					};

				$( o.alsoResize ).each( function() {
					var el = $( this ), start = $( this ).data( "ui-resizable-alsoresize" ), style = {},
						css = el.parents( ui.originalElement[ 0 ] ).length ?
							[ "width", "height" ] :
							[ "width", "height", "top", "left" ];

					$.each( css, function( i, prop ) {
						var sum = ( start[ prop ] || 0 ) + ( delta[ prop ] || 0 );
						if ( sum && sum >= 0 ) {
							style[ prop ] = sum || null;
						}
					} );

					el.css( style );
				} );
			},

			stop: function() {
				$( this ).removeData( "ui-resizable-alsoresize" );
			}
		} );

		$.ui.plugin.add( "resizable", "ghost", {

			start: function() {

				var that = $( this ).resizable( "instance" ), cs = that.size;

				that.ghost = that.originalElement.clone();
				that.ghost.css( {
					opacity: 0.25,
					display: "block",
					position: "relative",
					height: cs.height,
					width: cs.width,
					margin: 0,
					left: 0,
					top: 0
				} );

				that._addClass( that.ghost, "ui-resizable-ghost" );

				// DEPRECATED
				// TODO: remove after 1.12
				if ( $.uiBackCompat !== false && typeof that.options.ghost === "string" ) {

					// Ghost option
					that.ghost.addClass( this.options.ghost );
				}

				that.ghost.appendTo( that.helper );

			},

			resize: function() {
				var that = $( this ).resizable( "instance" );
				if ( that.ghost ) {
					that.ghost.css( {
						position: "relative",
						height: that.size.height,
						width: that.size.width
					} );
				}
			},

			stop: function() {
				var that = $( this ).resizable( "instance" );
				if ( that.ghost && that.helper ) {
					that.helper.get( 0 ).removeChild( that.ghost.get( 0 ) );
				}
			}

		} );

		$.ui.plugin.add( "resizable", "grid", {

			resize: function() {
				var outerDimensions,
					that = $( this ).resizable( "instance" ),
					o = that.options,
					cs = that.size,
					os = that.originalSize,
					op = that.originalPosition,
					a = that.axis,
					grid = typeof o.grid === "number" ? [ o.grid, o.grid ] : o.grid,
					gridX = ( grid[ 0 ] || 1 ),
					gridY = ( grid[ 1 ] || 1 ),
					ox = Math.round( ( cs.width - os.width ) / gridX ) * gridX,
					oy = Math.round( ( cs.height - os.height ) / gridY ) * gridY,
					newWidth = os.width + ox,
					newHeight = os.height + oy,
					isMaxWidth = o.maxWidth && ( o.maxWidth < newWidth ),
					isMaxHeight = o.maxHeight && ( o.maxHeight < newHeight ),
					isMinWidth = o.minWidth && ( o.minWidth > newWidth ),
					isMinHeight = o.minHeight && ( o.minHeight > newHeight );

				o.grid = grid;

				if ( isMinWidth ) {
					newWidth += gridX;
				}
				if ( isMinHeight ) {
					newHeight += gridY;
				}
				if ( isMaxWidth ) {
					newWidth -= gridX;
				}
				if ( isMaxHeight ) {
					newHeight -= gridY;
				}

				if ( /^(se|s|e)$/.test( a ) ) {
					that.size.width = newWidth;
					that.size.height = newHeight;
				} else if ( /^(ne)$/.test( a ) ) {
					that.size.width = newWidth;
					that.size.height = newHeight;
					that.position.top = op.top - oy;
				} else if ( /^(sw)$/.test( a ) ) {
					that.size.width = newWidth;
					that.size.height = newHeight;
					that.position.left = op.left - ox;
				} else {
					if ( newHeight - gridY <= 0 || newWidth - gridX <= 0 ) {
						outerDimensions = that._getPaddingPlusBorderDimensions( this );
					}

					if ( newHeight - gridY > 0 ) {
						that.size.height = newHeight;
						that.position.top = op.top - oy;
					} else {
						newHeight = gridY - outerDimensions.height;
						that.size.height = newHeight;
						that.position.top = op.top + os.height - newHeight;
					}
					if ( newWidth - gridX > 0 ) {
						that.size.width = newWidth;
						that.position.left = op.left - ox;
					} else {
						newWidth = gridX - outerDimensions.width;
						that.size.width = newWidth;
						that.position.left = op.left + os.width - newWidth;
					}
				}
			}

		} );

		var widgetsResizable = $.ui.resizable;


		/*!
 * jQuery UI Dialog 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Dialog
//>>group: Widgets
//>>description: Displays customizable dialog windows.
//>>docs: http://api.jqueryui.com/dialog/
//>>demos: http://jqueryui.com/dialog/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/dialog.css
//>>css.theme: ../../themes/base/theme.css


		$.widget( "ui.dialog", {
			version: "1.13.2",
			options: {
				appendTo: "body",
				autoOpen: true,
				buttons: [],
				classes: {
					"ui-dialog": "ui-corner-all",
					"ui-dialog-titlebar": "ui-corner-all"
				},
				closeOnEscape: true,
				closeText: "Close",
				draggable: true,
				hide: null,
				height: "auto",
				maxHeight: null,
				maxWidth: null,
				minHeight: 150,
				minWidth: 150,
				modal: false,
				position: {
					my: "center",
					at: "center",
					of: window,
					collision: "fit",

					// Ensure the titlebar is always visible
					using: function( pos ) {
						var topOffset = $( this ).css( pos ).offset().top;
						if ( topOffset < 0 ) {
							$( this ).css( "top", pos.top - topOffset );
						}
					}
				},
				resizable: true,
				show: null,
				title: null,
				width: 300,

				// Callbacks
				beforeClose: null,
				close: null,
				drag: null,
				dragStart: null,
				dragStop: null,
				focus: null,
				open: null,
				resize: null,
				resizeStart: null,
				resizeStop: null
			},

			sizeRelatedOptions: {
				buttons: true,
				height: true,
				maxHeight: true,
				maxWidth: true,
				minHeight: true,
				minWidth: true,
				width: true
			},

			resizableRelatedOptions: {
				maxHeight: true,
				maxWidth: true,
				minHeight: true,
				minWidth: true
			},

			_create: function() {
				this.originalCss = {
					display: this.element[ 0 ].style.display,
					width: this.element[ 0 ].style.width,
					minHeight: this.element[ 0 ].style.minHeight,
					maxHeight: this.element[ 0 ].style.maxHeight,
					height: this.element[ 0 ].style.height
				};
				this.originalPosition = {
					parent: this.element.parent(),
					index: this.element.parent().children().index( this.element )
				};
				this.originalTitle = this.element.attr( "title" );
				if ( this.options.title == null && this.originalTitle != null ) {
					this.options.title = this.originalTitle;
				}

				// Dialogs can't be disabled
				if ( this.options.disabled ) {
					this.options.disabled = false;
				}

				this._createWrapper();

				this.element
					.show()
					.removeAttr( "title" )
					.appendTo( this.uiDialog );

				this._addClass( "ui-dialog-content", "ui-widget-content" );

				this._createTitlebar();
				this._createButtonPane();

				if ( this.options.draggable && $.fn.draggable ) {
					this._makeDraggable();
				}
				if ( this.options.resizable && $.fn.resizable ) {
					this._makeResizable();
				}

				this._isOpen = false;

				this._trackFocus();
			},

			_init: function() {
				if ( this.options.autoOpen ) {
					this.open();
				}
			},

			_appendTo: function() {
				var element = this.options.appendTo;
				if ( element && ( element.jquery || element.nodeType ) ) {
					return $( element );
				}
				return this.document.find( element || "body" ).eq( 0 );
			},

			_destroy: function() {
				var next,
					originalPosition = this.originalPosition;

				this._untrackInstance();
				this._destroyOverlay();

				this.element
					.removeUniqueId()
					.css( this.originalCss )

					// Without detaching first, the following becomes really slow
					.detach();

				this.uiDialog.remove();

				if ( this.originalTitle ) {
					this.element.attr( "title", this.originalTitle );
				}

				next = originalPosition.parent.children().eq( originalPosition.index );

				// Don't try to place the dialog next to itself (#8613)
				if ( next.length && next[ 0 ] !== this.element[ 0 ] ) {
					next.before( this.element );
				} else {
					originalPosition.parent.append( this.element );
				}
			},

			widget: function() {
				return this.uiDialog;
			},

			disable: $.noop,
			enable: $.noop,

			close: function( event ) {
				var that = this;

				if ( !this._isOpen || this._trigger( "beforeClose", event ) === false ) {
					return;
				}

				this._isOpen = false;
				this._focusedElement = null;
				this._destroyOverlay();
				this._untrackInstance();

				if ( !this.opener.filter( ":focusable" ).trigger( "focus" ).length ) {

					// Hiding a focused element doesn't trigger blur in WebKit
					// so in case we have nothing to focus on, explicitly blur the active element
					// https://bugs.webkit.org/show_bug.cgi?id=47182
					$.ui.safeBlur( $.ui.safeActiveElement( this.document[ 0 ] ) );
				}

				this._hide( this.uiDialog, this.options.hide, function() {
					that._trigger( "close", event );
				} );
			},

			isOpen: function() {
				return this._isOpen;
			},

			moveToTop: function() {
				this._moveToTop();
			},

			_moveToTop: function( event, silent ) {
				var moved = false,
					zIndices = this.uiDialog.siblings( ".ui-front:visible" ).map( function() {
						return +$( this ).css( "z-index" );
					} ).get(),
					zIndexMax = Math.max.apply( null, zIndices );

				if ( zIndexMax >= +this.uiDialog.css( "z-index" ) ) {
					this.uiDialog.css( "z-index", zIndexMax + 1 );
					moved = true;
				}

				if ( moved && !silent ) {
					this._trigger( "focus", event );
				}
				return moved;
			},

			open: function() {
				var that = this;
				if ( this._isOpen ) {
					if ( this._moveToTop() ) {
						this._focusTabbable();
					}
					return;
				}

				this._isOpen = true;
				this.opener = $( $.ui.safeActiveElement( this.document[ 0 ] ) );

				this._size();
				this._position();
				this._createOverlay();
				this._moveToTop( null, true );

				// Ensure the overlay is moved to the top with the dialog, but only when
				// opening. The overlay shouldn't move after the dialog is open so that
				// modeless dialogs opened after the modal dialog stack properly.
				if ( this.overlay ) {
					this.overlay.css( "z-index", this.uiDialog.css( "z-index" ) - 1 );
				}

				this._show( this.uiDialog, this.options.show, function() {
					that._focusTabbable();
					that._trigger( "focus" );
				} );

				// Track the dialog immediately upon opening in case a focus event
				// somehow occurs outside of the dialog before an element inside the
				// dialog is focused (#10152)
				this._makeFocusTarget();

				this._trigger( "open" );
			},

			_focusTabbable: function() {

				// Set focus to the first match:
				// 1. An element that was focused previously
				// 2. First element inside the dialog matching [autofocus]
				// 3. Tabbable element inside the content element
				// 4. Tabbable element inside the buttonpane
				// 5. The close button
				// 6. The dialog itself
				var hasFocus = this._focusedElement;
				if ( !hasFocus ) {
					hasFocus = this.element.find( "[autofocus]" );
				}
				if ( !hasFocus.length ) {
					hasFocus = this.element.find( ":tabbable" );
				}
				if ( !hasFocus.length ) {
					hasFocus = this.uiDialogButtonPane.find( ":tabbable" );
				}
				if ( !hasFocus.length ) {
					hasFocus = this.uiDialogTitlebarClose.filter( ":tabbable" );
				}
				if ( !hasFocus.length ) {
					hasFocus = this.uiDialog;
				}
				hasFocus.eq( 0 ).trigger( "focus" );
			},

			_restoreTabbableFocus: function() {
				var activeElement = $.ui.safeActiveElement( this.document[ 0 ] ),
					isActive = this.uiDialog[ 0 ] === activeElement ||
						$.contains( this.uiDialog[ 0 ], activeElement );
				if ( !isActive ) {
					this._focusTabbable();
				}
			},

			_keepFocus: function( event ) {
				event.preventDefault();
				this._restoreTabbableFocus();

				// support: IE
				// IE <= 8 doesn't prevent moving focus even with event.preventDefault()
				// so we check again later
				this._delay( this._restoreTabbableFocus );
			},

			_createWrapper: function() {
				this.uiDialog = $( "<div>" )
					.hide()
					.attr( {

						// Setting tabIndex makes the div focusable
						tabIndex: -1,
						role: "dialog"
					} )
					.appendTo( this._appendTo() );

				this._addClass( this.uiDialog, "ui-dialog", "ui-widget ui-widget-content ui-front" );
				this._on( this.uiDialog, {
					keydown: function( event ) {
						if ( this.options.closeOnEscape && !event.isDefaultPrevented() && event.keyCode &&
							event.keyCode === $.ui.keyCode.ESCAPE ) {
							event.preventDefault();
							this.close( event );
							return;
						}

						// Prevent tabbing out of dialogs
						if ( event.keyCode !== $.ui.keyCode.TAB || event.isDefaultPrevented() ) {
							return;
						}
						var tabbables = this.uiDialog.find( ":tabbable" ),
							first = tabbables.first(),
							last = tabbables.last();

						if ( ( event.target === last[ 0 ] || event.target === this.uiDialog[ 0 ] ) &&
							!event.shiftKey ) {
							this._delay( function() {
								first.trigger( "focus" );
							} );
							event.preventDefault();
						} else if ( ( event.target === first[ 0 ] ||
							event.target === this.uiDialog[ 0 ] ) && event.shiftKey ) {
							this._delay( function() {
								last.trigger( "focus" );
							} );
							event.preventDefault();
						}
					},
					mousedown: function( event ) {
						if ( this._moveToTop( event ) ) {
							this._focusTabbable();
						}
					}
				} );

				// We assume that any existing aria-describedby attribute means
				// that the dialog content is marked up properly
				// otherwise we brute force the content as the description
				if ( !this.element.find( "[aria-describedby]" ).length ) {
					this.uiDialog.attr( {
						"aria-describedby": this.element.uniqueId().attr( "id" )
					} );
				}
			},

			_createTitlebar: function() {
				var uiDialogTitle;

				this.uiDialogTitlebar = $( "<div>" );
				this._addClass( this.uiDialogTitlebar,
					"ui-dialog-titlebar", "ui-widget-header ui-helper-clearfix" );
				this._on( this.uiDialogTitlebar, {
					mousedown: function( event ) {

						// Don't prevent click on close button (#8838)
						// Focusing a dialog that is partially scrolled out of view
						// causes the browser to scroll it into view, preventing the click event
						if ( !$( event.target ).closest( ".ui-dialog-titlebar-close" ) ) {

							// Dialog isn't getting focus when dragging (#8063)
							this.uiDialog.trigger( "focus" );
						}
					}
				} );

				// Support: IE
				// Use type="button" to prevent enter keypresses in textboxes from closing the
				// dialog in IE (#9312)
				this.uiDialogTitlebarClose = $( "<button type='button'></button>" )
					.button( {
						label: $( "<a>" ).text( this.options.closeText ).html(),
						icon: "ui-icon-closethick",
						showLabel: false
					} )
					.appendTo( this.uiDialogTitlebar );

				this._addClass( this.uiDialogTitlebarClose, "ui-dialog-titlebar-close" );
				this._on( this.uiDialogTitlebarClose, {
					click: function( event ) {
						event.preventDefault();
						this.close( event );
					}
				} );

				uiDialogTitle = $( "<span>" ).uniqueId().prependTo( this.uiDialogTitlebar );
				this._addClass( uiDialogTitle, "ui-dialog-title" );
				this._title( uiDialogTitle );

				this.uiDialogTitlebar.prependTo( this.uiDialog );

				this.uiDialog.attr( {
					"aria-labelledby": uiDialogTitle.attr( "id" )
				} );
			},

			_title: function( title ) {
				if ( this.options.title ) {
					title.text( this.options.title );
				} else {
					title.html( "&#160;" );
				}
			},

			_createButtonPane: function() {
				this.uiDialogButtonPane = $( "<div>" );
				this._addClass( this.uiDialogButtonPane, "ui-dialog-buttonpane",
					"ui-widget-content ui-helper-clearfix" );

				this.uiButtonSet = $( "<div>" )
					.appendTo( this.uiDialogButtonPane );
				this._addClass( this.uiButtonSet, "ui-dialog-buttonset" );

				this._createButtons();
			},

			_createButtons: function() {
				var that = this,
					buttons = this.options.buttons;

				// If we already have a button pane, remove it
				this.uiDialogButtonPane.remove();
				this.uiButtonSet.empty();

				if ( $.isEmptyObject( buttons ) || ( Array.isArray( buttons ) && !buttons.length ) ) {
					this._removeClass( this.uiDialog, "ui-dialog-buttons" );
					return;
				}

				$.each( buttons, function( name, props ) {
					var click, buttonOptions;
					props = typeof props === "function" ?
						{ click: props, text: name } :
						props;

					// Default to a non-submitting button
					props = $.extend( { type: "button" }, props );

					// Change the context for the click callback to be the main element
					click = props.click;
					buttonOptions = {
						icon: props.icon,
						iconPosition: props.iconPosition,
						showLabel: props.showLabel,

						// Deprecated options
						icons: props.icons,
						text: props.text
					};

					delete props.click;
					delete props.icon;
					delete props.iconPosition;
					delete props.showLabel;

					// Deprecated options
					delete props.icons;
					if ( typeof props.text === "boolean" ) {
						delete props.text;
					}

					$( "<button></button>", props )
						.button( buttonOptions )
						.appendTo( that.uiButtonSet )
						.on( "click", function() {
							click.apply( that.element[ 0 ], arguments );
						} );
				} );
				this._addClass( this.uiDialog, "ui-dialog-buttons" );
				this.uiDialogButtonPane.appendTo( this.uiDialog );
			},

			_makeDraggable: function() {
				var that = this,
					options = this.options;

				function filteredUi( ui ) {
					return {
						position: ui.position,
						offset: ui.offset
					};
				}

				this.uiDialog.draggable( {
					cancel: ".ui-dialog-content, .ui-dialog-titlebar-close",
					handle: ".ui-dialog-titlebar",
					containment: "document",
					start: function( event, ui ) {
						that._addClass( $( this ), "ui-dialog-dragging" );
						that._blockFrames();
						that._trigger( "dragStart", event, filteredUi( ui ) );
					},
					drag: function( event, ui ) {
						that._trigger( "drag", event, filteredUi( ui ) );
					},
					stop: function( event, ui ) {
						var left = ui.offset.left - that.document.scrollLeft(),
							top = ui.offset.top - that.document.scrollTop();

						options.position = {
							my: "left top",
							at: "left" + ( left >= 0 ? "+" : "" ) + left + " " +
								"top" + ( top >= 0 ? "+" : "" ) + top,
							of: that.window
						};
						that._removeClass( $( this ), "ui-dialog-dragging" );
						that._unblockFrames();
						that._trigger( "dragStop", event, filteredUi( ui ) );
					}
				} );
			},

			_makeResizable: function() {
				var that = this,
					options = this.options,
					handles = options.resizable,

					// .ui-resizable has position: relative defined in the stylesheet
					// but dialogs have to use absolute or fixed positioning
					position = this.uiDialog.css( "position" ),
					resizeHandles = typeof handles === "string" ?
						handles :
						"n,e,s,w,se,sw,ne,nw";

				function filteredUi( ui ) {
					return {
						originalPosition: ui.originalPosition,
						originalSize: ui.originalSize,
						position: ui.position,
						size: ui.size
					};
				}

				this.uiDialog.resizable( {
					cancel: ".ui-dialog-content",
					containment: "document",
					alsoResize: this.element,
					maxWidth: options.maxWidth,
					maxHeight: options.maxHeight,
					minWidth: options.minWidth,
					minHeight: this._minHeight(),
					handles: resizeHandles,
					start: function( event, ui ) {
						that._addClass( $( this ), "ui-dialog-resizing" );
						that._blockFrames();
						that._trigger( "resizeStart", event, filteredUi( ui ) );
					},
					resize: function( event, ui ) {
						that._trigger( "resize", event, filteredUi( ui ) );
					},
					stop: function( event, ui ) {
						var offset = that.uiDialog.offset(),
							left = offset.left - that.document.scrollLeft(),
							top = offset.top - that.document.scrollTop();

						options.height = parseInt(that.uiDialog.css("height"));
						options.width = parseInt(that.uiDialog.css("width"));
						options.position = {
							my: "left top",
							at: "left" + ( left >= 0 ? "+" : "" ) + left + " " +
								"top" + ( top >= 0 ? "+" : "" ) + top,
							of: that.window
						};
						that._removeClass( $( this ), "ui-dialog-resizing" );
						that._unblockFrames();
						that._trigger( "resizeStop", event, filteredUi( ui ) );
					}
				} )
					.css( "position", position );
			},

			_trackFocus: function() {
				this._on( this.widget(), {
					focusin: function( event ) {
						this._makeFocusTarget();
						this._focusedElement = $( event.target );
					}
				} );
			},

			_makeFocusTarget: function() {
				this._untrackInstance();
				this._trackingInstances().unshift( this );
			},

			_untrackInstance: function() {
				var instances = this._trackingInstances(),
					exists = $.inArray( this, instances );
				if ( exists !== -1 ) {
					instances.splice( exists, 1 );
				}
			},

			_trackingInstances: function() {
				var instances = this.document.data( "ui-dialog-instances" );
				if ( !instances ) {
					instances = [];
					this.document.data( "ui-dialog-instances", instances );
				}
				return instances;
			},

			_minHeight: function() {
				var options = this.options;

				return options.height === "auto" ?
					options.minHeight :
					Math.min( options.minHeight, options.height );
			},

			_position: function() {

				// Need to show the dialog to get the actual offset in the position plugin
				var isVisible = this.uiDialog.is( ":visible" );
				if ( !isVisible ) {
					this.uiDialog.show();
				}
				this.uiDialog.position( this.options.position );
				if ( !isVisible ) {
					this.uiDialog.hide();
				}
			},

			_setOptions: function( options ) {
				var that = this,
					resize = false,
					resizableOptions = {};

				$.each( options, function( key, value ) {
					that._setOption( key, value );

					if ( key in that.sizeRelatedOptions ) {
						resize = true;
					}
					if ( key in that.resizableRelatedOptions ) {
						resizableOptions[ key ] = value;
					}
				} );

				if ( resize ) {
					this._size();
					this._position();
				}
				if ( this.uiDialog.is( ":data(ui-resizable)" ) ) {
					this.uiDialog.resizable( "option", resizableOptions );
				}
			},

			_setOption: function( key, value ) {
				var isDraggable, isResizable,
					uiDialog = this.uiDialog;

				if ( key === "disabled" ) {
					return;
				}

				this._super( key, value );

				if ( key === "appendTo" ) {
					this.uiDialog.appendTo( this._appendTo() );
				}

				if ( key === "buttons" ) {
					this._createButtons();
				}

				if ( key === "closeText" ) {
					this.uiDialogTitlebarClose.button( {

						// Ensure that we always pass a string
						label: $( "<a>" ).text( "" + this.options.closeText ).html()
					} );
				}

				if ( key === "draggable" ) {
					isDraggable = uiDialog.is( ":data(ui-draggable)" );
					if ( isDraggable && !value ) {
						uiDialog.draggable( "destroy" );
					}

					if ( !isDraggable && value ) {
						this._makeDraggable();
					}
				}

				if ( key === "position" ) {
					this._position();
				}

				if ( key === "resizable" ) {

					// currently resizable, becoming non-resizable
					isResizable = uiDialog.is( ":data(ui-resizable)" );
					if ( isResizable && !value ) {
						uiDialog.resizable( "destroy" );
					}

					// Currently resizable, changing handles
					if ( isResizable && typeof value === "string" ) {
						uiDialog.resizable( "option", "handles", value );
					}

					// Currently non-resizable, becoming resizable
					if ( !isResizable && value !== false ) {
						this._makeResizable();
					}
				}

				if ( key === "title" ) {
					this._title( this.uiDialogTitlebar.find( ".ui-dialog-title" ) );
				}
				this._resetButton();
			},

			_size: function() {

				// If the user has resized the dialog, the .ui-dialog and .ui-dialog-content
				// divs will both have width and height set, so we need to reset them
				var nonContentHeight, minContentHeight, maxContentHeight,
					options = this.options;

				// Reset content sizing
				this.element.show().css( {
					width: "auto",
					minHeight: 0,
					maxHeight: "none",
					height: 0
				} );

				if ( options.minWidth > options.width ) {
					options.width = options.minWidth;
				}

				// Reset wrapper sizing
				// determine the height of all the non-content elements
				nonContentHeight = parseInt(this.uiDialog.css( {
					height: "auto",
					width: options.width
				} )
					.css("height"));
				minContentHeight = Math.max( 0, options.minHeight - nonContentHeight );
				maxContentHeight = typeof options.maxHeight === "number" ?
					Math.max( 0, options.maxHeight - nonContentHeight ) :
					"none";

				if ( options.height === "auto" ) {
					this.element.css( {
						minHeight: minContentHeight,
						maxHeight: maxContentHeight,
						height: "auto"
					} );
				} else {
					this.element.css("height", Math.max( 0, options.height - nonContentHeight )+"px" );
				}

				if ( this.uiDialog.is( ":data(ui-resizable)" ) ) {
					this.uiDialog.resizable( "option", "minHeight", this._minHeight() );
				}
			},

			_blockFrames: function() {
				this.iframeBlocks = this.document.find( "iframe" ).map( function() {
					var iframe = $( this );

					return $( "<div>" )
						.css( {
							position: "absolute",
							width: parseInt(iframe.css("width")) + parseInt(iframe.css("padding-left")) + parseInt(iframe.css("padding-right")),
							height: parseInt(iframe.css("height"))+parseInt(iframe.css("padding-top"))+parseInt(iframe.css("padding-bottom"))
						} )
						.appendTo( iframe.parent() )
						.offset( iframe.offset() )[ 0 ];
				} );
			},

			_unblockFrames: function() {
				if ( this.iframeBlocks ) {
					this.iframeBlocks.remove();
					delete this.iframeBlocks;
				}
			},

			_allowInteraction: function( event ) {
				if ( $( event.target ).closest( ".ui-dialog" ).length ) {
					return true;
				}

				// TODO: Remove hack when datepicker implements
				// the .ui-front logic (#8989)
				return !!$( event.target ).closest( ".ui-datepicker" ).length;
			},

			_createOverlay: function() {
				if ( !this.options.modal ) {
					return;
				}

				var jqMinor = $.fn.jquery.substring( 0, 4 );

				// We use a delay in case the overlay is created from an
				// event that we're going to be cancelling (#2804)
				var isOpening = true;
				this._delay( function() {
					isOpening = false;
				} );

				if ( !this.document.data( "ui-dialog-overlays" ) ) {

					// Prevent use of anchors and inputs
					// This doesn't use `_on()` because it is a shared event handler
					// across all open modal dialogs.
					this.document.on( "focusin.ui-dialog", function( event ) {
						if ( isOpening ) {
							return;
						}

						var instance = this._trackingInstances()[ 0 ];
						if ( !instance._allowInteraction( event ) ) {
							event.preventDefault();
							instance._focusTabbable();

							// Support: jQuery >=3.4 <3.6 only
							// Focus re-triggering in jQuery 3.4/3.5 makes the original element
							// have its focus event propagated last, breaking the re-targeting.
							// Trigger focus in a delay in addition if needed to avoid the issue
							// See https://github.com/jquery/jquery/issues/4382
							if ( jqMinor === "3.4." || jqMinor === "3.5." ) {
								instance._delay( instance._restoreTabbableFocus );
							}
						}
					}.bind( this ) );
				}

				this.overlay = $( "<div>" )
					.appendTo( this._appendTo() );

				this._addClass( this.overlay, null, "ui-widget-overlay ui-front" );
				this._on( this.overlay, {
					mousedown: "_keepFocus"
				} );
				this.document.data( "ui-dialog-overlays",
					( this.document.data( "ui-dialog-overlays" ) || 0 ) + 1 );
			},

			_destroyOverlay: function() {
				if ( !this.options.modal ) {
					return;
				}

				if ( this.overlay ) {
					var overlays = this.document.data( "ui-dialog-overlays" ) - 1;

					if ( !overlays ) {
						this.document.off( "focusin.ui-dialog" );
						this.document.removeData( "ui-dialog-overlays" );
					} else {
						this.document.data( "ui-dialog-overlays", overlays );
					}

					this.overlay.remove();
					this.overlay = null;
				}
			}
		} );

// DEPRECATED
// TODO: switch return back to widget declaration at top of file when this is removed
		if ( $.uiBackCompat !== false ) {

			// Backcompat for dialogClass option
			$.widget( "ui.dialog", $.ui.dialog, {
				options: {
					dialogClass: ""
				},
				_createWrapper: function() {
					this._super();
					this.uiDialog.addClass( this.options.dialogClass );
				},
				_setOption: function( key, value ) {
					if ( key === "dialogClass" ) {
						this.uiDialog
							.removeClass( this.options.dialogClass )
							.addClass( value );
					}
					this._superApply( arguments );
				}
			} );
		}

		var widgetsDialog = $.ui.dialog;


		/*!
 * jQuery UI Droppable 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Droppable
//>>group: Interactions
//>>description: Enables drop targets for draggable elements.
//>>docs: http://api.jqueryui.com/droppable/
//>>demos: http://jqueryui.com/droppable/


		$.widget( "ui.droppable", {
			version: "1.13.2",
			widgetEventPrefix: "drop",
			options: {
				accept: "*",
				addClasses: true,
				greedy: false,
				scope: "default",
				tolerance: "intersect",

				// Callbacks
				activate: null,
				deactivate: null,
				drop: null,
				out: null,
				over: null
			},
			_create: function() {

				var proportions,
					o = this.options,
					accept = o.accept;

				this.isover = false;
				this.isout = true;

				this.accept = typeof accept === "function" ? accept : function( d ) {
					return d.is( accept );
				};

				this.proportions = function( /* valueToWrite */ ) {
					if ( arguments.length ) {

						// Store the droppable's proportions
						proportions = arguments[ 0 ];
					} else {

						// Retrieve or derive the droppable's proportions
						return proportions ?
							proportions :
							proportions = {
								width: this.element[ 0 ].offsetWidth,
								height: this.element[ 0 ].offsetHeight
							};
					}
				};

				this._addToManager( o.scope );

				if ( o.addClasses ) {
					this._addClass( "ui-droppable" );
				}

			},

			_addToManager: function( scope ) {

				// Add the reference and positions to the manager
				$.ui.ddmanager.droppables[ scope ] = $.ui.ddmanager.droppables[ scope ] || [];
				$.ui.ddmanager.droppables[ scope ].push( this );
			},

			_splice: function( drop ) {
				var i = 0;
				for ( ; i < drop.length; i++ ) {
					if ( drop[ i ] === this ) {
						drop.splice( i, 1 );
					}
				}
			},

			_destroy: function() {
				var drop = $.ui.ddmanager.droppables[ this.options.scope ];

				this._splice( drop );
			},

			_setOption: function( key, value ) {

				if ( key === "accept" ) {
					this.accept = typeof value === "function" ? value : function( d ) {
						return d.is( value );
					};
				} else if ( key === "scope" ) {
					var drop = $.ui.ddmanager.droppables[ this.options.scope ];

					this._splice( drop );
					this._addToManager( value );
				}

				this._super( key, value );
			},

			_activate: function( event ) {
				var draggable = $.ui.ddmanager.current;

				this._addActiveClass();
				if ( draggable ) {
					this._trigger( "activate", event, this.ui( draggable ) );
				}
			},

			_deactivate: function( event ) {
				var draggable = $.ui.ddmanager.current;

				this._removeActiveClass();
				if ( draggable ) {
					this._trigger( "deactivate", event, this.ui( draggable ) );
				}
			},

			_over: function( event ) {

				var draggable = $.ui.ddmanager.current;

				// Bail if draggable and droppable are same element
				if ( !draggable || ( draggable.currentItem ||
					draggable.element )[ 0 ] === this.element[ 0 ] ) {
					return;
				}

				if ( this.accept.call( this.element[ 0 ], ( draggable.currentItem ||
					draggable.element ) ) ) {
					this._addHoverClass();
					this._trigger( "over", event, this.ui( draggable ) );
				}

			},

			_out: function( event ) {

				var draggable = $.ui.ddmanager.current;

				// Bail if draggable and droppable are same element
				if ( !draggable || ( draggable.currentItem ||
					draggable.element )[ 0 ] === this.element[ 0 ] ) {
					return;
				}

				if ( this.accept.call( this.element[ 0 ], ( draggable.currentItem ||
					draggable.element ) ) ) {
					this._removeHoverClass();
					this._trigger( "out", event, this.ui( draggable ) );
				}

			},

			_drop: function( event, custom ) {

				var draggable = custom || $.ui.ddmanager.current,
					childrenIntersection = false;

				// Bail if draggable and droppable are same element
				if ( !draggable || ( draggable.currentItem ||
					draggable.element )[ 0 ] === this.element[ 0 ] ) {
					return false;
				}

				this.element
					.find( ":data(ui-droppable)" )
					.not( ".ui-draggable-dragging" )
					.each( function() {
						var inst = $( this ).droppable( "instance" );
						if (
							inst.options.greedy &&
							!inst.options.disabled &&
							inst.options.scope === draggable.options.scope &&
							inst.accept.call(
								inst.element[ 0 ], ( draggable.currentItem || draggable.element )
							) &&
							$.ui.intersect(
								draggable,
								$.extend( inst, { offset: inst.element.offset() } ),
								inst.options.tolerance, event
							)
						) {
							childrenIntersection = true;
							return false;
						}
					} );
				if ( childrenIntersection ) {
					return false;
				}

				if ( this.accept.call( this.element[ 0 ],
					( draggable.currentItem || draggable.element ) ) ) {
					this._removeActiveClass();
					this._removeHoverClass();

					this._trigger( "drop", event, this.ui( draggable ) );
					return this.element;
				}

				return false;

			},

			ui: function( c ) {
				return {
					draggable: ( c.currentItem || c.element ),
					helper: c.helper,
					position: c.position,
					offset: c.positionAbs
				};
			},

			// Extension points just to make backcompat sane and avoid duplicating logic
			// TODO: Remove in 1.14 along with call to it below
			_addHoverClass: function() {
				this._addClass( "ui-droppable-hover" );
			},

			_removeHoverClass: function() {
				this._removeClass( "ui-droppable-hover" );
			},

			_addActiveClass: function() {
				this._addClass( "ui-droppable-active" );
			},

			_removeActiveClass: function() {
				this._removeClass( "ui-droppable-active" );
			}
		} );

		$.ui.intersect = ( function() {
			function isOverAxis( x, reference, size ) {
				return ( x >= reference ) && ( x < ( reference + size ) );
			}

			return function( draggable, droppable, toleranceMode, event ) {

				if ( !droppable.offset ) {
					return false;
				}

				var x1 = ( draggable.positionAbs ||
						draggable.position.absolute ).left + draggable.margins.left,
					y1 = ( draggable.positionAbs ||
						draggable.position.absolute ).top + draggable.margins.top,
					x2 = x1 + draggable.helperProportions.width,
					y2 = y1 + draggable.helperProportions.height,
					l = droppable.offset.left,
					t = droppable.offset.top,
					r = l + droppable.proportions().width,
					b = t + droppable.proportions().height;

				switch ( toleranceMode ) {
					case "fit":
						return ( l <= x1 && x2 <= r && t <= y1 && y2 <= b );
					case "intersect":
						return ( l < x1 + ( draggable.helperProportions.width / 2 ) && // Right Half
							x2 - ( draggable.helperProportions.width / 2 ) < r && // Left Half
							t < y1 + ( draggable.helperProportions.height / 2 ) && // Bottom Half
							y2 - ( draggable.helperProportions.height / 2 ) < b ); // Top Half
					case "pointer":
						return isOverAxis( event.pageY, t, droppable.proportions().height ) &&
							isOverAxis( event.pageX, l, droppable.proportions().width );
					case "touch":
						return (
							( y1 >= t && y1 <= b ) || // Top edge touching
							( y2 >= t && y2 <= b ) || // Bottom edge touching
							( y1 < t && y2 > b ) // Surrounded vertically
						) && (
							( x1 >= l && x1 <= r ) || // Left edge touching
							( x2 >= l && x2 <= r ) || // Right edge touching
							( x1 < l && x2 > r ) // Surrounded horizontally
						);
					default:
						return false;
				}
			};
		} )();

		/*
	This manager tracks offsets of draggables and droppables
*/
		$.ui.ddmanager = {
			current: null,
			droppables: { "default": [] },
			prepareOffsets: function( t, event ) {

				var i, j,
					m = $.ui.ddmanager.droppables[ t.options.scope ] || [],
					type = event ? event.type : null, // workaround for #2317
					list = ( t.currentItem || t.element ).find( ":data(ui-droppable)" ).addBack();

				droppablesLoop: for ( i = 0; i < m.length; i++ ) {

					// No disabled and non-accepted
					if ( m[ i ].options.disabled || ( t && !m[ i ].accept.call( m[ i ].element[ 0 ],
						( t.currentItem || t.element ) ) ) ) {
						continue;
					}

					// Filter out elements in the current dragged item
					for ( j = 0; j < list.length; j++ ) {
						if ( list[ j ] === m[ i ].element[ 0 ] ) {
							m[ i ].proportions().height = 0;
							continue droppablesLoop;
						}
					}

					m[ i ].visible = m[ i ].element.css( "display" ) !== "none";
					if ( !m[ i ].visible ) {
						continue;
					}

					// Activate the droppable if used directly from draggables
					if ( type === "mousedown" ) {
						m[ i ]._activate.call( m[ i ], event );
					}

					m[ i ].offset = m[ i ].element.offset();
					m[ i ].proportions( {
						width: m[ i ].element[ 0 ].offsetWidth,
						height: m[ i ].element[ 0 ].offsetHeight
					} );

				}

			},
			drop: function( draggable, event ) {

				var dropped = false;

				// Create a copy of the droppables in case the list changes during the drop (#9116)
				$.each( ( $.ui.ddmanager.droppables[ draggable.options.scope ] || [] ).slice(), function() {

					if ( !this.options ) {
						return;
					}
					if ( !this.options.disabled && this.visible &&
						$.ui.intersect( draggable, this, this.options.tolerance, event ) ) {
						dropped = this._drop.call( this, event ) || dropped;
					}

					if ( !this.options.disabled && this.visible && this.accept.call( this.element[ 0 ],
						( draggable.currentItem || draggable.element ) ) ) {
						this.isout = true;
						this.isover = false;
						this._deactivate.call( this, event );
					}

				} );
				return dropped;

			},
			dragStart: function( draggable, event ) {

				// Listen for scrolling so that if the dragging causes scrolling the position of the
				// droppables can be recalculated (see #5003)
				draggable.element.parentsUntil( "body" ).on( "scroll.droppable", function() {
					if ( !draggable.options.refreshPositions ) {
						$.ui.ddmanager.prepareOffsets( draggable, event );
					}
				} );
			},
			drag: function( draggable, event ) {

				// If you have a highly dynamic page, you might try this option. It renders positions
				// every time you move the mouse.
				if ( draggable.options.refreshPositions ) {
					$.ui.ddmanager.prepareOffsets( draggable, event );
				}

				// Run through all droppables and check their positions based on specific tolerance options
				$.each( $.ui.ddmanager.droppables[ draggable.options.scope ] || [], function() {

					if ( this.options.disabled || this.greedyChild || !this.visible ) {
						return;
					}

					var parentInstance, scope, parent,
						intersects = $.ui.intersect( draggable, this, this.options.tolerance, event ),
						c = !intersects && this.isover ?
							"isout" :
							( intersects && !this.isover ? "isover" : null );
					if ( !c ) {
						return;
					}

					if ( this.options.greedy ) {

						// find droppable parents with same scope
						scope = this.options.scope;
						parent = this.element.parents( ":data(ui-droppable)" ).filter( function() {
							return $( this ).droppable( "instance" ).options.scope === scope;
						} );

						if ( parent.length ) {
							parentInstance = $( parent[ 0 ] ).droppable( "instance" );
							parentInstance.greedyChild = ( c === "isover" );
						}
					}

					// We just moved into a greedy child
					if ( parentInstance && c === "isover" ) {
						parentInstance.isover = false;
						parentInstance.isout = true;
						parentInstance._out.call( parentInstance, event );
					}

					this[ c ] = true;
					this[ c === "isout" ? "isover" : "isout" ] = false;
					this[ c === "isover" ? "_over" : "_out" ].call( this, event );

					// We just moved out of a greedy child
					if ( parentInstance && c === "isout" ) {
						parentInstance.isout = false;
						parentInstance.isover = true;
						parentInstance._over.call( parentInstance, event );
					}
				} );

			},
			dragStop: function( draggable, event ) {
				draggable.element.parentsUntil( "body" ).off( "scroll.droppable" );

				// Call prepareOffsets one final time since IE does not fire return scroll events when
				// overflow was caused by drag (see #5003)
				if ( !draggable.options.refreshPositions ) {
					$.ui.ddmanager.prepareOffsets( draggable, event );
				}
			}
		};

// DEPRECATED
// TODO: switch return back to widget declaration at top of file when this is removed
		if ( $.uiBackCompat !== false ) {

			// Backcompat for activeClass and hoverClass options
			$.widget( "ui.droppable", $.ui.droppable, {
				options: {
					hoverClass: false,
					activeClass: false
				},
				_addActiveClass: function() {
					this._super();
					if ( this.options.activeClass ) {
						this.element.addClass( this.options.activeClass );
					}
				},
				_removeActiveClass: function() {
					this._super();
					if ( this.options.activeClass ) {
						this.element.removeClass( this.options.activeClass );
					}
				},
				_addHoverClass: function() {
					this._super();
					if ( this.options.hoverClass ) {
						this.element.addClass( this.options.hoverClass );
					}
				},
				_removeHoverClass: function() {
					this._super();
					if ( this.options.hoverClass ) {
						this.element.removeClass( this.options.hoverClass );
					}
				}
			} );
		}

		var widgetsDroppable = $.ui.droppable;


		/*!
 * jQuery UI Progressbar 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Progressbar
//>>group: Widgets
		/* eslint-disable max-len */
//>>description: Displays a status indicator for loading state, standard percentage, and other progress indicators.
		/* eslint-enable max-len */
//>>docs: http://api.jqueryui.com/progressbar/
//>>demos: http://jqueryui.com/progressbar/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/progressbar.css
//>>css.theme: ../../themes/base/theme.css


		var widgetsProgressbar = $.widget( "ui.progressbar", {
			version: "1.13.2",
			options: {
				classes: {
					"ui-progressbar": "ui-corner-all",
					"ui-progressbar-value": "ui-corner-left",
					"ui-progressbar-complete": "ui-corner-right"
				},
				max: 100,
				value: 0,

				change: null,
				complete: null
			},

			min: 0,

			_create: function() {

				// Constrain initial value
				this.oldValue = this.options.value = this._constrainedValue();

				this.element.attr( {

					// Only set static values; aria-valuenow and aria-valuemax are
					// set inside _refreshValue()
					role: "progressbar",
					"aria-valuemin": this.min
				} );
				this._addClass( "ui-progressbar", "ui-widget ui-widget-content" );

				this.valueDiv = $( "<div>" ).appendTo( this.element );
				this._addClass( this.valueDiv, "ui-progressbar-value", "ui-widget-header" );
				this._refreshValue();
			},

			_destroy: function() {
				this.element.removeAttr( "role aria-valuemin aria-valuemax aria-valuenow" );

				this.valueDiv.remove();
			},

			value: function( newValue ) {
				if ( newValue === undefined ) {
					return this.options.value;
				}

				this.options.value = this._constrainedValue( newValue );
				this._refreshValue();
			},

			_constrainedValue: function( newValue ) {
				if ( newValue === undefined ) {
					newValue = this.options.value;
				}

				this.indeterminate = newValue === false;

				// Sanitize value
				if ( typeof newValue !== "number" ) {
					newValue = 0;
				}

				return this.indeterminate ? false :
					Math.min( this.options.max, Math.max( this.min, newValue ) );
			},

			_setOptions: function( options ) {

				// Ensure "value" option is set after other values (like max)
				var value = options.value;
				delete options.value;

				this._super( options );

				this.options.value = this._constrainedValue( value );
				this._refreshValue();
			},

			_setOption: function( key, value ) {
				if ( key === "max" ) {

					// Don't allow a max less than min
					value = Math.max( this.min, value );
				}
				this._super( key, value );
			},

			_setOptionDisabled: function( value ) {
				this._super( value );

				this.element.attr( "aria-disabled", value );
				this._toggleClass( null, "ui-state-disabled", !!value );
			},

			_percentage: function() {
				return this.indeterminate ?
					100 :
					100 * ( this.options.value - this.min ) / ( this.options.max - this.min );
			},

			_refreshValue: function() {
				var value = this.options.value,
					percentage = this._percentage();

				this.valueDiv
					.toggle( this.indeterminate || value > this.min )
					.css( "width", percentage.toFixed( 0 ) + "%" );

				this
					._toggleClass( this.valueDiv, "ui-progressbar-complete", null,
						value === this.options.max )
					._toggleClass( "ui-progressbar-indeterminate", null, this.indeterminate );

				if ( this.indeterminate ) {
					this.element.removeAttr( "aria-valuenow" );
					if ( !this.overlayDiv ) {
						this.overlayDiv = $( "<div>" ).appendTo( this.valueDiv );
						this._addClass( this.overlayDiv, "ui-progressbar-overlay" );
					}
				} else {
					this.element.attr( {
						"aria-valuemax": this.options.max,
						"aria-valuenow": value
					} );
					if ( this.overlayDiv ) {
						this.overlayDiv.remove();
						this.overlayDiv = null;
					}
				}

				if ( this.oldValue !== value ) {
					this.oldValue = value;
					this._trigger( "change" );
				}
				if ( value === this.options.max ) {
					this._trigger( "complete" );
				}
			}
		} );


		/*!
 * jQuery UI Selectable 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Selectable
//>>group: Interactions
//>>description: Allows groups of elements to be selected with the mouse.
//>>docs: http://api.jqueryui.com/selectable/
//>>demos: http://jqueryui.com/selectable/
//>>css.structure: ../../themes/base/selectable.css


		var widgetsSelectable = $.widget( "ui.selectable", $.ui.mouse, {
			version: "1.13.2",
			options: {
				appendTo: "body",
				autoRefresh: true,
				distance: 0,
				filter: "*",
				tolerance: "touch",

				// Callbacks
				selected: null,
				selecting: null,
				start: null,
				stop: null,
				unselected: null,
				unselecting: null
			},
			_create: function() {
				var that = this;

				this._addClass( "ui-selectable" );

				this.dragged = false;

				// Cache selectee children based on filter
				this.refresh = function() {
					that.elementPos = $( that.element[ 0 ] ).offset();
					that.selectees = $( that.options.filter, that.element[ 0 ] );
					that._addClass( that.selectees, "ui-selectee" );
					that.selectees.each( function() {
						var $this = $( this ),
							selecteeOffset = $this.offset(),
							pos = {
								left: selecteeOffset.left - that.elementPos.left,
								top: selecteeOffset.top - that.elementPos.top
							};
						$.data( this, "selectable-item", {
							element: this,
							$element: $this,
							left: pos.left,
							top: pos.top,
							right: pos.left + parseInt($this.css("width")) + parseInt($this.css("padding-left")) + parseInt($this.css("padding-right")),
							bottom: pos.top + parseInt($this.css("height"))+parseInt($this.css("padding-top"))+parseInt($this.css("padding-bottom")),
							startselected: false,
							selected: $this.hasClass( "ui-selected" ),
							selecting: $this.hasClass( "ui-selecting" ),
							unselecting: $this.hasClass( "ui-unselecting" )
						} );
					} );
				};
				this.refresh();

				this._mouseInit();

				this.helper = $( "<div>" );
				this._addClass( this.helper, "ui-selectable-helper" );
			},

			_destroy: function() {
				this.selectees.removeData( "selectable-item" );
				this._mouseDestroy();
			},

			_mouseStart: function( event ) {
				var that = this,
					options = this.options;

				this.opos = [ event.pageX, event.pageY ];
				this.elementPos = $( this.element[ 0 ] ).offset();

				if ( this.options.disabled ) {
					return;
				}

				this.selectees = $( options.filter, this.element[ 0 ] );

				this._trigger( "start", event );

				$( options.appendTo ).append( this.helper );

				// position helper (lasso)
				this.helper.css( {
					"left": event.pageX,
					"top": event.pageY,
					"width": 0,
					"height": 0
				} );

				if ( options.autoRefresh ) {
					this.refresh();
				}

				this.selectees.filter( ".ui-selected" ).each( function() {
					var selectee = $.data( this, "selectable-item" );
					selectee.startselected = true;
					if ( !event.metaKey && !event.ctrlKey ) {
						that._removeClass( selectee.$element, "ui-selected" );
						selectee.selected = false;
						that._addClass( selectee.$element, "ui-unselecting" );
						selectee.unselecting = true;

						// selectable UNSELECTING callback
						that._trigger( "unselecting", event, {
							unselecting: selectee.element
						} );
					}
				} );

				$( event.target ).parents().addBack().each( function() {
					var doSelect,
						selectee = $.data( this, "selectable-item" );
					if ( selectee ) {
						doSelect = ( !event.metaKey && !event.ctrlKey ) ||
							!selectee.$element.hasClass( "ui-selected" );
						that._removeClass( selectee.$element, doSelect ? "ui-unselecting" : "ui-selected" )
							._addClass( selectee.$element, doSelect ? "ui-selecting" : "ui-unselecting" );
						selectee.unselecting = !doSelect;
						selectee.selecting = doSelect;
						selectee.selected = doSelect;

						// selectable (UN)SELECTING callback
						if ( doSelect ) {
							that._trigger( "selecting", event, {
								selecting: selectee.element
							} );
						} else {
							that._trigger( "unselecting", event, {
								unselecting: selectee.element
							} );
						}
						return false;
					}
				} );

			},

			_mouseDrag: function( event ) {

				this.dragged = true;

				if ( this.options.disabled ) {
					return;
				}

				var tmp,
					that = this,
					options = this.options,
					x1 = this.opos[ 0 ],
					y1 = this.opos[ 1 ],
					x2 = event.pageX,
					y2 = event.pageY;

				if ( x1 > x2 ) {
					tmp = x2; x2 = x1; x1 = tmp;
				}
				if ( y1 > y2 ) {
					tmp = y2; y2 = y1; y1 = tmp;
				}
				this.helper.css( { left: x1, top: y1, width: x2 - x1, height: y2 - y1 } );

				this.selectees.each( function() {
					var selectee = $.data( this, "selectable-item" ),
						hit = false,
						offset = {};

					//prevent helper from being selected if appendTo: selectable
					if ( !selectee || selectee.element === that.element[ 0 ] ) {
						return;
					}

					offset.left   = selectee.left   + that.elementPos.left;
					offset.right  = selectee.right  + that.elementPos.left;
					offset.top    = selectee.top    + that.elementPos.top;
					offset.bottom = selectee.bottom + that.elementPos.top;

					if ( options.tolerance === "touch" ) {
						hit = ( !( offset.left > x2 || offset.right < x1 || offset.top > y2 ||
							offset.bottom < y1 ) );
					} else if ( options.tolerance === "fit" ) {
						hit = ( offset.left > x1 && offset.right < x2 && offset.top > y1 &&
							offset.bottom < y2 );
					}

					if ( hit ) {

						// SELECT
						if ( selectee.selected ) {
							that._removeClass( selectee.$element, "ui-selected" );
							selectee.selected = false;
						}
						if ( selectee.unselecting ) {
							that._removeClass( selectee.$element, "ui-unselecting" );
							selectee.unselecting = false;
						}
						if ( !selectee.selecting ) {
							that._addClass( selectee.$element, "ui-selecting" );
							selectee.selecting = true;

							// selectable SELECTING callback
							that._trigger( "selecting", event, {
								selecting: selectee.element
							} );
						}
					} else {

						// UNSELECT
						if ( selectee.selecting ) {
							if ( ( event.metaKey || event.ctrlKey ) && selectee.startselected ) {
								that._removeClass( selectee.$element, "ui-selecting" );
								selectee.selecting = false;
								that._addClass( selectee.$element, "ui-selected" );
								selectee.selected = true;
							} else {
								that._removeClass( selectee.$element, "ui-selecting" );
								selectee.selecting = false;
								if ( selectee.startselected ) {
									that._addClass( selectee.$element, "ui-unselecting" );
									selectee.unselecting = true;
								}

								// selectable UNSELECTING callback
								that._trigger( "unselecting", event, {
									unselecting: selectee.element
								} );
							}
						}
						if ( selectee.selected ) {
							if ( !event.metaKey && !event.ctrlKey && !selectee.startselected ) {
								that._removeClass( selectee.$element, "ui-selected" );
								selectee.selected = false;

								that._addClass( selectee.$element, "ui-unselecting" );
								selectee.unselecting = true;

								// selectable UNSELECTING callback
								that._trigger( "unselecting", event, {
									unselecting: selectee.element
								} );
							}
						}
					}
				} );

				return false;
			},

			_mouseStop: function( event ) {
				var that = this;

				this.dragged = false;

				$( ".ui-unselecting", this.element[ 0 ] ).each( function() {
					var selectee = $.data( this, "selectable-item" );
					that._removeClass( selectee.$element, "ui-unselecting" );
					selectee.unselecting = false;
					selectee.startselected = false;
					that._trigger( "unselected", event, {
						unselected: selectee.element
					} );
				} );
				$( ".ui-selecting", this.element[ 0 ] ).each( function() {
					var selectee = $.data( this, "selectable-item" );
					that._removeClass( selectee.$element, "ui-selecting" )
						._addClass( selectee.$element, "ui-selected" );
					selectee.selecting = false;
					selectee.selected = true;
					selectee.startselected = true;
					that._trigger( "selected", event, {
						selected: selectee.element
					} );
				} );
				this._trigger( "stop", event );

				this.helper.remove();

				return false;
			}

		} );


		/*!
 * jQuery UI Selectmenu 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Selectmenu
//>>group: Widgets
		/* eslint-disable max-len */
//>>description: Duplicates and extends the functionality of a native HTML select element, allowing it to be customizable in behavior and appearance far beyond the limitations of a native select.
		/* eslint-enable max-len */
//>>docs: http://api.jqueryui.com/selectmenu/
//>>demos: http://jqueryui.com/selectmenu/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/selectmenu.css, ../../themes/base/button.css
//>>css.theme: ../../themes/base/theme.css


		var widgetsSelectmenu = $.widget( "ui.selectmenu", [ $.ui.formResetMixin, {
			version: "1.13.2",
			defaultElement: "<select>",
			options: {
				appendTo: null,
				classes: {
					"ui-selectmenu-button-open": "ui-corner-top",
					"ui-selectmenu-button-closed": "ui-corner-all"
				},
				disabled: null,
				icons: {
					button: "ui-icon-triangle-1-s"
				},
				position: {
					my: "left top",
					at: "left bottom",
					collision: "none"
				},
				width: false,

				// Callbacks
				change: null,
				close: null,
				focus: null,
				open: null,
				select: null
			},

			_create: function() {
				var selectmenuId = this.element.uniqueId().attr( "id" );
				this.ids = {
					element: selectmenuId,
					button: selectmenuId + "-button",
					menu: selectmenuId + "-menu"
				};

				this._drawButton();
				this._drawMenu();
				this._bindFormResetHandler();

				this._rendered = false;
				this.menuItems = $();
			},

			_drawButton: function() {
				var icon,
					that = this,
					item = this._parseOption(
						this.element.find( "option:selected" ),
						this.element[ 0 ].selectedIndex
					);

				// Associate existing label with the new button
				this.labels = this.element.labels().attr( "for", this.ids.button );
				this._on( this.labels, {
					click: function( event ) {
						this.button.trigger( "focus" );
						event.preventDefault();
					}
				} );

				// Hide original select element
				this.element.hide();

				// Create button
				this.button = $( "<span>", {
					tabindex: this.options.disabled ? -1 : 0,
					id: this.ids.button,
					role: "combobox",
					"aria-expanded": "false",
					"aria-autocomplete": "list",
					"aria-owns": this.ids.menu,
					"aria-haspopup": "true",
					title: this.element.attr( "title" )
				} )
					.insertAfter( this.element );

				this._addClass( this.button, "ui-selectmenu-button ui-selectmenu-button-closed",
					"ui-button ui-widget" );

				icon = $( "<span>" ).appendTo( this.button );
				this._addClass( icon, "ui-selectmenu-icon", "ui-icon " + this.options.icons.button );
				this.buttonItem = this._renderButtonItem( item )
					.appendTo( this.button );

				if ( this.options.width !== false ) {
					this._resizeButton();
				}

				this._on( this.button, this._buttonEvents );
				this.button.one( "focusin", function() {

					// Delay rendering the menu items until the button receives focus.
					// The menu may have already been rendered via a programmatic open.
					if ( !that._rendered ) {
						that._refreshMenu();
					}
				} );
			},

			_drawMenu: function() {
				var that = this;

				// Create menu
				this.menu = $( "<ul>", {
					"aria-hidden": "true",
					"aria-labelledby": this.ids.button,
					id: this.ids.menu
				} );

				// Wrap menu
				this.menuWrap = $( "<div>" ).append( this.menu );
				this._addClass( this.menuWrap, "ui-selectmenu-menu", "ui-front" );
				this.menuWrap.appendTo( this._appendTo() );

				// Initialize menu widget
				this.menuInstance = this.menu
					.menu( {
						classes: {
							"ui-menu": "ui-corner-bottom"
						},
						role: "listbox",
						select: function( event, ui ) {
							event.preventDefault();

							// Support: IE8
							// If the item was selected via a click, the text selection
							// will be destroyed in IE
							that._setSelection();

							that._select( ui.item.data( "ui-selectmenu-item" ), event );
						},
						focus: function( event, ui ) {
							var item = ui.item.data( "ui-selectmenu-item" );

							// Prevent inital focus from firing and check if its a newly focused item
							if ( that.focusIndex != null && item.index !== that.focusIndex ) {
								that._trigger( "focus", event, { item: item } );
								if ( !that.isOpen ) {
									that._select( item, event );
								}
							}
							that.focusIndex = item.index;

							that.button.attr( "aria-activedescendant",
								that.menuItems.eq( item.index ).attr( "id" ) );
						}
					} )
					.menu( "instance" );

				// Don't close the menu on mouseleave
				this.menuInstance._off( this.menu, "mouseleave" );

				// Cancel the menu's collapseAll on document click
				this.menuInstance._closeOnDocumentClick = function() {
					return false;
				};

				// Selects often contain empty items, but never contain dividers
				this.menuInstance._isDivider = function() {
					return false;
				};
			},

			refresh: function() {
				this._refreshMenu();
				this.buttonItem.replaceWith(
					this.buttonItem = this._renderButtonItem(

						// Fall back to an empty object in case there are no options
						this._getSelectedItem().data( "ui-selectmenu-item" ) || {}
					)
				);
				if ( this.options.width === null ) {
					this._resizeButton();
				}
			},

			_refreshMenu: function() {
				var item,
					options = this.element.find( "option" );

				this.menu.empty();

				this._parseOptions( options );
				this._renderMenu( this.menu, this.items );

				this.menuInstance.refresh();
				this.menuItems = this.menu.find( "li" )
					.not( ".ui-selectmenu-optgroup" )
					.find( ".ui-menu-item-wrapper" );

				this._rendered = true;

				if ( !options.length ) {
					return;
				}

				item = this._getSelectedItem();

				// Update the menu to have the correct item focused
				this.menuInstance.focus( null, item );
				this._setAria( item.data( "ui-selectmenu-item" ) );

				// Set disabled state
				this._setOption( "disabled", this.element.prop( "disabled" ) );
			},

			open: function( event ) {
				if ( this.options.disabled ) {
					return;
				}

				// If this is the first time the menu is being opened, render the items
				if ( !this._rendered ) {
					this._refreshMenu();
				} else {

					// Menu clears focus on close, reset focus to selected item
					this._removeClass( this.menu.find( ".ui-state-active" ), null, "ui-state-active" );
					this.menuInstance.focus( null, this._getSelectedItem() );
				}

				// If there are no options, don't open the menu
				if ( !this.menuItems.length ) {
					return;
				}

				this.isOpen = true;
				this._toggleAttr();
				this._resizeMenu();
				this._position();

				this._on( this.document, this._documentClick );

				this._trigger( "open", event );
			},

			_position: function() {
				this.menuWrap.position( $.extend( { of: this.button }, this.options.position ) );
			},

			close: function( event ) {
				if ( !this.isOpen ) {
					return;
				}

				this.isOpen = false;
				this._toggleAttr();

				this.range = null;
				this._off( this.document );

				this._trigger( "close", event );
			},

			widget: function() {
				return this.button;
			},

			menuWidget: function() {
				return this.menu;
			},

			_renderButtonItem: function( item ) {
				var buttonItem = $( "<span>" );

				this._setText( buttonItem, item.label );
				this._addClass( buttonItem, "ui-selectmenu-text" );

				return buttonItem;
			},

			_renderMenu: function( ul, items ) {
				var that = this,
					currentOptgroup = "";

				$.each( items, function( index, item ) {
					var li;

					if ( item.optgroup !== currentOptgroup ) {
						li = $( "<li>", {
							text: item.optgroup
						} );
						that._addClass( li, "ui-selectmenu-optgroup", "ui-menu-divider" +
							( item.element.parent( "optgroup" ).prop( "disabled" ) ?
								" ui-state-disabled" :
								"" ) );

						li.appendTo( ul );

						currentOptgroup = item.optgroup;
					}

					that._renderItemData( ul, item );
				} );
			},

			_renderItemData: function( ul, item ) {
				return this._renderItem( ul, item ).data( "ui-selectmenu-item", item );
			},

			_renderItem: function( ul, item ) {
				var li = $( "<li>" ),
					wrapper = $( "<div>", {
						title: item.element.attr( "title" )
					} );

				if ( item.disabled ) {
					this._addClass( li, null, "ui-state-disabled" );
				}
				this._setText( wrapper, item.label );

				return li.append( wrapper ).appendTo( ul );
			},

			_setText: function( element, value ) {
				if ( value ) {
					element.text( value );
				} else {
					element.html( "&#160;" );
				}
			},

			_move: function( direction, event ) {
				var item, next,
					filter = ".ui-menu-item";

				if ( this.isOpen ) {
					item = this.menuItems.eq( this.focusIndex ).parent( "li" );
				} else {
					item = this.menuItems.eq( this.element[ 0 ].selectedIndex ).parent( "li" );
					filter += ":not(.ui-state-disabled)";
				}

				if ( direction === "first" || direction === "last" ) {
					next = item[ direction === "first" ? "prevAll" : "nextAll" ]( filter ).eq( -1 );
				} else {
					next = item[ direction + "All" ]( filter ).eq( 0 );
				}

				if ( next.length ) {
					this.menuInstance.focus( event, next );
				}
			},

			_getSelectedItem: function() {
				return this.menuItems.eq( this.element[ 0 ].selectedIndex ).parent( "li" );
			},

			_toggle: function( event ) {
				this[ this.isOpen ? "close" : "open" ]( event );
			},

			_setSelection: function() {
				var selection;

				if ( !this.range ) {
					return;
				}

				if ( window.getSelection ) {
					selection = window.getSelection();
					selection.removeAllRanges();
					selection.addRange( this.range );

					// Support: IE8
				} else {
					this.range.select();
				}

				// Support: IE
				// Setting the text selection kills the button focus in IE, but
				// restoring the focus doesn't kill the selection.
				this.button.trigger( "focus" );
			},

			_documentClick: {
				mousedown: function( event ) {
					if ( !this.isOpen ) {
						return;
					}

					if ( !$( event.target ).closest( ".ui-selectmenu-menu, #" +
						$.escapeSelector( this.ids.button ) ).length ) {
						this.close( event );
					}
				}
			},

			_buttonEvents: {

				// Prevent text selection from being reset when interacting with the selectmenu (#10144)
				mousedown: function() {
					var selection;

					if ( window.getSelection ) {
						selection = window.getSelection();
						if ( selection.rangeCount ) {
							this.range = selection.getRangeAt( 0 );
						}

						// Support: IE8
					} else {
						this.range = document.selection.createRange();
					}
				},

				click: function( event ) {
					this._setSelection();
					this._toggle( event );
				},

				keydown: function( event ) {
					var preventDefault = true;
					switch ( event.keyCode ) {
						case $.ui.keyCode.TAB:
						case $.ui.keyCode.ESCAPE:
							this.close( event );
							preventDefault = false;
							break;
						case $.ui.keyCode.ENTER:
							if ( this.isOpen ) {
								this._selectFocusedItem( event );
							}
							break;
						case $.ui.keyCode.UP:
							if ( event.altKey ) {
								this._toggle( event );
							} else {
								this._move( "prev", event );
							}
							break;
						case $.ui.keyCode.DOWN:
							if ( event.altKey ) {
								this._toggle( event );
							} else {
								this._move( "next", event );
							}
							break;
						case $.ui.keyCode.SPACE:
							if ( this.isOpen ) {
								this._selectFocusedItem( event );
							} else {
								this._toggle( event );
							}
							break;
						case $.ui.keyCode.LEFT:
							this._move( "prev", event );
							break;
						case $.ui.keyCode.RIGHT:
							this._move( "next", event );
							break;
						case $.ui.keyCode.HOME:
						case $.ui.keyCode.PAGE_UP:
							this._move( "first", event );
							break;
						case $.ui.keyCode.END:
						case $.ui.keyCode.PAGE_DOWN:
							this._move( "last", event );
							break;
						default:
							this.menu.trigger( event );
							preventDefault = false;
					}

					if ( preventDefault ) {
						event.preventDefault();
					}
				}
			},

			_selectFocusedItem: function( event ) {
				var item = this.menuItems.eq( this.focusIndex ).parent( "li" );
				if ( !item.hasClass( "ui-state-disabled" ) ) {
					this._select( item.data( "ui-selectmenu-item" ), event );
				}
			},

			_select: function( item, event ) {
				var oldIndex = this.element[ 0 ].selectedIndex;

				// Change native select element
				this.element[ 0 ].selectedIndex = item.index;
				this.buttonItem.replaceWith( this.buttonItem = this._renderButtonItem( item ) );
				this._setAria( item );
				this._trigger( "select", event, { item: item } );

				if ( item.index !== oldIndex ) {
					this._trigger( "change", event, { item: item } );
				}

				this.close( event );
			},

			_setAria: function( item ) {
				var id = this.menuItems.eq( item.index ).attr( "id" );

				this.button.attr( {
					"aria-labelledby": id,
					"aria-activedescendant": id
				} );
				this.menu.attr( "aria-activedescendant", id );
			},

			_setOption: function( key, value ) {
				if ( key === "icons" ) {
					var icon = this.button.find( "span.ui-icon" );
					this._removeClass( icon, null, this.options.icons.button )
						._addClass( icon, null, value.button );
				}

				this._super( key, value );

				if ( key === "appendTo" ) {
					this.menuWrap.appendTo( this._appendTo() );
				}

				if ( key === "width" ) {
					this._resizeButton();
				}
			},

			_setOptionDisabled: function( value ) {
				this._super( value );

				this.menuInstance.option( "disabled", value );
				this.button.attr( "aria-disabled", value );
				this._toggleClass( this.button, null, "ui-state-disabled", value );

				this.element.prop( "disabled", value );
				if ( value ) {
					this.button.attr( "tabindex", -1 );
					this.close();
				} else {
					this.button.attr( "tabindex", 0 );
				}
			},

			_appendTo: function() {
				var element = this.options.appendTo;

				if ( element ) {
					element = element.jquery || element.nodeType ?
						$( element ) :
						this.document.find( element ).eq( 0 );
				}

				if ( !element || !element[ 0 ] ) {
					element = this.element.closest( ".ui-front, dialog" );
				}

				if ( !element.length ) {
					element = this.document[ 0 ].body;
				}

				return element;
			},

			_toggleAttr: function() {
				this.button.attr( "aria-expanded", this.isOpen );

				// We can't use two _toggleClass() calls here, because we need to make sure
				// we always remove classes first and add them second, otherwise if both classes have the
				// same theme class, it will be removed after we add it.
				this._removeClass( this.button, "ui-selectmenu-button-" +
					( this.isOpen ? "closed" : "open" ) )
					._addClass( this.button, "ui-selectmenu-button-" +
						( this.isOpen ? "open" : "closed" ) )
					._toggleClass( this.menuWrap, "ui-selectmenu-open", null, this.isOpen );

				this.menu.attr( "aria-hidden", !this.isOpen );
			},

			_resizeButton: function() {
				var width = this.options.width;

				// For `width: false`, just remove inline style and stop
				if ( width === false ) {
					this.button.css( "width", "" );
					return;
				}

				// For `width: null`, match the width of the original element
				if ( width === null ) {
					var showWidth = this.element.show()
					width = parseInt(showWidth.css("width")) + parseInt(showWidth.css("padding-left")) + parseInt(showWidth.css("padding-right"));
					this.element.hide();
				}

				this.button.outerWidth( width );
			},

			_resizeMenu: function() {
				this.menu.outerWidth( Math.max(
					this.button.outerWidth(),

					// Support: IE10
					// IE10 wraps long text (possibly a rounding bug)
					// so we add 1px to avoid the wrapping
					this.menu.css("width", "" ).outerWidth() + 1
				) );
			},

			_getCreateOptions: function() {
				var options = this._super();

				options.disabled = this.element.prop( "disabled" );

				return options;
			},

			_parseOptions: function( options ) {
				var that = this,
					data = [];
				options.each( function( index, item ) {
					if ( item.hidden ) {
						return;
					}

					data.push( that._parseOption( $( item ), index ) );
				} );
				this.items = data;
			},

			_parseOption: function( option, index ) {
				var optgroup = option.parent( "optgroup" );

				return {
					element: option,
					index: index,
					value: option.val(),
					label: option.text(),
					optgroup: optgroup.attr( "label" ) || "",
					disabled: optgroup.prop( "disabled" ) || option.prop( "disabled" )
				};
			},

			_destroy: function() {
				this._unbindFormResetHandler();
				this.menuWrap.remove();
				this.button.remove();
				this.element.show();
				this.element.removeUniqueId();
				this.labels.attr( "for", this.ids.element );
			}
		} ] );


		/*!
 * jQuery UI Slider 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Slider
//>>group: Widgets
//>>description: Displays a flexible slider with ranges and accessibility via keyboard.
//>>docs: http://api.jqueryui.com/slider/
//>>demos: http://jqueryui.com/slider/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/slider.css
//>>css.theme: ../../themes/base/theme.css


		var widgetsSlider = $.widget( "ui.slider", $.ui.mouse, {
			version: "1.13.2",
			widgetEventPrefix: "slide",

			options: {
				animate: false,
				classes: {
					"ui-slider": "ui-corner-all",
					"ui-slider-handle": "ui-corner-all",

					// Note: ui-widget-header isn't the most fittingly semantic framework class for this
					// element, but worked best visually with a variety of themes
					"ui-slider-range": "ui-corner-all ui-widget-header"
				},
				distance: 0,
				max: 100,
				min: 0,
				orientation: "horizontal",
				range: false,
				step: 1,
				value: 0,
				values: null,

				// Callbacks
				change: null,
				slide: null,
				start: null,
				stop: null
			},

			// Number of pages in a slider
			// (how many times can you page up/down to go through the whole range)
			numPages: 5,

			_create: function() {
				this._keySliding = false;
				this._mouseSliding = false;
				this._animateOff = true;
				this._handleIndex = null;
				this._detectOrientation();
				this._mouseInit();
				this._calculateNewMax();

				this._addClass( "ui-slider ui-slider-" + this.orientation,
					"ui-widget ui-widget-content" );

				this._refresh();

				this._animateOff = false;
			},

			_refresh: function() {
				this._createRange();
				this._createHandles();
				this._setupEvents();
				this._refreshValue();
			},

			_createHandles: function() {
				var i, handleCount,
					options = this.options,
					existingHandles = this.element.find( ".ui-slider-handle" ),
					handle = "<span tabindex='0'></span>",
					handles = [];

				handleCount = ( options.values && options.values.length ) || 1;

				if ( existingHandles.length > handleCount ) {
					existingHandles.slice( handleCount ).remove();
					existingHandles = existingHandles.slice( 0, handleCount );
				}

				for ( i = existingHandles.length; i < handleCount; i++ ) {
					handles.push( handle );
				}

				this.handles = existingHandles.add( $( handles.join( "" ) ).appendTo( this.element ) );

				this._addClass( this.handles, "ui-slider-handle", "ui-state-default" );

				this.handle = this.handles.eq( 0 );

				this.handles.each( function( i ) {
					$( this )
						.data( "ui-slider-handle-index", i )
						.attr( "tabIndex", 0 );
				} );
			},

			_createRange: function() {
				var options = this.options;

				if ( options.range ) {
					if ( options.range === true ) {
						if ( !options.values ) {
							options.values = [ this._valueMin(), this._valueMin() ];
						} else if ( options.values.length && options.values.length !== 2 ) {
							options.values = [ options.values[ 0 ], options.values[ 0 ] ];
						} else if ( Array.isArray( options.values ) ) {
							options.values = options.values.slice( 0 );
						}
					}

					if ( !this.range || !this.range.length ) {
						this.range = $( "<div>" )
							.appendTo( this.element );

						this._addClass( this.range, "ui-slider-range" );
					} else {
						this._removeClass( this.range, "ui-slider-range-min ui-slider-range-max" );

						// Handle range switching from true to min/max
						this.range.css( {
							"left": "",
							"bottom": ""
						} );
					}
					if ( options.range === "min" || options.range === "max" ) {
						this._addClass( this.range, "ui-slider-range-" + options.range );
					}
				} else {
					if ( this.range ) {
						this.range.remove();
					}
					this.range = null;
				}
			},

			_setupEvents: function() {
				this._off( this.handles );
				this._on( this.handles, this._handleEvents );
				this._hoverable( this.handles );
				this._focusable( this.handles );
			},

			_destroy: function() {
				this.handles.remove();
				if ( this.range ) {
					this.range.remove();
				}

				this._mouseDestroy();
			},

			_mouseCapture: function( event ) {
				var position, normValue, distance, closestHandle, index, allowed, offset, mouseOverHandle,
					that = this,
					o = this.options;

				if ( o.disabled ) {
					return false;
				}

				this.elementSize = {
					width: parseInt(this.element.css("width")) + parseInt(this.element.css("padding-left")) + parseInt(this.element.css("padding-right")),
					height: parseInt(this.element.css("height"))+parseInt(this.element.css("padding-top"))+parseInt(this.element.css("padding-bottom"))
				};
				this.elementOffset = this.element.offset();

				position = { x: event.pageX, y: event.pageY };
				normValue = this._normValueFromMouse( position );
				distance = this._valueMax() - this._valueMin() + 1;
				this.handles.each( function( i ) {
					var thisDistance = Math.abs( normValue - that.values( i ) );
					if ( ( distance > thisDistance ) ||
						( distance === thisDistance &&
							( i === that._lastChangedValue || that.values( i ) === o.min ) ) ) {
						distance = thisDistance;
						closestHandle = $( this );
						index = i;
					}
				} );

				allowed = this._start( event, index );
				if ( allowed === false ) {
					return false;
				}
				this._mouseSliding = true;

				this._handleIndex = index;

				this._addClass( closestHandle, null, "ui-state-active" );
				closestHandle.trigger( "focus" );

				offset = closestHandle.offset();
				mouseOverHandle = !$( event.target ).parents().addBack().is( ".ui-slider-handle" );
				this._clickOffset = mouseOverHandle ? { left: 0, top: 0 } : {
					left: event.pageX - offset.left - ( parseInt(closestHandle.css("width")) / 2 ),
					top: event.pageY - offset.top -
						( parseInt(closestHandle.css("height")) / 2 ) -
						( parseInt( closestHandle.css( "borderTopWidth" ), 10 ) || 0 ) -
						( parseInt( closestHandle.css( "borderBottomWidth" ), 10 ) || 0 ) +
						( parseInt( closestHandle.css( "marginTop" ), 10 ) || 0 )
				};

				if ( !this.handles.hasClass( "ui-state-hover" ) ) {
					this._slide( event, index, normValue );
				}
				this._animateOff = true;
				return true;
			},

			_mouseStart: function() {
				return true;
			},

			_mouseDrag: function( event ) {
				var position = { x: event.pageX, y: event.pageY },
					normValue = this._normValueFromMouse( position );

				this._slide( event, this._handleIndex, normValue );

				return false;
			},

			_mouseStop: function( event ) {
				this._removeClass( this.handles, null, "ui-state-active" );
				this._mouseSliding = false;

				this._stop( event, this._handleIndex );
				this._change( event, this._handleIndex );

				this._handleIndex = null;
				this._clickOffset = null;
				this._animateOff = false;

				return false;
			},

			_detectOrientation: function() {
				this.orientation = ( this.options.orientation === "vertical" ) ? "vertical" : "horizontal";
			},

			_normValueFromMouse: function( position ) {
				var pixelTotal,
					pixelMouse,
					percentMouse,
					valueTotal,
					valueMouse;

				if ( this.orientation === "horizontal" ) {
					pixelTotal = this.elementSize.width;
					pixelMouse = position.x - this.elementOffset.left -
						( this._clickOffset ? this._clickOffset.left : 0 );
				} else {
					pixelTotal = this.elementSize.height;
					pixelMouse = position.y - this.elementOffset.top -
						( this._clickOffset ? this._clickOffset.top : 0 );
				}

				percentMouse = ( pixelMouse / pixelTotal );
				if ( percentMouse > 1 ) {
					percentMouse = 1;
				}
				if ( percentMouse < 0 ) {
					percentMouse = 0;
				}
				if ( this.orientation === "vertical" ) {
					percentMouse = 1 - percentMouse;
				}

				valueTotal = this._valueMax() - this._valueMin();
				valueMouse = this._valueMin() + percentMouse * valueTotal;

				return this._trimAlignValue( valueMouse );
			},

			_uiHash: function( index, value, values ) {
				var uiHash = {
					handle: this.handles[ index ],
					handleIndex: index,
					value: value !== undefined ? value : this.value()
				};

				if ( this._hasMultipleValues() ) {
					uiHash.value = value !== undefined ? value : this.values( index );
					uiHash.values = values || this.values();
				}

				return uiHash;
			},

			_hasMultipleValues: function() {
				return this.options.values && this.options.values.length;
			},

			_start: function( event, index ) {
				return this._trigger( "start", event, this._uiHash( index ) );
			},

			_slide: function( event, index, newVal ) {
				var allowed, otherVal,
					currentValue = this.value(),
					newValues = this.values();

				if ( this._hasMultipleValues() ) {
					otherVal = this.values( index ? 0 : 1 );
					currentValue = this.values( index );

					if ( this.options.values.length === 2 && this.options.range === true ) {
						newVal =  index === 0 ? Math.min( otherVal, newVal ) : Math.max( otherVal, newVal );
					}

					newValues[ index ] = newVal;
				}

				if ( newVal === currentValue ) {
					return;
				}

				allowed = this._trigger( "slide", event, this._uiHash( index, newVal, newValues ) );

				// A slide can be canceled by returning false from the slide callback
				if ( allowed === false ) {
					return;
				}

				if ( this._hasMultipleValues() ) {
					this.values( index, newVal );
				} else {
					this.value( newVal );
				}
			},

			_stop: function( event, index ) {
				this._trigger( "stop", event, this._uiHash( index ) );
			},

			_change: function( event, index ) {
				if ( !this._keySliding && !this._mouseSliding ) {

					//store the last changed value index for reference when handles overlap
					this._lastChangedValue = index;
					this._trigger( "change", event, this._uiHash( index ) );
				}
			},

			value: function( newValue ) {
				if ( arguments.length ) {
					this.options.value = this._trimAlignValue( newValue );
					this._refreshValue();
					this._change( null, 0 );
					return;
				}

				return this._value();
			},

			values: function( index, newValue ) {
				var vals,
					newValues,
					i;

				if ( arguments.length > 1 ) {
					this.options.values[ index ] = this._trimAlignValue( newValue );
					this._refreshValue();
					this._change( null, index );
					return;
				}

				if ( arguments.length ) {
					if ( Array.isArray( arguments[ 0 ] ) ) {
						vals = this.options.values;
						newValues = arguments[ 0 ];
						for ( i = 0; i < vals.length; i += 1 ) {
							vals[ i ] = this._trimAlignValue( newValues[ i ] );
							this._change( null, i );
						}
						this._refreshValue();
					} else {
						if ( this._hasMultipleValues() ) {
							return this._values( index );
						} else {
							return this.value();
						}
					}
				} else {
					return this._values();
				}
			},

			_setOption: function( key, value ) {
				var i,
					valsLength = 0;

				if ( key === "range" && this.options.range === true ) {
					if ( value === "min" ) {
						this.options.value = this._values( 0 );
						this.options.values = null;
					} else if ( value === "max" ) {
						this.options.value = this._values( this.options.values.length - 1 );
						this.options.values = null;
					}
				}

				if ( Array.isArray( this.options.values ) ) {
					valsLength = this.options.values.length;
				}

				this._super( key, value );

				switch ( key ) {
					case "orientation":
						this._detectOrientation();
						this._removeClass( "ui-slider-horizontal ui-slider-vertical" )
							._addClass( "ui-slider-" + this.orientation );
						this._refreshValue();
						if ( this.options.range ) {
							this._refreshRange( value );
						}

						// Reset positioning from previous orientation
						this.handles.css( value === "horizontal" ? "bottom" : "left", "" );
						break;
					case "value":
						this._animateOff = true;
						this._refreshValue();
						this._change( null, 0 );
						this._animateOff = false;
						break;
					case "values":
						this._animateOff = true;
						this._refreshValue();

						// Start from the last handle to prevent unreachable handles (#9046)
						for ( i = valsLength - 1; i >= 0; i-- ) {
							this._change( null, i );
						}
						this._animateOff = false;
						break;
					case "step":
					case "min":
					case "max":
						this._animateOff = true;
						this._calculateNewMax();
						this._refreshValue();
						this._animateOff = false;
						break;
					case "range":
						this._animateOff = true;
						this._refresh();
						this._animateOff = false;
						break;
				}
			},

			_setOptionDisabled: function( value ) {
				this._super( value );

				this._toggleClass( null, "ui-state-disabled", !!value );
			},

			//internal value getter
			// _value() returns value trimmed by min and max, aligned by step
			_value: function() {
				var val = this.options.value;
				val = this._trimAlignValue( val );

				return val;
			},

			//internal values getter
			// _values() returns array of values trimmed by min and max, aligned by step
			// _values( index ) returns single value trimmed by min and max, aligned by step
			_values: function( index ) {
				var val,
					vals,
					i;

				if ( arguments.length ) {
					val = this.options.values[ index ];
					val = this._trimAlignValue( val );

					return val;
				} else if ( this._hasMultipleValues() ) {

					// .slice() creates a copy of the array
					// this copy gets trimmed by min and max and then returned
					vals = this.options.values.slice();
					for ( i = 0; i < vals.length; i += 1 ) {
						vals[ i ] = this._trimAlignValue( vals[ i ] );
					}

					return vals;
				} else {
					return [];
				}
			},

			// Returns the step-aligned value that val is closest to, between (inclusive) min and max
			_trimAlignValue: function( val ) {
				if ( val <= this._valueMin() ) {
					return this._valueMin();
				}
				if ( val >= this._valueMax() ) {
					return this._valueMax();
				}
				var step = ( this.options.step > 0 ) ? this.options.step : 1,
					valModStep = ( val - this._valueMin() ) % step,
					alignValue = val - valModStep;

				if ( Math.abs( valModStep ) * 2 >= step ) {
					alignValue += ( valModStep > 0 ) ? step : ( -step );
				}

				// Since JavaScript has problems with large floats, round
				// the final value to 5 digits after the decimal point (see #4124)
				return parseFloat( alignValue.toFixed( 5 ) );
			},

			_calculateNewMax: function() {
				var max = this.options.max,
					min = this._valueMin(),
					step = this.options.step,
					aboveMin = Math.round( ( max - min ) / step ) * step;
				max = aboveMin + min;
				if ( max > this.options.max ) {

					//If max is not divisible by step, rounding off may increase its value
					max -= step;
				}
				this.max = parseFloat( max.toFixed( this._precision() ) );
			},

			_precision: function() {
				var precision = this._precisionOf( this.options.step );
				if ( this.options.min !== null ) {
					precision = Math.max( precision, this._precisionOf( this.options.min ) );
				}
				return precision;
			},

			_precisionOf: function( num ) {
				var str = num.toString(),
					decimal = str.indexOf( "." );
				return decimal === -1 ? 0 : str.length - decimal - 1;
			},

			_valueMin: function() {
				return this.options.min;
			},

			_valueMax: function() {
				return this.max;
			},

			_refreshRange: function( orientation ) {
				if ( orientation === "vertical" ) {
					this.range.css( { "width": "", "left": "" } );
				}
				if ( orientation === "horizontal" ) {
					this.range.css( { "height": "", "bottom": "" } );
				}
			},

			_refreshValue: function() {
				var lastValPercent, valPercent, value, valueMin, valueMax,
					oRange = this.options.range,
					o = this.options,
					that = this,
					animate = ( !this._animateOff ) ? o.animate : false,
					_set = {};

				if ( this._hasMultipleValues() ) {
					this.handles.each( function( i ) {
						valPercent = ( that.values( i ) - that._valueMin() ) / ( that._valueMax() -
							that._valueMin() ) * 100;
						_set[ that.orientation === "horizontal" ? "left" : "bottom" ] = valPercent + "%";
						$( this ).stop( 1, 1 )[ animate ? "animate" : "css" ]( _set, o.animate );
						if ( that.options.range === true ) {
							if ( that.orientation === "horizontal" ) {
								if ( i === 0 ) {
									that.range.stop( 1, 1 )[ animate ? "animate" : "css" ]( {
										left: valPercent + "%"
									}, o.animate );
								}
								if ( i === 1 ) {
									that.range[ animate ? "animate" : "css" ]( {
										width: ( valPercent - lastValPercent ) + "%"
									}, {
										queue: false,
										duration: o.animate
									} );
								}
							} else {
								if ( i === 0 ) {
									that.range.stop( 1, 1 )[ animate ? "animate" : "css" ]( {
										bottom: ( valPercent ) + "%"
									}, o.animate );
								}
								if ( i === 1 ) {
									that.range[ animate ? "animate" : "css" ]( {
										height: ( valPercent - lastValPercent ) + "%"
									}, {
										queue: false,
										duration: o.animate
									} );
								}
							}
						}
						lastValPercent = valPercent;
					} );
				} else {
					value = this.value();
					valueMin = this._valueMin();
					valueMax = this._valueMax();
					valPercent = ( valueMax !== valueMin ) ?
						( value - valueMin ) / ( valueMax - valueMin ) * 100 :
						0;
					_set[ this.orientation === "horizontal" ? "left" : "bottom" ] = valPercent + "%";
					this.handle.stop( 1, 1 )[ animate ? "animate" : "css" ]( _set, o.animate );

					if ( oRange === "min" && this.orientation === "horizontal" ) {
						this.range.stop( 1, 1 )[ animate ? "animate" : "css" ]( {
							width: valPercent + "%"
						}, o.animate );
					}
					if ( oRange === "max" && this.orientation === "horizontal" ) {
						this.range.stop( 1, 1 )[ animate ? "animate" : "css" ]( {
							width: ( 100 - valPercent ) + "%"
						}, o.animate );
					}
					if ( oRange === "min" && this.orientation === "vertical" ) {
						this.range.stop( 1, 1 )[ animate ? "animate" : "css" ]( {
							height: valPercent + "%"
						}, o.animate );
					}
					if ( oRange === "max" && this.orientation === "vertical" ) {
						this.range.stop( 1, 1 )[ animate ? "animate" : "css" ]( {
							height: ( 100 - valPercent ) + "%"
						}, o.animate );
					}
				}
			},

			_handleEvents: {
				keydown: function( event ) {
					var allowed, curVal, newVal, step,
						index = $( event.target ).data( "ui-slider-handle-index" );

					switch ( event.keyCode ) {
						case $.ui.keyCode.HOME:
						case $.ui.keyCode.END:
						case $.ui.keyCode.PAGE_UP:
						case $.ui.keyCode.PAGE_DOWN:
						case $.ui.keyCode.UP:
						case $.ui.keyCode.RIGHT:
						case $.ui.keyCode.DOWN:
						case $.ui.keyCode.LEFT:
							event.preventDefault();
							if ( !this._keySliding ) {
								this._keySliding = true;
								this._addClass( $( event.target ), null, "ui-state-active" );
								allowed = this._start( event, index );
								if ( allowed === false ) {
									return;
								}
							}
							break;
					}

					step = this.options.step;
					if ( this._hasMultipleValues() ) {
						curVal = newVal = this.values( index );
					} else {
						curVal = newVal = this.value();
					}

					switch ( event.keyCode ) {
						case $.ui.keyCode.HOME:
							newVal = this._valueMin();
							break;
						case $.ui.keyCode.END:
							newVal = this._valueMax();
							break;
						case $.ui.keyCode.PAGE_UP:
							newVal = this._trimAlignValue(
								curVal + ( ( this._valueMax() - this._valueMin() ) / this.numPages )
							);
							break;
						case $.ui.keyCode.PAGE_DOWN:
							newVal = this._trimAlignValue(
								curVal - ( ( this._valueMax() - this._valueMin() ) / this.numPages ) );
							break;
						case $.ui.keyCode.UP:
						case $.ui.keyCode.RIGHT:
							if ( curVal === this._valueMax() ) {
								return;
							}
							newVal = this._trimAlignValue( curVal + step );
							break;
						case $.ui.keyCode.DOWN:
						case $.ui.keyCode.LEFT:
							if ( curVal === this._valueMin() ) {
								return;
							}
							newVal = this._trimAlignValue( curVal - step );
							break;
					}

					this._slide( event, index, newVal );
				},
				keyup: function( event ) {
					var index = $( event.target ).data( "ui-slider-handle-index" );

					if ( this._keySliding ) {
						this._keySliding = false;
						this._stop( event, index );
						this._change( event, index );
						this._removeClass( $( event.target ), null, "ui-state-active" );
					}
				}
			}
		} );


		/*!
 * jQuery UI Sortable 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Sortable
//>>group: Interactions
//>>description: Enables items in a list to be sorted using the mouse.
//>>docs: http://api.jqueryui.com/sortable/
//>>demos: http://jqueryui.com/sortable/
//>>css.structure: ../../themes/base/sortable.css


		var widgetsSortable = $.widget( "ui.sortable", $.ui.mouse, {
			version: "1.13.2",
			widgetEventPrefix: "sort",
			ready: false,
			options: {
				appendTo: "parent",
				axis: false,
				connectWith: false,
				containment: false,
				cursor: "auto",
				cursorAt: false,
				dropOnEmpty: true,
				forcePlaceholderSize: false,
				forceHelperSize: false,
				grid: false,
				handle: false,
				helper: "original",
				items: "> *",
				opacity: false,
				placeholder: false,
				revert: false,
				scroll: true,
				scrollSensitivity: 20,
				scrollSpeed: 20,
				scope: "default",
				tolerance: "intersect",
				zIndex: 1000,

				// Callbacks
				activate: null,
				beforeStop: null,
				change: null,
				deactivate: null,
				out: null,
				over: null,
				receive: null,
				remove: null,
				sort: null,
				start: null,
				stop: null,
				update: null
			},

			_isOverAxis: function( x, reference, size ) {
				return ( x >= reference ) && ( x < ( reference + size ) );
			},

			_isFloating: function( item ) {
				return ( /left|right/ ).test( item.css( "float" ) ) ||
					( /inline|table-cell/ ).test( item.css( "display" ) );
			},

			_create: function() {
				this.containerCache = {};
				this._addClass( "ui-sortable" );

				//Get the items
				this.refresh();

				//Let's determine the parent's offset
				this.offset = this.element.offset();

				//Initialize mouse events for interaction
				this._mouseInit();

				this._setHandleClassName();

				//We're ready to go
				this.ready = true;

			},

			_setOption: function( key, value ) {
				this._super( key, value );

				if ( key === "handle" ) {
					this._setHandleClassName();
				}
			},

			_setHandleClassName: function() {
				var that = this;
				this._removeClass( this.element.find( ".ui-sortable-handle" ), "ui-sortable-handle" );
				$.each( this.items, function() {
					that._addClass(
						this.instance.options.handle ?
							this.item.find( this.instance.options.handle ) :
							this.item,
						"ui-sortable-handle"
					);
				} );
			},

			_destroy: function() {
				this._mouseDestroy();

				for ( var i = this.items.length - 1; i >= 0; i-- ) {
					this.items[ i ].item.removeData( this.widgetName + "-item" );
				}

				return this;
			},

			_mouseCapture: function( event, overrideHandle ) {
				var currentItem = null,
					validHandle = false,
					that = this;

				if ( this.reverting ) {
					return false;
				}

				if ( this.options.disabled || this.options.type === "static" ) {
					return false;
				}

				//We have to refresh the items data once first
				this._refreshItems( event );

				//Find out if the clicked node (or one of its parents) is a actual item in this.items
				$( event.target ).parents().each( function() {
					if ( $.data( this, that.widgetName + "-item" ) === that ) {
						currentItem = $( this );
						return false;
					}
				} );
				if ( $.data( event.target, that.widgetName + "-item" ) === that ) {
					currentItem = $( event.target );
				}

				if ( !currentItem ) {
					return false;
				}
				if ( this.options.handle && !overrideHandle ) {
					$( this.options.handle, currentItem ).find( "*" ).addBack().each( function() {
						if ( this === event.target ) {
							validHandle = true;
						}
					} );
					if ( !validHandle ) {
						return false;
					}
				}

				this.currentItem = currentItem;
				this._removeCurrentsFromItems();
				return true;

			},

			_mouseStart: function( event, overrideHandle, noActivation ) {

				var i, body,
					o = this.options;

				this.currentContainer = this;

				//We only need to call refreshPositions, because the refreshItems call has been moved to
				// mouseCapture
				this.refreshPositions();

				//Prepare the dragged items parent
				this.appendTo = $( o.appendTo !== "parent" ?
					o.appendTo :
					this.currentItem.parent() );

				//Create and append the visible helper
				this.helper = this._createHelper( event );

				//Cache the helper size
				this._cacheHelperProportions();

				/*
		 * - Position generation -
		 * This block generates everything position related - it's the core of draggables.
		 */

				//Cache the margins of the original element
				this._cacheMargins();

				//The element's absolute position on the page minus margins
				this.offset = this.currentItem.offset();
				this.offset = {
					top: this.offset.top - this.margins.top,
					left: this.offset.left - this.margins.left
				};

				$.extend( this.offset, {
					click: { //Where the click happened, relative to the element
						left: event.pageX - this.offset.left,
						top: event.pageY - this.offset.top
					},

					// This is a relative to absolute position minus the actual position calculation -
					// only used for relative positioned helper
					relative: this._getRelativeOffset()
				} );

				// After we get the helper offset, but before we get the parent offset we can
				// change the helper's position to absolute
				// TODO: Still need to figure out a way to make relative sorting possible
				this.helper.css( "position", "absolute" );
				this.cssPosition = this.helper.css( "position" );

				//Adjust the mouse offset relative to the helper if "cursorAt" is supplied
				if ( o.cursorAt ) {
					this._adjustOffsetFromHelper( o.cursorAt );
				}

				//Cache the former DOM position
				this.domPosition = {
					prev: this.currentItem.prev()[ 0 ],
					parent: this.currentItem.parent()[ 0 ]
				};

				// If the helper is not the original, hide the original so it's not playing any role during
				// the drag, won't cause anything bad this way
				if ( this.helper[ 0 ] !== this.currentItem[ 0 ] ) {
					this.currentItem.hide();
				}

				//Create the placeholder
				this._createPlaceholder();

				//Get the next scrolling parent
				this.scrollParent = this.placeholder.scrollParent();

				$.extend( this.offset, {
					parent: this._getParentOffset()
				} );

				//Set a containment if given in the options
				if ( o.containment ) {
					this._setContainment();
				}

				if ( o.cursor && o.cursor !== "auto" ) { // cursor option
					body = this.document.find( "body" );

					// Support: IE
					this.storedCursor = body.css( "cursor" );
					body.css( "cursor", o.cursor );

					this.storedStylesheet =
						$( "<style>*{ cursor: " + o.cursor + " !important; }</style>" ).appendTo( body );
				}

				// We need to make sure to grab the zIndex before setting the
				// opacity, because setting the opacity to anything lower than 1
				// causes the zIndex to change from "auto" to 0.
				if ( o.zIndex ) { // zIndex option
					if ( this.helper.css( "zIndex" ) ) {
						this._storedZIndex = this.helper.css( "zIndex" );
					}
					this.helper.css( "zIndex", o.zIndex );
				}

				if ( o.opacity ) { // opacity option
					if ( this.helper.css( "opacity" ) ) {
						this._storedOpacity = this.helper.css( "opacity" );
					}
					this.helper.css( "opacity", o.opacity );
				}

				//Prepare scrolling
				if ( this.scrollParent[ 0 ] !== this.document[ 0 ] &&
					this.scrollParent[ 0 ].tagName !== "HTML" ) {
					this.overflowOffset = this.scrollParent.offset();
				}

				//Call callbacks
				this._trigger( "start", event, this._uiHash() );

				//Recache the helper size
				if ( !this._preserveHelperProportions ) {
					this._cacheHelperProportions();
				}

				//Post "activate" events to possible containers
				if ( !noActivation ) {
					for ( i = this.containers.length - 1; i >= 0; i-- ) {
						this.containers[ i ]._trigger( "activate", event, this._uiHash( this ) );
					}
				}

				//Prepare possible droppables
				if ( $.ui.ddmanager ) {
					$.ui.ddmanager.current = this;
				}

				if ( $.ui.ddmanager && !o.dropBehaviour ) {
					$.ui.ddmanager.prepareOffsets( this, event );
				}

				this.dragging = true;

				this._addClass( this.helper, "ui-sortable-helper" );

				//Move the helper, if needed
				if ( !this.helper.parent().is( this.appendTo ) ) {
					this.helper.detach().appendTo( this.appendTo );

					//Update position
					this.offset.parent = this._getParentOffset();
				}

				//Generate the original position
				this.position = this.originalPosition = this._generatePosition( event );
				this.originalPageX = event.pageX;
				this.originalPageY = event.pageY;
				this.lastPositionAbs = this.positionAbs = this._convertPositionTo( "absolute" );

				this._mouseDrag( event );

				return true;

			},

			_scroll: function( event ) {
				var o = this.options,
					scrolled = false;

				if ( this.scrollParent[ 0 ] !== this.document[ 0 ] &&
					this.scrollParent[ 0 ].tagName !== "HTML" ) {

					if ( ( this.overflowOffset.top + this.scrollParent[ 0 ].offsetHeight ) -
						event.pageY < o.scrollSensitivity ) {
						this.scrollParent[ 0 ].scrollTop =
							scrolled = this.scrollParent[ 0 ].scrollTop + o.scrollSpeed;
					} else if ( event.pageY - this.overflowOffset.top < o.scrollSensitivity ) {
						this.scrollParent[ 0 ].scrollTop =
							scrolled = this.scrollParent[ 0 ].scrollTop - o.scrollSpeed;
					}

					if ( ( this.overflowOffset.left + this.scrollParent[ 0 ].offsetWidth ) -
						event.pageX < o.scrollSensitivity ) {
						this.scrollParent[ 0 ].scrollLeft = scrolled =
							this.scrollParent[ 0 ].scrollLeft + o.scrollSpeed;
					} else if ( event.pageX - this.overflowOffset.left < o.scrollSensitivity ) {
						this.scrollParent[ 0 ].scrollLeft = scrolled =
							this.scrollParent[ 0 ].scrollLeft - o.scrollSpeed;
					}

				} else {

					if ( event.pageY - this.document.scrollTop() < o.scrollSensitivity ) {
						scrolled = this.document.scrollTop( this.document.scrollTop() - o.scrollSpeed );
					} else if ( parseInt(this.window.css("height")) - ( event.pageY - this.document.scrollTop() ) <
						o.scrollSensitivity ) {
						scrolled = this.document.scrollTop( this.document.scrollTop() + o.scrollSpeed );
					}

					if ( event.pageX - this.document.scrollLeft() < o.scrollSensitivity ) {
						scrolled = this.document.scrollLeft(
							this.document.scrollLeft() - o.scrollSpeed
						);
					} else if ( parseInt(this.window.css("width")) - ( event.pageX - this.document.scrollLeft() ) <
						o.scrollSensitivity ) {
						scrolled = this.document.scrollLeft(
							this.document.scrollLeft() + o.scrollSpeed
						);
					}

				}

				return scrolled;
			},

			_mouseDrag: function( event ) {
				var i, item, itemElement, intersection,
					o = this.options;

				//Compute the helpers position
				this.position = this._generatePosition( event );
				this.positionAbs = this._convertPositionTo( "absolute" );

				//Set the helper position
				if ( !this.options.axis || this.options.axis !== "y" ) {
					this.helper[ 0 ].style.left = this.position.left + "px";
				}
				if ( !this.options.axis || this.options.axis !== "x" ) {
					this.helper[ 0 ].style.top = this.position.top + "px";
				}

				//Do scrolling
				if ( o.scroll ) {
					if ( this._scroll( event ) !== false ) {

						//Update item positions used in position checks
						this._refreshItemPositions( true );

						if ( $.ui.ddmanager && !o.dropBehaviour ) {
							$.ui.ddmanager.prepareOffsets( this, event );
						}
					}
				}

				this.dragDirection = {
					vertical: this._getDragVerticalDirection(),
					horizontal: this._getDragHorizontalDirection()
				};

				//Rearrange
				for ( i = this.items.length - 1; i >= 0; i-- ) {

					//Cache variables and intersection, continue if no intersection
					item = this.items[ i ];
					itemElement = item.item[ 0 ];
					intersection = this._intersectsWithPointer( item );
					if ( !intersection ) {
						continue;
					}

					// Only put the placeholder inside the current Container, skip all
					// items from other containers. This works because when moving
					// an item from one container to another the
					// currentContainer is switched before the placeholder is moved.
					//
					// Without this, moving items in "sub-sortables" can cause
					// the placeholder to jitter between the outer and inner container.
					if ( item.instance !== this.currentContainer ) {
						continue;
					}

					// Cannot intersect with itself
					// no useless actions that have been done before
					// no action if the item moved is the parent of the item checked
					if ( itemElement !== this.currentItem[ 0 ] &&
						this.placeholder[ intersection === 1 ?
							"next" : "prev" ]()[ 0 ] !== itemElement &&
						!$.contains( this.placeholder[ 0 ], itemElement ) &&
						( this.options.type === "semi-dynamic" ?
								!$.contains( this.element[ 0 ], itemElement ) :
								true
						)
					) {

						this.direction = intersection === 1 ? "down" : "up";

						if ( this.options.tolerance === "pointer" ||
							this._intersectsWithSides( item ) ) {
							this._rearrange( event, item );
						} else {
							break;
						}

						this._trigger( "change", event, this._uiHash() );
						break;
					}
				}

				//Post events to containers
				this._contactContainers( event );

				//Interconnect with droppables
				if ( $.ui.ddmanager ) {
					$.ui.ddmanager.drag( this, event );
				}

				//Call callbacks
				this._trigger( "sort", event, this._uiHash() );

				this.lastPositionAbs = this.positionAbs;
				return false;

			},

			_mouseStop: function( event, noPropagation ) {

				if ( !event ) {
					return;
				}

				//If we are using droppables, inform the manager about the drop
				if ( $.ui.ddmanager && !this.options.dropBehaviour ) {
					$.ui.ddmanager.drop( this, event );
				}

				if ( this.options.revert ) {
					var that = this,
						cur = this.placeholder.offset(),
						axis = this.options.axis,
						animation = {};

					if ( !axis || axis === "x" ) {
						animation.left = cur.left - this.offset.parent.left - this.margins.left +
							( this.offsetParent[ 0 ] === this.document[ 0 ].body ?
									0 :
									this.offsetParent[ 0 ].scrollLeft
							);
					}
					if ( !axis || axis === "y" ) {
						animation.top = cur.top - this.offset.parent.top - this.margins.top +
							( this.offsetParent[ 0 ] === this.document[ 0 ].body ?
									0 :
									this.offsetParent[ 0 ].scrollTop
							);
					}
					this.reverting = true;
					$( this.helper ).animate(
						animation,
						parseInt( this.options.revert, 10 ) || 500,
						function() {
							that._clear( event );
						}
					);
				} else {
					this._clear( event, noPropagation );
				}

				return false;

			},

			cancel: function() {

				if ( this.dragging ) {

					this._mouseUp( new $.Event( "mouseup", { target: null } ) );

					if ( this.options.helper === "original" ) {
						this.currentItem.css( this._storedCSS );
						this._removeClass( this.currentItem, "ui-sortable-helper" );
					} else {
						this.currentItem.show();
					}

					//Post deactivating events to containers
					for ( var i = this.containers.length - 1; i >= 0; i-- ) {
						this.containers[ i ]._trigger( "deactivate", null, this._uiHash( this ) );
						if ( this.containers[ i ].containerCache.over ) {
							this.containers[ i ]._trigger( "out", null, this._uiHash( this ) );
							this.containers[ i ].containerCache.over = 0;
						}
					}

				}

				if ( this.placeholder ) {

					//$(this.placeholder[0]).remove(); would have been the jQuery way - unfortunately,
					// it unbinds ALL events from the original node!
					if ( this.placeholder[ 0 ].parentNode ) {
						this.placeholder[ 0 ].parentNode.removeChild( this.placeholder[ 0 ] );
					}
					if ( this.options.helper !== "original" && this.helper &&
						this.helper[ 0 ].parentNode ) {
						this.helper.remove();
					}

					$.extend( this, {
						helper: null,
						dragging: false,
						reverting: false,
						_noFinalSort: null
					} );

					if ( this.domPosition.prev ) {
						$( this.domPosition.prev ).after( this.currentItem );
					} else {
						$( this.domPosition.parent ).prepend( this.currentItem );
					}
				}

				return this;

			},

			serialize: function( o ) {

				var items = this._getItemsAsjQuery( o && o.connected ),
					str = [];
				o = o || {};

				$( items ).each( function() {
					var res = ( $( o.item || this ).attr( o.attribute || "id" ) || "" )
						.match( o.expression || ( /(.+)[\-=_](.+)/ ) );
					if ( res ) {
						str.push(
							( o.key || res[ 1 ] + "[]" ) +
							"=" + ( o.key && o.expression ? res[ 1 ] : res[ 2 ] ) );
					}
				} );

				if ( !str.length && o.key ) {
					str.push( o.key + "=" );
				}

				return str.join( "&" );

			},

			toArray: function( o ) {

				var items = this._getItemsAsjQuery( o && o.connected ),
					ret = [];

				o = o || {};

				items.each( function() {
					ret.push( $( o.item || this ).attr( o.attribute || "id" ) || "" );
				} );
				return ret;

			},

			/* Be careful with the following core functions */
			_intersectsWith: function( item ) {

				var x1 = this.positionAbs.left,
					x2 = x1 + this.helperProportions.width,
					y1 = this.positionAbs.top,
					y2 = y1 + this.helperProportions.height,
					l = item.left,
					r = l + item.width,
					t = item.top,
					b = t + item.height,
					dyClick = this.offset.click.top,
					dxClick = this.offset.click.left,
					isOverElementHeight = ( this.options.axis === "x" ) || ( ( y1 + dyClick ) > t &&
						( y1 + dyClick ) < b ),
					isOverElementWidth = ( this.options.axis === "y" ) || ( ( x1 + dxClick ) > l &&
						( x1 + dxClick ) < r ),
					isOverElement = isOverElementHeight && isOverElementWidth;

				if ( this.options.tolerance === "pointer" ||
					this.options.forcePointerForContainers ||
					( this.options.tolerance !== "pointer" &&
						this.helperProportions[ this.floating ? "width" : "height" ] >
						item[ this.floating ? "width" : "height" ] )
				) {
					return isOverElement;
				} else {

					return ( l < x1 + ( this.helperProportions.width / 2 ) && // Right Half
						x2 - ( this.helperProportions.width / 2 ) < r && // Left Half
						t < y1 + ( this.helperProportions.height / 2 ) && // Bottom Half
						y2 - ( this.helperProportions.height / 2 ) < b ); // Top Half

				}
			},

			_intersectsWithPointer: function( item ) {
				var verticalDirection, horizontalDirection,
					isOverElementHeight = ( this.options.axis === "x" ) ||
						this._isOverAxis(
							this.positionAbs.top + this.offset.click.top, item.top, item.height ),
					isOverElementWidth = ( this.options.axis === "y" ) ||
						this._isOverAxis(
							this.positionAbs.left + this.offset.click.left, item.left, item.width ),
					isOverElement = isOverElementHeight && isOverElementWidth;

				if ( !isOverElement ) {
					return false;
				}

				verticalDirection = this.dragDirection.vertical;
				horizontalDirection = this.dragDirection.horizontal;

				return this.floating ?
					( ( horizontalDirection === "right" || verticalDirection === "down" ) ? 2 : 1 ) :
					( verticalDirection && ( verticalDirection === "down" ? 2 : 1 ) );

			},

			_intersectsWithSides: function( item ) {

				var isOverBottomHalf = this._isOverAxis( this.positionAbs.top +
						this.offset.click.top, item.top + ( item.height / 2 ), item.height ),
					isOverRightHalf = this._isOverAxis( this.positionAbs.left +
						this.offset.click.left, item.left + ( item.width / 2 ), item.width ),
					verticalDirection = this.dragDirection.vertical,
					horizontalDirection = this.dragDirection.horizontal;

				if ( this.floating && horizontalDirection ) {
					return ( ( horizontalDirection === "right" && isOverRightHalf ) ||
						( horizontalDirection === "left" && !isOverRightHalf ) );
				} else {
					return verticalDirection && ( ( verticalDirection === "down" && isOverBottomHalf ) ||
						( verticalDirection === "up" && !isOverBottomHalf ) );
				}

			},

			_getDragVerticalDirection: function() {
				var delta = this.positionAbs.top - this.lastPositionAbs.top;
				return delta !== 0 && ( delta > 0 ? "down" : "up" );
			},

			_getDragHorizontalDirection: function() {
				var delta = this.positionAbs.left - this.lastPositionAbs.left;
				return delta !== 0 && ( delta > 0 ? "right" : "left" );
			},

			refresh: function( event ) {
				this._refreshItems( event );
				this._setHandleClassName();
				this.refreshPositions();
				return this;
			},

			_connectWith: function() {
				var options = this.options;
				return options.connectWith.constructor === String ?
					[ options.connectWith ] :
					options.connectWith;
			},

			_getItemsAsjQuery: function( connected ) {

				var i, j, cur, inst,
					items = [],
					queries = [],
					connectWith = this._connectWith();

				if ( connectWith && connected ) {
					for ( i = connectWith.length - 1; i >= 0; i-- ) {
						cur = $( connectWith[ i ], this.document[ 0 ] );
						for ( j = cur.length - 1; j >= 0; j-- ) {
							inst = $.data( cur[ j ], this.widgetFullName );
							if ( inst && inst !== this && !inst.options.disabled ) {
								queries.push( [ typeof inst.options.items === "function" ?
									inst.options.items.call( inst.element ) :
									$( inst.options.items, inst.element )
										.not( ".ui-sortable-helper" )
										.not( ".ui-sortable-placeholder" ), inst ] );
							}
						}
					}
				}

				queries.push( [ typeof this.options.items === "function" ?
					this.options.items
						.call( this.element, null, { options: this.options, item: this.currentItem } ) :
					$( this.options.items, this.element )
						.not( ".ui-sortable-helper" )
						.not( ".ui-sortable-placeholder" ), this ] );

				function addItems() {
					items.push( this );
				}
				for ( i = queries.length - 1; i >= 0; i-- ) {
					queries[ i ][ 0 ].each( addItems );
				}

				return $( items );

			},

			_removeCurrentsFromItems: function() {

				var list = this.currentItem.find( ":data(" + this.widgetName + "-item)" );

				this.items = $.grep( this.items, function( item ) {
					for ( var j = 0; j < list.length; j++ ) {
						if ( list[ j ] === item.item[ 0 ] ) {
							return false;
						}
					}
					return true;
				} );

			},

			_refreshItems: function( event ) {

				this.items = [];
				this.containers = [ this ];

				var i, j, cur, inst, targetData, _queries, item, queriesLength,
					items = this.items,
					queries = [ [ typeof this.options.items === "function" ?
						this.options.items.call( this.element[ 0 ], event, { item: this.currentItem } ) :
						$( this.options.items, this.element ), this ] ],
					connectWith = this._connectWith();

				//Shouldn't be run the first time through due to massive slow-down
				if ( connectWith && this.ready ) {
					for ( i = connectWith.length - 1; i >= 0; i-- ) {
						cur = $( connectWith[ i ], this.document[ 0 ] );
						for ( j = cur.length - 1; j >= 0; j-- ) {
							inst = $.data( cur[ j ], this.widgetFullName );
							if ( inst && inst !== this && !inst.options.disabled ) {
								queries.push( [ typeof inst.options.items === "function" ?
									inst.options.items
										.call( inst.element[ 0 ], event, { item: this.currentItem } ) :
									$( inst.options.items, inst.element ), inst ] );
								this.containers.push( inst );
							}
						}
					}
				}

				for ( i = queries.length - 1; i >= 0; i-- ) {
					targetData = queries[ i ][ 1 ];
					_queries = queries[ i ][ 0 ];

					for ( j = 0, queriesLength = _queries.length; j < queriesLength; j++ ) {
						item = $( _queries[ j ] );

						// Data for target checking (mouse manager)
						item.data( this.widgetName + "-item", targetData );

						items.push( {
							item: item,
							instance: targetData,
							width: 0, height: 0,
							left: 0, top: 0
						} );
					}
				}

			},

			_refreshItemPositions: function( fast ) {
				var i, item, t, p;

				for ( i = this.items.length - 1; i >= 0; i-- ) {
					item = this.items[ i ];

					//We ignore calculating positions of all connected containers when we're not over them
					if ( this.currentContainer && item.instance !== this.currentContainer &&
						item.item[ 0 ] !== this.currentItem[ 0 ] ) {
						continue;
					}

					t = this.options.toleranceElement ?
						$( this.options.toleranceElement, item.item ) :
						item.item;

					if ( !fast ) {
						item.width = parseInt(t.css("width")) + parseInt(t.css("padding-left")) + parseInt(t.css("padding-right"));
						item.height = parseInt(t.css("height"))+parseInt(t.css("padding-top"))+parseInt(t.css("padding-bottom"));
					}

					p = t.offset();
					item.left = p.left;
					item.top = p.top;
				}
			},

			refreshPositions: function( fast ) {

				// Determine whether items are being displayed horizontally
				this.floating = this.items.length ?
					this.options.axis === "x" || this._isFloating( this.items[ 0 ].item ) :
					false;

				// This has to be redone because due to the item being moved out/into the offsetParent,
				// the offsetParent's position will change
				if ( this.offsetParent && this.helper ) {
					this.offset.parent = this._getParentOffset();
				}

				this._refreshItemPositions( fast );

				var i, p;

				if ( this.options.custom && this.options.custom.refreshContainers ) {
					this.options.custom.refreshContainers.call( this );
				} else {
					for ( i = this.containers.length - 1; i >= 0; i-- ) {
						p = this.containers[ i ].element.offset();
						this.containers[ i ].containerCache.left = p.left;
						this.containers[ i ].containerCache.top = p.top;
						this.containers[ i ].containerCache.width =
						parseInt(this.containers[i].element.css("width")) + parseInt(this.containers[i].element.css("padding-left")) + parseInt(this.containers[i].element.css("padding-right"));
						this.containers[ i ].containerCache.height =
						parseInt(this.containers[i].element.css("height"))+parseInt(this.containers[i].element.css("padding-top"))+parseInt(this.containers[i].element.css("padding-bottom"));
					}
				}

				return this;
			},

			_createPlaceholder: function( that ) {
				that = that || this;
				var className, nodeName,
					o = that.options;

				if ( !o.placeholder || o.placeholder.constructor === String ) {
					className = o.placeholder;
					nodeName = that.currentItem[ 0 ].nodeName.toLowerCase();
					o.placeholder = {
						element: function() {

							var element = $( "<" + nodeName + ">", that.document[ 0 ] );

							that._addClass( element, "ui-sortable-placeholder",
								className || that.currentItem[ 0 ].className )
								._removeClass( element, "ui-sortable-helper" );

							if ( nodeName === "tbody" ) {
								that._createTrPlaceholder(
									that.currentItem.find( "tr" ).eq( 0 ),
									$( "<tr>", that.document[ 0 ] ).appendTo( element )
								);
							} else if ( nodeName === "tr" ) {
								that._createTrPlaceholder( that.currentItem, element );
							} else if ( nodeName === "img" ) {
								element.attr( "src", that.currentItem.attr( "src" ) );
							}

							if ( !className ) {
								element.css( "visibility", "hidden" );
							}

							return element;
						},
						update: function( container, p ) {

							// 1. If a className is set as 'placeholder option, we don't force sizes -
							// the class is responsible for that
							// 2. The option 'forcePlaceholderSize can be enabled to force it even if a
							// class name is specified
							if ( className && !o.forcePlaceholderSize ) {
								return;
							}

							// If the element doesn't have a actual height or width by itself (without
							// styles coming from a stylesheet), it receives the inline height and width
							// from the dragged item. Or, if it's a tbody or tr, it's going to have a height
							// anyway since we're populating them with <td>s above, but they're unlikely to
							// be the correct height on their own if the row heights are dynamic, so we'll
							// always assign the height of the dragged item given forcePlaceholderSize
							// is true.
							if ( !parseInt(p.css("height")) || ( o.forcePlaceholderSize &&
								( nodeName === "tbody" || nodeName === "tr" ) ) ) {
								p.css("height",
									(parseInt(that.currentItem.css("height"))-parseInt(that.currentItem.css("padding-top"))-parseInt(that.currentItem.css("padding-bottom")) -
									parseInt( that.currentItem.css( "paddingTop" ) || 0, 10 ) -
									parseInt( that.currentItem.css( "paddingBottom" ) || 0, 10 ))+"px" );
							}
							if ( !parseInt(p.css("width")) ) {
								p.css("width",
									(parseInt(that.currentItem.css("width"))-parseInt(that.currentItem.css("padding-left"))-parseInt(that.currentItem.css("padding-right")) -
									parseInt( that.currentItem.css( "paddingLeft" ) || 0, 10 ) -
									parseInt( that.currentItem.css( "paddingRight" ) || 0, 10 )) + "px" );
							}
						}
					};
				}

				//Create the placeholder
				that.placeholder = $( o.placeholder.element.call( that.element, that.currentItem ) );

				//Append it after the actual current item
				that.currentItem.after( that.placeholder );

				//Update the size of the placeholder (TODO: Logic to fuzzy, see line 316/317)
				o.placeholder.update( that, that.placeholder );

			},

			_createTrPlaceholder: function( sourceTr, targetTr ) {
				var that = this;

				sourceTr.children().each( function() {
					$( "<td>&#160;</td>", that.document[ 0 ] )
						.attr( "colspan", $( this ).attr( "colspan" ) || 1 )
						.appendTo( targetTr );
				} );
			},

			_contactContainers: function( event ) {
				var i, j, dist, itemWithLeastDistance, posProperty, sizeProperty, cur, nearBottom,
					floating, axis,
					innermostContainer = null,
					innermostIndex = null;

				// Get innermost container that intersects with item
				for ( i = this.containers.length - 1; i >= 0; i-- ) {

					// Never consider a container that's located within the item itself
					if ( $.contains( this.currentItem[ 0 ], this.containers[ i ].element[ 0 ] ) ) {
						continue;
					}

					if ( this._intersectsWith( this.containers[ i ].containerCache ) ) {

						// If we've already found a container and it's more "inner" than this, then continue
						if ( innermostContainer &&
							$.contains(
								this.containers[ i ].element[ 0 ],
								innermostContainer.element[ 0 ] ) ) {
							continue;
						}

						innermostContainer = this.containers[ i ];
						innermostIndex = i;

					} else {

						// container doesn't intersect. trigger "out" event if necessary
						if ( this.containers[ i ].containerCache.over ) {
							this.containers[ i ]._trigger( "out", event, this._uiHash( this ) );
							this.containers[ i ].containerCache.over = 0;
						}
					}

				}

				// If no intersecting containers found, return
				if ( !innermostContainer ) {
					return;
				}

				// Move the item into the container if it's not there already
				if ( this.containers.length === 1 ) {
					if ( !this.containers[ innermostIndex ].containerCache.over ) {
						this.containers[ innermostIndex ]._trigger( "over", event, this._uiHash( this ) );
						this.containers[ innermostIndex ].containerCache.over = 1;
					}
				} else {

					// When entering a new container, we will find the item with the least distance and
					// append our item near it
					dist = 10000;
					itemWithLeastDistance = null;
					floating = innermostContainer.floating || this._isFloating( this.currentItem );
					posProperty = floating ? "left" : "top";
					sizeProperty = floating ? "width" : "height";
					axis = floating ? "pageX" : "pageY";

					for ( j = this.items.length - 1; j >= 0; j-- ) {
						if ( !$.contains(
							this.containers[ innermostIndex ].element[ 0 ], this.items[ j ].item[ 0 ] )
						) {
							continue;
						}
						if ( this.items[ j ].item[ 0 ] === this.currentItem[ 0 ] ) {
							continue;
						}

						cur = this.items[ j ].item.offset()[ posProperty ];
						nearBottom = false;
						if ( event[ axis ] - cur > this.items[ j ][ sizeProperty ] / 2 ) {
							nearBottom = true;
						}

						if ( Math.abs( event[ axis ] - cur ) < dist ) {
							dist = Math.abs( event[ axis ] - cur );
							itemWithLeastDistance = this.items[ j ];
							this.direction = nearBottom ? "up" : "down";
						}
					}

					//Check if dropOnEmpty is enabled
					if ( !itemWithLeastDistance && !this.options.dropOnEmpty ) {
						return;
					}

					if ( this.currentContainer === this.containers[ innermostIndex ] ) {
						if ( !this.currentContainer.containerCache.over ) {
							this.containers[ innermostIndex ]._trigger( "over", event, this._uiHash() );
							this.currentContainer.containerCache.over = 1;
						}
						return;
					}

					if ( itemWithLeastDistance ) {
						this._rearrange( event, itemWithLeastDistance, null, true );
					} else {
						this._rearrange( event, null, this.containers[ innermostIndex ].element, true );
					}
					this._trigger( "change", event, this._uiHash() );
					this.containers[ innermostIndex ]._trigger( "change", event, this._uiHash( this ) );
					this.currentContainer = this.containers[ innermostIndex ];

					//Update the placeholder
					this.options.placeholder.update( this.currentContainer, this.placeholder );

					//Update scrollParent
					this.scrollParent = this.placeholder.scrollParent();

					//Update overflowOffset
					if ( this.scrollParent[ 0 ] !== this.document[ 0 ] &&
						this.scrollParent[ 0 ].tagName !== "HTML" ) {
						this.overflowOffset = this.scrollParent.offset();
					}

					this.containers[ innermostIndex ]._trigger( "over", event, this._uiHash( this ) );
					this.containers[ innermostIndex ].containerCache.over = 1;
				}

			},

			_createHelper: function( event ) {

				var o = this.options,
					helper = typeof o.helper === "function" ?
						$( o.helper.apply( this.element[ 0 ], [ event, this.currentItem ] ) ) :
						( o.helper === "clone" ? this.currentItem.clone() : this.currentItem );

				//Add the helper to the DOM if that didn't happen already
				if ( !helper.parents( "body" ).length ) {
					this.appendTo[ 0 ].appendChild( helper[ 0 ] );
				}

				if ( helper[ 0 ] === this.currentItem[ 0 ] ) {
					this._storedCSS = {
						width: this.currentItem[ 0 ].style.width,
						height: this.currentItem[ 0 ].style.height,
						position: this.currentItem.css( "position" ),
						top: this.currentItem.css( "top" ),
						left: this.currentItem.css( "left" )
					};
				}

				if ( !helper[ 0 ].style.width || o.forceHelperSize ) {
					helper.css( "width",parseInt(this.currentItem.css("width"))+"px" );
				}
				if ( !helper[ 0 ].style.height || o.forceHelperSize ) {
					helper.css("height", praseInt(this.currentItem.css("height")) +"px");
				}

				return helper;

			},

			_adjustOffsetFromHelper: function( obj ) {
				if ( typeof obj === "string" ) {
					obj = obj.split( " " );
				}
				if ( Array.isArray( obj ) ) {
					obj = { left: +obj[ 0 ], top: +obj[ 1 ] || 0 };
				}
				if ( "left" in obj ) {
					this.offset.click.left = obj.left + this.margins.left;
				}
				if ( "right" in obj ) {
					this.offset.click.left = this.helperProportions.width - obj.right + this.margins.left;
				}
				if ( "top" in obj ) {
					this.offset.click.top = obj.top + this.margins.top;
				}
				if ( "bottom" in obj ) {
					this.offset.click.top = this.helperProportions.height - obj.bottom + this.margins.top;
				}
			},

			_getParentOffset: function() {

				//Get the offsetParent and cache its position
				this.offsetParent = this.helper.offsetParent();
				var po = this.offsetParent.offset();

				// This is a special case where we need to modify a offset calculated on start, since the
				// following happened:
				// 1. The position of the helper is absolute, so it's position is calculated based on the
				// next positioned parent
				// 2. The actual offset parent is a child of the scroll parent, and the scroll parent isn't
				// the document, which means that the scroll is included in the initial calculation of the
				// offset of the parent, and never recalculated upon drag
				if ( this.cssPosition === "absolute" && this.scrollParent[ 0 ] !== this.document[ 0 ] &&
					$.contains( this.scrollParent[ 0 ], this.offsetParent[ 0 ] ) ) {
					po.left += this.scrollParent.scrollLeft();
					po.top += this.scrollParent.scrollTop();
				}

				// This needs to be actually done for all browsers, since pageX/pageY includes this
				// information with an ugly IE fix
				if ( this.offsetParent[ 0 ] === this.document[ 0 ].body ||
					( this.offsetParent[ 0 ].tagName &&
						this.offsetParent[ 0 ].tagName.toLowerCase() === "html" && $.ui.ie ) ) {
					po = { top: 0, left: 0 };
				}

				return {
					top: po.top + ( parseInt( this.offsetParent.css( "borderTopWidth" ), 10 ) || 0 ),
					left: po.left + ( parseInt( this.offsetParent.css( "borderLeftWidth" ), 10 ) || 0 )
				};

			},

			_getRelativeOffset: function() {

				if ( this.cssPosition === "relative" ) {
					var p = this.currentItem.position();
					return {
						top: p.top - ( parseInt( this.helper.css( "top" ), 10 ) || 0 ) +
							this.scrollParent.scrollTop(),
						left: p.left - ( parseInt( this.helper.css( "left" ), 10 ) || 0 ) +
							this.scrollParent.scrollLeft()
					};
				} else {
					return { top: 0, left: 0 };
				}

			},

			_cacheMargins: function() {
				this.margins = {
					left: ( parseInt( this.currentItem.css( "marginLeft" ), 10 ) || 0 ),
					top: ( parseInt( this.currentItem.css( "marginTop" ), 10 ) || 0 )
				};
			},

			_cacheHelperProportions: function() {
				this.helperProportions = {
					width: parseInt(this.helper.css("width")) + parseInt(this.helper.css("padding-left")) + parseInt(this.helper.css("padding-right")),
					height: parseInt(this.helper.css("height"))+parseInt(this.helper.css("padding-top"))+parseInt(this.helper.css("padding-bottom"))
				};
			},

			_setContainment: function() {

				var ce, co, over,
					o = this.options;
				if ( o.containment === "parent" ) {
					o.containment = this.helper[ 0 ].parentNode;
				}
				if ( o.containment === "document" || o.containment === "window" ) {
					this.containment = [
						0 - this.offset.relative.left - this.offset.parent.left,
						0 - this.offset.relative.top - this.offset.parent.top,
						o.containment === "document" ?
						parseInt(this.document.css("width")) :
						parseInt(this.window.css("width")) - this.helperProportions.width - this.margins.left,
						( o.containment === "document" ?
								( parseInt(this.document.css("height")) || document.body.parentNode.scrollHeight ) :
								parseInt(this.window.css("height")) || this.document[ 0 ].body.parentNode.scrollHeight
						) - this.helperProportions.height - this.margins.top
					];
				}

				if ( !( /^(document|window|parent)$/ ).test( o.containment ) ) {
					ce = $( o.containment )[ 0 ];
					co = $( o.containment ).offset();
					over = ( $( ce ).css( "overflow" ) !== "hidden" );

					this.containment = [
						co.left + ( parseInt( $( ce ).css( "borderLeftWidth" ), 10 ) || 0 ) +
						( parseInt( $( ce ).css( "paddingLeft" ), 10 ) || 0 ) - this.margins.left,
						co.top + ( parseInt( $( ce ).css( "borderTopWidth" ), 10 ) || 0 ) +
						( parseInt( $( ce ).css( "paddingTop" ), 10 ) || 0 ) - this.margins.top,
						co.left + ( over ? Math.max( ce.scrollWidth, ce.offsetWidth ) : ce.offsetWidth ) -
						( parseInt( $( ce ).css( "borderLeftWidth" ), 10 ) || 0 ) -
						( parseInt( $( ce ).css( "paddingRight" ), 10 ) || 0 ) -
						this.helperProportions.width - this.margins.left,
						co.top + ( over ? Math.max( ce.scrollHeight, ce.offsetHeight ) : ce.offsetHeight ) -
						( parseInt( $( ce ).css( "borderTopWidth" ), 10 ) || 0 ) -
						( parseInt( $( ce ).css( "paddingBottom" ), 10 ) || 0 ) -
						this.helperProportions.height - this.margins.top
					];
				}

			},

			_convertPositionTo: function( d, pos ) {

				if ( !pos ) {
					pos = this.position;
				}
				var mod = d === "absolute" ? 1 : -1,
					scroll = this.cssPosition === "absolute" &&
					!( this.scrollParent[ 0 ] !== this.document[ 0 ] &&
						$.contains( this.scrollParent[ 0 ], this.offsetParent[ 0 ] ) ) ?
						this.offsetParent :
						this.scrollParent,
					scrollIsRootNode = ( /(html|body)/i ).test( scroll[ 0 ].tagName );

				return {
					top: (

						// The absolute mouse position
						pos.top	+

						// Only for relative positioned nodes: Relative offset from element to offset parent
						this.offset.relative.top * mod +

						// The offsetParent's offset without borders (offset + border)
						this.offset.parent.top * mod -
						( ( this.cssPosition === "fixed" ?
							-this.scrollParent.scrollTop() :
							( scrollIsRootNode ? 0 : scroll.scrollTop() ) ) * mod )
					),
					left: (

						// The absolute mouse position
						pos.left +

						// Only for relative positioned nodes: Relative offset from element to offset parent
						this.offset.relative.left * mod +

						// The offsetParent's offset without borders (offset + border)
						this.offset.parent.left * mod	-
						( ( this.cssPosition === "fixed" ?
							-this.scrollParent.scrollLeft() : scrollIsRootNode ? 0 :
								scroll.scrollLeft() ) * mod )
					)
				};

			},

			_generatePosition: function( event ) {

				var top, left,
					o = this.options,
					pageX = event.pageX,
					pageY = event.pageY,
					scroll = this.cssPosition === "absolute" &&
					!( this.scrollParent[ 0 ] !== this.document[ 0 ] &&
						$.contains( this.scrollParent[ 0 ], this.offsetParent[ 0 ] ) ) ?
						this.offsetParent :
						this.scrollParent,
					scrollIsRootNode = ( /(html|body)/i ).test( scroll[ 0 ].tagName );

				// This is another very weird special case that only happens for relative elements:
				// 1. If the css position is relative
				// 2. and the scroll parent is the document or similar to the offset parent
				// we have to refresh the relative offset during the scroll so there are no jumps
				if ( this.cssPosition === "relative" && !( this.scrollParent[ 0 ] !== this.document[ 0 ] &&
					this.scrollParent[ 0 ] !== this.offsetParent[ 0 ] ) ) {
					this.offset.relative = this._getRelativeOffset();
				}

				/*
		 * - Position constraining -
		 * Constrain the position to a mix of grid, containment.
		 */

				if ( this.originalPosition ) { //If we are not dragging yet, we won't check for options

					if ( this.containment ) {
						if ( event.pageX - this.offset.click.left < this.containment[ 0 ] ) {
							pageX = this.containment[ 0 ] + this.offset.click.left;
						}
						if ( event.pageY - this.offset.click.top < this.containment[ 1 ] ) {
							pageY = this.containment[ 1 ] + this.offset.click.top;
						}
						if ( event.pageX - this.offset.click.left > this.containment[ 2 ] ) {
							pageX = this.containment[ 2 ] + this.offset.click.left;
						}
						if ( event.pageY - this.offset.click.top > this.containment[ 3 ] ) {
							pageY = this.containment[ 3 ] + this.offset.click.top;
						}
					}

					if ( o.grid ) {
						top = this.originalPageY + Math.round( ( pageY - this.originalPageY ) /
							o.grid[ 1 ] ) * o.grid[ 1 ];
						pageY = this.containment ?
							( ( top - this.offset.click.top >= this.containment[ 1 ] &&
								top - this.offset.click.top <= this.containment[ 3 ] ) ?
								top :
								( ( top - this.offset.click.top >= this.containment[ 1 ] ) ?
									top - o.grid[ 1 ] : top + o.grid[ 1 ] ) ) :
							top;

						left = this.originalPageX + Math.round( ( pageX - this.originalPageX ) /
							o.grid[ 0 ] ) * o.grid[ 0 ];
						pageX = this.containment ?
							( ( left - this.offset.click.left >= this.containment[ 0 ] &&
								left - this.offset.click.left <= this.containment[ 2 ] ) ?
								left :
								( ( left - this.offset.click.left >= this.containment[ 0 ] ) ?
									left - o.grid[ 0 ] : left + o.grid[ 0 ] ) ) :
							left;
					}

				}

				return {
					top: (

						// The absolute mouse position
						pageY -

						// Click offset (relative to the element)
						this.offset.click.top -

						// Only for relative positioned nodes: Relative offset from element to offset parent
						this.offset.relative.top -

						// The offsetParent's offset without borders (offset + border)
						this.offset.parent.top +
						( ( this.cssPosition === "fixed" ?
							-this.scrollParent.scrollTop() :
							( scrollIsRootNode ? 0 : scroll.scrollTop() ) ) )
					),
					left: (

						// The absolute mouse position
						pageX -

						// Click offset (relative to the element)
						this.offset.click.left -

						// Only for relative positioned nodes: Relative offset from element to offset parent
						this.offset.relative.left -

						// The offsetParent's offset without borders (offset + border)
						this.offset.parent.left +
						( ( this.cssPosition === "fixed" ?
							-this.scrollParent.scrollLeft() :
							scrollIsRootNode ? 0 : scroll.scrollLeft() ) )
					)
				};

			},

			_rearrange: function( event, i, a, hardRefresh ) {

				if ( a ) {
					a[ 0 ].appendChild( this.placeholder[ 0 ] );
				} else {
					i.item[ 0 ].parentNode.insertBefore( this.placeholder[ 0 ],
						( this.direction === "down" ? i.item[ 0 ] : i.item[ 0 ].nextSibling ) );
				}

				//Various things done here to improve the performance:
				// 1. we create a setTimeout, that calls refreshPositions
				// 2. on the instance, we have a counter variable, that get's higher after every append
				// 3. on the local scope, we copy the counter variable, and check in the timeout,
				// if it's still the same
				// 4. this lets only the last addition to the timeout stack through
				this.counter = this.counter ? ++this.counter : 1;
				var counter = this.counter;

				this._delay( function() {
					if ( counter === this.counter ) {

						//Precompute after each DOM insertion, NOT on mousemove
						this.refreshPositions( !hardRefresh );
					}
				} );

			},

			_clear: function( event, noPropagation ) {

				this.reverting = false;

				// We delay all events that have to be triggered to after the point where the placeholder
				// has been removed and everything else normalized again
				var i,
					delayedTriggers = [];

				// We first have to update the dom position of the actual currentItem
				// Note: don't do it if the current item is already removed (by a user), or it gets
				// reappended (see #4088)
				if ( !this._noFinalSort && this.currentItem.parent().length ) {
					this.placeholder.before( this.currentItem );
				}
				this._noFinalSort = null;

				if ( this.helper[ 0 ] === this.currentItem[ 0 ] ) {
					for ( i in this._storedCSS ) {
						if ( this._storedCSS[ i ] === "auto" || this._storedCSS[ i ] === "static" ) {
							this._storedCSS[ i ] = "";
						}
					}
					this.currentItem.css( this._storedCSS );
					this._removeClass( this.currentItem, "ui-sortable-helper" );
				} else {
					this.currentItem.show();
				}

				if ( this.fromOutside && !noPropagation ) {
					delayedTriggers.push( function( event ) {
						this._trigger( "receive", event, this._uiHash( this.fromOutside ) );
					} );
				}
				if ( ( this.fromOutside ||
					this.domPosition.prev !==
					this.currentItem.prev().not( ".ui-sortable-helper" )[ 0 ] ||
					this.domPosition.parent !== this.currentItem.parent()[ 0 ] ) && !noPropagation ) {

					// Trigger update callback if the DOM position has changed
					delayedTriggers.push( function( event ) {
						this._trigger( "update", event, this._uiHash() );
					} );
				}

				// Check if the items Container has Changed and trigger appropriate
				// events.
				if ( this !== this.currentContainer ) {
					if ( !noPropagation ) {
						delayedTriggers.push( function( event ) {
							this._trigger( "remove", event, this._uiHash() );
						} );
						delayedTriggers.push( ( function( c ) {
							return function( event ) {
								c._trigger( "receive", event, this._uiHash( this ) );
							};
						} ).call( this, this.currentContainer ) );
						delayedTriggers.push( ( function( c ) {
							return function( event ) {
								c._trigger( "update", event, this._uiHash( this ) );
							};
						} ).call( this, this.currentContainer ) );
					}
				}

				//Post events to containers
				function delayEvent( type, instance, container ) {
					return function( event ) {
						container._trigger( type, event, instance._uiHash( instance ) );
					};
				}
				for ( i = this.containers.length - 1; i >= 0; i-- ) {
					if ( !noPropagation ) {
						delayedTriggers.push( delayEvent( "deactivate", this, this.containers[ i ] ) );
					}
					if ( this.containers[ i ].containerCache.over ) {
						delayedTriggers.push( delayEvent( "out", this, this.containers[ i ] ) );
						this.containers[ i ].containerCache.over = 0;
					}
				}

				//Do what was originally in plugins
				if ( this.storedCursor ) {
					this.document.find( "body" ).css( "cursor", this.storedCursor );
					this.storedStylesheet.remove();
				}
				if ( this._storedOpacity ) {
					this.helper.css( "opacity", this._storedOpacity );
				}
				if ( this._storedZIndex ) {
					this.helper.css( "zIndex", this._storedZIndex === "auto" ? "" : this._storedZIndex );
				}

				this.dragging = false;

				if ( !noPropagation ) {
					this._trigger( "beforeStop", event, this._uiHash() );
				}

				//$(this.placeholder[0]).remove(); would have been the jQuery way - unfortunately,
				// it unbinds ALL events from the original node!
				this.placeholder[ 0 ].parentNode.removeChild( this.placeholder[ 0 ] );

				if ( !this.cancelHelperRemoval ) {
					if ( this.helper[ 0 ] !== this.currentItem[ 0 ] ) {
						this.helper.remove();
					}
					this.helper = null;
				}

				if ( !noPropagation ) {
					for ( i = 0; i < delayedTriggers.length; i++ ) {

						// Trigger all delayed events
						delayedTriggers[ i ].call( this, event );
					}
					this._trigger( "stop", event, this._uiHash() );
				}

				this.fromOutside = false;
				return !this.cancelHelperRemoval;

			},

			_trigger: function() {
				if ( $.Widget.prototype._trigger.apply( this, arguments ) === false ) {
					this.cancel();
				}
			},

			_uiHash: function( _inst ) {
				var inst = _inst || this;
				return {
					helper: inst.helper,
					placeholder: inst.placeholder || $( [] ),
					position: inst.position,
					originalPosition: inst.originalPosition,
					offset: inst.positionAbs,
					item: inst.currentItem,
					sender: _inst ? _inst.element : null
				};
			}

		} );


		/*!
 * jQuery UI Spinner 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Spinner
//>>group: Widgets
//>>description: Displays buttons to easily input numbers via the keyboard or mouse.
//>>docs: http://api.jqueryui.com/spinner/
//>>demos: http://jqueryui.com/spinner/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/spinner.css
//>>css.theme: ../../themes/base/theme.css


		function spinnerModifier( fn ) {
			return function() {
				var previous = this.element.val();
				fn.apply( this, arguments );
				this._refresh();
				if ( previous !== this.element.val() ) {
					this._trigger( "change" );
				}
			};
		}

		$.widget( "ui.spinner", {
			version: "1.13.2",
			defaultElement: "<input>",
			widgetEventPrefix: "spin",
			options: {
				classes: {
					"ui-spinner": "ui-corner-all",
					"ui-spinner-down": "ui-corner-br",
					"ui-spinner-up": "ui-corner-tr"
				},
				culture: null,
				icons: {
					down: "ui-icon-triangle-1-s",
					up: "ui-icon-triangle-1-n"
				},
				incremental: true,
				max: null,
				min: null,
				numberFormat: null,
				page: 10,
				step: 1,

				change: null,
				spin: null,
				start: null,
				stop: null
			},

			_create: function() {

				// handle string values that need to be parsed
				this._setOption( "max", this.options.max );
				this._setOption( "min", this.options.min );
				this._setOption( "step", this.options.step );

				// Only format if there is a value, prevents the field from being marked
				// as invalid in Firefox, see #9573.
				if ( this.value() !== "" ) {

					// Format the value, but don't constrain.
					this._value( this.element.val(), true );
				}

				this._draw();
				this._on( this._events );
				this._refresh();

				// Turning off autocomplete prevents the browser from remembering the
				// value when navigating through history, so we re-enable autocomplete
				// if the page is unloaded before the widget is destroyed. #7790
				this._on( this.window, {
					beforeunload: function() {
						this.element.removeAttr( "autocomplete" );
					}
				} );
			},

			_getCreateOptions: function() {
				var options = this._super();
				var element = this.element;

				$.each( [ "min", "max", "step" ], function( i, option ) {
					var value = element.attr( option );
					if ( value != null && value.length ) {
						options[ option ] = value;
					}
				} );

				return options;
			},

			_events: {
				keydown: function( event ) {
					if ( this._start( event ) && this._keydown( event ) ) {
						event.preventDefault();
					}
				},
				keyup: "_stop",
				focus: function() {
					this.previous = this.element.val();
				},
				blur: function( event ) {
					if ( this.cancelBlur ) {
						delete this.cancelBlur;
						return;
					}

					this._stop();
					this._refresh();
					if ( this.previous !== this.element.val() ) {
						this._trigger( "change", event );
					}
				},
				mousewheel: function( event, delta ) {
					var activeElement = $.ui.safeActiveElement( this.document[ 0 ] );
					var isActive = this.element[ 0 ] === activeElement;

					if ( !isActive || !delta ) {
						return;
					}

					if ( !this.spinning && !this._start( event ) ) {
						return false;
					}

					this._spin( ( delta > 0 ? 1 : -1 ) * this.options.step, event );
					clearTimeout( this.mousewheelTimer );
					this.mousewheelTimer = this._delay( function() {
						if ( this.spinning ) {
							this._stop( event );
						}
					}, 100 );
					event.preventDefault();
				},
				"mousedown .ui-spinner-button": function( event ) {
					var previous;

					// We never want the buttons to have focus; whenever the user is
					// interacting with the spinner, the focus should be on the input.
					// If the input is focused then this.previous is properly set from
					// when the input first received focus. If the input is not focused
					// then we need to set this.previous based on the value before spinning.
					previous = this.element[ 0 ] === $.ui.safeActiveElement( this.document[ 0 ] ) ?
						this.previous : this.element.val();
					function checkFocus() {
						var isActive = this.element[ 0 ] === $.ui.safeActiveElement( this.document[ 0 ] );
						if ( !isActive ) {
							this.element.trigger( "focus" );
							this.previous = previous;

							// support: IE
							// IE sets focus asynchronously, so we need to check if focus
							// moved off of the input because the user clicked on the button.
							this._delay( function() {
								this.previous = previous;
							} );
						}
					}

					// Ensure focus is on (or stays on) the text field
					event.preventDefault();
					checkFocus.call( this );

					// Support: IE
					// IE doesn't prevent moving focus even with event.preventDefault()
					// so we set a flag to know when we should ignore the blur event
					// and check (again) if focus moved off of the input.
					this.cancelBlur = true;
					this._delay( function() {
						delete this.cancelBlur;
						checkFocus.call( this );
					} );

					if ( this._start( event ) === false ) {
						return;
					}

					this._repeat( null, $( event.currentTarget )
						.hasClass( "ui-spinner-up" ) ? 1 : -1, event );
				},
				"mouseup .ui-spinner-button": "_stop",
				"mouseenter .ui-spinner-button": function( event ) {

					// button will add ui-state-active if mouse was down while mouseleave and kept down
					if ( !$( event.currentTarget ).hasClass( "ui-state-active" ) ) {
						return;
					}

					if ( this._start( event ) === false ) {
						return false;
					}
					this._repeat( null, $( event.currentTarget )
						.hasClass( "ui-spinner-up" ) ? 1 : -1, event );
				},

				// TODO: do we really want to consider this a stop?
				// shouldn't we just stop the repeater and wait until mouseup before
				// we trigger the stop event?
				"mouseleave .ui-spinner-button": "_stop"
			},

			// Support mobile enhanced option and make backcompat more sane
			_enhance: function() {
				this.uiSpinner = this.element
					.attr( "autocomplete", "off" )
					.wrap( "<span>" )
					.parent()

					// Add buttons
					.append(
						"<a></a><a></a>"
					);
			},

			_draw: function() {
				this._enhance();

				this._addClass( this.uiSpinner, "ui-spinner", "ui-widget ui-widget-content" );
				this._addClass( "ui-spinner-input" );

				this.element.attr( "role", "spinbutton" );

				// Button bindings
				this.buttons = this.uiSpinner.children( "a" )
					.attr( "tabIndex", -1 )
					.attr( "aria-hidden", true )
					.button( {
						classes: {
							"ui-button": ""
						}
					} );

				// TODO: Right now button does not support classes this is already updated in button PR
				this._removeClass( this.buttons, "ui-corner-all" );

				this._addClass( this.buttons.first(), "ui-spinner-button ui-spinner-up" );
				this._addClass( this.buttons.last(), "ui-spinner-button ui-spinner-down" );
				this.buttons.first().button( {
					"icon": this.options.icons.up,
					"showLabel": false
				} );
				this.buttons.last().button( {
					"icon": this.options.icons.down,
					"showLabel": false
				} );

				// IE 6 doesn't understand height: 50% for the buttons
				// unless the wrapper has an explicit height
				if ( parseInt(this.buttons.css("height")) > Math.ceil( parseInt(this.uiSpinner.css("height")) * 0.5 ) &&
					parseInt(this.uiSpinner.css("height")) > 0 ) {
					this.uiSpinner.css("height", parseInt(this.uiSpinner.css("height"))+"px" );
				}
			},

			_keydown: function( event ) {
				var options = this.options,
					keyCode = $.ui.keyCode;

				switch ( event.keyCode ) {
					case keyCode.UP:
						this._repeat( null, 1, event );
						return true;
					case keyCode.DOWN:
						this._repeat( null, -1, event );
						return true;
					case keyCode.PAGE_UP:
						this._repeat( null, options.page, event );
						return true;
					case keyCode.PAGE_DOWN:
						this._repeat( null, -options.page, event );
						return true;
				}

				return false;
			},

			_start: function( event ) {
				if ( !this.spinning && this._trigger( "start", event ) === false ) {
					return false;
				}

				if ( !this.counter ) {
					this.counter = 1;
				}
				this.spinning = true;
				return true;
			},

			_repeat: function( i, steps, event ) {
				i = i || 500;

				clearTimeout( this.timer );
				this.timer = this._delay( function() {
					this._repeat( 40, steps, event );
				}, i );

				this._spin( steps * this.options.step, event );
			},

			_spin: function( step, event ) {
				var value = this.value() || 0;

				if ( !this.counter ) {
					this.counter = 1;
				}

				value = this._adjustValue( value + step * this._increment( this.counter ) );

				if ( !this.spinning || this._trigger( "spin", event, { value: value } ) !== false ) {
					this._value( value );
					this.counter++;
				}
			},

			_increment: function( i ) {
				var incremental = this.options.incremental;

				if ( incremental ) {
					return typeof incremental === "function" ?
						incremental( i ) :
						Math.floor( i * i * i / 50000 - i * i / 500 + 17 * i / 200 + 1 );
				}

				return 1;
			},

			_precision: function() {
				var precision = this._precisionOf( this.options.step );
				if ( this.options.min !== null ) {
					precision = Math.max( precision, this._precisionOf( this.options.min ) );
				}
				return precision;
			},

			_precisionOf: function( num ) {
				var str = num.toString(),
					decimal = str.indexOf( "." );
				return decimal === -1 ? 0 : str.length - decimal - 1;
			},

			_adjustValue: function( value ) {
				var base, aboveMin,
					options = this.options;

				// Make sure we're at a valid step
				// - find out where we are relative to the base (min or 0)
				base = options.min !== null ? options.min : 0;
				aboveMin = value - base;

				// - round to the nearest step
				aboveMin = Math.round( aboveMin / options.step ) * options.step;

				// - rounding is based on 0, so adjust back to our base
				value = base + aboveMin;

				// Fix precision from bad JS floating point math
				value = parseFloat( value.toFixed( this._precision() ) );

				// Clamp the value
				if ( options.max !== null && value > options.max ) {
					return options.max;
				}
				if ( options.min !== null && value < options.min ) {
					return options.min;
				}

				return value;
			},

			_stop: function( event ) {
				if ( !this.spinning ) {
					return;
				}

				clearTimeout( this.timer );
				clearTimeout( this.mousewheelTimer );
				this.counter = 0;
				this.spinning = false;
				this._trigger( "stop", event );
			},

			_setOption: function( key, value ) {
				var prevValue, first, last;

				if ( key === "culture" || key === "numberFormat" ) {
					prevValue = this._parse( this.element.val() );
					this.options[ key ] = value;
					this.element.val( this._format( prevValue ) );
					return;
				}

				if ( key === "max" || key === "min" || key === "step" ) {
					if ( typeof value === "string" ) {
						value = this._parse( value );
					}
				}
				if ( key === "icons" ) {
					first = this.buttons.first().find( ".ui-icon" );
					this._removeClass( first, null, this.options.icons.up );
					this._addClass( first, null, value.up );
					last = this.buttons.last().find( ".ui-icon" );
					this._removeClass( last, null, this.options.icons.down );
					this._addClass( last, null, value.down );
				}

				this._super( key, value );
			},

			_setOptionDisabled: function( value ) {
				this._super( value );

				this._toggleClass( this.uiSpinner, null, "ui-state-disabled", !!value );
				this.element.prop( "disabled", !!value );
				this.buttons.button( value ? "disable" : "enable" );
			},

			_setOptions: spinnerModifier( function( options ) {
				this._super( options );
			} ),

			_parse: function( val ) {
				if ( typeof val === "string" && val !== "" ) {
					val = window.Globalize && this.options.numberFormat ?
						Globalize.parseFloat( val, 10, this.options.culture ) : +val;
				}
				return val === "" || isNaN( val ) ? null : val;
			},

			_format: function( value ) {
				if ( value === "" ) {
					return "";
				}
				return window.Globalize && this.options.numberFormat ?
					Globalize.format( value, this.options.numberFormat, this.options.culture ) :
					value;
			},

			_refresh: function() {
				this.element.attr( {
					"aria-valuemin": this.options.min,
					"aria-valuemax": this.options.max,

					// TODO: what should we do with values that can't be parsed?
					"aria-valuenow": this._parse( this.element.val() )
				} );
			},

			isValid: function() {
				var value = this.value();

				// Null is invalid
				if ( value === null ) {
					return false;
				}

				// If value gets adjusted, it's invalid
				return value === this._adjustValue( value );
			},

			// Update the value without triggering change
			_value: function( value, allowAny ) {
				var parsed;
				if ( value !== "" ) {
					parsed = this._parse( value );
					if ( parsed !== null ) {
						if ( !allowAny ) {
							parsed = this._adjustValue( parsed );
						}
						value = this._format( parsed );
					}
				}
				this.element.val( value );
				this._refresh();
			},

			_destroy: function() {
				this.element
					.prop( "disabled", false )
					.removeAttr( "autocomplete role aria-valuemin aria-valuemax aria-valuenow" );

				this.uiSpinner.replaceWith( this.element );
			},

			stepUp: spinnerModifier( function( steps ) {
				this._stepUp( steps );
			} ),
			_stepUp: function( steps ) {
				if ( this._start() ) {
					this._spin( ( steps || 1 ) * this.options.step );
					this._stop();
				}
			},

			stepDown: spinnerModifier( function( steps ) {
				this._stepDown( steps );
			} ),
			_stepDown: function( steps ) {
				if ( this._start() ) {
					this._spin( ( steps || 1 ) * -this.options.step );
					this._stop();
				}
			},

			pageUp: spinnerModifier( function( pages ) {
				this._stepUp( ( pages || 1 ) * this.options.page );
			} ),

			pageDown: spinnerModifier( function( pages ) {
				this._stepDown( ( pages || 1 ) * this.options.page );
			} ),

			value: function( newVal ) {
				if ( !arguments.length ) {
					return this._parse( this.element.val() );
				}
				spinnerModifier( this._value ).call( this, newVal );
			},

			widget: function() {
				return this.uiSpinner;
			}
		} );

// DEPRECATED
// TODO: switch return back to widget declaration at top of file when this is removed
		if ( $.uiBackCompat !== false ) {

			// Backcompat for spinner html extension points
			$.widget( "ui.spinner", $.ui.spinner, {
				_enhance: function() {
					this.uiSpinner = this.element
						.attr( "autocomplete", "off" )
						.wrap( this._uiSpinnerHtml() )
						.parent()

						// Add buttons
						.append( this._buttonHtml() );
				},
				_uiSpinnerHtml: function() {
					return "<span>";
				},

				_buttonHtml: function() {
					return "<a></a><a></a>";
				}
			} );
		}

		var widgetsSpinner = $.ui.spinner;


		/*!
 * jQuery UI Tabs 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Tabs
//>>group: Widgets
//>>description: Transforms a set of container elements into a tab structure.
//>>docs: http://api.jqueryui.com/tabs/
//>>demos: http://jqueryui.com/tabs/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/tabs.css
//>>css.theme: ../../themes/base/theme.css


		$.widget( "ui.tabs", {
			version: "1.13.2",
			delay: 300,
			options: {
				active: null,
				classes: {
					"ui-tabs": "ui-corner-all",
					"ui-tabs-nav": "ui-corner-all",
					"ui-tabs-panel": "ui-corner-bottom",
					"ui-tabs-tab": "ui-corner-top"
				},
				collapsible: false,
				event: "click",
				heightStyle: "content",
				hide: null,
				show: null,

				// Callbacks
				activate: null,
				beforeActivate: null,
				beforeLoad: null,
				load: null
			},

			_isLocal: ( function() {
				var rhash = /#.*$/;

				return function( anchor ) {
					var anchorUrl, locationUrl;

					anchorUrl = anchor.href.replace( rhash, "" );
					locationUrl = location.href.replace( rhash, "" );

					// Decoding may throw an error if the URL isn't UTF-8 (#9518)
					try {
						anchorUrl = decodeURIComponent( anchorUrl );
					} catch ( error ) {}
					try {
						locationUrl = decodeURIComponent( locationUrl );
					} catch ( error ) {}

					return anchor.hash.length > 1 && anchorUrl === locationUrl;
				};
			} )(),

			_create: function() {
				var that = this,
					options = this.options;

				this.running = false;

				this._addClass( "ui-tabs", "ui-widget ui-widget-content" );
				this._toggleClass( "ui-tabs-collapsible", null, options.collapsible );

				this._processTabs();
				options.active = this._initialActive();

				// Take disabling tabs via class attribute from HTML
				// into account and update option properly.
				if ( Array.isArray( options.disabled ) ) {
					options.disabled = $.uniqueSort( options.disabled.concat(
						$.map( this.tabs.filter( ".ui-state-disabled" ), function( li ) {
							return that.tabs.index( li );
						} )
					) ).sort();
				}

				// Check for length avoids error when initializing empty list
				if ( this.options.active !== false && this.anchors.length ) {
					this.active = this._findActive( options.active );
				} else {
					this.active = $();
				}

				this._refresh();

				if ( this.active.length ) {
					this.load(options.active );
				}
			},

			_initialActive: function() {
				var active = this.options.active,
					collapsible = this.options.collapsible,
					locationHash = location.hash.substring( 1 );

				if ( active === null ) {

					// check the fragment identifier in the URL
					if ( locationHash ) {
						this.tabs.each( function( i, tab ) {
							if ( $( tab ).attr( "aria-controls" ) === locationHash ) {
								active = i;
								return false;
							}
						} );
					}

					// Check for a tab marked active via a class
					if ( active === null ) {
						active = this.tabs.index( this.tabs.filter( ".ui-tabs-active" ) );
					}

					// No active tab, set to false
					if ( active === null || active === -1 ) {
						active = this.tabs.length ? 0 : false;
					}
				}

				// Handle numbers: negative, out of range
				if ( active !== false ) {
					active = this.tabs.index( this.tabs.eq( active ) );
					if ( active === -1 ) {
						active = collapsible ? false : 0;
					}
				}

				// Don't allow collapsible: false and active: false
				if ( !collapsible && active === false && this.anchors.length ) {
					active = 0;
				}

				return active;
			},

			_getCreateEventData: function() {
				return {
					tab: this.active,
					panel: !this.active.length ? $() : this._getPanelForTab( this.active )
				};
			},

			_tabKeydown: function( event ) {
				var focusedTab = $( $.ui.safeActiveElement( this.document[ 0 ] ) ).closest( "li" ),
					selectedIndex = this.tabs.index( focusedTab ),
					goingForward = true;

				if ( this._handlePageNav( event ) ) {
					return;
				}

				switch ( event.keyCode ) {
					case $.ui.keyCode.RIGHT:
					case $.ui.keyCode.DOWN:
						selectedIndex++;
						break;
					case $.ui.keyCode.UP:
					case $.ui.keyCode.LEFT:
						goingForward = false;
						selectedIndex--;
						break;
					case $.ui.keyCode.END:
						selectedIndex = this.anchors.length - 1;
						break;
					case $.ui.keyCode.HOME:
						selectedIndex = 0;
						break;
					case $.ui.keyCode.SPACE:

						// Activate only, no collapsing
						event.preventDefault();
						clearTimeout( this.activating );
						this._activate( selectedIndex );
						return;
					case $.ui.keyCode.ENTER:

						// Toggle (cancel delayed activation, allow collapsing)
						event.preventDefault();
						clearTimeout( this.activating );

						// Determine if we should collapse or activate
						this._activate( selectedIndex === this.options.active ? false : selectedIndex );
						return;
					default:
						return;
				}

				// Focus the appropriate tab, based on which key was pressed
				event.preventDefault();
				clearTimeout( this.activating );
				selectedIndex = this._focusNextTab( selectedIndex, goingForward );

				// Navigating with control/command key will prevent automatic activation
				if ( !event.ctrlKey && !event.metaKey ) {

					// Update aria-selected immediately so that AT think the tab is already selected.
					// Otherwise AT may confuse the user by stating that they need to activate the tab,
					// but the tab will already be activated by the time the announcement finishes.
					focusedTab.attr( "aria-selected", "false" );
					this.tabs.eq( selectedIndex ).attr( "aria-selected", "true" );

					this.activating = this._delay( function() {
						this.option( "active", selectedIndex );
					}, this.delay );
				}
			},

			_panelKeydown: function( event ) {
				if ( this._handlePageNav( event ) ) {
					return;
				}

				// Ctrl+up moves focus to the current tab
				if ( event.ctrlKey && event.keyCode === $.ui.keyCode.UP ) {
					event.preventDefault();
					this.active.trigger( "focus" );
				}
			},

			// Alt+page up/down moves focus to the previous/next tab (and activates)
			_handlePageNav: function( event ) {
				if ( event.altKey && event.keyCode === $.ui.keyCode.PAGE_UP ) {
					this._activate( this._focusNextTab( this.options.active - 1, false ) );
					return true;
				}
				if ( event.altKey && event.keyCode === $.ui.keyCode.PAGE_DOWN ) {
					this._activate( this._focusNextTab( this.options.active + 1, true ) );
					return true;
				}
			},

			_findNextTab: function( index, goingForward ) {
				var lastTabIndex = this.tabs.length - 1;

				function constrain() {
					if ( index > lastTabIndex ) {
						index = 0;
					}
					if ( index < 0 ) {
						index = lastTabIndex;
					}
					return index;
				}

				while ( $.inArray( constrain(), this.options.disabled ) !== -1 ) {
					index = goingForward ? index + 1 : index - 1;
				}

				return index;
			},

			_focusNextTab: function( index, goingForward ) {
				index = this._findNextTab( index, goingForward );
				this.tabs.eq( index ).trigger( "focus" );
				return index;
			},

			_setOption: function( key, value ) {
				if ( key === "active" ) {

					// _activate() will handle invalid values and update this.options
					this._activate( value );
					return;
				}

				this._super( key, value );

				if ( key === "collapsible" ) {
					this._toggleClass( "ui-tabs-collapsible", null, value );

					// Setting collapsible: false while collapsed; open first panel
					if ( !value && this.options.active === false ) {
						this._activate( 0 );
					}
				}

				if ( key === "event" ) {
					this._setupEvents( value );
				}

				if ( key === "heightStyle" ) {
					this._setupHeightStyle( value );
				}
			},

			_sanitizeSelector: function( hash ) {
				return hash ? hash.replace( /[!"$%&'()*+,.\/:;<=>?@\[\]\^`{|}~]/g, "\\$&" ) : "";
			},

			refresh: function() {
				var options = this.options,
					lis = this.tablist.children( ":has(a[href])" );

				// Get disabled tabs from class attribute from HTML
				// this will get converted to a boolean if needed in _refresh()
				options.disabled = $.map( lis.filter( ".ui-state-disabled" ), function( tab ) {
					return lis.index( tab );
				} );

				this._processTabs();

				// Was collapsed or no tabs
				if ( options.active === false || !this.anchors.length ) {
					options.active = false;
					this.active = $();

					// was active, but active tab is gone
				} else if ( this.active.length && !$.contains( this.tablist[ 0 ], this.active[ 0 ] ) ) {

					// all remaining tabs are disabled
					if ( this.tabs.length === options.disabled.length ) {
						options.active = false;
						this.active = $();

						// activate previous tab
					} else {
						this._activate( this._findNextTab( Math.max( 0, options.active - 1 ), false ) );
					}

					// was active, active tab still exists
				} else {

					// make sure active index is correct
					options.active = this.tabs.index( this.active );
				}

				this._refresh();
			},

			_refresh: function() {
				this._setOptionDisabled( this.options.disabled );
				this._setupEvents( this.options.event );
				this._setupHeightStyle( this.options.heightStyle );

				this.tabs.not( this.active ).attr( {
					"aria-selected": "false",
					"aria-expanded": "false",
					tabIndex: -1
				} );
				this.panels.not( this._getPanelForTab( this.active ) )
					.hide()
					.attr( {
						"aria-hidden": "true"
					} );

				// Make sure one tab is in the tab order
				if ( !this.active.length ) {
					this.tabs.eq( 0 ).attr( "tabIndex", 0 );
				} else {
					this.active
						.attr( {
							"aria-selected": "true",
							"aria-expanded": "true",
							tabIndex: 0
						} );
					this._addClass( this.active, "ui-tabs-active", "ui-state-active" );
					this._getPanelForTab( this.active )
						.show()
						.attr( {
							"aria-hidden": "false"
						} );
				}
			},

			_processTabs: function() {
				var that = this,
					prevTabs = this.tabs,
					prevAnchors = this.anchors,
					prevPanels = this.panels;

				this.tablist = this._getList().attr( "role", "tablist" );
				this._addClass( this.tablist, "ui-tabs-nav",
					"ui-helper-reset ui-helper-clearfix ui-widget-header" );

				// Prevent users from focusing disabled tabs via click
				this.tablist
					.on( "mousedown" + this.eventNamespace, "> li", function( event ) {
						if ( $( this ).is( ".ui-state-disabled" ) ) {
							event.preventDefault();
						}
					} )

					// Support: IE <9
					// Preventing the default action in mousedown doesn't prevent IE
					// from focusing the element, so if the anchor gets focused, blur.
					// We don't have to worry about focusing the previously focused
					// element since clicking on a non-focusable element should focus
					// the body anyway.
					.on( "focus" + this.eventNamespace, ".ui-tabs-anchor", function() {
						if ( $( this ).closest( "li" ).is( ".ui-state-disabled" ) ) {
							this.blur();
						}
					} );

				this.tabs = this.tablist.find( "> li:has(a[href])" )
					.attr( {
						role: "tab",
						tabIndex: -1
					} );
				this._addClass( this.tabs, "ui-tabs-tab", "ui-state-default" );

				this.anchors = this.tabs.map( function() {
					return $( "a", this )[ 0 ];
				} )
					.attr( {
						tabIndex: -1
					} );
				this._addClass( this.anchors, "ui-tabs-anchor" );

				this.panels = $();

				this.anchors.each( function( i, anchor ) {
					var selector, panel, panelId,
						anchorId = $( anchor ).uniqueId().attr( "id" ),
						tab = $( anchor ).closest( "li" ),
						originalAriaControls = tab.attr( "aria-controls" );

					// Inline tab
					if ( that._isLocal( anchor ) ) {
						selector = anchor.hash;
						panelId = selector.substring( 1 );
						panel = that.element.find( that._sanitizeSelector( selector ) );

						// remote tab
					} else {

						// If the tab doesn't already have aria-controls,
						// generate an id by using a throw-away element
						panelId = tab.attr( "aria-controls" ) || $( {} ).uniqueId()[ 0 ].id;
						selector = "#" + panelId;
						panel = that.element.find( selector );
						if ( !panel.length ) {
							panel = that._createPanel( panelId );
							panel.insertAfter( that.panels[ i - 1 ] || that.tablist );
						}
						panel.attr( "aria-live", "polite" );
					}

					if ( panel.length ) {
						that.panels = that.panels.add( panel );
					}
					if ( originalAriaControls ) {
						tab.data( "ui-tabs-aria-controls", originalAriaControls );
					}
					tab.attr( {
						"aria-controls": panelId,
						"aria-labelledby": anchorId
					} );
					panel.attr( "aria-labelledby", anchorId );
				} );

				this.panels.attr( "role", "tabpanel" );
				this._addClass( this.panels, "ui-tabs-panel", "ui-widget-content" );

				// Avoid memory leaks (#10056)
				if ( prevTabs ) {
					this._off( prevTabs.not( this.tabs ) );
					this._off( prevAnchors.not( this.anchors ) );
					this._off( prevPanels.not( this.panels ) );
				}
			},

			// Allow overriding how to find the list for rare usage scenarios (#7715)
			_getList: function() {
				return this.tablist || this.element.find( "ol, ul" ).eq( 0 );
			},

			_createPanel: function( id ) {
				return $( "<div>" )
					.attr( "id", id )
					.data( "ui-tabs-destroy", true );
			},

			_setOptionDisabled: function( disabled ) {
				var currentItem, li, i;

				if ( Array.isArray( disabled ) ) {
					if ( !disabled.length ) {
						disabled = false;
					} else if ( disabled.length === this.anchors.length ) {
						disabled = true;
					}
				}

				// Disable tabs
				for ( i = 0; ( li = this.tabs[ i ] ); i++ ) {
					currentItem = $( li );
					if ( disabled === true || $.inArray( i, disabled ) !== -1 ) {
						currentItem.attr( "aria-disabled", "true" );
						this._addClass( currentItem, null, "ui-state-disabled" );
					} else {
						currentItem.removeAttr( "aria-disabled" );
						this._removeClass( currentItem, null, "ui-state-disabled" );
					}
				}

				this.options.disabled = disabled;

				this._toggleClass( this.widget(), this.widgetFullName + "-disabled", null,
					disabled === true );
			},

			_setupEvents: function( event ) {
				var events = {};
				if ( event ) {
					$.each( event.split( " " ), function( index, eventName ) {
						events[ eventName ] = "_eventHandler";
					} );
				}

				this._off( this.anchors.add( this.tabs ).add( this.panels ) );

				// Always prevent the default action, even when disabled
				this._on( true, this.anchors, {
					click: function( event ) {
						event.preventDefault();
					}
				} );
				this._on( this.anchors, events );
				this._on( this.tabs, { keydown: "_tabKeydown" } );
				this._on( this.panels, { keydown: "_panelKeydown" } );

				this._focusable( this.tabs );
				this._hoverable( this.tabs );
			},

			_setupHeightStyle: function( heightStyle ) {
				var maxHeight,
					parent = this.element.parent();

				if ( heightStyle === "fill" ) {
					maxHeight = parseInt(parent.css("height"));
					maxHeight -= parseInt(this.element.css("height"))+parseInt(this.element.css("padding-top"))+parseInt(this.element.css("padding-bottom")) - parseInt(this.element.css("height"));

					this.element.siblings( ":visible" ).each( function() {
						var elem = $( this ),
							position = elem.css( "position" );

						if ( position === "absolute" || position === "fixed" ) {
							return;
						}
						maxHeight -= parseInt(elem.css("height"))+parseInt(elem.css("padding-top"))+parseInt(elem.css("padding-bottom"))+parseInt(elem.css("margin-top"))+parseInt(elem.css("margin-bottom"));
					} );

					this.element.children().not( this.panels ).each( function() {
						maxHeight -= parseInt($(this).css("height"))+parseInt($(this).css("padding-top"))+parseInt($(this).css("padding-bottom"))+parseInt($(this).css("margin-top"))+parseInt($(this).css("margin-bottom"));
					} );

					this.panels.each( function() {
						$( this ).css( "height", (Math.max( 0, maxHeight -
							parseInt($(this).css("height"))-parseInt($(this).css("padding-top"))-parseInt($(this).css("padding-bottom")) + parseInt($( this ).css("height")) ))+"px" );
					} )
						.css( "overflow", "auto" );
				} else if ( heightStyle === "auto" ) {
					maxHeight = 0;
					this.panels.each( function() {
						maxHeight = Math.max( maxHeight, parseInt($( this ).css("height", "" ).css("height")) );
					} ).css( "height",maxHeight+"px" );
				}
			},

			_eventHandler: function( event ) {
				var options = this.options,
					active = this.active,
					anchor = $( event.currentTarget ),
					tab = anchor.closest( "li" ),
					clickedIsActive = tab[ 0 ] === active[ 0 ],
					collapsing = clickedIsActive && options.collapsible,
					toShow = collapsing ? $() : this._getPanelForTab( tab ),
					toHide = !active.length ? $() : this._getPanelForTab( active ),
					eventData = {
						oldTab: active,
						oldPanel: toHide,
						newTab: collapsing ? $() : tab,
						newPanel: toShow
					};

				event.preventDefault();

				if ( tab.hasClass( "ui-state-disabled" ) ||

					// tab is already loading
					tab.hasClass( "ui-tabs-loading" ) ||

					// can't switch durning an animation
					this.running ||

					// click on active header, but not collapsible
					( clickedIsActive && !options.collapsible ) ||

					// allow canceling activation
					( this._trigger( "beforeActivate", event, eventData ) === false ) ) {
					return;
				}

				options.active = collapsing ? false : this.tabs.index( tab );

				this.active = clickedIsActive ? $() : tab;
				if ( this.xhr ) {
					this.xhr.abort();
				}

				if ( !toHide.length && !toShow.length ) {
					$.error( "jQuery UI Tabs: Mismatching fragment identifier." );
				}

				if ( toShow.length ) {
					this.load( this.tabs.index( tab ), event );
				}
				this._toggle( event, eventData );
			},

			// Handles show/hide for selecting tabs
			_toggle: function( event, eventData ) {
				var that = this,
					toShow = eventData.newPanel,
					toHide = eventData.oldPanel;

				this.running = true;

				function complete() {
					that.running = false;
					that._trigger( "activate", event, eventData );
				}

				function show() {
					that._addClass( eventData.newTab.closest( "li" ), "ui-tabs-active", "ui-state-active" );

					if ( toShow.length && that.options.show ) {
						that._show( toShow, that.options.show, complete );
					} else {
						toShow.show();
						complete();
					}
				}

				// Start out by hiding, then showing, then completing
				if ( toHide.length && this.options.hide ) {
					this._hide( toHide, this.options.hide, function() {
						that._removeClass( eventData.oldTab.closest( "li" ),
							"ui-tabs-active", "ui-state-active" );
						show();
					} );
				} else {
					this._removeClass( eventData.oldTab.closest( "li" ),
						"ui-tabs-active", "ui-state-active" );
					toHide.hide();
					show();
				}

				toHide.attr( "aria-hidden", "true" );
				eventData.oldTab.attr( {
					"aria-selected": "false",
					"aria-expanded": "false"
				} );

				// If we're switching tabs, remove the old tab from the tab order.
				// If we're opening from collapsed state, remove the previous tab from the tab order.
				// If we're collapsing, then keep the collapsing tab in the tab order.
				if ( toShow.length && toHide.length ) {
					eventData.oldTab.attr( "tabIndex", -1 );
				} else if ( toShow.length ) {
					this.tabs.filter( function() {
						return $( this ).attr( "tabIndex" ) === 0;
					} )
						.attr( "tabIndex", -1 );
				}

				toShow.attr( "aria-hidden", "false" );
				eventData.newTab.attr( {
					"aria-selected": "true",
					"aria-expanded": "true",
					tabIndex: 0
				} );
			},

			_activate: function( index ) {
				var anchor,
					active = this._findActive( index );

				// Trying to activate the already active panel
				if ( active[ 0 ] === this.active[ 0 ] ) {
					return;
				}

				// Trying to collapse, simulate a click on the current active header
				if ( !active.length ) {
					active = this.active;
				}

				anchor = active.find( ".ui-tabs-anchor" )[ 0 ];
				this._eventHandler( {
					target: anchor,
					currentTarget: anchor,
					preventDefault: $.noop
				} );
			},

			_findActive: function( index ) {
				return index === false ? $() : this.tabs.eq( index );
			},

			_getIndex: function( index ) {

				// meta-function to give users option to provide a href string instead of a numerical index.
				if ( typeof index === "string" ) {
					index = this.anchors.index( this.anchors.filter( "[href$='" +
						$.escapeSelector( index ) + "']" ) );
				}

				return index;
			},

			_destroy: function() {
				if ( this.xhr ) {
					this.xhr.abort();
				}

				this.tablist
					.removeClass( "ui-tabs-nav ui-helper-reset ui-helper-clearfix ui-widget-header ui-corner-all" )
					.removeAttr( "role" )
					.off( this.eventNamespace );

				this.anchors
					.removeClass( "ui-tabs-anchor" )
					.removeAttr( "role" )
					.removeAttr( "tabIndex" )
					.removeData( "href.tabs" )
					.removeData( "load.tabs" )
					.removeUniqueId();

				this.tabs.add( this.panels ).each( function() {
					if ( $.data( this, "ui-tabs-destroy" ) ) {
						$( this ).remove();
					} else {
						$( this )
							.removeClass( "ui-state-default ui-state-active ui-state-disabled " +
								"ui-corner-top ui-corner-bottom ui-widget-content ui-tabs-active ui-tabs-panel" )
							.removeAttr( "role tabIndex " +
							"aria-live aria-busy aria-selected aria-labelledby aria-hidden aria-expanded" );
					}
				} );

				this.tabs.each( function() {
					var li = $( this ),
						prev = li.data( "ui-tabs-aria-controls" );
					if ( prev ) {
						li
							.attr( "aria-controls", prev )
							.removeData( "ui-tabs-aria-controls" );
					} else {
						li.removeAttr( "aria-controls" );
					}
				} );

				this.panels.show();

				if ( this.options.heightStyle !== "content" ) {
					this.panels.css( "height", "" );
				}
			},

			enable: function( index ) {
				var disabled = this.options.disabled;
				if ( disabled === false ) {
					return;
				}

				if ( index === undefined ) {
					disabled = false;
				} else {
					index = this._getIndex( index );
					if ( Array.isArray( disabled ) ) {
						disabled = $.map( disabled, function( num ) {
							return num !== index ? num : null;
						} );
					} else {
						disabled = $.map( this.tabs, function( li, num ) {
							return num !== index ? num : null;
						} );
					}
				}
				this._setOptionDisabled( disabled );
			},

			disable: function( index ) {
				var disabled = this.options.disabled;
				if ( disabled === true ) {
					return;
				}

				if ( index === undefined ) {
					disabled = true;
				} else {
					index = this._getIndex( index );
					if ( $.inArray( index, disabled ) !== -1 ) {
						return;
					}
					if ( Array.isArray( disabled ) ) {
						disabled = $.merge( [ index ], disabled ).sort();
					} else {
						disabled = [ index ];
					}
				}
				this._setOptionDisabled( disabled );
			},

			load: function( index, event ) {
				index = this._getIndex( index );
				var that = this,
					tab = this.tabs.eq( index ),
					anchor = tab.find( ".ui-tabs-anchor" ),
					panel = this._getPanelForTab( tab ),
					eventData = {
						tab: tab,
						panel: panel
					},
					complete = function( jqXHR, status ) {
						if ( status === "abort" ) {
							that.panels.stop( false, true );
						}

						that._removeClass( tab, "ui-tabs-loading" );
						panel.removeAttr( "aria-busy" );

						if ( jqXHR === that.xhr ) {
							delete that.xhr;
						}
					};

				// Not remote
				if ( this._isLocal( anchor[ 0 ] ) ) {
					return;
				}

				this.xhr = $.ajax( this._ajaxSettings( anchor, event, eventData ) );

				// Support: jQuery <1.8
				// jQuery <1.8 returns false if the request is canceled in beforeSend,
				// but as of 1.8, $.ajax() always returns a jqXHR object.
				if ( this.xhr && this.xhr.statusText !== "canceled" ) {
					this._addClass( tab, "ui-tabs-loading" );
					panel.attr( "aria-busy", "true" );

					this.xhr
						.done( function( response, status, jqXHR ) {

							// support: jQuery <1.8
							// http://bugs.jquery.com/ticket/11778
							setTimeout( function() {
								panel.html( response );
								that._trigger( "load", event, eventData );

								complete( jqXHR, status );
							}, 1 );
						} )
						.fail( function( jqXHR, status ) {

							// support: jQuery <1.8
							// http://bugs.jquery.com/ticket/11778
							setTimeout( function() {
								complete( jqXHR, status );
							}, 1 );
						} );
				}
			},

			_ajaxSettings: function( anchor, event, eventData ) {
				var that = this;
				return {

					// Support: IE <11 only
					// Strip any hash that exists to prevent errors with the Ajax request
					url: anchor.attr( "href" ).replace( /#.*$/, "" ),
					beforeSend: function( jqXHR, settings ) {
						return that._trigger( "beforeLoad", event,
							$.extend( { jqXHR: jqXHR, ajaxSettings: settings }, eventData ) );
					}
				};
			},

			_getPanelForTab: function( tab ) {
				var id = $( tab ).attr( "aria-controls" );
				return this.element.find( this._sanitizeSelector( "#" + id ) );
			}
		} );

// DEPRECATED
// TODO: Switch return back to widget declaration at top of file when this is removed
		if ( $.uiBackCompat !== false ) {

			// Backcompat for ui-tab class (now ui-tabs-tab)
			$.widget( "ui.tabs", $.ui.tabs, {
				_processTabs: function() {
					this._superApply( arguments );
					this._addClass( this.tabs, "ui-tab" );
				}
			} );
		}

		var widgetsTabs = $.ui.tabs;


		/*!
 * jQuery UI Tooltip 1.13.2
 * http://jqueryui.com
 *
 * Copyright jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 */

//>>label: Tooltip
//>>group: Widgets
//>>description: Shows additional information for any element on hover or focus.
//>>docs: http://api.jqueryui.com/tooltip/
//>>demos: http://jqueryui.com/tooltip/
//>>css.structure: ../../themes/base/core.css
//>>css.structure: ../../themes/base/tooltip.css
//>>css.theme: ../../themes/base/theme.css


		$.widget( "ui.tooltip", {
			version: "1.13.2",
			options: {
				classes: {
					"ui-tooltip": "ui-corner-all ui-widget-shadow"
				},
				content: function() {
					var title = $( this ).attr( "title" );

					// Escape title, since we're going from an attribute to raw HTML
					return $( "<a>" ).text( title ).html();
				},
				hide: true,

				// Disabled elements have inconsistent behavior across browsers (#8661)
				items: "[title]:not([disabled])",
				position: {
					my: "left top+15",
					at: "left bottom",
					collision: "flipfit flip"
				},
				show: true,
				track: false,

				// Callbacks
				close: null,
				open: null
			},

			_addDescribedBy: function( elem, id ) {
				var describedby = ( elem.attr( "aria-describedby" ) || "" ).split( /\s+/ );
				describedby.push( id );
				elem
					.data( "ui-tooltip-id", id )
					.attr( "aria-describedby", String.prototype.trim.call( describedby.join( " " ) ) );
			},

			_removeDescribedBy: function( elem ) {
				var id = elem.data( "ui-tooltip-id" ),
					describedby = ( elem.attr( "aria-describedby" ) || "" ).split( /\s+/ ),
					index = $.inArray( id, describedby );

				if ( index !== -1 ) {
					describedby.splice( index, 1 );
				}

				elem.removeData( "ui-tooltip-id" );
				describedby = String.prototype.trim.call( describedby.join( " " ) );
				if ( describedby ) {
					elem.attr( "aria-describedby", describedby );
				} else {
					elem.removeAttr( "aria-describedby" );
				}
			},

			_create: function() {
				this._on( {
					mouseover: "open",
					focusin: "open"
				} );

				// IDs of generated tooltips, needed for destroy
				this.tooltips = {};

				// IDs of parent tooltips where we removed the title attribute
				this.parents = {};

				// Append the aria-live region so tooltips announce correctly
				this.liveRegion = $( "<div>" )
					.attr( {
						role: "log",
						"aria-live": "assertive",
						"aria-relevant": "additions"
					} )
					.appendTo( this.document[ 0 ].body );
				this._addClass( this.liveRegion, null, "ui-helper-hidden-accessible" );

				this.disabledTitles = $( [] );
			},

			_setOption: function( key, value ) {
				var that = this;

				this._super( key, value );

				if ( key === "content" ) {
					$.each( this.tooltips, function( id, tooltipData ) {
						that._updateContent( tooltipData.element );
					} );
				}
			},

			_setOptionDisabled: function( value ) {
				this[ value ? "_disable" : "_enable" ]();
			},

			_disable: function() {
				var that = this;

				// Close open tooltips
				$.each( this.tooltips, function( id, tooltipData ) {
					var event = $.Event( "blur" );
					event.target = event.currentTarget = tooltipData.element[ 0 ];
					that.close( event, true );
				} );

				// Remove title attributes to prevent native tooltips
				this.disabledTitles = this.disabledTitles.add(
					this.element.find( this.options.items ).addBack()
						.filter( function() {
							var element = $( this );
							if ( element.is( "[title]" ) ) {
								return element
									.data( "ui-tooltip-title", element.attr( "title" ) )
									.removeAttr( "title" );
							}
						} )
				);
			},

			_enable: function() {

				// restore title attributes
				this.disabledTitles.each( function() {
					var element = $( this );
					if ( element.data( "ui-tooltip-title" ) ) {
						element.attr( "title", element.data( "ui-tooltip-title" ) );
					}
				} );
				this.disabledTitles = $( [] );
			},

			open: function( event ) {
				var that = this,
					target = $( event ? event.target : this.element )

						// we need closest here due to mouseover bubbling,
						// but always pointing at the same event target
						.closest( this.options.items );

				// No element to show a tooltip for or the tooltip is already open
				if ( !target.length || target.data( "ui-tooltip-id" ) ) {
					return;
				}

				if ( target.attr( "title" ) ) {
					target.data( "ui-tooltip-title", target.attr( "title" ) );
				}

				target.data( "ui-tooltip-open", true );

				// Kill parent tooltips, custom or native, for hover
				if ( event && event.type === "mouseover" ) {
					target.parents().each( function() {
						var parent = $( this ),
							blurEvent;
						if ( parent.data( "ui-tooltip-open" ) ) {
							blurEvent = $.Event( "blur" );
							blurEvent.target = blurEvent.currentTarget = this;
							that.close( blurEvent, true );
						}
						if ( parent.attr( "title" ) ) {
							parent.uniqueId();
							that.parents[ this.id ] = {
								element: this,
								title: parent.attr( "title" )
							};
							parent.attr( "title", "" );
						}
					} );
				}

				this._registerCloseHandlers( event, target );
				this._updateContent( target, event );
			},

			_updateContent: function( target, event ) {
				var content,
					contentOption = this.options.content,
					that = this,
					eventType = event ? event.type : null;

				if ( typeof contentOption === "string" || contentOption.nodeType ||
					contentOption.jquery ) {
					return this._open( event, target, contentOption );
				}

				content = contentOption.call( target[ 0 ], function( response ) {

					// IE may instantly serve a cached response for ajax requests
					// delay this call to _open so the other call to _open runs first
					that._delay( function() {

						// Ignore async response if tooltip was closed already
						if ( !target.data( "ui-tooltip-open" ) ) {
							return;
						}

						// JQuery creates a special event for focusin when it doesn't
						// exist natively. To improve performance, the native event
						// object is reused and the type is changed. Therefore, we can't
						// rely on the type being correct after the event finished
						// bubbling, so we set it back to the previous value. (#8740)
						if ( event ) {
							event.type = eventType;
						}
						this._open( event, target, response );
					} );
				} );
				if ( content ) {
					this._open( event, target, content );
				}
			},

			_open: function( event, target, content ) {
				var tooltipData, tooltip, delayedShow, a11yContent,
					positionOption = $.extend( {}, this.options.position );

				if ( !content ) {
					return;
				}

				// Content can be updated multiple times. If the tooltip already
				// exists, then just update the content and bail.
				tooltipData = this._find( target );
				if ( tooltipData ) {
					tooltipData.tooltip.find( ".ui-tooltip-content" ).html( content );
					return;
				}

				// If we have a title, clear it to prevent the native tooltip
				// we have to check first to avoid defining a title if none exists
				// (we don't want to cause an element to start matching [title])
				//
				// We use removeAttr only for key events, to allow IE to export the correct
				// accessible attributes. For mouse events, set to empty string to avoid
				// native tooltip showing up (happens only when removing inside mouseover).
				if ( target.is( "[title]" ) ) {
					if ( event && event.type === "mouseover" ) {
						target.attr( "title", "" );
					} else {
						target.removeAttr( "title" );
					}
				}

				tooltipData = this._tooltip( target );
				tooltip = tooltipData.tooltip;
				this._addDescribedBy( target, tooltip.attr( "id" ) );
				tooltip.find( ".ui-tooltip-content" ).html( content );

				// Support: Voiceover on OS X, JAWS on IE <= 9
				// JAWS announces deletions even when aria-relevant="additions"
				// Voiceover will sometimes re-read the entire log region's contents from the beginning
				this.liveRegion.children().hide();
				a11yContent = $( "<div>" ).html( tooltip.find( ".ui-tooltip-content" ).html() );
				a11yContent.removeAttr( "name" ).find( "[name]" ).removeAttr( "name" );
				a11yContent.removeAttr( "id" ).find( "[id]" ).removeAttr( "id" );
				a11yContent.appendTo( this.liveRegion );

				function position( event ) {
					positionOption.of = event;
					if ( tooltip.is( ":hidden" ) ) {
						return;
					}
					tooltip.position( positionOption );
				}
				if ( this.options.track && event && /^mouse/.test( event.type ) ) {
					this._on( this.document, {
						mousemove: position
					} );

					// trigger once to override element-relative positioning
					position( event );
				} else {
					tooltip.position( $.extend( {
						of: target
					}, this.options.position ) );
				}

				tooltip.hide();

				this._show( tooltip, this.options.show );

				// Handle tracking tooltips that are shown with a delay (#8644). As soon
				// as the tooltip is visible, position the tooltip using the most recent
				// event.
				// Adds the check to add the timers only when both delay and track options are set (#14682)
				if ( this.options.track && this.options.show && this.options.show.delay ) {
					delayedShow = this.delayedShow = setInterval( function() {
						if ( tooltip.is( ":visible" ) ) {
							position( positionOption.of );
							clearInterval( delayedShow );
						}
					}, 13 );
				}

				this._trigger( "open", event, { tooltip: tooltip } );
			},

			_registerCloseHandlers: function( event, target ) {
				var events = {
					keyup: function( event ) {
						if ( event.keyCode === $.ui.keyCode.ESCAPE ) {
							var fakeEvent = $.Event( event );
							fakeEvent.currentTarget = target[ 0 ];
							this.close( fakeEvent, true );
						}
					}
				};

				// Only bind remove handler for delegated targets. Non-delegated
				// tooltips will handle this in destroy.
				if ( target[ 0 ] !== this.element[ 0 ] ) {
					events.remove = function() {
						var targetElement = this._find( target );
						if ( targetElement ) {
							this._removeTooltip( targetElement.tooltip );
						}
					};
				}

				if ( !event || event.type === "mouseover" ) {
					events.mouseleave = "close";
				}
				if ( !event || event.type === "focusin" ) {
					events.focusout = "close";
				}
				this._on( true, target, events );
			},

			close: function( event ) {
				var tooltip,
					that = this,
					target = $( event ? event.currentTarget : this.element ),
					tooltipData = this._find( target );

				// The tooltip may already be closed
				if ( !tooltipData ) {

					// We set ui-tooltip-open immediately upon open (in open()), but only set the
					// additional data once there's actually content to show (in _open()). So even if the
					// tooltip doesn't have full data, we always remove ui-tooltip-open in case we're in
					// the period between open() and _open().
					target.removeData( "ui-tooltip-open" );
					return;
				}

				tooltip = tooltipData.tooltip;

				// Disabling closes the tooltip, so we need to track when we're closing
				// to avoid an infinite loop in case the tooltip becomes disabled on close
				if ( tooltipData.closing ) {
					return;
				}

				// Clear the interval for delayed tracking tooltips
				clearInterval( this.delayedShow );

				// Only set title if we had one before (see comment in _open())
				// If the title attribute has changed since open(), don't restore
				if ( target.data( "ui-tooltip-title" ) && !target.attr( "title" ) ) {
					target.attr( "title", target.data( "ui-tooltip-title" ) );
				}

				this._removeDescribedBy( target );

				tooltipData.hiding = true;
				tooltip.stop( true );
				this._hide( tooltip, this.options.hide, function() {
					that._removeTooltip( $( this ) );
				} );

				target.removeData( "ui-tooltip-open" );
				this._off( target, "mouseleave focusout keyup" );

				// Remove 'remove' binding only on delegated targets
				if ( target[ 0 ] !== this.element[ 0 ] ) {
					this._off( target, "remove" );
				}
				this._off( this.document, "mousemove" );

				if ( event && event.type === "mouseleave" ) {
					$.each( this.parents, function( id, parent ) {
						$( parent.element ).attr( "title", parent.title );
						delete that.parents[ id ];
					} );
				}

				tooltipData.closing = true;
				this._trigger( "close", event, { tooltip: tooltip } );
				if ( !tooltipData.hiding ) {
					tooltipData.closing = false;
				}
			},

			_tooltip: function( element ) {
				var tooltip = $( "<div>" ).attr( "role", "tooltip" ),
					content = $( "<div>" ).appendTo( tooltip ),
					id = tooltip.uniqueId().attr( "id" );

				this._addClass( content, "ui-tooltip-content" );
				this._addClass( tooltip, "ui-tooltip", "ui-widget ui-widget-content" );

				tooltip.appendTo( this._appendTo( element ) );

				return this.tooltips[ id ] = {
					element: element,
					tooltip: tooltip
				};
			},

			_find: function( target ) {
				var id = target.data( "ui-tooltip-id" );
				return id ? this.tooltips[ id ] : null;
			},

			_removeTooltip: function( tooltip ) {

				// Clear the interval for delayed tracking tooltips
				clearInterval( this.delayedShow );

				tooltip.remove();
				delete this.tooltips[ tooltip.attr( "id" ) ];
			},

			_appendTo: function( target ) {
				var element = target.closest( ".ui-front, dialog" );

				if ( !element.length ) {
					element = this.document[ 0 ].body;
				}

				return element;
			},

			_destroy: function() {
				var that = this;

				// Close open tooltips
				$.each( this.tooltips, function( id, tooltipData ) {

					// Delegate to close method to handle common cleanup
					var event = $.Event( "blur" ),
						element = tooltipData.element;
					event.target = event.currentTarget = element[ 0 ];
					that.close( event, true );

					// Remove immediately; destroying an open tooltip doesn't use the
					// hide animation
					$( "#" + id ).remove();

					// Restore the title
					if ( element.data( "ui-tooltip-title" ) ) {

						// If the title attribute has changed since open(), don't restore
						if ( !element.attr( "title" ) ) {
							element.attr( "title", element.data( "ui-tooltip-title" ) );
						}
						element.removeData( "ui-tooltip-title" );
					}
				} );
				this.liveRegion.remove();
			}
		} );

// DEPRECATED
// TODO: Switch return back to widget declaration at top of file when this is removed
		if ( $.uiBackCompat !== false ) {

			// Backcompat for tooltipClass option
			$.widget( "ui.tooltip", $.ui.tooltip, {
				options: {
					tooltipClass: null
				},
				_tooltip: function() {
					var tooltipData = this._superApply( arguments );
					if ( this.options.tooltipClass ) {
						tooltipData.tooltip.addClass( this.options.tooltipClass );
					}
					return tooltipData;
				}
			} );
		}

		var widgetsTooltip = $.ui.tooltip;




	} )( jQuery );

})
;
define('ui/tab',[
	'jquery',
	'ui/container',
	'ui/utils',
	'PubSub',
	'jqueryui'
], function (
	$,
	Container,
	Utils,
	PubSub
) {
	'use strict';

	var idCounter = 0;
	var GROUP_LINE_BREAK = '\n';

	/**
	 * Defines a Container object that represents a collection of related
	 * component groups to be rendered together on the toolbar.  Tabs are
	 * organized by feature and functionality so that related controls can be
	 * brought in and out of view depending on whether they are
	 * appropriate for a given user context.
	 *
	 * Tabs can be defined declaritively in the Aloha configuration in the
	 * following manner:
	 *
	 *    Aloha.settings.toolbar: [
	 *      {
	 *         label: 'Lists',
	 *         showOn: 'ul,ol,*.parent(.aloha-editable ul,.aloha-editable ol)',
	 *         components: [ [ 'orderedList', 'unorderedList' ] ]
	 *      }
	 *    ]
	 *
	 * Alternatively, tabs can also be created imperatively in this way:
	 * new Tab( options, components ).
	 *
	 * @class
	 * @extends {Container}
	 */
	var Tab = Container.extend({

		_elemBySlot: {},
		_groupBySlot: {},
		_groupByComponent: {},
		_scopeFnBySlot: {},
		_slotInScope: {},
		_slotsList: [],
	
		_componentBySlot: {},
		_scopeChangeSubId: null,

		/**
		 * All that this constructor does is save the components array into a
		 * local variable, to be used during instantialization.
		 *
		 * @param {object} settings
		 * @param {Array.<Array<string>>} components
		 * @constructor
		 */
		_constructor: function (context, settings, components) {
			this._elemBySlot = {};
			this._groupBySlot = {};
			this._groupByComponent = {};
			this._scopeFnBySlot = {};
			this._slotInScope = {};
			this._componentBySlot = {};

			this._slotsList = [];
			this._super(context, settings);

			this.container = settings.container;
			this.list = this.container.data('list');
			this.panels = this.container.data('panels');
			this.id = 'tab-ui-container-' + (++idCounter);
			this.panel = $('<div>', { id: this.id, 'unselectable': 'on' });
			this.handle = $('<li><a href="' + location.href.replace(/#.*$/, '') + '#' + this.id + '">' +
				settings.label + '</a></li>');

			// Make sure the link is marked as representational, otherwise a click on the link will cause the CMS UI
			// to handle the click and change the edit/preview mode.
			this.handle.find('a').attr('role', 'presentation');

			this._setupComponents(components);

			this.panel.append($('<div>', { 'class': 'aloha-ui-clear', 'unselectable': 'on' }));
			this.handle.appendTo(this.list);
			this.panel.appendTo(this.panels);
			this.container.tabs('refresh');

			var alohaTabs = settings.container.data('aloha-tabs');
			this.index = alohaTabs.length;
			alohaTabs.push(this);

			var _this = this;

			function updateInstance() {
				Object.keys(_this._scopeFnBySlot).forEach(function(slot) {
					if (!_this._componentBySlot[slot] || !_this._elemBySlot[slot]) {
						return;
					}
					var $elem = $(_this._elemBySlot[slot]);
					_this._slotInScope[slot] = _this._scopeFnBySlot[slot]();
	
					if (_this._slotInScope[slot]) {
						$elem.removeClass('out-of-scope');
					} else {
						$elem.addClass('out-of-scope');
					}
				});
	
				if (_this.visible && !_this.hasVisibleComponents()) {
					_this.hide();
				}
			}

			this._scopeChangeSubId = PubSub.sub('aloha.ui.scope.change', function() {
				updateInstance();
			});

			if (this.list.children().length < 1 || !this.hasVisibleComponents()) {
				this.hide();
			} else {
				this.show();
			}
		},

		_setupComponents: function (componentGroups) {
			var _this = this;

			// Ignore invalid/empty groups
			if (!Array.isArray(componentGroups) || componentGroups.length === 0) {
				return;
			}

			// First, normalize the layout, as it might be defined as a 1 dimensional array instead of 2
			// i.E. : { components: ['foo', 'bar'] } -> { components: [ ['foo', 'bar'] ]}
			if (
				!Array.isArray(componentGroups[0])
				&& componentGroups[0] != null
				&& ((typeof componentGroups[0] === 'string') || (typeof componentGroups[0] === 'object'))
			) {
				componentGroups = [componentGroups];
			}

			componentGroups.forEach(function (components) {
				// Hide the group until the first button is adopted into it.
				var $groupContainer = $('<div>', {
					'class': 'aloha-ui-component-group aloha-ui-hidden',
					'unselectable': 'on'
				}).appendTo(_this.panel);
				var groupProps = { element: $groupContainer, visibleCounter: 0 };

				components.forEach(function (component) {
					if (typeof component === 'string') {
						component = {
							slot: component,
						};
					}

					// Ignore invalid entries
					if (typeof component !== 'object' || component == null) {
						return;
					}

					// If it's a line-break inside of a group, then insert it as such and end here
					if (component.slot === GROUP_LINE_BREAK) {
						_this.panel.append('<div>', {
							class: 'aloha-ui-group-break',
							unselectable: 'on'
						});
						return;
					}

					// Placeholder/Container where the actual component is getting mounted into
					// once it's valid
					var $container = $('<span>', {
						class: 'aloha-ui-component-slot',
						attr: {
							'data-slot': component.slot,
						},
						unselectable: 'on',
					});
					$groupContainer.append($container);

					// Register the slot and component to this tabs instance
					_this._groupBySlot[component.slot] = groupProps;
					_this._elemBySlot[component.slot] = $container;
					_this._scopeFnBySlot[component.slot] = Utils.normalizeScopeToFunction(component.scope);
					_this._slotInScope[component.slot] = _this._scopeFnBySlot[component.slot]();
				});
			});
		},

		adoptInto: function (slot, component) {
			var elem = this._elemBySlot[slot],
				group;
			if (!elem) {
				return false;
			}
			this._componentBySlot[slot] = component;

			component.adoptParent(this);
			elem.append(component.element);
			group = this._groupBySlot[slot];
			this._slotsList.push(slot);
			if (group) {
				this._groupByComponent[component.id] = group;
				if (component.isVisible()) {
					if (!group.visibleCounter) {
						group.element.removeClass('aloha-ui-hidden');
					}
					group.visibleCounter += 1;
				}
			}

			// If it isn't visible, check if we can make it visible now
			if (!this.visible) {
				this.show();
			}

			return true;
		},

		unadopt: function(slot) {
			var comp = this._componentBySlot[slot];
			var group = this._groupBySlot[slot];
			if (!comp) {
				return;
			}

			delete this._componentBySlot[slot];
			delete this._elemBySlot[slot];
			delete this._scopeFnBySlot[slot];
			delete this._slotInScope[slot];

			var idx = this._slotsList.indexOf(slot);
			if (idx > -1) {
				this._slotsList.splice(idx, 1);
			}

			if (group) {
				delete this._groupBySlot[slot];
				delete this._groupByComponent[comp.id];
				group.visibleCounter -= 1;
			}
		},

		foreground: function () {
			this.container.tabs('option', 'active', this.index);
		},

		childForeground: function (childComponent) {
			this.foreground();
		},

		hasVisibleComponents: function () {
			var slots = Object.keys(this._elemBySlot);
			for (var i = 0; i < slots.length; i++) {
				if (this._componentBySlot[slots[i]]) {
					if (this._componentBySlot[slots[i]].visible && this._slotInScope[slots[i]]) {
						return true;
					}
				}
			}
			return false;
		},

		childVisible: function (childComponent, visible) {
			if (visible) {
				childComponent.container.show();
			} else if (!childComponent.container.hasVisibleComponents()) {
				childComponent.container.hide();
			}
			var group = this._groupByComponent[childComponent.id];
			if (!group) {
				return;
			}
			if (visible) {
				if (0 === group.visibleCounter) {
					group.element.removeClass('aloha-ui-hidden');
				}
				group.visibleCounter += 1;
			} else {
				group.visibleCounter -= 1;
				if (0 === group.visibleCounter) {
					group.element.addClass('aloha-ui-hidden');
				}
			}
		},

		/**
		 * @override
		 */
		show: function () {
			if (!this.list.children().length || !this.hasVisibleComponents()) {
				return;
			}

			this.handle.show();
			this.visible = true;

			var activeTabs = this.container.find('.ui-tabs-active').length;

			// Hiding all tabs may hide the toolbar, so showing the
			// first tab again must also show the toolbar. While
			// hiding the toolbar, the collapsible option had to be
			// set to deselect all tabs.
			this.container.tabs('option', 'collapsible', false);
			this.container.show();

			// If no tabs are selected, then select the tab which was just shown.
			if (!activeTabs ||
				this.container.tabs('option', 'selected') === this.index) {
				this.foreground();
			}
		},

		/**
		 * @override
		 */
		hide: function () {
			var tabs = this.list.children();
			if (0 === tabs.length) {
				return;
			}
			this.handle.hide();
			this.visible = false;

			var selected = this.container.tabs('option', 'selected');

			// If the tab we just hid was the selected tab or there is no
			// selected tab, then we need to select another tab in its stead.
			// We will select the first visible tab we find, or else we
			// deselect all tabs.
			var firstVisibleTabIndex = -1;
			tabs = this.container.data('aloha-tabs');
			var i;
			for (i = 0; i < tabs.length; ++i) {
				if (tabs[i].visible) {
					firstVisibleTabIndex = i;
					break;
				}
			}

			if (selected == -1 || selected == this.index && firstVisibleTabIndex >= 0) {
				this.container.tabs('select', firstVisibleTabIndex);
			}

			if (firstVisibleTabIndex < 0) {
				// It doesn't make any sense to leave the toolbar
				// visible after all tabs have been hidden. To deselect
				// all tabs we have to enable the collapsible option.
				this.container.tabs({ collapsible: true, active: false });
				this.container.hide();
			}
		},

		destroy: function() {
			this._super();
			if (this._scopeChangeSubId) {
				PubSub.unsub(this._scopeChangeSubId);
				this._scopeChangeSubId = null;
			}
			this.panel.remove();
		},

	});

	$.extend(Tab, {

		/**
		 * Creates holding elements for jQuery UI Tabs for a surface.
		 *
		 * @static
		 * @return {jQuery.<HTMLElement>} The holder container on which we
		 *                                invoke jQuery UI Tabs once it is
		 *                                populated with tab containers.
		 */
		createContainer: function () {
			var $container = $('<div>', { 'unselectable': 'on' });
			var $list = $('<ul>', { 'unselectable': 'on' }).appendTo($container);
			var $panels = $('<div>', { 'unselectable': 'on' }).appendTo($container);

			$container
				.data('list', $list)
				.data('panels', $panels)
				.data('aloha-tabs', [])
				.tabs({
					select: function (event, ui) {
						var tabs = $container.data('aloha-tabs');
						$container.data('aloha-active-container', tabs[ui.index]);
						PubSub.pub('aloha.ui.container.selected', { data: tabs[ui.index] });
					}
				});

			return $container;
		}
	});

	return Tab;
});

define('ui/subguarded',[
	'aloha/core',
	'jquery',
	'PubSub'
], function (
	Aloha,
	jQuery,
	PubSub
) {
	'use strict';

	/**
	 * The last uid that was was used to uniquely identify a function.
	 * NB: Make sure to increment this counter before assigning it to a new
	 *     function.
	 *
	 * @type {numder}
	 * @private
	 */
	var alohaUid = 0;

	/**
	 * A spares array, where arguments lists are indexed against the alohaUid of
	 * the guarded dispatch function with which they were registered with.
	 *
	 * @type {object.<number, array>}
	 * @private
	 */
	var registeredArguments = {};

	/**
	 * A spares array of guarded dispatch functions indexed against their
	 * alohaUid.  Each entry in this array will correspond with an entry in the
	 * `registeredArguments' map which is exists on the same index.
	 *
	 * @type {object.<number, array>}
	 * @private
	 */
	var registeredGuards = {};

	/**
	 * For a given function, will derive its unique identifing number.  Be
	 * aware that although this is a "getter" function, it will mutate the
	 * given function, and the closure variable `alohaUid' if the given
	 * function has not had a unique id set to it.
	 *
	 * @param {function} func Function whose uid is to be retreived.
	 * @return {number} The alohaUid property that has been assigned to the
	 *                  given function.
	 */
	function getUid(func) {
		if (!func.alohaUid) {
			func.alohaUid = ++alohaUid;
		}
		return func.alohaUid;
	}

	/**
	 * Retrieves a list of all guard functions that are registered for the
	 * given event.
	 *
	 * @param {string} event The name of the event whose guard functions are to
	 *                       be to retreive.
	 * @return {array.<function>} A list of guarded dispatch functions that
	 *                            were registered to handle the given event.
	 */
	function getRegisteredGuards(event) {
		return registeredGuards[event] || [];
	}

	/**
	 * Retrieves a list of argument lists that were registerd with the given
	 * guard function.
	 *
	 * @paran {function} guard A function that is to filter and dispatch.
	 * @return {array.<*>} A list of arguments list.
	 */
	function getArguments(guard) {
		return registeredArguments[guard.alohaUid] || [];
	}

	/**
	 * Registers the given arguments list against the provided guard function.
	 *
	 * @paran {function} guard A function that is to filter and dispatch a
	 *                         variable number of callbacks.
	 * @return {array.<*>} The list of all registed arguments lists that
	 *                     correspond with the given guard.
	 */
	function registerArguments(guard, args) {
		if (!registeredArguments[guard.alohaUid]) {
			registeredArguments[guard.alohaUid] = [];
		}
		registeredArguments[guard.alohaUid].push(args);
		return registeredArguments[guard.alohaUid];
	}

	/**
	 * Registers the given guard function to the given event.
	 *
	 * @paran {string} event The event on which to invoke the guard.
	 * @paran {function} guard A function that is to filter and dispatch a
	 *                         variable number of callbacks.
	 * @return {array.<*>} The list of all registed guard functions that
	 *                     correspond with the given guard.
	 */
	function registerGuard(event, guard) {
		if (!registeredGuards[event]) {
			registeredGuards[event] = [];
		}
		registeredGuards[event].push(guard);
		return registeredGuards[event];
	}

	/**
	 * Process a guard functions that have been registered on the given event
	 * when the event is triggered.
	 *
	 * @param {Event} event Name of the event.
	 * @param ... any other arguments passed on to the guard function
	 */
	function trigger(event) {
		var guards = getRegisteredGuards(event);
		var i;
		for (i = 0; i < guards.length; i++) {
			guards[i].apply(null, [getArguments(guards[i])].concat(arguments));
		}
	}

	/**
	 * Provides a mechanism to register event handlers that are filtered and
	 * dispatched through a guard function.
	 *
	 * All arguments following the guard parameter will be passed to the guard
	 * function in a list containing a tuple of arguments.  It is expected that
	 * one of the arguments will be a callback function that will be call if
	 * the other arguments pass the condition implemented in the guarded
	 * dispatch function.
	 *
	 * USAGE:
	 *    sub(event, dispatch [, ... ])
	 *
	 * @param {string} event
	 * @param {function(array.<array.<*...>>)} guard A function that will be
	 *                                               invoked when the specified
	 *                                               event is fired.  This
	 *                                               function will receive a
	 *                                               array consisting of
	 *                                               arguments tuples, followed
	 *                                               by the the arguments that
	 *                                               are received from the
	 *                                               event.
	 * @param {*...} args A variable number of arguments which will be passed
	 *                    as a list in a list to the dispatch function.
	 */
	function sub() {
		var args = Array.prototype.slice.call(arguments);
		var events = args.shift();
		if (typeof events === 'string') {
			events = [events];
		}
		var guard = args.shift();
		getUid(guard);
		registerArguments(guard, args);
		var i;
		var event;
		var bindHandler = function ($event, range, nativeEvent) {
			trigger(event, $event, range, nativeEvent);
		};
		var pubsubHandler = function () {
			trigger(event);
		};
		for (i = 0; i < events.length; i++) {
			event = events[i];
			registerGuard(event, guard);
			Aloha.bind(event, bindHandler);
			PubSub.sub(event, pubsubHandler);
		}
	}

	return sub;

});

define('vendor/amplify.store',['util/json2'],function(){
var amplify = {};

/*!
 * Amplify Store - Persistent Client-Side Storage 1.1.0
 * 
 * Copyright 2011 appendTo LLC. (http://appendto.com/team)
 * Dual licensed under the MIT or GPL licenses.
 * http://appendto.com/open-source-licenses
 * 
 * http://amplifyjs.com
 */
(function( amplify, undefined ) {

var store = amplify.store = function( key, value, options, type ) {
	var type = store.type;
	if ( options && options.type && options.type in store.types ) {
		type = options.type;
	}
	return store.types[ type ]( key, value, options || {} );
};

store.types = {};
store.type = null;
store.addType = function( type, storage ) {
	if ( !store.type ) {
		store.type = type;
	}

	store.types[ type ] = storage;
	store[ type ] = function( key, value, options ) {
		options = options || {};
		options.type = type;
		return store( key, value, options );
	};
}
store.error = function() {
	return "amplify.store quota exceeded"; 
};

var rprefix = /^__amplify__/;
function createFromStorageInterface( storageType, storage ) {
	store.addType( storageType, function( key, value, options ) {
		var storedValue, parsed, i, remove,
			ret = value,
			now = (new Date()).getTime();

		if ( !key ) {
			ret = {};
			remove = [];
			i = 0;
			try {
				// accessing the length property works around a localStorage bug
				// in Firefox 4.0 where the keys don't update cross-page
				// we assign to key just to avoid Closure Compiler from removing
				// the access as "useless code"
				// https://bugzilla.mozilla.org/show_bug.cgi?id=662511
				key = storage.length;

				while ( key = storage.key( i++ ) ) {
					if ( rprefix.test( key ) ) {
						parsed = JSON.parse( storage.getItem( key ) );
						if ( parsed.expires && parsed.expires <= now ) {
							remove.push( key );
						} else {
							ret[ key.replace( rprefix, "" ) ] = parsed.data;
						}
					}
				}
				while ( key = remove.pop() ) {
					storage.removeItem( key );
				}
			} catch ( error ) {}
			return ret;
		}

		// protect against name collisions with direct storage
		key = "__amplify__" + key;

		if ( value === undefined ) {
			storedValue = storage.getItem( key );
			parsed = storedValue ? JSON.parse( storedValue ) : { expires: -1 };
			if ( parsed.expires && parsed.expires <= now ) {
				storage.removeItem( key );
			} else {
				return parsed.data;
			}
		} else {
			if ( value === null ) {
				storage.removeItem( key );
			} else {
				parsed = JSON.stringify({
					data: value,
					expires: options.expires ? now + options.expires : null
				});
				try {
					storage.setItem( key, parsed );
				// quota exceeded
				} catch( error ) {
					// expire old data and try again
					store[ storageType ]();
					try {
						storage.setItem( key, parsed );
					} catch( error ) {
						throw store.error();
					}
				}
			}
		}

		return ret;
	});
}

// localStorage + sessionStorage
// IE 8+, Firefox 3.5+, Safari 4+, Chrome 4+, Opera 10.5+, iPhone 2+, Android 2+
for ( var webStorageType in { localStorage: 1, sessionStorage: 1 } ) {
	// try/catch for file protocol in Firefox
	try {
		if ( window[ webStorageType ].getItem ) {
			createFromStorageInterface( webStorageType, window[ webStorageType ] );
		}
	} catch( e ) {}
}

// globalStorage
// non-standard: Firefox 2+
// https://developer.mozilla.org/en/dom/storage#globalStorage
if ( window.globalStorage ) {
	// try/catch for file protocol in Firefox
	try {
		createFromStorageInterface( "globalStorage",
			window.globalStorage[ window.location.hostname ] );
		// Firefox 2.0 and 3.0 have sessionStorage and globalStorage
		// make sure we default to globalStorage
		// but don't default to globalStorage in 3.5+ which also has localStorage
		if ( store.type === "sessionStorage" ) {
			store.type = "globalStorage";
		}
	} catch( e ) {}
}

// userData
// non-standard: IE 5+
// http://msdn.microsoft.com/en-us/library/ms531424(v=vs.85).aspx
(function() {
	// IE 9 has quirks in userData that are a huge pain
	// rather than finding a way to detect these quirks
	// we just don't register userData if we have localStorage
	if ( store.types.localStorage ) {
		return;
	}

	// append to html instead of body so we can do this from the head
	var div = document.createElement( "div" ),
		attrKey = "amplify";
	div.style.display = "none";
	document.getElementsByTagName( "head" )[ 0 ].appendChild( div );

	// we can't feature detect userData support
	// so just try and see if it fails
	// surprisingly, even just adding the behavior isn't enough for a failure
	// so we need to load the data as well
	try {
		div.addBehavior( "#default#userdata" );
		div.on("load", attrKey );
	} catch( e ) {
		div.parentNode.removeChild( div );
		return;
	}

	store.addType( "userData", function( key, value, options ) {
		div.on("load", attrKey );
		var attr, parsed, prevValue, i, remove,
			ret = value,
			now = (new Date()).getTime();

		if ( !key ) {
			ret = {};
			remove = [];
			i = 0;
			while ( attr = div.XMLDocument.documentElement.attributes[ i++ ] ) {
				parsed = JSON.parse( attr.value );
				if ( parsed.expires && parsed.expires <= now ) {
					remove.push( attr.name );
				} else {
					ret[ attr.name ] = parsed.data;
				}
			}
			while ( key = remove.pop() ) {
				div.removeAttribute( key );
			}
			div.save( attrKey );
			return ret;
		}

		// convert invalid characters to dashes
		// http://www.w3.org/TR/REC-xml/#NT-Name
		// simplified to assume the starting character is valid
		// also removed colon as it is invalid in HTML attribute names
		key = key.replace( /[^-._0-9A-Za-z\xb7\xc0-\xd6\xd8-\xf6\xf8-\u037d\u037f-\u1fff\u200c-\u200d\u203f\u2040\u2070-\u218f]/g, "-" );

		if ( value === undefined ) {
			attr = div.getAttribute( key );
			parsed = attr ? JSON.parse( attr ) : { expires: -1 };
			if ( parsed.expires && parsed.expires <= now ) {
				div.removeAttribute( key );
			} else {
				return parsed.data;
			}
		} else {
			if ( value === null ) {
				div.removeAttribute( key );
			} else {
				// we need to get the previous value in case we need to rollback
				prevValue = div.getAttribute( key );
				parsed = JSON.stringify({
					data: value,
					expires: (options.expires ? (now + options.expires) : null)
				});
				div.setAttribute( key, parsed );
			}
		}

		try {
			div.save( attrKey );
		// quota exceeded
		} catch ( error ) {
			// roll the value back to the previous value
			if ( prevValue === null ) {
				div.removeAttribute( key );
			} else {
				div.setAttribute( key, prevValue );
			}

			// expire old data and try again
			store.userData();
			try {
				div.setAttribute( key, parsed );
				div.save( attrKey );
			} catch ( error ) {
				// roll the value back to the previous value
				if ( prevValue === null ) {
					div.removeAttribute( key );
				} else {
					div.setAttribute( key, prevValue );
				}
				throw store.error();
			}
		}
		return ret;
	});
}() );

// in-memory storage
// fallback for all browsers to enable the API even if we can't persist data
(function() {
	var memory = {},
		timeout = {};

	function copy( obj ) {
		return obj === undefined ? undefined : JSON.parse( JSON.stringify( obj ) );
	}

	store.addType( "memory", function( key, value, options ) {
		if ( !key ) {
			return copy( memory );
		}

		if ( value === undefined ) {
			return copy( memory[ key ] );
		}

		if ( timeout[ key ] ) {
			clearTimeout( timeout[ key ] );
			delete timeout[ key ];
		}

		if ( value === null ) {
			delete memory[ key ];
			return null;
		}

		memory[ key ] = value;
		if ( options.expires ) {
			timeout[ key ] = setTimeout(function() {
				delete memory[ key ];
				delete timeout[ key ];
			}, options.expires );
		}

		return value;
	});
}() );

}( amplify ) );
return amplify;
});

/* floating.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2013 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 *
 * @overview
 * Implements position and floating animation effect for UI surfaces.
 */
define('ui/floating',[
	'jquery',
	'aloha/core',
	'ui/surface',
	'ui/subguarded',
	'PubSub',
	'vendor/amplify.store',
	'util/browser'
], function (
	$,
	Aloha,
	Surface,
	subguarded,
	PubSub,
	amplifyStore,
	Browser
) {
	'use strict';

	/**
	 * The distance that the floating surface should maintain from the editable
	 * it is floating to.
	 *
	 * @type {string}
	 * @const
	 */
	var DISTANCE = 10;

	/**
	 * The width of viewport below which we consider the device to have a "small screen", i.e. a mobile device.
	 * @type {number}
	 * @const
	 */
	var SMALL_SCREEN_WIDTH = 600;

	/**
	 * The duration of the floating animation in milliseconds.
	 *
	 * @type {number}
	 * @const
	 */
	var DURATION = 500;

	/**
	 * jQuery unit set containing a feference to the global window.
	 *
	 * @type {jQuery.<window>}
	 * @const
	 */
	var $WINDOW = $(window);

	/**
	 * The "position" style value.
	 *
	 * IE 7 does not support "fixed" position styling.  Since "fixed" position
	 * results in smoother animation the use of "absolute" is made as a special
	 * accomodation for IE 7.
	 *
	 * @type {string}
	 * @const
	 */
	var POSITION_STYLE = Browser.ie7 ? 'absolute' : 'fixed';

	/**
	 * The position of the floating menu.
	 *
	 * Used to float dialoges (eg special character-picker) with the floating
	 * menu.
	 *
	 * @type {object<string,*>}
	 */
	var POSITION = {
		style: POSITION_STYLE,
		offset: {
			top: 0,
			left: 0
		}
	};

	/**
	 * Data attributes used to restore the css styles of the <body> element after it has
	 * been adjusted to accomodate the responsive floating toolbar.
	 */
	var BODY_ORIGINAL_MARGIN_TOP_KEY = 'aloha-editable-original-margin-top';
	var BODY_ORIGINAL_TRANSFORM_KEY = 'aloha-editable-original-transform';
	var BODY_ORIGINAL_TRANSITION_KEY = 'aloha-editable-original-transition';

	/**
	 * Keeps track of the adjustment made to the <body> marginTop css style.
	 * @type {number}
	 */
	var bodyMarginTopAdjustment = 0;

	/**
	 * Timer value used in cancelling the setTimeout which is used to properly synchronize
	 * the removal of adjusted css values on the <body> element.
	 * @type {number}
	 */
	var resetBodyTransitionTimeout = 0;

	/**
	 * Animates a surface element to the given position.
	 *
	 * @param {jQuery.<HTMLElement>} $element jQuery unit set of the DOM
	 *                                        element to move.
	 * @param {object} position The x and y position to which the element
	 *                          should end up.
	 * @param {number} duration The length of time (in milliseconds) that the
	 *                          animation should run for.
	 * @param {function} callback Function to be invoked when animation
	 *                            completes.
	 */
	function floatTo($element, position, duration, callback) {
		if ('absolute' === POSITION_STYLE) {
			position.top += $WINDOW.scrollTop();
			position.left += $WINDOW.scrollLeft();
		}

		POSITION.offset = position;

		$element.stop().animate(position, duration, function () {
			callback(position);
			PubSub.pub('aloha.floating.changed', {
				position: $.extend({}, POSITION)
			});
		});
	}

	/**
	 * Moves an element above the given coordinates.
	 *
	 * @param {jQuery.<HTMLElement>} $element jQuery unit set of the DOM
	 *                                        element to move.
	 * @param {object} position The x and y position to which the element
	 *                          should end up.
	 * @param {number} duration The length of time (in milliseconds) that the
	 *                          animation should run for.
	 * @param {function} callback Function to be invoked when animation
	 *                            completes.
	 */
	function floatAbove($element, position, duration, callback) {
		position.top -= $element.height() + DISTANCE;
		floatTo($element, position, duration, callback);
	}

	/**
	 * Moves the element below the given coordinates.
	 *
	 * @param {jQuery.<HTMLElement>} $element jQuery unit set of the DOM
	 *                                        element to move.
	 * @param {object} position The x and y position to which the element
	 *                          should end up.
	 * @param {number} duration The length of time (in milliseconds) that the
	 *                          animation should run for.
	 * @param {function} callback Function to be invoked when animation
	 *                            completes.
	 */
	function floatBelow($element, position, duration, callback) {
		position.top += DISTANCE;
		floatTo($element, position, duration, callback);
	}

	/**
	 * Persist the "top" and "left" positions of the FloatingMenu surface.
	 */
	function storePinPosition(offset) {
		amplifyStore.store('Aloha.FloatingMenu.pinned', 'true');
		amplifyStore.store('Aloha.FloatingMenu.top', offset.top);
		amplifyStore.store('Aloha.FloatingMenu.left', offset.left);
	}

	/**
	 * Clears persisted state of the FloatingMenu surface.
	 */
	function unstorePinPosition() {
		amplifyStore.store('Aloha.FloatingMenu.pinned', null);
		amplifyStore.store('Aloha.FloatingMenu.top', null);
		amplifyStore.store('Aloha.FloatingMenu.left', null);
	}

	/**
	 * Retrieve the persisted pinned position of the FloatingMenu surface.
	 *
	 * @return {object}
	 */
	function getPinState() {
		if (amplifyStore.store('Aloha.FloatingMenu.pinned') === 'true') {
			return {
				top: parseInt(amplifyStore.store('Aloha.FloatingMenu.top'), 10),
				left: parseInt(amplifyStore.store('Aloha.FloatingMenu.left'), 10),
				isPinned: true
			};
		}
		return {
			top: null,
			left: null,
			isPinned: false
		};
	}

	/**
	 * Constrains the given position coordinates to be within the viewport.
	 *
	 * @param {object} position "Top" and "left" coordinates.
	 * @param {object} Constrained "top" and "left" coordinates.
	 */
	function forcePositionIntoWindow(position) {
		var left = position.left;
		var top = position.top;

		if (top < 0) {
			top = 0;
		} else if (top > $WINDOW.height()) {
			top = $WINDOW.height() / 2;
		}

		if (left < 0) {
			left = 0;
		} else if (left > $WINDOW.width()) {
			left = $WINDOW.width() / 2;
		}

		return {
			top: top,
			left: left
		};
	}

	/**
	 * Floats a surface to the appropriate position around the given editable.
	 *
	 * @param {Surface} surface The surface to be positioned.
	 * @param {Aloha.Editable} editable The editable around which the surface
	 *                                  should be positioned.
	 * @param {number} duration The length of time (in milliseconds) for the
	 *                          animation should run.
	 * @param {function} callback Function to be invoked after the animation
	 *                            is completed.
	 */
	function floatSurface(surface, editable, duration, callback) {
		var sticky = duration === false;
		if (typeof duration !== 'number') {
			duration = DURATION;
		}

		var topGutter = (parseInt($('body').css('marginTop'), 10) || 0)
			+ (parseInt($('body').css('paddingTop'), 10) || 0);
		if ($WINDOW.width() <= SMALL_SCREEN_WIDTH) {
			topGutter = 0;
		}
		var $surface = surface.$element;
		var offset = editable.obj.offset();
		var top = offset.top;
		var left = offset.left;
		var scrollTop = $WINDOW.scrollTop();
		var scrollLeft = $WINDOW.scrollLeft();
		var availableSpace = top - scrollTop - topGutter - bodyMarginTopAdjustment;
		// consider horizontal scrolling (important for rtl pages that are scrolled to the left)
		left = left - scrollLeft;
		var horizontalOverflow = left + $surface.width() - $WINDOW.width();

		if (horizontalOverflow > 0) {
			left = Math.max(0, left - horizontalOverflow);
		}

		// never ever float outside of the visible area (to the left)
		left = Math.max(0, left);

		var editableVisible = top - scrollTop < $WINDOW.height()
			&& top + editable.obj.height() >= scrollTop;

		if (editableVisible) {
			if (!$surface.is(':visible')) {
				$surface.show();
			}
		} else {
			if ($surface.is(':visible')) {
				$surface.hide();
			}

			return;
		}

		if (sticky) {
			var $editableElement = editable.obj;
			var $body = $(document.body);
			$surface.css('margin-top', '0');
			resetBodyStyles();

			var recalculatedTop = editable.obj.offset().top;

			if (availableSpace >= $surface.height()) {
				$surface.css('position', 'absolute');
				$surface.css('top', (recalculatedTop - $surface.height() - DISTANCE) + 'px');
			} else if ($surface.height() > editable.obj.outerHeight()) {
				if (bodyMarginTopAdjustment) {
					// the body css had been adjusted but now is reverting to the initial state after a timeout.
					bodyMarginTopAdjustment = 0;
					recalculatedTop -= $surface.height();
				}
				$surface.css('position', 'absolute');
				$surface.css('top', recalculatedTop + editable.obj.outerHeight() + DISTANCE + 'px');
			} else {
				var bodyOriginalMarginTop = parseInt($body.data(BODY_ORIGINAL_MARGIN_TOP_KEY) || 0);
				var editableTop = $editableElement.offset().top - parseInt($body.css('margin-top')) - bodyOriginalMarginTop;
				var toolbarHeight = $surface.height();
				if (editableTop < toolbarHeight && window.scrollY === 0) {
					clearTimeout(resetBodyTransitionTimeout);
					adjustBodyStyles(toolbarHeight);
					$surface.css('margin-top', (toolbarHeight * -1) + 'px');
					$surface.css('top', '0');
				} else {
					$surface.css('position', 'fixed');
					$surface.css('top', topGutter + 'px');
				}
			}
			$surface.css('left', left + 'px');
		} else {
			if (availableSpace >= $surface.height()) {
				floatAbove($surface, {
					top: top - scrollTop,
					left: left
				}, duration, callback);
			} else if (availableSpace + $surface.height() >
				availableSpace + editable.obj.height()) {
				floatBelow($surface, {
					top: top + editable.obj.height() - scrollTop,
					left: left
				}, duration, callback);
			} else {
				floatBelow($surface, {
					top: topGutter,
					left: left
				}, duration, callback);
			}
		}
	}

	function removeResponsiveStyles() {
		resetBodyStyles();
	}

	/**
	 * When in responsiveMode, the toolbar's position cannot be adjusted by the user with drag & drop.
	 * @param toolbarHeight
	 */
	function adjustBodyStyles(toolbarHeight) {
		var body = document.body;
		var $body = $(body);
		if ($body.data(BODY_ORIGINAL_MARGIN_TOP_KEY) === undefined) {
			$body.data(BODY_ORIGINAL_MARGIN_TOP_KEY, body.style.marginTop);
		}
		if ($body.data(BODY_ORIGINAL_TRANSFORM_KEY) === undefined) {
			$body.data(BODY_ORIGINAL_TRANSFORM_KEY, body.style.transform);
		}
		if ($body.data(BODY_ORIGINAL_TRANSITION_KEY) === undefined) {
			$body.data(BODY_ORIGINAL_TRANSITION_KEY, body.style.transition);
		}
		$body.css('margin-top', toolbarHeight + 'px');
		$body.css('transform','translateZ(0)');
		$body.css('transition', 'margin-top 0.3s');
		bodyMarginTopAdjustment = toolbarHeight;
	}

	/**
	 * When in responsiveMode, the <body> css may have been adjusted in order to allow the toolbar to fit above
	 * the editable without overlapping. If so, this method ensures those css adjustments are cleaned up and
	 * the <body> element is returned to its original state.
	 */
	function resetBodyStyles() {
		var $body = $(document.body);
		var initialMarginTop = $body.data(BODY_ORIGINAL_MARGIN_TOP_KEY);
		var initialTransform = $body.data(BODY_ORIGINAL_TRANSFORM_KEY);
		var initialTransition = $body.data(BODY_ORIGINAL_TRANSITION_KEY);
		if (typeof initialMarginTop !== 'undefined') {
			$body.css('margin-top', initialMarginTop);
		}
		clearTimeout(resetBodyTransitionTimeout);
		// Wrap in a setTimeout to allow time for the margin to animate
		resetBodyTransitionTimeout = setTimeout(function() {
			$body.css('transition', initialTransition);
			$body.css('transform', initialTransform);
			bodyMarginTopAdjustment = 0;
		}, 300);
	}

	/**
	 * Pins a surface at the speficied position on the viewport.
	 *
	 * @param {Surface} surfaces The surfaces that are to be pinned.
	 * @param {object} position The "top" and "left" position of where the
	 *                          surface is to be pinned.
	 * @param {boolean} isFloating Whether or not the surface type is in
	 *                             "floating" mode or not.
	 */
	function togglePinSurface(surface, position, isFloating) {
		var $surface = surface.$element;
		if (isFloating) {
			unstorePinPosition();
			$surface.find('.aloha-ui-pin').removeClass('aloha-ui-pin-down');
		} else {
			storePinPosition(position);
			$surface.find('.aloha-ui-pin').addClass('aloha-ui-pin-down');
		}
		$surface.css({
			position: 'fixed',
			top: position.top
		});
	}

	/**
	 * Filters surface activation events.
	 */
	function onActivatedSurface(tuples, eventName, $event, range, nativeEvent) {
		var i;
		for (i = 0; i < tuples.length; i++) {
			if (tuples[i][0].isActive()) {
				tuples[i][1]($event, range, nativeEvent);
			}
		}
	}

	/**
	 * Sets the surface's DOM element's "position" property to "fixed."
	 *
	 * IE7 will not properly set the position property to "fixed" if our
	 * element is not rendered.  We therefore have to do a rigmarole to
	 * temorarily render the element in order to set the position correctly.
	 *
	 * @param {Surface} surface
	 */
	function setPositionStyleToFixed(surface, positionStyle) {
		if (typeof positionStyle == 'undefined') {
			positionStyle = POSITION_STYLE;
		}

		if ($.browser.msie) {
			var $parent = surface.$element.parent();
			surface.$element.appendTo('body');
			surface.$element.css('position', positionStyle);
			if ($parent.length) {
				surface.$element.appendTo($parent);
			} else {
				surface.$element.detach();
			}
		} else {
			surface.$element.css('position', positionStyle);
		}
	}

	/**
	 * Binds floating facilities on a surface.
	 *
	 * @param {Surface} surface A UI Surface instance.
	 * @param {object} SurfaceTypeManager
	 * @param {string} positionStyle - A valid CSS position value - "fixed", "absolute", "relative".
	 */
	function makeFloating(surface, SurfaceTypeManager, positionStyle) {
		subguarded([
			'aloha-selection-changed',
			'aloha.ui.container.selected'
		], onActivatedSurface, surface, function () {
			surface._move();
		});

		var updateSurfacePosition = function () {
			var position = forcePositionIntoWindow({
				top: SurfaceTypeManager.pinTop,
				left: SurfaceTypeManager.pinLeft
			});
			SurfaceTypeManager.setFloatingPosition(position);
			surface.$element.css({
				top: position.top,
				left: position.left
			});
		};

		$WINDOW.scroll(function () {
			// TODO: only do this for active surfaces.
			surface._move(0);
		});

		$WINDOW.resize(function () {
			if (!SurfaceTypeManager.isFloatingMode) {
				updateSurfacePosition();
			}
			surface.reposition();
		});

		surface.addPin();
		setPositionStyleToFixed(surface, positionStyle);

		if (!SurfaceTypeManager.isFloatingMode) {
			updateSurfacePosition();
		}

		if (typeof positionStyle === 'undefined') {
			surface.$element.css('z-index', 10100).draggable({
				distance: 20,
				stop: function (event, ui) {
					SurfaceTypeManager.setFloatingPosition(ui.position);
					if (!SurfaceTypeManager.isFloatingMode) {
						storePinPosition(ui.position);
					}
				}
			});
		}
	}

	return {
		getPinState: getPinState,
		makeFloating: makeFloating,
		floatSurface: floatSurface,
		removeResponsiveStyles: removeResponsiveStyles,
		togglePinSurface: togglePinSurface,
		POSITION_STYLE: POSITION_STYLE
	};
});

/**
 * Aloha Editor User Interface API Semantics
 * =========================================
 *
 * Note
 * ===
 *    * This documentation is "thinking out loud," and very much "work in work
 *      in progress--as is the Aloha UI API itself.
 *
 *    * For flexibility and ease, it seems that it would be best that the Aloha
 *      UI API will not constrain the developer to these semantics, but will
 *      naively assume that these semantics are observed.
 *
 * Components (Buttons, Labels, Icons)
 * ---
 * Aloha Editor represents its user interface using objects called
 * `components`.  A uniform interface for these components allows them to be
 * agnostic to what container they are rendered on.
 *
 * Controls (Buttons)
 * ---
 * Interactive components like buttons, are called `controls`, to distinguish
 * them from non-interactive components like labels, and icons.
 *
 * Containers (Tabs, Panels)
 * ---
 * In rendering the UI, components are organized in visual groups, and these
 * groups are in turn bundled onto `containers`.  Containers can be tabs, as in
 * the case of the floating menu, or panels like in the sidebar.  Containers
 * allow a collection of controls that represent a feature set to be rendered
 * as a group and to be brought in and out of view together.
 *
 * Surfaces (Toolbar, Sidebar, Ribbon)
 * ---
 * `Surfaces` are areas on a web page in which containers can be placed.  The
 * sidebar, and the toolbar are examples of such surfaces.  The possibility
 * exists for other surfaces to be defined--such as a ribbon, or a footer menu.
 *
 *
 * Class structure
 * ===
 *
 *         Surface
 *	          |
 *	     ,----+----.
 *       |         |
 *	  Toolbar   Sidebar
 *
 *
 *        Container
 *	          |
 *	     ,----+----.
 *       |         |
 *	   Panel      Tab
 *
 *
 *        Component
 *            |
 *	     ,----+----.
 *       |         |
 *	   Label    Control
 *
 *
 * Enforcing good dependencies
 * ===
 * In order to void subtle errors that arise from erroneous dependency
 * declarations, we will have ill-defined or missing dependencies fail early
 * and noisily.  We achieve this by never exposing individual modules through
 * the Aloha.ui hash unless absolutely necessary. Modules are accessibly only
 * through require.
 *
 * How this works:
 * For example, a ui module "uiModule" would not be exposed through
 * `Aloha.ui.uiModule` but from require's `define` call:
 *
 *		define([ 'ui/uiModule' ], function( uiModule ) {});
 *
 * or
 *
 *		var uiModule = Aloha.require( 'ui/uiModule' );
 * 
 * This will force more deliberate and precise usage of dependencies.  The
 * developer will have to know exactly which direct dependencies they are using;
 * any missing or unsuccessfully require dependency will not inadvertantly be
 * provided from another require somewhere else in Aloha thereby silencing an
 * error that will emerge unexpectedly if that require is ever removed.
 */

define('ui/ui', [
	'jquery',
	'aloha/core'
],
function (
	$,
	Aloha
) {
	'use strict';

	var UiPlugin;

	/**
	 * A hash map of components mapped against the slots into which they have
	 * been adopted.
	 *
	 * @type {Object<string, Component>}
	 */
	var components = {};

	/**
	 * Adopts a component into the UI.
	 *
	 * Only adopted components will become part of the UI.
	 *
	 * Where the component is placed is decided by looking the name up
	 * in the configuration.
	 * 
	 * If adoption is successful, the component will have its
	 * adoptParent() method invoked by the container the component ends
	 * up in.
	 *
	 * @param {string?} name
	 *        Names the component to be adopted.
	 *        The name is used by the UI to identify the component,
	 *        and place the component.
	 *        Making multiple calles with different components but
	 *        the same name is valid.
	 *        If not given, settings must be given and contain a
	 *        name property.
	 * @param {Object?} SuperTypeOrInstance
	 *        Either a component type that will be instantiated, or an
	 *        already instantiated component instance.
	 * @param {Object?} settings
	 *        An optional map of component settings which will be used
	 *        to extend the SuperType.
	 *        Ignored if an component instance is given.
	 *        Must contain a name property if no name is given.
	 * @return
	 *        If a SuperTypeOrInstance is a SuperType, the new component
	 *        instantiated from SuperType, or the given component
	 *        instance.
	 * @api
	 */
	function adopt(name, SuperTypeOrInstance, settings) {
		var Type,
		    component;

		if (UiPlugin == null) {
			UiPlugin = Aloha.require('ui/ui-plugin');
		}

		if ('string' !== $.type(name)) {
			settings = SuperTypeOrInstance;
			SuperTypeOrInstance = name;
			name = settings.name;
		} else {
			settings = $.extend({name: name}, settings);
		}

		if (!SuperTypeOrInstance.isInstance) {
			Type = settings ? SuperTypeOrInstance.extend(settings) : SuperTypeOrInstance;
			component = new Type();
		} else {
			component = SuperTypeOrInstance;
		}

		components[name] = component;
		UiPlugin.adoptInto(name, component);

		return component;
	}

	/**
	 * Retreives the component that was adopted at the given UI slot.
	 *
	 * @param {string} slot The name of the slot.
	 * @return {Component?} A component, or null if no slot was adopted
	 *                      into the slot.
	 */
	function getComponentAtSlot(slot) {
		return components[slot] || null;
	}

	return {
		adopt: adopt,
		getAdoptedComponent: getComponentAtSlot
	};
});

define('ui/component',[
	'aloha/core',
	'jquery',
	'util/class'
], function (
	Aloha,
	$,
	Class
) {
	'use strict';

	var idCounter = 0;

	/**
	 * Component class and manager.
	 *
	 * This implementation constitues the base of all UI components (buttons,
	 * and labels).  The `Component' constructor object, with its static
	 * properties and functions, manages all components instances.
	 *
	 * @class
	 * @base
	 */
	var Component = Class.extend({

		id: 0,

		/**
		 * Flag to indicate that this is an instance of a component and  not the class object.
		 */
		isInstance: true,

		/** jQuery ref to the root element of this component. */
		element: null,

		/**
		 * The Container instance or null if this component was not
		 * adopted by a counter by calling Component.adopt().
		 */
		container: null,

		/**
		 * Will be set in Component.define()
		 */
		type: null,

		/**
		 * The name/slot this component is being rendered in.
		 * Will set when this component is being adopted.
		 * @type {string}
		 */
		name: null,

		/**
		 * @type {'dropdown' | 'modal' | null} In which kind of rendering-context this component resides in.
		 * This is useful if you want to have different styling or behaviour, depending if it's visible in the regular
		 * toolbar/ui, or if it's visible somewhere else.
		 * If `null`/not specified, it's the default context, which should be considered the toolbar.
		 */
		renderContext: null,

		/**
		 * @type {boolean} Whether or not this component is visible.
		 */
		visible: true,

		/**
		 * @type {boolean} Whether this component is disabled and can be interacted with.
		 */
		disabled: false,

		/**
		 * @type {boolean} Whether the user has interacted/changed the value of this component.
		 */
		touched: false,

		/**
		 * @type {object | null} When this component is being validated, which kind of errors it has.
		 * `null` when no errors are present, otherwise a object with potentially multiple validation errors.
		 */
		validationErrors: null,

		/**
		 * @type {function} Function to call when the value of the component changes.
		 */
		changeNotify: null,

		/**
		 * @type {function} Function to call when the user interacted with the component.
		 */
		touchNotify: null,

		/**
		 * The type property is set in Component.define(), so components should only ever be instantiated through define.
		 * @constructor
		 */
		_constructor: function () {
			this.id = idCounter++;
			this.init();
			$(this.element)[0]._alohaComponent = this;
		},

		adoptParent: function (container) {
			this.container = container;
		},

		destroy: function() {
			this.container = null;
			this.element.remove();
		},

		/**
		 * Initializes this component.  To be implemented in subclasses.
		 */
		init: function () {},

		isVisible: function () {
			return this.visible;
		},

		/**
		 * Shows this component.
		 */
		show: function (show_opt) {
			if (false === show_opt) {
				this.hide();
				return;
			}
			// Only call container.childVisible if we switch from hidden to visible
			if (!this.visible) {
				this.visible = true;
				this.element.show();
				if (this.container) {
					this.container.childVisible(this, true);
				}
			}
		},

		/**
		 * Hides this component.
		 */
		hide: function () {
			// Only call container.childVisible if we switch from visible to hidden
			if (this.visible) {
				this.visible = false;
				this.element.hide();
				if (this.container) {
					this.container.childVisible(this, false);
				}
			}
		},

		focus: function () {
			this.element.focus();
			if (this.container) {
				this.container.childFocus(this);
			}
		},

		foreground: function () {
			if (this.container) {
				this.container.childForeground(this);
			}
		},

		enable: function (enable_opt) {
			this.disabled = false;
		},
		disable: function () {
			this.disabled = true;
		},

		touch: function() {
			this.touched = true;
			this.triggerTouchNotification();
		},
		untouched: function() {
			this.touched = false;
		},

		triggerTouchNotification: function() {
			if (typeof this.touchNotify === 'function') {
				this.touchNotify();
			}
		},
		triggerChangeNotification: function() {
			if (typeof this.changeNotify === 'function') {
				this.changeNotify(this.getValue());
			}
		},

		isValid: function() {
			return this.validationErrors == null;
		},

		setValue: function(value) {
			// Needs to be overritten
		},
		getValue: function() {
			return null;
		},
	});

	return Component;
});

define('ui/button',[
	'jquery',
	'ui/component',
	'ui/utils',
	'jqueryui'
], function (
	$,
	Component,
	Utils
) {
	'use strict';

	/**
	 * Implements a simple button component.  All interactive UI controls (that
	 * is--anything that is not a label) will most probably extend the Button
	 * component.
	 *
	 * An extending class should optionally define the following properties
	 * tooltip - the internationalized tooltip text,
	 * icon    - the icon class,
	 * text	   - the text to display in the button (usually empty)
	 * iconOnly - If it should only render the icon (default: true)
	 * click   - the click handler for the button.
	 *
	 * @class
	 * @name Button
	 * @extends {Component}
	 */
	var Button = Component.extend({
		type: 'button',

		/** @type {string=} Text in the button. */
		text: '',
		/** @type {string=} The tooltip text/content to display when the button is hovered over. */
		tooltip: '',
		/** @type {(string)=} The icon (CSS-Class) to use for this button. */
		icon: '',
		/** @type {boolean} If it should only show the icon. */
		iconOnly: true,
		/** @type {boolean} If the icon should be displayed hollow (Fill off, see Material Symbols). */
		iconHollow: false,

		// Internals

		/**
		 * The reference to the button. Usually the same as `element`, but button extensions might
		 * wrap the button in an additional container.
		 */
		_$buttonElement: null,

		/** The reference to the icon element. */
		_$iconElement: null,

		/** The reference to the text element. */
		_$textElement: null,

		/**
		 * Initializes this button instance.
		 * The initialization is done when the component is rendered, not when
		 * it is created.  This is necessary to allow multiple renderings of
		 * the same component.  For example, you may want a component to be in
		 * the toolbar and in the sidebar.
		 *
		 * @override
		 */
		init: function () {
			this._super();
			this.createButtonElement();
			this._$buttonElement
				// fix for IE7,8 so the icon shown disabled
				.click($.proxy(function () {

					// Ensure tooltips are always hidden after a button
					// is clicked because sometimes the tooltip doesn't
					// get closed automatically, for example after table
					// cells are merged or split.
					// IE needs the force argument to be true, Chrome doesn't.
					// The event argument can be ignored.
					this.closeTooltip();

					this._onClick();
				}, this));
		},

		closeTooltip: function () {
			// 'close', /*event*/, /*force*/
			this._$buttonElement.tooltip('close', null, true);
		},

		/**
		 * May be overridden by component subclasses to implement
		 * component-specific behaviour.  The default implementation just calls
		 * the public click method.
		 *
		 * @protected
		 */
		_onClick: function () {
			this.touch();
			this.click();
		},

		/**
		 * Handles mouse clicks on this button's rendered elements.
		 */
		click: function () {},

		/**
		 * Creates the DOM element to be rendered for user interaction.
		 *
		 * @return {$<HTMLElement>}
		 */
		createButtonElement: function () {
			this._$iconElement = $('<i>', {
				class: 'aloha-button-icon material-symbols-outlined',
				text: this.icon,
			});
			if (this.iconHollow) {
				this._$iconElement.addClass('hollow');
			}

			this._$textElement = $('<span>', {
				class: 'aloha-button-text',
				text: this.text,
			});

			var button = $('<button>', {
				class: 'aloha-button ui-widget',
				attr: {
					type: 'button',
					role: 'button',
				},
			})
				.append(this._$iconElement, this._$textElement)
				.tooltip({
					tooltipClass: 'aloha aloha-ui-tooltip',
					position: {
						my: 'left top',
						at: 'right bottom'
					}
				});

			if (!this.icon) {
				this._$iconElement.hide();
			}
			if (this.iconOnly) {
				button.addClass('icon-only');
			}

			this.element = this._$buttonElement = button;

			var that = this;
			button.on('mouseleave', function () {
				that.closeTooltip();
			});

			return button;
		},

		setIcon: function(icon) {
			this.icon = icon;

			this._$iconElement.text(icon);
			if (this.icon) {
				this._$iconElement.show();
			} else {
				this._$iconElement.hide();
			}
		},

		setIconOnly: function(iconOnly) {
			this.iconOnly = iconOnly;

			if (iconOnly) {
				this._$buttonElement.addClass('icon-only');
			} else {
				this._$buttonElement.removeClass('icon-only');
			}
		},
		setIconHollow: function(hollow) {
			this.iconHollow = hollow;

			if (hollow) {
				this._$iconElement.addClass('hollow');
			} else {
				this._$iconElement.removeClass('hollow');
			}
		},

		setText: function(text) {
			this.text = text;

			this._$textElement.text(text);
		},

		setTooltip: function(tooltip) {
			this.tooltip = tooltip;

			// Update the icon in the create button instance
			if (this._$buttonElement) {
				this._$buttonElement.tooltip('option', 'content', tooltip);
			}
		},

		/**
		 * Shows the button in a greyed-out inactive (unclickable) state.
		 */
		disable: function () {
			this._super();
			this._$buttonElement.attr('disabled', 'disabled');
		},

		/**
		 * Enables the button again after it has previously been disabled.
		 */
		enable: function () {
			this._super();
			this._$buttonElement.removeAttr('disabled');
		}
	});

	return Button;
});

define('ui/checkbox',[
    'jquery',
    'ui/component'
], function (
    $,
    Component
) {
    'use strict';

    var counter = 0;

    var Checkbox = Component.extend({
        type: 'checkbox',

        /** If the checkbox is currently checked */
        checked: false,

        /** Label/Text for this checkbox */
        label: '',

        checkboxElement: null,

        init: function () {
            this._super();

            var id = 'aloha_checkbox_' + counter;
            counter++;

            var _this = this;

            this.checkboxElement = $('<input>', {
                type: 'checkbox',
                class: 'checkbox-element',
                id: id,
            }).on('change', function (event) {
                _this.handleCheckboxChange(event);
            });

            if (this.checked) {
                this.checkboxElement.prop('checked', 'checked');
            }

            this.element = $('<div>', {
                class: 'checkbox-container',
            }).append(
                $('<label>', {
                    class: 'checkbox-label',
                    for: id,
                }).append([
                    this.checkboxElement,
                    $('<span>', {
                        class: 'checkbox-label-content',
                        text: this.label,
                    })
                ])
            );
        },

        handleCheckboxChange: function (event) {
            this.touch();
            this.checked = this.checkboxElement.prop('checked');
            this.triggerChangeNotification();
        },

        setValue: function (value) {
            this.checked = !!value;

            if (this.checked) {
                this.checkboxElement.prop('checked', 'checked');
            } else {
                this.checkboxElement.removeProp('checked');
            }
        },
        getValue: function () {
            return this.checked;
        },

        enable: function () {
            this._super();
            this.checkboxElement.removeAttr('disabled');
        },

        disable: function () {
            this._super();
            this.checkboxElement.attr('disabled', 'disabled');
        }
    });

    return Checkbox;
});

define('ui/slider',[
    'jquery',
    'ui/component',
], function (
    $,
    Component
) {
    'use strict';

    var CLASS_SHOW_INDICATORS = 'with-indicators';
    var CLASS_SHOW_SPINNER = 'with-spinner';

    var Slider = Component.extend({
        type: 'slider',

        /** @type {number} The current value of the slider. */
        value: 0,

        /** @type {string|null} The label to display for this slider. */
        label: null,
        /** @type {number} The minimal value the slider/spinner should allow. */
        min: 0,
        /** @type {number} The maximal value the slider/spinner should allow. */
        max: 100,
        /** @type {number} The steps/increments the slider should increase. */
        step: 1,

        /** @type {boolean} If it should show the min/max values. */
        showIndicators: false,
        /** @type {boolean} If it should display a spinner to allow the user to enter an exact value. */
        showSpinner: false,

        /** @type {number|null} If specified, uses this step for the spinner. Otherwise uses the `step` property. */
        spinnerStep: null,
        /** @type {string|null} Number-Format for the spinner to use. */
        spinnerFormat: null,

        // Internal values

        _$label: null,
        _$minIndicator: null,
        _$maxIndicator: null,
        _$slider: null,
        _$spinner: null,

        _ignoreNextSliderChange: false,
        _ignoreNextSpinnerChange: false,

        init: function () {
            var _this = this;

            this.element = $('<div>', {
                class: 'aloha-slider',
            });

            this._$label = $('<label>', {
                class: 'aloha-slider-label',
                text: this.label,
            }).appendTo(this.element);

            var sliderBody = $('<div>', {
                class: 'slider-body',
            }).appendTo(this.element);

            var sliderMain = $('<div>', {
                class: 'slider-main',
            }).appendTo(sliderBody);

            var indicatorContainer = $('<div>', {
                class: 'indicator-container',
            }).appendTo(sliderMain);

            this._$minIndicator = $('<span>', {
                class: 'slider-indicator indicator-min',
                text: this.min.toString(),
            }).appendTo(indicatorContainer);

            this._$maxIndicator = $('<span>', {
                class: 'slider-indicator indicator-max',
                text: this.max.toString(),
            }).appendTo(indicatorContainer);

            var sliderContainer = $('<div>', {
                class: 'slider-container',
            }).appendTo(sliderMain);

            this._$slider = $('<div>', {
                class: 'slider-element',
            }).slider({
                min: this.min,
                max: this.max,
                range: 'min',
                value: this.value,

                slide: function () {
                    var value = _this._$slider.slider('value');
                    _this._updateValue(value);
                    _this._updateSpinnerValue(value);
                    _this.onPartialValueChange(value);
                    _this.triggerTouchNotification();
                },
                change: function () {
                    if (_this._ignoreNextSliderChange) {
                        _this._ignoreNextSliderChange = false;
                        return;
                    }

                    var value = _this._$slider.slider('value');
                    _this._updateValue(value);
                    _this._updateSpinnerValue(value);
                    _this.onPartialValueChange(value);
                    _this.triggerChangeNotification();
                },
            }).appendTo(sliderContainer);

            var spinnerContainer = $('<div>', {
                class: 'spinner-container',
            }).appendTo(sliderBody);

            this._$spinner = $('<input>', {
                class: 'spinner-element',
            })
                .appendTo(spinnerContainer)
                .spinner({
                    min: this.min,
                    max: this.max,
                    step: this.spinnerStep || this.step || 1,
                    numberFormat: this.spinnerFormat,
                    value: this.value,

                    icons: {
                        down: 'aloha-jqueryui-icon ui-icon-triangle-1-s',
                        up: 'aloha-jqueryui-icon ui-icon-triangle-1-n'
                    },

                    spin: function () {
                        var value = _this._$spinner.spinner('value');
                        _this._updateValue(value);
                        _this._updateSliderValue(value);
                        _this.onPartialValueChange(value);
                        _this.triggerTouchNotification();
                    },
                    change: function () {
                        if (_this._ignoreNextSpinnerChange) {
                            _this._ignoreNextSpinnerChange = false;
                            return;
                        }

                        var value = _this._$spinner.spinner('value');
                        _this._updateValue(value);
                        _this._updateSliderValue(value);
                        _this.onPartialValueChange(value);
                        _this.triggerChangeNotification();
                    },
                });
            
            this._$spinner.spinner('value', this.value);
            this._$spinner.spinner('instance').uiSpinner.addClass('aloha-spinner');

            this._updateOptions();
        },

        _updateOptions: function () {
            if (this.showIndicators) {
                this.element.addClass(CLASS_SHOW_INDICATORS);
            } else {
                this.element.removeClass(CLASS_SHOW_INDICATORS);
            }

            if (this.showSpinner) {
                this.element.addClass(CLASS_SHOW_SPINNER);
            } else {
                this.element.removeClass(CLASS_SHOW_SPINNER);
            }
        },

        _updateValue: function (value) {
            this.value = value;
        },
        _updateSliderValue: function () {
            if (this._$slider != null && this._$slider.slider('instance')) {
                this._ignoreNextSliderChange = true;
                this._$slider.slider('value', this.value);
            }
        },
        _updateSpinnerValue: function () {
            if (this._$spinner != null && this._$spinner.spinner('instance')) {
                this._ignoreNextSpinnerChange = true;
                this._$spinner.spinner('value', this.value);
            }
        },

        /**
         * Function which can be overritten to get the current value while the user is still
         * dragging the slider. Otherwise would only trigger a change (`changeNotify`), once
         * the user let's go of the slider.
         */
        onPartialValueChange: function (value) { },

        enable: function () {
            this._super();
            this._$slider.slider('enable');
            this._$spinner.spinner('enable');
        },

        disable: function () {
            this._super();
            this._$slider.slider('disable');
            this._$spinner.spinner('disable');
        },

        setValue: function (value) {
            this._updateValue(value);
            this._updateSliderValue();
            this._updateSpinnerValue();
        },
        getValue: function () {
            return this.value;
        }
    });

    return Slider;
});

/**
 * @license RequireJS i18n 2.0.1 Copyright (c) 2010-2012, The Dojo Foundation All Rights Reserved.
 * Available via the MIT or new BSD license.
 * see: http://github.com/requirejs/i18n for details
 */
/*jslint regexp: true */
/*global require: false, navigator: false, define: false */

/**
 * This plugin handles i18n! prefixed modules. It does the following:
 *
 * 1) A regular module can have a dependency on an i18n bundle, but the regular
 * module does not want to specify what locale to load. So it just specifies
 * the top-level bundle, like "i18n!nls/colors".
 *
 * This plugin will load the i18n bundle at nls/colors, see that it is a root/master
 * bundle since it does not have a locale in its name. It will then try to find
 * the best match locale available in that master bundle, then request all the
 * locale pieces for that best match locale. For instance, if the locale is "en-us",
 * then the plugin will ask for the "en-us", "en" and "root" bundles to be loaded
 * (but only if they are specified on the master bundle).
 *
 * Once all the bundles for the locale pieces load, then it mixes in all those
 * locale pieces into each other, then finally sets the context.defined value
 * for the nls/colors bundle to be that mixed in locale.
 *
 * 2) A regular module specifies a specific locale to load. For instance,
 * i18n!nls/fr-fr/colors. In this case, the plugin needs to load the master bundle
 * first, at nls/colors, then figure out what the best match locale is for fr-fr,
 * since maybe only fr or just root is defined for that locale. Once that best
 * fit is found, all of its locale pieces need to have their bundles loaded.
 *
 * Once all the bundles for the locale pieces load, then it mixes in all those
 * locale pieces into each other, then finally sets the context.defined value
 * for the nls/fr-fr/colors bundle to be that mixed in locale.
 */
(function () {
    'use strict';

    //regexp for reconstructing the master bundle name from parts of the regexp match
    //nlsRegExp.exec("foo/bar/baz/nls/en-ca/foo") gives:
    //["foo/bar/baz/nls/en-ca/foo", "foo/bar/baz/nls/", "/", "/", "en-ca", "foo"]
    //nlsRegExp.exec("foo/bar/baz/nls/foo") gives:
    //["foo/bar/baz/nls/foo", "foo/bar/baz/nls/", "/", "/", "foo", ""]
    //so, if match[5] is blank, it means this is the top bundle definition.
    var nlsRegExp = /(^.*(^|\/)nls(\/|$))([^\/]*)\/?([^\/]*)/;

    //Helper function to avoid repeating code. Lots of arguments in the
    //desire to stay functional and support RequireJS contexts without having
    //to know about the RequireJS contexts.
    function addPart(locale, master, needed, toLoad, prefix, suffix) {
        if (master[locale]) {
            needed.push(locale);
            if (master[locale] === true || master[locale] === 1) {
                toLoad.push(prefix + locale + '/' + suffix);
            }
        }
    }

    function addIfExists(req, locale, toLoad, prefix, suffix) {
        var fullName = prefix + locale + '/' + suffix;
        if (require._fileExists(req.toUrl(fullName))) {
            toLoad.push(fullName);
        }
    }

    /**
     * Simple function to mix in properties from source into target,
     * but only if target does not already have a property of the same name.
     * This is not robust in IE for transferring methods that match
     * Object.prototype names, but the uses of mixin here seem unlikely to
     * trigger a problem related to that.
     */
    function mixin(target, source, force) {
        var prop;
        for (prop in source) {
            if (source.hasOwnProperty(prop) && (!target.hasOwnProperty(prop) || force)) {
                target[prop] = source[prop];
            } else if (typeof source[prop] === 'object') {
                mixin(target[prop], source[prop], force);
            }
        }
    }

    define('i18n',['module'], function (module) {
        var masterConfig = module.config();

        return {
            version: '2.0.1',
            /**
             * Called when a dependency needs to be loaded.
             */
            load: function (name, req, onLoad, config) {
                config = config || {};

                if (config.locale) {
                    masterConfig.locale = config.locale;
                }

                var masterName,
                    match = nlsRegExp.exec(name),
                    prefix = match[1],
                    locale = match[4],
                    suffix = match[5],
                    parts = locale.split("-"),
                    toLoad = [],
                    value = {},
                    i, part, current = "";

                //If match[5] is blank, it means this is the top bundle definition,
                //so it does not have to be handled. Locale-specific requests
                //will have a match[4] value but no match[5]
                if (match[5]) {
                    //locale-specific bundle
                    prefix = match[1];
                    masterName = prefix + suffix;
                } else {
                    //Top-level bundle.
                    masterName = name;
                    suffix = match[4];
                    locale = masterConfig.locale;
                    if (!locale) {
                        locale = masterConfig.locale =
                            typeof navigator === "undefined" ? "root" :
                            (navigator.language ||
                             navigator.userLanguage || "root").toLowerCase();
                    }
                    parts = locale.split("-");
                }

                if (config.isBuild) {
                    //Check for existence of all locale possible files and
                    //require them if exist.
                    toLoad.push(masterName);
                    addIfExists(req, "root", toLoad, prefix, suffix);
                    for (i = 0; i < parts.length; i++) {
                        part = parts[i];
                        current += (current ? "-" : "") + part;
                        addIfExists(req, current, toLoad, prefix, suffix);
                    }

                    req(toLoad, function () {
                        onLoad();
                    });
                } else {
                    //First, fetch the master bundle, it knows what locales are available.
                    req([masterName], function (master) {
                        //Figure out the best fit
                        var needed = [],
                            part;

                        //Always allow for root, then do the rest of the locale parts.
                        addPart("root", master, needed, toLoad, prefix, suffix);
                        for (i = 0; i < parts.length; i++) {
                            part = parts[i];
                            current += (current ? "-" : "") + part;
                            addPart(current, master, needed, toLoad, prefix, suffix);
                        }

                        //Load all the parts missing.
                        req(toLoad, function () {
                            var i, partBundle, part;
                            for (i = needed.length - 1; i > -1 && needed[i]; i--) {
                                part = needed[i];
                                partBundle = master[part];
                                if (partBundle === true || partBundle === 1) {
                                    partBundle = req(prefix + part + '/' + suffix);
                                }
                                mixin(value, partBundle);
                            }

							// MODIFICATION FROM ALOHA START: add a t() function
							value.t = function( key, defaultValue ) {
								if ( this[key] ) {
									return this[key];
								} else if ( defaultValue ) {
									return defaultValue;
								} else {
									return key;
								}
							}
							// END OF ALOHA MODIFICATION

                            //All done, notify the loader.
                            onLoad(value);
                        });
                    });
                }
            }
        };
    });
}());

define('ui/nls/i18n',{
	"root":  {
		"button.dismiss.label": "Dismiss",
		"button.bold.label": "Bold",
		"button.italic.label": "Italic",
		"button.strikethrough.label": "Strikethrough",
		"button.subscript.label": "Subscript",
		"button.superscript.label": "Superscript",
		"button.underline.label": "Underline",
		"button.yes.label": "Yes",
		"button.no.label": "No",
		"button.back.label": "Back",
		"button.confirm.label": "Confirm",
		"button.cancel.label": "Cancel",

		"split-button.secondary.label": "Open Context",
		"link-target.target.label": "Target",
		"link-target.anchor.label": "Anchor",
		"color-picker.clearButton.label": "Clear color",
		"date-time-picker.hours.label": "Hours",
		"date-time-picker.minutes.label": "Minutes",

		// paragraph
		"button.p.label": "Paragraph",
		"button.h1.label": "Heading 1",
		"button.h2.label": "Heading 2",
		"button.h3.label": "Heading 3",
		"button.h4.label": "Heading 4",
		"button.h5.label": "Heading 5",
		"button.h6.label": "Heading 6",
		"button.pre.label": "Preformatted text",
		"button.removeFormatting.label": "Remove formatting",

		// list
		"button.ol.label": "Insert ordered list",
		"button.ul.label": "Insert unordered list",
		"button.indent.label": "Indent list",
		"button.outdent.label": "Outdent list",
		"button.createLink.label": "Insert link",
		"button.removeLink.label": "Remove link",
		"button.createAbbr.label": "Insert abbreviation",
		"button.characterPicker.label": "Pick special characters",

		// link
		"button.createLink.label": "Insert link",
		"button.removeLink.label": "Remove link",

		// abbr
		"button.createAbbr.label": "Insert abbreviation",

		// character picker
		"button.characterPicker.label": "Pick special characters",

		// justify
		"button.justifyLeft.label": "Align to the left",
		"button.justifyRight.label": "Align to the right",
		"button.justifyCenter.label": "Center",
		"button.justifyFull.label": "Justify",

		// horizontal rule
		"button.horizontalRule.label": "Insert horizontal rule",
		"button.createLanguageAnnotation.label": "Insert language annotation",
		"button.metaview.label": "Switch between meta and normal view",
		"button.quote.label": "Format selection as quote",
		"button.blockquote.label": "Format selection as blockquote",
		"tab.format.label": "Format",
		"tab.insert.label": "Insert",
		"tab.view.label": "View",
		"tab.img.label": "Image",
		"tab.table.label": "Table",
		"tab.wai-lang.label": "Language annotation"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


define('ui/colorPicker',[
    'jquery',
    'ui/component',
    'ui/slider',
    'ui/utils',
    'i18n!ui/nls/i18n'
], function (
    $,
    Component,
    Slider,
    Utils,
    i18n
) {
    'use strict';

    var CLASS_COLOR_PICKER_ITEM = 'color-picker-item';
    var CLASS_PALETTE_ITEM = 'color-palette-item';
    var CLASS_ACTIVE = 'active';
    var CLASS_SHOW_CLEAR = 'with-clear';
    var CLASS_SHOW_CUSTOM_COLORS = 'with-custom-colors';
    var CLASS_SHOW_TRANSPARENCY = 'with-transparency';

    var ATTR_COLOR_VALUE = 'data-value';

    var DEFAULT_COLOR = [0, 0, 0, 255];

    var REGEXP_HEX_VALUE = /^#?([0-9a-f]{3,4}|[0-9a-f]{6,8})$/g;

    function colorIsActive(active, current) {
        if (!Array.isArray(active) || !Array.isArray(current)) {
            return false;
        }
        return Utils.colorIsSame(active, current);
    }

    var ColorPicker = Component.extend({
        type: 'color-picker',

        /** @type {Array.<number>|string|null} The color value. */
        value: null,

        /** @type {Array.<number|string>} String array with all available/valid colors to choose from. */
        palette: [],

        /** @type {boolean} If it should allow values which aren't specified in the palette. */
        allowOutsidePalette: false,

        /**
         * @type {boolean} If the user should be able to enter the color value themself.
         * Requires `allowOutsidePalette` to be `true` as well.
         */
        allowCustomInput: false,

        /** @type {boolean} If the user can change the transparency of the colors.
         * Requires `allowCustomInput` to be `true` as well.
         */
        allowTransparency: false,

        /** @type {boolean} If it should be possible to select an empty/clear value (`null`). */
        allowClear: true,

        // Internal values

        normalizedValue: null,
        normalizedPalette: [],

        _$colorGrid: null,
        _$clearInput: null,
        _$preview: null,
        _$hexColorInput: null,
        _rgbaInputs: [],
        _ignoreColorInputs: false,

        init: function () {
            this._super();

            this._normalizeColors();
            var _this = this;

            this.element = $('<div>', {
                class: 'aloha-color-picker',
            });

            this._$colorGrid = $('<div>', {
                class: 'aloha-color-picker-grid',
            }).appendTo(this.element);

            this._$clearInput = $('<button>', {
                class: [CLASS_COLOR_PICKER_ITEM, 'clear-value'].join(' '),
                title: i18n.t('color-picker.clearButton.label'),
            })
                .on('click', function () {
                    _this.triggerTouchNotification();
                    _this.handleColorSelect(null);
                })
                .appendTo(this._$colorGrid);

            var customContainer = $('<div>', {
                class: 'color-picker-custom',
            }).appendTo(this.element);

            var rgbaInputContainer = $('<div>', {
                class: 'custom-color-input-container',
            }).appendTo(customContainer);

            var previewContainer = $('<div>', {
                class: 'custom-color-preview-container',
            }).appendTo(customContainer);

            this._$preview = $('<div>', {
                class: 'custom-color-preview',
            }).appendTo(previewContainer);

            // Sliders trigger a partial change initially, which we don't want
            this._ignoreColorInputs = true;

            function createColorInput(name, index) {
                var sliderComponent = new (Slider.extend({
                    min: 0,
                    max: 255,
                    value: _this.normalizedValue ? _this.normalizedValue[index] : DEFAULT_COLOR[index],
                    showIndicators: false,
                    showSpinner: false,

                    onPartialValueChange: function (value) {
                        if (_this._ignoreColorInputs) {
                            return;
                        }

                        if (_this.normalizedValue == null) {
                            _this.normalizedValue = DEFAULT_COLOR.slice();
                        }
                        _this.normalizedValue[index] = value;
                        _this.value = _this.normalizedValue.slice();
                        _this._updatePreviewColor();
                        _this._updateHexInput();
                        _this._updateActiveSelection();
                    },
                }))();

                sliderComponent.element.addClass('custom-color color-' + name).appendTo(rgbaInputContainer);

                return sliderComponent;
            }

            this._rgbaInputs.push(createColorInput('red', 0));
            this._rgbaInputs.push(createColorInput('green', 1));
            this._rgbaInputs.push(createColorInput('blue', 2));
            this._rgbaInputs.push(createColorInput('transparency', 3));

            this._$hexColorInput = $('<input>', {
                class: 'custom-color-input',
            })
                .bind('input', function () {
                    _this.triggerTouchNotification();
                    _this.handleHexInputChange();
                })
                .on('blur', function () {
                    _this._updateHexInput();
                })
                .appendTo(rgbaInputContainer);

            $('<button>', {
                class: 'custom-color-confirm',
                text: i18n.t('button.confirm.label'),
            })
                .on('click', function() {
                    _this.triggerChangeNotification();
                })
                .appendTo(previewContainer);

            this._updateOptions();
            this._populatePalette();
            this._updateHexInput();
            this._updateRGBAInputValues();
            this._updatePreviewColor();
            this._updateActiveSelection();

            setTimeout(function() {
                _this._ignoreColorInputs = false;
            });
        },

        _normalizeColors: function () {
            this.normalizedPalette = (this.palette || []).map(function (value) {
                return Utils.colorToRGBA(value);
            }).filter(function (value) {
                return value != null;
            });
            this.normalizedValue = this.value ? Utils.colorToRGBA(this.value) : null;

            // If the value cannot be from outside the specified palette, we have to clean it up.
            if (this.normalizedValue != null && !this.allowOutsidePalette && !this._isInPalette(this.normalizedValue)) {
                this.normalizedValue = null;
            }
        },

        handleColorSelect: function (color) {
            // Skip if this component is disabled or the color is invalid for whatever reason.
            if (this.disabled || (!this.allowOutsidePalette && (color != null && !this._isInPalette(color)))) {
                return false;
            }

            this.value = color != null ? color.slice() : color;
            this.normalizedValue = color != null ? color.slice() : null;
            this._updateRGBAInputValues();
            this._updatePreviewColor();
            this._updateActiveSelection();
            this.triggerChangeNotification();
        },

        handleHexInputChange: function () {
            if (this._$hexColorInput == null) {
                return;
            }

            var value = this._$hexColorInput.val() || '';

            if (!REGEXP_HEX_VALUE.test(value)) {
                return;   
            }

            // In case no '#' was put in front, as it's optional
            if (!value[0] === '#') {
                value = '#' + value;
            }

            this.value = Utils.colorToRGBA(value);

            // If we don't allow the user to change the transparency, then set it to full transparency
            if (!this.allowTransparency) {
                this.value[3] = 255;
            }

            this.normalizedValue = this.value != null ? this.value.slice() : null;
            this._updateRGBAInputValues();
            this._updatePreviewColor();
            this._updateActiveSelection();
        },

        _updateRGBAInputValues: function () {
            var colorToUpdate = this.normalizedValue || DEFAULT_COLOR;
            var _this = this;

            colorToUpdate.forEach(function (color, index) {
                _this._rgbaInputs[index].setValue(color);
            });
        },

        _updateHexInput: function () {
            if (this._$hexColorInput == null) {
                return;
            }

            var hex = Utils.colorToHex(this.normalizedValue);
            if (hex && !this.allowTransparency) {
                hex = hex.substring(0, 7);
            }
            this._$hexColorInput.val(hex || '');
        },

        _updatePreviewColor: function () {
            this._$preview.css('background-color', Utils.colorToHex(this.normalizedValue) || 'transparent');
        },

        _updateActiveSelection: function () {
            this._$colorGrid.find('.' + CLASS_PALETTE_ITEM).removeClass(CLASS_ACTIVE);

            var hex = Utils.colorToHex(this.normalizedValue);
            if (hex != null) {
                this._$colorGrid.find('[' + ATTR_COLOR_VALUE + '="' + hex + '"]').addClass(CLASS_ACTIVE);
            }
        },

        _isInPalette: function (color) {
            return this.normalizedPalette.some(function (paletteColor) {
                return Utils.colorIsSame(color, paletteColor);
            });
        },

        _updateOptions: function () {
            if (!this.allowClear) {
                this.element.removeClass(CLASS_SHOW_CLEAR);
            } else {
                this.element.addClass(CLASS_SHOW_CLEAR);
            }

            if (!this.allowOutsidePalette || !this.allowCustomInput) {
                this.element.removeClass(CLASS_SHOW_CUSTOM_COLORS);
            } else {
                this.element.addClass(CLASS_SHOW_CUSTOM_COLORS);
            }

            if (!this.allowOutsidePalette || !this.allowCustomInput || !this.allowTransparency) {
                this.element.removeClass(CLASS_SHOW_TRANSPARENCY);
            } else {
                this.element.addClass(CLASS_SHOW_TRANSPARENCY);
            }
        },

        setPalette: function(palette) {
            this.palette = palette;
            this._normalizeColors();
            this._populatePalette();
        },
        setAllowOutsidePalette: function (allow) {
            this.allowOutsidePalette = allow;
            this._updateOptions();
        },
        setAllowCustomInput: function (allow) {
            this.allowCustomInput = allow;
            this._updateOptions();
        },
        setAllowClear: function (allow) {
            this.allowClear = allow;
            this._updateOptions();
        },
        setAllowTransparency: function (allow) {
            this.allowTransparency = allow;
            this._updateOptions();
        },

        _populatePalette: function () {
            var _this = this;

            // Remove all previous color palette items
            this._$colorGrid.find('.' + CLASS_PALETTE_ITEM).remove();
            this.normalizedPalette.forEach(function (color) {
                var cls = [CLASS_COLOR_PICKER_ITEM, CLASS_PALETTE_ITEM];
                if (colorIsActive(_this.normalizedValue, color)) {
                    cls.push(CLASS_ACTIVE);
                }

                var hex = Utils.colorToHex(color);
                var attr = {};
                attr[ATTR_COLOR_VALUE] = hex;

                var $elem = $('<button>', {
                    class: cls.join(' '),
                    attr: attr,
                }).on('click', function () {
                    _this.triggerTouchNotification();
                    _this.handleColorSelect(color);
                });
                $elem.css('--aloha-color-palette-item', hex);

                _this._$colorGrid.append($elem);
            });
        },

        setValue: function (value) {
            this.value = value;
            this._normalizeColors();
            this._updateActiveSelection();
        },
        getValue: function () {
            return this.normalizedValue;
        },
    });

    return ColorPicker;
});

define('ui/dateTimePicker',[
    'jquery',
    'ui/component',
    'i18n!ui/nls/i18n',
    'jqueryui'
], function (
    $,
    Component,
    i18n
) {
    'use strict';

    var CLASS_WITH_TIME = 'with-time';

    var DateTimePicker = Component.extend({
        type: 'date-time-picker',

        /**
         * @type {Date=} The timestamp value of the chosen date-time. Has to be a unix-timestamp or `null`.
         */
        value: null,
        /** @type {string=} Label to display for this date-time picker. */
        label: null,
        /** @type {string} The format how the date-time should be displayed to the user. */
        format: null,
        /** @type {number=} The minimum of a date the user can select from. */
        min: null,
        /** @type {number=} The maximum of a date the user can select from. */
        max: null,
        /** @type {boolean} If it should allow the user to enter a time. */
        allowTime: false,
        /** @type {boolean} If the controls should be rendered inline instead of in a pop-out/dropdown. */
        inline: false,

        // Localization options

        /** @type {string=} Label for the hours input. */
        hoursLabel: null,
        /** @type {string=} Label for the minutes input. */
        minutesLabel: null,
        /**
         * @type {Array.<string>=} Names for the months (i.E. "January", "February", ...), starting from january.
         * Has to be a complete list.
         */
        monthNames: null,
        /**
         * @type {Array.<string>=} Short Names for the months (i.E. "Jan", "Feb", ...), starting from january.
         * Has to be a complete list.
         */
        monthShort: null,
        /**
         * @type {Array.<string>=} Names for the weekdays (i.E. "Sunday", "Monday", ...), starting from sunday.
         * Has to be a complete list.
         */
        weekdayNames: null,
        /**
         * @type {Array.<string>=} Short Names for the weekdays (i.E. "Sun", "Mon", ...), starting from sunday.
         * Has to be a complete list.
         */
        weekdayShort: null,
        /**
         * @type {Array.<string>=} Minimal Names for the weekdays (i.E. "Su", "Mo", ...), starting from sunday.
         * Has to be a complete list.
         */
        weekdayMinimal: null,
        /** @type {number} On which `index` of the `weekdayNames` the week starts. 0 = Sunday, 1 = Monday, ... */
        weekStart: 0,

        // Internals

        _$inputElement: null,
        _$inputContent: null,
        _$dropdownElement: null,
        _$pickerElement: null,
        _$hoursElement: null,
        _$minutesElement: null,

        _ignoreSpinnerChange: false,

        init: function () {
            this._super();
            var _this = this;

            this.element = $('<div>', {
                class: 'aloha-date-time-picker',
            });

            this._normalizeValue();

            this._$inputElement = $('<input>', {
                readonly: true,
                class: 'aloha-picker-input',
            }).on('click', function () {
                _this._openContentDropdown();
            });

            this._updateDisplayValue();

            if (this.inline) {
                this._createInputContent();
                this.element.append(this._$inputContent);
            } else {
                this.element.append(this._$inputElement);
            }
        },

        _normalizeValue: function () {            
            if (this.value == null) {
                return;
            }

            if (this.value instanceof Date) {
                return;
            }

            if (typeof this.value === 'number') {
                if (!Number.isFinite(this.value) || Number.isNaN(this.value)) {
                    this.value = null;
                }
                this.value = new Date(this.value);
                return;
            }

            this.value = null;
        },
        _handleSelection: function () {
            var newDate = this._$pickerElement.datepicker('getDate');
            if (newDate != null && this.value != null) {
                newDate.setHours(this.value.getHours());
                newDate.setMinutes(this.value.getMinutes());
            }
            this.value = newDate;

            this._normalizeValue();
            this._updateDisplayValue();

            // If there's no dropdown open, we can propergate this change
            if (!this._$dropdownElement) {
                this.triggerChangeNotification();
            }
        },
        _createPickerOptions: function () {
            var _this = this;

            var pickerOptions = {
                changeYear: true,
                defaultDate: this.value,
                disabled: this.disabled,
                onSelect: function () {
                    _this._handleSelection();
                },
            };

            if (this.format) {
                pickerOptions.dateFormat = this.format;
            }
            if (this.weekStart != null) {
                pickerOptions.firstDay = this.weekStart;
            }
            if (this.min != null) {
                pickerOptions.minDate = this.min;
            }
            if (this.max != null) {
                pickerOptions.maxDate = this.max;
            }
            if (Array.isArray(this.weekdayNames)) {
                pickerOptions.dayNames = this.weekdayNames;
            }
            if (Array.isArray(this.weekdayShort)) {
                pickerOptions.dayNamesShort = this.weekdayShort;
            }
            if (Array.isArray(this.weekdayMinimal)) {
                pickerOptions.dayNamesMin = this.weekdayMinimal;
            }
            if (Array.isArray(this.monthNames)) {
                pickerOptions.monthNames = this.monthNames;
            }
            if (Array.isArray(this.monthNamesShort)) {
                pickerOptions.monthNamesShort = this.monthNamesShort;
            }

            return pickerOptions;
        },
        _updatePickerWithOptions: function () {
            if (this._$pickerElement) {
                this._$pickerElement.datepicker('option', this._createPickerOptions());
                this._$pickerElement.datepicker('refresh');
            }
        },
        _getDateFormat: function () {
            if (this.format) {
                return format;
            }

            // Default values
            return this.allowTime ? 'mm/dd/yy hh:ii' : 'mm/dd/yy';
        },
        _updateDisplayValue: function () {
            if (!this._$inputElement) {
                return;
            }

            var formattedText = '';
            if (this.value != null) {
                var dateFormat = this._getDateFormat();
                var h = this.value.getHours().toString();
                var i = this.value.getMinutes().toString();
                formattedText = $.datepicker.formatDate(dateFormat, this.value)
                    .replace(/(hh|HH)/g, h.padStart(2, '0'))
                    .replace(/(h|H)/g, h)
                    .replace(/(ii|II)/g, i.padStart(2, '0'))
                    .replace(/(i|I)/g, i);
            }
            this._$inputElement.val(formattedText);
        },
        _createInputContent: function () {
            var _this = this;

            this._$inputContent = $('<div>', {
                class: 'aloha-date-time-picker-content',
            });

            if (this.allowTime) {
                this._$inputContent.addClass(CLASS_WITH_TIME);
            }

            this._$pickerElement = $('<div>', {
                class: 'aloha-datepicker-element',
            })
                .datepicker(this._createPickerOptions())
                .appendTo(this._$inputContent);

            this._$hoursElement = $('<input>', {
                id: 'aloha-date-time-hours-' + this.id,
            });
            this._$minutesElement = $('<input>', {
                id: 'aloha-date-time-minutes-' + this.id,
            });

            $('<div>', {
                class: 'aloha-time-input-container',
            })
                .appendTo(this._$inputContent)
                .append(
                    $('<label>', {
                        class: 'aloha-time-input',
                        for: 'aloha-date-time-hours-' + this.id,
                    })
                        .append(
                            $('<span>', {
                                class: 'aloha-time-label',
                                text: this.hoursLabel || i18n.t('date-time-picker.hours.label'),
                            }),
                            $('<div>', {
                                class: 'aloha-time-spinner aloha-date-time-hours',
                            }).append(this._$hoursElement)
                        ),
                    $('<label>', {
                        class: 'aloha-time-input',
                        for: 'aloha-date-time-minutes-' + this.id,
                    })
                        .append(
                            $('<span>', {
                                class: 'aloha-time-label',
                                text: this.minutesLabel || i18n.t('date-time-picker.minutes.label'),
                            }),
                            $('<div>', {
                                class: 'aloha-time-spinner aloha-date-time-minutes',
                            }).append(this._$minutesElement)
                        )
                );
            
            function initSpinner(element, max, setFn, getFn) {
                element.spinner({
                    min: 0,
                    max: max,
                    disabled: _this.disabled,
                    change: function () {
                        // Ignore the first change, because it's the one we trigger below
                        if (_this._ignoreSpinnerChange) {
                            return;
                        }

                        var currentValue = element.spinner('value');
                        // Get the new value, clampted to the bounds, because the spinner won't do it
                        // if the user enters a value manually.
                        var newValue = Math.max(0, Math.min(max, currentValue));
    
                        // Clamp it manually. Setting the value would trigger this function again.
                        if (currentValue !== newValue) {
                            var before = _this._ignoreSpinnerChange;
                            _this._ignoreSpinnerChange = true;
                            element.spinner('value', newValue);
                            _this._ignoreSpinnerChange = before;
                        }
    
                        if (_this.value == null) {
                            _this.value = new Date();
                        }
                        setFn(newValue);
                        _this._updateDisplayValue();
                    },
                })
                    // If provided in the init options, and the value is 0, then it's not getting displayed.
                    .spinner('value', getFn());
            }

            this._ignoreSpinnerChange = true;
            initSpinner(this._$hoursElement, 23, function (value) {
                _this.value.setHours(value);
            }, function () {
                return _this.value != null ? _this.value.getHours() : 0
            });

            initSpinner(this._$minutesElement, 59, function (value) {
                _this.value.setMinutes(value);
            }, function () {
                return _this.value != null ? _this.value.getMinutes() : 0
            });
            this._ignoreSpinnerChange = false;
        },
        _openContentDropdown: function () {
            // Don't open a second instance
            if (this._$dropdownElement) {
                return;
            }

            this._createInputContent();
            var _this = this;

            this._$dropdownElement = $('<div>', {
                class: 'aloha-date-time-picker-dropdown',
            })
                .append(this._$inputContent)
                .append(
                    $('<button>', {
                        class: 'aloha-button confirm-button',
                        attr: {
                            type: 'button',
                            role: 'button',
                        },
                    }).append($('<span>', {
                        class: 'aloha-button-text',
                        text: i18n.t('button.confirm.label'),
                    })).on('click', function () { 
                        _this._closeDropdown();
                    })
                )
                .appendTo(this.element);
        },
        _closeDropdown: function () {
            if (!this._$dropdownElement) {
                return;
            }

            this._$dropdownElement.remove();
            this._$inputContent.remove();
            this._$dropdownElement = null;
            this._$inputContent = null;
        },

        enable: function () {
            this._super();
            if (this._$pickerElement) {
                this._$pickerElement.datepicker('enable');
            }
            if (this._$hoursElement) {
                this._$hoursElement.spinner('enable');
            }
            if (this._$minutesElement) {
                this._$minutesElement.spinner('enable');
            }
        },
        disable: function () {
            this._super();
            if (this._$pickerElement) {
                this._$pickerElement.datepicker('disable');
            }
            if (this._$hoursElement) {
                this._$hoursElement.spinner('disable');
            }
            if (this._$minutesElement) {
                this._$minutesElement.spinner('disable');
            }
        },
        destroy: function () {
            this._closeDropdown();
            this._super();
        },

        getValue: function () {
            return this.value;
        },
        setValue: function (value) {
            this.value = value;
            this._normalizeValue();

            if (this._$pickerElement) {
                this._$pickerElement.datepicker('setDate', this.value);
            }
            this._ignoreSpinnerChange = true;
            if (this._$hoursElement) {
                this._$hoursElement.spinner('value', this.value != null ? this.value.getHours() : 0);
            }
            if (this._$minutesElement) {
                this._$minutesElement.spinner('value', this.value != null ? this.value.getMinutes() : 0);
            }
            this._ignoreSpinnerChange = false;
            this._updateDisplayValue();
        },
    });

    return DateTimePicker;
});

define('ui/iframe',[
    'jquery',
    'ui/component'
], function (
    $,
    Component
) {
    'use strict';

    var PARAM_FRAME_ID = 'aloha-iframe-id';

    // Events sent from this frame to the other
    var EVENT_INIT = 'aloha.iframe-component.init';
    var EVENT_UPDATE_VALUE = 'aloha.iframe-component.update-value';
    var EVENT_UPDATE_OPTIONS = 'aloha.iframe-component.update-options';
    var EVENT_DISABLED = 'aloha.iframe-component.disabled';

    // Receivable events
    var EVENT_WINDOW_SIZE = 'aloha.iframe-component.size';
    var EVENT_CHANGE = 'aloha.iframe-component.change';
    var EVENT_TOUCH = 'aloha.iframe-component.touch';

    var IFrameComponent = Component.extend({
        /** @type {string} The URL to the IFrame which should be embedded. */
        url: '',

        /** @type {*} The current value of this control. */
        value: null,

        /** @type {*} The options which will be passed to the iframe init function. */
        options: null,

        // Internal

        _$iframeElement: null,
        _natIframe: null,
        _messageHandler: null,
        _currentOrigin: null,
        _urlToLoad: null,
        _frameId: null,

        init: function () {
            this.element = $('<div>', {
                class: 'ui-widget aloha-iframe-component',
            });

            var _this = this;
            var msgHandler = function (event) {
                // Ignore invalid messages from a different origin
                if (event.origin !== _this._currentOrigin) {
                    return;
                }

                // Validate it's even a message meant for this component
                if (event.data == null || typeof event.data !== 'object' || event.data.id !== _this._frameId) {
                    return;
                }

                switch (event.data.eventName) {
                    case EVENT_CHANGE:
                        _this._iframeChange(event.data.value);
                        break;
                    case EVENT_TOUCH:
                        _this._iframeTouch();
                        break
                    case EVENT_WINDOW_SIZE:
                        _this._iframeSize(event.data.value);
                        break;
                }
            };
            this._messageHandler = msgHandler;

            // Add event listeners for change
            window.addEventListener('message', msgHandler);

            this._setupUrl();
            this._recreateIframe();
        },

        _setupUrl: function () {
            // We need a random ID which we use as cache busting.
            // Otherwise changes may never be properly loaded.
            this._frameId = Math.random().toString(36).substring(2, 7);

            try {
                // Try to handle the URL nice and add the hash as param properly.
                const parsedUrl = new URL(this.url);
                this._currentOrigin = parsedUrl.origin;
                parsedUrl.searchParams.append(PARAM_FRAME_ID, this._frameId);
                this._urlToLoad = parsedUrl.toString();
            } catch (ignored) {
                this._urlToLoad = null;
                console.warn('Supplied IFrame URL could not be parsed, and is therefore ignored!', newUrl);
            }
        },

        _recreateIframe: function () {
            if (this._$iframeElement) {
                this._$iframeElement.remove();
                this._$iframeElement = null;
            }

            if (!this._urlToLoad) {
                return;
            }

            this._$iframeElement = $('<iframe>', {
                class: 'aloha-iframe-element',
                src: this._urlToLoad,
                attr: {
                    'data-frame-id': this._frameId,
                },
            }).appendTo(this.element);
            this._natIframe = this._$iframeElement[0];
            var _this = this;

            this._natIframe.addEventListener('load', function () {
                _this.onFrameLoad(_this._natIframe);

                // Initialize the component with all required data
                _this._sendMessage({
                    eventName: EVENT_INIT,
                    value: {
                        id: _this._frameId,
                        value: _this.value,
                        disabled: _this.disabled,
                        options: _this.options,
                        size: {
                            width: _this._$iframeElement.width(),
                            height: _this._$iframeElement.height(),
                        },
                    },
                });

                _this.onFrameInit(_this._natIframe);
            });
        },
        _sendMessage: function(msg) {
            if (this._natIframe) {
                this._natIframe.contentWindow.postMessage(msg, this._currentOrigin);
            }
        },

        _iframeTouch: function () {
            this.triggerTouchNotification();
        },
        _iframeChange: function (value) {
            this.value = value;
            this.triggerChangeNotification();
        },
        _iframeSize: function (value) {
            if (value == null || typeof value !== 'object') {
                return;
            }

            if (typeof value.width === 'number' && !Number.isNaN(value.width)) {
                this._$iframeElement.width(value.width);
            }
            if (typeof value.height === 'number' && !Number.isNaN(value.height)) {
                this._$iframeElement.height(value.height);
            }
        },

        onFrameLoad: function (iframeElement) { },
        onFrameInit: function (iframeElement) { },

        destroy: function () {
            if (this._messageHandler != null) {
                window.removeEventListener('message', this._messageHandler);
                this._messageHandler = null;
            }
            this._super();
        },

        enable: function () {
            this._super();
            this._sendMessage({
                eventName: EVENT_DISABLED,
                id: this._frameId,
                value: this.disabled,
            });
        },
        disable: function () {
            this._super();
            this._sendMessage({
                eventName: EVENT_DISABLED,
                id: this._frameId,
                value: this.disabled,
            });
        },
        getValue: function () {
            return this.value;
        },
        setValue: function (value) {
            this.value = value;
            this._sendMessage({
                eventName: EVENT_UPDATE_VALUE,
                id: this._frameId,
                value: this.value,
            });
        },

        setOptions: function (options) {
            this.options = options;
            this._sendMessage({
                eventName: EVENT_UPDATE_OPTIONS,
                id: this._frameId,
                value: this.options,
            });
        },
        setUrl: function (url) {
            // No need to update the iframe url if it's the same.
            if (url === this.url) {
                return;
            }
            this.url = url;
            this._setupUrl();
            this._recreateIframe();
        },
    });

    // Static properties
    Object.assign(IFrameComponent, {
        EVENT_INIT: EVENT_INIT,
        EVENT_UPDATE_VALUE: EVENT_UPDATE_VALUE,
        EVENT_UPDATE_OPTIONS: EVENT_UPDATE_OPTIONS,
        EVENT_DISABLED: EVENT_DISABLED,
        EVENT_WINDOW_SIZE: EVENT_WINDOW_SIZE,
        EVENT_CHANGE: EVENT_CHANGE,
        EVENT_TOUCH: EVENT_TOUCH,
    });

    return IFrameComponent;
});

define('ui/input',[
	"jquery",
	"ui/component"
], function (
	$,
	Component
) {
	'use strict';

	var counter = 0;

	/**
	 * Input component type
	 * @class
	 * @extend {Component}
	 */
	var Input = Component.extend({
		type: 'input',

		/** Label for the input */
		label: '',

		value: '',

		/** Type of the input */
		inputType: 'text',

		_inputElement$: null,
		_labelElement$: null,

		/**
		 * Initializes the text component
		 * @override
		 */
		init: function () {
			this._super();

			var id = 'aloha_input_' + counter;
			counter++;

			this._inputElement$ = $('<input>', {
				type: this.inputType,
				class: 'input-element',
				id: id,
				attr: {
					autocapitalize: 'off',
					autocomplete: 'off',
				}
			})
				.on('change', $.proxy(function (event) {
					this.touch();
					var value = event.target.value;
					if (typeof this.changeNotify === 'function') {
						this.changeNotify(value);
					}
				}, this))
				.on('focus', $.proxy(function (event) {
					this.touch();
				}, this));
			this._inputElement$[0].value = this.value || '';

			this._labelElement$ = $('<label>', {
				class: 'input-label',
				text: this.label,
				for: id,
			});

			this.element = $('<div>', { class: 'input-container' })
                .append(
                    this._labelElement$,
                    this._inputElement$
                );
		},

		setLabel: function(label) {
			this.label = label;
			this._labelElement$.text(label);
		},

		/**
		 * Sets the value of the input field
		 *
		 * @param {string} value The new value of the text input.
		 */
		setValue: function (value) {
			this._inputElement$[0].value = value || '';
		},

		/**
		 * The current value of the text component.
		 *
		 * @return {string} The current value of the text component.
		 */
		getValue: function () {
			return this._inputElement$.val();
		},

		enable: function () {
			this._super();
			this._inputElement$.removeAttr('disabled');
		},

		disable: function () {
			this._super();
			this._inputElement$.attr('disabled', 'disabled');
		}
	});

	return Input;
});

/**
 * @typedef {object} SelectOption
 * @property {string} id - Identifier of the option
 * @property {string} label - The Label which is being displayed to the user
 * @property {string=} icon - Icon to display for this option
 * @property {boolean=} iconHollow - If the icon should be displayed "hollow"
 */

define('ui/select',[
    'jquery',
    'ui/component'
], function (
    $,
    Component
) {
    'use strict';

    var CLASS_SELECT_ITEM = 'select-item';
    var CLASS_ACTIVE = 'active';
    var CLASS_PLACEHOLDER = 'placeholder-text';
    var CLASS_SHOW_DROPDOWN = 'show-dropdown';
    var CLASS_SHOW_CLEAR = 'show-clear';
    var ATTR_OPTION_ID = 'data-option-id';

    var Select = Component.extend({
        type: 'select',

        /** @type {string} The label for this select. */
        label: null,

        /** 
         * @type {string|Array.<string>|null} The ID of the selected option (or an array of IDs, when `multiple` is `true`),
         *  or `null` if nothing is selected.
         */
        value: null,

        /** @type {Array.<SelectOption>} the options of this select */
        options: [],

        /** @type {boolean} If this select can select multiple values. */
        multiple: false,

        /** @type {boolean} If this select can be cleared/should show a clear button. */
        clearable: false,

        /** @type {string} A placeholder string which is displayed when no items are selected yet. */
        placeholder: '',

        // INTERNALS

        _hasIcons: false,
        _dropdownOpen: false,

        _$pickerElement: null,
        _$labelElement: null,
        _$textElement: null,
        _$clearElement: null,
        _$dropdownElement: null,
        _$listElement: null,

        init: function () {
            var _this = this;

            this.element = $('<div>', {
                class: 'aloha-select input-container',
            });

            this._$labelElement = $('<div>', {
                class: 'aloha-select-label input-label',
                text: this.label,
            }).appendTo(this.element);

            this._$pickerElement = $('<div>', {
                class: 'aloha-select-picker input-element',
            }).appendTo(this.element);
            this._$pickerElement.on('click', function() {
                _this._openDropdown();
            });
            if (this.clearable) {
                this._$pickerElement.addClass(CLASS_SHOW_CLEAR);
            }

            this._$textElement = $('<div>', {
                class: 'aloha-select-picker-label',
            }).appendTo(this._$pickerElement);

            this._$clearElement = $('<button>', {
                class: 'aloha-select-clear-button',
            }).appendTo(this._$pickerElement);
            this._$clearElement.append($('<i>', {
                class: 'clear-button-icon material-symbols-outlined',
                text: 'close',
            }));
            this._$clearElement.on('click', function() {
                _this._clearValue();
            });

            this._$dropdownElement = $('<div>', {
                class: 'aloha-select-dropdown',
            }).appendTo(this.element);
            this._$dropdownElement.on('click', function() {
                _this._closeDropdown();
            });

            this._$listElement = $('<div>', {
                class: 'aloha-select-list',
            }).appendTo(this._$dropdownElement);

            this._renderOptions();
            this._normalizeValue();
            this._markSelectedOptions();
        },

        _renderOptions: function () {
            this._$listElement.children().remove();

            var _this = this;
            this._hasIcons = false;

            (this.options || []).forEach(/** @param {SelectOption} option */ function (option) {
                _this._hasIcons = _this._hasIcons || !!option.icon;
                var $elem = _this._renderListOption(option);
                _this._$listElement.append($elem);
            });

            this._$listElement.toggleClass('has-icons', this._hasIcons);
        },

        /** @param {SelectOption} option */
        _renderListOption: function (option) {
            var $elem = $('<div>', {
                class: CLASS_SELECT_ITEM,
            });
            $elem.attr(ATTR_OPTION_ID, option.id);

            if (option.icon) {
                var hollow = option.iconHollow;
                $elem.addClass('has-icon');
                var $icon = $('<i>', {
                    class: 'select-item-icon material-symbols-outlined',
                    text: option.icon,
                });
                if (hollow) {
                    $icon.addClass('hollow');
                }
                $elem.append($icon);
            }

            $elem.append($('<span>', {
                class: 'select-item-label',
                text: option.label
            }));

            var _this = this;

            $elem.on('click', function($event) {
                $event.preventDefault();
                _this._selectOption(option);
            });

            return $elem;
        },

        _getSelectedIds: function() {        
            if (this.multiple) {
                return this.value;
            }
            return this.value == null ? [] : [this.value];
        },
        _updateSelectText: function(selected) {
            var _this = this;

            // Update the text, to display the currently selected options
            var text = selected.map(function(id) {
                var opt = _this.options.find(function(option) {
                    return option.id === id;
                });
                return opt == null ? null : opt.label;
            }).filter(function(label) {
                return label != null;
            }).join(', ');
            this._$textElement.toggleClass(CLASS_PLACEHOLDER, !text);
            this._$textElement.text(text || this.placeholder);
        },
        _markSelectedOptions: function() {
            /** @type {Array.<string>} */
            var selected = this._getSelectedIds();

            this._updateSelectText(selected);

            this._$listElement.children().each(function() {
                var id = $(this).attr(ATTR_OPTION_ID);
                $(this).toggleClass(CLASS_ACTIVE, selected.includes(id));
            });
        },

        /** @param {SelectOption} option */
        _selectOption: function(option) {
            if (!this.multiple) {
                this.value = option.id;
                this._closeDropdown();
                this._markSelectedOptions();
                this.triggerChangeNotification();
                return;
            }

            // Just to make sure
            if (!Array.isArray(this.value)) {
                this.value = [];
            }

            var idx = this.value.indexOf(option.id);
            if (idx > -1) {
                this.value.splice(idx, 1);
            } else {
                this.value = this.value.push(option.id);
            }
            this._markSelectedOptions();
            this.triggerChangeNotification();
        },

        _openDropdown: function () {
            this.touch();
            this._dropdownOpen = true;
            this.element.addClass(CLASS_SHOW_DROPDOWN);
            this._updateDropdownPosition();
        },
        _closeDropdown: function() {
            this._dropdownOpen = false;
            this.element.removeClass(CLASS_SHOW_DROPDOWN);
        },
        _updateDropdownPosition: function() {
            /** @type {DOMRect} */
            var rect = this.element[0].getBoundingClientRect();
            this._$dropdownElement[0].style.setProperty('--aloha-select-x', rect.x + 'px');
            this._$dropdownElement[0].style.setProperty('--aloha-select-y', rect.y + 'px');
            this._$dropdownElement[0].style.setProperty('--aloha-select-width', rect.width + 'px');
            this._$dropdownElement[0].style.setProperty('--aloha-select-height', rect.height + 'px');
        },

        _clearValue: function () {
            this.touch();
            this.value = this.multiple ? [] : null;
        },
        _normalizeValue: function() {
            if (this.value == null) {
                this.value = this.multiple ? [] : null;
                return;
            }

            if (this.multiple) {
                // Already an array
                if (Array.isArray(this.value)) {
                    return;
                }
                if (typeof this.value === 'string') {
                    this.value = [this.value];
                    return;
                }
                this.value = [];
                return;
            }

            if (Array.isArray(this.value)) {
                this.value = this.value[0];
            }

            this.value = typeof this.value !== 'string' ? null : this.value;
        },

        setLabel: function(label) {
            this.label = label;
            this._$labelElement.text(label);
        },
        setOptions: function(options) {
            this.options = options;
            this._renderOptions();
            this._markSelectedOptions();
        },
        setMultiple: function(multiple) {
            this.multiple = multiple;
            this._normalizeValue();
        },
        setClearable: function(clearable) {
            this.clearable = clearable;
            this._$pickerElement.toggleClass(CLASS_SHOW_CLEAR, this.clearable);
        },
        setPlaceholder: function(placeholder) {
            this.placeholder = placeholder;
            this._updateSelectText(this._getSelectedIds());
        },

        getValue: function () {
            return this.value;
        },
        setValue: function (value) {
            this.value = value;
            this._normalizeValue();
            this._markSelectedOptions();
        },
    });

    return Select;
});
/** @typedef {import('./overlayElement').DynamicControlConfiguration} DynamicControlConfiguration */

/**
 * @typedef {object} BaseSelectMenuOption
 * @property {string} id - Identifier of the option
 * @property {string} label - The Label which is being displayed to the user
 * @property {string=} icon - Icon to display for this option
 * @property {boolean=} iconHollow - If the icon should be displayed "hollow"
 * @property {boolean=} isMultiStep - If this option is a multi-step option
 */

/**
 * @template {*} T
 * @typedef {object} MultiStepOptionProperties
 * @property {true} isMultiStep - If this option is a multi-step option
 * @property {MultiStepOptionContext<T>} multiStepContext - Context for the multi step
 */

/**
 * @template {*} T
 * @typedef {BaseSelectMenuOption & MultiStepOptionProperties<T>} MultiStepOption
 */

/**
 * @template {*} T
 * @typedef {object} MultiStepOptionContextProperties
 * @property {string=} label - Label for the header. If left empty, will use the options label.
 * @property {T=} initialValue - The value of the component.
 * @property {boolean=} requiresConfirm - If it should not resolve unless a manual user confirmation is done.
 * @property {string=} confirmLabel - The label for the confirm button.
 */

/**
 * @template {*} T
 * @typedef {MultiStepOptionContextProperties<T> & DynamicControlConfiguration<T>} MultiStepOptionContext
 */

/**
 * @template {*=} T
 * @typedef {BaseSelectMenuOption | MultiStepOption<T>} SelectMenuOption
 */

define('ui/selectMenu',[
    'jquery',
    'aloha',
    'ui/component',
    'i18n!ui/nls/i18n'
], function (
    $,
    Aloha,
    Component,
    i18n
) {
    'use strict';

    // Class/Attribute constants
    var CLASS_ICONS_ONLY = 'icons-only';
    var CLASS_MULTISTEP_ACTIVE = 'multistep-active';
    var CLASS_OPTION_ACTIVE = 'active';
    var CLASS_HEADER_CONFIRM = 'with-confirm';
    var ATTR_OPTION_ID = 'data-id';
    var ATTR_ACTIVE_OPTION = 'data-active-id';

    /**
     * DynamicForm which is imported on `init`,
     * because this component is required by the dynamic form and would create a cyclic dependency.
     */
    var DynamicForm;

    var SelectMenu = Component.extend({
        type: 'select-menu',

        /** @type {Array.<SelectMenuOption>} The available options of this menu. */
        options: [],

        /** @type {string=} ID of the option which should be highlighted/marked differently. */
        activeOption: null,

        /** @type {boolean} If it should only display the icons/hide the option labels. */
        iconsOnly: false,

        // Internals

        _optionsContainerElement$: null,

        /**
         * @type {string=} ID of a multi-step option which is currently active.
         * Used to determine if it should display the multi-step component.
         */
        _activeMultistepOption: null,

        _multistepControl: null,
        _multistepComponent: null,

        _multistepContainerElement$: null,
        _multistepHeaderElement$: null,
        _mutlistepTitleElement$: null,
        _multistepConfirmButtonElement$: null,
        _multistepConfirmButtonLabelElement$: null,
        _multistepContentElement$: null,

        init: function () {
            this._super();

            if (!DynamicForm) {
                DynamicForm = Aloha.require('ui/dynamicForm');
            }

            var _this = this;

            this.element = $('<div>', {
                class: 'aloha-select-menu',
            });
            this._updateElementClasses();
            this._optionsContainerElement$ = $('<div>', {
                class: 'select-menu-options-container',
            }).appendTo(this.element);
            this._multistepContainerElement$ = $('<div>', {
                class: 'select-menu-multistep-container',
            }).appendTo(this.element);

            this._multistepHeaderElement$ = $('<div>', {
                class: 'select-menu-multistep-header',
            }).appendTo(this._multistepContainerElement$);

            this._multistepHeaderElement$.append(
                $('<button>', {
                    class: 'select-menu-multistep-backbtn',
                }).on('click', function() {
                    _this._cleanUpMultiStep();
                    _this._activeMultistepOption = null;
                    _this.element.removeClass(CLASS_MULTISTEP_ACTIVE);
                }).append(
                    $('<i>', {
                        class: 'material-symbols-outlined',
                        text: 'arrow_back',
                    }),
                    $('<span>', {
                        text: i18n.t('button.back.label'),
                    })
                )
            );

            this._mutlistepTitleElement$ = $('<div>', {
                class: 'select-menu-multistep-title',
            }).appendTo(this._multistepHeaderElement$);

            this._multistepConfirmButtonLabelElement$ = $('<span>', {
                text: i18n.t('button.confirm.label')
            });
            this._multistepConfirmButtonElement$ = $('<button>', {
                class: 'select-menu-multistep-confirmbtn',
            }).on('click', function() {
                _this._handleConfirm();
            }).append(
                $('<i>', {
                    class: 'material-symbols-outlined',
                    text: 'done'
                }),
                this._multistepConfirmButtonLabelElement$
            ).appendTo(this._multistepHeaderElement$);

            this._multistepContentElement$ = $('<div>', {
                class: 'select-menu-multistep-content',
            }).appendTo(this._multistepContainerElement$);

            this._renderOptions();
        },

        _renderOptions: function () {
            // Clear all previously option elements from the DOM
            this._optionsContainerElement$.children().remove();

            var _this = this;

            this.options.forEach(function (option) {
                var optionClasses = ['select-menu-option'];

                if (option.isMultiStep) {
                    optionClasses.push('multi-step');
                } else {
                    optionClasses.push('simple-option');
                }

                if (_this.activeOption && _this.activeOption === option.id) {
                    optionClasses.push(CLASS_OPTION_ACTIVE);
                }

                var attributes = {};
                attributes[ATTR_OPTION_ID] = option.id;

                var $optionElem = $('<button>', {
                    class: optionClasses.join(' '),
                    title: option.label || '',
                    attr: attributes,
                });

                if (option.icon) {
                    var $iconElem = $('<i>', {
                        class: 'select-menu-icon material-symbols-outlined',
                        text: option.icon,
                    });
                    if (option.iconHollow) {
                        $iconElem.addClass('hollow');
                    }
                    $optionElem.append(
                        $('<div>', {
                            class: 'select-menu-icon-wrapper',
                        }).append($iconElem)
                    );
                } else {
                    $optionElem.addClass('no-icon');
                }

                $optionElem.append($('<div>', {
                    class: 'select-menu-option-label',
                    text: option.label || '',
                }));

                if (option.isMultiStep) {
                    $optionElem.append($('<div>', {
                        class: 'select-menu-icon-wrapper select-menu-multi-step-icon-wrapper',
                    }).append(
                        $('<i>', {
                            class: 'select-menu-icon material-symbols-outlined',
                            text: 'chevron_right'
                        })
                    ));
                }

                $optionElem.on('click', function () {
                    _this._handleOptionClick(option);
                });

                _this._optionsContainerElement$.append($optionElem);
            });
        },

        setOptions: function (options) {
            this.options = options;

            // Check if the active options are still included.
            // If not, reset the active state of them.
            if (this.activeOption || this._activeMultistepOption) {
                var containsActive = false;
                var containsMulti = false;

                for (var i = 0; i < this.options.length; i++) {
                    containsActive |= this.options[i].id === this.activeOption;
                    containsMulti |= this.options[i].id === this._activeMultistepOption;

                    // If both have been found, we can stop early
                    if (containsActive && containsMulti) {
                        break;
                    }
                }

                if (!containsActive) {
                    this.activeOption = null;
                }
                if (!containsMulti) {
                    this._activeMultistepOption = null;
                }
                this._updateElementClasses();
            }

            this._renderOptions();
        },

        onSelect: function(event) {},

        _updateElementClasses: function () {
            if (this.iconsOnly) {
                this.element.addClass(CLASS_ICONS_ONLY);
            } else {
                this.element.removeClass(CLASS_ICONS_ONLY);
            }

            if (this.activeOption) {
                this.element.attr(ATTR_ACTIVE_OPTION, this.activeOption);
            } else {
                this.element.removeAttr(ATTR_ACTIVE_OPTION);
            }

            if (this._activeMultistepOption) {
                this.element.addClass(CLASS_MULTISTEP_ACTIVE);
            } else {
                this.element.removeClass(CLASS_MULTISTEP_ACTIVE);
            }
        },

        /**
         * @param {SelectMenuOption<*>} option 
         */
        _handleOptionClick: function (option) {
            if (this.disabled) {
                return;
            }

            this.touch();
            this.activeOption = option.id;
            this._updateActiveOption();

            if (option.isMultiStep) {
                this._handleMultistepActivation(option);
            } else {
                this._cleanUpMultiStep();
                this._activeMultistepOption = null;
                this.onSelect({ id: option.id });
                this.triggerChangeNotification();
            }
            this._updateElementClasses();
        },

        /**
         * @param {MultiStepOption<*>} option 
         */
        _handleMultistepActivation: function (option) {
            this._cleanUpMultiStep();

            this._activeMultistepOption = option.id;
            this._multistepConfirmButtonLabelElement$.text(option.multiStepContext.confirmLabel || i18n.t('button.confirm.label'));
            if (option.multiStepContext.requiresConfirm) {
                this._multistepHeaderElement$.addClass(CLASS_HEADER_CONFIRM);
            } else {
                this._multistepHeaderElement$.removeClass(CLASS_HEADER_CONFIRM);
            }
            var _this = this;

            var ref = DynamicForm.buildDynamicComponent(
                option.multiStepContext,
                function(value) {
                    // Apply value, noop
                },
                function(value) {
                    if (typeof option.multiStepContext.validate === 'function') {
                        ref.component.validationErrors = option.multiStepContext.validate(value);
                    } else {
                        ref.component.validationErrors = null;
                    }
                },
                function(value) {
                    _this._multistepConfirmButtonElement$.prop('disabled', !ref.control.valid);

                    if (typeof option.multiStepContext.onChange === 'function') {
                        option.multiStepContext.onChange(value);
                    }

                    if (option.multiStepContext.requiresConfirm) {
                        return;
                    }

                    _this.onSelect({ id: option.id, value: value });
                    _this.triggerChangeNotification();
                },
                function() {
                    ref.component.touched = true;
                    // Touch
                }
            );

            if (!ref) {
                return;
            }

            this._mutlistepTitleElement$.text(option.multiStepContext.label || option.label);
            this._multistepControl = ref.control;
            this._multistepComponent = ref.component;
            this._multistepControl.setValue(option.multiStepContext.initialValue);
            this._multistepControl.updateValueAndValidity();
            this._multistepConfirmButtonElement$.prop('disabled', !ref.control.valid);

            this._multistepContentElement$.append(ref.component.element);
        },

        _cleanUpMultiStep: function() {
            if (this._multistepComponent) {
                this._multistepComponent.destroy();
                this._multistepComponent = null;
            }
            this._multistepControl = null;
            this._multistepContentElement$.children().remove();
        },

        _handleConfirm: function() {
            if (!this._multistepControl.valid) {
                return;
            }
            this.onSelect({ id: this._activeMultistepOption.id, value: this._multistepControl.value });
            this.triggerChangeNotification();
        },

        _updateActiveOption: function () {
            var currentlyActive = this._optionsContainerElement$.find('.select-menu-option.' + CLASS_OPTION_ACTIVE);
            currentlyActive.removeClass(CLASS_OPTION_ACTIVE);

            if (this.activeOption) {
                var toBeActive = this._optionsContainerElement$.find('.select-menu-option[' + ATTR_OPTION_ID + '="' + this.activeOption + '"]');
                toBeActive.addClass(CLASS_OPTION_ACTIVE);
            }

            this._updateElementClasses();
        },

        setIconsOnly: function (iconsOnly) {
            this.iconsOnly = iconsOnly;
            this._updateElementClasses();
        },

        setValue: function (optionIdOrValue) {
            if (optionIdOrValue == null) {
                this.activeOption = null;
                this._updateActiveOption();
                return;
            }

            var id = typeof optionIdOrValue === 'string' ? optionIdOrValue : optionIdOrValue.id;
            var foundOption = this.options.find(function (option) {
                return option.id === id;
            });

            // Only allow the option to be active if the option is actually present
            if (foundOption != null) {
                this.activeOption = foundOption.id;
                this._updateActiveOption();

                if (foundOption.isMultiStep) {
                    this._handleMultistepActivation(foundOption);
                }

                return;
            }

            this.activeOption = null;
            this._updateActiveOption();
        },
        getValue: function () {
            if (this._activeMultistepOption) {
                var out = { id: this._activeMultistepOption };
                if (this._multistepControl) {
                    out.value = this._multistepControl.value;
                }
                return out;
            }
            return { id: this.activeOption };
        },

        destroy: function() {
            this._cleanUpMultiStep();
            this._super();
        },
    });

    return SelectMenu;
});

define('ui/splitButton',[
    'jquery',
    'ui/button',
    'i18n!ui/nls/i18n'
], function (
    $,
    Button,
    i18n
) {
    'use strict';

    var SplitButton = Button.extend({
        type: 'split-button',

        /** @type {(string|null)} Label/Tooltip for the secondary action */
        secondaryLabel: null,

        /** @type {function} Function which is getting called whenever the secondary button is clicked. */
        secondaryClick: function () { },

        /** @type {boolean} If the secondary button should be visible or not. */
        secondaryVisible: true,

        // Internals

        _$secondaryButton: null,

        init: function () {
            this._super();

            // Wrap both buttons in a div for proper styling
            var $container = $('<div>', {
                class: 'aloha-split-button ui-widget'
            }).append(this._$buttonElement);
            this._$buttonElement.addClass('aloha-split-button-main');

            var title = this.secondaryLabel || i18n.t('split-button.secondary.label');
            this._$secondaryButton = $('<button>', {
                class: 'aloha-split-button-secondary ui-widget',
                type: 'button',
                role: 'button',
                title: title,
            });
            this._$secondaryButton.append($('<i>', {
                class: 'aloha-button-icon aloha-button-secondary-icon material-symbols-outlined',
                text: 'arrow_drop_down',
            }));

            var _this = this;
            this._$secondaryButton.on('click', function () {
                _this.secondaryClick();
            });

            $container.append(this._$secondaryButton);

            this.element = $container;
        },

        enable: function() {
            this._super();
            this.element.removeClass('disabled');
            this._$secondaryButton
                .removeAttr('disabled');
        },
        disable: function() {
            this._super();
            this.element.addClass('disabled');
            this._$secondaryButton
                .attr('disabled', 'disabled');
        },

        setSecondaryVisible: function(visible) {
            this.secondaryVisible = visible;
            if (this.secondaryVisible) {
                this._$secondaryButton.show();
            } else {
                this._$secondaryButton.hide();
            }
        }
    });

    return SplitButton;
});

define('ui/text',[
    'jquery',
    'ui/component'
], function(
    $,
    Component
) {
    'use strict';

    var Text = Component.extend({
        type: 'text',

        content: '',

        _$elem: null,

        init: function() {
            this._$elem  = $('<div>', {
                class: 'text-content',
                text: this.content,
            });

            this.element = $('<div>', {
                class: 'text-content-container',
            }).append(this._$elem);
        },

        setContent: function(content) {
            this.content = content;
        },

        getValue: function() {
            return this.content;
        },
        setValue: function(value) {
            this.content = value;
        }
    });

    return Text;
});
define('ui/toggleButton',[
	'ui/button'
], function (
	Button
) {
	'use strict';

	var CLASS_ACTIVE = 'active';

	/**
	 * ToggleButton control. Extends the Button component type to provide an
	 * easy way to create buttons that can transition between "active" and
	 * "inactive" states.
	 *
	 * @class
	 * @name ToggleButton
	 * @extends {Button}
	 */
	var ToggleButton = Button.extend({
		type: 'toggle-button',

		/** @type {boolean} If this button is currently active. */
		active: false,

		/** @type {boolean} When clicked, if it should *not* toggle it's `active` state. */
		pure: false,

		init: function() {
			this._super();

			this._$buttonElement.addClass('toggle-button');

			this._handleActiveState();
		},

		/**
		 * Sets the state of the toggleButton and updates its visual display
		 * accordingly.
		 *
		 * @param {boolean} toggled Whether the button is to be set to the
		 *                          "toggled/checked" state.
		 * @deprecated use `setValue` instead.
		 */
		setState: function (toggled) {
			console.debug('[Deprecation] Call to ToggleButton.setState: Use "ToggleButton.setActive()" instead.');
			this.setValue(toggled);
		},

		/** @deprecated use `getValue` instead. */
		getState: function () {
			console.debug('[Deprecation] Call to ToggleButton.getState: Use "ToggleButton.active" instead.');
			return this.active;
		},

		_onClick: function () {
			this.touch();
			var switched = !this.active;
			if (!this.pure) {
				this.toggleActivation();
			}
			this.triggerChangeNotification();
			this.click();
			this.onToggle(switched);
		},
		_handleActiveState: function() {
			if (this.active) {
				this._$buttonElement.addClass(CLASS_ACTIVE);
			} else {
				this._$buttonElement.removeClass(CLASS_ACTIVE);
			}
		},

		onToggle: function (isActive) { },
		
		setActive: function(active) {
			this.active = active;
			this._handleActiveState();
		},
		setPure: function(pure) {
			this.pure = pure;
		},
		toggleActivation: function () {
			this.setActive(!this.active);
		},
        activate: function () {
			this.setActive(true);
        },
        deactivate: function () {
            this.setActive(false);
        },

		setValue: function(value) {
			this.setActive(value);		
		},
		getValue: function() {
			return this.active;
		}
	});

	return ToggleButton;
});

define('ui/toggleSplitButton',[
    'ui/splitButton'
], function (
    SplitButton
) {
    'use strict';

    var CLASS_ACTIVE = 'active';
    var CLASS_ALWAYS_SECONDARY = 'always-secondary';

    var ToggleSplitButton = SplitButton.extend({
        type: 'toggle-split-button',

        /** @type {boolean} If this button is currently active. */
		active: false,

		/** @type {boolean} When clicked, if it should *not* toggle it's `active` state. */
		pure: false,

        /**
         * @type {boolean} If the secondary button/action should always be visible.
         * When false, the secondary button/action will only be displayed when `active` is `true`.  */
        alwaysSecondary: false,

        init: function () {
            this._super();

            this.element.addClass('toggle-button');

            this._handleAlwaysSecondary();
            this._handleActiveState();
        },

        _onClick: function () {
            this.touch();
            var switched = !this.active;
            if (!this.pure) {
                this.toggleActivation();
            }
            this.triggerChangeNotification();
            this.click();
            this.onToggle(switched);
        },

        _handleAlwaysSecondary: function() {
            if (this.alwaysSecondary) {
                this.element.addClass(CLASS_ALWAYS_SECONDARY);
            } else {
                this.element.removeClass(CLASS_ALWAYS_SECONDARY);
            }
        },
        _handleActiveState: function() {
			if (this.active) {
				this.element.addClass(CLASS_ACTIVE);
			} else {
				this.element.removeClass(CLASS_ACTIVE);
			}
		},

        onToggle: function (isActive) { },

        setActive: function(active) {
			this.active = active;
			this._handleActiveState();
		},
		setPure: function(pure) {
			this.pure = pure;
		},
		toggleActivation: function () {
            this.setActive(!this.active);
		},
        activate: function () {
			this.setActive(true);
        },
        deactivate: function () {
            this.setActive(false);
        },

        setAlwaysSecondary: function(alwaysSecondary) {
            this.alwaysSecondary = alwaysSecondary;
            this._handleAlwaysSecondary();
        },

        setValue: function (value) {
			this.active = value;
			this._handleActiveState();
        },
        getValue: function () {
            return this.active;
        }
    });

    return ToggleSplitButton;
});

define('ui/dynamicForm',[
    'jquery',
    'ui/ui',
    'ui/button',
    'ui/checkbox',
    'ui/colorPicker',
    'ui/dateTimePicker',
    'ui/iframe',
    'ui/input',
    'ui/select',
    'ui/selectMenu',
    'ui/splitButton',
    'ui/text',
    'ui/toggleButton',
    'ui/toggleSplitButton'
], function (
    $,
    Ui,
    Button,
    Checkbox,
    ColorPicker,
    DateTimePicker,
    IFrameComponent,
    Input,
    Select,
    SelectMenu,
    SplitButton,
    Text,
    ToggleButton,
    ToggleSplitButton
) {
    'use strict';

    var componentCounter = 1;
    var noopFn = function () { /* Do nothing */ }

    var componentFactoryRegistry = {
        'button': createButtonFromConfig,
        'checkbox': createCheckboxFromConfig,
        'color-picker': createColorPickerFromConfig,
        'date-time-picker': createDateTimePickerFromConfig,
        'iframe': createIFrameFromConfig,
        'input': createInputFromConfig,
        'select': createSelectFromConfig,
        'select-menu': createSelectMenuFromConfig,
        'split-button': createSplitButtonFromConfig,
        'text': createTextFromConfig,
        'toggle-button': createToggleButtonFromConfig,
        'toggle-split-button': createToggleSplitButtonFromConfig,
    };

    function buildDynamicForm(config, postChangeFn) {
        var $form = $('<form>', { class: 'aloha-ui aloha-dynamic-form' });
        // Don't actually submit the form
        $form.on('submit', function (event) {
            event.preventDefault();
        });

        var formReference = {
            $element: $form,
            controls: {},
            components: {},
            value: structuredClone(config.initialValue || {}),
            enabled: true,
            touched: false,
            validationErrors: null,
            controlErrors: null,
        };

        // Flag which is only set temporarily when starting the validation for the whole form.
        // Done to only run the form validation once, and not for all controls all the time.
        var runningAllChecks = false;

        function forwardPostChangeFn() {
            if (typeof postChangeFn === 'function') {
                postChangeFn();
            }
        }

        function checkForControlErrors() {
            var invalidControls = Object.entries(formReference.components).map(function (entry) {
                return [entry[0], entry[1].validationErrors];
            }).filter(function (tuple) {
                return tuple[1] != null;
            });

            if (invalidControls.length === 0) {
                formReference.controlErrors = null;
                return;
            }

            var mappedErrors = {
                controls: invalidControls.reduce(function (acc, tuple) {
                    acc[tuple[0]] = tuple[1];
                    return acc;
                }, {}),
            };

            formReference.controlErrors = mappedErrors;
        }

        var formControl = {
            setValue: function (value) {
                if (value == null) {
                    value = Object.entries(value).reduce(function (acc, entry) {
                        acc[entry[0]] = null;
                    }, {});
                } else {
                    var missingControls = Object.keys(formReference.controls).filter(function (controlName) {
                        return !value.hasOwnProperty(controlName)
                    });
                    if (missingControls.length > 0) {
                        throw new Error('Missing value for controls "' + missingControls.join('", "') + '"!');
                    }
                }

                formReference.value = structuredClone(value);

                // Update all components
                Object.entries(value).forEach(function (entry) {
                    formReference.components[entry[0]].setValue(entry[1]);
                });
            },
            enable: function () {
                formReference.enabled = true;
                $form.removeAttr('disabled');
            },
            disable: function () {
                formReference.enabled = false;
                $form.attr('disabled', 'disabled');
            },
            markAsDirty: function () {
                formReference.touched = true;
            },
            markAsPristine: function () {
                formReference.touched = false;
            },
            updateValueAndValidity: function () {
                runningAllChecks = true;
                // Run the validation on all controls, and then this validation handler again
                Object.values(formReference.controls).forEach(function (control) {
                    control.updateValueAndValidity();
                });

                checkForControlErrors();

                if (typeof config.validate === 'function') {
                    formReference.validationErrors = config.validate(structuredClone(formReference.value));
                }

                runningAllChecks = false;

                forwardPostChangeFn();
            },
            controls: formReference.controls,
        };

        formReference.control = formControl;

        Object.defineProperties(formControl, {
            value: {
                get: function () {
                    return formReference.value;
                },
                set: noopFn,
            },
            enabled: {
                get: function () {
                    return formReference.enabled;
                },
                set: noopFn,
            },
            dirty: {
                get: function () {
                    return formReference.touched;
                },
                set: noopFn,
            },
            pristine: {
                get: function () {
                    return !formReference.touched;
                },
                set: noopFn,
            },
            errors: {
                get: function () {
                    if (formReference.controlErrors) {
                        return Object.assign({}, formReference.validationErrors || {}, formReference.controlErrors);
                    }

                    return formReference.validationErrors;
                },
                set: noopFn,
            },
            valid: {
                get: function () {
                    return formReference.controlErrors == null && formReference.validationErrors == null;
                },
                set: noopFn,
            },
        });

        Object.entries(config.controls).forEach(function (data) {
            var controlName = data[0];
            var controlConfig = Object.assign({}, data[1], { renderContext: 'modal' });

            var validationHandler = function (value) {
                if (typeof controlConfig.validate === 'function') {
                    componentData.component.validationErrors = controlConfig.validate(value);
                }
                if (runningAllChecks) {
                    return;
                }
                checkForControlErrors();
                if (typeof config.validate === 'function') {
                    formReference.validationErrors = config.validate(structuredClone(formReference.value));
                }
            };
            var changeHandler = function (value) {
                if (typeof controlConfig.onChange === 'function') {
                    controlConfig.onChange(value, componentData.control);
                }
                if (typeof config.onChange === 'function') {
                    config.onChange(value, formControl);
                }
                forwardPostChangeFn();
            };
            var touchHandler = function () {
                componentData.component.touched = true;
                formReference.touched = true;
            };

            var componentData = buildDynamicComponent(
                controlConfig,
                function (value) {
                    formReference.value[controlName] = value;
                },
                validationHandler,
                changeHandler,
                touchHandler
            );

            if (componentData == null) {
                return;
            }

            var container = $('<div>', {
                class: 'dynamic-component-container',
                attr: {
                    'data-control-name': controlName,
                    'data-component-type': controlConfig.type,
                },
            });
            container.append(componentData.component.element);
            $form.append(container);

            formReference.controls[controlName] = componentData.control;
            formReference.components[controlName] = componentData.component;
        });

        // Cleanup the form value
        if (formReference.value == null) {
            formReference.value = {};
        }

        // Default the values to null
        Object.keys(formReference.controls).forEach(function (controlName) {
            if (!formReference.value.hasOwnProperty(controlName)) {
                formReference.value[controlName] = null;
            } else if (formReference.value[controlName] !== undefined) {
                formReference.components[controlName].setValue(formReference.value[controlName]);
            }
        });

        // Run the validation once initially
        formReference.control.updateValueAndValidity();

        // Create a copy of the reference with read-only properties
        var returnValue = {};
        Object.keys(formReference).forEach(function (referenceKey) {
            Object.defineProperty(returnValue, referenceKey, {
                get: function () {
                    return formReference[referenceKey];
                },
                set: noopFn
            });
        });

        $form[0]._alohaForm = returnValue;

        return returnValue;
    }

    function buildDynamicComponent(
        controlConfig,
        valueApplyFn,
        validationHandler,
        changeHandler,
        touchHandler
    ) {
        var component = createComponentFromConfig(
            controlConfig,
            function (value) {
                valueApplyFn(value);
            },
            validationHandler,
            changeHandler,
            touchHandler
        );

        if (component == null) {
            return null;
        }

        return {
            component: component,
            control: createControlFromComponent(component, validationHandler),
        }
    }

    function createControlFromComponent(component, validationHandler) {
        var control = {};

        // Readonly properties which need to be forwarded from the component
        Object.defineProperties(control, {
            value: {
                get: function () {
                    return component.getValue();
                },
                set: noopFn,
            },
            enabled: {
                get: function () {
                    return !component.disabled;
                },
                set: noopFn,
            },
            dirty: {
                get: function () {
                    return component.touched;
                },
                set: noopFn,
            },
            pristine: {
                get: function () {
                    return !component.touched;
                },
                set: noopFn,
            },
            errors: {
                get: function () {
                    return component.validationErrors;
                },
                set: noopFn,
            },
            valid: {
                get: function () {
                    return component.isValid();
                },
                set: noopFn,
            },
        });

        control.setValue = function (value) {
            component.setValue(value);
            // Run validation again
            validationHandler(value);
        };
        control.enable = function () {
            component.enable();
        };
        control.disable = function () {
            component.disable();
        };
        control.markAsDirty = function () {
            component.touch();
        };
        control.markAsPristine = function () {
            component.untouch();
        };
        control.updateValueAndValidity = function () {
            validationHandler(component.getValue());
        };

        return control;
    }

    function createButtonFromConfig(
        config,
        name,
        applyChanges,
        validateFn,
        onChangeFn,
        onTouchFn
    ) {
        var tmpOptions = config.options || {};
        var component = Ui.adopt(name, Button, {
            icon: tmpOptions.icon,
            tooltip: tmpOptions.tooltip,
            click: tmpOptions.onClick,

            changeNotify: function () {
                if (config.options != null && typeof config.options.onClick === 'function') {
                    config.options.onClick();
                }
            },
            touchNotify: function () {
                onTouchFn();
            }
        });
        return component;
    }

    function createToggleButtonFromConfig(
        config,
        name,
        applyChanges,
        validateFn,
        onChangeFn,
        onTouchFn
    ) {
        var tmpOptions = config.options || {};
        var component = Ui.adopt(name, ToggleButton, {
            icon: tmpOptions.icon,
            tooltip: tmpOptions.tooltip,
            click: tmpOptions.onClick,

            changeNotify: function (value) {
                applyChanges(value);
                validateFn(value);
                onChangeFn(value);
            },
            touchNotify: function () {
                onTouchFn();
            }
        });
        return component;
    }

    function createSplitButtonFromConfig(
        config,
        name,
        applyChanges,
        validateFn,
        onChangeFn,
        onTouchFn
    ) {
        var tmpOptions = config.options || {};
        var component = Ui.adopt(name, SplitButton, {
            icon: tmpOptions.icon,
            tooltip: tmpOptions.tooltip,
            click: tmpOptions.click,
            secondaryLabel: tmpOptions.secondaryLabel,
            secondaryClick: tmpOptions.secondaryClick,

            changeNotify: function () {
                if (config.options != null && typeof config.options.onClick === 'function') {
                    config.options.onClick();
                }
            },
            touchNotify: function () {
                onTouchFn();
            }
        });
        return component;
    }

    function createToggleSplitButtonFromConfig(
        config,
        name,
        applyChanges,
        validateFn,
        onChangeFn,
        onTouchFn
    ) {
        var tmpOptions = config.options || {};
        var component = Ui.adopt(name, ToggleSplitButton, {
            icon: tmpOptions.icon,
            tooltip: tmpOptions.tooltip,
            click: tmpOptions.click,
            secondaryLabel: tmpOptions.secondaryLabel,
            secondaryClick: tmpOptions.secondaryClick,

            changeNotify: function () {
                if (config.options != null && typeof config.options.onClick === 'function') {
                    config.options.onClick();
                }
            },
            touchNotify: function () {
                onTouchFn();
            }
        });
        return component;
    }

    function createCheckboxFromConfig(
        config,
        name,
        applyChanges,
        validateFn,
        onChangeFn,
        onTouchFn
    ) {
        var tmpOptions = config.options || {};

        var component = Ui.adopt(name, Checkbox, {
            checked: tmpOptions.checked,
            label: tmpOptions.label,

            changeNotify: function (value) {
                applyChanges(value);
                validateFn(value);
                onChangeFn(value);
            },
            touchNotify: function () {
                onTouchFn();
            },
        });

        return component;
    }

    function createInputFromConfig(
        config,
        name,
        applyChanges,
        validateFn,
        onChangeFn,
        onTouchFn
    ) {
        var tmpOptions = config.options || {};

        var component = Ui.adopt(name, Input, {
            value: tmpOptions.value,
            label: tmpOptions.label,
            inputType: tmpOptions.inputType,

            changeNotify: function (value) {
                applyChanges(value);
                validateFn(value);
                onChangeFn(value);
            },
            touchNotify: function () {
                onTouchFn();
            },
        });
        return component;
    }

    function createTextFromConfig(
        config,
        name,
        applyChanges,
        validateFn,
        onChangeFn,
        onTouchFn
    ) {
        var tmpOptions = config.options || {};

        return Ui.adopt(name, Text, {
            content: tmpOptions.content,

            changeNotify: function (value) {
                applyChanges(value);
                validateFn(value);
                onChangeFn(value);
            },
            touchNotify: function () {
                onTouchFn();
            },
        });
    }

    function createSelectFromConfig(
        config,
        name,
        applyChanges,
        validateFn,
        onChangeFn,
        onTouchFn
    ) {
        var tmpOptions = config.options || {};
        var component = Ui.adopt(name, Select, {
            label: tmpOptions.label,
            value: tmpOptions.value,
            options: tmpOptions.options,
            multiple: tmpOptions.multiple,
            clearable: tmpOptions.clearable,
            placeholder: tmpOptions.placeholder,

            changeNotify: function (value) {
                applyChanges(value);
                validateFn(value);
                onChangeFn(value);
            },
            touchNotify: function () {
                onTouchFn();
            },
        });

        return component;
    }

    function createSelectMenuFromConfig(
        config,
        name,
        applyChanges,
        validateFn,
        onChangeFn,
        onTouchFn
    ) {
        var tmpOptions = config.options || {};
        var component = Ui.adopt(name, SelectMenu, {
            options: tmpOptions.options,
            activeOption: tmpOptions.activeOption,
            iconsOnly: tmpOptions.iconsOnly,

            changeNotify: function (value) {
                applyChanges(value);
                validateFn(value);
                onChangeFn(value);
            },
            touchNotify: function () {
                onTouchFn();
            },
        });

        return component;
    }

    function createColorPickerFromConfig(
        config,
        name,
        applyChanges,
        validateFn,
        onChangeFn,
        onTouchFn
    ) {
        var tmpOptions = config.options || {};
        var component = Ui.adopt(name, ColorPicker, {
            value: tmpOptions.value,
            palette: tmpOptions.palette,
            allowOutsidePalette: tmpOptions.allowOutsidePalette,
            allowCustomInput: tmpOptions.allowCustomInput,
            allowTransparency: tmpOptions.allowTransparency,
            allowClear: tmpOptions.allowClear,

            changeNotify: function (value) {
                applyChanges(value);
                validateFn(value);
                onChangeFn(value);
            },
            touchNotify: function () {
                onTouchFn();
            },
        });

        return component;
    }

    function createIFrameFromConfig(
        config,
        name,
        applyChanges,
        validateFn,
        onChangeFn,
        onTouchFn
    ) {
        var tmpOptions = config.options || {};
        var component = Ui.adopt(name, IFrameComponent, {
            url: tmpOptions.url,
            value: tmpOptions.value,
            options: tmpOptions.options,

            changeNotify: function (value) {
                applyChanges(value);
                validateFn(value);
                onChangeFn(value);
            },
            touchNotify: function () {
                onTouchFn();
            },
        });

        return component;
    }

    function createDateTimePickerFromConfig(
        config,
        name,
        applyChanges,
        validateFn,
        onChangeFn,
        onTouchFn
    ) {
        var tmpOptions = config.options || {};
        var component = Ui.adopt(name, DateTimePicker, {
            value: tmpOptions.value,
            label: tmpOptions.label,
            format: tmpOptions.format,
            min: tmpOptions.min,
            max: tmpOptions.max,
            allowTime: tmpOptions.allowTime,
            inline: tmpOptions.inline,
            hoursLabel: tmpOptions.hoursLabel,
            minutesLabel: tmpOptions.minutesLabel,
            monthNames: tmpOptions.monthNames,
            monthShort: tmpOptions.monthShort,
            weekdayNames: tmpOptions.weekdayNames,
            weekdayShort: tmpOptions.weekdayShort,
            weekdayMinimal: tmpOptions.weekdayMinimal,
            weekStart: tmpOptions.weekStart,

            changeNotify: function (value) {
                applyChanges(value);
                validateFn(value);
                onChangeFn(value);
            },
            touchNotify: function () {
                onTouchFn();
            },
        });

        return component;
    }

    function createComponentFromConfig(
        config,
        applyChanges,
        validateFn,
        onChangeFn,
        onTouchFn
    ) {
        var componentName = 'modalComponent-' + componentCounter + '_' + config.type;

        var factoryFn = componentFactoryRegistry[config.type];
        if (typeof factoryFn !== 'function') {
            console.debug('Could not find a component factory for component-type "' + config.type + '"! Component with config will be ignored:', config);
            return null;
        }

        return factoryFn(
            config,
            componentName,
            applyChanges,
            validateFn,
            onChangeFn,
            onTouchFn
        );
    }

    return {
        componentFactoryRegistry: componentFactoryRegistry,
        buildDynamicComponent: buildDynamicComponent,
        buildDynamicForm: buildDynamicForm,
        createControlFromComponent: createControlFromComponent,
        createComponentFromConfig: createComponentFromConfig,

        // Default factory functions
        createButtonFromConfig: createButtonFromConfig,
        createCheckboxFromConfig: createCheckboxFromConfig,
        createColorPickerFromConfig: createColorPickerFromConfig,
        createDateTimePickerFromConfig: createDateTimePickerFromConfig,
        createIFrameFromConfig: createIFrameFromConfig,
        createInputFromConfig: createInputFromConfig,
        createSelectMenuFromConfig: createSelectMenuFromConfig,
        createSplitButtonFromConfig: createSplitButtonFromConfig,
        createTextFromConfig: createTextFromConfig,
        createToggleButtonFromConfig: createToggleButtonFromConfig,
        createToggleSplitButtonFromConfig: createToggleSplitButtonFromConfig,
    };
});
/** @typedef {import('./overlayElement').DynamicDropdownConfiguration} DynamicDropdownConfiguration */
/** @typedef {import('./overlayElement').DynamicModalConfiguration} DynamicModalConfiguration */
/** @typedef {import('./overlayElement').OverlayElementControl} OverlayElementControl */

define('ui/dynamicUi',[
    'jquery',
    'aloha',
    'ui/dynamicForm',
    'ui/overlayElement',
    'i18n!ui/nls/i18n'
], function (
    $,
    Aloha,
    DynamicForm,
    OverlayElement,
    i18n
) {

    var Ui;

    function makeDialogDiv(props) {
        var textOrHtml = {};
        if (props.text) {
            textOrHtml.text = props.text;
        }
        if (props.html) {
            textOrHtml.html = props.html;
        }
        return $('<div>', textOrHtml);
    }

    /**
     * Wraps the callback function so to destory the dialog when the callback is
     * invoked.
     *
     * @param {function} callback
     * @return {function} Wrapped callback.
     */
    function callbackAndDestroy(callback) {
        return function () {
            callback.apply(this);
            $(this).dialog('destroy').remove();
        };
    }

    function wrapDialogButtons(buttons) {
        // Buttons automatically close the dialog for convenience
        var title;
        for (title in buttons) {
            if (buttons.hasOwnProperty(title)) {
                buttons[title] = callbackAndDestroy(buttons[title]);
            }
        }
        return buttons;
    }

    function makeDialogProps(props, defaultTitle) {
        // All root elements of widgets added to the page by aloha should have the class 'aloha'.
        // All ui elements should have the class aloha-ui.
        // aloha-dialog is used for a hack to prevent a click in the
        // dialog from bluggin the editable search for aloha-dialog in
        // the aloha core for more information.
        var cls = 'aloha aloha-dialog aloha-ui';
        if (props.cls) {
            cls += ' ' + props.cls;
        }
        return {
            'resizable': false,
            'modal': true,
            'title': props.title || defaultTitle,
            'dialogClass': cls,
            'zIndex': 10200
        };
    }

    /**
     * Shows a confirm dialog.
     *
     * A confirm dialog has a confirm icon and style and yes and no buttons.
     *
     * @param props is an object with the following properties (all optional):
     *          title - the title of the dialog
     *           text - either the text inside the dialog
     *           html - or the html inside the dialog
     *            yes - makes a "Yes" button in the dialog and invokes the given callback if it is pressed.
     *             no - makes a "No" button in the dialog and invokes the given callback if it is pressed.
     *         answer - makes a "Yes" and "No" button in the dialog and pressing either will invoke the
     *                  callback with the answer as a boolean argument. Does not interfere with yes and
     *                  no properties.
     *            cls - the root element of the dialog will receive this class
     *        buttons - an object where the properties are button titles and the values are callbacks
     *        Button callbacks will receive the dialog element as context.
     *        Pressing any buttons in the dialog will automatically close the dialog.
     * @return
     *        A function that can be called to close the dialog.
     */
    function openConfirmDialog(props) {
        var buttons = props.buttons || {};

        var yesLabel = i18n.t('button.yes.label');
        var noLabel = i18n.t('button.no.label');

        // block adds backwards compatibility to still be able to use
        // 'buttons.Yes/No' for setting functionality of basic buttons
        if (buttons.Yes !== null && yesLabel !== 'Yes') {
            buttons[yesLabel] = buttons.Yes;
            delete buttons.Yes;
        }
        if (buttons.No !== null && noLabel !== 'No') {
            buttons[noLabel] = buttons.No;
            delete buttons.No;
        }

        buttons[yesLabel] = buttons[yesLabel] || props.yes || $.noop;
        buttons[noLabel] = buttons[noLabel] || props.no || $.noop;

        if (props.answer) {
            var yes = buttons[yesLabel];
            var no = buttons[noLabel];
            buttons[yesLabel] = function () {
                yes();
                props.answer(true);
            };
            buttons[noLabel] = function () {
                no();
                props.answer(false);
            };
        }
        var dialog = makeDialogDiv(props).dialog(
            $.extend(makeDialogProps(props, 'Confirm'), {
                'buttons': wrapDialogButtons(buttons)
            })
        );
        return function () {
            dialog.dialog('destroy').remove();
        };
    }

    /**
     * Shows an alert dialog.
     *
     * An alert dialog has an alert icon and style and a dismiss button.
     *
     * @param props is an object with the following properties (all optional)
     *        title - the title of the dialog
     *        text - either the text inside the dialog
     *        html - or the html inside the dialog
     *        cls - the root element of the dialog will receive this class
     * @return
     *        A function that can be called to close the dialog.
     */
    function openAlertDialog(props) {
        var propsExtended = {};
        propsExtended[i18n.t('button.dismiss.label')] = $.noop;
        var dialog = makeDialogDiv(props).dialog(
            $.extend(makeDialogProps(props, 'Alert'), {
                'buttons': wrapDialogButtons(propsExtended)
            })
        );
        return function () {
            dialog.dialog('destroy').remove();
        };
    }

    /**
     * Opens a modal with a dynamic form configuration.
     * @template {*} T
     * @param {string} componentName - The name of the component to where the dropdown should be opened to.
     * @param {DynamicDropdownConfiguration.<T>} config - The config for how to open the dropdown and what to display.
     * @returns {Promise.<OverlayElementControl.<T>>} - A Promise for a overlay element control.
     */
    function openDynamicDropdown(componentName, config) {
        if (Ui == null) {
            Ui = Aloha.require('ui/ui');
        }

        var targetComponent = Ui.getAdoptedComponent(componentName);
        if (targetComponent == null) {
            return Promise.reject(new Error('Could not find target component "' + componentName + '"!'));
        }

        var changeNotify = function () { }
        var dropdownData = createDynamicDropdown(config, function () {
            changeNotify();
        });

        if (dropdownData == null) {
            return Promise.reject(new Error('Could not create component from config!'));
        }

        var $dropdown = dropdownData.$dropdown;
        var component = dropdownData.component;
        var control = dropdownData.control;

        var $dropdownOverlay = $('<div>', { class: 'aloha aloha-dropdown-overlay' });
        $dropdownOverlay.appendTo(document.body);
        $dropdown.appendTo(document.body);

        var targetRect = $(targetComponent.element)[0].getBoundingClientRect();
        $dropdown.css({
            top: Math.ceil(targetRect.top) + Math.ceil(targetRect.height),
            left: Math.ceil(targetRect.left),
        });

        var open = true;
        var reject = function () { }

        function closeDropdown() {
            component.destroy();
            $dropdownOverlay.remove();
            $dropdown.remove();
            open = false;
        }

        var dropdownValue = new Promise(function (resolve, valReject) {
            reject = valReject;

            if (config.closeOnOverlayClick === undefined || !!config.closeOnOverlayClick) {
                $dropdownOverlay.on('click', function () {
                    closeDropdown();
                    reject(new OverlayElement.OverlayCloseError(OverlayElement.ClosingReason.OVERLAY_CLICK));
                });
            }

            if (!!config.closeOnEscape) {
                $(window.document).on('keydown', function (event) {
                    if (event.key === 'Escape') {
                        closeDropdown();
                        reject(new OverlayElement.OverlayCloseError(OverlayElement.ClosingReason.ESCAPE));
                    }
                });
            }

            function resolveIfValid() {
                if (component.validationErrors == null) {
                    var value = component.getValue();
                    closeDropdown();
                    resolve(value);
                }
            }

            if (!!config.resolveWithConfirmButton) {
                dropdownData.confirmButton.on('click', function () {
                    resolveIfValid();
                });
            } else {
                changeNotify = function () {
                    resolveIfValid();
                };
            }
        });

        return Promise.resolve({
            close: function () {
                if (open) {
                    closeDropdown();
                    reject(new OverlayElement.OverlayCloseError(OverlayElement.ClosingReason.API));
                }
            },
            open: function () {
                return open;
            },
            value: dropdownValue,
        });
    }

    function createDynamicDropdown(config, changeNotify) {
        var $dropdown = $('<div>', { class: 'aloha aloha-ui aloha-dropdown ui-widget' });
        var $dropdownContainer = $('<div>', { class: 'dropdown-content-container' });
        var $dropdownContent = $('<div>', { class: 'dropdown-content' });
        var $confirmButton = $('<button>', {
            class: 'dropdown-confirm-button',
            text: i18n.t('button.confirm.label'),
        }).hide();

        function applyValueHandler(value) {
            // Noop, as the value is already set in the component
        }

        function validationHandler(value) {
            if (typeof config.validate === 'function') {
                component.validationErrors = config.validate(value);
            }

            if (component.validationErrors == null) {
                $dropdownContent.addClass('valid').removeClass('invalid');
                $confirmButton.removeAttr('disabled');
            } else {
                $dropdownContent.addClass('invalid').removeClass('valid');
                $confirmButton.attr('disabled', 'disabled');
            }
        }

        function changeHandler(value) {
            if (typeof config.onChange === 'function') {
                config.onChange(value, control);
            }
            changeNotify();
        }

        function touchHandler() {
            component.touched = true;
        }

        var component = DynamicForm.createComponentFromConfig(
            Object.assign({}, config, { renderContext: 'dropdown' }),
            applyValueHandler,
            validationHandler,
            changeHandler,
            touchHandler
        );

        if (!component) {
            return null;
        }

        if (config.initialValue !== undefined) {
            component.setValue(config.initialValue);
        }
        var control = DynamicForm.createControlFromComponent(component, validationHandler);
        validationHandler(component.getValue());

        $dropdown.append($dropdownContainer);
        $dropdownContainer.append($dropdownContent, $confirmButton);
        $dropdownContent.append(component.element);

        if (!!config.resolveWithConfirmButton) {
            $confirmButton.show();
        }

        $dropdown[0]._alohaDropdown = {
            component: component,
            control: control,
        };

        return {
            $dropdown: $dropdown,
            component: component,
            control: control,
            confirmButton: $confirmButton
        };
    }

    /**
     * Opens a modal with a dynamic form configuration.
     * @template {*} T
     * @param {DynamicFormModalConfiguration.<T>} config - The config for how to open the modal and what to do with it.
     * @returns {Promise.<OverlayElementControl.<T>>} - A Promise for a overlay element control.
     */
    function openDynamicModal(config) {
        var $modalOverlay = $('<div>', { class: 'aloha aloha-modal-overlay ui-widget' });

        var $modal = $('<div>', {
            class: 'aloha aloha-ui aloha-modal ui-widget',
            modal: true,
        });

        // Build the header
        var $modalHeader = $('<div>', {
            class: 'modal-header',
            html: '<div class="header-title">' + config.title + '</div>'
        });

        // Build the body
        var $modalBody = $('<div>', { class: 'modal-body' });
        var $modalBodyContainer = $('<div>', { class: 'modal-body-container' });

        // Build the footer
        var $modalFooter = $('<div>', { class: 'modal-footer' });
        var $cancelButton = $('<button>', {
            class: 'footer-button cancel-button',
            text: i18n.t('button.cancel.label'),
        });
        var $confirmButton = $('<button>', {
            class: 'footer-button confirm-button',
            text: i18n.t('button.confirm.label'),
        });
        $modalFooter.append($cancelButton, $confirmButton);

        var generatedForm;

        function updateFormDOMValidity() {
            if (!generatedForm) {
                return;
            }

            if (!generatedForm.control.valid) {
                $confirmButton.attr('disabled', 'disabled');
                generatedForm.$element
                    .addClass('form-invalid')
                    .removeClass('form-valid');
            } else {
                $confirmButton.removeAttr('disabled');
                generatedForm.$element
                    .addClass('form-valid')
                    .removeClass('form-invalid');
            }
        }

        // Build the form and append it correctly
        generatedForm = DynamicForm.buildDynamicForm(config, updateFormDOMValidity);
        $modalBodyContainer.append(generatedForm.$element);
        $modalBody.append($modalBodyContainer);

        // Append all modal parts to the modal
        $modal.append($modalHeader);
        $modal.append($modalBody);
        $modal.append($modalFooter);

        // prevent scrolling while modal is open
        $(document.body).css('overflow', 'none');
        $modalOverlay.appendTo(document.body);
        $modal.appendTo(document.body);

        var open = true;
        var reject = function () { }

        function closeModal() {
            Object.values(generatedForm.components).forEach(function (comp) {
                comp.destroy();
            });
            $modalOverlay.remove();
            $modal.remove();
            $(document.body).css('overflow', '');
            open = false;
        }

        var modalValue = new Promise(function (resolve, valReject) {
            reject = valReject;

            $cancelButton.on('click', function () {
                closeModal();
                reject(new OverlayElement.OverlayCloseError(OverlayElement.ClosingReason.CANCEL));
            });

            $confirmButton.on('click', function () {
                closeModal();
                resolve(generatedForm.value);
            });

            if (!!config.closeOnOverlayClick) {
                $modalOverlay.on('click', function () {
                    closeModal();
                    reject(new OverlayElement.OverlayCloseError(OverlayElement.ClosingReason.OVERLAY_CLICK));
                });
            }

            if (!!config.closeOnEscape) {
                $(window.document).on('keydown', function (event) {
                    if (event.key === 'Escape') {
                        closeModal();
                        reject(new OverlayElement.OverlayCloseError(OverlayElement.ClosingReason.ESCAPE));
                    }
                });
            }
        });

        return Promise.resolve({
            close: function () {
                if (open) {
                    closeModal();
                    reject(new OverlayElement.OverlayCloseError(OverlayElement.ClosingReason.API));
                }
            },
            isOpen: function () {
                return open;
            },
            value: modalValue,
        });
    }

    return {
        openDynamicDropdown: openDynamicDropdown,
        openDynamicModal: openDynamicModal,
        openAlertDialog: openAlertDialog,
        openConfirmDialog: openConfirmDialog,
    };
});

define('ui/toolbar',[
	'jquery',
	'aloha/core',
	'ui/surface',
	'ui/tab',
	'ui/floating',
	'ui/scopes',
	'ui/dynamicUi',
	'i18n!ui/nls/i18n',
	'jqueryui'
], function (
	$,
	Aloha,
	Surface,
	Tab,
	floating,
	Scopes,
	DynamicUi,
	i18n
) {
	'use strict';

	function isFloatingEnabled() {
		return !Aloha.settings
			|| !Aloha.settings.toolbar
			|| Aloha.settings.toolbar.floating !== false;
	}

	/**
	 * The toolbar is configured via `settings.toolbar` and is defined as an
	 * array of tabs with component groups, where the groups are arrays of
	 * controls.
	 *
	 * There are separate components for each context, but only the components
	 * for the active context are shown.
	 *
	 * As a container for tabs, the toolbar serves to group together groups of
	 * control components so that they can be shown and hidden together in their
	 * feature/functional set.  For example groups of table controls would be
	 * placed in a table tab, groups of list controls in an image tab, and so
	 * forth.
	 *
	 * Toolbar class and manager
	 *
	 * @class
	 * @extends {Surface}
	 */
	var Toolbar = Surface.extend({
		_context: null,
		_moveTimeout: null,
		_repositionTimeout: null,
		$_container: null,
		_tabBySlot: null,
		_tabs: [],
		_tabSettings: null,
		_adoptedComponents: {},
		_activeResponive: 'desktop',
		$_inactiveContainer: null,

		/**
		 * Returns true if the "responsiveMode" setting has been set to true. Indicates
		 * that the toolbar should not float and should have certain behaviour
		 * modified in order to work better on mobile devices.
		 * @type {boolean}
		 */
		_isResponsiveMode: false,

		/**
		 * Toolbar constructor.
		 *
		 * @param context
		 * @param {!Array.<(Object|Array|string)>} tabs
		 * @param {boolean} responsiveMode
		 * @constructor
		 * @override
		 */
		_constructor: function (context, tabs, responsiveMode) {
			this._super(context);
			this._context = context;
			this.$element = $('<div>', { class: 'aloha-ui aloha-ui-toolbar', unselectable: 'on' });
			this.$_inactiveContainer = $('<div>', {
				class: 'aloha-ui aloha-ui-toolbar-inactive-components',
				unselectable: 'on',
			}).hide();

			var _this = this;

			$(function() {
				_this.$_inactiveContainer.appendTo(window.document.body);
			});

			this._tabBySlot = {};
			this._isResponsiveMode = responsiveMode;
			this._tabSettings = tabs;

			var initialSetup = true;

			function handleMedia(query, target) {
				var media = window.matchMedia(query);
				media.onchange = function(change) {
					if (change.matches) {
						_this._activeResponive = target;
						_this._setupTabs(false);
					}
				};
				if (media.matches) {
					_this._activeResponive = target;
					_this._setupTabs(initialSetup);
				}
				initialSetup = false;
			}

			// TODO: Define the breakpoints somewhere static
			handleMedia('(max-width: 400px)', 'mobile');
			handleMedia('(min-width: 401px) and (max-width: 1024px)', 'tablet');
			handleMedia('(min-width: 1025px)', 'desktop');

			// Pinning behaviour is global in that if one toolbar is pinned,
			// then all other toolbars will be pinned to that position.
			if (isFloatingEnabled()) {
				var positionStyle = this._isResponsiveMode ? 'absolute' : undefined;
				floating.makeFloating(this, Toolbar, positionStyle);
			}

			if (this._isResponsiveMode) {
				this.$element.addClass('responsive');
			}
		},

		_setupTabs: function (initialSetup) {
			if (!this.enabled) {
				return;
			}

			var _this = this;
			var tmpSlots = {};

			// Destroy all old tabs
			this._tabs.forEach(function(tabData) {
				if (!initialSetup) {
					// The tab itself is going to be destroyed, but the components inside of it need to persist.
					// Therefore, we move them into the inactive-container before deletion/removal.
					Object.entries(tabData.tab._componentBySlot).forEach(function(entry) {
						tmpSlots[entry[0]] = entry[1];

						var $inactiveComponentContainer = _this.$_inactiveContainer.find('[data-slot="' + entry[0] + '"');
						if ($inactiveComponentContainer.length < 1) {
							$inactiveComponentContainer = $('<div>', {
								attr: {
									'data-slot': entry[0],
								},
							})
								.append(entry[1].element)
								.appendTo(_this.$_inactiveContainer);
						} else {
							$inactiveComponentContainer.children().remove();
							$inactiveComponentContainer.append(entry[1].element);
						}
					});
				}

				tabData.tab.destroy();
			});

			// Re-create the container to get rid of the old stuff
			if (this.$_container != null) {
				this.$_container.tabs('destroy');
				this.$_container.remove();
			}
			this.$_container = Tab.createContainer().appendTo(this.$element);

			// Clear out old settings
			this._tabs = [];
			this._tabBySlot = {};

			var activeTabSettings = this._tabSettings[this._activeResponive];
			var appliedSlots = [];

			// Create the tabs from the now active settings
			(activeTabSettings.tabs || []).forEach(function(tabSettings) {
				var tabInstance = new Tab(_this._context, {
					label: tabSettings.label,
					showOn: tabSettings.showOn,
					container: _this.$_container
				}, tabSettings.components);

				Object.keys(tabInstance._elemBySlot).forEach(function(slot) {
					_this._tabBySlot[slot] = tabInstance;
					appliedSlots.push(slot);
				});

				_this._tabs.push({ tab: tabInstance, settings: tabSettings });
			});

			// Here we check each slot again, if the component has been used before and was moved to
			// the inactive-container. If it is, reuse it.
			// Otherwise, if the component has been adopted, but wasn't bound yet (i.E. wasn't configured to show up yet),
			// then we adopt it from the adoptedComponents data.
			if (!initialSetup) {
				appliedSlots.forEach(function(slot) {
					var tab = _this._tabBySlot[slot];
					if (!tab) {
						return;
					}

					var component;
					if (tmpSlots[slot]) {
						component = tmpSlots[slot];
						delete tmpSlots[slot];
					} else if (_this._adoptedComponents[slot]) {
						component = _this._adoptedComponents[slot];
					}

					if (component) {
						tab.adoptInto(slot, component);
					}
				});
			}

			this._tabScopeActive();
		},

		_tabScopeActive: function() {
			if (!this.enabled) {
				return;
			}

			var settings,
				i;

			for (i = 0; i < this._tabs.length; i++) {
				settings = this._tabs[i].settings;
				if (
					'object' === $.type(settings.showOn)
					&& Scopes.isActiveScope(settings.showOn.scope)
					&& this._tabs[i].tab.hasVisibleComponents()
				) {
					this._tabs[i].tab.foreground();
					break;
				}
			}
		},

		adoptInto: function (slot, component) {
			this._adoptedComponents[slot] = component;
			var tab = this._tabBySlot[slot];
			return tab && tab.adoptInto(slot, component);
		},

		unadopt: function(slot) {
			delete this._adoptedComponents[slot];
			var tab = this._tabBySlot[slot];
			delete this._tabBySlot[slot];
			if (tab) {
				tab.unadopt(slot);
			}
		},

		focusTab: function(tabId) {
			var foundTab = this._tabs.find(function(tab) {
				return tab.id === tabId;
			});
			if (!foundTab) {
				return;
			}
			foundTab.tab.foreground();
		},

		getActiveContainer: function () {
			return this.$_container.data('aloha-active-container');
		},

		getContainers: function () {
			return this.$_container.data('aloha-tabs');
		},

		/**
		 * Moves the toolbar into the optimal position near the active editable.
		 *
		 * @param {number} duration The length of time the moving animation
		 *                          should run.
		 */
		_move: function (duration) {
			// We need to order the invocation of the floating animation to
			// occur after the the height of the toolbar's DOM has been
			// caluclated.
			var toolbar = this;
			if (toolbar._moveTimeout) {
				window.clearTimeout(toolbar._moveTimeout);
			}
			toolbar._moveTimeout = window.setTimeout(function () {
				toolbar._moveTimeout = null;
				if (Aloha.activeEditable) {
					if (toolbar._isResponsiveMode) {
						floating.floatSurface(
							toolbar,
							Aloha.activeEditable,
							false
						);
					} else if (Toolbar.isFloatingMode) {
						floating.floatSurface(
							toolbar,
							Aloha.activeEditable,
							duration,
							Toolbar.setFloatingPosition
						);
					}
				}
				// 20ms should be small enough to appear instantaneous to the
				// user but large enough to avoid doing unnecessary work when
				// the selection changes multiple times within a short time
				// frame.
			}, 20);
		},

		addPin: function () {
			var $pin = $('<div class="aloha-ui-pin">');
			var $element = this.$element;
			$element.find('.ui-tabs').append($pin);
			$element.find('.ui-tabs').hover(function () {
				$element.addClass('aloha-ui-hover');
			}, function () {
				$element.removeClass('aloha-ui-hover');
			});

			if (!Toolbar.isFloatingMode) {
				$pin.addClass('aloha-ui-pin-down');
			}

			var surface = this;

			$pin.click(function () {
				Toolbar.isFloatingMode = !Toolbar.isFloatingMode;
				var position;

				if (Toolbar.isFloatingMode) {
					position = {
						top: Toolbar.pinTop,
						left: Toolbar.pinLeft
					};
				} else {
					position = surface.$element.offset();
					position.top -= $(window).scrollTop();
				}

				Toolbar.setFloatingPosition(position);
				floating.togglePinSurface(surface, position, Toolbar.isFloatingMode);
			});
		},

		/**
		 * Shows the toolbar.
		 */
		show: function () {
			if (!this.enabled) {
				return;
			}

			Toolbar.$surfaceContainer.children().detach();
			Toolbar.$surfaceContainer.append(this.$element);
			Toolbar.$surfaceContainer.stop().fadeTo(200, 1);
			if (isFloatingEnabled()) {
				var position = Toolbar.getFloatingPosition();
				this.$element.stop().css({
					top: position.top,
					left: position.left
				});
				this._move();
			}
		},

		/**
		 * Hides the toolbar.
		 */
		hide: function () {
			Toolbar.$surfaceContainer.stop().fadeOut(200, function () {
				Toolbar.$surfaceContainer.children().detach();
			});
			if (this._isResponsiveMode) {
				floating.removeResponsiveStyles();
			}
		},

		openDynamicDropdown: function(componentName, config) {
			return DynamicUi.openDynamicDropdown(componentName, config);
		},
		openDynamicModal: function(config) {
			return DynamicUi.openDynamicModal(config);
		},
		openConfirmDialog: function(config) {
			return DynamicUi.openConfirmDialog(config);
		},
		openAlertDialog: function(config) {
			return DynamicUi.openAlertDialog(config);
		},

		/**
		 * Sets the width of the toolbar to match the Editable. On small screens, full width is used.
		 */
		setWidth: function () {
			if (!this.enabled) {
				return;
			}

			if (this._isResponsiveMode && Aloha.activeEditable) {
				var windowMinWidth = 600;
				var editableWidth = parseInt(Aloha.activeEditable.obj.css("width"));
				var width = (window.innerWidth < windowMinWidth) ? '100%' : editableWidth + 'px';
				this.$element.css('width', width);
			}
		},

		/**
		 * Recalculates the width and position of the toolbar. Should be called when the window is resized.
		 */
		reposition: function () {
			if (!this.enabled) {
				return;
			}

			var toolbar = this;
			if (toolbar._repositionTimeout) {
				window.clearTimeout(toolbar._repositionTimeout);
			}
			toolbar._repositionTimeout = setTimeout(function () {
				toolbar._repositionTimeout = null;
				toolbar.setWidth();
				toolbar._move();
			}, 20);
		}
	});

	$.extend(Toolbar, {

		/**
		 * An element on which all toolbar surfaces are to be rendered on the
		 * page.
		 * @type {jQuery.<HTMLElement>}
		 */
		$surfaceContainer: null,

		/**
		 * Whether or not floating toolbar surfaces should be pinned.
		 * @type {boolean}
		 */
		isFloatingMode: true,

		/**
		 * Left position of pinned toolbars.
		 * @type {number}
		 */
		pinLeft: 0,

		/**
		 * Top position of pinned toolbars.
		 * @type {number}
		 */
		pinTop: 0,

		/**
		 * Initializes the toolbar manager.  Adds the surface container
		 * element, and sets up floating behaviour settings.
		 */
		init: function () {
			// TODO should use context.js to get the context element
			Toolbar.$surfaceContainer = $('<div>', {
				'class': 'aloha aloha-surface aloha-toolbar',
				'unselectable': 'on'
			}).hide();

			// In the built aloha.js, init will happend before the body has
			// finished loading, so we have to defer appending the element.
			$(function () {
				Toolbar.$surfaceContainer.appendTo('body');
			});
			Surface.trackRange(Toolbar.$surfaceContainer);
			var pinState = floating.getPinState();
			Toolbar.pinTop = pinState.top;
			Toolbar.pinLeft = pinState.left;
			Toolbar.isFloatingMode = !pinState.isPinned;
		},

		setFloatingPosition: function (position) {
			Toolbar.pinTop = position.top;
			Toolbar.pinLeft = position.left;
		},

		getFloatingPosition: function () {
			return {
				top: Toolbar.pinTop,
				left: Toolbar.pinLeft
			};
		}
	});

	Toolbar.init();

	return Toolbar;
});

define('ui/icons',[], function() {
    'use strict';

    var MAPPING = {
        BOLD: 'format_bold',
        STRONG: 'format_bold',
        ITALIC: 'format_italic',
        EMPHASIS: 'format_italic',
        UNDERLINE: 'format_underlined',
        STRIKE_THROUGH: 'format_strikethrough',
        SUB_SCRIPT: 'subscript',
        SUPER_SCRIPT: 'superscript',
        ABBREVIATION: 'book',
        CODE: 'code',
        CITATION: 'help',
        QUOTE: 'format_quote',
        DELETED: 'backspace',
        INSERTED: 'playlist_add',
        CLEAR: 'format_clear',

        TYPOGRAPHY: 'format_size',
        PARAGRAPH: 'format_paragraph',
        HEADER_1: 'format_h1',
        HEADER_2: 'format_h2',
        HEADER_3: 'format_h3',
        HEADER_4: 'format_h4',
        HEADER_5: 'format_h5',
        HEADER_6: 'format_h6',
        PRE_FORMATTED: 'segment',

        LANGUAGE: 'language',
        NUMERATED_HEADERS: '123',
        VIDEO_DELETE: 'videocam_off',

        LINK: 'link',
        UNLINK: 'link_off',
        ANCHOR: 'anchor',

        ALIGN_LEFT: 'format_align_left',
        ALIGN_CENTER: 'format_align_center',
        ALIGN_RIGHT: 'format_align_right',
        ALIGN_JUSTIFY: 'format_align_justify',

        TABLE_CREATE: 'table',
        TABLE_MERGE_CELLS: 'cell_merge',
        TABLE_SPLIT_CELLS: 'arrows_outward',
        TABLE_DELETE: 'delete',
        TABLE_CAPTION: 'title',
        TABLE_ADD_COLUMN_LEFT: 'splitscreen_left',
        TABLE_ADD_COLUMN_RIGHT: 'splitscreen_right',
        TABLE_SELECTION_HEADER: 'leaderboard',
        TABLE_ADD_ROW_BEFORE: 'splitscreen_top',
        TABLE_ADD_ROW_AFTER: 'splitscreen_bottom',
        TABLE_DELETE_SELECTION: 'delete',

        IMAGE_ALIGN_LEFT: 'format_image_left',
        IMAGE_ALIGN_RIGHT: 'format_image_right',
        IMAGE_ALIGN_NONE: 'image',
        IMAGE_INCREASE_PADDING: 'open_in_full',
        IMAGE_DECREASE_PADDING: 'close_fullscreen',
        IMAGE_CROP: 'crop',
        IMAGE_FOCAL_POINT: 'filter_center_focus',
        IMAGE_RATIO: 'aspect_ratio',
        IMAGE_RESET: 'restart_alt',
        IMAGE_EDIT: 'edit',

        TOGGLE_DRAG_AND_DROP: 'drag_pan',
        TREE: 'account_tree',

        INDENT: 'format_indent_increase',
        OUTDENT: 'format_indent_decrease',
        LIST_ORDERED: 'format_list_numbered',
        LIST_UNORDERED: 'format_list_bulleted',
        LIST_DEFINITION: 'lists',

        CHARACTER_PICKER: 'special_character',
        TEXT_COLOR: 'format_color_text',
        BACKGROUND_COLOR: 'format_color_fill',

        PASTE: 'content_paste',
        FORMATLESS_PASTE: 'content_paste_go',
        META_VIEW: 'mystery',
        HORIZONTAL_RULE: 'horizontal_rule',

        // Tabs
        FORMATTING: 'edit',
        INSERT: 'add_box',
        VIEW: 'visibility',
        TABLE: 'table',
        IMAGE: 'image',
    };

    return MAPPING;
});

/**
 * @typedef {object} FullComponentSlot
 * @property {string} slot The name of the slot which a component can be rendered in.
 * @property {string|Array.<string>=} scope One or more scopes the slot should be available/shown.
 */

/** @typedef {FullComponentSlot|string} ComponentSlot */

/**
 * @typedef {object} ScopeDefitinion
 * @property {string|Array.<string>} scope The scope(s) in which it should have effect.
 */

/** @typedef {'keep' | 'append' | 'prepend' | 'override'} ToolbarComponentMergeStrategy */

/**
 * @typedef {object} ToolbarTabMerge
 * @property {ToolbarComponentMergeStrategy=} components How components should be merged
 */

/**
 * @typedef {object} ToolbarTab
 * @property {string} id The ID of the Tab
 * @property {string} label The label of the Tab. Can be an i18n string of `ui/nls/i18n`.
 * @property {string} icon The icon for the Tab (May or may not be used).
 * @property {Array.<ComponentSlot>|Array.<Array.<ComponentSlot>>} components Slots/Components in this tab.
 * @property {ScopeDefitinion=} showOn In which scope it should be displayed.
 * @property {ToolbarTabMerge=} merge Options for when this tab is being merged.
 */

/**
 * @typedef {object} ResponsiveToolbarSettings
 * @property {Array.<ToolbarTab>} tabs Tabs to display.
 */

/**
 * @typedef {object} ToolbarSettings
 * @property {ResponsiveToolbarSettings} mobile The settings to use on mobile sized displays.
 * @property {ResponsiveToolbarSettings} tablet The settings to use on tablet sized displays.
 * @property {ResponsiveToolbarSettings} desktop The settings to use on desktop sized displays.
 */

define('ui/settings',[
	'ui/icons',
	'i18n!ui/nls/i18n'
], function (
	Icons,
	i18n
) {
	'use strict';

	const SCOPE_LIST = 'Aloha.List';
    const SCOPE_TABLE = 'table';
    const SCOPE_TABLE_CELL = 'table.cell';
    const SCOPE_TABLE_ROW = 'table.row';
    const SCOPE_TABLE_COLUMN = 'table.column';

	/** @type {Array.<ToolbarTab>} */
	var DEFAULT_TABS = [
		{
			id: 'formatting',
			label: 'tab.format.label',
			icon: Icons.FORMATTING,
			components: [
				[
					'bold',
					'italic',
					'underline',
					'strikethrough',
					'subscript',
					'superscript',
					'code',
					'cite',
					'quote',
					'formatAbbr',
				],
				[ 'removeFormat' ],
				// List settings
				[
					'alignMenu',
					'listOrdered', 'listUnordered', 'listDefinition',
					{ slot: 'indentList', scope: [SCOPE_LIST] },
					{ slot: 'outdentList', scope: [SCOPE_LIST] },
				],
				[ 'textColor', 'textBackground'],
				[ 'typographyMenu' ],
				[ 'insertLink', 'wailang' ],
			]
		},
		{
			id: 'insert',
			label: 'tab.insert.label',
			icon: Icons.INSERT,
			components: [
				[ 'characterPicker', 'insertHorizontalRule', 'createTable', 'insertToc' ],
			]
		},
		{
			id: 'view',
			label: 'tab.view.label',
			icon: Icons.VIEW,
			components: [
				'toggleDragDrop',
				'toggleMetaView',
				'toggleFormatlessPaste',
				'formatNumeratedHeaders',
			]
		},
		{
			id: 'table',
			label: 'tab.table.label',
			icon: Icons.TABLE,
			showOn: { scope: SCOPE_TABLE },
			components: [
				[
					{ slot: 'tableDelete', scope: [SCOPE_TABLE] },
					{ slot: 'tableCaption', scope: [SCOPE_TABLE] },
					{ slot: 'tableSummary', scope: [SCOPE_TABLE] },
				],
				[
					{ slot: 'tableCellsMerge', scope: [SCOPE_TABLE_CELL, SCOPE_TABLE_ROW, SCOPE_TABLE_COLUMN] },
					{ slot: 'tableCellsSplit', scope: [SCOPE_TABLE_CELL, SCOPE_TABLE_ROW, SCOPE_TABLE_COLUMN] },
					{ slot: 'tableSelectionDelete', scope: [SCOPE_TABLE_ROW, SCOPE_TABLE_COLUMN] },
					{ slot: 'tableSelectionHeader', scope: [SCOPE_TABLE_ROW, SCOPE_TABLE_COLUMN] },
				],
				[
					{ slot: 'deleterows', scope: [SCOPE_TABLE_ROW] },
					{ slot: 'rowheader', scope: [SCOPE_TABLE_ROW] },
					{ slot: 'tableRowAddBefore', scope: [SCOPE_TABLE_CELL, SCOPE_TABLE_ROW, SCOPE_TABLE_COLUMN] },
					{ slot: 'tableRowAddAfter', scope: [SCOPE_TABLE_CELL, SCOPE_TABLE_ROW, SCOPE_TABLE_COLUMN] },
				],
				[
					{ slot: 'deletecolumns', scope: [SCOPE_TABLE_ROW] },
					{ slot: 'columnheader', scope: [SCOPE_TABLE_ROW] },
					{ slot: 'tableColumnAddLeft', scope: [SCOPE_TABLE_CELL, SCOPE_TABLE_ROW, SCOPE_TABLE_COLUMN] },
					{ slot: 'tableColumnAddRight', scope: [SCOPE_TABLE_CELL, SCOPE_TABLE_ROW, SCOPE_TABLE_COLUMN] },
				]
			]
		},
		{
			id: 'image',
			label: "tab.img.label",
			icon: Icons.IMAGE,
			showOn: {
				scope: 'image',
			},
			components: [
				[ "imageEdit", "imageSource", "imageTitle" ],
				[ "imageResizeWidth", "imageResizeHeight" ],
				[ "imageEdit", "imageAlignLeft", "imageAlignRight", "imageAlignNone", "\n",
				  "imageIncPadding", "imageDecPadding", "\n",
				  "imageCropButton", "imageCnrReset", "imageCnrRatio"  ],
				[ "imageBrowser" ]
			]
		},
	];

	var DEFAULT_TOOLBAR_SETTINGS = {
		mobile: {
			tabs: DEFAULT_TABS,
		},
		tablet: {
			tabs: DEFAULT_TABS,
		},
		desktop: {
			tabs: DEFAULT_TABS,
		},
	};

	/**
	 * Combines/Merges two toolbar configurations.
	 * Applies the `mergerSettings` onto the `baseSettings`, similar to how `Object.assign` would do it.
	 * Tabs are only "defined" by the `mergerSettings`, but properties will be properly merged.
	 *
	 * @param {ToolbarSettings|ResponsiveToolbarSettings} baseSettings
	 * @param {ToolbarSettings|ResponsiveToolbarSettings} mergerSettings
	 */
	function combineToolbarSettings(baseSettings, mergerSettings) {
		baseSettings = normalizeToolbarSettings(baseSettings);
		mergerSettings = normalizeToolbarSettings(mergerSettings);

		/** @type {ToolbarSettings} */
		var outputSettings = {};

		Object.entries(mergerSettings).forEach(function(entry) {
			/** @type {ResponsiveToolbarSettings} */
			var baseResponsive = baseSettings[entry[0]];

			/** @type {ResponsiveToolbarSettings} */
			var tmpResponsive = {
				tabs: entry[1].tabs
					.map(function(tab) {
						// Can not merge tabs without id
						if (typeof tab.id !== 'string') {
							return tab;
						}

						var found = baseResponsive.tabs.find(function(baseTab) {
							return baseTab.id === tab.id;
						});

						// If we couldn't find another tab, then simply add this tab
						if (!found) {
							return tab;
						}

						var tmpTab = Object.assign({}, found, tab);

						switch (tab.merge) {
							case 'keep':
								tmpTab.components = found.components || tab.components;
								break;

							case 'append':
								tmpTab.components = combineComponents(found.components || [], tab.components || []);
								break;

							case 'prepend':
								tmpTab.components = combineComponents(tab.components || [], found.components || []);
								break;

							default:
							case 'override':
								tmpTab.components = tab.components || found.components;
								break;
						}

						return tmpTab;
					}).filter(function(tab) {
						return tab != null;
					}),
			};

			outputSettings[entry[0]] = tmpResponsive;
		});

		return translateToolbarTabs(outputSettings);
	}

	/**
	 *
	 * @param {Array.<ComponentSlot>|Array.<Array<ComponentSlot>>} base
	 * @param {Array.<ComponentSlot>|Array.<Array<ComponentSlot>>} additional
	 */
	function combineComponents(base, additional) {
		if (!Array.isArray(base[0])) {
			base = [base];
		}
		if (Array.isArray(additional[0])) {
			additional = [additional];
		}

		var combined = [];

		/** @type {Array.<string>} */
		var usedSlots = base.map(function(group) {
			// Push the regular group into the combined list
			combined.push(group);

			return group.map(function(comp) {
				return typeof comp === 'string' ? comp : comp.slot;
			});
		});

		additional.forEach(function(group) {
			var tmp = group.filter(function(comp) {
				var compSlot = typeof comp === 'string' ? comp : comp.slot;
				return !usedSlots.includes(compSlot);
			});
			if (tmp.length > 0) {
				combined.push(tmp);
			}
		});

		return combined;
	}

	/**
	 * @param {ToolbarSettings|ResponsiveToolbarSettings} settingsObj The settings to normalize
	 * @returns {ToolbarSettings} Standardized settings.
	 */
	function normalizeToolbarSettings(settingsObj) {
		if (settingsObj.hasOwnProperty('mobile') && settingsObj.hasOwnProperty('tablet') && settingsObj.hasOwnProperty('desktop')) {
			return settingsObj;
		}

		// Use copies, as they might be edited later on
		return {
			mobile: Object.assign({}, settingsObj),
			tablet: Object.assign({}, settingsObj),
			desktop: Object.assign({}, settingsObj),
		};
	}

	/**
	 * Translates the tab labels **in place**.
	 * @param {ToolbarSettings} settings The settings which should be translated.
	 * @returns Simply `settings` again.
	 */
	function translateToolbarTabs(settings) {
		Object.values(settings).forEach(function(sizeSettings) {
			((sizeSettings || {}).tabs || []).forEach(function(tab) {
				tab.label = i18n.t(tab.label, tab.label);
			});
		});

		return settings;
	}

	return {
		defaultToolbarSettings: DEFAULT_TOOLBAR_SETTINGS,
		translateToolbarTabs: translateToolbarTabs,
		normalizeToolbarSettings: normalizeToolbarSettings,
		combineToolbarSettings: combineToolbarSettings
	};
});

/* ui-plugin.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/**
 * The ui/ui-plugin module controls the creation and display of the UI.
 */
define('ui/ui-plugin', [
	'jquery',
	'aloha',
	'ui/context',
	'ui/container',
	'ui/surface',
	'ui/toolbar',
	'ui/scopes',
	'ui/settings',
	'PubSub',
	// Most modules of the ui plugin depend on jquery-ui, but its easy
	// to forget to add the dependency so we do it here.
	'jqueryui'
], function (
	$,
	Aloha,
	Context,
	Container,
	Surface,
	Toolbar,
	Scopes,
	Settings,
	PubSub
) {
	'use strict';

	var context = new Context(),
		toolbar = new Toolbar(context, getToolbarSettings(), getResponsiveMode());

	var adoptedComponents = {};

	/** @type {Aloha.Surface} Currently the active Surface implementation to use/adopt into. */
	var activeSurface = toolbar;

	Aloha.bind('aloha-editable-activated', function (event, alohaEvent) {
		Surface.show(context);
		toolbar.setWidth();
		Container.showContainersForContext(context, event);
	});

	Aloha.bind('aloha-editable-deactivated', function (event, alohaEvent) {
		if (!Surface.suppressHide) {
			Surface.hide(context);
		}
	});

	PubSub.sub('aloha.ui.scope.change', function () {
		Container.showContainersForContext(context);
		primaryScopeForegroundTab();
	});

	/**
	 * @param {boolean=} skipMerge If it should merge the default settings with the user settings. Defaults to `false`.
	 * @returns The Settings for the toolbar/ui and how to display the tabs/components.
	 */
	function getToolbarSettings(skipMerge) {
		var userSettings = Aloha.settings.toolbar,
		    defaultSettings = Settings.defaultToolbarSettings;

		if (!userSettings) {
			return Settings.translateToolbarTabs(defaultSettings);
		} else if (skipMerge) {
			return Settings.translateToolbarTabs(Settings.normalizeToolbarSettings(userSettings));
		}

		return Settings.combineToolbarSettings(defaultSettings, userSettings);
	}

	function getResponsiveMode() {
		if (Aloha.settings.toolbar && Aloha.settings.toolbar.hasOwnProperty('responsiveMode')) {
			var value = Aloha.settings.toolbar.responsiveMode;
			return value.toString() === '1' || value === true || value.toString().toLowerCase() === 'true';
		}
		return false;
	}

	/* TODO: Check if this can be removed. Already defined in `toolbar.js` as well. */
	function primaryScopeForegroundTab() {
		if (!toolbar.enabled) {
			return;
		}

		var tabs = toolbar._tabs,
		    settings,
		    i;
		for (i = 0; i < tabs.length; i++) {
			settings = tabs[i].settings;
			if ('object' === $.type(settings.showOn) && Scopes.isActiveScope(settings.showOn.scope) && tabs[i].tab.hasVisibleComponents()) {
				tabs[i].tab.foreground();
				break;
			}
		}
	}

	/**
	 * Adopts a component instance into the UI.
	 *
	 * Usually, the implementation of this method will display the
	 * component, at a position in the UI given by the slot
	 * argument.
	 *
	 * @param slot
	 *        A position argument that is interpreted by the UI however it likes.
	 * @param component
	 *        An instance of a component to adopt into the given slot.
	 * @api
	 */
	function adoptInto(slot, component) {
		adoptedComponents[slot] = component;
		return activeSurface.adoptInto(slot, component);
	}

	function unadopt(slot) {
		delete adoptedComponents[slot];
		activeSurface.unadopt(slot);
	}

	function getActiveSurface() {
		return activeSurface;
	}

	/**
	 * Sets the current active Surface to handle all UI elements.
	 * @param {*} surface The surface instance which should be used.
	 * @param {boolean} replayAdoption If all previously adopted component calls should be replayed/applied to this surface instance.
	 * @param {boolean} removeFromOld If it should remove all adopted components from the old/previous surface.
	 */
	function setActiveSurface(surface, replayAdoption, removeFromOld) {
		if (activeSurface === surface) {
			return;
		}

		var oldSurface = activeSurface;
		activeSurface = surface;

		// Hide and show the toolbar if it is being de-/activated
		if (oldSurface != null) {
			oldSurface.disable();
			oldSurface.hide();
		}
		if (activeSurface != null) {
			activeSurface.enable();
			activeSurface.show();
		}

		if (replayAdoption || removeFromOld) {
			Object.entries(adoptedComponents).forEach(function(entry) {
				if (removeFromOld) {
					oldSurface.unadopt(entry[0]);
				}
				if (replayAdoption) {
					surface.adoptInto(entry[0], entry[1]);
				}
			});
		}
	}

	/**
	 * Shows the toolbar.
	 *
	 * By default, the toolbar will be hidden when no editable is
	 * activated, and shown when an editable is activated. Calling
	 * this function will show the toolbar regardless of whether an
	 * editable is activated.
	 *
	 * The toolbar will only become visible if tabs are visible as well.
	 * To make tabs visible, set a scope. For example
	 * Scopes.setScope('Aloha.continuoustext');
	 *
	 * Please note that the toolbar will not remain visible if an
	 * editable is subsequently deactivated.
	 *
	 * @param {?Object} event
	 *        An optional event argument that caused the toolbar to be show.
	 *        Will be passed on to Aloha.settings.toolbar.tabs[i].showOn functions.
	 * @api
	 */
	function showToolbar(event) {
		Surface.show(context);
		Container.showContainersForContext(context, event);
	}

	/**
	 * This module is part of the Aloha API.
	 * It is valid to override this module via requirejs to provide a
	 * custom behaviour. An overriding module must implement all API
	 * methods. Every member must have an api annotation. No non-api
	 * members are allowed.
	 * @api
	 */
	return {
		/**
		 * Adopts a component instance into the UI.
		 *
		 * Usually, the implementation of this method will display the
		 * component, at a position in the UI given by the slot
		 * argument.
		 *
		 * @param slot
		 *        A position argument that is interpreted by the UI however it likes.
		 * @param component
		 *        An instance of a component to adopt into the given slot.
		 * @api
		 */
		adoptInto: adoptInto,
		unadopt: unadopt,
		showToolbar: showToolbar,
		getContext: function() {
			return context;
		},
		getToolbarInstance: function() {
			return toolbar;
		},
		getToolbarSettings: getToolbarSettings,
		getActiveSurface: getActiveSurface,
		setActiveSurface: setActiveSurface,
	};
});

/* keys.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2013 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('util/keys',['jquery'], function ($) {
	'use strict';

	var KEYCODE_TOKEN_MAP = (function () {
		var map = {};
		$.each({
			8  : 'backspace',
			9  : 'tab',
			13 : 'enter',
			16 : 'shift control alt',
			20 : 'capslock',
			27 : 'escape',
			32 : 'space',
			33 : 'pageup',
			34 : 'pagedown',
			37 : 'left up right down',
			45 : 'insert',
			46 : 'delete',
			48 : '0 1 2 3 4 5 6 7 8 9',
			65 : 'a b c d e f g h i j k l m n o p q r s t u v w x y z',
			112: 'f1 f2 f3 f4 f5 f6 f7 f8 f9 f10 f11 f12 f13 f14 f15'
		}, function (key, tokens) {
			var start = parseInt(key, 10);
			$.each(tokens.split(' '), function (i, token) {
				map[start + i] = token;
			});
		});
		return map;
	}());

	function getTokenByKeyCode(keyCode) {
		return KEYCODE_TOKEN_MAP[keyCode];
	}

	return {
		getToken: getTokenByKeyCode,
		keyCodeTokenMap: $.extend({}, KEYCODE_TOKEN_MAP)
	};
});

/** @typedef {import('./overlayElement').DynamicModalConfiguration} DynamicModalConfiguration */
/** @typedef {import('./overlayElement').OverlayElementControl} OverlayElementControl */

define('ui/modal',[
    'ui/ui-plugin'
], function (
    UiPlugin
) {
    'use strict';

    // Implementation is in dynamicUi

    /**
     * Opens a modal with a dynamic form configuration.
     * @template {*} T
     * @param {DynamicFormModalConfiguration.<T>} config - The config for how to open the modal and what to do with it.
     * @returns {Promise.<OverlayElementControl.<T>>} - A Promise for a overlay element control.
     */
    function openDynamicModal(config) {
        return UiPlugin.getActiveSurface().openDynamicModal(config);
    }

    return {
        openDynamicModal: openDynamicModal,
    };
});
define('link/link-target',[
    'jquery',
    'ui/component',
    'i18n!ui/nls/i18n'
], function (
    $,
    Component,
    i18n
) {
    'use strict';

    var counter = 0;

    // Using a function, so that it's different objects, otherwise it'd use the same
    // object in multiple instance
    function createDefaultValue() {
        return {
            target: '',
            anchor: '',
        };
    }

    var LinkTarget = Component.extend({
        type: 'link-target',

        /**
         * @typedef {object} LinkTarget
         * @property {string} target - The URL to where the link should go to. May not include the `anchor` part.
         * @property {string} anchor - Separated `anchor` part of the URL.
         */
        /** @type {null|LinkTarget} */
        value: null,

        targetLabel: null,
        anchorLabel: null,

        _$targetInputElement: null,
        _$anchorInputElement: null,

        init: function () {
            this.element = $('<div>', {
                class: 'aloha-ui ui-widget aloha-link-target',
            });

            // Default the value property
            if (this.value == null) {
                this.value = createDefaultValue();
            }

            var _this = this;

            this._$targetInputElement = $('<input>', {
                type: 'url',
                class: 'input-element target-input',
                id: 'linkTarget_target_' + counter,
                attr: {
                    autocapitalize: 'off',
                    autocomplete: 'off',
                }
            })
                // Set the initial value
                .val(this.value.target)
                .on('focus', function () {
                    _this.touch();
                })
                .on('change', function (event) {
                    _this.handleTargetChange(event);
                })
                .on('paste', function (event) {
                    var clipboard = event.originalEvent.clipboardData;
                    var data;

                    // Clipboard API may not be available
                    if (!clipboard) {
                        data = event.target.value;
                    } else {
                        data = clipboard.getData('text');
                    }

                    _this.handlePasteData(event, data);
                });

            this._$anchorInputElement = $('<input>', {
                type: 'text',
                class: 'input-element anchor-input',
                id: 'linkTarget_anchor_' + counter,
                attr: {
                    autocapitalize: 'off',
                    autocomplete: 'off',
                }
            })
                .val(this.value.anchor)
                .on('focus', function () {
                    _this.touch();
                })
                .on('change', function (event) {
                    _this.handleAnchorChange(event);
                });

            $('<div>', { class: 'input-container' })
                .append(
                    $('<label>', {
                        class: 'input-label',
                        text: this.targetLabel || i18n.t('link-target.target.label'),
                        for: 'linkTarget_target_' + counter,
                    }),
                    this._$targetInputElement
                )
                .appendTo(this.element);

            $('<div>', { class: 'input-container' })
                .append(
                    $('<label>', {
                        class: 'input-label',
                        text: this.anchorLabel || i18n.t('link-target.anchor.label'),
                        for: 'linkTarget_anchor_' + counter,
                    }),
                    this._$anchorInputElement
                )
                .appendTo(this.element);

            counter++;
        },

        handleTargetChange: function (event) {
            this.value.target = event.target.value;
            this.triggerChangeNotification();
        },

        handleAnchorChange: function (event) {
            this.value.anchor = event.target.value;
            this.triggerChangeNotification();
        },

        handlePasteData: function (event, data) {
            try {
                var parsed = new URL(data);

                // Event has to be canceled, as we set the value manually
                // Otherwise the browser will fill in the value after we have
                // done so, making our changes irrelevant.
                event.preventDefault();
                event.stopPropagation();
                event.stopImmediatePropagation();

                // URL.hash has the # before, so we cut it away
                this.value.anchor = (parsed.hash || '').substring(1);
                parsed.hash = '';
                this.value.target = parsed.toString();

                this.applyValueToInputs();

                if (typeof _this.changeNotify === 'function') {
                    _this.changeNotify(_this.value);
                }
            } catch (err) {
                // Ignore if it can't be parsed
            }
        },

        applyValueToInputs: function () {
            this._$targetInputElement.val(this.value.target);
            this._$anchorInputElement.val(this.value.anchor);
        },

        setValue: function (value) {
            this.value = value || createDefaultValue();
            this.applyValueToInputs();
        },
        getValue: function () {
            return this.value;
        },

        enable: function () {
            this._super();
            $(this._$targetInputElement, this._$anchorInputElement)
                .removeAttr('disabled')
                .attr('aria-disabled', 'false');
        },
        disable: function () {
            this._super();
            $(this._$targetInputElement, this._$anchorInputElement)
                .attr('disabled', 'disabled')
                .attr('aria-disabled', 'false');
        }
    });

    return LinkTarget;
});

define('link/nls/i18n',{
	"root":  {
		"button.addlink.tooltip": "Insert Link",
		"button.editlink.tooltip": "Edit Link",
		"button.removelink.tooltip": "Remove Link",
		"newlink.defaulttext": "New Link",
		"floatingmenu.tab.link": "Link",
		"link.new_tab.label": "Open in new Tab",
		"link.title.legend": "Title",
		"href.lang.legend": "Language",
		"link.target.label": "Open in",
		"link.target._self": "Current Tab",
		"link.target._blank": "New Tab",
		"link.target._parent": "Parent Context (_parent)",
		"link.target._top": "Highest Context (_top)",
		"link.target._unfencedTop": "Unfenced Highest Context (_unfencedTop)",
		"link.hreflang.label": "Language",
		"insertLink": "ctrl+k"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/* link-plugin.js is part of the Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2014 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 * License http://aloha-editor.org/license.php
 */

/**
 * @typedef {import('../../ui/lib/select.js').SelectOption} SelectOption
 */


/* Aloha Link Plugin
 * -----------------
 * This plugin provides an interface to allow the user to insert, edit and
 * remove links within an active editable.
 * Clicking on any links inside the editable activates the this plugin's
 * floating menu scope.
 */
define('link/link-plugin',[
	'jquery',
	'PubSub',
	'aloha',
	'aloha/plugin',
	'aloha/ephemera',
	'aloha/content-rules',
	'util/dom',
	'util/keys',
	'ui/ui',
	'ui/scopes',
	'ui/toggleSplitButton',
	'ui/icons',
	'ui/dynamicForm',
	'ui/utils',
	'ui/modal',
	'link/link-target',
	'i18n!link/nls/i18n'
], function (
	$,
	PubSub,
	Aloha,
	Plugin,
	Ephemera,
	ContentRules,
	Dom,
	Keys,
	Ui,
	Scopes,
	ToggleSplitButton,
	Icons,
	DynamicForm,
	Utils,
	Modal,
	LinkTarget,
	i18n
) {
	'use strict';

	var configurations = {};
	var jQuery = $;
	var pluginNamespace = 'aloha-link';

	var CLASS_NEW_LINK = 'aloha-new-link';
	var CLASS_LINK = 'aloha-link-text';
	var CLASS_LINK_POINTER = 'aloha-link-pointer';

	/** @type {Array.<SelectOption>} */
	var TARGETS = [
		{
			id: '_self',
			label: i18n.t('link.target._self'),
		},
		{
			id: '_blank',
			label: i18n.t('link.target._blank'),
		},
		{
			id: '_parent',
			label: i18n.t('link.target._parent'),
		},
		{
			id: '_top',
			label: i18n.t('link.target._top'),
		},
		{
			id: '_unfencedTop',
			label: i18n.t('link.target._unfencedTop'),
		}
	];

	/**
	 * Properties for cleaning up markup immediately after inserting new link
	 * markup.
	 *
	 * Successive anchor elements are generally not merged, but an exception
	 * needs to be made in the process of creating links: adjacent fragments of
	 * new links are coalesced whenever possible.
	 *
	 * @type {object}
	 */
	var insertLinkPostCleanup = {
		merge: true,
		mergeable: function (node) {
			return (CLASS_NEW_LINK === node.className && node.nextSibling &&
				CLASS_NEW_LINK === node.nextSibling.className);
		}
	};

	Ephemera.classes(CLASS_LINK_POINTER, CLASS_LINK);

	function setupMousePointerFix() {
		jQuery(document).on('keydown.aloha-link.pointer-fix', function (e) {
			// metaKey for OSX, 17 for PC (we can't check
			// e.ctrlKey because it's only set on keyup or
			// keypress, not on keydown).
			if (e.metaKey || Keys.getToken(e.keyCode) === 'control') {
				jQuery('body').addClass(CLASS_LINK_POINTER);
			}
		})
			.on('keyup.aloha-link.pointer-fix', function (e) {
				if (e.metaKey || Keys.getToken(e.keyCode) === 'control') {
					jQuery('body').removeClass(CLASS_LINK_POINTER);
				}
			});
	}

	function teardownMousePointerFix() {
		jQuery(document).unbind('.aloha-link.pointer-fix');
	}

	function setupMetaClickLink(editable) {
		editable.obj.on('click.aloha-link.meta-click-link', 'a', function (e) {
			// Use metaKey for OSX and ctrlKey for PC
			if (e.metaKey || e.ctrlKey) {
				// blur current editable. user is waiting for the link to load
				Aloha.activeEditable.blur();
				// hack to guarantee a browser history entry
				window.setTimeout(function () {
					location.href = e.target;
				}, 0);
				e.stopPropagation();
				return false;
			}
		});
	}

	function teardownMetaClickLink(editable) {
		editable.obj.unbind('.aloha-link.meta-click-link');
	}

	function createLinkTargetFromConfig(
		config,
		name,
		applyChanges,
		validateFn,
		onChangeFn,
		onTouchFn
	) {
		var tmpOptions = config.options || {};
		var component = Ui.adopt(name, LinkTarget, {
			value: tmpOptions.value,
			targetLabel: tmpOptions.targetLabel,
			anchorLabel: tmpOptions.anchorLabel,

			changeNotify: function (value) {
				applyChanges(value);
				validateFn(value);
				onChangeFn(value);
			},
			touchNotify: function () {
				onTouchFn();
			},
		});
		return component;
	}

	var plugin = Plugin.create('link', {
		/**
		 * Default configuration allows links everywhere
		 */
		config: ['a'],

		/**
		 * the defined object types to be used for this instance
		 */
		objectTypeFilter: [],

		/**
		 * handle change on href change
		 * called function ( obj, href, item );
		 */
		onHrefChange: null,

		/**
		 * HotKeys used for special actions
		 */
		hotKey: {
			insertLink: i18n.t('insertLink', 'ctrl+k')
		},

		/**
		 * Default input value for a new link
		 */
		hrefValue: 'https://',

		/**
		 * Shows the flags when setting language ('hreflang' attribute).
		 */
		flags: true,

		/**
		 * Initializes the plugin.
		 */
		init: function () {
			Scopes.registerScope(plugin.name, [Scopes.SCOPE_GLOBAL]);

			DynamicForm.componentFactoryRegistry['link-target'] = createLinkTargetFromConfig;

			if (typeof plugin.settings.objectTypeFilter != 'undefined') {
				plugin.objectTypeFilter = plugin.settings.objectTypeFilter;
			}
			if (typeof plugin.settings.onHrefChange != 'undefined') {
				plugin.onHrefChange = plugin.settings.onHrefChange;
			}
			if (typeof plugin.settings.hotKey != 'undefined') {
				jQuery.extend(true, plugin.hotKey, plugin.settings.hotKey);
			}
			if (typeof plugin.settings.hrefValue != 'undefined') {
				plugin.hrefValue = plugin.settings.hrefValue;
			}

			plugin.createButtons();
			plugin.subscribeEvents();

			Aloha.bind('aloha-plugins-loaded', function () {
				PubSub.pub('aloha.link.ready', {
					plugin: plugin
				});
			});
		},

		nsSel: function () {
			return Array.from(arguments).map(function (arg) {
				return '.' + pluginNamespace + (arg == '' ? '' : '-' + arg);
			}).join(' ').trim();
		},

		//Creates string with this component's namepsace prefixed the each classname
		nsClass: function () {
			return Array.from(arguments).map(function (arg) {
				return pluginNamespace + (arg == '' ? '' : '-' + arg);
			}).join(' ').trim();
		},

		/**
		 * Subscribe for events
		 */
		subscribeEvents: function () {
			var editablesCreated = 0;

			PubSub.sub('aloha.editable.created', function (message) {
				var editable = message.editable;
				var config = plugin.getEditableConfig(editable.obj);
				var enabled = config
					&& (jQuery.inArray('a', config) > -1)
					&& ContentRules.isAllowed(editable.obj[0], 'a');

				configurations[editable.getId()] = !!enabled;

				if (!enabled) {
					return;
				}

				// enable hotkey for inserting links
				editable.obj.on('keydown.aloha-link', plugin.hotKey.insertLink, function () {
					let existingLink = plugin.findLinkMarkup();

					if (existingLink) {
						Modal.openDynamicModal(
							plugin.createInsertLinkContext(existingLink)
						).then(function (control) {
							return control.value;
						}).then(function (formValue) {
							plugin.upsertLink(existingLink, formData);
						}).catch(function (error) {
							if (!Utils.isUserCloseError(error)) {
								console.log(error);
							}
						})
					} else {
						plugin.insertLink(true);
					}
					return false;
				});

				Array.from(editable.obj.find('a')).forEach(function (foundLink) {
					plugin.addLinkEventHandlers(foundLink);
				});

				if (0 === editablesCreated++) {
					setupMousePointerFix();
				}
			});

			PubSub.sub('aloha.editable.destroyed', function (message) {
				message.editable.obj.unbind('.aloha-link');
				if (0 === --editablesCreated) {
					teardownMousePointerFix();
				}
			});

			var actuallyLeftEditable = false;

			PubSub.sub('aloha.editable.activated', function (message) {
				actuallyLeftEditable = false;
				if (configurations[message.editable.getId()]) {
					plugin._insertLinkButton.show();
				} else {
					plugin._insertLinkButton.hide();
				}
				setupMetaClickLink(message.editable);
			});

			function updateLinkButtonState(activeStateOrRange) {
				if (typeof activeStateOrRange !== 'boolean') {
					activeStateOrRange = !!plugin.findLinkMarkup(activeStateOrRange);
				}
				plugin._insertLinkButton.setActive(activeStateOrRange);
				plugin._insertLinkButton.setIcon(activeStateOrRange ? Icons.UNLINK : Icons.LINK);
				plugin.toggleLinkScope(activeStateOrRange);
			}

			PubSub.sub('aloha.selection.context-change', function (message) {
				if (!actuallyLeftEditable) {
					updateLinkButtonState(message.range);
				}
			});

			// Fixes problem: if one clicks from inside an aloha link outside
			// the editable and thereby deactivates the editable, the link scope
			// will remain active
			PubSub.sub('aloha.editable.deactivated', function (message) {
				if (message.newEditable == null) {
					updateLinkButtonState(false);
					actuallyLeftEditable = true;
				}
				teardownMetaClickLink(message.editable);
			});
		},

		/**
		 * lets you toggle the link scope to true or false
		 * @param show bool
		 */
		toggleLinkScope: function (show) {
			// Check before doing anything as a performance improvement.
			// The _isScopeActive_editableId check ensures plugin when
			// changing from a normal link in an editable to an editable
			// plugin is a link itself, the removeLinkButton will be
			// hidden.
			if (plugin._isScopeActive === show && Aloha.activeEditable && plugin._isScopeActive_editableId === Aloha.activeEditable.getId()) {
				return;
			}
			plugin._isScopeActive = show;
			plugin._isScopeActive_editableId = Aloha.activeEditable && Aloha.activeEditable.getId();
			if (!configurations[plugin._isScopeActive_editableId] || !show) {
				// The calls to enterScope and leaveScope by the link
				// plugin are not balanced.
				// When the selection is changed from one link to
				// another, the link scope is incremented more than
				// decremented, which necessitates the force=true
				// argument to leaveScope.
				Scopes.leaveScope(plugin.name);
			} else if (show) {
				Scopes.enterScope(plugin.name);
			}
		},

		/**
		 * Add event handlers to the given link object
		 * @param link object
		 */
		addLinkEventHandlers: function (link) {
			var $link = jQuery(link);

			// follow link on ctrl or meta + click
			$link.click(function (e) {
				if (e.metaKey) {
					// blur current editable. user is waiting for the link to load
					Aloha.activeEditable.blur();
					// hack to guarantee a browser history entry
					window.setTimeout(function () {
						location.href = e.target;
					}, 0);
					e.stopPropagation();

					return false;
				}
			});
		},

		/**
		 * Create component context for insert link button.
		 *
		 * @param existingLink The existing link if applicable.
		 */
		createInsertLinkContext: function (existingLink) {
			var href = plugin.hrefValue;
			var anchor = '';
			var target = null;
			var lang = '';
			var title = i18n.t('button.addlink.tooltip');

			if (existingLink) {
				title = i18n.t('button.editlink.tooltip');
				href = existingLink.getAttribute('href');
				target = existingLink.getAttribute('target');
				lang = existingLink.getAttribute('hreflang');

				let anchorIdx = href.indexOf('#')

				if (anchorIdx >= 0) {
					anchor = href.substring(anchorIdx + 1)
					href = href.substring(0, anchorIdx);
				}
			}

			return {
				title: title,
				initialValue: {
					url: {
						target: href,
						anchor: anchor,
					},
					target: target,
					lang: lang,
				},
				controls: {
					url: {
						type: 'link-target',
						validate: function (value) {
							return (value == null || !value.target) ? {
								required: true
							} : null;
						},
					},
					target: {
						type: 'select',
						options: {
							label: i18n.t('link.target.label'),
							options: TARGETS,
						},
					},
					lang: {
						type: 'input',
						options: {
							label: i18n.t('link.hreflang.label'),
						}
					}
				},
			};
		},

		/**
		 * Opens the create/edit link modal.
		 *
		 * @param existingLink The link markup at the current range if available.
		 */
		showLinkModal: function (existingLink) {
			return Modal.openDynamicModal(
				plugin.createInsertLinkContext(existingLink)
			).then(function (control) {
				return control.value;
			}).then(function (formData) {
				plugin.upsertLink(existingLink, formData);
			}).catch(function (error) {
				if (!Utils.isUserCloseError(error)) {
					console.error(error);
				}
			})
		},

		/**
		 * Initialize the buttons
		 */
		createButtons: function () {
			plugin._insertLinkButton = Ui.adopt("insertLink", ToggleSplitButton, {
				tooltip: i18n.t("button.addlink.tooltip"),
				icon: Icons.LINK,
				pure: true,
				contextType: 'modal',

				secondaryClick: function () {
					plugin.showLinkModal(plugin.findLinkMarkup());
				},
				onToggle: function (activated) {
					if (activated) {
						plugin.showLinkModal(plugin.findLinkMarkup());
					} else {
						plugin.removeLink();
					}
				},
			});
		},

		/**
		 * Check whether inside a link tag
		 * @param {RangeObject} range range where to insert the
		 *			object (at start or end)
		 * @return markup
		 * @hide
		 */
		findLinkMarkup: function (range) {
			if (typeof range == 'undefined') {
				range = Aloha.Selection.getRangeObject();
			}
			if (!Aloha.activeEditable) {
				return null;
			}
			// If the anchor element itself is the editable, we
			// still want to show the link tab.
			var limit = Aloha.activeEditable.obj;
			if (limit[0] && limit[0].nodeName === 'A') {
				limit = limit.parent();
			}
			return range.findMarkup(function (node) {
				return node != null && node.nodeName == 'A';
			}, limit);
		},

		/**
		 * Find all link markup in the specified range
		 * @param {RangeObject} range range to search link markup in
		 * @return {Array} markup An array containing all found link markup
		 * @hide
		 */
		findAllLinkMarkup: function (range) {
			if (typeof range == 'undefined') {
				range = Aloha.Selection.getRangeObject();
			}

			var markup = range.findAllMarkupByTagName('a', range);

			if (markup.length > 0) {
				return markup;
			}

			markup = plugin.findLinkMarkup(range);

			return markup ? [markup] : [];
		},

		/**
		 * Format the current selection or if collapsed the current word as
		 * link. If inside a link tag the link is removed.
		 */
		upsertLink: function (linkElement, linkData, skipEvent) {
			if (!linkElement) {
				if (Aloha.activeEditable) {
					return plugin.insertLink(true, linkData);
				}
				return null;
			}

			var href;
			
			if (URL.canParse(linkData.url.target, window.location)) {
				href = linkData.url.target;
			} else {
				href = '';
			}

			if (linkData.url.anchor) {
				href += "#" + linkData.url.anchor;
			}

			linkElement.setAttribute('href', href);

			if (linkData.target) {
				linkElement.setAttribute('target', linkData.target);
			} else {
				linkElement.removeAttribute('target');
			}

			if (linkData.lang) {
				linkElement.setAttribute('hreflang', linkData.lang);
			} else {
				linkElement.removeAttribute('hreflang');
			}

			if (!skipEvent) {
				plugin.hrefChange();
			}

			return linkElement;
		},

		/**
		 * Insert a new link at the current selection. When the selection is
		 * collapsed, the link will have a default link text, otherwise the
		 * selected text will be the link text.
		 */
		insertLink: function (extendToWord, linkData) {
			var range = Aloha.Selection.getRangeObject(),
				linkText,
				newLink;

			// There are occasions where we do not get a valid range, in such
			// cases we should not try and add a link
			if (!(range.startContainer && range.endContainer)) {
				return null;
			}

			// do not nest a link inside a link
			if (plugin.findLinkMarkup(range)) {
				return null;
			}

			// if selection is collapsed then extend to the word.
			if (range.isCollapsed() && extendToWord !== false) {
				Dom.extendToWord(range);
			}

			var href;
			
			if (URL.canParse(linkData.url.target, window.location)) {
				href = linkData.url.target;
			} else {
				href = '';
			}

			if (linkData.url.anchor) {
				href += '#' + linkData.url.anchor
			}

			if (range.isCollapsed()) {
				// insert a link with text here
				linkText = i18n.t('newlink.defaulttext');
				newLink = jQuery('<a>', {
					href: href,
					target: linkData.target || '',
					hreflang: linkData.lang || '',
					class: CLASS_NEW_LINK,
					text: linkText,
				});
				Dom.insertIntoDOM(newLink, range, jQuery(Aloha.activeEditable.obj));
				range.startContainer = range.endContainer = newLink.contents().get(0);
				range.startOffset = 0;
				range.endOffset = linkText.length;
			} else {
				newLink = jQuery('<a>', {
					href: href,
					target: linkData.target || '',
					hreflang: linkData.lang || '',
					class: CLASS_NEW_LINK,
				});
				Dom.addMarkup(range, newLink, false);
				Dom.doCleanup(insertLinkPostCleanup, range);
			}

			var linkElements = $(Array.from(Aloha.activeEditable.obj.find('a.' + CLASS_NEW_LINK)).map(function (newLinkElem) {
				plugin.addLinkEventHandlers(newLinkElem);
				jQuery(newLinkElem).removeClass(CLASS_NEW_LINK);
				return newLinkElem;
			}));

			range.select();

			// because the Aloha Selection is deprecated I need to convert it to a ragne
			var apiRange = Aloha.createRange();
			apiRange.setStart(range.startContainer, range.startOffset);
			apiRange.setEnd(range.endContainer, range.endOffset);

			Aloha.trigger('aloha-link-insert', { range: apiRange, elements: linkElements });
			PubSub.pub('aloha.link.insert', { range: apiRange, elements: linkElements });
			plugin.hrefChange();

			return linkElements[0];
		},

		/**
		 * Remove an a tag and clear
		 */
		removeLink: function (terminateLinkScope, linkToRemove) {
			var range = Aloha.Selection.getRangeObject();
			var foundMarkup = plugin.findAllLinkMarkup();

			if (linkToRemove != null) {
				foundMarkup.push(linkToRemove);
			}

			foundMarkup.forEach(function (link) {
				var linkText = jQuery(link).text();
				// remove the link
				Dom.removeFromDOM(link, range, true);

				range.startContainer = range.endContainer;
				range.startOffset = range.endOffset;

				// select the (possibly modified) range
				range.select();

				if (typeof terminateLinkScope == 'undefined' ||
					terminateLinkScope === true) {
					Scopes.leaveScope(plugin.scope);
				}

				// trigger an event for removing the link
				var apiRange = Aloha.createRange();
				apiRange.setStart(range.startContainer, range.startOffset);
				apiRange.setEnd(range.endContainer, range.endOffset);

				PubSub.pub('aloha.link.remove', {
					range: apiRange,
					text: linkText
				});
			});
		},

		/**
		 * Updates the link object depending on the src field
		 */
		hrefChange: function (link) {
			if (!link) {
				link = plugin.findLinkMarkup();
			}
			if (!link) {
				return;
			}

			let href = link.getAttribute('href');
			let linkObj = $(link);
			let signalPayload = {
				href: href,
				obj: linkObj,
				item: null
			};
			let pubPayload = {
				href: href,
				element: linkObj,
			};

			Aloha.trigger('aloha-link-href-change', signalPayload);
			PubSub.pub('aloha.link.changed', pubPayload);

			if (typeof plugin.onHrefChange == 'function') {
				plugin.onHrefChange.call(plugin, linkObj, href);
			}

			// Mark the editable as changed
			var editable = Aloha.getEditableHost($(link));
			if (editable) {
				editable.smartContentChange({ type: 'block-change' });
			}
		}
	});

	return plugin;
});

/** @typedef {import('./overlayElement').DynamicDropdownConfiguration} DynamicDropdownConfiguration */
/** @typedef {import('./overlayElement').OverlayElementControl} OverlayElementControl */

define('ui/dropdown',[
    'ui/ui-plugin',
], function (
    UiPlugin
) {
    'use strict';

    // Implementation is in dynamicUi

    /**
     * Opens a modal with a dynamic form configuration.
     * @template {*} T
     * @param {string} componentName - The name of the component to where the dropdown should be opened to.
     * @param {DynamicDropdownConfiguration.<T>} config - The config for how to open the dropdown and what to display.
     * @returns {Promise.<OverlayElementControl.<T>>} - A Promise for a overlay element control.
     */
    function openDynamicDropdown(componentName, config) {
        return UiPlugin.getActiveSurface().openDynamicDropdown(componentName, config);
    }

    return {
        openDynamicDropdown: openDynamicDropdown,
    };
});
/** @typedef {import('./overlayElement').DynamicDropdownConfiguration} DynamicDropdownConfiguration */
/** @typedef {import('./overlayElement').DynamicModalConfiguration} DynamicModalConfiguration */
/** @typedef {import('./overlayElement').OverlayElementControl} OverlayElementControl */

define('ui/contextButton',[
    'jquery',
    'ui/button',
    'ui/dropdown',
    'ui/modal',
    'ui/overlayElement',
    'ui/utils'
], function (
    $,
    Button,
    Dropdown,
    Modal,
    OverlayElement,
    Utils
) {
    'use strict';

    var ContextButton = Button.extend({
        type: 'context-button',

        /**
         * @type {DynamicDropdownConfiguration|DynamicModalConfiguration|function.<DynamicDropdownConfiguration|DynamicModalConfiguration>)}
         * A static context/config for the dropdown/modal, or a function which returns the context/config dynamically when needed.
         */
        context: null,

        /**
         * @type {string} The type of the context and what the context options should be used for.
         *      Allowed values: 'dropdown', 'modal'
         */
        contextType: 'dropdown',

        /**
         * Value of this button, which gets updated on each context resolve.
         * @type {*}
         */
        value: null,

        /**
         * The control for the latest opened context overlay element.
         * @type {OverlayElementControl}
         */
        contextControl: null,

        init: function() {
            this._super();

            this._$buttonElement.addClass('context-button');
            this._$buttonElement.append($('<i>', {
                class: 'aloha-button-icon aloha-button-secondary-icon material-symbols-outlined',
                text: 'arrow_drop_down',
            }));
        },

        _onClick: function () {
            this.touch();
            this.click();
            this._handleContextClick();
        },

        _handleContextClick: function() {
            var _this = this;
            var controlPromise;

            var contextData;
            if (typeof this.context === 'function') {
                contextData = this.context();
            } else {
                contextData = this.context;
            }

            // Ignore if no data has been provided
            if (contextData == null) {
                return;
            }

            if (this.contextType === 'dropdown') {
                controlPromise = Dropdown.openDynamicDropdown(this.name, contextData);
            } else if (this.contextType === 'modal') {
                controlPromise = Modal.openDynamicModal(contextData);
            } else {
                throw new Error('Unsupported contextType "' + this.contextType + '" set!');
            }

            controlPromise
                .then(function (control) {
                    _this.contextControl = control;
                    return control.value;
                })
                .then(function (contextValue) {
                    this.value = contextValue;
                    if (typeof _this.changeNotify === 'function') {
                        _this.changeNotify(contextValue);
                    }
                    _this.contextResolve(contextValue);
                    _this.contextControl = null;
                })
                .catch(function (error) {
                    _this.contextReject(error);
                    _this.contextControl = null;

                    // This is a "notification" error which can be safely dismissed.
                    if (Utils.isUserCloseError(error)) {
                        return;
                    }

                    console.error('Error while opening dynamic overlay for context button', _this, error);
                });
        },

        isOpen: function() {
            return this.contextControl != null && this.contextControl.isOpen();
        },
        closeContext: function() {
            if (this.contextControl == null) {
                return;
            }
            this.contextControl.close();
            this.contextControl = null;
        },

        setValue: function (value) {
            this.value = value;
        },
        getValue: function () {
            return this.value;
        },

        // Override me for notifications
        contextResolve: function(value) {},
        contextReject: function(err) {},
    });

    return ContextButton;
});
define('ui/attributeButton',[
    'jquery',
    'aloha',
    'ui/button',
], function (
    $,
    Aloha,
    Button
) {
    'use strict';

    var counter = 0;

    var AttributeButton = Button.extend({
        type: 'attribute-button',

        targetElement: null,
        targetAttribute: '',
        inputLabel: '',
        panelLabel: '',

        inputActive: false,

        // Internals

        panelRef: null,
        panelInputElement: null,

        init: function () {
            this._super();

            var wrapper = $('<div>', {
                class: 'aloha-attribute-button',
            }).append(this.element);
            this.element = wrapper;

            // Make sure it's a jquery element
            if (this.targetElement != null) {
                this.targetElement = $(this.targetElement);
            }

            // Don't need to init the sidebar if it has been disabled
            if (Aloha.Sidebar != null && !Aloha.Sidebar.disabled) {
                this._initSidebar();
            }
        },

        _initSidebar: function () {
            var panelId = 'attribute_toggle_button_panel_' + counter;
            var inputId = 'attribute_toggle_button_input_' + counter;
            counter++;

            var initialValue = this.getValue();
            var _this = this;

            this.panelInputElement = $('<input>', {
                type: 'text',
                class: 'input-element',
                value: initialValue || '',
                id: inputId,
                activeOn: function() {
                    return _this.inputActive;
                },
                attr: {
                    autocapitalize: 'off',
                    autocomplete: 'off',
                }
            })
                .on('change', function (event) {
                    _this._handleInputChange(event);
                })
                .on('focus', function () {
                    _this.touch();
                });

            var panelContent = $('<div>', { class: 'input-container' })
                .append(
                    $('<label>', {
                        class: 'input-label',
                        text: this.inputLabel,
                        for: inputId,
                    }),
                    this.panelInputElement
                );

            this.panelRef = Aloha.Sidebar.right.addPanel({
                id: panelId,
                title: this.panelLabel,
                content: panelContent,
                expanded: true,
                activeOn: this.panelActiveOn,

                onInit: function () {
                    // Should be deactivated on default
                    if (!_this.inputActive) {
                        this.deactivate();
                    }
                },
                onActivate: function () { },
            });

            // Always make the sidebar visible
            Aloha.Sidebar.right.show();
        },

        _handleInputChange: function (event) {
            this.touch();
            this.setValue(event.target.value);
            this.onChange(event.target.value);
            this.triggerChangeNotification();
        },

        onChange: function(value) {},

        setTargetElement: function (element) {
            if (element == null || element.length === 0) {
                this.targetElement = null;
            } else {
                this.targetElement = element;
            }

            if (this.panelInputElement) {
                this.panelInputElement.val(this.getValue() || '');
            }
        },
        activateInput: function(openSidebar) {
            this.inputActive = true;
            if (this.panelRef) {
                if (openSidebar && Aloha.Sidebar && !Aloha.Sidebar.disabled) {
                    Aloha.Sidebar.right.open();
                }
                this.panelRef.activate();
            }
        },
        deactivateInput: function() {
            this.inputActive = false;
            if (this.panelRef) {
                this.panelRef.deactivate();
            }
        },

        setValue: function (value) {
            if (this.targetElement == null) {
                return;
            }
            this.targetElement.attr(this.targetAttribute, value);
        },
        getValue: function () {
            if (this.targetElement == null) {
                return null;
            }
            return this.targetElement.attr(this.targetAttribute);
        },

        enable: function () {
            this._super();
            if (this.panelInputElement) {
                this.panelInputElement.removeAttr('disabled');
            }
        },
        disable: function () {
            this._super();
            if (this.panelInputElement) {
                this.panelInputElement.attr('disabled', 'disabled');
            }
        },
    });

    return AttributeButton;
});

define('ui/dialog',[
	'ui/ui-plugin',
], function (
	UiPlugin
) {
	'use strict';

	// Implementation is in dynamicUi

	return {
		confirm: function(config) {
			return UiPlugin.getActiveSurface().openConfirmDialog(config);
		},
		alert: function(config) {
			return UiPlugin.getActiveSurface().openAlertDialog(config)
		},
	};
});

define('table/nls/i18n',{
	"root":  {
		"floatingmenu.tab.table": "Table",
		"floatingmenu.tab.tablelayout": "Table Layout",
		"deleterows.confirm": "Do you really want to delete the selected rows?",
		"deletecolumns.confirm": "Do you really want to delete the selected columns?",
		"deletetable.confirm": "Do you really want to delete the table?",
		"Table": "Table",
		"button.createtable.tooltip": "Insert Table",
		"button.addcolleft.tooltip": "Add Column left",
		"button.addcolright.tooltip": "Add Column right",
		"button.addrowbefore.tooltip": "Add Row before",
		"button.addrowafter.tooltip": "Add Row after",
		"button.delselecltion.tooltip": "Delete selection",
		"button.caption.tooltip": "Table caption",
		"button.naturalfit.tooltip": "Reset table sizing",
		"empty.caption": "Table caption",
		"button.removeFormat.tooltip": "Remove formatting",
		"button.removeFormat.text": "Remove formatting",
		"button.selectionheader.tooltip": "Format selection as table header",
		"button.mergecells.tooltip": "Merge Cells",
		"button.splitcells.tooltip": "Split Cells",
		"button.summary.tooltip": "Summary",
		"table.label.target": "Summary",
		"table.sidebar.title": "Table",
		"table.mergeCells.notRectangular": "Only a rectangular selection can be merged",
		"table.addColumns.nonConsecutive": "Please select a single column or a consecutive range of columns",
		"table.createTable.nestedTablesNoSupported": "Sorry, nested tables are not supported",
		"button.deltable.tooltip": "Delete table"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


define('table/table-plugin-utils',[
	'jquery',
	'aloha/copypaste',
	'util/browser',
	'aloha/console'
], function (
	$,
	CopyPaste,
	Browser,
	Console
) {
	'use strict';

	function getAnchorCell(cells) {
		if (0 === cells.length) {
			return null;
		}

		var i;
		var editable;
		var range = CopyPaste.getRange();

		if (range) {
			editable = $(
				range.commonAncestorContainer
			).closest('.aloha-table-cell-editable')[0];
		}

		if (editable) {
			for (i = 0; i < cells.length; i++) {
				if ($(cells[i]).find(editable).length) {
					return cells[i];
				}
			}
		}

		return cells[0];
	}

	var Utils = {
		/**
		 * Creates markup for the jQuery constructor to create a copy of
		 * the specified cell.
		 *
		 * The cell type (td or th) as well as the classes are copied.
		 *
		 * @param cell The original table cell to copy
		 * @return A string containing markup for the copied from the specified cell
		 */
		'copyCellMarkup': function (cell) {
			if (!cell) {
				return '<td></td>';
			}

			var nodeName = cell.nodeName.toLowerCase();
			var classes = cell.classList;

			if (classes) {
				classes.remove('aloha-cell-selected');
				return '<' + nodeName + ' class="' + classes + '"></' + nodeName + '>';
			}

			return '<' + nodeName + '></' + nodeName + '>';
		},

		/**
		 * Translates the DOM-Element column offset of a table-cell to the
		 * column offset of a grid-cell, which is the column index adjusted
		 * by other cells' rowspan and colspan values.
		 *
		 * @param rows the rows of a table as an array or jQuery object
		 * @param rowIdx the index in rows of the cell to get the grid column index of
		 * @param colIdx the index in rows[row].cells of the cell to get the grid column index of
		 * @return the grid column index of the cell at the given rowIdx and colIdx, or null
		 *   if the given rowIdx and colIdx coordinates point to a cell outside of the table.
		 */
		'cellIndexToGridColumn': function (rows, rowIdx, colIdx) {
			var gridColumn = null;
			Utils.walkCells(rows, function (ri, ci, walkedGridColumn, rowspan, colspan) {
				if (ri === rowIdx && ci === colIdx) {
					gridColumn = walkedGridColumn;
					return false;
				}
			});
			return gridColumn;
		},
		/**
		 * Walks the table-cells of the table represented by the given rows,
		 * invoking the given callback for each.
		 * @param callback will receive the following arguments
		 *   o ri the row index of the table-cell
		 *   o ci the column index of the table-cell as the offset of the DOM-Element
		 *   o gridCi the column index of the table-cell in a virtual grid that overlays the table (see makeGrid())
		 *   o colspan the colspan attribute of the table-cell (as a number)
		 *   o rowspan the rowspan attribute of the table-cell (as a number)
		 *   returning false from the callback will terminate the walk early.
		 * @return void
		 */
		'walkCells': function (rows, callback) {
			var adjust = [];
			for (var ri = 0; ri < rows.length; ri++) {
				var cells = rows[ri].cells;
				var skip = 0;
				for (var ci = 0; ci < cells.length; ci++) {
					var cell = cells[ci];
					var colspan = Utils.colspan(cell);
					var rowspan = Utils.rowspan(cell);

					while (adjust[ci + skip]) {
						adjust[ci + skip] -= 1;
						skip += 1;
					}

					if (false === callback(ri, ci, ci + skip, colspan, rowspan)) {
						return;
					}

					for (var i = 0; i < colspan; i++) {
						if (adjust[ci + skip + i]) {
							throw "an impossible case has occurred";
						}
						adjust[ci + skip + i] = rowspan - 1;
					}
					skip += colspan - 1;
				}
				for (; ci + skip < adjust.length; skip++) {
					if (adjust[ci + skip]) {
						adjust[ci + skip] -= 1;
					}
				}
			}
		},
		/**
		 * Makes a grid out of the table represented by the given rows.  A
		 * grid will contain one or multiple grid-cells for each table-cell.
		 * A table-cell that has a colspan or rowspan greater than one will
		 * be represented by multiple cells (colspan*rowspan) in the
		 * grid.
		 * @parm rows either an array or an jQuery object holding the DOM
		 *   rows of the table.
		 * @return the table translated to a grid of the form
		 *   [ [cell11, cell12, cell13, ...],
		 *     [cell21, cell22, cell23, ...],
		 *     ... ]
		 *  where each grid-cell is an object containing the following members:
		 *  cell: the DOM object in the table that is rendered into the grid-cell
		 *  colspan: the colspan attribute of the DOM object (as a number)
		 *  rowspan: the rowspan attribute of the DOM object (as a number)
		 *  spannedX: the row offset of the grid-cell in the table-cell (0 based)
		 *  spannedY: the column offset of the grid-cll in the table-cell (0 based)
		 */
		'makeGrid': function (rows) {
			var grid = [];
			Utils.walkCells(rows, function (ri, ci, gridCi, colspan, rowspan) {
				var cell = rows[ri].cells[ci];
				for (var spannedY = 0; spannedY < rowspan; spannedY++) {
					grid[ri + spannedY] = grid[ri + spannedY] || [];
					for (var spannedX = 0; spannedX < colspan; spannedX++) {
						grid[ri + spannedY][gridCi + spannedX] = {
							'cell': cell,
							'colspan': colspan,
							'rowspan': rowspan,
							'spannedX': spannedX,
							'spannedY': spannedY
						};
					}
				}
			});
			return grid;
		},
		/**
		 * A grid-cell is said to contain a dom-cell if it is located in the
		 * upper-left corner of a table-cell. A table-cell may have a
		 * rowspan and colspan, and as such may be comprised of several
		 * grid-cells, of which only one (the upper-left corner one)
		 * contains a dom-cell.
		 * @param cellInfo a cell in the grid returned by makeGrid()
		 * @return whether the given grid-cell maps to a dom-cell
		 */
		'containsDomCell': function (cellInfo) {
			return 0 === cellInfo.spannedX && 0 === cellInfo.spannedY;
		},
		/**
		 * A grid-cell may not contain a dom-cell (due to rowspan and
		 * colspan). If this function is given the coordinates of such a
		 * grid-cell, it will look to the left of the grid-cell, until it
		 * finds a grid-cell that contains a dom-cell and returns the
		 * DOM-Element of it.
		 *
		 * This function is useful to insert something into the DOM next to
		 * or in place of the grid-cell.
		 *
		 * @param grid the grid of the table (see makeGrid())
		 * @param ri the row index into the grid
		 * @param ci the column index into the grid
		 * @return the DOM-Element either at or to the left of the grid-cell
		 *   a the given coordinates.
		 */
		'leftDomCell': function (grid, ri, gridCi) {
			do {
				var cellInfo = grid[ri][gridCi];
				if (0 === cellInfo.spannedY) {
					return cellInfo.cell;
				}
				gridCi -= cellInfo.spannedX + 1;
			} while (gridCi >= 0);
			return null;
		},
		/**
		 * Given a cell of a table (td/th) with a colspan or rowspan
		 * greater than one, will set the rowspan and colspan of the
		 * cell to one and insert empty cells where the original cell
		 * spanned (the number of cells allocated with createCell will
		 * be rowspan * colspan - 1).
		 *
		 * @param cell
		 *        the cell to split
		 * @param createCell
			 *        a callback that will be invoked rowspan * colspan - 1
		 *        times, and which must return a table cell (td/th) that
		 *        will be inserted into the table
		 */
		'splitCell': function (cell, createCell) {
			var $cell = $(cell);
			var colspan = Utils.colspan(cell);
			var rowspan = Utils.rowspan(cell);

			//catch the most common case early
			if (1 === colspan && 1 === rowspan) {
				return;
			}

			var $row = $cell.parent();
			var $rows = $row.parent().children();
			var rowIdx = $row.index();
			var colIdx = $cell.index();
			var grid = Utils.makeGrid($rows);
			var gridColumn = Utils.cellIndexToGridColumn($rows, rowIdx, colIdx);
			for (var i = 0; i < rowspan; i++) {
				for (var j = (0 === i ? 1 : 0); j < colspan; j++) {
					var leftCell = Utils.leftDomCell(grid, rowIdx + i, gridColumn);
					if (null == leftCell) {
						$rows.eq(rowIdx + i).prepend(createCell());
					} else {
						$(leftCell).after(createCell());
					}
				}
			}
			// Note that attribute case (colSpan instead of colspan) matters on IE7.
			$cell.removeAttr('colSpan');
			$cell.removeAttr('rowSpan');
		},
		/**
		 * @param cell
		 *        the DOM node for a table cell (td/th)
		 * @return
		 *        a numeric value indicating the number of rows the cell spans
		 */
		'rowspan': function (cell) {
			return parseInt($(cell).attr('rowspan'), 10) || 1;
		},
		/**
		 * @param cell
		 *        the DOM node for a table cell (td/th)
		 * @return
		 *        a numeric value indicating the number of columns the cell spans
		 */
		'colspan': function (cell) {
			return parseInt($(cell).attr('colspan'), 10) || 1;
		},
		/**
		 * Calls the given callback with each object in the given
		 * two-dimensional array.
		 *
		 * @param grid
		 *        A two-dimensional array.
		 * @param callback
		 *        Invoked with each item in the given two-dimensional array.
		 *        Accepts the following parameters:
		 *        o item an item in the given two-dimensional array
		 *        o x the offset in the nested array (horizontal axis)
		 *        o y the offset in the outer array (veritcal axis)
		 *        If the callback returns a value identical to false,
		 *        the walk will be aborted early.
		 */
		'walkGrid': function (grid, callback) {
			var row;
			for (var i = 0, gridLength = grid.length; i < gridLength; i++) {
				row = grid[i];
				for (var j = 0, rowLength = row.length; j < rowLength; j++) {
					if (false === callback(row[j], j, i)) {
						return;
					}
				}
			}
		},
		/**
		 * Walks the cells of the given grid inside the given
		 * coordinates.
		 *
		 * @param {array} grid
		 *        A two-dimensional array.
		 * @param {object} rect
		 *        Must have the properties top, left, bottom, right
		 *        each of which referring to a coordinate in the given grid.
		 * @param {function} callback
		 *        A callback to invoke for each item in the given
		 *        two-dimensional array. See walkGrid() for the
		 *        specification of this parameter.
		 */
		'walkGridInsideRect': function (grid, rect, callback) {
			Utils.walkGrid(grid, function (cellInfo, x, y) {
				if (y >= rect.top && y < rect.bottom && x >= rect.left && x < rect.right) {
					return callback(cellInfo, x, y);
				}
			});
		},
		/**
		 * Slices leading null or undefined items off of an array
		 *
		 * @param array
		 *        the array to slice null or undefined items off from
		 * @return
		 *        a new array with the remaining items
		 */
		'leftTrimArray': function (array) {
			for (var i = 0; i < array.length; i++) {
				if (null != array[i]) {
					return array.slice(i, array.length);
				}
			}
			return [];
		},
		/**
		 * Given a two-dimensional array, will determine the smallest
		 * possible contour that contains all items for which
		 * hasCountour returns true.
		 *
		 * @param grid
		 *        A two-dimensional array
		 * @param hasContour
		 *        Invoked with each item in the given two dimensional array.
		 *        Accepts the following parameters:
		 *        o item an item in the given two-dimensional array
		 *        o x the offset in the nested array (horizontal axis)
		 *        o y the offset in the outer array (veritcal axis)
		 *        Returns a boolean value indicating whether the item is
		 *        considered to have a contour.
		 * @return
		 *        A set of arrays that indicate a contour
		 *        top:    an array of the smallest vertical offsets
		 *        right:  an array of the greatest horizontal offsets
		 *        bottom: an array of the greatest vertical offsets
		 *        left:   an array of the smallest horizontal offsets
		 */
		'makeContour': function (grid, hasContour) {
			var left = [];
			var right = [];
			var top = [];
			var bottom = [];
			Utils.walkGrid(grid, function (item, x, y) {
				if (hasContour(item, x, y)) {
					if (null == left[y] || x < left[y]) {
						left[y] = x;
					}
					if (null == right[y] || x > right[y]) {
						right[y] = x;
					}
					if (null == top[x] || y < top[x]) {
						top[x] = y;
					}
					if (null == bottom[x] || y > bottom[x]) {
						bottom[x] = y;
					}
				}
			});
			left = Utils.leftTrimArray(left);
			right = Utils.leftTrimArray(right);
			top = Utils.leftTrimArray(top);
			bottom = Utils.leftTrimArray(bottom);
			return { 'left': left, 'right': right, 'top': top, 'bottom': bottom };
		},
		/**
		 * Returns the index of the first item that doesn't match the given value
		 *
		 * @param array
		 *        An array that contains arbitrary items
		 * @param but
		 *        A value to ignore while searching in the given array
		 * @return
		 *        The offset of the first item in the given array that doesn't match the given value.
		 *        If no such item was found, -1 is returned.
		 */
		'indexOfAnyBut': function (array, but) {
			for (var i = 0; i < array.length; i++) {
				if (but !== array[i]) {
					return i;
				}
			}
			return -1;
		},
		/**
		 * @param array
		 *        an array of integers
		 * @return
		 *        true if each item in the given array has a
		 *        difference to its neighbor of exactly 1
		 */
		'isConsecutive': function (array) {
			for (var i = 1; i < array.length; i++) {
				if (1 !== Math.abs(array[i] - array[i - 1])) {
					return false;
				}
			}
			return true;
		},

		/**
		 * resizes the width of the given cell
		 *
		 * @param {DOM element} cell
		 *        the DOM node for a table cell (td/th)
		 * @param {number | string} width
		 *        an integer value indicating the desired width
		 */

		'resizeCellWidth': function (cell, width) {
			$(cell).css('width', width);
			$(cell).find('.aloha-table-cell-editable').eq(0).css({
				'width': width,
				'word-wrap': 'break-word'
			});
		},

		'convertCellWidthToPercent': function (rows) {
			var changes = [];
			//we have to make two runs to not change the withs the calculations are based on
			Utils.walkCells(rows, function (ri, ci, gridCi, colspan, rowspan) {
				var currentRow = $(rows[ri]),
					selectorWidth = currentRow.find('.aloha-table-selectrow').outerWidth(),
					rowWidth = currentRow.width() - selectorWidth,
					currentCell = $(currentRow.children()[ci]),
					cellWidth = currentCell.outerWidth();

				// skip the select & cells with colspans
				if (currentCell.hasClass('aloha-table-selectrow') || currentRow.hasClass('aloha-table-selectcolumn') || colspan > 1) {
					return true;
				}
				changes.push({ cell: currentCell, width: Math.round((cellWidth / rowWidth) * 100) + '%' });
			});
			//make the actual css changes to the dom elements
			$.each(changes, function (index, change) {
				change.cell.css('width', change.width);
			});
		},

		/**
		 * Get the minimum column width based on the word size
		 *
		 * @param cell
		 *        the DOM node for a table cell (td/th)
		 *
		 * @return
		 * 				the minimum width as an integer value
		 */
		'getMinColWidth': function (cell) {
			var rows = cell.closest('tbody').children('tr');
			var cellRow = cell.closest('tr');
			var gridId = Utils.cellIndexToGridColumn(
				rows,
				rows.index(cellRow),
				cellRow.children().index(cell)
			);

			var largestWord = "";

			Utils.walkCells(rows, function (ri, ci, gridCi, colspan, rowspan) {
				if (gridCi !== gridId) {
					return;
				}
				var curCell = $($(rows[ri]).children()[ci]);

				// skip the cells with a colspan
				if (colspan > 1) {
					return;
				}

				var cellWords = curCell.text().split(" ");

				// pick the largest word in the cell
				for (var j = 0; j < cellWords.length; j++) {
					if (cellWords[j].length > largestWord.length) {
						largestWord = cellWords[j];
					}
				}
			});

			var fakeCell = $("<span></span>");
			fakeCell.css('text-indent', -9999);
			fakeCell.css('display', 'inline');
			fakeCell.text(largestWord);

			$(cell).append(fakeCell);

			var width = fakeCell.width();

			$(fakeCell).remove();

			return width;
		},

		/**
		 * Get the maximum and minimum width a cell can be resized.
		 *
		 * @param gridId
		 * 			id of the cell based on the virtual grid
		 * @param rows
		 * 			Collection of rows as DOM objects
		 * @param callback
		 * 			a callback function
		 *
		 * @return void
		 */
		'getCellResizeBoundaries': function (gridId, rows, callback) {
			var maxPageX, minPageX;

			Utils.walkCells(rows, function (ri, ci, gridCi, colspan, rowspan) {
				var currentCell = $($(rows[ri]).children()[ci]);

				// skip the select cells
				if (currentCell.hasClass('aloha-table-selectrow') || currentCell.closest('tr').hasClass('aloha-table-selectcolumn')) {
					return true;
				};

				if (gridCi === gridId && colspan === 1) {
					maxPageX = currentCell.offset().left + Utils.getCellBorder(currentCell) + currentCell.width() - Utils.getMinColWidth(currentCell);
				}

				if (gridCi === gridId - 1 && colspan === 1) {
					minPageX = currentCell.offset().left + Utils.getCellBorder(currentCell) + Utils.getCellPadding(currentCell) + Utils.getMinColWidth(currentCell);
				}

				// if both max page x and min page x is set,
				// stop walking over the cells.
				if (maxPageX && minPageX) {
					callback(maxPageX, minPageX);
					return false;
				}
			});
		},

		/**
		 * Get the border width of the cell
		 *
		 * @param cell
		 *        the DOM node for a table cell (td/th)
		 *
		 * @return
		 * 				the border width as an integer value
		 */
		'getCellBorder': function(cell) {
			return ( (cell.outerWidth() - cell.innerWidth()) / 2 );
		},

		/**
		 * Get the padding of the cell
		 *
		 * @param cell
		 *        the DOM node for a table cell (td/th)
		 *
		 * @return
		 * 				the padding as an integer value
		 */
		'getCellPadding': function (cell) {
			return (cell.innerWidth() - cell.width());
		},

		selectAnchorContents: function (selection) {
			var anchor = getAnchorCell(selection);
			if (anchor) {
				var element = $('>.aloha-table-cell-editable', anchor)[0];
				if (Browser.ie && anchor.ownerDocument.documentMode <= 8) {
					try {
						CopyPaste.selectAllOf(element);
					} catch (e) {
						Console.warn('Table Plugin', e.message);
					}
				} else {
					CopyPaste.selectAllOf(element);
				}
			}
		}

	};

	return Utils;
});

define('table/table-cell',[
	'aloha',
	'aloha/jquery',
	'aloha/ephemera',
	'table/table-plugin-utils',
	'util/browser',
	'util/misc',
	'util/dom'
], function (
	Aloha,
	jQuery,
	Ephemera,
	Utils,
	Browser,
	Misc,
	Dom
) {
	/**
	 * Constructs a TableCell.
	 *
	 * @param {DomNode} cell
	 *        A td/th which will be represente by this TableCell.
	 * @param {Table} tableObj
	 *        The Table which contains the cell. The cell will be
	 *        activated/dactivated with the table.
	 */
	var TableCell = function (originalTd, tableObj) {
		if (null == originalTd) {
			originalTd = '<td></td>';
		}

		//original Td must be a DOM node so that the this.obj.context property is available
		//this transformation will properly handle jQuery objects as well as DOM nodes
		var $td = jQuery(originalTd);
		originalTd = $td.get(0);

		this.obj = $td;
		this.tableObj = tableObj;
		var ephemeraClass = 'aloha-ephemera';
		var isEphemeral = $td.hasClass(ephemeraClass) || $td.parent().hasClass(ephemeraClass);
		if (!isEphemeral) {
			jQuery(originalTd).addClass(this.tableObj.tablePlugin.defaultCellClass);
		}
		tableObj.cells.push(this);
	};

	/**
	 * Reference to the jQuery-representation of the wrapping table
	 *
	 * @see TableCell.table
	 */
	TableCell.prototype.tableObj = undefined;

	/**
	 * Reference to the jQuery td-Object of the cell
	 */
	TableCell.prototype.obj = undefined;

	/**
	 * The jQuery wrapper of the cell
	 */
	TableCell.prototype.wrapper = undefined;

	/**
	 * Flag if the cell has focus
	 */
	TableCell.prototype.hasFocus = false;

	TableCell.prototype.activate = function () {
		var cell = this;
		var $elem = cell.obj;

		// wrap the created div into the contents of the cell
		$elem.wrapInner('<div/>');

		// create the editable wrapper for the cells
		var $wrapper = $elem.children('div').eq(0);
		$wrapper.contentEditable(true);
		$wrapper.addClass('aloha-table-cell-editable');

		// mark the editable wrapper as ephemeral
		Ephemera.markWrapper($wrapper);

		// attach events to the editable div-object
		$wrapper.on('focus', function ($event) {
			// activate the button for splitting cells if the clicked cell has an active row- or colspan
			if (Utils.colspan(cell.obj) > 1 || Utils.rowspan(cell.obj) > 1) {
				cell.tableObj.tablePlugin._tableCellsSplitButton.enable(true);
			} else {
				cell.tableObj.tablePlugin._tableCellsSplitButton.enable(false);
			}

			// ugly workaround for ext-js-adapter problem in
			// ext-jquery-adapter-debug.js:1020
			if ($event.currentTarget) {
				$event.currentTarget.indexOf = function () {
					return -1;
				};
			}
			cell._editableFocus($event);
		});

		$wrapper.on('mousedown', function ($event) {
			// ugly workaround for ext-js-adapter problem in ext-jquery-adapter-debug.js:1020
			if ($event.currentTarget) {
				$event.currentTarget.indexOf = function () {
					return -1;
				};
			}

			// prevent cell selection, if mousedown was on a block handle
			if (jQuery($event.target).hasClass('aloha-block-draghandle')) {
				return;
			}

			cell._editableMouseDown($event);

			cell.tableObj.selection.baseCellPosition = [cell._virtualY(), cell._virtualX()];

			if ($event.shiftKey) {
				// shift-click to select a coherent cell range
				//
				// in IE it's not possible to select multiple cells when you "select+drag" over other cells
				// click into the first cell and then "shift-click" into the last cell of the coherent cell range you want to select
				var right = cell.tableObj.selection.lastBaseCellPosition[1];
				var bottom = cell.tableObj.selection.lastBaseCellPosition[0];
				var topLeft = cell.tableObj.selection.baseCellPosition;
				var left = topLeft[1];
				if (left > right) {
					left = right;
					right = topLeft[1];
				}
				var top = topLeft[0];
				if (top > bottom) {
					top = bottom;
					bottom = topLeft[0];
				}
				var rect = {
					"top": top,
					"right": right,
					"bottom": bottom,
					"left": left
				};

				var table = cell.tableObj;
				var $rows = table.obj.children().children('tr');
				var grid = Utils.makeGrid($rows);

				table.selection.selectedCells = [];
				table.selection.currentRectangle = rect;
				var selectClass = table.get('classCellSelected');
				Utils.walkGrid(grid, function (cellInfo, j, i) {
					if (Utils.containsDomCell(cellInfo)) {
						if (i >= rect.top && i <= rect.bottom && j >= rect.left && j <= rect.right) {
							jQuery(cellInfo.cell).addClass(selectClass);
							table.selection.selectedCells.push(cellInfo.cell);
						} else {
							jQuery(cellInfo.cell).removeClass(selectClass);
						}
					}
				});

				table.selection.notifyCellsSelected();
			} else {
				cell.tableObj.selection.lastBaseCellPosition = cell.tableObj.selection.baseCellPosition;
				cell._editableMouseDown($event);
				cell._startCellSelection();
			}
		});

		$wrapper.on('blur', function ($event) {
			cell._editableBlur($event);
		});
		$wrapper.on('keyup', function ($event) {
			cell._editableKeyUp($event);
		});
		$wrapper.on('keydown', function ($event) {
			cell._editableKeyDown($event);
		});
		$wrapper.on('mouseover', function ($event) {
			cell._selectCellRange();
		});
		$elem.on('mouseover', function ($event) {
			cell._selectCellRange();
		});

		// we will treat the wrapper just like an editable
		$wrapper.contentEditableSelectionChange(function ($event) {
			Aloha.Selection.onChange($wrapper, $event);
			return $wrapper;
		});

		$elem.on('mousedown', function ($event) {
			// prevent cell selection, if mousedown was on a block handle
			if (jQuery($event.target).hasClass('aloha-block-draghandle')) {
				return;
			}

			// when clicked on something nested, prevent selection of whole cell
			if ($event.target != $elem[0]) {
				$event.stopPropagation();
				return;
			}

			window.setTimeout(function () {
				// Select the entire cell's content.
				cell.wrapper.trigger('focus');
				cell._selectAll($wrapper);
			}, 1);
			cell.tableObj.selection.baseCellPosition = [cell._virtualY(), cell._virtualX()];

			if (!cell.tableObj.selection.lastBaseCellPosition) {
				cell.tableObj.selection.lastBaseCellPosition = cell.tableObj.selection.baseCellPosition;
			}

			if ($event.shiftKey) {
				// shift-click to select a coherent cell range
				//
				// in IE it's not possible to select multiple cells when you "select+drag" over other cells
				// click into the first cell and then "shift-click" into the last cell of the coherent cell range you want to select
				var right = cell.tableObj.selection.lastBaseCellPosition[1];
				var bottom = cell.tableObj.selection.lastBaseCellPosition[0];
				var topLeft = cell.tableObj.selection.baseCellPosition;
				var left = topLeft[1];
				if (left > right) {
					left = right;
					right = topLeft[1];
				}
				var top = topLeft[0];
				if (top > bottom) {
					top = bottom;
					bottom = topLeft[0];
				}
				var rect = {
					"top": top,
					"right": right,
					"bottom": bottom,
					"left": left
				};

				var table = cell.tableObj;
				var $rows = table.obj.children().children('tr');
				var grid = Utils.makeGrid($rows);

				table.selection.selectedCells = [];
				var selectClass = table.get('classCellSelected');
				table.selection.currentRectangle = rect;
				Utils.walkGrid(grid, function (cellInfo, j, i) {
					if (Utils.containsDomCell(cellInfo)) {
						if (i >= rect.top && i <= rect.bottom && j >= rect.left && j <= rect.right) {
							jQuery(cellInfo.cell).addClass(selectClass);
							table.selection.selectedCells.push(cellInfo.cell);
						} else {
							jQuery(cellInfo.cell).removeClass(selectClass);
						}
					}
				});

				table.selection.notifyCellsSelected();
			} else {
				cell.tableObj.selection.lastBaseCellPosition = cell.tableObj.selection.baseCellPosition;
				cell._startCellSelection();
			}
			$event.stopPropagation();
		});

		if ($elem[0]) {
			$elem[0].onselectstart = Misc.eventPreventDefault;
		}

		$elem.on('mouseenter', function (evt) {
			Misc.addEditingHelpers($wrapper);
		});
		$elem.on('mouseleave', function (evt) {
			Misc.removeEditingHelpers($wrapper);
		});

		Aloha.bind('aloha-smart-content-changed', function (event, data) {
			if (data.editable.isActive && data.triggerType === 'block-change') {
				Misc.addEditingHelpers($wrapper);
			}
		});

		// set contenteditable wrapper div
		this.wrapper = $wrapper;
		if ($wrapper[0]) {
			var wrapper = $wrapper[0];

			wrapper.onselectstart = Misc.eventStopPropagation;
			// Disabled the dragging of content, since it makes cell selection
			// difficult.
			wrapper.ondragstart = Misc.eventPreventDefault;
		}

		return this;
	};

	/**
	 * The deactivate method removes the contenteditable helper div within the
	 * table-data field and wraps the innerHtml to the outerHTML
	 *
	 * @return void
	 */
	TableCell.prototype.deactivate = function () {
		var wrapper = jQuery(this.obj.children('.aloha-table-cell-editable'));

		if (wrapper.length) {
			Misc.removeEditingHelpers(wrapper);

			// unwrap cell contents without re-creating dom nodes
			wrapper.parent().append(
				wrapper.contents()
			);

			// remove the contenteditable div and its attached events
			wrapper.remove();


			// remove the click event of the
			this.obj.unbind('click');
			this.obj.unbind('mousedown');
			this.obj.unbind('mouseenter');
			this.obj.unbind('mouseleave');
			this.obj.get(0).onselectstart = null;

			if (jQuery.trim(this.obj.attr('class')) == '') {
				this.obj.removeAttr('class');
			}
		}
	}

	/**
	 * Native toString-method
	 *
	 * @return string name of the namespace
	 */
	TableCell.prototype.toString = function () {
		return 'TableCell';
	};

	/**
	 * Focus method for the contentediable div within a table data-field. The method
	 * requires the event-property Cell as a Cell object. If the
	 * Cell wasn't activated yet it does all relevant actions to activate the cell.
	 *
	 * @param e
	 *            the jquery event object
	 * @return void
	 */
	TableCell.prototype._editableFocus = function (e) {
		// only do activation stuff if the cell don't has the focus
		if (!this.hasFocus) {
			// set an internal flag to focus the table
			this.tableObj.focus();

			// add an active-class
			this.obj.addClass('aloha-table-cell_active');

			// set the focus flag
			this.hasFocus = true;

			// unset the selection type
			this.tableObj.selection.selectionType = 'cell';

		}
	};

	/**
	 * Blur event for the contenteditable div within a table-data field. The method
	 * requires the event-property TableCell as a TableCell object. It
	 * sets the hasFocus flag of the cell to false and removes the "active"
	 * css-class.
	 *
	 * @param jqEvent
	 *            the jquery event object
	 * @return void
	 */
	TableCell.prototype._editableBlur = function (jqEvent) {

		// reset the focus of the cell
		this.hasFocus = false;

		// remove "active class"
		this.obj.removeClass('aloha-table-cell_active');

		// if the editable wrapper in the table cell only contains a single, empty
		// paragraph, we remove that paragraph
		if (this.wrapper.children().length === 1) {
			this.wrapper.find('p').filter(function (index) {
				var clone = jQuery(this).clone();
				// the last br in the paragraph does not count, so we remove
				// it before checking the paragraph for emptiness
				clone.find('br:last-child').remove();
				return Dom.isEmpty(clone[0]);
			}).remove();
		}
	};

	/**
	 * Gives the X (column no) for a cell, after adding colspans
	 */
	TableCell.prototype._virtualX = function () {
		var $rows = this.tableObj.obj.children().children('tr');
		var rowIdx = this.obj.parent().index();
		var colIdx = this.obj.index();
		return Utils.cellIndexToGridColumn($rows, rowIdx, colIdx);
	};

	/**
	 * Gives the Y (row no) for a cell, after adding colspans
	 */
	TableCell.prototype._virtualY = function () {
		return this.obj.parent('tr').index();
	};

	/**
	 * Starts the cell selection mode
	 */
	TableCell.prototype._startCellSelection = function () {
		if (!this.tableObj.selection.cellSelectionMode) {

			//unselect currently selected cells
			this.tableObj.selection.unselectCells();

			// activate cell selection mode
			this.tableObj.selection.cellSelectionMode = true;

			//bind a global mouseup event handler to stop cell selection
			var that = this;
			jQuery('body').on('mouseup.cellselection', function (event) {
				that._endCellSelection();
			});

			this.tableObj.selection.baseCellPosition = [this._virtualY(), this._virtualX()];
		}
	};

	/**
	 * Ends the cell selection mode
	 */
	TableCell.prototype._endCellSelection = function () {
		if (this.tableObj.selection.cellSelectionMode) {
			Utils.selectAnchorContents(this.tableObj.selection.selectedCells);

			this.tableObj.selection.cellSelectionMode = false;
			this.tableObj.selection.baseCellPosition = null;
			this.tableObj.selection.lastSelectionRange = null;

			this.tableObj.selection.selectionType = 'cell';

			//unbind the global cell selection event
			jQuery('body').unbind('mouseup.cellselection');
		}
	};

	TableCell.prototype._getSelectedRect = function () {
		var right = this._virtualX();
		var bottom = this._virtualY();
		var topLeft = this.tableObj.selection.baseCellPosition;
		var left = topLeft[1];
		if (left > right) {
			left = right;
			right = topLeft[1];
		}
		var top = topLeft[0];
		if (top > bottom) {
			top = bottom;
			bottom = topLeft[0];
		}
		return {
			"top": top,
			"right": right,
			"bottom": bottom,
			"left": left
		};
	};

	/**
	 * Toggles selection of cell.
	 * This works only when cell selection mode is active.
	 */
	TableCell.prototype._selectCellRange = function () {
		if (this.tableObj.selection.resizeMode || !this.tableObj.selection.cellSelectionMode) {
			return;
		}

		var rect = this._getSelectedRect();
		var table = this.tableObj;
		// if the range contains a single cell only, and no cells were selected before,
		// we do not select the whole cell. This enables selecting text in a single cell
		// without selecting the whole cell, even if - while selecting the text - the user
		// moves the mouse out of the text wrapper into the cell itself
		if (rect.top === rect.bottom && rect.left === rect.right && table.selection.selectedCells.length === 0) {
			return;
		}

		var $rows = table.obj.children().children('tr');
		var grid = Utils.makeGrid($rows);

		table.selection.selectedCells = [];
		table.selection.currentRectangle = rect;
		var selectClass = table.get('classCellSelected');
		Utils.walkGrid(grid, function (cellInfo, j, i) {
			if (Utils.containsDomCell(cellInfo)) {
				if (i >= rect.top && i <= rect.bottom && j >= rect.left && j <= rect.right) {
					jQuery(cellInfo.cell).addClass(selectClass);
					table.selection.selectedCells.push(cellInfo.cell);

				} else {
					jQuery(cellInfo.cell).removeClass(selectClass);
				}
			}
		});

		table.selection.notifyCellsSelected();
	};

	/**
	 * Selects all inner-contens of an contentEditable-object
	 *
	 * @param editableNode dom-representation of the editable node (div-element)
	 * @return void
	 */
	TableCell.prototype._selectAll = function (editableNode) {
		var e = (editableNode.jquery) ? editableNode.get(0) : editableNode;

		// Not IE
		if (!jQuery.browser.msie) {
			var s = window.getSelection();
			// WebKit
			if (s.setBaseAndExtent /*&& e> 0 */) {
				s.setBaseAndExtent(e, 0, e, Math.max(0, e.innerText.length - 1));
			}
			// Firefox and Opera
			else {
				// workaround for bug # 42885
				if (window.opera && e.innerHTML.substring(e.innerHTML.length - 4) == '<BR>') {
					e.innerHTML = e.innerHTML + '&#160;';
				}

				var r = document.createRange();
				r.selectNodeContents(e);
				s.removeAllRanges();
				s.addRange(r);
			}
		}
		// Some older browsers
		else if (document.getSelection) {
			var s = document.getSelection();
			var r = document.createRange();
			r.selectNodeContents(e);
			s.removeAllRanges();
			s.addRange(r);
		}
		// IE
		else if (document.selection) {
			var r = document.body.createTextRange();
			r.moveToElementText(e);
			r.select();
		}
	};

	/**
	 * The mouse-down event for the editable-div in the thd-field. Unselect all
	 * cells when clicking on the editable-div.
	 *
	 * @param jqEvent
	 *            the jquery-event object
	 * @return void
	 */
	TableCell.prototype._editableMouseDown = function (jqEvent) {
		// deselect all highlighted cells registered in the this.tableObj.selection object
		this.tableObj.selection.unselectCells();

		if (this.tableObj.hasFocus) {
			if (typeof jqEvent.stopPropagation === 'function') {
				jqEvent.stopPropagation();
			} else if (typeof jqEvent.cancelBubble !== 'undefined') {
				jqEvent.cancelBubble = true;
			}
		}
	};

	/**
	 * The key-up event for the editable-div in the td-field.
	 *
	 * @param jqEvent
	 *            the jquery-event object
	 * @return void
	 */
	TableCell.prototype._editableKeyUp = function (jqEvent) {};

	/**
	 * The key-down event for the ediable-div in the td-field.
	 *
	 * @param jqEvent
	 *            the jquery-event object
	 * @return void
	 */
	TableCell.prototype._editableKeyDown = function (jqEvent) {
		var KEYCODE_TAB = 9;

		if (this.obj[0] === this.tableObj.obj.find('tr:last td:last')[0]) {
			// only add a row on a single key-press of tab (so check that alt-,
			// shift- or ctrl-key are NOT pressed)
			if (KEYCODE_TAB == jqEvent.keyCode && !jqEvent.altKey && !jqEvent.shiftKey && !jqEvent.ctrlKey) {
				var lastInsertedRow = this.tableObj.addRow(this.obj.parent().index() + 1);

				if (Browser.mozilla) {
					// After the row is inserted, mozilla sets the cursor outside
					// the Table in weird places.
					jqEvent.preventDefault();

					// Place focus into first editable cell of new row
					$(lastInsertedRow).find('td:nth-child(2) .aloha-table-cell-editable').focus();
				}
			}
		}
	};

	/**
	 * Given a cell, will return the container element of the contents
	 * of the cell. The container element may be the given cell itself,
	 * or a wrapper element, in the case of activated cells.
	 *
	 * @param {DomNode} cell
	 *        the TH/TD of a TableCell that may or may not be actived.
	 * @return {DomNode}
	 *        the element that contains the contents of the given cell.
	 */
	TableCell.getContainer = function (cell) {
		if (jQuery(cell.firstChild).hasClass("aloha-table-cell-editable")) {
			return cell.firstChild;
		} else {
			return cell;
		}
	};

	return TableCell;
});

define('table/table-selection',[
	'aloha',
	'aloha/jquery',
	'table/table-plugin-utils',
	'table/table-cell',
	'ui/dialog',
	'i18n!table/nls/i18n'
], function (
	Aloha,
	$,
	Utils,
	TableCell,
	Dialog,
	i18n
) {
	/**
	 * The TableSelection object is a helper-object
	 */
	var TableSelection = function (table) {
		this.table = table;
	};

	/**
	 * Returns if a content parameter is a content that be added in a 
	 * merge cell from the cells selecteds.
	 * 
	 * @param {String|TextNodeElement|HTMLElement} content - A content 
	 * from the cell, might be a TextNode, HTMLElement or a String
	 * 
	 * @return {Boolean}
	 */
	function isMergeableContent(content) {
		return ((
				'string' === typeof(content) && '' !== $.trim(content)
			) || (
				content.nodeType
				&& (
					3 === content.nodeType
					&&
					'' !== $.trim(content.data)
				) || (
					1 === content.nodeType
				)
			));
	}

	var POSSIBLE_SELECTION_TYPES = [ 'cell', 'column', 'row' ];

	TableSelection.getPossibleSelectionTypes = function () {
		return POSSIBLE_SELECTION_TYPES;
	};

	/**
	 * Gives the type of the cell-selection
	 * possible values are "cell", "row", "column" or "all".
	 * If the value is 'cell' means custom cell selections
	 */
	TableSelection.prototype.selectionType = undefined;

	/**
	 * Stores the currently selected rectangle
	 * @type {Object} the rectangle object
	 */
	TableSelection.prototype.currentRectangle = {};
	/**
	 * Holds all currently selected table cells as an array of DOM "td" representations
	 */
	TableSelection.prototype.selectedCells = [];

	/**
	 * Holds all table columnIdx if selectiontype is column
	 */
	TableSelection.prototype.selectedColumnIdxs = [];

	/**
	 * Holds all table rowIds if selectiontype is column
	 */
	TableSelection.prototype.selectedRowIdxs = [];

	/**
	 * Holds the active/disabled state of cell selection mode 
	 */
	TableSelection.prototype.cellSelectionMode = false;

	/**
	 * Gives the position of the base cell of a selection - [row, column]
	 */
	TableSelection.prototype.baseCellPosition = null;

	/**
	 * Gives the range of last cell selection - [row, column]
	 */
	TableSelection.prototype.lastSelectionRange = null;

	/**
	 * Marks all cells of the specified column or columns as selected
	 *
	 * @return void
	 */
	TableSelection.prototype.selectColumns = function ( columnsToSelect ) {
		this.unselectCells();

		var rows = this.table.getRows();
		// first row is the selection row (dump it, it's not needed)
		rows.shift();
		
		var grid = Utils.makeGrid(rows);
		for (var j = 0; j < columnsToSelect.length; j++) {
			// check if this column is already selected.
			if ( -1 !== $.inArray(columnsToSelect[j], this.selectedColumnIdxs) ) {
				continue;
			}
			this.selectedColumnIdxs.push( columnsToSelect[j] );
			for (var i = 0; i < grid.length; i++) {
				var cellInfo = grid[i][columnsToSelect[j]];
				if ( Utils.containsDomCell(cellInfo) ) {
					$(cellInfo.cell).addClass(this.table.get('classCellSelected'));
					this.selectedCells.push( cellInfo.cell );
				}
			}
		}
		this.currentRectangle.columns = this.selectedColumnIdxs;
		this.selectionType = 'column';
	};
	
	/**
	 * Marks all cells of the specified row or rows as selected
	 *
	 * @return void
	 */
	TableSelection.prototype.selectRows = function( rowsToSelect ) {
		this.unselectCells();

		var rows = this.table.getRows();
		
 	    rowsToSelect.sort( function ( a, b ) { return a - b; } );
		for (var i = 0; i < rowsToSelect.length; i++) {
			if ( rows[ rowsToSelect[i] ] ) {
				// check if this row is already selected.
	        	for ( var z = 0; z < this.selectedRowIdxs.length; z++ ) {
	        		if ( rowsToSelect[i] == this.selectedRowIdxs[z] ) {
	        			return;
	        		}
	        	}
				this.selectedRowIdxs.push( rowsToSelect[i] );
				// to not select first cell, which is a control cell
			    for ( var j = 1; j < rows[ rowsToSelect[i] ].cells.length; j++ ) {  
					this.selectedCells.push( rows[ rowsToSelect[i] ].cells[j] );
					// TODO make proper cell selection method
					$( rows[ rowsToSelect[i] ].cells[j] ).addClass( this.table.get('classCellSelected') );
			    }
			}
		}
		this.currentRectangle.rows = this.selectedRowIdxs;

	    this.selectionType = 'row';
	};

	TableSelection.prototype.selectAll = function () {
		var rowIndices = $.map( this.table.getRows(), function ( item, i ) {
			return i;
		});

		//getRows() returns all rows, even the header row which we must not select
		rowIndices.shift();

		this.selectRows( rowIndices );

		this.selectionType = 'all';
	};
	
	/**
	 * To be called when cells of the table were selected
	 * @see selectRows, selectColumns, selectCellRange
	 * TODO this should be private
	 */
	TableSelection.prototype.notifyCellsSelected = function () {
		Aloha.trigger( 'aloha-table-selection-changed' );
		
		// the UI feels more consisten when we remove the non-table
		// selection when cells are selected
		// TODO this code doesn't work right in IE as it causes the table
		//  scope of the floating menu to be lost. Maybe this can be
		//  handled by testing for an empty selection in the
		//  aloha-selection-changed event.
		//Aloha.getSelection().removeAllRanges();
	};

	/**
	 * To be called when a cell-selection is entirely removed
	 * @see unselectCells
	 */
	TableSelection.prototype._notifyCellsUnselected = function () {
		Aloha.trigger( 'aloha-table-selection-changed' );
	};

	/**
	 * This method return true if all sellected cells are TH cells.
	 *
	 * @return boolean
	 */
	TableSelection.prototype.isHeader = function ( ) {
		
        if ( this.selectedCells.length == 0 ) {
        	return false;
        }
        
        // take 1 column to detect if the header button is pressd
		for (var i = 0; i < this.selectedCells.length; i++) {
			if ( !this.selectedCells[i] || this.selectedCells[i].nodeName.toLowerCase() != 'th' ) {
				return false;
			}
		}
		return true;
	}
	
	/**
	 * This method removes the "selected" class from all selected cells
	 *
	 * @return void
	 */
	TableSelection.prototype.unselectCells = function(){
		//don't unselect cells if cellSelectionMode is active
		if ( this.cellSelectionMode ) {
    		return;
		}

		if (this.selectedCells.length > 0) {
			var
				cells = this.selectedCells,
				classCellSelected = this.table.get('classCellSelected');

			for (var i = 0, len = cells.length; i < len; i++) {
				$(cells[i]).removeClass(classCellSelected);
			}

			this.selectedCells = [];
			this.selectedColumnIdxs = [];
			this.selectedRowIdxs = [];
			this.currentRectangle = {};
			this.selectionType = undefined;

			this._notifyCellsUnselected();
		}
	};

	/**
	 * Returns the index of a given cell, in selectedCells
	 * returns -1 if the given cell is not in selectedCells 
	 * @params cell
	 *          DOMElement
	 *
	 * @return integer 
	 */
	TableSelection.prototype.selectionIndex = function(cell){
		for(var i = 0; i < this.selectedCells.length; i++){
			if(this.selectedCells[i] === cell){
				return i; 
			} 
		}
		return -1;
	};


	/**
	 * Given a contour creates a object representing a rectangle.
	 * This function only gives a useful return value if the given
	 * contour rectangular.
	 *
	 * @param {object} contour
	 *        a rectangular contour
	 * @return {object}
	 *        an object with the properties top, right, bottom, left, 
	 *        representing the rectangular contour.
	 */
	function getRectFromContour( contour ) {
		return {
			'top'   : contour.top[0],
			'right' : contour.right[0] + 1,
			'bottom': contour.bottom[0] + 1,
			'left'  : contour.left[0]
		};
	}

	/**
	 * Given a grid and contour, determines whether the contour is
	 * rectangular, and each cell in the rectangle is selected.
	 *
	 * @param {array} grid
	 *        a two-dimensional array representing a grid see Utils.makeGrid
	 * @param {object} contour
	 *        an object reprensenting a contour see Utils.makeContour
	 * @param {function} isSelected
	 *        a function that determines whether a cell in the given grid
	 *        is selected for merging.
	 * @return {boolean}
	 *        true if all cells inside the contour are selected and can
	 *        be merged.
	 */
	function isMergeable(grid, contour, isSelected) {
		var mergeable = true;
		if (   -1 !== Utils.indexOfAnyBut( contour.top   , contour.top[0]    )
			|| -1 !== Utils.indexOfAnyBut( contour.right , contour.right[0]  )
			|| -1 !== Utils.indexOfAnyBut( contour.bottom, contour.bottom[0] )
			|| -1 !== Utils.indexOfAnyBut( contour.left  , contour.left[0]   ) ) {
			// the outside of the selected area is jagged (not a rectangle)
			mergeable = false;
		} else {
			// the outside of the selected area is a rectangle, but we
			// must also ensore that there are no holes in the selection
			var rect = getRectFromContour( contour )
			Utils.walkGridInsideRect( grid, rect, function ( cellInfo ) {
				if ( ! isSelected( cellInfo ) ) {
					mergeable = false;
					return false;
				}
			});
		}
		return mergeable;
	}

	/**
	 * This method merges all selected cells
	 *
	 * @return void
	 */
	TableSelection.prototype.mergeCells = function(){

		var selectedCells = this.selectedCells;
		if ( 0 === selectedCells.length ) {
			return;
		}

		var isSelected = function ( cellInfo ) {
			return -1 != $.inArray( cellInfo.cell, selectedCells );
		};

		var grid = Utils.makeGrid( this.table.getRows() );
		var contour = Utils.makeContour( grid, isSelected );

		if ( ! isMergeable( grid, contour, isSelected ) ) {
			Dialog.alert({
				title : i18n.t('Table'),
				text : i18n.t('table.mergeCells.notRectangular')
			});
			return;
		}

		var selectedRect = getRectFromContour( contour );
		var $firstCell = $( grid[ selectedRect.top ][ selectedRect.left ].cell );
		var $firstContainer = $( TableCell.getContainer( $firstCell.get( 0 ) ) );

		Utils.walkGridInsideRect( grid, selectedRect, function ( cellInfo, x, y ) {
			if (   x - cellInfo.spannedX === selectedRect.left
				&& y - cellInfo.spannedY === selectedRect.top ) {
				return;
			}
			var cell = cellInfo.cell;
			var contents = $( TableCell.getContainer( cell ) ).contents();
			// only append the delimiting space if there is some non-whitespace
			for ( var i = 0; i < contents.length; i++ ) {
				if(isMergeableContent(contents[i])){
					$firstContainer.append( " " );
					$firstContainer.append( contents );
					break;
				}
//
//				if (   "string" !== typeof contents[i]
//					|| "" !== $.trim( contents[i].data ) ) {
//					$firstContainer.append( " " );
//					$firstContainer.append( contents );
//					break;
//				}
			}
			$( cell ).remove();
		});

		$firstCell.attr({ 'rowspan': selectedRect.bottom - selectedRect.top,
						  'colspan': selectedRect.right  - selectedRect.left });

		//select the merged cell
		this.selectedCells = [ $firstCell.get( 0 ) ];

		//reset flags
		this.cellSelectionMode = false; 
		this.baseCellPosition = null;
		this.lastSelectionRange = null; 
		this.selectionType = 'cell';

		Aloha.trigger( 'aloha-table-selection-changed' );

		Aloha.activeEditable.smartContentChange({type: 'block-change', plugin: 'table-plugin'});
	};

	/**
	 * This method splits all selected cells (if they are already have row or column spans)
	 *
	 * @return void
	 */
	TableSelection.prototype.splitCells = function(){
		var selection = this;

		// split the selected cells or currently active cell
		var cells_to_split = this.selectedCells;
		if (cells_to_split.length > 0) {

			$(cells_to_split).each(function(){
				var cell = this;

				Utils.splitCell(this, function () {
					return selection.table.newActiveCell(Utils.copyCellMarkup(cell)).obj;
				});
			});

			//reset flags
			this.cellSelectionMode = false; 
			this.baseCellPosition = null;
			this.lastSelectionRange = null; 
			this.selectionType = 'cell';

			Aloha.trigger( 'aloha-table-selection-changed' );
			Aloha.activeEditable.smartContentChange({type: 'block-change', plugin: 'table-plugin'});
		}
	};

	/**
	 * This method checks if the current selection of cells is merge able
	 *
	 * @return {boolean}
	 *        true if more than one cell is selected.
	 */
	TableSelection.prototype.cellsAreMergeable = function() {
		var selectedCells = this.selectedCells;

		if ( selectedCells.length < 2 ) {
			return false;
		}

		var isSelected = function ( cellInfo ) {
			return -1 != $.inArray( cellInfo.cell, selectedCells );
		};

		var grid = Utils.makeGrid( this.table.getRows() );
		var contour = Utils.makeContour( grid, isSelected );

		if ( ! isMergeable( grid, contour, isSelected ) ) {
			return false;
		} else {
			return true;
		}
	};

	/**
	 * This method checks if the current selection of cells is split able
	 *
	 * @return {boolean}
	 *        true if more than one cell is selected.
	 */
	TableSelection.prototype.cellsAreSplitable = function() {
		var splitable = 0;
		if ( this.selectedCells.length > 0 ) {
			$(this.selectedCells).each(function(){
				var cell = this;
				var colspan = Utils.colspan( cell );
				var rowspan = Utils.rowspan( cell );

				if ( colspan > 1 || rowspan > 1 ) {
					splitable++;
				}
			});

			if ( splitable > 0 ) {
				return true;
			} else {
				return false;
			}
		} else {
			return false;
		}
	};

	/**
	 * Gets the currenty active selection type from the selected
	 * rectangle or the selected rows/columns.
	 * The first element in the array is the selection type which is
	 * most likely to be the most important one to the user.
	 * (e.g. "table" if a whole table was selected or "row" when the whole row was selected)
	 *
	 * @return {array} an array of currently active selection types
	 */
	TableSelection.prototype.getCurrentSelectionTypes = function () {
		var rect = this.currentRectangle;
		var table = this.table;
		var selectionTypes = [];

		// check if a whole row was selected with row or cell selection
		if (rect.rows || (rect.left === 1 && rect.right >= table.numCols)) {
			selectionTypes.push('row');
		}
		// check if a whole column was selected with column or cell selection
		if (rect.columns || (rect.top === 1 && rect.bottom >= table.numRows)) {
			selectionTypes.push('column');
		}
		// if all rows and columns are selected using row, column or cell selection mark the whole table as selected
		// put the "cell" selection type on the first position in the array to make sure it is selected
		// as active tab in the toolbar
		if (
			// check if the whole table is selected with row selection
			(rect.rows && rect.rows.length === table.numRows) ||
			// check if the whole table is selected with column selection
			(rect.columns && rect.columns.length === table.numCols) ||
			// check if the whole table is selected with cell selection
			($.inArray('row', selectionTypes) !== -1 && $.inArray('column', selectionTypes) !== -1)
		) {
			selectionTypes.unshift('cell');
		// if row and column selection was not used, we know the cell selection was used and need to add this type in the array
		} else if (!rect.rows && !rect.columns) {
			selectionTypes.push('cell');
		}
		// as fallback use the selection type set with the old logic
		if (selectionTypes.length === 0) {
			selectionTypes.push(this.selectionType);
		}
		return selectionTypes;
	};

	return TableSelection;
});

/**
 * Aloha Table Plugin
 * ------------------
 * This plugin provides advanced support for manipulating tables in Aloha
 * Editables.
 * Nested tables are not support. If nested tables are pasted into the
 * editable, they will simply be left alone.
 * Each (non-nested) table in the editable will have a corresponding Aloha
 * Table instance created for it, which will maintain internal state, and
 * information related to its DOM element.
 *
 * @todo: - selectRow/selectColumn should take into account the helper row/column.
 *			ie: selectRow(0) and selectColumn(0), should be zero indexed
 */
define('table/table',[
	'aloha',
	'jquery',
	'ui/scopes',
	'ui/dialog',
	'i18n!table/nls/i18n',
	'table/table-cell',
	'table/table-selection',
	'table/table-plugin-utils',
	'aloha/ephemera',
	'util/html',
	'util/dom',
	'aloha/console'
], function (
	Aloha,
	jQuery,
	Scopes,
	Dialog,
	i18n,
	TableCell,
	TableSelection,
	Utils,
	Ephemera,
	Html,
	Dom,
	Console
) {
	var undefined = void 0;
	var GENTICS = window.GENTICS;

	/**
	 * Returns an Array with all elements and textnodes included in the
	 * hierarchy of the element received. Is Similar to do
	 * jQuery('*', element).contents(), the diference it's this function returns the
	 * array in the correct order of apparition
	 * @example
	 * <pre>
	 *		&gt;p&lt;
	 *			textnode
	 *			<b>b textnode</b>
	 *			another text node
	 *		&gt;/p&lt;
	 *
	 *		jQuery('*', lt).contents();
	 *			// returns ["textnode", "<b>", "another textnode", "b textnode"]
	 *		getPlainHierarchy(lt)
	 *			// returns ["textnode", "<b>", "b textnode", "another textnode"]
	 * </pre>
	 *
	 * @return {Array.<HTMLElement|TextNode>}
	 */
	function getPlainHierarchy(element) {
		if (element.jquery) {
			element = element[0];
		}
		var i, result = [], child;
		for (i = 0; i < element.childNodes.length; i++) {
			child = element.childNodes[i];
			result.push(child);
			if (child.nodeType === 1) {
				result = result.concat(getPlainHierarchy(child));
			}
		}

		return result;
	}

	/**
	 * Find the first or the last element inside a table, even if in a td
	 *
	 * @param {String} type Accepts two values: 'first' or 'last'
	 * @param {HTMLElement|jQuery} parent the parent element to search
	 *
	 * @return {jQuery}
	 */
	function getNewSelectedElement(type, parent) {
		var toSelectElement;
		if ('first' === type) {
			toSelectElement = jQuery('[contenteditable]', parent).first()[0]
				.firstChild;
			if (undefined === toSelectElement) {
				toSelectElement = jQuery('*', parent).first()[0].firstChild;
			}
		} else if ('last' === type) {
			toSelectElement = getPlainHierarchy(jQuery('td:last', parent))
				.reverse()[0];
		}

		return toSelectElement;
	}

	/**
	 * Constructor of the table object
	 *
	 * @param table
	 *            the dom-representation of the held table
	 * @return void
	 */
	var Table = function (table, tablePlugin) {
		// set the table attribut "obj" as a jquery represenation of the dom-table
		this.obj = jQuery(table);

		// setup a class to mark wrapping divs introduced by this plugin
		var wrapperMarkerClass = "aloha-table-container";
		// parent before wrapping
		var parent = this.obj.parent();
		// check config if table should be wrapped
		if (tablePlugin.settings.wrapClass !== undefined) {
			// combine configurable class with fixed
			var wrapClass = tablePlugin.settings.wrapClass + ' ' + wrapperMarkerClass;

			// If config for wrapping div exists and classes match, do nothing

			// If config for wrapping div exists,
			// and classes do not match,
			// and a wrapping div does exist allready,
			// --> change classes
			if (parent.attr('class') !== wrapClass && parent.hasClass(wrapperMarkerClass)) {
				parent.attr('class', wrapClass);
				// If config for wrapping div exists
				// and classes do not match
				// and wrapping div is not present (yet),
				// --> create
			} else if (parent.attr('class') !== wrapClass) {
				// add div with class from config
				this.obj.wrap('<div class="' + wrapClass + '"></div>');
			}
			// set parent of table element - the wrapping div - for further handling
			this.wrappedObj = this.obj.parent();
		} else {
			// If config for wrapping div does not exists
			// and there is a wrapping div
			// --> remove it
			if (parent.hasClass(wrapperMarkerClass)) {
				this.obj.unwrap();
			}
			// set table-element itself for further handling
			this.wrappedObj = this.obj;
		}

		correctTableStructure(this);

		if (!this.obj.attr('id')) {
			this.obj.attr('id', GENTICS.Utils.guid());
		}

		// mark table id as ephemeral
		Ephemera.markAttr(this.obj, 'id');

		this.tablePlugin = tablePlugin;
		this.selection = new TableSelection(this);
		this.refresh();
	};

	jQuery.extend(Table.prototype, {
		/**
		 * Attribute holding the jQuery-table-represenation
		 */
		obj: undefined,

		/**
		 * The DOM-element of the outest div-container wrapped around the cell
		 */
		tableWrapper: undefined,

		/**
		 * An array of all Cells contained in the Table
		 *
		 * @see TableCell
		 */
		cells: undefined,

		/**
		 * Number of rows of the table
		 */
		numRows: undefined,

		/**
		 * Number of rows of the table
		 */
		numCols: undefined,

		/**
		 * Flag wether the table is active or not
		 */
		isActive: false,

		/**
		 * Flag wether the table is focused or not
		 */
		hasFocus: false,

		/**
		 * The editable which contains the table
		 */
		parentEditable: undefined,

		/**
		 * Flag to check if the mouse was pressed. For row- and column-selection.
		 */
		mousedown: false,

		/**
		 * ID of the column which was pressed when selecting columns
		 */
		clickedColumnId: -1,

		/**
		 * ID of the row which was pressed when selecting rows
		 */
		clickedRowId: -1,

		/**
		 * collection of columnindexes of the columns which should be selected
		 */
		columnsToSelect: [],

		/**
		 * collection of rowindexes of the rows which should be selected
		 */
		rowsToSelect: [],

		/**
		 * contains the plugin id used for interaction with the floating menu
		 */
		fmPluginId: undefined
	});

	/**
	 * @hide
	 */
	Table.prototype.refresh = function () {
		// find the dimensions of the table
		this.numCols = this.countVirtualCols();

		var rows = this.getRows(true);
		this.numRows = rows.length;

		// init the cell-attribute with an empty array
		this.cells = [];

		// iterate over table cells and create Cell-objects
		for (var i = 0; i < rows.length; i++) {
			var row = jQuery(rows[i]);
			var cols = row.children();
			for (var j = 0; j < cols.length; j++) {
				var col = cols[j];
				var Cell = this.newCell(col);
			}
		}
	};

	Table.prototype.countVirtualCols = function () {
		var $firstRow = this.obj.children().children('tr:first-child').children();
		return $firstRow.length - $firstRow.filter('.' + this.get('classLeftUpperCorner')).length;
	};

	/**
	 * Wrapper-Mehotd to return a property of TablePlugin.get
	 *
	 * @see TablePlugin.get
	 * @param property
	 *            the property whichs value should be return
	 * @return the value associated with the property
	 */
	Table.prototype.get = function (property) {
		return this.tablePlugin.get(property);
	};

	/**
	 * Wrapper-Method for TablePlugin.set
	 *
	 * @see TablePlugin.set
	 * @param key
	 *            the key whichs value should be set
	 * @param value
	 *            the value for the key
	 * @return void
	 */
	Table.prototype.set = function (key, value) {
		this.tablePlugin.set(key, value);
	};

	/**
	 * Given an unbalanced table structure, pad it with the necessary cells to
	 * make it perfectly rectangular
	 *
	 * @param {Aloha.Table} tableObj
	 */
	function correctTableStructure(tableObj) {
		var table = tableObj.obj,

			i,
			j,
			row,
			rows = tableObj.getRows(),
			rowsNum = rows.length,

			cols,
			colsNum,

			colsCount,
			maxColsCount = 0,
			cachedColsCounts = [rowsNum],
			colsCountDiff,
			colSpan;

		for (i = 0; i < rowsNum; i++) {
			row = jQuery(rows[i]);
			cols = row.children('td, th');
			colsNum = cols.length;
			colsCount = Utils.cellIndexToGridColumn(rows, i, colsNum - 1) + 1;

			// Check if the last cell in this row has a col span, to account
			// for it in the total number of colums in this row

			colSpan = parseInt(cols.last().attr('colspan'), 10);

			if (colSpan === 0) {
				// TODO: support colspan=0
				// http://dev.w3.org/html5/markup/td.html#td.attrs.colspan
				// http://www.w3.org/TR/html401/struct/tables.html#adef-colspan
				// The value zero ("0") means that the cell spans all columns
				// from the current column to the last column of the column
				// group (COLGROUP) in which the cel
			} else if (!isNaN(colSpan)) {
				// The default value of this attribute is one ("1"), so where this
				// is the case, we will remove such superfluous colspan attributes
				if (colSpan == 1) {
					cols.last().removeAttr('colspan');
				}

				colsCount += (colSpan - 1);
			}

			// if a rowspan is set in the last element of the row, the row(s) below
			// are supposed to have one less column for every colspan the element has
			rowSpan = parseInt(cols.last().attr('rowspan'), 10);
			if (rowSpan > 1) {
				for (j = 1; j < rowSpan - 1; j++) {
					if (colSpan > 1) {
						cachedColsCounts[i + j] += colSpan;
					} else {
						cachedColsCounts[i + j] += 1;
					}
				}
			}

			cachedColsCounts[i] += colsCount;

			if (cachedColsCounts[i] > maxColsCount) {
				maxColsCount = cachedColsCounts[i];
			}
		}

		for (i = 0; i < rowsNum; i++) {
			colsCountDiff = maxColsCount - cachedColsCounts[i];
			if (colsCountDiff > 0) {
				// Create as many td's as we need to complete the row
				jQuery(rows[i]).append(
					(new Array(colsCountDiff + 1)).join('<td></td>')
				);
			}
		}
	}

	/**
	 * If all of the selected cells have been set to the same predefined style,
	 * then its style-button is toggled on. Otherwise, all style-buttons are toggled off.
	 *
	 * @param selectedCells the cells to be checked
	 * @param config the list of styles as defined in the aloha-configuration
	 * @param items the multisplit-toggle-items
	 * @param button a multisplit-button
	 *
	 * @return void
	 */
	function setActiveStyle(selectedCells, config, items, button) {
		var className;
		var allSelected = false;

		// activate all formatting buttons
		for (var i = 0; i < items.length; i++) {
			button.showItem(items[i].name);
		}

		// clear active style block
		button.setActiveItem();

		// select class of first element as reference
		for (var i = 0; i < config.length; i++) {
			if (jQuery(selectedCells[0]).hasClass(config[i].cssClass)) {
				allSelected = true;
				className = config[i].name;
				break;
			}
		}

		// if all selected cells have the same class, set it as active
		jQuery(selectedCells).each(function (index) {
			if (!jQuery(this).hasClass(className)) {
				allSelected = false;
			}
		});
		if (allSelected) {
			button.setActiveItem(className);
		}
	}

	/**
	 * Transforms the existing dom-table into an editable aloha-table. In fact it
	 * replaces the td-elements with equivalent TableCell-elements
	 * with attached events.
	 * Furthermore it creates wrapping divs to realize a click-area for row- and
	 * column selection and also attaches events.
	 *
	 * @return void
	 */
	Table.prototype.activate = function () {
		if (this.isActive) {
			return;
		}

		var that = this,
			htmlTableWrapper,
			tableWrapper, eventContainer, range = new Aloha.Selection.SelectionRange(true);

		// check whether the current selection is in this table
		if (jQuery(range.startContainer).closest('table').is(this.obj)
			|| jQuery(range.endContainer).closest('table').is(
				this.obj)) {
			// if the startContainer or endContainer are a tr, we move into the next td
			if (range.startContainer
				&& range.startContainer.nodeType === 1
				&& range.startContainer.nodeName.toLowerCase() === 'tr') {
				if (range.startOffset < range.startContainer.childNodes.length) {
					range.startContainer = range.startContainer.childNodes[range.startOffset];
					range.startOffset = 0;
				}
			}
			if (range.endContainer
				&& range.endContainer.nodeType === 1
				&& range.endContainer.nodeName.toLowerCase() === 'tr') {
				if (range.endOffset < range.endContainer.childNodes.length) {
					range.endContainer = range.endContainer.childNodes[range.endOffset];
					range.endOffset = 0;
				}
			}
		} else {
			range = null;
		}

		// alter the table attributes
		this.obj.addClass(this.get('className'));
		this.obj.contentEditable(false);

		// set an id to the table if not already set
		if (this.obj.attr('id') === '') {
			this.obj.attr('id', GENTICS.Utils.guid());
		}

		// unset the selection type
		this.selection.selectionType = undefined;

		// the eventContainer will be the tbody (if there is one), or the table (if no tbody exists)
		eventContainer = this.obj.children('tbody');
		if (eventContainer.length === 0) {
			eventContainer = this.obj;
		}

		eventContainer.on('keydown', function (jqEvent) {
			if (!jqEvent.ctrlKey && !jqEvent.shiftKey) {
				if (that.selection.selectedCells.length > 0 &&
					that.selection.selectedCells[0].length > 0) {
					that.selection.selectedCells[0][0].firstChild.focus();
				}
			}
		});

		this.obj.on('keydown', function (jqEvent) {
			// Delete button
			if (jqEvent.keyCode === 46) {
				if (that.selection.selectionType === 'row') {
					that.deleteRows();
				} else if (that.selection.selectionType === 'column') {
					that.deleteColumns();
				} else {
					return;
				}

				// jqEvent.stopPropagation doesn't support cancelBubble
				// in the last jQuery versions. (query/jquery@97fa97f#diff-031bb62d959e7e4949d1847c82507f33L676)
				if (typeof jqEvent.stopPropagation === 'function') {
					jqEvent.stopPropagation();
				} else {
					// Workaround for IE
					jqEvent.cancelBubble = true;
				}
			}
		});

		this.tablePlugin._tableCaptionButton.setActive(this.obj.children('caption').is('caption'));
		this.tablePlugin._tableCellsMergeButton.disable();
		this.tablePlugin._tableCellsSplitButton.disable();

		// handle column/row resize
		eventContainer.on('mousemove', 'th, td', function (e) {

			var jqObj = jQuery(this);
			// offset to be used for activating the resize cursor near a table border
			var mouseOffset = 3;

			// filter out the control cells
			if (jQuery(this).hasClass('aloha-table-selectrow') || jQuery(this).closest('tr').hasClass('aloha-table-selectcolumn'))
				return;

			var closeToLeftBorder = function (cell) {
				return ((e.pageX - cell.offset().left) < mouseOffset);
			};

			var closeToTopBorder = function (cell) {
				return ((e.pageY - cell.offset().top) < mouseOffset);
			};

			var closeToTableBottom = function (cell) {
				var row = cell.closest('tr');
				// check if it's the last row
				if (row.next('tr').length > 0) {
					return false;
				}

				var cursorOffset = e.pageY - (row.offset().top + row.outerHeight());
				return cursorOffset > (mouseOffset * -1) && cursorOffset < mouseOffset;
			};

			var colResize = that.tablePlugin.colResize;
			var rowResize = that.tablePlugin.rowResize;

			if (colResize && closeToLeftBorder(jqObj)) {
				jqObj.css('cursor', 'col-resize');
				return that.attachColumnResize(jqObj);
			} else if (rowResize && closeToTopBorder(jqObj)) {
				jqObj.css('cursor', 'row-resize');
				return that.attachRowResize(jqObj);
			} else if (rowResize && closeToTableBottom(jqObj)) {
				jqObj.css('cursor', 'row-resize');
				return that.attachRowResize(jqObj, true);
			} else {
				jqObj.css('cursor', 'default');
				return that.detachRowColResize(jqObj);
			}
		});

		eventContainer.on('mousemove', function (e) {

			var jqObj = jQuery(this).closest('table');

			var isTableRightBorder = function (table) {
				var cursorOffset = e.pageX - (table.offset().left + table.outerWidth());
				return cursorOffset > -5 && cursorOffset < 5;
			};

			var tableResize = that.tablePlugin.tableResize;

			if (tableResize && isTableRightBorder(jqObj)) {
				return that.attachTableResizeWidth(jqObj);
			}

		});

		eventContainer.on('mousedown', function (jqEvent) {
			// focus the table if not already done
			if (!that.hasFocus) {
				that.focus();
			}

			// DEACTIVATED by Haymo prevents selecting rows
			//		// if a mousedown is done on the table, just focus the first cell of the table
			//		setTimeout(function() {
			//			var firstCell = that.obj.find('tr:nth-child(2) td:nth-child(2)').children('div[contenteditable=true]').get(0);
			//			TableSelection.unselectCells();
			//			jQuery(firstCell).get(0).focus();
			//			// move focus in first cell
			//			that.obj.cells[0].wrapper.get(0).focus();
			//		}, 0);

			// stop bubbling and default-behaviour
			jqEvent.stopPropagation();
			jqEvent.preventDefault();
			return false;
		});

		// ### create a wrapper for the table (@see HINT below)
		// wrapping div for the table to suppress the display of the resize-controls of
		// the editable divs within the cells
		// tha data-block-skip-scope attribute will keep the block plugin from setting the
		// FloatingMenu's scope when the block is clicked
		tableWrapper = jQuery(
			'<div class="' + this.get('classTableWrapper') + ' aloha-block-collection" data-block-skip-scope="true"></div>'
		);
		tableWrapper.contentEditable(false);

		// mark the wrapper as ephemeral
		Ephemera.markWrapper(tableWrapper);

		// wrap the tableWrapper around the table
		this.wrappedObj.wrap(tableWrapper);

		// :HINT The outest div (Editable) of the table is still in an editable
		// div. So IE will surround the the wrapper div with a resize-border
		// Workaround => just disable the handles so hopefully won't happen any ugly stuff.
		// Disable resize and selection of the controls (only IE)
		// Events only can be set to elements which are loaded from the DOM (if they
		// were created dynamically before) ;)

		htmlTableWrapper = this.obj.parents('.' + this.get('classTableWrapper'));
		htmlTableWrapperElem = this.obj.parents('.' + this.get('classTableWrapper')).get(0);
		htmlTableWrapperElem.onresizestart = function (e) { return false; };
		htmlTableWrapperElem.oncontrolselect = function (e) { return false; };
		htmlTableWrapperElem.ondragstart = function (e) { return false; };
		htmlTableWrapperElem.onmovestart = function (e) { return false; };
		// the following handler prevents proper selection in the editable div in the caption!
		// htmlTableWrapperElem.onselectstart = function ( e ) { return false; };

		jQuery(this.cells).each(function () {
			this.activate();
		});

		// Check because the aloha block plugin may not be loaded
		// This is done, after the cells were made contenteditable, so that while initialization of the block,
		// contenteditable anchors do not get the attribute 'draggable' set to 'false' (in order to prevent browser drag'n'drop)
		// because this would make the anchors unclickable in IE
		if (htmlTableWrapper.alohaBlock) {
			htmlTableWrapper.alohaBlock();
		}

		// after the cells where replaced with contentEditables ... add selection cells
		// first add the additional columns on the left side
		this.attachSelectionColumn();
		// then add the additional row at the top
		this.attachSelectionRow();
		this.makeCaptionEditable();
		this.tablePlugin.updateSummaryButton();
		this.isActive = true;

		// when we stored the range, it was in the current table,
		// so we need to re-select (because we changed the DOM structure around the table)
		if (range) {
			// check whether the startContainer and/or endContainer are one of the table's cells.
			// if yes, replace the container with the editable wrapper
			jQuery(this.cells).each(function () {
				if (this.obj.is(range.startContainer)) {
					if (this.wrapper.contents().length === 0) {
						this.wrapper.html('&nbsp;');
					}
					range.startContainer = this.wrapper.contents().get(0);
					range.startOffset = 0;
				}
				if (this.obj.is(range.endContainer)) {
					if (this.wrapper.contents().length === 0) {
						this.wrapper.html('&nbsp;');
					}
					range.endContainer = this.wrapper.contents().get(0);
					range.endOffset = 0;
				}
			});
			this.focus();
			window.setTimeout(function () {
				range.select();
			}, 1);
		}

		Aloha.trigger('aloha-table-activated');
	};

	/**
	 * Make the table caption editable (if present)
	 */
	Table.prototype.makeCaptionEditable = function () {
		var caption = this.obj.find('caption').eq(0);
		if (caption) {
			this.tablePlugin.makeCaptionEditable(caption);
		}
	};

	/**
	 * Check the WAI conformity of the table
	 *
	 * @returns {boolean} True is WAI is valid
	 */
	Table.prototype.checkWai = function () {
		if (this.obj[0] == null || typeof this.obj[0].summary !== 'string') {
			return false;
		}

		return this.obj[0].summary.trim() !== '';
	};

	/**
	 * Add the selection-column to the left side of the table and attach the events
	 * for selection rows
	 *
	 * @return void
	 */
	Table.prototype.attachSelectionColumn = function () {
		// create an empty cell
		var emptyCell = jQuery('<td>'),
			rowIndex, columnToInsert, rowObj, that = this, rows, i;

		// set the unicode '&nbsp;' code
		emptyCell.html('\u00a0');

		that = this;
		rows = this.obj[0].rows;

		// add a column before each first cell of each row
		for (i = 0; i < rows.length; i++) {
			rowObj = jQuery(rows[i]);
			columnToInsert = emptyCell.clone();
			columnToInsert.addClass(this.get('classSelectionColumn'));
			columnToInsert.css('width', this.get('selectionArea') + 'px');
			//rowObj.find('td:first').before(columnToInsert);
			rowObj.prepend(columnToInsert);
			// rowIndex + 1 because an addtional row is still added
			rowIndex = i + 1;

			// this method sets the selection-events to the cell
			this.attachRowSelectionEventsToCell(columnToInsert);
		}
	};

	/**
	 * Binds the needed selection-mouse events to the given cell
	 *
	 * @param cell
	 *            The jquery object of the table-data field
	 * @return void
	 */
	Table.prototype.attachRowSelectionEventsToCell = function (cell) {
		var that = this;

		// mark cell as ephemeral
		Ephemera.markElement(cell);

		// unbind eventually existing events of this cell
		cell.unbind('mousedown');
		cell.unbind('mouseover');

		// prevent ie from selecting the contents of the table
		cell.get(0).onselectstart = function () { return false; };

		cell.on('mousedown', function (e) {
			// set flag that the mouse is pressed
			//TODO to implement the mousedown-select effect not only must the
			//mousedown be set here but also be unset when the mouse button is
			//released.
			//			that.mousedown = true;
			return that.rowSelectionMouseDown(e);
		});

		cell.on('mouseover', function (e) {
			// only select more crows if the mouse is pressed
			if (that.mousedown) {
				return that.rowSelectionMouseOver(e);
			}
		});
	};

	/**
	 * Mouse-Down event for the selection-cells on the left side of the table
	 *
	 * @param jqEvent
	 *            the jquery-event object
	 * @return void
	 */
	Table.prototype.rowSelectionMouseDown = function (jqEvent) {
		// focus the table (if not already done)
		this.focus();

		// if no cells are selected, reset the selection-array
		if (this.selection.selectedCells.length === 0) {
			this.rowsToSelect = [];
		}

		// set the origin-rowId of the mouse-click
		this.clickedRowId = jqEvent.currentTarget.parentNode.rowIndex;

		// set single column selection
		if (jqEvent.metaKey) {
			var arrayIndex = jQuery.inArray(this.clickedRowId, this.rowsToSelect);
			if (arrayIndex >= 0) {
				this.rowsToSelect.splice(arrayIndex, 1);
			} else {
				this.rowsToSelect.push(this.clickedRowId);
			}
			// block of columns selection
		} else if (jqEvent.shiftKey) {
			this.rowsToSelect.sort(function (a, b) { return a - b; });
			var start = this.rowsToSelect[0];
			var end = this.clickedRowId;
			if (start > end) {
				start = end;
				end = this.rowsToSelect[0];
			}
			this.rowsToSelect = [];
			for (var i = start; i <= end; i++) {
				this.rowsToSelect.push(i);
			}
			// single column
		} else {
			this.rowsToSelect = [this.clickedRowId];
		}

		// mark the selection visual
		this.selectRows();

		// prevent browser from selecting the table
		jqEvent.preventDefault();

		// stop bubble, otherwise the mousedown of the table is called ...
		jqEvent.stopPropagation();

		// prevent ff/chrome/safare from selecting the contents of the table
		return false;
	};

	/**
	 * The mouse-over event for the selection-cells on the left side of the table.
	 * On mouse-over check which column was clicked, calculate the span between
	 * clicked and mouse-overed cell and mark them as selected
	 *
	 * @param jqEvent
	 *            the jquery-event object
	 * @return void
	 */
	Table.prototype.rowSelectionMouseOver = function (jqEvent) {
		var rowIndex = jqEvent.currentTarget.parentNode.rowIndex,
			indexInArray, start, end, i;

		// only select the row if the mouse was clicked and the clickedRowId isn't
		// from the selection-row (row-id = 0)
		if (this.mousedown && this.clickedRowId >= 0) {

			// select first cell
			//var firstCell = this.obj.find('tr:nth-child(2) td:nth-child(2)').children('div[contenteditable=true]').get(0);
			//jQuery(firstCell).get(0).focus();

			indexInArray = jQuery.inArray(rowIndex, this.rowsToSelect);

			start = (rowIndex < this.clickedRowId) ? rowIndex : this.clickedRowId;
			end = (rowIndex < this.clickedRowId) ? this.clickedRowId : rowIndex;

			this.rowsToSelect = [];
			for (i = start; i <= end; i++) {
				this.rowsToSelect.push(i);
			}

			// this actually selects the rows
			this.selectRows();

			// prevent browser from selecting the table
			jqEvent.preventDefault();

			// stop bubble, otherwise the mousedown of the table is called ...
			jqEvent.stopPropagation();

			// prevent ff/chrome/safare from selecting the contents of the table
			return false;
		}
	};

	/**
	 * Binds the needed selection-mouse events to the given cell
	 *
	 * @param cell
	 *            The jquery object of the table-data field
	 * @return void
	 */
	Table.prototype.attachSelectionRow = function () {
		var that = this;

		// create an empty td
		var emptyCell = jQuery('<td>');
		emptyCell.html('\u00a0');

		// get the number of columns in the table (first row)
		// iterate through all rows and find the maximum number of columns to add
		var numColumns = 0;
		for (var i = 0; i < this.obj[0].rows.length; i++) {
			var curNumColumns = 0;

			for (var j = 0; j < this.obj[0].rows[i].cells.length; j++) {
				var colspan = Utils.colspan(this.obj[0].rows[i].cells[j]);
				curNumColumns += colspan;
			}

			if (numColumns < curNumColumns) {
				numColumns = curNumColumns;
			}
		}

		var selectionRow = jQuery('<tr>');
		selectionRow.addClass(this.get('classSelectionRow'));
		selectionRow.css('height', this.get('selectionArea') + 'px');

		// mark selection row as ephemeral
		Ephemera.markElement(selectionRow);

		for (var i = 0; i < numColumns; i++) {

			var columnToInsert = emptyCell.clone();
			// the first cell should have no function, so only attach the events for
			// the rest
			if (i > 0) {
				// bind all mouse-events to the cell
				this.attachColumnSelectEventsToCell(columnToInsert);
				//set the colspan of selection column to match the colspan of first row columns
			} else {
				columnToInsert = jQuery('<td>').clone();
				columnToInsert.addClass(this.get('classLeftUpperCorner'));
				var clickHandler = function (e) {
					// select the Table
					that.focus();
					that.selection.selectAll();

					// set the selection type before updating the scope
					that.tablePlugin.activeTable.selection.selectionType = 'cell';
					that.tablePlugin.updateFloatingMenuScope();

					// As side-effect of the following call the focus
					// will be set on the first selected cell.
					// This will be overwritten with the summary
					// attribute-field, if the setting summaryinsidebar
					// is false.
					that._removeCursorSelection();

					return false;
				};
				this._topLeftCornerCell$ = jQuery('<div/>').css("width", 25 + "px").css("height", 12 + "px").click(clickHandler);
				columnToInsert.append(this._topLeftCornerCell$);
			}

			// add the cell to the row
			selectionRow.append(columnToInsert);
		}

		// global mouseup event to reset the selection properties
		jQuery(document).on('mouseup', function (e) { that.columnSelectionMouseUp(e) });

		this.obj.find('tr:first').before(selectionRow);
	};

	/**
	 * Binds the events for the column selection to the given cell.
	 *
	 * @param cell
	 *            the jquery object of the td-field
	 * @return void
	 */
	Table.prototype.attachColumnSelectEventsToCell = function (cell) {
		var that = this;

		// unbind eventually existing events of this cell
		cell.unbind('mousedown');
		cell.unbind('mouseover');

		// prevent ie from selecting the contents of the table
		cell.get(0).onselectstart = function () { return false; };

		cell.on('mousedown', function (e) { that.columnSelectionMouseDown(e) });
		cell.on('mouseover', function (e) { that.columnSelectionMouseOver(e) });
	};

	/**
	 * Handles the mouse-down event for the selection-cells on the top of the
	 * menu
	 *
	 * @param {jQuery:Event} jqEvent - the jquery-event object
	 * @return void
	 */
	Table.prototype.columnSelectionMouseDown = function (jqEvent) {
		// focus the table (if not already done)
		this.focus();

		// if no cells are selected, reset the selection-array
		if (this.selection.selectedCells.length === 0) {
			this.columnsToSelect = [];
		}

		// set the origin-columnId of the mouse-click
		this.clickedColumnId = jQuery(jqEvent.currentTarget.parentNode)
			.children().index(jqEvent.currentTarget);

		// set single column selection
		if (jqEvent.metaKey) {
			var arrayIndex = jQuery.inArray(this.clickedColumnId, this.columnsToSelect);
			if (arrayIndex >= 0) {
				this.columnsToSelect.splice(arrayIndex, 1);
			} else {
				this.columnsToSelect.push(this.clickedColumnId);
			}
			// block of columns selection
		} else if (jqEvent.shiftKey) {
			this.columnsToSelect.sort(function (a, b) { return a - b; });
			var start = this.columnsToSelect[0];
			var end = this.clickedColumnId;
			if (start > end) {
				start = end;
				end = this.columnsToSelect[0];
			}
			this.columnsToSelect = [];
			for (var i = start; i <= end; i++) {
				this.columnsToSelect.push(i);
			}
			// single column
		} else {
			this.columnsToSelect = [this.clickedColumnId];
		}

		// mark the selection visual
		this.selectColumns();

		// prevent browser from selecting the table
		jqEvent.preventDefault();

		// stop bubble, otherwise the mousedown of the table is called ...
		jqEvent.stopPropagation();

		// prevent ff/chrome/safare from selecting the contents of the table
		return false;
	};

	/**
	 * Mouseover-event for the column-selection cell. This method calcluates the
	 * span between the clicked column and the mouse-overed cell and selects the
	 * columns inbetween. and mark them as selected
	 *
	 * @param jqEvent
	 *            the jquery-event object
	 * @return void
	 */
	Table.prototype.columnSelectionMouseOver = function (jqEvent) {

		var
			colIdx = jqEvent.currentTarget.cellIndex,
			columnsToSelect = [],
			start,
			end;

		// select all columns from the last clicked to the hoverd
		if (this.mouseDownColIdx) {
			start = (colIdx < this.mouseDownColIdx) ? colIdx : this.mouseDownColIdx;
			end = (colIdx < this.mouseDownColIdx) ? this.mouseDownColIdx : colIdx;
			for (var i = start; i <= end; i++) {
				columnsToSelect.push(i);
			}
			this.selectColumns(columnsToSelect);
		}
	};

	/**
	 * MouseUp-event for the column-selection. This method resets the
	 * selection mode
	 *
	 * @param jqEvent
	 *            the jquery-event object
	 * @return void
	 */
	Table.prototype.columnSelectionMouseUp = function (jqEvent) {
		this.mouseDownColIdx = false;
	};

	/**
	 * Deletes the selected rows. If no row are selected, delete the row, where the
	 * cursor is positioned. If all rows of the table should be deleted, the whole
	 * table is deletet and removed from the tableRegistry.
	 *
	 * @return void
	 */
	Table.prototype.deleteRows = function () {
		var
			rowIDs = [],
			rowsToDelete = {},
			table = this;

		// if a selection was made, delete the selected cells
		if (0 === this.selection.selectedCells.length) {
			return;
		}

		for (var i = 0; i < this.selection.selectedCells.length; i++) {
			rowsToDelete[this.selection.selectedCells[i].parentNode.rowIndex] = true;
		}

		for (var rowId in rowsToDelete) {
			rowIDs.push(rowId);
		}

		// if all rows should be deleted, set a flag to remove the WHOLE table
		var deleteTable = false;
		if (rowIDs.length == this.numRows) {
			deleteTable = true;
		}


		// delete the whole table
		if (deleteTable) {
			var that = this;
			Dialog.confirm({
				title: i18n.t('Table'),
				text: i18n.t('deletetable.confirm'),
				yes: function () {
					that.deleteTable();
				}
			});
		} else {

			rowIDs.sort(function (a, b) { return a - b; });

			// check which cell should be focused after the deletion
			var focusRowId = rowIDs[0];
			if (focusRowId > (this.numRows - rowIDs.length)) {
				focusRowId--;
			}

			// get all rows
			var rows = this.getRows();

			//splits all cells on the rows to be deleted
			jQuery.each(rowIDs, function (unused, rowId) {
				var row = rows[rowId];
				for (var i = 0; i < row.cells.length; i++) {
					Utils.splitCell(row.cells[i], function () {
						return table.newActiveCell().obj;
					});
				}
			});

			//decreases rowspans of cells that span the row to be deleted
			//and removes the row
			var grid = Utils.makeGrid(rows);
			jQuery.each(rowIDs, function (unused, rowId) {
				var row = grid[rowId];
				for (var j = 0; j < row.length;) {
					var cellInfo = row[j];
					var rowspan = Utils.rowspan(cellInfo.cell);
					if (1 < rowspan) {
						jQuery(cellInfo.cell).attr('rowspan', rowspan - 1);
					}
					j += cellInfo.colspan;
				}
				jQuery(rows[rowId]).remove();
			});

			// reduce the attribute storing the number of rows in the table
			this.numRows -= rowIDs.length;

			// IE needs a timeout to work properly
			window.setTimeout(function () {
				var lastCell = jQuery(rows[1].cells[focusRowId + 1]);
				lastCell.focus();
			}, 5);

			// finally unselect the marked cells
			this.selection.unselectCells();
		}

		Aloha.activeEditable.smartContentChange({ type: 'block-change', plugin: 'table-plugin' });
	};

	/**
	 * Deletes the selected columns. If no columns are selected, delete the column, where the
	 * cursor is positioned. If all columns of the table should be deleted, the whole
	 * table is deleted from the dom and removed from the tableRegistry.
	 *
	 * @return void
	 */
	Table.prototype.deleteColumns = function () {
		var
			colIDs = [],
			cellToDelete = [],
			// get all rows to iterate
			rows = this.getRows(),
			that = this,
			changeColspan = [],
			cells,
			cellInfo;

		var grid = Utils.makeGrid(rows);
		var selectColWidth = 1; //width of the select-row column
		var selectedColumnIdxs = this.selection.selectedColumnIdxs;
		// if at least on whole table column was selected using cell selection
		// it should also be possible to delete the column
		// therefore we need to determine which columns are selected using the
		// current rectangle
		if (
			(!selectedColumnIdxs || selectedColumnIdxs.length === 0) &&
			// check if the current rectangle is active
			this.selection.currentRectangle &&
			// check if a whole column is selected
			this.selection.currentRectangle.top === 1 &&
			this.selection.currentRectangle.bottom >= this.numRows &&
			// check if there are really meaningful values in the rectangle
			this.selection.currentRectangle.right > 0 &&
			this.selection.currentRectangle.left > 0
		) {
			selectedColumnIdxs = [];
			for (var l = this.selection.currentRectangle.left; l <= this.selection.currentRectangle.right; l++) {
				selectedColumnIdxs.push(l);
			}
		}

		// if all columns should be deleted, remove the WHOLE table
		// delete the whole table
		if (selectedColumnIdxs.length == grid[0].length - selectColWidth) {
			Dialog.confirm({
				title: i18n.t('Table'),
				text: i18n.t('deletetable.confirm'),
				yes: function () {
					that.deleteTable();
				}
			});

		} else {

			colIDs.sort(function (a, b) { return a - b; });

			//TODO there is a bug that that occurs if a column is
			//selected and deleted, and then a column with a greater
			//x-index is selected and deleted.

			//sorted so we delete from right to left to minimize interfernce of deleted rows

			var gridColumns = selectedColumnIdxs.sort(function (a, b) { return b - a; });
			for (var i = 0; i < gridColumns.length; i++) {
				var gridColumn = gridColumns[i];
				for (var j = 0; j < rows.length; j++) {
					cellInfo = grid[j][gridColumn];
					if (!cellInfo) {
						//TODO this case occurred because of a bug somewhere which should be fixed
						continue;
					}
					if (0 === cellInfo.spannedX) {
						if (1 < cellInfo.colspan) {
							var nCell = this.newActiveCell().obj;
							jQuery(cellInfo.cell).after(nCell);
							nCell.attr('rowspan', cellInfo.rowspan);
							nCell.attr('colspan', cellInfo.colspan - 1);
						}
						jQuery(cellInfo.cell).remove();
					} else {
						jQuery(cellInfo.cell).attr('colspan', cellInfo.colspan - 1);
					}
					//ensures that always 0 === cellInfo.spannedY
					j += cellInfo.rowspan - 1;
				}
				//rebuild the grid to reflect the table structure change
				grid = Utils.makeGrid(rows);
			}

			// reduce the attribute storing the number of rows in the table
			this.numCols -= colIDs.length;

			// IE needs a timeout to work properly
			window.setTimeout(function () {
				var lastCell = jQuery(rows[1].cells[1]);
				lastCell.focus();
			}, 5);

			this.selection.unselectCells();
		}

		Aloha.activeEditable.smartContentChange({ type: 'block-change', plugin: 'table-plugin' });
	};

	/**
	 * Deletes the table from the dom and remove it from the tableRegistry.
	 *
	 * @return void
	 */
	Table.prototype.deleteTable = function () {

		var deleteIndex = -1;
		for (var i = 0; i < this.tablePlugin.TableRegistry.length; i++) {
			if (this.tablePlugin.TableRegistry[i].obj.attr('id') == this.obj.attr('id')) {
				deleteIndex = i;
				break;
			}
		}
		if (deleteIndex >= 0) {
			// before deleting the table, deactivate it
			this.deactivate();

			this.selection.selectionType = undefined;
			this.tablePlugin.TableRegistry.splice(i, 1);

			// we will set the cursor right before the removed table
			var newRange = Aloha.Selection.rangeObject;
			// TODO set the correct range here (cursor shall be right before the removed table)
			newRange.endContainer = this.wrappedObj.get(0).parentNode;
			newRange.startContainer = newRange.endContainer;

			newRange.endOffset = Dom.getIndexInParent(this.wrappedObj.get(0));
			newRange.startOffset = newRange.endOffset;

			newRange.clearCaches();

			this.wrappedObj.remove();

			var that = this;
			// IE needs a timeout to work properly
			window.setTimeout(function () {
				that.parentEditable.obj.focus();
			}, 5);

			// select the new range
			newRange.correctRange();
			newRange.select();
		}
	};

	/**
	 * @param {string} position
	 *            could be 'after' or 'before'. defines the position where the new
	 *            rows should be inserted
	 */
	function rowIndexFromSelection(position, selection) {

		var newRowIndex = -1;

		// get the index where the new rows should be inserted
		var cellOfInterest = null;
		if ('before' === position) {
			cellOfInterest = selection.selectedCells[0];
		} else if ('after' === position) {
			var offset = selection.selectedCells.length - 1;
			cellOfInterest = selection.selectedCells[offset];
		}

		if (cellOfInterest && cellOfInterest.nodeType == 1) {
			newRowIndex = cellOfInterest.parentNode.rowIndex;
		}

		return newRowIndex;
	}

	/**
	 * Wrapper function for this.addRow to add a row before the active row
	 *
	 * @see Table.prototype.addRow
	 */
	Table.prototype.addRowBeforeSelection = function (highlightNewRows) {
		var newRowIndex = rowIndexFromSelection('before', this.selection);
		if (-1 !== newRowIndex) {
			this.addRow(newRowIndex);
		}
	};

	/**
	 * Wrapper function for this.addRow to add a row after the active row
	 *
	 * @see Table.prototype.addRow
	 */
	Table.prototype.addRowAfterSelection = function () {
		var newRowIndex = rowIndexFromSelection('after', this.selection);
		if (-1 !== newRowIndex) {
			this.addRow(newRowIndex + 1);
		}
	};

	/**
	 * Adds a new row to the table.
	 *
	 * @param {int} rowIndex
	 *        the index at which the new row shall be inserted
	 * @return <HTMLElemenet> last row inserted
	 */
	Table.prototype.addRow = function (newRowIndex) {
		var rowsToInsert = 1;
		var $insertionRow;
		var classSelectionColumn = this.get('classSelectionColumn');

		var $rows = this.obj.children().children('tr');
		for (var j = 0; j < rowsToInsert; j++) {
			$insertionRow = jQuery('<tr>');

			$insertionRow.addClass(this.tablePlugin.defaultRowClass);

			// create the first column, the "select row" column
			var $selectionColumn = jQuery('<td>');
			$selectionColumn.addClass(classSelectionColumn);
			this.attachRowSelectionEventsToCell($selectionColumn);
			$insertionRow.append($selectionColumn);

			var grid = Utils.makeGrid($rows);
			var selectColOffset = 1;
			if (newRowIndex >= grid.length) {
				for (var i = selectColOffset; i < grid[0].length; i++) {
					$insertionRow.append(this.newActiveCell().obj);
				}
			} else {
				var newRow = grid[newRowIndex];
				for (var i = selectColOffset, len = newRow.length; i < len;) {
					var cellInfo = newRow[i];
					if (Utils.containsDomCell(cellInfo)) {
						var colspan = cellInfo.colspan;
						while (colspan--) {
							$insertionRow.append(this.newActiveCell().obj);
						}
					} else {
						jQuery(cellInfo.cell).attr('rowspan', cellInfo.rowspan + 1);
					}
					i += cellInfo.colspan;
				}
			}

			if (newRowIndex >= $rows.length) {
				$rows.eq($rows.length - 1).after($insertionRow);
			} else {
				$rows.eq(newRowIndex).before($insertionRow);
			}
		}

		this.numRows += rowsToInsert;

		Aloha.activeEditable.smartContentChange({ type: 'block-change', plugin: 'table-plugin' });

		return $insertionRow[0];
	};

	/**
	 * Wrapper method to add columns on the right side
	 *
	 * @see Table.addColumns
	 * @return void
	 */
	Table.prototype.addColumnsRight = function () {
		this.addColumns('right');
	};

	/**
	 * Wrapper method to add columns on the left side
	 *
	 * @see Table.addColumns
	 * @return void
	 */
	Table.prototype.addColumnsLeft = function () {
		this.addColumns('left');
	};

	/**
	 * Inserts new columns into the table. Either on the right or left side. If
	 * columns are selected, the amount of selected columns will be inserted on the
	 * 'right' or 'left' side. If no cells are selected, 1 new column will be
	 * inserted before/after the column of the last active cell.
	 * As well all column-selection events must be bound to the firsts row-cell.
	 *
	 * @param position
	 *            could be 'left' or 'right'. defines the position where the new
	 *            columns should be inserted
	 * @return void
	 */
	Table.prototype.addColumns = function (position) {
		var
			that = this,
			emptyCell = jQuery('<td>'),
			rows = this.getRows(),
			cell,
			currentColIdx,
			columnsToSelect = [],
			selectedColumnIdxs = this.selection.selectedColumnIdxs;

		if (0 === selectedColumnIdxs.length) {
			return;
		}

		selectedColumnIdxs.sort(function (a, b) { return a - b; });

		// refuse to insert a column unless a consecutive range has been selected
		if (!Utils.isConsecutive(selectedColumnIdxs)) {
			Dialog.alert({
				title: i18n.t('Table'),
				text: i18n.t('table.addColumns.nonConsecutive')
			});
			return;
		}

		if ('left' === position) {
			currentColIdx = selectedColumnIdxs[0];
			// inserting a row before the selected column indicies moves
			// all selected columns one to the right
			for (var i = 0; i < this.selection.selectedColumnIdxs.length; i++) {
				this.selection.selectedColumnIdxs[i] += 1;
			}
		} else {//"right" == position
			currentColIdx = selectedColumnIdxs[selectedColumnIdxs.length - 1];
		}

		var grid = Utils.makeGrid(rows);

		for (var i = 0; i < rows.length; i++) {
			// prepare the cell to be inserted
			cell = emptyCell.clone();
			cell.html('\u00a0');

			// on first row correct the position of the selected columns
			if (i === 0) {
				// this is the first row, so make a column-selection cell
				this.attachColumnSelectEventsToCell(cell);
			} else {
				// activate the cell for this table
				cellObj = this.newActiveCell(cell.get(0));
				cell = cellObj.obj;
			}

			var leftCell = Utils.leftDomCell(grid, i, currentColIdx);
			if (null === leftCell) {
				jQuery(rows[i]).prepend(cell);
			} else {
				if ('left' === position && Utils.containsDomCell(grid[i][currentColIdx])) {
					jQuery(leftCell).before(cell);
				} else {//right
					jQuery(leftCell).after(cell);
				}
			}

			this.numCols++;
		}

		Aloha.activeEditable.smartContentChange({ type: 'block-change', plugin: 'table-plugin' });
	};

	/**
	 * Helper method to set the focus-attribute of the table to true
	 *
	 * @return void
	 */
	Table.prototype.focus = function () {
		if (!this.hasFocus) {
			if (!this.parentEditable.isActive) {
				this.parentEditable.obj.focus();
			}

			// @iefix
			this.tablePlugin.setFocusedTable(this);

			// select first cell
			// TODO put cursor in first cell without selecting
			//var firstCell = this.obj.find('tr:nth-child(2) td:nth-child(2)').children('div[contenteditable=true]').get(0);
			//jQuery(firstCell).get(0).focus();

		}

		// TODO workaround - fix this. the selection is updated later on by the browser
		// using setTimeout here is hideous, but a simple execution-time call will fail
		// DEACTIVATED by Haymo prevents selecting rows
		//	setTimeout('Aloha.Selection.updateSelection(false, true)', 50);

	};

	/**
	 * Helper method to set the focus-attribute of the table to false
	 *
	 * @return void
	 */
	Table.prototype.focusOut = function () {
		if (this.hasFocus) {
			this.tablePlugin.setFocusedTable(undefined);
			this.selection.selectionType = undefined;
		}
	};

	/**
	 * Undoes the cursor-selection after cells have been selected.  This
	 * is done to be more consistent in the UI - there should either be
	 * a cursor-selection or a cell-selection, but not both.
	 */
	Table.prototype._removeCursorSelection = function () {
		// We can't remove the selection on IE because whenever a
		// row/column is selected, and then another row/column is
		// selected, the browser windows scrolls to the top of the page
		// (som kind of browser bug).

		// This is no problem for IE because IE removes the
		// cursor-selection by itself and shows a frame around the
		// table, with resize handles (the frame seems useless).

		// On other browsers, we can't remove the selection because the
		// floating menu will disappear when one selects a rows/column
		// and types a key (that's the same effect as when one clicks
		// outside the editable).

		//TODO: currently, removing the cursor selection can't be
		//     reliably implemented.
		//if ( ! jQuery.browser.msie ) {
		//    Aloha.getSelection().removeAllRanges();
		//}

		// The following is a workaround for the above because we can't
		// leave the cursor-selection outside of the table, since
		// otherwise the floating menu scope will be incorrect when one
		// CTRL-clicks on the rows or columns.

		var selection = Aloha.getSelection();

		if (!selection ||
			!selection._nativeSelection ||
			selection._nativeSelection._ranges.length === 0) {
			return;
		}

		var range = selection.getRangeAt(0);
		if (null === range.startContainer) {
			return;
		}

		// if the selection is  already in the table, do nothing
		if (0 !== jQuery(range.startContainer).closest('table').length) {
			return;
		}

		// if no cells are selected, do nothing
		if (0 === this.selection.selectedCells.length) {
			return;
		}

		// set the foces to the first selected cell
		var container = TableCell.getContainer(this.selection.selectedCells[0]);
		jQuery(container).focus();
	};

	/**
	 * Marks all cells of the specified column as marked (adds a special class)
	 *
	 * @return void
	 */
	Table.prototype.selectColumns = function (columns) {
		var columnsToSelect;

		if (columns) {
			columnsToSelect = columns;
		} else {
			columnsToSelect = this.columnsToSelect;
		}

		this.selection.selectColumns(columnsToSelect);
		this.tablePlugin._tableSelectionHeaderButton.setActive(this.selection.isHeader());

		// blur all editables within the table
		this.obj.find('div.aloha-ui-table-cell-editable').blur();

		Utils.selectAnchorContents(this.selection.selectedCells);

		this.selection.notifyCellsSelected();
		this._removeCursorSelection();
	};

	/**
	 * Marks all cells of the specified row as marked (adds a special class)
	 *
	 * @return void
	 */
	Table.prototype.selectRows = function () {

		this.selection.selectRows(this.rowsToSelect);
		this.tablePlugin._tableSelectionHeaderButton.setActive(this.selection.isHeader());

		// blur all editables within the table
		this.obj.find('div.aloha-ui-table-cell-editable').blur();

		Utils.selectAnchorContents(this.selection.selectedCells);

		this.selection.notifyCellsSelected();
		this._removeCursorSelection();
	};

	/**
	 * Deactivation of a Aloha-table. Clean up ... remove the wrapping div and the
	 * selection-helper divs
	 *
	 * @return void
	 */
	Table.prototype.deactivate = function () {
		// preserve the current selection
		var range = new Aloha.Selection.SelectionRange(true);

		// unblockify the table wrapper
		var parent = this.wrappedObj.parent();
		if (parent.mahaloBlock) {
			parent.mahaloBlock();
		}

		this.obj.removeClass(this.get('className'));
		if (jQuery.trim(this.obj.attr('class')) === '') {
			this.obj.removeAttr('class');
		}
		this.obj.removeAttr('contenteditable');
		//	this.obj.removeAttr('id');

		// unwrap the selectionLeft-div if available
		if (this.wrappedObj.parents('.' + this.get('classTableWrapper')).length) {
			this.wrappedObj.unwrap();
		}

		// remove the selection row
		this.obj.find('tr.' + this.get('classSelectionRow') + ':first').remove();
		// remove the selection column (first column left)
		var that = this;
		jQuery.each(this.obj[0].rows, function () {
			jQuery(this).children('td.' + that.get('classSelectionColumn')).remove();
		});

		// remove the "selection class" from all td and th in the table
		this.obj.find('td, th').removeClass(this.get('classCellSelected'));
		this.obj.find('td, th').removeClass('aloha-table-cell_active');

		// remove cursor-styles
		this.obj.find('td, th').css('cursor', '');

		this.obj.unbind();
		this.obj.children('tbody').unbind();

		// wrap the inner html of the contentEditable div to its outer html
		for (var i = 0; i < this.cells.length; i++) {
			var Cell = this.cells[i];
			Cell.deactivate();
		}

		// remove editable span in caption (if any)
		this.obj.find('caption div').each(function () {
			jQuery(this).contents().unwrap();
		});

		this.tablePlugin._tableCaptionButton.deactivate();
		this.tablePlugin._tableSelectionHeaderButton.deactivate();

		// better unset ;-) otherwise activate() may think you're activated.
		this.isActive = false;

		// select the selection, because the dom around the selection might have changed (e.g. when an editable in the table was clicked)
		if (typeof range.startContainer !== 'undefined' && typeof range.endContainer !== 'undefined') {
			range.select();
		}
	};

	/**
	 * Attach the event for column resize for the given cell.
	 * @param {DOMElement} tableCell
	 *
	 * @return void
	 */
	Table.prototype.attachColumnResize = function (cell) {

		var that = this;

		//unbind any exisiting resize event handlers
		that.detachRowColResize(cell);

		var rows = cell.closest('tbody').children('tr');
		var cellRow = cell.closest('tr');
		var gridId = Utils.cellIndexToGridColumn(rows,
			rows.index(cellRow),
			cellRow.children().index(cell)
		);

		var resizeColumns = function (pixelsMoved) {
			var expandToWidth, reduceToWidth;

			Utils.walkCells(rows, function (ri, ci, gridCi, colspan, rowspan) {
				var currentCell = jQuery(jQuery(rows[ri]).children()[ci]);

				// skip the select & cells with colspans
				if (currentCell.hasClass('aloha-table-selectrow') || currentCell.closest('tr').hasClass('aloha-table-selectcolumn') || colspan > 1) {
					return true;
				}

				if (gridCi === gridId) {
					if (!reduceToWidth) {
						reduceToWidth = currentCell.width() - pixelsMoved;
					}

					Utils.resizeCellWidth(currentCell, reduceToWidth);

				} else if (gridCi === gridId - 1) {
					if (!expandToWidth) {
						expandToWidth = currentCell.width() + pixelsMoved;
					}

					Utils.resizeCellWidth(currentCell, expandToWidth);

				}

				return true;
			});

			if (that.tablePlugin.colResize == '%') {
				Utils.convertCellWidthToPercent(rows);
			}
		};

		cell.on('mousedown.resize', function ($event) {
			// prevent cell resizing, if mousedown was on a block handle
			if (jQuery($event.target).hasClass('aloha-block-draghandle')) {
				return;
			}

			var $guide = jQuery('<div></div>');
			var isResizing = false;

			Utils.getCellResizeBoundaries(gridId, rows, function (maxPageX, minPageX) {
				isResizing = true;

				// unset the selection type
				that.selection.resizeMode = true;

				// move the guide while dragging
				jQuery('body').on('mousemove.dnd_col_resize', function (e) {
					// limit the maximum resize
					if (e.pageX > minPageX && e.pageX < maxPageX) {
						$guide.css('left', e.pageX);
					}
				});

				// do the actual resizing after drag stops
				jQuery('body').on('mouseup.dnd_col_resize', function (e) {
					var pixelsMoved = 0;

					if (e.pageX < minPageX) {
						pixelsMoved = minPageX - cell.offset().left;
					} else if (e.pageX > minPageX && e.pageX < maxPageX) {
						pixelsMoved = e.pageX - cell.offset().left;
					} else if (e.pageX > maxPageX) {
						pixelsMoved = maxPageX - cell.offset().left;
					}

					if (pixelsMoved !== 0) {
						resizeColumns(pixelsMoved);
					}

					jQuery('body').unbind('mousemove.dnd_col_resize');
					jQuery('body').unbind('mouseup.dnd_col_resize');

					// unset the selection resize mode
					that.selection.resizeMode = false;

					$guide.remove();
				});
			});

			if (!isResizing) {
				return;
			}

			var $cell = jQuery(cell);
			var width = $cell.outerWidth() - $cell.innerWidth();
			var height = $cell.closest('tbody').innerHeight();

			$guide.css({
				'height': (height < 1) ? 1 : height,
				'width': (width < 1) ? 1 : width,
				'top': $cell.closest('tbody').offset().top,
				'left': $cell.offset().left,
				'position': 'absolute',
				'background-color': '#80B5F2'
			}).appendTo('body');
		});

	};

	/**
	 * Attach the event handler for row resize for the given cell.
	 * @param {DOMElement} tableCell
	 *
	 * @return void
	 */
	Table.prototype.attachRowResize = function (cell, lastRow) {

		var that = this;

		//unbind any exisiting resize event handlers
		that.detachRowColResize(cell);

		var resizeRows = function (pixelsMoved) {
			var expandingRow;

			if (lastRow) {
				expandingRow = cell.closest('tr');
			} else {
				expandingRow = cell.closest('tr').prev('tr');
			}

			var currentRowHeight = expandingRow.height();
			var expandToHeight = currentRowHeight + pixelsMoved;

			// correct if the height is a minus value
			if (expandToHeight < 0) {
				expandToHeight = 1;
			}

			expandingRow.css('height', expandToHeight);
		};

		cell.on('mousedown.resize', function ($event) {
			// prevent cell selection, if mousedown was on a block handle
			if (jQuery($event.target).hasClass('aloha-block-draghandle')) {
				return;
			}

			// create a guide
			var guide = jQuery('<div></div>');

			var guideTop = function () {
				if (lastRow) {
					return cell.offset().top + cell.outerHeight();
				} else {
					return cell.offset().top;
				}
			};

			var width = cell.closest('tbody').innerWidth();
			var height = cell.outerHeight() - cell.innerHeight();

			guide.css({
				'width': (width < 1) ? 1 : width,
				'height': (height < 1) ? 1 : height,
				'top': guideTop(),
				'left': cell.closest('tbody').offset().left,
				'position': 'absolute',
				'background-color': '#80B5F2'
			});
			jQuery('body').append(guide);

			// set the minimum resize
			var minHeight = function () {
				if (lastRow) {
					return cell.closest('tr').offset().top;
				} else {
					return cell.closest('tr').prev('tr').offset().top;
				}
			};

			// set the selection resize mode
			that.selection.resizeMode = true;

			// move the guide while dragging
			jQuery('body').on('mousemove.dnd_row_resize', function (e) {
				if (e.pageY > minHeight()) {
					guide.css('top', e.pageY);
				}
			});

			// do the actual resizing after drag stops
			jQuery('body').on('mouseup.dnd_row_resize', function (e) {

				var pixelsMoved = 0;

				if (lastRow) {
					pixelsMoved = e.pageY - (cell.offset().top + cell.outerHeight());
				} else {
					pixelsMoved = e.pageY - cell.offset().top;
				}

				resizeRows(pixelsMoved);

				jQuery('body').unbind('mousemove.dnd_row_resize');
				jQuery('body').unbind('mouseup.dnd_row_resize');

				// unset the selection resize mode
				that.selection.resizeMode = false;

				guide.remove();
			});

		});

	};

	/**
	 * Attach the table width resize event.
	 * @param {DOMElement} table
	 *
	 * @return void
	 */
	Table.prototype.attachTableResizeWidth = function (table) {

		var that = this;
		var tableContainer = table.closest('.aloha-table-wrapper');
		var trSelector = "tr:not(.aloha-table-selectcolumn)";
		var lastColumn = table.find(trSelector + " th:last-child, " +
			trSelector + " td:last-child");
		var lastCell;

		jQuery.each(lastColumn, function () {
			// don't use colspanned cell as the base cell
			if (!jQuery(this).attr('colspan') || jQuery(this).attr('colspan') < 2) {
				lastCell = jQuery(this);
				return false;
			}
		});

		// change the cursor
		lastColumn.css('cursor', 'col-resize');

		var resizeColumns = function (pixelsMoved) {
			var rows = table.find('tr');
			var lastCellRow = lastCell.closest('tr');
			var gridId = Utils.cellIndexToGridColumn(
				rows,
				rows.index(lastCellRow),
				lastCellRow.children().index(lastCell)
			);
			var expandToWidth = pixelsMoved - Utils.getCellBorder(lastCell) - Utils.getCellPadding(lastCell),
				cellChanges = [],
				gridCellWidthBefore = 0,
				tableWidthBefore = table.width();

			Utils.walkCells(rows, function (ri, ci, gridCi, colspan, rowspan) {
				var currentCell = jQuery(jQuery(rows[ri]).children()[ci]);

				// skip the select cells and cells with colspans
				if (currentCell.hasClass('aloha-table-selectrow') || currentCell.closest('tr').hasClass('aloha-table-selectcolumn') || colspan > 1) {
					return true;
				}

				// we keep a list of changes an apply them in a second run
				// in order to not change the values we are calculating with during the process
				if (gridCi === gridId) {
					gridCellWidthBefore = currentCell.width();
					cellChanges.push({ cell: currentCell, width: expandToWidth });
				} else {
					cellChanges.push({ cell: currentCell, width: currentCell.width() });
				}
				return true;
			});

			// now we apply the changes to the table cells
			jQuery.each(cellChanges, function (index, item) {
				Utils.resizeCellWidth(item.cell, item.width);
			});

			// set the width on the table to ensure that the table actually shrinks
			// and that we can use percent values on the columns
			table.css('width', (tableWidthBefore + (expandToWidth - gridCellWidthBefore)) + 'px');

			if (that.tablePlugin.colResize == '%') {
				Utils.convertCellWidthToPercent(rows);
			}
		};

		lastColumn.on('mousedown.resize', function () {

			// create a guide
			var guide = jQuery('<div></div>');

			var height = table.children('tbody').innerHeight();
			var width = lastCell.outerWidth() - lastCell.innerWidth();

			guide.css({
				'height': (height < 1) ? 1 : height,
				'width': (width < 1) ? 1 : width,
				'top': table.find('tbody').offset().top,
				'left': table.offset().left + table.outerWidth(),
				'position': 'absolute',
				'background-color': '#80B5F2'
			});
			jQuery('body').append(guide);

			// set the maximum and minimum resize
			var maxPageX = tableContainer.offset().left + tableContainer.width();
			var minPageX = lastCell.offset().left + (lastCell.innerWidth() - lastCell.width()) + Utils.getMinColWidth(lastCell);

			// unset the selection type
			that.selection.resizeMode = true;

			// move the guide while dragging
			jQuery('body').on('mousemove.dnd_col_resize', function (e) {
				// limit the maximum resize
				if (e.pageX > minPageX && e.pageX < maxPageX) {
					guide.css('left', e.pageX);
				}
			});

			// do the actual resizing after drag stops
			jQuery('body').on('mouseup.dnd_col_resize', function (e) {
				var pixelsMoved = 0;

				if (e.pageX <= minPageX) {
					pixelsMoved = minPageX - lastCell.offset().left;
				} else if (e.pageX > minPageX && e.pageX < maxPageX) {
					pixelsMoved = e.pageX - lastCell.offset().left;
				} else if (e.pageX > maxPageX) {
					pixelsMoved = maxPageX - lastCell.offset().left;
				}
				// set the table width
				resizeColumns(pixelsMoved);

				// unbind the events and reset the cursor
				jQuery('body').unbind('mousemove.dnd_col_resize');
				jQuery('body').unbind('mouseup.dnd_col_resize');
				lastColumn.unbind('mousedown.resize');
				lastColumn.css('cursor', 'default');

				// unset the selection resize mode
				that.selection.resizeMode = false;

				guide.remove();
			});

		});

	};

	/**
	 * Detach any column/row resize event handlers attached to the cell.
	 * @param {DOMElement} tableCell
	 *
	 * @return void
	 */
	Table.prototype.detachRowColResize = function (cell) {
		return cell.unbind('mousedown.resize');
	};

	/**
	 * toString-method for Table object
	 *
	 * @return void
	 */
	Table.prototype.toString = function () {
		return 'Table';
	};

	Table.prototype.newCell = function (domElement) {
		return new TableCell(domElement, this);
	};

	Table.prototype.newActiveCell = function (domElement) {
		var cell = new TableCell(domElement, this);
		cell.activate();
		return cell;
	};

	/**
	 * @param {Boolean} filterSelectionRow filter selection row
	 * @return the rows of the table as an array of DOM nodes
	 */
	Table.prototype.getRows = function (filterSelectionRow) {
		//W3C DOM property .rows supported by all modern browsers
		var rows = this.obj.get(0).rows;
		//converts the HTMLCollection to a real array
		rows = jQuery.makeArray(rows);
		if (filterSelectionRow) {
			rows = rows.filter(function (elt, i, array) {
				return !jQuery(elt).hasClass('aloha-ephemera');
			});
		}
		return rows;
	};

	return Table;
});

define('table/table-size-select',[
    'ui/component'
], function(
    Component
) {
    var TableSizeSelect = Component.extend({
        type: 'table-size-select',

        maxColumns: 10,
        maxRows: 10,

        activeCells: [],

        /**
         * @typedef {object} TableSize
         * @property {number} columns - Amount of columns
         * @property {number} rows - Amount of rows
         */
        /** @type {null|TableSize} */
        selectedPosition: null,

        init: function() {
            this.element = $('<div>', {
                class: 'aloha aloha-ui aloha-table-size-grid',
            });

            this.updateSizesToElement();

            var _this = this;

            this.element.on('mouseleave', function() {
                _this.setActivePosition(-1, -1);
            });
        },

        updateMaxSize: function(rows, columns) {
            this.maxRows = rows;
            this.maxColumns = columns;

            this.updateSizesToElement();
        },

        updateSizesToElement: function() {
            this.element.css({
                '--aloha-grid-columns': this.maxColumns,
                '--aloha-grid-rows': this.maxRows,
            });

            // Remove all children first (if any are present)
            this.element.children().remove();
            
            // (re-)populate the grid
            this.populateGrid();
        },

        populateGrid: function() {
            var _this = this;

            function createCell(cellRow, cellCol) {
                var $cell = $('<div>', {
                    class: 'cell',
                    attr: {
                        'data-row': cellRow,
                        'data-column': cellCol,
                    },
                });
                $cell.on('click', function(event) {
                    event.preventDefault();
                    event.stopImmediatePropagation();
                    _this.onPositionSelect(cellRow, cellCol);
                    return true;
                });
                $cell.on('mouseenter', function() {
                    _this.setActivePosition(cellRow, cellCol);
                });
                return $cell;
            }

            for (var currentRow = 0; currentRow < this.maxRows; currentRow++) {
                var $row = $('<div>', { class: 'grid-row' });

                for (var currentColumn = 0; currentColumn < this.maxColumns; currentColumn++) {
                    $row.append(createCell(currentRow, currentColumn));
                }

                this.element.append($row);
            }
        },

        setActivePosition: function(row, column) {
            var $allCells = this.element.find('.cell');
            
            if (row < 0 || column < 0) {
                $allCells.removeClass('active');
                this.activeCells = [];
                return;
            }

            this.activeCells = $allCells.filter(function() {
                var $cell = $(this);
                var cellRow = parseInt($cell.data('row'), 10);
                var cellCol = parseInt($cell.data('column'), 10);

                return cellRow <= row && cellCol <= column;
            });

            this.activeCells.addClass('active');
            $allCells.not(this.activeCells).removeClass('active');
        },

        onPositionSelect: function(row, column) {
            this.touch();

            this.selectedPosition = {
                rows: row + 1,
                columns: column + 1,
            };

            if (typeof this.changeNotify === 'function') {
                this.changeNotify(this.selectedPosition);
            }
        },

        setValue: function(position) {
            this.selectedPosition = position;
        },
        getValue: function() {
            return this.selectedPosition;
        },
    });

    return TableSizeSelect;
});

/* table-plugin.js is part of the Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2014 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 * License http://aloha-editor.org/license.php
 */
define('table/table-plugin',[
	'jquery',
	'aloha',
	'PubSub',
	'aloha/plugin',
	'aloha/pluginmanager',
	'aloha/content-rules',
	'aloha/ephemera',
	'aloha/console',
	'ui/ui',
	'ui/ui-plugin',
	'ui/icons',
	'ui/scopes',
	'ui/button',
	'ui/contextButton',
	'ui/toggleButton',
	'ui/attributeButton',
	'ui/dialog',
	'ui/dynamicForm',
	'util/dom',
	'table/table',
	'table/table-plugin-utils',
	'table/table-selection',
	'table/table-size-select',
	'i18n!table/nls/i18n'
], function (
	$,
	Aloha,
	PubSub,
	Plugin,
	PluginManager,
	ContentRules,
	Ephemera,
	Console,
	Ui,
	UiPlugin,
	Icons,
	Scopes,
	Button,
	ContextButton,
	ToggleButton,
	AttributeButton,
	Dialog,
	DynamicForm,
	Dom,
	Table,
	Utils,
	TableSelection,
	TableSizeSelect,
	i18n
) {
	var jQuery = $;
	var GENTICS = window.GENTICS;
	var configurations = {};

	/**
	 * Register the TablePlugin as Aloha.Plugin
	 */
	var TablePlugin = new Plugin('table');

	/**
	 * The Create-Layer Object of the TablePlugin
	 *
	 * @see Table.CreateLayer
	 */
	TablePlugin.createLayer = undefined;

	/**
	 * default button configuration
	 */
	TablePlugin.config = ['table'];

	/**
	 * An Array which holds all newly created tables contains DOM-Nodes of
	 * table-objects
	 */
	TablePlugin.TableRegistry = new Array();

	/**
	 * Holds the active table-object
	 */
	TablePlugin.activeTable = undefined;

	/**
	 * The ID of the Tab that contains the main controls for this Plugin.
	 * Will be swichted to automatically when present and a new table has been inserted.
	 */
	TablePlugin.tabId = 'table';

	/**
	 * parameters-objects for tables
	 *
	 * @param className
	 *            The class of activated tables
	 */
	TablePlugin.parameters = {
		className: 'aloha-table',                 // class of editable tables
		classSelectionRow: 'aloha-table-selectcolumn',    // class for the upper table-row to select columns
		classSelectionColumn: 'aloha-table-selectrow',       // class for the left bound table-cells to select rows
		classLeftUpperCorner: 'aloha-table-leftuppercorner', // class for the left upper corner cell
		classTableWrapper: 'aloha-table-wrapper',         // class of the outest table-wrapping div
		classCellSelected: 'aloha-cell-selected',         // class of cell which are selected (row/column selection)
		selectionArea: 10                             // width/height of the selection rows (in pixel)
	};

	/**
	 * @hide
	 * {name:'green', text:'Green',tooltip:'Green',iconClass:'GENTICS_table GENTICS_button_green',cssClass:'green'}
	 */
	TablePlugin.checkConfig = function (c) {
		if (typeof c == 'object' && c.length) {
			var newC = [];

			for (var i = 0; i < c.length; i++) {
				if (c[i]) {
					newC.push({
						name: c[i].name,
						text: c[i].text ? c[i].text : c[i].name,
						tooltip: c[i].tooltip ? c[i].tooltip : c[i].text,
						iconClass: c[i].iconClass ? c[i].iconClass : 'aloha-icon-' + c[i].name,
						cssClass: c[i].cssClass ? c[i].cssClass : c[i].name
					});
				}
			}

			c = newC;
		} else {
			c = [];
		}

		return c;
	};

	/**
	 * Checks whether the given DOM element is nested within a table.
	 *
	 * @param {jQuery.<HTMLElement>} $element
	 * @return {boolean} True if the given element is nested in a table.
	 */
	function isWithinTable($element) {
		return 0 < $element.parents('.aloha-editable table').length;
	}

	/**
	 * Checks whether the given DOM element is nested within an aloha block.
	 *
	 * @param {jQuery.<HTMLElement>} $element
	 * @return {boolean} True if the given element is nested in an aloha block.
	 */
	function isWithinBlock($element) {
		var i;
		var $node;
		var $parents = $element.parents();
		for (i = 0; i < $parents.length; i++) {
			$node = $parents.eq(i);
			if ($node.is('.aloha-editable')) {
				return false;
			}
			if ($node.is('.aloha-block')) {
				return true;
			}
		}
		return false;
	}

	/**
	 * Checks whether the table is an editable element.
	 *
	 * @return {boolean} True if the table's parent element is contentEditable;
	 *                   false otherwise.
	 */
	function isEditableTable(table) {
		return GENTICS.Utils.Dom.isEditable(table);
	}

	/**
	 * Checks for the presence of nested tables in the given element.
	 *
	 * @param {jQuery.<HTMLElement>} $element jQuery unit set containing a DOM
	 *                                        element.
	 * @return {boolean} True if nested tables were detected; false otherwise.
	 */
	function checkForNestedTables($element) {
		var selector = $element.is('table') ? 'table' : 'table table';
		if ($element.find(selector).length) {
			Console.warn('Table Plugin',
				'Nested tables found. They will not be initialized.');
			return true;
		}
		return false;
	}

	/**
	 * Creates a table, if it is allowed, and registers a new Table object for
	 * the given table DOM element.
	 *
	 * If the table's editable parent is activated, the table will also
	 * automatically be activated.
	 *
	 * @param {HTMLElement} element HTML table element.
	 * @return {Table|null} The created Table object or null if it was not
	 *                      allowed to create the table.
	 */
	function createNewTable(element) {
		var $table = $(element);
		var create = isEditableTable(element)
			&& !isWithinTable($table)
			&& !isWithinBlock($table);
		if (create) {
			var table = new Table(element, TablePlugin);
			var $host = $(Dom.getEditingHostOf(element));
			table.parentEditable = Aloha.getEditableById($host.attr('id'));
			TablePlugin.TableRegistry.push(table);
			checkForNestedTables($table);
			applyDefaultClassesToTable($table.get(0));
			if (Aloha.activeEditable === table.parentEditable) {
				table.activate();
			}
			return table;
		}
		return null;
	}

	/**
	 * Sets the currently selected elements as headers of the table, or removes header-status
	 * if the whole selection is already used as a header
	 *
	 * @param {Aloha.Table} table the table-object for which the headers are to be set
	 * @param {string} scope for which the header should be used (i.e. 'row' or 'column')
	 */
	function toggleHeaderStatus(table, scope) {
		var i,
			j,
			allHeaders = table.selection.isHeader(),
			domCell, // representation of the cell in the dom
			bufferCell, // temporary buffer
			headerBtn = table.tablePlugin._tableSelectionHeaderButton;

		for (i = 0; i < table.selection.selectedCells.length; i++) {
			domCell = table.selection.selectedCells[i];

			// tries to match the current cell with a cell-object in the table
			for (j = 0; j < table.cells.length; j++) {
				if (domCell === table.cells[j].obj[0]) {
					cell = table.cells[j];
					break;
				}
			}

			// the transformed dom objects are first stored in a buffer, and only applied to
			// the table-cell-object if a match was found
			if (allHeaders) {
				bufferCell = Aloha.Markup.transformDomObject(domCell, 'td').removeAttr('scope').get(0);
			} else {
				bufferCell = Aloha.Markup.transformDomObject(domCell, 'th').attr('scope', scope).get(0);
			}
			headerBtn.setActive(!allHeaders);

			if (cell != null) {
				setCellDefaultClass(bufferCell, allHeaders);

				// assign the changed dom-element to the table-cell
				cell.obj[0] = bufferCell;

				// reactivate the table cell in order to bind events to the changed dom object
				// TODO: re-attaching event-handlers should be factored out into a utility function
				// so we don't have to do the whole activation/deactivation process for the cells
				cell.deactivate();
				cell.activate();
			}

			// uncommented code-segment, presumably added to force IE to target the wrapper
			// on mouse-down by applying a timeout after event propagation
			jQuery(table.selection.selectedCells[i]).on('mousedown', function (jqEvent) {
				var wrapper = jQuery(this).children('div').eq(0);
				window.setTimeout(function () {
					wrapper.trigger('focus');
				}, 1);
			});
		}

		Aloha.activeEditable.smartContentChange({ type: 'block-change', plugin: 'table-plugin' });
		var tableElement = table.obj && table.obj.get && table.obj.get(0);
		if (tableElement) {
			applyDefaultClassesToTable(tableElement);
		}
	}

	/**
	 * Apply the default classes as specified in the plugin config to the table.
	 *
	 * @param {HTMLTableElement} table
	 */
	function applyDefaultClassesToTable(table) {
		// set the default class
		if (TablePlugin.defaultClass) {
			$(table).addClass(TablePlugin.defaultClass);
		}
		for (var i = 0; i < table.rows.length; i++) {
			var row = table.rows[i];
			if (isEphemeral(row)) {
				continue;
			}
			var $row = $(row);
			var isHeader = isHeaderRow(row);
			if (isHeader) {
				$row.removeClass(TablePlugin.defaultRowClass);
				$row.addClass(TablePlugin.defaultHeaderRowClass);
			} else {
				$row.removeClass(TablePlugin.defaultHeaderRowClass);
				$row.addClass(TablePlugin.defaultRowClass);
			}
			for (var j = 0; j < row.cells.length; j++) {
				var cell = row.cells[j];
				setCellDefaultClass(cell, isHeader);
			}
		}
	}

	function setCellDefaultClass(cell, isHeader) {
		var $cell = $(cell);
		if (isHeader) {
			$cell.removeClass(TablePlugin.defaultCellClass);
			$cell.addClass(TablePlugin.defaultHeaderCellClass);
		} else {
			$cell.removeClass(TablePlugin.defaultHeaderCellClass);
			$cell.addClass(TablePlugin.defaultCellClass);
		}
	}

	/**
	 * Returns true if all the (non-ephemeral) cells in a given row are TH elements
	 * @param {HTMLTableRowElement} row
	 * @return {boolean}
	 */
	function isHeaderRow(row) {
		if (isEphemeral(row)) {
			return false;
		}
		for (var i = 0; i < row.cells.length; i++) {
			var cell = row.cells[i];
			var isTH = cell.tagName === 'TH';
			if (!isEphemeral(cell) && !isTH) {
				return false;
			}
		}
		return true;
	}

	/**
	 * Returns true if the element has the aloha-ephemeral class
	 * @param {HTMLElement} element
	 * @return {boolean}
	 */
	function isEphemeral(element) {
		var ephemeraClass = 'aloha-ephemera';
		return -1 < element.className.indexOf(ephemeraClass);
	}

	/**
	 * If the specified style is not already active in all selected cells, it is applied;
	 * otherwise, it is removed from the cells
	 *
	 * @param {Array} config defined styles as defined in the configuration
	 * @param {String} cssClass
	 * @param {Array} sc the selection of target table cells
	 */
	function applyStyle(config, cssClass, sc) {
		var appliedToAll = true;

		for (var i = 0; i < sc.length; i++) {
			if (jQuery(sc[i]).attr('class').indexOf(cssClass) < 0) {
				appliedToAll = false;
				break;
			}
		}

		if (!appliedToAll) {
			for (var i = 0; i < sc.length; i++) {
				jQuery(sc[i]).addClass(cssClass);
				for (var f = 0; f < config.length; f++) {
					if (config[f].cssClass != cssClass) {
						jQuery(sc[i]).removeClass(config[f].cssClass);
					}
				}
			}
		} else {
			for (var i = 0; i < sc.length; i++) {
				jQuery(sc[i]).removeClass(cssClass);
			}
		}
	}

	function createTableSizeSelectFromConfig(
		config,
		name,
		applyChanges,
		validateFn,
		onChangeFn,
		onTouchFn
	) {
		var tmpOptions = config.options || {};
		var component = Ui.adopt(name, TableSizeSelect, {
			maxColumns: tmpOptions.maxColumns,
			maxRows: tmpOptions.maxRows,

			changeNotify: function (value) {
				applyChanges(value);
				validateFn(value);
				onChangeFn(value);
			},
			touchNotify: function () {
				onTouchFn();
			},
		});

		return component;
	}

	/**
	 * Init method of the Table-plugin transforms all tables in the document
	 *
	 * @return void
	 */
	TablePlugin.init = function () {
		var that = this;

		DynamicForm.componentFactoryRegistry['table-size-select'] = createTableSizeSelectFromConfig;

		Ephemera.classes(this.get('className'), this.get('classCellSelected'));

		this.tableConfig = this.checkConfig(this.tableConfig || this.settings.tableConfig);
		this.columnConfig = this.checkConfig(this.columnConfig || this.settings.columnConfig);
		this.rowConfig = this.checkConfig(this.rowConfig || this.settings.rowConfig);
		this.cellConfig = this.checkConfig(this.cellConfig || this.settings.cellConfig);

		this.tableResize = this.settings.tableResize === undefined ? false : this.settings.tableResize;
		this.colResize = this.settings.colResize === undefined ? false : this.settings.colResize;
		this.rowResize = this.settings.rowResize === undefined ? false : this.settings.rowResize;
		this.defaultClass = this.settings.defaultClass || '';
		this.defaultRowClass = this.settings.defaultRowClass || '';
		this.defaultHeaderRowClass = this.settings.defaultHeaderRowClass || '';
		this.defaultCellClass = this.settings.defaultCellClass || '';
		this.defaultHeaderCellClass = this.settings.defaultHeaderCellClass || '';

		// disable table resize settings on browsers below IE8
		if (jQuery.browser.msie && parseInt(jQuery.browser.version, 10) < 8) {
			this.tableResize = false;
			this.colResize = false;
			this.rowResize = false;
		}

		PubSub.sub('aloha.editable.created', function (message) {
			var editable = message.editable;
			var config = that.getEditableConfig(editable.obj);
			var enabled = config
				&& ($.inArray('table', config) > -1)
				&& ContentRules.isAllowed(editable.obj[0], 'table');

			configurations[editable.getId()] = !!enabled;

			editable.obj.on('mousedown', function () {
				if (!TablePlugin.activeTable) {
					return;
				}

				TablePlugin.setFocusedTable(undefined);

				// Make sure the table tabs in the toolbar are hidden, since
				// we no longer have an active table.
				TablePlugin.leaveTableScopes();
				Scopes.leaveScope(TablePlugin.name);
			});

			editable.obj.find('table').each(function (index, elem) {
				createNewTable(elem);
			});
		});

		// initialize the table buttons
		this.initTableButtons();

		Aloha.bind('aloha-table-selection-changed', function () {
			// check if selected cells are split/merge able and set button status
			if (!TablePlugin.activeTable || !TablePlugin.activeTable.selection) {
				return;
			}

			TablePlugin.updateFloatingMenuScope();
			TablePlugin.updateSummaryButton();

			if (TablePlugin.activeTable.selection.cellsAreSplitable()) {
				that._tableCellsSplitButton.enable();
			} else {
				that._tableCellsSplitButton.disable();
			}

			if (TablePlugin.activeTable.selection.cellsAreMergeable()) {
				that._tableCellsMergeButton.enable();
			} else {
				that._tableCellsMergeButton.disable();
			}
		});

		//		PubSub.sub('aloha.selection.context-change', function (message) {
		// Problem with this PubSub.sub event:
		// This event is only thrown if the context has changed. (selection.js:126:triggerSelectionContextChanged)
		// This makes that the scope changes to Aloha.continuoustext (scopes.js:43).
		// This is because selection is called a least twice (selection.js:525). The second time the context has not changed.
		Aloha.bind('aloha-selection-changed', function (event, rangeObject) {
			var range = rangeObject;
			var editable = Aloha.activeEditable;

			// this case probably occurs when the selection is empty?
			if (!range.startContainer || !editable) {
				TablePlugin.leaveTableScopes();
				return;
			}

			// show hide buttons regarding configuration and DOM position
			if (configurations[Aloha.activeEditable.getId()] && Aloha.Selection.mayInsertTag('table')) {
				that._createTableButton.show();
			} else {
				that._createTableButton.hide();
			}

			if (!that.activeTable) {
				TablePlugin.leaveTableScopes();
				return;
			}

			var table = range.findMarkup(function () {
				return this.nodeName === 'TABLE';
			}, editable.obj);

			if (table) {
				TablePlugin.updateFloatingMenuScope();
				TablePlugin.setActiveCellStyle();
			} else {
				TablePlugin.leaveTableScopes();
				that.activeTable.selection.cellSelectionMode = false;
				that.activeTable.selection.baseCellPosition = null;
				that.activeTable.selection.lastSelectionRange = null;
				that.activeTable.focusOut();
			}
			TablePlugin.updateSummaryButton();
		});

		PubSub.sub('aloha.editable.activated', function (message) {
			that._tableCellsSplitButton.disable();
			that._tableCellsMergeButton.disable();

			message.editable.obj.find('table').each(function () {
				var registry = TablePlugin.TableRegistry;
				for (var i = 0; i < registry.length; i++) {
					if (registry[i].obj.attr('id') === jQuery(this).attr('id')) {
						registry[i].activate();
						return true;
					}
				}
				// Because table this is a new table that is not yet in the
				// registry
				createNewTable(this);
			});
		});

		PubSub.sub('aloha.editable.deactivated', function () {
			if (TablePlugin.activeTable) {
				TablePlugin.activeTable.selection.unselectCells();
			}
			TablePlugin.setFocusedTable(undefined);
			var registry = TablePlugin.TableRegistry;
			for (var i = 0; i < registry.length; i++) {
				registry[i].deactivate();
			}
		});

		Aloha.bind('aloha-smart-content-changed', function (event, data) {
			if (Aloha.activeEditable) {
				Aloha.activeEditable.obj.find('table').each(function () {
					if (TablePlugin.indexOfTableInRegistry(this) == -1) {
						if (createNewTable(this)) {
							this.id = GENTICS.Utils.guid();
						}
					}
				});
			}
		});
	};

	var tableNamespace = 'aloha-table';

	function nsSel() {
		var stringBuilder = [], prefix = tableNamespace;
		jQuery.each(arguments, function () {
			stringBuilder.push('.' + (this == '' ? prefix : prefix + '-' + this));
		});
		return jQuery.trim(stringBuilder.join(' '));
	}

	//Creates string with this component's namepsace prefixed the each classname
	function nsClass() {
		var stringBuilder = [], prefix = tableNamespace;
		jQuery.each(arguments, function () {
			stringBuilder.push(this == '' ? prefix : prefix + '-' + this);
		});
		return jQuery.trim(stringBuilder.join(' '));
	}

	/**
	 * Update the Summary Icon
	 */
	TablePlugin.updateSummaryButton = function() {
		if (this.activeTable) {
			this._summary.setTargetElement(this.activeTable.obj);
			this._summary.activateInput(true);
			this._summary.enable();

			if (this.activeTable.checkWai()) {
				this._summary.setIcon('check_circle');
			} else {
				this._summary.setIcon('cancel');
			}
		} else {
			this._summary.setTargetElement(null);
			this._summary.deactivateInput();
			this._summary.disable();
			this._summary.setIcon('description');
		}
	}

	/**
	 * test if the table is editable
	 * @return boolean true if the table's parent element is contentEditable, false otherwise
	 */
	TablePlugin.isEditableTable = function (table) {
		return GENTICS.Utils.Dom.isEditable(table);
	};

	/**
	 * @param {DOMElement} table
	 * @return {Number}
	 */
	TablePlugin.indexOfTableInRegistry = function (table) {
		var registry = this.TableRegistry;

		for (var i = 0; i < registry.length; i++) {
			// We need to find exactly the same object from the
			// registry since we could also deal with cloned objects
			if (registry[i].obj[0].id == table.id) {
				return i;
			}
		}

		return -1;
	};

	/**
	 * @param {DOMElement} table
	 * @return {Table}
	 */
	TablePlugin.getTableFromRegistry = function (table) {
		var i = this.indexOfTableInRegistry(table);
		if (i > -1) {
			return this.TableRegistry[i];
		}
		return null;
	};

	/**
	 * Checks whether the current selection is inside a table within an
	 * editable
	 *
	 * @return {Boolean} true if we are inside a table
	 */
	TablePlugin.isSelectionInTable = function () {
		var range = Aloha.Selection.getRangeObject();
		var container = jQuery(range.commonAncestorContainer);

		if (container.length == 0) {
			return false;
		}

		if (container.parents('.aloha-editable table').length) {
			return true;
		}

		return false;
	};

	TablePlugin.toggleHeaderStatus = toggleHeaderStatus;

	TablePlugin.preventNestedTables = function () {
		if (this.isSelectionInTable()) {
			Dialog.alert({
				title: i18n.t('Table'),
				text: i18n.t('table.createTable.nestedTablesNoSupported')
			});

			return true;
		}

		return false;
	};

	TablePlugin.initMergeSplitCellsBtns = function () {
		var that = this;

		this._tableCellsMergeButton = Ui.adopt("tableCellsMerge", Button, {
			tooltip: i18n.t("button.mergecells.tooltip"),
			icon: Icons.TABLE_MERGE_CELLS,
			click: function () {
				if (TablePlugin.activeTable) {
					TablePlugin.activeTable.selection.mergeCells();
				}
			}
		});

		this._tableCellsSplitButton = Ui.adopt("tableCellsSplit", Button, {
			tooltip: i18n.t("button.splitcells.tooltip"),
			icon: Icons.TABLE_SPLIT_CELLS,
			click: function () {
				var activeCell;
				if (TablePlugin.activeTable) {
					if (TablePlugin.activeTable.selection.selectedCells.length > 0) {
						TablePlugin.activeTable.selection.splitCells();
					} else {
						// if there is currently no selection, the active cell is split instead
						activeCell = TablePlugin.selectedOrActiveCells();
						if (activeCell.length > 0) {
							Utils.splitCell(activeCell, function () {
								return TablePlugin.activeTable.newActiveCell(Utils.copyCellMarkup(activeCell[0])).obj;
							});


							Aloha.activeEditable.smartContentChange({ type: 'block-change', plugin: 'table-plugin' });
							Aloha.trigger('aloha-table-selection-changed');
						}
					}
				}
			}
		});

		this._tableSelectionHeaderButton = Ui.adopt("tableSelectionHeader", ToggleButton, {
			tooltip: i18n.t("button.selectionheader.tooltip"),
			icon: Icons.TABLE_SELECTION_HEADER,
			pure: true,
			click: function () {
				if (!that.activeTable) {
					return;
				}
				that.activeTable.refresh();

				var rowSelection = that.activeTable.selection.getCurrentSelectionTypes().indexOf('row') >= 0;

				toggleHeaderStatus(that.activeTable, rowSelection ? 'row' : 'column');

				// Update selection to the new column/row.
				if (rowSelection) {
					that.activeTable.selection.selectRows(that.activeTable.selection.selectedRowIdxs);
				} else {
					that.activeTable.selection.selectColumns(that.activeTable.selection.selectedColumnIdxs);
				}
				that.activeTable.selection.unselectCells();
			}
		});

		this._tableSelectionDelete = Ui.adopt("tableSelectionDelete", Button, {
			tooltip: i18n.t("button.delrows.tooltip"),
			icon: Icons.TABLE_DELETE_SELECTION,
			click: function () {
				if (that.activeTable) {
					var aTable = that.activeTable;
					var rowSelection = aTable.selection.getCurrentSelectionTypes().indexOf('row') >= 0;
					var msg = rowSelection ? i18n.t('deleterows.confirm') : i18n.t('deletecolumns.confirm');

					Dialog.confirm({
						title: i18n.t('Table'),
						text: msg,
						yes: function () {
							if (rowSelection) {
								aTable.deleteRows();
							} else {
								aTable.deleteColumns();
							}
						}
					});
				}
			}
		});
	};

	/**
	 * Adds default row buttons, and custom formatting buttons to floating menu
	 */
	TablePlugin.initRowsBtns = function () {
		var that = this;

		this._tableRowAddBeforeButton = Ui.adopt("tableRowAddBefore", Button, {
			tooltip: i18n.t("button.addrowbefore.tooltip"),
			icon: Icons.TABLE_ADD_ROW_BEFORE,
			iconHollow: true,
			click: function () {
				if (that.activeTable) {
					that.activeTable.addRowBeforeSelection();
				}
			}
		});

		this._tableRowAddAfterButton = Ui.adopt("tableRowAddAfter", Button, {
			tooltip: i18n.t("button.addrowafter.tooltip"),
			icon: Icons.TABLE_ADD_ROW_AFTER,
			iconHollow: true,
			click: function () {
				if (that.activeTable) {
					that.activeTable.addRowAfterSelection();
				}
			}
		});
	};

	/**
	 * Adds default column buttons, and custom formatting buttons to floating menu
	 */
	TablePlugin.initColumnBtns = function () {
		var that = this;

		this._tableColumnAddLeftButton = Ui.adopt("tableColumnAddLeft", Button, {
			tooltip: i18n.t("button.addcolleft.tooltip"),
			icon: Icons.TABLE_ADD_COLUMN_LEFT,
			iconHollow: true,
			click: function () {
				if (that.activeTable) {
					that.activeTable.addColumnsLeft();
				}
			}
		});

		this._tableColumnAddRightButton = Ui.adopt("tableColumnAddRight", Button, {
			tooltip: i18n.t("button.addcolright.tooltip"),
			icon: Icons.TABLE_ADD_COLUMN_RIGHT,
			iconHollow: true,
			click: function () {
				if (that.activeTable) {
					that.activeTable.addColumnsRight();
				}
			}
		});
	};

	/**
	 * initialize the buttons and register them on floating menu
	 */
	TablePlugin.initTableButtons = function () {
		var that = this;

		// generate the new scopes
		Scopes.registerScope(TablePlugin.name, [Scopes.SCOPE_CONTINUOUS_TEXT]);
		Scopes.registerScope(TablePlugin.name + '.row', [TablePlugin.name]);
		Scopes.registerScope(TablePlugin.name + '.column', [TablePlugin.name]);
		Scopes.registerScope(TablePlugin.name + '.cell', [TablePlugin.name]);

		this._createTableButton = Ui.adopt("createTable", ContextButton, {
			tooltip: i18n.t("button.createtable.tooltip"),
			icon: Icons.TABLE_CREATE,
			context: function () {
				// Can't open/insert a table without an editable to place it in
				if (Aloha.activeEditable == null || Aloha.activeEditable.obj == null) {
					return null;
				}

				return {
					type: 'table-size-select',
					options: {
						maxColumns: 10,
						maxRows: 10,
					}
				}
			},
			contextType: 'dropdown',
			contextResolve: function (size) {
				TablePlugin.createTable(size.columns, size.rows);
			}
		});

		// now the specific table buttons

		// generate formatting buttons for columns
		this.initColumnBtns();

		// generate formatting buttons for rows
		this.initRowsBtns();

		this.initMergeSplitCellsBtns();


		var tableConfig = this.tableConfig;

		this._tableDeleteButton = Ui.adopt("tableDelete", Button, {
			tooltip: i18n.t("button.deltable.tooltip"),
			icon: Icons.TABLE_DELETE,
			click: function () {
				if (that.activeTable) {
					var aTable = that.activeTable;
					Dialog.confirm({
						title: i18n.t('Table'),
						text: i18n.t('deletetable.confirm'),
						yes: function () {
							aTable.deleteTable();
						}
					});
				}
			}
		});

		this._tableCaptionButton = Ui.adopt("tableCaption", ToggleButton, {
			tooltip: i18n.t("button.caption.tooltip"),
			icon: Icons.TABLE_CAPTION,
			pure: true,
			click: function () {
				if (!that.activeTable) {
					return;
				}

				// look if table object has a child caption
				var $caption = that.activeTable.obj.children("caption");

				if ($caption.is('caption') && $caption.is(':visible')) {
					$caption.hide();
					TablePlugin._tableCaptionButton.deactivate();
					return;
				}

				if (!$caption.is('caption')) {
					$caption = jQuery('<caption></caption>');
					that.activeTable.obj.prepend($caption);
				}
				$caption.show();
				if (jQuery.trim($caption.text()).length === 0) {
					$caption.text(i18n.t('empty.caption'));
				}
				TablePlugin._tableCaptionButton.activate();

				that.makeCaptionEditable($caption, $caption.text());

				// get the editable span within the caption and select it
				var cDiv = $caption.find('div').eq(0);
				var captionContent = cDiv.contents().eq(0);
				if (captionContent.length > 0) {
					var newRange = new GENTICS.Utils.RangeObject();
					newRange.startContainer = newRange.endContainer = captionContent.get(0);
					newRange.startOffset = 0;
					newRange.endOffset = captionContent.text().length;

					// blur all editables within the table
					that.activeTable.obj.find('div.aloha-table-cell-editable').blur();

					cDiv.focus();
					newRange.select();
					Aloha.Selection.updateSelection();
				}
			}
		});

		var _this = this;
		this._summary = Ui.adopt('tableSummary', AttributeButton, {
			targetAttribute: 'summary',
			icon: 'description',
			iconHollow: true,
			tooltip: i18n.t('button.summary.tooltip'),
			inputLabel: i18n.t('table.label.target'),
			panelTitle: i18n.t('table.sidebar.title'),
			click: function() {
				if (_this._summary && _this._summary.panelInputElement) {
					_this._summary.panelInputElement.focus();
				}
			},
			onChange: function() {
				_this.updateSummaryButton();
			}
		});
	};

	/**
	 * Helper method to make the caption editable
	 * @param caption caption as jQuery object
	 * @param captionText default text for the caption
	 */
	TablePlugin.makeCaptionEditable = function (caption, captionText) {
		var that = this;
		var cSpan = caption.children('div');
		if (cSpan.length === 0) {
			// generate a new div
			cSpan = jQuery('<div></div>');
			cSpan.addClass('aloha-ui aloha-editable-caption aloha-block');

			// mark the editable wrapper as ephemeral
			Ephemera.markWrapper(cSpan);

			if (caption.contents().length > 0) {
				// when the caption has content, we wrap it with the new div
				cSpan.append(caption.contents());
				caption.append(cSpan);
			} else {
				// caption has no content, so insert the default caption text
				if (captionText) {
					cSpan.text(captionText);
				}
				// and append the div into the caption
				caption.append(cSpan);
			}
		} else if (cSpan.length > 1) {
			// merge multiple divs (they are probably created by IE)
			caption.children('div:not(:first-child)').each(function () {
				$this = jQuery(this);
				cSpan.eq(0).append($this.contents());
				$this.remove();
			});
			cSpan = cSpan.eq(0);
		}
		// make the div editable
		cSpan.contentEditable(true);
	};

	/**
	 * Creates a normal html-table, "activates" this table and inserts it into the
	 * active Editable
	 *
	 * @param cols
	 *            number of colums for the created table
	 * @param cols
	 *            number of rows for the created table
	 * @return void
	 */
	TablePlugin.createTable = function (cols, rows) {
		if (this.preventNestedTables()) {
			return;
		}

		// Check if there is an active Editable and that it contains an element (= .obj)
		if (!Aloha.activeEditable || typeof Aloha.activeEditable.obj == null) {
			this.error('There is no active Editable where the table can be inserted!');
			return;
		}

		// create a dom-table object
		var table = document.createElement('table');
		var tableId = table.id = GENTICS.Utils.guid();
		var tbody = document.createElement('tbody');

		// create "rows"-number of rows
		for (var i = 0; i < rows; i++) {
			var tr = document.createElement('tr');
			// create "cols"-number of columns
			for (var j = 0; j < cols; j++) {
				var text = document.createTextNode('');
				var td = document.createElement('td');
				td.appendChild(text);
				tr.appendChild(td);
			}
			tbody.appendChild(tr);
		}
		applyDefaultClassesToTable(table);
		table.appendChild(tbody);

		prepareRangeContainersForInsertion(
			Aloha.Selection.getRangeObject(), table);

		// insert the table at the current selection
		GENTICS.Utils.Dom.insertIntoDOM(
			jQuery(table),
			Aloha.Selection.getRangeObject(),
			Aloha.activeEditable.obj
		);

		cleanupAfterInsertion();

		var tableReloadedFromDOM = document.getElementById(tableId);
		var tableObj = createNewTable(tableReloadedFromDOM);

		if (tableObj) {
			var range = Aloha.Selection.getRangeObject();

			range.startContainer = range.endContainer = tableObj.cells[0].wrapper[0];
			range.startOffset = range.endOffset = 0;
			range.select();

			// Because without the 10ms delay, we cannot place the cursor
			// automatically into the first cell in IE.
			if ($.browser.msie) {
				window.setTimeout(function () {
					tableObj.cells[0].wrapper.get(0).focus();
				}, 20);
			} else {
				tableObj.cells[0].wrapper.get(0).focus();
			}
		}

		Aloha.activeEditable.smartContentChange({ type: 'block-change', plugin: 'table-plugin' });

		// The selection starts out in the first cell of the new
		// table. The table tab/scope has to be activated
		// accordingly.
		tableObj.focus();
		TablePlugin.activeTable.selection.selectionType = 'cell';
		if (typeof TablePlugin.tabId === 'string' && TablePlugin.tabId) {
			UiPlugin.getActiveSurface().focusTab(TablePlugin.tabId);
		}
		TablePlugin.updateFloatingMenuScope();
		TablePlugin.updateSummaryButton();
	};

	TablePlugin.setFocusedTable = function (focusTable) {
		var that = this;

		// clicking outside the table unselects the cells of the table
		if (null != this.activeTable) {
			this.activeTable.selection.unselectCells();
		}

		for (var i = 0; i < TablePlugin.TableRegistry.length; i++) {
			TablePlugin.TableRegistry[i].hasFocus = false;
		}
		if (focusTable != null) {
			if (focusTable.obj.children("caption").is('caption')) {
				// set caption button
				this._tableCaptionButton.setActive(true);
				var c = focusTable.obj.children("caption");
				that.makeCaptionEditable(c);
			}
			focusTable.hasFocus = true;
		}

		TablePlugin.activeTable = focusTable;
		this.updateSummaryButton();
	};

	/**
	 * Calls the Aloha.log function with 'error' level
	 *
	 * @see Aloha.log
	 * @param msg
	 *            The message to display
	 * @return void
	 */
	TablePlugin.error = function (msg) {
		Aloha.Log.error(this, msg);
	};

	/**
	 * Calls the Aloha.log function with 'debug' level
	 *
	 * @see Aloha.log
	 * @param msg
	 *            The message to display
	 * @return void
	 */
	TablePlugin.debug = function (msg) {
		Aloha.Log.debug(this, msg);
	};

	/**
	 * Calls the Aloha.log function with 'info' level
	 *
	 * @see Aloha.log
	 * @param msg
	 *            The message to display
	 * @return void
	 */
	TablePlugin.info = function (msg) {
		Aloha.Log.info(this, msg);
	};

	/**
	 * Calls the Aloha.log function with 'info' level
	 *
	 * @see Aloha.log
	 * @param msg
	 *            The message to display
	 * @return void
	 */
	TablePlugin.log = function (msg) {
		Aloha.log('log', this, msg);
	};

	/**
	 * The "get"-method returns the value of the given key.
	 * First it searches in the config for the property.
	 * If there is no property with the given name in the
	 * "config"-object it returns the entry associated with
	 * in the parameters-object
	 *
	 * @param property
	 * @return void
	 *
	 */
	TablePlugin.get = function (property) {
		if (this.config[property]) {
			return this.config[property];
		}
		if (this.parameters[property]) {
			return this.parameters[property];
		}
		return undefined;
	};

	/**
	 * The "set"-method takes a key and a value. It checks if there is a
	 * key-value pair in the config-object. If so it saves the data in the
	 * config-object. If not it saves the data in the parameters-object.
	 *
	 * @param key the key which should be set
	 * @param value the value which should be set for the associated key
	 */
	TablePlugin.set = function (key, value) {
		if (this.config[key]) {
			this.config[key] = value;
		} else {
			this.parameters[key] = value;
		}
	};

	/**
	 * Make the given jQuery object (representing an editable) clean for saving
	 * Find all tables and deactivate them
	 * @param obj jQuery object to make clean
	 * @return void
	 */
	TablePlugin.makeClean = function (obj) {
		// it is generally not necessary to do anything here, because everything is handled by Ephemera.
		// the only exception is removing the cursor styles, because as of this moment, Ephemera is not capable
		// of removing css
		obj.find('td, th').css('cursor', '');
	};

	/**
	 * String representation of the Table-object
	 *
	 * @return The plugins namespace (string)
	 */
	TablePlugin.toString = function () {
		return this.prefix;
	};

	/**
	 * Leaves all possible TableScopes in the floating menu
	 * expect those in the retainScopes array
	 *
	 * @param  {array} retainScopes the name of the scopes which should not be left
	 */
	TablePlugin.leaveTableScopes = function (retainScopes, force) {
		var i = 0,
			scopes = [];
		retainScopes = $.isArray(retainScopes) ? retainScopes : [];

		scopes = TableSelection.getPossibleSelectionTypes();
		for (i = 0; i < scopes.length; i++) {
			// leave all possible scopes expect those in the retainScopes array
			if ($.inArray(scopes[i], retainScopes) === -1) {
				// always force leaving the scope because otherwise we need to keep track of how
				// often we entered the scope and leave it accordingly
				Scopes.leaveScope(TablePlugin.name + '.' + scopes[i], undefined, true);
			}
		}
	}
	/**
	 * Update the current floating menu scope according to the
	 * selected cells
	 */
	TablePlugin.updateFloatingMenuScope = function () {
		var i = 0,
			scopes;
		if (
			null != TablePlugin.activeTable &&
			null != TablePlugin.activeTable.selection.selectionType
		) {
			// get the new scopes
			scopes = TablePlugin.activeTable.selection.getCurrentSelectionTypes();
			// leave all scopes except the the current ones
			TablePlugin.leaveTableScopes(scopes);
			// Enter all needed table scopes
			for (i = 0; i < scopes.length; i++) {
				Scopes.enterScope(TablePlugin.name + '.' + scopes[i]);
			}
		} else {
			// leave all scopes
			TablePlugin.leaveTableScopes();
			Scopes.leaveScope(TablePlugin.name);
		}
	};

	/**
	 * Set the cell-style to match the active item, if all selected cells have the same style
	 * TODO: Algorithm very similar to setActiveStyle in table.js, should be refactored
	 */
	TablePlugin.setActiveCellStyle = function () {
		var that = this;
		var allSelected = false;
		var className;

		var selectedCells = that.selectedOrActiveCells();

		for (var i = 0; i < that.cellConfig.length; i++) {
			if (jQuery(selectedCells[0]).hasClass(that.cellConfig[i].cssClass)) {
				className = that.cellConfig[i].name;
				allSelected = true;
				break;
			}
		}

		// if all selected cells have the same class, set it as active
		jQuery(selectedCells).each(function (index) {
			if (!jQuery(this).hasClass(className)) {
				allSelected = false;
			}
		});
	};

	TablePlugin.selectedOrActiveCells = function () {
		var that = this;
		var sc = this.activeTable.selection.selectedCells;

		// if there are no selected cells,
		// set the active cell as the selected cell.
		if (!sc || sc.length < 1) {
			var activeCell = function () {
				var range = Aloha.Selection.getRangeObject();
				if (Aloha.activeEditable) {
					return range.findMarkup(function () {
						var nodeName = this.nodeName.toLowerCase();

						return nodeName === 'td' || nodeName === 'th';
					}, Aloha.activeEditable.obj);
				} else {
					return null;
				}
			}

			var active_cell = activeCell();
			return (active_cell ? [active_cell] : []);
		} else {
			return sc;
		}
	};

	PluginManager.register(TablePlugin);

	/**
	 * Detects a situation where we are about to insert content into a
	 * selection that looks like this: <p> [</p>...
	 * We will assume that the nbsp inside the <p> node was placed there to
	 * "prop-up" the empty paragraph--that is--to make the empty paragraph
	 * visible in HTML5 conformant rendering engines, like WebKit. Without the
	 * white space, such browsers would correctly render an empty <p> as
	 * invisible.
	 *
	 * If we detect this situation, we remove the white space so that when we
	 * paste new content into the paragraph, it is not be split and leaving an
	 * empty paragraph on top of the pasted content.
	 *
	 * Note that we do not use <br />'s to prop up the paragraphs, as WebKit
	 * does, because IE, will break from the HTML5 specification and will
	 * display empty paragraphs if they are content-editable. So a <br />
	 * inside an empty content-editable paragraph will result in 2 lines to be
	 * shown instead of 1 in IE.
	 *
	 * @param {Object} range
	 * @param {DOMElement} table
	 */
	function prepareRangeContainersForInsertion(range, table) {
		var eNode = range.endContainer,
			sNode = range.startContainer,
			eNodeLength = (eNode.nodeType == 3)
				? eNode.length
				: eNode.childNodes.length;


		if (sNode.nodeType == 3 &&
			sNode.parentNode.tagName == 'P' &&
			sNode.parentNode.childNodes.length == 1 &&
			/^(\s|%A0)$/.test(escape(sNode.data))) {
			sNode.data = '';
			range.startOffset = 0;

			// In case ... <p> []</p>
			if (eNode == sNode) {
				range.endOffset = 0;
			}
		}

		// If the table is not allowed to be nested inside the startContainer,
		// then it will have to be split in order to insert the table.
		// We will therefore check if the selection touches the start and/or
		// end of their container nodes.
		// If they do, we will mark their container so that after they are
		// split we can check whether or not they should be removed
		if (!GENTICS.Utils.Dom.allowsNesting(
			sNode.nodeType == 3 ? sNode.parentNode : sNode, table)) {

			if (range.startOffset == 0) {
				jQuery(sNode.nodeType == 3 ? sNode.parentNode : sNode)
					.addClass('aloha-table-cleanme');
			}

			if (range.endOffset == eNodeLength) {
				jQuery(eNode.nodeType == 3 ? eNode.parentNode : eNode)
					.addClass('aloha-table-cleanme');
			}
		}
	};

	/**
	 * Looks for elements marked with "aloha-table-cleanme", and removes them
	 * if they are absolutely empty.
	 * Note that this will leave paragraphs which contain empty nested elements
	 * even though they are also invisible.
	 * We can consider removing these as well at a later stage, if needed.
	 */
	function cleanupAfterInsertion() {
		var dirty = jQuery('.aloha-table-cleanme').removeClass(
			'aloha-table-cleanme');
		// check all children of the element we want
		for (var i = 0; i < dirty.length; i++) {
			// get the children of the to be cleaned element for some checks
			var dirtyChildren = jQuery(dirty[i]).children();
			// is the element empty
			// is the first child <br class="aloha-end-br"> - placeholder element
			// is the element not the editing Host
			if ((jQuery.trim(jQuery(dirty[i]).html()) == '' ||
				(dirtyChildren.length === 1 &&
					dirtyChildren.first('br.aloha-end-br'))) &&
				!GENTICS.Utils.Dom.isEditingHost(dirty[i])) {
				jQuery(dirty[i]).remove();

				/*
				// For debugging: to see what we are deleting
				jQuery( dirty[ i ] ).css({
					border: '3px solid red',
					display: 'block'
				});
				*/
			}
		}
	};

	return TablePlugin;
});

define('format/nls/i18n',{
	"root":  {
		"button.strong.tooltip": "Strong",
		"button.em.tooltip": "Emphasize",
		"button.b.tooltip": "Bold",
		"button.i.tooltip": "Italic",
		"button.u.tooltip": "Underline",
		"button.cite.tooltip": "Cite",
		"button.q.tooltip": "Tooltip",
		"button.code.tooltip": "Code",
		"button.abbr.tooltip": "Abbreviation",
		"button.del.tooltip": "Deleted",
		"button.ins.tooltip": "Inserted",
		"button.s.tooltip": "Strikethrough",
		"button.sub.tooltip": "Subscript",
		"button.sup.tooltip": "Superscript",
		"button.typography.tooltip": "Typography",
		"button.p.tooltip": "Paragraph",
		"button.h1.tooltip": "Heading 1",
		"button.h2.tooltip": "Heading 2",
		"button.h3.tooltip": "Heading 3",
		"button.h4.tooltip": "Heading 4",
		"button.h5.tooltip": "Heading 5",
		"button.h6.tooltip": "Heading 6",
		"button.pre.tooltip": "Preformatted text",
		"button.title.tooltip": "Title",
		"button.removeFormat.tooltip": "Remove formatting",
		"button.removeFormat.text": "Remove formatting",
		"button.header_id.input": "Header ID",
		"button.header_id.panel": "Typography",
		"GENTICS_button_p": "GENTICS_button_p",
		"GENTICS_button_h1": "GENTICS_button_h1",
		"GENTICS_button_h2": "GENTICS_button_h2",
		"GENTICS_button_h3": "GENTICS_button_h3",
		"GENTICS_button_h4": "GENTICS_button_h4",
		"GENTICS_button_h5": "GENTICS_button_h5",
		"GENTICS_button_h6": "GENTICS_button_h6",
		"GENTICS_button_pre": "GENTICS_button_pre",
		"GENTICS_button_title": "GENTICS_button_title",
		"formatBold": "Ctrl+b",
		"formatItalic": "Ctrl+i",
		"formatUnderline": "Ctrl+u",
		"formatParagraph": "Alt+Ctrl+0",
		"formatH1": "Alt+Ctrl+1",
		"formatH2": "Alt+Ctrl+2",
		"formatH3": "Alt+Ctrl+3",
		"formatH4": "Alt+Ctrl+4",
		"formatH5": "Alt+Ctrl+5",
		"formatH6": "Alt+Ctrl+6",
		"formatPre": "Alt+Ctrl+P",
		"formatDel": "Ctrl+\\",
		"formatSub": "Ctrl+,",
		"formatSup": "Ctrl+.",
		"floatingmenu.tab.format": "Format",
		"format.class.legend": "CSS class",
		"format.class.none": "none"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/**
 * @typedef {object} FormattingOption
 * @property {string=} name (Component/Slot) Name of the element
 * @property {string} icon Icon to use for the Button/Select entry
 * @property {string} label The display name/label for the user
 * @property {boolean} typography If this is a typography format (i.E. paragraph, header, ...)
 * @property {boolean} header If this is a header typography (h1-h6)
 */

/* format-plugin.js is part of the Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2014 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 * License http://aloha-editor.org/license.php
 */
define('format/format-plugin', [
	'jquery',
	'aloha',
	'PubSub',
	'aloha/plugin',
	'aloha/state-override',
	'aloha/content-rules',
	'aloha/ephemera',
	'aloha/selection',
	'util/arrays',
	'util/html',
	'util/dom',
	'util/browser',
	'util/strings',
	'ui/ui',
	'ui/button',
	'ui/toggleButton',
	'ui/splitButton',
	'ui/icons',
	'ui/dropdown',
	'ui/utils',
	'i18n!format/nls/i18n'
], function (
	jQuery,
	Aloha,
	PubSub,
	Plugin,
	StateOverride,
	ContentRules,
	Ephemera,
	Selection,
	Arrays,
	Html,
	Dom,
	Browser,
	Strings,
	Ui,
	Button,
	ToggleButton,
	SplitButton,
	Icons,
	Dropdown,
	Utils,
	i18n
) {
	'use strict';

	var $ = jQuery;
	var pluginNamespace = 'aloha-format';

	/** Class which needs to be set on headers when the IDs are manually set. */
	var CLASS_CUSTOMIZED = 'aloha-customized';

	var ATTR_HEADER_ID = 'id';

	/**
	 * Checks if the selection spans a whole node (HTML element)
	 * @param Range range
	 * @return {boolean}
	 */
	function isEntireNodeInRange(range) {
		var sc = range.startContainer;
		var so = range.startOffset;
		var ec = range.endContainer;
		var eo = range.endOffset;
		return (sc === ec && so === 0 && eo === ec.length);
	}

	/**
	 * Alias for isInlineFormatable function from Html lib
	 */
	var isInlineNode = Html.isInlineFormattable;

	/**
	 * Expands the (invisible) range to encompass the whole node
	 * that was selected by the user
	 * @param Range range
	 * @return void
	 */
	function expandRange(range) {
		var cac = range.commonAncestorContainer;

		if (isInlineNode(cac) && cac.parentNode) {
			var parent = cac.parentNode;
			range.startContainer = parent;
			range.endContainer = parent;
			range.commonAncestorContainer = parent;
			range.startOffset = 0;
			range.endOffset = 1;
			expandRange(range);
			return;
		}

		// Because at this point there will be no further recursion, we should
		// finally update the state of `range`
		range.update();
	}

	/**
	 * Collision map to determine if we are
	 * working on a list related node.
	 */
	var LIST_ELEMENT = {
		'OL': true,
		'UL': true,
		'LI': true,
		'DL': true,
		'DT': true,
		'DD': true
	};

	/**
	 * Determine if we are working on a list element
	 * using the previous LIST_ELEMENT hash map.
	 * @param DOM node
	 * @return {boolean}
	 */
	function isListElement(node) {
		return LIST_ELEMENT[node.nodeName];
	}

	/**
	 * Determines if a markup is a heading
	 * @param string markup
	 * @returns {boolean}
	 */
	function isHeading(markup) {
		return jQuery.inArray(markup, this.headerNodeNames) >= 0;
	}

	/**
	 * Checks whether range spans multiple lists
	 * @param Range range
	 * @return {boolean}
	 */
	function spansMultipleLists(range) {
		return range.startContainer !== range.endContainer;
	}

	/**
	 * Take list items out of their encompassing list element.
	 * Wrap items in <p> and delete any remaining empty lists.
	 * @param Range range
	 * @return void
	 */
	function unformatList(range) {
		expandRange(range);

		var cac = range.commonAncestorContainer;

		if (!isListElement(cac)) {
			return;
		}

		if (!isEntireNodeInRange(range) && !spansMultipleLists(range)) {
			return;
		}

		var selectedNodes = jQuery(range.startContainer.parentNode).nextUntil(jQuery(range.endContainer.parentNode).next()).addBack();
		var prevNodes = jQuery(range.startContainer.parentNode).prevAll();
		var nextNodes = jQuery(range.endContainer.parentNode).nextAll();
		var listName = range.startContainer.parentNode.parentNode.nodeName;

		// Only one item selected
		if (selectedNodes.length == 1) {
			// Last item in list
			if (prevNodes.length == 0 && nextNodes.length == 0) {
				// The first unwrap removes the parent list tag,
				// the second one the list item tag.
				selectedNodes.unwrap().contents().unwrap().wrap('<p>');
			}
			// first list item
			else if (prevNodes.length === 0) {
				selectedNodes.addClass('_moved').remove().insertBefore(nextNodes.parent());
			}
			// last list item
			else if (nextNodes.length === 0) {
				selectedNodes.addClass('_moved').remove().insertAfter(prevNodes.parent());
			}
			// one list item in middle
			else {
				selectedNodes.addClass('_moved').remove().insertAfter(prevNodes.parent());
				jQuery('<' + listName.toLowerCase() + '>').append(nextNodes).insertAfter(selectedNodes);
			}
		}
		// multiple list items up to whole list
		else {
			selectedNodes.addClass('_moved').remove().insertAfter(cac);
			if (nextNodes.length > 0) {
				jQuery('<' + listName.toLowerCase() + '>').append(nextNodes).insertAfter(selectedNodes.last());
			}
		}

		// unwrap moved list elements
		jQuery('._moved').each(function () {
			var $p = jQuery('<p>');
			var $this = jQuery(this);

			$this.after($p);
			$this.contents().unwrap().appendTo($p);
		});

		// If we are at the first list element, get rid of original (now empty) list
		if (prevNodes.length === 0) {
			cac.remove();
		}
	}

	function formatInsideTableWorkaround(nodeType) {
		var selectedCells = jQuery('.aloha-cell-selected');
		if (selectedCells.length < 1) {
			return false;
		}

		var cellMarkupCounter = 0;
		selectedCells.each(function () {
			var cellContent = jQuery(this).find('div'),
				cellMarkup = cellContent.find(nodeType);
			if (cellMarkup.length > 0) {
				// unwrap all found markup text
				// <td><b>text</b> foo <b>bar</b></td>
				// and wrap the whole contents of the <td> into <b> tags
				// <td><b>text foo bar</b></td>
				cellMarkup.contents().unwrap();
				cellMarkupCounter++;
			}
			cellContent.contents().wrap('<' + nodeType + '></' + nodeType + '>');
		});

		// remove all markup if all cells have markup
		if (cellMarkupCounter === selectedCells.length) {
			selectedCells.find(nodeType).contents().unwrap();
		}

		return true;
	}

	function textLevelButtonClickHandler(formatPlugin, nodeType, commandName) {
		if (formatInsideTableWorkaround(nodeType)) {
			return false;
		}
		formatPlugin.addMarkup(nodeType, commandName);
		return false;
	}

	function makeRemoveFormatButton(formatPlugin) {
		return Ui.adopt(REMOVE_FORMAT_ID, Button, {
			tooltip: i18n.t('button.removeFormat.tooltip'),
			icon: Icons.CLEAR,
			click: function () {
				formatPlugin.removeFormat();
			}
		});
	}

	/**
	 * Checks the hierarchy of headings (h1, h2, ..., h6) and adds a class
	 * "aloha-heading-hierarchy-violated" if the hierarchy is violated.
	 * The hierarchy is violated if a heading is more than one hierarchy lower
	 * than the previous heading.
	 * It is also checked, if the hierarchy is higher than the highest hierarchy
	 * found in the plugin configuration.
	 * For example if the plugin configuration contains the possible headings:
	 * 'h2', 'h3', 'h4', 'h5', 'h6', then all occurrences of 'h1' will be marked.
	 * @param {config} the plugin config
	 * @returns {undefined}
	 */
	function checkHeadingHierarchy(config) {
		if (!Aloha.activeEditable || config.length === 0) {
			return;
		}

		var parent = Aloha.activeEditable.obj,
			startHeading,
			lastCorrectHeading,
			currentHeading;

		// The warning class should only be used with header tags, but the
		// insertparagraph command for example, copies all attributes, to
		// the new element, so the plugin has to remove them again.
		parent.find(":not(h1,h2,h3,h4,h5,h6)").each(function () {
			$(this).removeClass("aloha-heading-hierarchy-violated");
		});

		//set startheading to heading with smallest number available in the config
		for (var i = 0; i < config.length; i++) {
			if (isHeading(config[i])) {
				if (startHeading != null) {
					if (parseInt(config[i].charAt(1), 10) < startHeading) {
						startHeading = parseInt(config[i].charAt(1), 10);
					}
				} else {
					//first heading found in config
					startHeading = parseInt(config[i].charAt(1), 10);
				}
			}
		}

		//check the heading hierarchy of every heading
		if (startHeading == null) {
			return;
		}

		//this find() returns all headings in tree order
		parent.find("h1,h2,h3,h4,h5,h6").each(function () {
			currentHeading = parseInt(this.nodeName.charAt(1), 10);
			if (typeof lastCorrectHeading !== 'undefined') {
				//the current heading hierarchy must be lower than the startHeading hierarchy
				if (currentHeading < startHeading) {
					$(this).addClass("aloha-heading-hierarchy-violated");
				} else {
					//heading hierarchy is violated if a heading is more
					//than one hierarchy lower than the last correct heading
					if (currentHeading > (lastCorrectHeading + 1)) {
						$(this).addClass("aloha-heading-hierarchy-violated");
					} else {
						//only set the last heading if the hierarchy is not violated
						lastCorrectHeading = currentHeading;
						$(this).removeClass("aloha-heading-hierarchy-violated");
					}
				}
			} else {
				//first heading! see if it starts with correct heading
				if (currentHeading === startHeading) {
					lastCorrectHeading = currentHeading;
					$(this).removeClass("aloha-heading-hierarchy-violated");
				} else {
					$(this).addClass("aloha-heading-hierarchy-violated");
				}
			}
		});
	}

	function changeMarkup(plugin, nodeType) {
		Selection.changeMarkupOnSelection(jQuery('<' + nodeType + '>'));
		if (Strings.parseBoolean(plugin.settings.checkHeadingHierarchy)) {
			checkHeadingHierarchy(plugin.formatOptions);
		}
	}

	function updateUiAfterMutation(formatPlugin, rangeObject) {
		if (Aloha.activeEditable) {
			Aloha.activeEditable.smartContentChange({ type: 'block-change' });
		}
		// select the modified range
		rangeObject.select();
		// update Button toggle state. We take Selection.getRangeObject()
		// because rangeObject is not up-to-date
		onSelectionChanged(formatPlugin, Selection.getRangeObject());
	}

	function format(formatPlugin, rangeObject, markup) {
		Dom.addMarkup(rangeObject, markup);
		updateUiAfterMutation(formatPlugin, rangeObject);
	}

	function isFormatAllowed(tagname, plugin, editable) {
		if (!ContentRules.isAllowed(editable.obj[0], tagname)) {
			return false;
		}
		var config = plugin.getEditableConfig(editable.obj);
		return config ? $.inArray(tagname, config) > -1 : false;
	}

	function addMarkup(nodeType, command) {
		var formatPlugin = this,
			markup = jQuery('<' + nodeType + '>'),
			rangeObject = Selection.rangeObject;

		if (nodeType == null || !nodeType || Aloha.activeEditable == null || Aloha.activeEditable.obj == null) {
			return;
		}

		// check whether the markup is found in the range (at the start of the range)
		var nodeNames = [markup[0].nodeName];
		if (formatPlugin.conversionNames[markup[0].nodeName]) {
			nodeNames.push(formatPlugin.conversionNames[markup[0].nodeName]);
		}

		var foundMarkup = rangeObject.findMarkup(function (nodeElement) {
			return -1 !== Arrays.indexOf(nodeNames, nodeElement.nodeName);
		}, Aloha.activeEditable.obj);

		if (foundMarkup) {
			// remove the markup
			if (rangeObject.isCollapsed()) {
				// when the range is collapsed, we remove exactly the one DOM element
				Dom.removeFromDOM(foundMarkup, rangeObject, true);
			} else {
				// the range is not collapsed, so we remove the markup from the range
				Dom.removeMarkup(rangeObject, jQuery(foundMarkup), Aloha.activeEditable.obj);
			}
			PubSub.pub('aloha.format.removed', { level: 'text', format: nodeType })
			updateUiAfterMutation(formatPlugin, rangeObject);
		} else {
			// when the range is collapsed, extend it to a word
			if (rangeObject.isCollapsed()) {
				Dom.extendToWord(rangeObject);
				if (rangeObject.isCollapsed()) {
					if (StateOverride.enabled()) {
						StateOverride.setWithRangeObject(
							command || nodeType,
							rangeObject,
							function (command, rangeObject) {
								format(formatPlugin, rangeObject, markup);
								PubSub.pub('aloha.format.added', { level: 'text', format: nodeType })
							}
						);
						return;
					}
				}
			}
			PubSub.pub('aloha.format.added', { level: 'text', format: nodeType })
			format(formatPlugin, rangeObject, markup);
		}
	}

	function onSelectionChanged(formatPlugin, rangeObject) {
		var effectiveMarkup,
			i, j;

		// Normal format buttons like bold
		jQuery.each(formatPlugin.buttons, function (index, button) {
			// If the button is not a toggle-button (or an instance of it), then skip it.
			// Can't set the state of it or do anything.
			if (typeof button.handle.setActive !== 'function') {
				return;
			}

			var statusWasSet = false;
			var nodeNames = [button.markup[0].nodeName];
			if (formatPlugin.conversionNames[button.markup[0].nodeName]) {
				nodeNames.push(formatPlugin.conversionNames[markup[0].nodeName]);
			}

			for (i = 0; i < rangeObject.markupEffectiveAtStart.length; i++) {
				effectiveMarkup = rangeObject.markupEffectiveAtStart[i];
				for (j = 0; j < nodeNames.length; j++) {
					if (Selection.standardTagNameComparator(effectiveMarkup, jQuery('<' + nodeNames[j] + '>'))) {
						button.handle.setActive(true);
						statusWasSet = true;
						break;
					}
				}
				if (statusWasSet) {
					break;
				}
			}

			if (!statusWasSet) {
				button.handle.setActive(false);
			}
		});

		// Typography/Blocklevel formats like h1
		if (formatPlugin.typographyButton) {
			var typographyElements = Object.entries(formatPlugin.config).filter(function (entry) {
				return entry[1].typography;
			}).map(function (entry) {
				return entry[0];
			});
			var effectiveTypo = null;
			var typoElement = null;

			for (i = 0; i < rangeObject.markupEffectiveAtStart.length; i++) {
				if (effectiveTypo) {
					break;
				}
				effectiveMarkup = rangeObject.markupEffectiveAtStart[i];
				for (var j = 0; j < typographyElements.length; j++) {
					var typo = typographyElements[j];
					if (Selection.standardTagNameComparator(effectiveMarkup, jQuery('<' + typo + '>'))) {
						effectiveTypo = typo;
						typoElement = effectiveMarkup;
						break;
					}
				}
			}

			/** @type {FormattingOption|null} */
			var settings = formatPlugin.config[effectiveTypo];
			if (!settings) {
				settings = Object.assign({}, DEFAULT_CONFIG[effectiveTypo], settings);
			}

			formatPlugin.activeTypography = effectiveTypo;
			formatPlugin.typographyElement$ = typoElement ? $(typoElement) : null;
			formatPlugin.typographyButton.setIcon(settings.icon || Icons.TYPOGRAPHY);
			formatPlugin.typographyButton.setText(settings.label || i18n.t('button.typography.tooltip'));
			formatPlugin.typographyButton.setSecondaryVisible(settings != null && settings.typography && settings.header);
		}

		handlePreformattedText(rangeObject.commonAncestorContainer);
	}

	/**
	 * Handles preformatted text.
	 * Adds empty paragraphs as landing stripes before and after a preformatted text.
	 *
	 * @private
	 * @param {Element} element a Dom element
	 */
	function handlePreformattedText(element) {
		var $element = jQuery(element);

		if ($element.is('.aloha-editing-p.aloha-placeholder')) {
			//remove all other placeholders
			$element[0].className = '';
			removePlaceholders();
			$element[0].className = 'aloha-editing-p aloha-placeholder';
			return;
		}

		removePlaceholders();

		if (!$element.is('pre')) {
			return;
		}

		//add placeholder before and after the preformatted text element
		var nextSibling = $element[0].nextSibling;
		var previousSibling = $element[0].previousSibling;
		if (!previousSibling || !nextSibling) {
			if (!previousSibling) {
				$element.before(createLanding());
			}
			if (!nextSibling) {
				$element.after(createLanding());
			}
		}
	}

	/**
	 * Helper function to create the placeholder jQuery element
	 *
	 * @private
	 * @returns {Object} the landing jQuery element
	 */
	function createLanding() {
		//IE: add a "word joiner" character instead of a <br>
		var landing = Browser.ie
			? '<p class="aloha-editing-p aloha-placeholder">&#x2060;</p>'
			: '<p class="aloha-editing-p aloha-placeholder"><br class="aloha-end-br"></p>';
		return jQuery(landing);
	}

	/**
	 * Remove editing placeholders
	 *
	 * @private
	 */
	function removePlaceholders() {
		if (Aloha.activeEditable) {
			Aloha.activeEditable.removePlaceholder(Aloha.activeEditable.obj);
		}
	}

	/** @type {object.<string,FormattingOption>} */
	var DEFAULT_CONFIG = {
		// Text Level
		'u': {
			name: 'underline',
			icon: Icons.UNDERLINE,
			label: i18n.t('button.u.tooltip'),
			typography: false,
			header: false,
		},
		'b': {
			name: 'bold',
			icon: Icons.BOLD,
			label: i18n.t('button.b.tooltip'),
			typography: false,
			header: false,
		},
		'i': {
			name: 'italic',
			icon: Icons.ITALIC,
			label: i18n.t('button.i.tooltip'),
			typography: false,
			header: false,
		},
		'cite': {
			icon: Icons.CITATION,
			label: i18n.t('button.cite.tooltip'),
			typography: false,
			header: false,
		},
		'q': {
			name: 'quoute',
			icon: Icons.QUOTE,
			label: i18n.t('button.q.tooltip'),
			typography: false,
			header: false,
		},
		'code': {
			icon: Icons.CODE,
			label: i18n.t('button.code.tooltip'),
			typography: false,
			header: false,
		},
		'abbr': {
			icon: Icons.ABBREVIATION,
			label: i18n.t('button.abbr.tooltip'),
			typography: false,
			header: false,
		},
		'del': {
			icon: Icons.DELETED,
			label: i18n.t('button.del.tooltip'),
			typography: false,
			header: false,
		},
		'ins': {
			icon: Icons.INSERTED,
			label: i18n.t('button.ins.tooltip'),
			typography: false,
			header: false,
		},
		's': {
			name: 'strikethrough',
			icon: Icons.STRIKE_THROUGH,
			label: i18n.t('button.s.tooltip'),
			typography: false,
			header: false,
		},
		'sub': {
			name: 'subscript',
			icon: Icons.SUB_SCRIPT,
			label: i18n.t('button.sub.tooltip'),
			typography: false,
			header: false,
		},
		'sup': {
			name: 'superscript',
			icon: Icons.SUPER_SCRIPT,
			label: i18n.t('button.sup.tooltip'),
			typography: false,
			header: false,
		},

		// Typography / Block level
		'p': {
			icon: Icons.PARAGRAPH,
			label: i18n.t('button.p.tooltip'),
			typography: true,
			header: false,
		},
		'pre': {
			icon: Icons.PRE_FORMATTED,
			label: i18n.t('button.pre.tooltip'),
			typography: true,
			header: false,
		},
		'h1': {
			icon: Icons.HEADER_1,
			label: i18n.t('button.h1.tooltip'),
			typography: true,
			header: true,
		},
		'h2': {
			icon: Icons.HEADER_2,
			label: i18n.t('button.h2.tooltip'),
			typography: true,
			header: true,
		},
		'h3': {
			icon: Icons.HEADER_3,
			label: i18n.t('button.h3.tooltip'),
			typography: true,
			header: true,
		},
		'h4': {
			icon: Icons.HEADER_4,
			label: i18n.t('button.h4.tooltip'),
			typography: true,
			header: true,
		},
		'h5': {
			icon: Icons.HEADER_5,
			label: i18n.t('button.h5.tooltip'),
			typography: true,
			header: true,
		},
		'h6': {
			icon: Icons.HEADER_6,
			label: i18n.t('button.h6.tooltip'),
			typography: true,
			header: true,
		},
	};

	var REMOVE_FORMAT_ID = 'removeFormat';

	/**
	 * register the plugin with unique name
	 */
	return Plugin.create('format', {
		config: DEFAULT_CONFIG,

		// These are old/depreacted nodes and will be converted to the modern equivalent
		conversionNames: {
			'strong': 'b',
			'em': 'i',
		},

		headerNodeNames: ['h1', 'h2', 'h3', 'h4', 'h5', 'h6'],

		/**
		 * available options / buttons
		 *
		 * @todo new buttons needed for 'code'
		 */
		availableButtons: Object.keys(DEFAULT_CONFIG).concat(REMOVE_FORMAT_ID),

		/**
		 * HotKeys used for special actions
		 */
		hotKey: {
			formatBold: 'ctrl+b meta+b',
			formatItalic: 'ctrl+i meta+i',
			formatUnderline: 'ctrl+u meta+u',
			formatParagraph: 'alt+ctrl+0 alt+meta+0',
			formatH1: 'alt+ctrl+1 alt+meta+1',
			formatH2: 'alt+ctrl+2 alt+meta+2',
			formatH3: 'alt+ctrl+3 alt+meta+3',
			formatH4: 'alt+ctrl+4 alt+meta+4',
			formatH5: 'alt+ctrl+5 alt+meta+5',
			formatH6: 'alt+ctrl+6 alt+meta+6',
			formatPre: 'ctrl+p meta+p',
			formatDel: 'ctrl+d meta+d',
			formatSub: 'alt+shift+s',
			formatSup: 'ctrl+shift+s'
		},

		activeTypography: null,

		/**
		 * Initialize the plugin and set initialize flag on true
		 */
		init: function () {
			var me = this;

			Ephemera.classes('aloha-heading-hierarchy-violated');

			if (typeof this.settings.hotKey !== 'undefined') {
				jQuery.extend(true, this.hotKey, this.settings.hotKey);
			}

			this.initButtons();

			var shouldCheckHeadingHierarchy = Strings.parseBoolean(this.settings.checkHeadingHierarchy);

			var checkHeadings = function () {
				checkHeadingHierarchy(me.formatOptions);
			};

			if (shouldCheckHeadingHierarchy) {
				Aloha.bind('aloha-smart-content-changed', checkHeadings);
				Aloha.bind('aloha-markup-change', checkHeadings);
			}

			// apply specific configuration if an editable has been activated
			PubSub.sub('aloha.editable.activated', function (message) {
				var editable = message.editable;
				me.applyButtonConfig(editable.obj);

				if (shouldCheckHeadingHierarchy) {
					checkHeadings();
				}

				var createAdder = function (tagname) {
					if (isFormatAllowed(tagname, me, editable)) {
						return function addFormat() {
							me.addMarkup(tagname);
							return false;
						};
					}
					return function () {
						return false;
					};
				};

				var createChanger = function (tagname) {
					if (isFormatAllowed(tagname, me, editable)) {
						return function changeFormat() {
							me.changeMarkup(tagname);
							return false;
						};
					}
					return function () {
						return false;
					};
				};

				var $editable = editable.obj;
				$editable.on('keydown.aloha.format', me.hotKey.formatBold, createAdder('b'));
				$editable.on('keydown.aloha.format', me.hotKey.formatItalic, createAdder('i'));
				$editable.on('keydown.aloha.format', me.hotKey.formatUnderline, createAdder('u'));
				$editable.on('keydown.aloha.format', me.hotKey.formatDel, createAdder('del'));
				$editable.on('keydown.aloha.format', me.hotKey.formatSub, createAdder('sub'));
				$editable.on('keydown.aloha.format', me.hotKey.formatSup, createAdder('sup'));
				$editable.on('keydown.aloha.format', me.hotKey.formatParagraph, createChanger('p'));
				$editable.on('keydown.aloha.format', me.hotKey.formatH1, createChanger('h1'));
				$editable.on('keydown.aloha.format', me.hotKey.formatH2, createChanger('h2'));
				$editable.on('keydown.aloha.format', me.hotKey.formatH3, createChanger('h3'));
				$editable.on('keydown.aloha.format', me.hotKey.formatH4, createChanger('h4'));
				$editable.on('keydown.aloha.format', me.hotKey.formatH5, createChanger('h5'));
				$editable.on('keydown.aloha.format', me.hotKey.formatH6, createChanger('h6'));
				$editable.on('keydown.aloha.format', me.hotKey.formatPre, createChanger('pre'));
			});

			PubSub.sub('aloha.editable.deactivated', function (message) {
				message.editable.obj.unbind('keydown.aloha.format');
			});
		},

		/**
		 * applys a configuration specific for an editable
		 * buttons not available in this configuration are hidden
		 * @param {Object} id of the activated editable
		 * @return void
		 */
		applyButtonConfig: function ($editable) {
			var config = this.getEditableConfig($editable),
				button, i, len;

			if (typeof config === 'object') {
				var config_old = [];
				jQuery.each(config, function (j, button) {
					if (!(typeof j === 'number' && typeof button === 'string')) {
						config_old.push(j);
					}
				});

				if (config_old.length > 0) {
					config = config_old;
				}
			}
			this.formatOptions = config;

			var editable = $editable[0];

			// now iterate all buttons and show/hide them according to the config
			for (button in this.buttons) {
				if (this.buttons.hasOwnProperty(button)) {
					if (!ContentRules.isAllowed(editable, button)) {
						this.buttons[button].handle.hide();
					} else if (jQuery.inArray(button, config) !== -1) {
						this.buttons[button].handle.show();
					} else {
						this.buttons[button].handle.hide();
					}
				}
			}
		},

		/**
		 * initialize the buttons and register them on floating menu
		 * @param event event object
		 * @param editable current editable object
		 */
		initButtons: function () {
			var that = this;

			this.buttons = {};

			// First create all the regular formatting buttons
			Object.entries(this.config).forEach(function (entry) {
				var nodeName = entry[0];
				var settings = entry[1];

				// Get default config if possible
				if (settings == null || typeof settings !== 'object') {
					settings = DEFAULT_CONFIG[nodeName];
				} else {
					// Allow partial settings, but fill in default values
					settings = Object.assign({}, DEFAULT_CONFIG, settings);
				}

				// If there's no settings, we have to ignore it
				if (!settings) {
					return;
				}

				// Ignore typography buttons for now
				if (settings.typography) {
					return;
				}

				that.buttons[nodeName] = {
					handle: that.makeTextLevelButton(nodeName, settings),
					markup: jQuery('<' + nodeName + '>'),
				};
			});

			this.buttons[REMOVE_FORMAT_ID] = {
				handle: makeRemoveFormatButton(this),
				markup: null,
			};

			this.typographyButton = Ui.adopt('typographyMenu', SplitButton, {
				icon: Icons.TYPOGRAPHY,
				text: i18n.t('button.typography.tooltip'),
				iconOnly: false,

				click: function () {
					var data = Dropdown.openDynamicDropdown(that.typographyButton.name, that._createTypographyContext());
					if (!data) {
						return;
					}

					data.then(function(ctl) {
						return ctl.value;
					}).then(function (result) {
						that._applyTypography(result.id);
					}).catch(function (error) {
						if (!Utils.isUserCloseError(error)) {
							console.error(error);
						}
					});
				},

				secondaryClick: function () {
					/** @type {FormattingOption} */
					var settings = that.config[that.activeTypography];
					if (!settings) {
						settings = DEFAULT_CONFIG[that.activeTypography];
					}

					var data = Dropdown.openDynamicDropdown(that.typographyButton.name, that._createHeaderIdContext(settings));
					if (!data) {
						return;
					}

					data.then(function(ctl) {
						return ctl.value;
					}).then(function (value) {
						that._applyHeaderId((value || '').trim());
					}).catch(function (error) {
						if (!Utils.isUserCloseError(error)) {
							console.error(error);
						}
					});
				},
			});

			PubSub.sub('aloha.selection.context-change', function (message) {
				onSelectionChanged(that, message.range);
			});
		},

		_createTypographyContext: function () {
			var latestOptions = Object.entries(this.config).map(function (entry) {
				var nodeName = entry[0];
				var settings = entry[1];

				// Get default config if possible
				if (settings == null || typeof settings !== 'object') {
					// If it isn't enabled, ignore it
					if (settings !== true) {
						return null;
					}

					settings = DEFAULT_CONFIG[nodeName];
				} else {
					// Allow partial settings, but fill in default values
					settings = Object.assign({}, DEFAULT_CONFIG, settings);
				}

				// If there's no settings, we have to ignore it
				if (!settings) {
					return null;
				}

				// Only check for typography buttons
				if (!settings.typography) {
					return null;
				}

				var out = {
					id: nodeName,
					label: settings.label,
					icon: settings.icon,
				};

				return out;
			}).filter(function (option) {
				return option != null;
			});

			return {
				type: 'select-menu',
				options: {
					iconsOnly: false,
					options: latestOptions,
				},
				initialValue: this.activeTypography,
			};
		},

		/**
		 * @param {string} typography
		 */
		_applyTypography: function (typography) {
			var oldTypography = this.activeTypography;
			this.activeTypography = typography;

			PubSub.pub('aloha.format.pre_change', {
				level: 'block',
				oldFormat: oldTypography,
				newFormat: this.activeTypography,
			});

			changeMarkup(this, this.activeTypography);

			PubSub.pub('aloha.format.changed', {
				level: 'block',
				oldFormat: oldTypography,
				newFormat: this.activeTypography,
			});
		},

		/**
		 * 
		 * @param {FormattingOption} settings
		 */
		_createHeaderIdContext: function (settings) {
			var headerId = null;
			if (this.typographyElement$) {
				headerId = this.typographyElement$.attr(ATTR_HEADER_ID);
			}

			return {
				type: 'input',
				options: {
					label: i18n.t('button.header_id.input'),
				},
				initialValue: headerId,
			};
		},

		_applyHeaderId: function (value) {
			if (!this.typographyElement$) {
				return;
			}

			$(this.typographyElement$).attr(ATTR_HEADER_ID, value);

			// Add the customized class if a ID has been set. Otherwise remove it, so the headerids plugin
			// could automatically add it again if needed/enabled.
			if (value) {
				$(this.typographyElement$).addClass(CLASS_CUSTOMIZED);
			} else {
				$(this.typographyElement$).removeClass(CLASS_CUSTOMIZED);
			}
		},

		makeTextLevelButton: function (nodeType, settings) {
			var _this = this;
			var name = settings.name || nodeType;
			var component = Ui.adopt(name, ToggleButton, {
				tooltip: settings.label,
				icon: settings.icon,
				pure: true,
				click: function () {
					return textLevelButtonClickHandler(_this, nodeType, name);
				}
			});

			return component;
		},

		// duplicated code from link-plugin
		//Creates string with this component's namepsace prefixed the each classname
		nsClass: function () {
			var stringBuilder = [], prefix = pluginNamespace;
			jQuery.each(arguments, function () {
				stringBuilder.push(this == '' ? prefix : prefix + '-' + this);
			});
			return jQuery.trim(stringBuilder.join(' '));
		},

		// duplicated code from link-plugin
		nsSel: function () {
			var stringBuilder = [], prefix = pluginNamespace;
			jQuery.each(arguments, function () {
				stringBuilder.push('.' + (this == '' ? prefix : prefix + '-' + this));
			});
			return jQuery.trim(stringBuilder.join(' '));
		},

		addMarkup: addMarkup,
		changeMarkup: changeMarkup,

		/**
		 * Removes all formatting from the current selection.
		 * And deconstructs lists via unformatList method.
		 */
		removeFormat: function () {
			var formats = [
				'u', 'strong', 'em', 'b', 'i', 'q', 'del', 's', 'code', 'sub', 'sup',
				'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'pre', 'quote', 'blockquote',
				'address', 'small', 'cite', 'dfn',
				'abbr', 'time', 'var', 'samp', 'kbd', 'mark', 'span', 'ins'
			],
				rangeObject = Selection.rangeObject,
				i;

			// formats to be removed by the removeFormat button may now be configured using Aloha.settings.plugins.format.removeFormats = ['b', 'strong', ...]
			if (this.settings.removeFormats) {
				formats = this.settings.removeFormats;
			}

			if (rangeObject.isCollapsed()) {
				var rangeEditingHost = Dom.getEditingHostOf(rangeObject.startContainer);
				var limit = rangeEditingHost ? jQuery(rangeEditingHost) : Aloha.activeEditable.obj;

				for (i = 0; i < formats.length; i++) {
					var format = formats[i].toUpperCase();

					// check whether the markup is found in the range (at the start of the range)
					var nodeNames = [format];
					if (this.conversionNames[format]) {
						nodeNames.push(this.conversionNames[format]);
					}

					var foundMarkup = rangeObject.findMarkup(function (nodeElement) {
						return -1 !== Arrays.indexOf(nodeNames, nodeElement.nodeName);
					}, limit);

					if (foundMarkup) {
						Dom.removeFromDOM(foundMarkup, rangeObject, true);
					}
				}
			} else {
				var rangeEditingHost = Dom.getEditingHostOf(rangeObject.startContainer);
				var limit = rangeEditingHost ? jQuery(rangeEditingHost) : Aloha.activeEditable.obj;
				for (i = 0; i < formats.length; i++) {
					Dom.removeMarkup(
						rangeObject,
						jQuery('<' + formats[i] + '>'),
						limit,
						false);
				}
				unformatList(rangeObject);
			}

			updateUiAfterMutation(this, rangeObject);
			if (Aloha.activeEditable) {
				Aloha.activeEditable.smartContentChange({ type: 'block-change' });
			}
		},

		/**
		 * toString method
		 * @return string
		 */
		toString: function () {
			return 'format';
		}
	});
});

/*!
* Aloha Editor
* Author & Copyright (c) 2012-2013 Gentics Software GmbH
* aloha-sales@gentics.com
* Licensed unter the terms of http://www.aloha-editor.com/license.html
*
* @overview
* Utility functions for content handling.
*/
define('util/contenthandler',[
	'jquery',
	'aloha/core',
	'aloha/markup',
	'util/html'
], function (
	$,
	Aloha,
	Markup,
	Html
) {
	'use strict';

	/**
	 * Checks whether the markup describes a paragraph that is propped by
	 * a <br> tag but is otherwise empty.
	 *
	 * Will return true for:
	 *
	 * <p id="foo"><br class="bar" /></p>
	 *
	 * as well as:
	 *
	 * <p><br></p>
	 *
	 * @param {string} html Markup
	 * @return {boolean} True if html describes a propped paragraph.
	 */
	function isProppedParagraph(html) {
		var trimmed = $.trim(html);
		if (!trimmed) {
			return false;
		}
		var div = $('<div>' + trimmed + '</div>')[0];
		var first = div.firstChild;
		var containsSingleP = first === div.lastChild && 'P' === first.nodeName;
		if (!containsSingleP) {
			return false;
		}
		var $visible = $(first.childNodes).filter(function (i, node) {
			return Html.isRenderedNode(node);
		});
		return $visible.length === 1 && $visible[0].nodeName === 'BR';
	}

	/**
	 * Wrap contents in a div.
	 *
	 * @param {string|jQuery.<HTMLElement>} content the content to wrap
	 * @returns {jQuery.<HTMLElement>} the content wrapped in a div
	 */
	function wrapContent(content) {
		if (typeof content === 'string') {
			return $('<div>' + content + '</div>');
		}
		if (content instanceof $) {
			return $('<div>').append(content);
		}
		return null;
	}

	/**
	 * jQuery Filter function to determine if an element is an aloha-block.
	 * 
	 * @param {number} idx the index of the element
	 * @param {HTMLElement} elem the element
	 * @returns true when $(this) or one of its parents is an aloha-block element
	 */
	function notAlohaBlockFilter(idx, elem) {
		var $elem = $(elem);
		return !$elem.hasClass('aloha-block') && $elem.parents('.aloha-block').length === 0;
	}

	/**
	 * Transforms all tables in the given content to make them ready to for
	 * use with Aloha's table handling.
	 *
	 * Cleans tables of their unwanted attributes.
	 * Normalizes table cells.
	 *
	 * @param {jQuery.<HTMLElement>} $elem the element
	 */
	function prepareTables($elem) {
		if ($elem.is('p') && $elem.parent().is('td') && $elem.siblings().length == 0) {
			// Because a single <p> wrapping the contents of a <td> is
			// initially superfluous and should be stripped out.
			$elem.contents().unwrap();
		}
		// Because Aloha table handling simply does not regard colgroups.
		// @TODO Use sanitize.js?
		if ($elem.is('colgroup')) {
			$elem.remove();
			return;
		}
		if (!$elem.is('table,tbody,th,td,tr')) {
			return;
		}
		$elem
			.removeAttr('width heigth valign');

		// Because Aloha does not provide a way for the editor to
		// manipulate borders, cellspacing, cellpadding in tables.
		// @todo what about width, height?
		if ($elem.is('table')) {
			$elem
				.removeAttr('cellpadding cellspacing border border-top border-bottom border-left border-right');
		}

		if ($elem.is('td')) {
			// Because cells with a single empty <p> are rendered to appear
			// like empty cells, it simplifies the handeling of cells to
			// normalize these table cells to contain actual white space
			// instead.
			if (isProppedParagraph($elem.html())) {
				$elem.html('&nbsp;');
			}
		}
	}

	/**
	 * Remove comment elements.
	 *
	 * @param {jQuery.<HTMLElement>} $elem the element
	 */
	function removeComments($elem) {
		if ($elem[0].nodeType === 8) {
			$elem.remove();
		}
	}

	/**
	 * Remove style elements, and class and style attributes on elements.
	 *
	 * @param {jQuery.<HTMLElement>} $elem the element
	 */
	function removeStyles($elem) {
		if ($elem.is('style')) {
			$elem.remove();
			return;
		}
		// remove style attributes and classes
		$elem.removeAttr('style').removeClass();
	}


	/**
	 * Unwrap elements matching the given selector.
	 *
	 * @param {jQuery.<HTMLElement>} $elem The HTMLElement which will be handled.
	 * @param {string} selector a selector for elements to unwrap
	 */
	function unwrapTags($elem, selector) {
		// Note: we exclude all elements (they will be spans) here, that have the class aloha-wai-lang
		if (!$elem.is(selector) || $elem.hasClass('.aloha-wai-lang')) {
			return;
		}

		// TODO find a better solution for this (e.g. invent a more generic aloha class for all elements, that are
		// somehow maintained by aloha, and are therefore allowed)
		if ($elem.is('div')) {
			// safari and chrome cleanup for plain text paste with working linebreaks
			if ($elem[0].innerHTML !== '<br>') {
				$elem = Markup.transformDomObject($elem, 'p').append('<br>');
			}
		}
		$elem.contents().unwrap();
	}


	/**
	 * Remove list elements and leave only its contents.
	 *
	 * See http://validator.w3.org/check with following invalid markup for
	 * example:
	 * <!DOCTYPE html><head><title></title></head><ul><li>ok</li><ol></ol></ul>
	 *
	 * @param {jQuery.<HTMLElement>} $elem the element
	 */
	function cleanLists($elem) {
		if ($elem.parent().is('ul,ol') && !$elem.is('li')) {
			$elem.remove();
			return;
		}
		// Remove paragraphs and headers inside list elements
		// This has been observed to happen with Word documents
		if ($elem.closest('li').length > 0 && $elem.is('p,h1,h2,h3,h4,h5,h6')) {
			if (!$elem.is(':last-child') && !$elem.contents().last().is('br')) {
				$elem.append('<br>');
			}
			$elem.contents().unwrap();
		}
	}

	/**
	 * Remove elements which are in different namespaces
	 * @param {jQuery.<HTMLElement>} $elem the element
	 */
	function removeNamespacedElements($elem) {
		// get all elements
		var nsPrefix = $elem[0].prefix || ($elem[0].scopeName || undefined);
		// when the prefix is set (and different from 'HTML'), we remove the
		// element
		if ((nsPrefix && nsPrefix !== 'HTML') || $elem[0].nodeName.indexOf(':') >= 0) {
			var $contents = $elem.contents();
			if ($contents.length) {
				// the element has contents, so unwrap the contents
				$contents.unwrap();
			} else {
				// the element is empty, so remove it
				$elem.remove();
			}
		}
	}
	/**
	 * Tags used for semantic formatting
	 * @type {Array.<String>}
	 * @see GenericContentHandler#transformFormattings
	 */
	var formattingTags = ['strong', 'em', 's', 'u', 'strike'];

	/**
	 * Return true if the nodeType is allowed in the settings,
	 * Aloha.settings.contentHandler.allows.elements
	 *
	 * @param {String} nodeType	The tag name of the element to evaluate
	 *
	 * @return {Boolean}
	 */
	function isAllowedNodeName(nodeType) {
		return !!(
			Aloha.settings.contentHandler &&
			Aloha.settings.contentHandler.allows &&
			Aloha.settings.contentHandler.allows.elements &&
			($.inArray(nodeType.toLowerCase(), Aloha.settings.contentHandler.allows.elements) !== -1)
		);
	}

	/**
	 * Transform formattings
	 * @param {jQuery.<HTMLElement>} $elem the element
	 */
	function transformFormattings($elem) {
		// find all formattings we will transform
		// @todo this makes troubles -- don't change semantics! at least in this way...

		var selectors = [],
			i;

		for (i = 0; i < formattingTags.length; i++) {
			if (!isAllowedNodeName(formattingTags[i])) {
				selectors.push(formattingTags[i]);
			}
		}

		if ($elem.is(selectors.join(','))) {
			if ($elem[0].nodeName === 'STRONG') {
				// transform strong to b
				Markup.transformDomObject($elem, 'b');
			} else if ($elem[0].nodeName === 'EM') {
				// transform em to i
				Markup.transformDomObject($elem, 'i');
			} else if ($elem[0].nodeName === 'S' || $elem[0].nodeName == 'STRIKE') {
				// transform s and strike to del
				Markup.transformDomObject($elem, 'del');
			} else if ($elem[0].nodeName === 'U') {
				// transform u?
				$elem.contents().unwrap();
			}
		}
	}

	/**
	 * Check elements should be transformed.
	 *
	 * @returns true if elements should be transformed
	 */
	function isTransformFormattingsByMapping() {
		if (
			Aloha.settings.contentHandler &&
			    Aloha.settings.contentHandler.handler &&
			    Aloha.settings.contentHandler.handler.generic
		) {
			if (typeof Aloha.settings.contentHandler.handler.generic.transformFormattingsMapping !== 'undefined' &&
					Aloha.settings.contentHandler.handler.generic.transformFormattingsMapping.length >= 1
			        ) {
				return true;
			}
		}
		return false;
	}

	/**
	 * Transform elements according to mapping set in configuration
	 * Example config used for fixing Chrome 75 copy paste issues in contenteditable
	 * Chrome will try to maintain styling on the copied range.
	 * Depening on the styling of the copied element this may lead to <b> elements turning into <span style="font-size: 700">
	 * Chrome is unable to copy <sub> and <sup> elements in content editable. This leads to <sub> and <sup> elements turning into spans
	 * 
	 *	Aloha.settings.contentHandler.handler.generic.transformFormattingsMapping: [
	 *		{
	 *			nodeNameIs: 'span',
	 *			nodeNameShould: 'b',
	 *			attribute: {
	 *				name: 'style',
	 *				value: 'font-weight: 700'
	 *			}
	 *		},
	 *		{
	 *			nodeNameIs: 'span',
	 *			nodeNameShould: 'sup',
	 *			attribute: {
	 *				name: 'style',
	 *				value: 'top: -0.5em'
	 *			}
	 *		},
	 *		{
	 *			nodeNameIs: 'span',
	 *			nodeNameShould: 'sub',
	 *			attribute: {
	 *				name: 'style',
	 *				value: 'bottom: -0.5em'
	 *			}
	 *		}
	 *	]
	 * @param {jQuery.<HTMLElement>} $elem the element
	 */
	function transformFormattingsByMapping($elem) {
		if (isTransformFormattingsByMapping()) {
			Aloha.settings.contentHandler.handler.generic.transformFormattingsMapping.forEach(function (mapping) {
				if (typeof mapping.nodeNameIs !== 'undefined' &&
						typeof mapping.nodeNameShould !== 'undefined' &&
						typeof mapping.attribute !== 'undefined' &&
						$elem[0].nodeName.toLowerCase() === mapping.nodeNameIs &&
						$elem[0].hasAttribute(mapping.attribute.name) &&
						$elem[0].getAttribute(mapping.attribute.name).indexOf(mapping.attribute.value) >= 0) {
					return Markup.transformDomObject($elem, mapping.nodeNameShould);
				}
			});
		}

		return $elem;
	}

	/**
	 * Replaces unnecessary new line characters within text nodes in Word HTML
	 * with a space.
	 *
	 * @param {jQuery.<HTMLElement>} $elem
	 */
	function replaceNewlines($elem) {
		if ($elem[0].nodeType === 3) {
			$elem[0].nodeValue = $elem[0].nodeValue.replace(/[\r\n]+/gm, ' ');
		}
	}

	/**
	 * Check if formattiongs should be transformed.
	 *
	 * @returns true if formattings should be transformed
	 */
	function isTransformFormatting() {
		if (
			Aloha.settings.contentHandler &&
				Aloha.settings.contentHandler.handler &&
				Aloha.settings.contentHandler.handler.generic &&
				typeof Aloha.settings.contentHandler.handler.generic.transformFormattings !== 'undefinded' &&
				!Aloha.settings.contentHandler.handler.generic.transformFormattings
		) {
			return false;
		}
		return true;
	}
	/**
	 * Apply the generic content cleanup to an HTMLElement.
	 *
	 * @param {jQuery.<HTMLElement>} $elem The HTMLElement which will be handled.
	 * @param {boolean} isTransformFormattings if formattings should be transformed
	 */
	function doGenericCleanup($elem, isTransformFormattings) {
		transformFormattingsByMapping($elem);
		// TODO: move to table plugin (when the table plugin is not available we should unwrap the tables contents)
		prepareTables($elem);
		removeComments($elem);
		// TODO we should unwrap list elements in the generic cleanup because Aloha-Editor has no way of handling
		// lists without the list plugin
		unwrapTags($elem, 'div, span, font');
		cleanLists($elem);
		removeStyles($elem);
		removeNamespacedElements($elem);
		replaceNewlines($elem);
		if (isTransformFormattings) {
			transformFormattings($elem);
		}

	}
	/**
	 * Remove all attributes from an element, but preserving those
	 * which are explicitly allowed.
	 *
	 * @param {jQuery.<HTMLElement>} $elem The HTMLElement for which the attributes should be removed
	 * @param {Array.<string>} allowed a list of allowed attributes which will not be removed
	 */
	function removeAttributes($elem, allowed) {
		if ($elem.length < 1) {
			return;
		}
		var attributes = $.map($elem[0].attributes, function (attr) {
			return attr.name;
		}).filter(function (attrName) {
			if (Array.isArray(allowed) && allowed.indexOf(attrName) !== -1) {
				return false;
			}
			return true;
		});
		$.each(attributes, function (idx, attrName) {
			$elem.removeAttr(attrName);
		});
	}



	return {
		wrapContent: wrapContent,
		isProppedParagraph: isProppedParagraph,
		doGenericCleanup: doGenericCleanup,
		notAlohaBlockFilter: notAlohaBlockFilter,
		isTransformFormatting: isTransformFormatting,
		removeAttributes: removeAttributes
	};
});

define('list/nls/i18n',{
	"root":  {
		"button.listunordered.tooltip": "Insert Unordered List",
		"button.listordered.tooltip": "Insert Ordered List",
		"button.listdefinition.tooltip": "Insert Definition List",
		"button.indentlist.tooltip": "Increase Indent",
		"button.outdentlist.tooltip": "Decrease Indent",
		"floatingmenu.tab.list": "Lists",
		"class.ul.disc": "Disc",
		"class.ul.circle": "Circle",
		"class.ul.square": "Square",
		"class.ol.numbers": "Numbers",
		"class.ol.numberszero": "Numbers, leading zeroes",
		"class.ol.lcroman": "Lower-case roman",
		"class.ol.ucroman": "Upper-case roman",
		"class.ol.greek": "Greek letters",
		"class.ol.lcletters": "Lower-case letters",
		"class.ol.ucletters": "Upper-case letters",
		"class.dl.blue": "Blue",
		"class.dl.green": "Green",
		"class.dl.red": "Red",
	},
	"ca": true,
	"de": true,
	"mk": true,
	"pt-br": true,
	"ru": true,
	"uk": true,
	"zh-hans": true
});


/* list-plugin.js is part of the Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2014 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 * License http://aloha-editor.org/license.php
 */
define('list/list-plugin',[
	'aloha',
	'PubSub',
	'jquery',
	'aloha/plugin',
	'aloha/content-rules',
	'aloha/engine',
	'util/contenthandler',
	'util/dom',
	'ui/ui',
	'ui/icons',
	'ui/scopes',
	'ui/button',
	'ui/toggleSplitButton',
	'ui/dropdown',
	'ui/utils',
	'i18n!list/nls/i18n'
], function (
	Aloha,
	PubSub,
	$,
	Plugin,
	ContentRules,
	Engine,
	ContentHandlerUtils,
	Dom,
	Ui,
	Icons,
	Scopes,
	Button,
	ToggleSplitButton,
	Dropdown,
	Utils,
	i18n
) {
	'use strict';

	var jQuery = $;
	var configurations = {};

	function getListTypeFromElement($elem) {
		if ($elem.is('ol')) {
			return 'ol';
		} else if ($elem.is('ul')) {
			return 'ul';
		} else if ($elem.is('dl')) {
			return 'dl';
		}
		return false;
	}

	function calculateNestingLevel($elem, $root) {
		var nestingLevel = 0;
		while ($elem.parent().length > 0 && !$elem.parent().is($root)) {
			$elem = $elem.parent();
			if ($elem.is('ol,ul,dl')) {
				nestingLevel++;
			}
		}
		return nestingLevel;
	}

	/**
	 * Initializes the list templates button menus.
	 *
	 * @private
	 * @param {ListPlugin} plugin
	 */
	function initializeTemplates(plugin) {
		plugin.orderedListButton = Ui.adopt('listOrdered', ToggleSplitButton, {
			tooltip: i18n.t('button.listordered.tooltip'),
			icon: Icons.LIST_ORDERED,
			pure: true,
			contextType: 'dropdown',

			secondaryClick: function () {
				plugin.showListDropdown('ol', 'listOrdered');
			},

			onToggle: function (activated) {
				plugin.transformList('ol');
			},
		});

		plugin.unorderedListButton = Ui.adopt('listUnordered', ToggleSplitButton, {
			tooltip: i18n.t('button.listunordered.tooltip'),
			icon: Icons.LIST_UNORDERED,
			pure: true,
			contextType: 'dropdown',

			secondaryClick: function () {
				plugin.showListDropdown('ul', 'listUnordered');
			},

			onToggle: function (activated) {
				plugin.transformList('ul');
			},
		});

		plugin.definitionListButton = Ui.adopt('listDefinition', ToggleSplitButton, {
			tooltip: i18n.t('button.listdefinition.tooltip'),
			icon: Icons.LIST_DEFINITION,
			pure: true,
			contextType: 'dropdown',

			secondaryClick: function () {
				plugin.showListDropdown('dl', 'listDefinition');
			},

			onToggle: function (activated) {
				plugin.transformList('dl');
			},
		});
	}

	/**
	 * Subscribes event handlers to facilitate user interaction on editables.
	 *
	 * @private
	 * @param {ListPlugin} plugin
	 */
	function registerEventHandlers(plugin) {
		PubSub.sub('aloha.editable.created', function (message) {
			var editable = message.editable.obj[0];
			var config = plugin.getEditableConfig(message.editable.obj);
			configurations[message.editable.getId()] = {
				dl: config && ($.inArray('dl', config) > -1) && ContentRules.isAllowed(editable, 'dl'),
				ol: config && ($.inArray('ol', config) > -1) && ContentRules.isAllowed(editable, 'ol'),
				ul: config && ($.inArray('ul', config) > -1) && ContentRules.isAllowed(editable, 'ul')
			};
		});

		Aloha.bind('aloha-smart-content-changed', function (event, data) {
			if (data.triggerType === 'paste') {
				// When a paste event occurs, we need to add the defaultClasses to any
				// lists which were pasted in. There is no way to know what was just pasted,
				// so we just go through all lists in the editable.
				data.editable.obj.find('ul,ol,dl').each(function (index, list) {
					if ($(list).contentEditable()) {
						var nestingLevel = plugin.getListNestingLevel(list);
						if (nestingLevel === 0) {
							plugin.applyDefaultClassesToList(list);
						}
					}
				});
			}
		});

		PubSub.sub('aloha.editable.destroyed', function (message) {
			delete configurations[message.editable.getId()];
		});

		PubSub.sub('aloha.editable.activated', function (message) {
			var config = configurations[message.editable.getId()];
			if (config) {
				toggleListOption(plugin, 'dl', config.dl);
				toggleListOption(plugin, 'ol', config.ol);
				toggleListOption(plugin, 'ul', config.ul);
			}
		});

		PubSub.sub('aloha.selection.context-change', function (message) {
			var wasInListScope = plugin._inListScope;

			plugin._inListScope = false;

			plugin.orderedListButton.setActive(false);
			plugin.unorderedListButton.setActive(false);
			plugin.definitionListButton.setActive(false);
			plugin._outdentListButton.show(false);
			plugin._indentListButton.show(false);

			var i;
			var markup;
			var range = message.range;

			for (i = 0; i < range.markupEffectiveAtStart.length; i++) {
				markup = range.markupEffectiveAtStart[i];
				switch (markup.nodeName) {
				case 'DL':
					$(markup).addClass('alohafocus');
					plugin.definitionListButton.setActive(true);
					plugin._inListScope = true;
					break;
				case 'OL':
					plugin._outdentListButton.show(true);
					plugin._indentListButton.show(true);
					plugin.orderedListButton.setActive(true);
					plugin._inListScope = true;
					break;
				case 'UL':
					plugin._outdentListButton.show(true);
					plugin._indentListButton.show(true);
					plugin.unorderedListButton.setActive(true);
					plugin._inListScope = true;
					break;
				}
			}

			if (wasInListScope != plugin._inListScope) {
				if (plugin._inListScope) {
					Scopes.enterScope('Aloha.List');
				} else {
					Scopes.leaveScope('Aloha.List');
				}
			}
			// Remove jQuery UI menu classes/attributes from list-templates in submenus
			$('div.aloha-list-templates ul').removeClass('ui-menu ui-widget ui-widget-content ui-corner-all')
			          .attr('role', '')
			          .attr('aria-hidden', '')
			          .attr('aria-expanded', '')
			          .css('display', 'block');
		});

		Aloha.Markup.addKeyHandler(9, function (event) {
			return plugin.processTab(event);
		});

		Aloha.Markup.addKeyHandler(8, function (event) {
			return plugin.processBackspace(event);
		});

		Aloha.Markup.addKeyHandler(13, function (event) {
			return plugin.processEnter(event);
		});
	}

	/**
	 * Shows or hides the ul, ol or dl buttons in Aloha floating menu if they are
	 * configured.
	 *
	 * @param {plugin}  plugin the list plugin
	 * @param {string}  listtype the type of listbutton to toggle (ul, ol, dl)
	 * @param {boolean} show hide or show the button
	 */
	function toggleListOption(plugin, listtype, show) {
		switch (listtype) {
		case 'ul':
			if (show) {
				plugin.unorderedListButton.show();
			} else {
				plugin.unorderedListButton.hide();
			}
			break;
		case 'ol':
			if (show) {
				plugin.orderedListButton.show();
			} else {
				plugin.orderedListButton.hide();
			}
			break;
		case 'dl':
			if (show) {
				plugin.definitionListButton.show();
			} else {
				plugin.definitionListButton.hide();
			}
			break;
		}
	}

	/**
	 * Transforms the given list element and its sub elements (if they are in the selection) into
	 * the given transformTo target.
	 * @param domToTransform - The list object that should be transformed
	 * @param transformTo - Transformationtarget e.g. 'ul' / 'ol'
	 */
	function transformExistingListAndSubLists (domToTransform, transformTo) {
		// find and transform sublists if they are in the selection
		jQuery(domToTransform).find(domToTransform.nodeName).each(function () {
			if (isListInSelection(this)) {
				Aloha.Markup.transformDomObject(this, transformTo, Aloha.Selection.rangeObject);
			}
		});

		// the element itself
		var newList = Aloha.Markup.transformDomObject(domToTransform, transformTo, Aloha.Selection.rangeObject);
		ListPlugin.applyDefaultClassesToList(newList);

		Aloha.activeEditable.smartContentChange({type: 'block-change', plugin: 'list-plugin'});
	}

	/**
	 * Checks if a dom element is in the given Slectiontree.
	 * @param needle - the searched element
	 * @return returns true if the needle is found in the current selection tree.
	 */
	function isListInSelection(needle) {
		var selectionTree = Aloha.Selection.getSelectionTree();
		return checkSelectionTreeEntryForElement(selectionTree, needle);
	}

	/**
	 * Checks if the given needle is in the given treeElement or in one of its sub elements.
	 * @param treeElement - the tree element to be searched in
	 * @param needle - the searched element
	 */
	function checkSelectionTreeEntryForElement(treeElementArray, needle) {
		var found = false;
		jQuery.each(treeElementArray, function (index, element) {
			if ((element.domobj === needle && element.selection !== "none") || checkSelectionTreeEntryForElement(element.children, needle)) {
				found = true;
			}
		});
		return found;
	}

	/**
	 * Register the ListPlugin as Aloha.Plugin
	 */
	var ListPlugin = Plugin.create('list', {
		/**
		 * default button configuration
		 */
		config: [ 'ul', 'ol', 'dl' ],

		/**
		 * List of transformable elements
		 */
		transformableElements: {'p' : true, 'h1' : true, 'h2' : true, 'h3' : true, 'h4' : true, 'h5' : true, 'h6' : true, 'ul' : true, 'ol' : true, 'dl': true},

		/**
		 * Default list styles
		 */
		templates: {
			ul: {},
			ol: {},
			dl: {},
		},

		/**
		 * Default classes to apply to lists and list items
		 */
		defaultClasses: {
			ul: {},
			ol: {},
			dl: {}
		},

		/**
		 * A string containing a space-separated list of all unique default class names defined in the config
		 */
		uniqueDefaultClassNames: '',

		/**
		 * Set selected CSS class on current list element and all nested
		 * list elements that are contained in the selection
		 * @param String listtype: ol, ul or dl
		 * @param String style: selected CSS class
		 * @return void
		 */
		setListStyle: function (listtype, style) {
			var domObject = this.getStartingDomObjectToTransform();
			var nodeName = domObject.nodeName.toLowerCase();
			var listToStyle =  jQuery(domObject);
			var plugin = this;

			if (nodeName !== 'ul' && nodeName !== 'ol' && nodeName !== 'dl') {
				// we don't have a list yet, so transform selection to list
				this.transformList(listtype);
				domObject = this.getStartingDomObjectToTransform();
				nodeName = domObject.nodeName.toLowerCase();
				listToStyle = jQuery(this.getStartingDomObjectToTransform());
			}

			if (listtype === nodeName) {
				// remove all classes
				jQuery.each(Object.keys(this.templates[nodeName]), function (i, cssClass) {
					listToStyle.removeClass(cssClass);
				});

				if (style) {
					listToStyle.addClass(style);
				}

				// now proceed with all selected sublists
				listToStyle.find(listtype).each(function () {
					if (isListInSelection(this)) {
						var listToStyle = jQuery(this);
						jQuery.each(plugin.templates[listtype].classes, function (i, cssClass) {
							listToStyle.removeClass(cssClass);
						});

						if (style) {
							listToStyle.addClass(style);
						}
					}
				});
			}
		},

		/**
		* Array for ordered list style buttons
		*/
		orderedListStyleButtons: [],

		/**
		* Array for unordered list style buttons
		*/
		unorderedListStyleButtons: [],

		/**
		* Array for unordered definition style buttons
		*/
		definitionListStyleButtons: [],

		/**
		 * Create the select menu entries for the available list styles.
		 * @param type The list type.
		 * @param elementId The ID of the button element.
		 */
		showListDropdown: function (type, elementId) {
			var that = this;
			var options = Object.keys(that.templates[type]).map(function (listClass) {
				return {
					id: listClass,
					label: that.templates[type][listClass],
				}
			});

			if (options.length > 0) {
				Dropdown.openDynamicDropdown(elementId, {
					type: 'select-menu',
					options: {
						iconsOnly: false,
						options: options
					},
				}).then(function (ref) {
					return ref.value;
				}).then(function (selection) {
					that.setListStyle(type, selection.id);
				}).catch(function (error) {
					if (!Utils.isUserCloseError(error)) {
						console.log(error);
					}
				});
			} else {
				that.setListStyle(type);
			}
		},

		/**
		 * Initializes the plugin. Register buttons, menus, and event handlers.
		 */
		init: function () {
			var plugin = this;

			plugin._indentListButton = Ui.adopt('indentList', Button, {
				tooltip: i18n.t('button.indentlist.tooltip'),
				icon: Icons.INDENT,
				click: function () {
					plugin.indentList();
				}
			});

			plugin._outdentListButton = Ui.adopt('outdentList', Button, {
				tooltip: i18n.t('button.outdentlist.tooltip'),
				icon: Icons.OUTDENT,
				click: function () {
					plugin.outdentList();
				}
			});

			if (Aloha.settings.plugins && Aloha.settings.plugins.list) {
				if (Aloha.settings.plugins.list.templates) {
					plugin.templates = Aloha.settings.plugins.list.templates;
				}

				if (Aloha.settings.plugins.list.listTypes) {
					var idx = plugin.config.indexOf('ol');

					if (Aloha.settings.plugins.list.listTypes.ul === false && idx >= 0) {
						plugin.config.splice(idx, 1)
					}

					idx = plugin.config.indexOf('ol');
					if (Aloha.settings.plugins.list.listTypes.ol === false && idx >= 0) {
						plugin.config.splice(idx, 1)
					}

					idx = plugin.config.indexOf('dl');
					if (Aloha.settings.plugins.list.listTypes.dl === false && idx >= 0) {
						plugin.config.splice(idx, 1)
					}
				}
				if (Aloha.settings.plugins.list.defaultClasses) {
					plugin.defaultClasses = plugin.normalizeDefaultClasses(Aloha.settings.plugins.list.defaultClasses);
					plugin.uniqueDefaultClassNames = plugin.getUniqueDefaultClasseNames(plugin.defaultClasses);
				}
			}

			initializeTemplates(plugin);
			registerEventHandlers(plugin);

			plugin._inListScope = false;

			Scopes.registerScope('Aloha.List', [Scopes.SCOPE_CONTINUOUS_TEXT]);
		},


		getPluginContentHandler: function () {
			var that = this;
			return {
				'ol,ul,dl': function ($elem, options, editable) {
					// check which list-types are allowed in this editable
					// if the list type is not allowed we have to remove the
					// element by unwrapping its contents
					var config = configurations[editable.getId()],
						listType = getListTypeFromElement($elem);
					if (!listType || (config && (
							(listType === 'ol' && !config.ol) ||
							(listType === 'ul' && !config.ul) ||
							(listType === 'dl' && !config.dl)
						))) {
						$elem.contents().unwrap();
						return false;
					}
					ContentHandlerUtils.removeAttributes($elem, ['class']);
					// only keep classes which are in the list of allowed classes
					var classList = $elem.attr('class');
					if (typeof classList === 'string') {
						jQuery.each(classList.split(/\s+/), function (i, className) {
							if (
								!that.templates[listType] ||
									!Array.isArray(that.templates[listType].classes) ||
									that.templates[listType].classes.indexOf(className) === -1
							) {
								$elem.removeClass(className);
							}
						});
					}
					// add default classes
					$elem.addClass(that.getDefaultListClass(listType, calculateNestingLevel($elem, editable.obj)));
					// cleanup empty class attributes
					if (!$elem.attr('class')) {
						$elem.removeAttr('class');
					}
					// return false to not apply other handlers and skip the generic cleanup on this element
					return false;
				},
				'li,dt,dd': function ($elem, $options, editable) {
					// if li,dt,dd elements are not properly nested
					// we have to unwrap their contents
					var $parent = $elem.parent(),
						listType = getListTypeFromElement($parent);
					if (
						!listType || ($elem.is('li') && listType !== 'ol' && listType !== 'ul') ||
							($elem.is('dt,dd') && listType !== 'dl')
					) {
						$elem.contents().unwrap();
						return false;
					}
					ContentHandlerUtils.removeAttributes($elem);
					$elem.addClass(that.getDefaultItemClass(listType, calculateNestingLevel($parent, editable.obj)));
					// return false to not apply other handlers and skip the generic cleanup on this element
					return false;
				}
			};
		},

		/**
		 * The defaultClasses may be specified as a string or an array of strings. This method takes the user-defined
		 * config and normalizes it to always be an array of strings.
		 *
		 * @param {Object} defaultClasses
		 * @return {Object}
		 */
		normalizeDefaultClasses: function(defaultClasses) {
			if (!defaultClasses) {
				return;
			}
			var listPlugin = this;
			var normalizedDefaultClasses = {};
			$.each(['ul', 'ol', 'dl'], function(index, type) {
				var defaultForType = defaultClasses[type] || {};
				normalizedDefaultClasses[type] = {
					list: listPlugin.normalizeDefaultClassValue(defaultForType.list),
					item: listPlugin.normalizeDefaultClassValue(defaultForType.item)
				};
			});

			return normalizedDefaultClasses;
		},

		/**
		 * Given the normalized defaultClasses (as generated by normalizeDefaultClasses()), this returns
		 * a string containing each unique class name defined, space-separated.
		 *
		 * @param {Object} normalizedDefaultClasses
		 * @return {string}
		 */
		getUniqueDefaultClasseNames: function(normalizedDefaultClasses) {
			var allDefaultClassesArray = [];

			$.each(normalizedDefaultClasses, function (key, value){
				var classes = value.item.concat(value.list);
				allDefaultClassesArray = allDefaultClassesArray.concat(classes);
			});

			// Deduplicates a simple array.
			function dedup(array) {
				var unique = [];
				$.each(array, function(i, el){
					if($.inArray(el, unique) === -1) {
						unique.push(el);
					}
				});
				return unique;
			}
			return dedup(allDefaultClassesArray.join(' ').split(' ')).join(' ');
		},

		/**
		 * Takes a value which can be a string or and array, and normalizes to an array.
		 * @param {string|Array<string>} value
		 * @return {Array<string>}
		 */
		normalizeDefaultClassValue: function(value) {
			if (!value) {
				return [];
			} else if (typeof value === 'string') {
				return [value];
			} else {
				return value;
			}
		},

		/**
		 * Process Tab and Shift-Tab pressed in lists
		 */
		processTab: function (event) {
			if (event.keyCode === 9/*tab*/ ) {
				if (event.shiftKey) {
					return this.outdentList();
				} else {
					return this.indentList();
				}
			}
			return true;
		},

		/**
		 * If the backspace key is pressed while at position 0 of a list item, the list will be transformed into a paragraph.
		 * This transformation does not occur within this plugin, so the usual methods (transformList() etc) are not called.
		 *
		 * This method is used to ensure that default classes are correctly removed when a list is transformed into a paragraph
		 * by a press of the backspace key.
		 *
		 * @param {KeyboardEvent} event
		 * @return {boolean}
		 */
		processBackspace: function(event) {
			if (event.keyCode !== 8 || this.uniqueDefaultClassNames.length === 0) {
				// If no default classes have been configured, we can skip this.
				return true;
			}
			var plugin = this;

			var list = this.getNearestSelectedListItem();
			if (list) {
				setTimeout(function() {
					// setTimeout is needed because the processBackspace() method is executed prior to the DOM
					// changes taking place. This deferred code will therefore execute after the DOM updates
					// and the selection can be assumed to be in the correct place.
					var newParentElement = Aloha.Selection.rangeObject.startContainer.parentNode;
					var closestList$ = $(newParentElement).closest('ol,ul,dl');
					if (closestList$.get(0)) {
						plugin.applyDefaultClassesToList(closestList$)
					} else {
						plugin.removeAllDefaultClasses(newParentElement);
					}
				});
			}
			return true;
		},

		/**
		 * If the enter key is pressed while at the last position of the last item of a list, the list item
		 * will be either outdented to its parent list or transformed into a paragraph. This transformation does
		 * not occur within this plugin, so the usual methods (transformList() etc) are not called.
		 *
		 * This method is used to ensure that default classes are correctly removed when a list is transformed
		 * by a press of the enter key.
		 *
		 * @param {KeyboardEvent} event
		 * @return {boolean}
		 */
		processEnter: function(event) {
			if (event.keyCode !== 13 || this.uniqueDefaultClassNames.length === 0) {
				// If no default classes have been configured, we can skip this.
				return true;
			}
			var plugin = this;
			var list = plugin.getNearestSelectedListItem();
			if (list) {
				var nestingLevel = plugin.getListNestingLevel(list);
				setTimeout(function () {
					if (nestingLevel === 0) {
						// The list has been transformed into a paragraph.
						// Unfortunately in this case we cannot rely on the Aloha.Selection.rangeObject -
						// it will still be set at the <li> element which has just been removed from
						// the DOM, so we need to just remove all defaultClasses from non-list elements
						// in the editable.
						var editable$ = Aloha.activeEditable && Aloha.activeEditable.originalObj;
						if (editable$) {
							editable$.children().each(function (index, childElement) {
								if (!Dom.isListElement(childElement)) {
									plugin.removeAllDefaultClasses(childElement);
								}
							});
						}
					} else {
						var closestList$ = $(Aloha.Selection.rangeObject.startContainer).closest('ul,ol,dl');
						if (0 < closestList$.length) {
							plugin.applyDefaultClassesToList(closestList$);
						}
					}
				});
			}
			return true;
		},

		/**
		 * For the current selection, get the DOM object, which will be transformed to/from the list
		 * @return dom object or false
		 */
		getStartingDomObjectToTransform: function () {
			Aloha.Selection.checkForFirefoxIncorrectRange();
			var rangeObject = Aloha.Selection.rangeObject,
				i, effectiveMarkup;

			for ( i = 0; i < rangeObject.markupEffectiveAtStart.length; i++) {
				effectiveMarkup = rangeObject.markupEffectiveAtStart[ i ];
				if (this.transformableElements[effectiveMarkup.nodeName.toLowerCase()]) {
					return effectiveMarkup;
				}
			}

			return false;
		},

		/**
		 * For the current selection, get the nearest list item as dom object
		 * @return dom object or false
		 */
		getNearestSelectedListItem: function () {
			var rangeObject = Aloha.Selection.rangeObject,
				i, effectiveMarkup;

			for ( i = 0; i < rangeObject.markupEffectiveAtStart.length; i++) {
				effectiveMarkup = rangeObject.markupEffectiveAtStart[ i ];
				if (Dom.isListElement(effectiveMarkup)) {
					return effectiveMarkup;
				}
			}

			return false;
		},

		/**
		* Transforms a list into paragraphs
		* @param Dom domToTransform element to transform
		* @param String listElement the list element to transform (li, dt, dd)
		*/
		transformListToParagraph: function (domToTransform, listElement) {
			var newPara;
			var jqToTransform = jQuery(domToTransform);
			var listPlugin = this;
			jQuery.each(jqToTransform.children(listElement), function (index, el) {
				newPara = Aloha.Markup.transformDomObject(el, 'p', Aloha.Selection.rangeObject);
				// if any lists are in the paragraph, move the to after the paragraph
				newPara.after(newPara.children('ol,ul,dl'));
				listPlugin.removeAllDefaultClasses(newPara);
				Engine.ensureContainerEditable(newPara.get(0));
			});

			// unwrap the elements (remove the enclosing list)
			jqToTransform.children().unwrap();

			Aloha.activeEditable.smartContentChange({type: 'block-change', plugin: 'list-plugin'});
		},

		/**
		* When the list is nested into another, our list items will be
		* added to the list items of the outer list.
		* @param Dom Parent List Dom element
		* @param Dom List Dom Element
		*/
		fixupNestedLists: function (jqParentList, jqList) {
			// find the place where to put the children of the inner list
			if (jqParentList.get(0).nodeName.toLowerCase() === 'li') {
				// transform the list elements to be li (could by dt and dd)
				jQuery.each(jqList.children(), function (index, el) {
					Aloha.Markup.transformDomObject(el, 'li', Aloha.Selection.rangeObject);
				});
				// inner list is nested in a li (this conforms to the html5 spec)
				jqParentList.after(jqList.children());
				this.applyDefaultClassesToList(jqParentList.parent());
				jqList.remove();
			} else {
				// inner list is nested in the outer list directly (this violates the html5 spec)
				jqList.children().unwrap();
			}
		},

		/**
		* Creates a list out of allowed elements
		* @param String listtype type of list we want to create (ul, ol, dl)
		* @param Dom domToTransform DOM object to transform
		*/
		createList: function (listtype, domToTransform) {
			var selectedSiblings = Aloha.Selection.rangeObject.getSelectedSiblings(domToTransform);
			var jqList;
			var jqNewEl;
			var lastAppendedEl;
			var el;

			// create a new list
			switch (listtype) {
				case 'ol':
					jqList = jQuery('<ol></ol>');
					jqNewEl = jQuery('<li></li>');
					break;
				case 'ul':
					jqList = jQuery('<ul></ul>');
					jqNewEl = jQuery('<li></li>');
					break;
				case 'dl':
					jqList = jQuery('<dl></dl>');
					jqNewEl = jQuery('<dt></dt>');
					break;
			}

			// add the li into the list
			jqList.append(jqNewEl);
			// append the contents of the old dom element to the li
			jQuery(domToTransform).contents().appendTo(jqNewEl);
			// replace the old dom element with the new list
			jQuery(domToTransform).replaceWith(jqList);

			// update the selection range
			if (Aloha.Selection.rangeObject.startContainer == domToTransform) {
				Aloha.Selection.rangeObject.startContainer = jqNewEl.get(0);
			}
			if (Aloha.Selection.rangeObject.endContainer == domToTransform) {
				Aloha.Selection.rangeObject.endContainer = jqNewEl.get(0);
			}

			lastAppendedEl = jqNewEl;

			// now also transform all siblings
			if (selectedSiblings) {
				var o = true;
				var lastEl = false;
				for (var i = 0; i < selectedSiblings.length; ++i) {
					if (Dom.isBlockLevelElement(selectedSiblings[i])) {
						if (lastEl) {
							lastEl = false;
						}
						// transform the block level element
						if (listtype === 'dl') {
							if (!o) {
								jqNewEl = Aloha.Markup.transformDomObject(selectedSiblings[i], 'dt', Aloha.Selection.rangeObject);
							} else {
								jqNewEl = Aloha.Markup.transformDomObject(selectedSiblings[i], 'dd', Aloha.Selection.rangeObject);
							}
							o = !o;
						} else {
							jqNewEl = Aloha.Markup.transformDomObject(selectedSiblings[i], 'li', Aloha.Selection.rangeObject);
						}
						jqList.append(jqNewEl);
						lastAppendedEl = jqNewEl;
					} else {
						if (selectedSiblings[i].nodeType == 3 && jQuery.trim(selectedSiblings[i].data).length === 0) {
							continue;
						}
						if (!lastEl) {
							lastEl = jqNewEl;
							jqList.append(lastEl);
							lastAppendedEl = lastEl;
						}
						lastEl.append(selectedSiblings[i]);
					}
				}
			}


			// merge adjacent lists
			var mergedList = this.mergeAdjacentLists(jqList);

			this.applyDefaultClassesToList(mergedList);

			var $list = $(jqList);
			var listPlugin = this;
			listPlugin.applyDefaultClassesToList($list);

			//use rangy to change the selection to the contents of
			//the last li that was appended to the list
			el = lastAppendedEl.get(0);
			if (Dom.isEmpty(el)) {
				var range = Aloha.createRange();
				var selection = Aloha.getSelection();
				//IE7 requires an (empty or non-empty) text node
				//inside the li for the selection to work.
				el.appendChild(document.createTextNode(""));
				range.selectNodeContents( el.lastChild );
				selection.removeAllRanges();
				selection.addRange( range );
				Aloha.Selection.updateSelection();
			}

			Aloha.activeEditable.smartContentChange({type: 'block-change', plugin: 'list-plugin'});
		},

		/**
		* Set up a new empty list
		* @param String listtype type of list we want to create (ul, ol, dl)
		* @return Dom domToTransform DOM object to transform
		*/
		prepareNewList: function (listtype) {
			var jqList;
			var jqNewEl;
			var el;
			var editable;
			var range;
			var selection;
			Aloha.Selection.updateSelection();

			// wrap a paragraph around the selection
			Aloha.Selection.changeMarkupOnSelection(jQuery('<p></p>'));
			var domToTransform = this.getStartingDomObjectToTransform();

			if (!domToTransform) {
				if ( jQuery(Aloha.Selection.rangeObject.startContainer).contentEditable() ) {
					// create a new list with an empty item
					switch (listtype) {
						case 'ol':
							jqList = jQuery('<ol></ol>');
							jqNewEl = jQuery('<li></li>');
							break;
						case 'ul':
							jqList = jQuery('<ul></ul>');
							jqNewEl = jQuery('<li></li>');
							break;
						case 'dl':
							jqList = jQuery('<dl></dl>');
							jqNewEl = jQuery('<dt></dt>');
							break;
					}

					jqList.append(jqNewEl);
					el = jqNewEl.get(0);
					el.appendChild(document.createTextNode(""));

					if (Dom.insertIntoDOM(jqList, Aloha.Selection.rangeObject)) {
						range = Aloha.createRange();
						selection = Aloha.getSelection();
						range.setStart( el.firstChild, 0 );
						range.setEnd( el.firstChild, 0 );
						selection.removeAllRanges();
						selection.addRange( range );
						Aloha.Selection.updateSelection();
						domToTransform = jqList.get(0);
					} else {
						Aloha.Log.error(this, 'Could not transform selection into a list');
					}
				} else {
					Aloha.Log.error(this, 'Could not transform selection into a list');
				}
			}
			return domToTransform;
		},

		/**
		 * Transform the current selection to/from a list
		 * @param String listtype type of list we want to transform to (ul, ol, dl)
		 */
		transformList: function (listtype) {
			var domToTransform = this.getStartingDomObjectToTransform();
			var jqList = jQuery(domToTransform);
			var jqParentList;
			var	nodeName;
			var listPlugin = this;

			// visible is set to true, but the button is not visible
			this._outdentListButton.show(true);
			this._indentListButton.show(true);

			if (!domToTransform || !domToTransform.parentNode) {
				domToTransform = this.prepareNewList(listtype);
				this.refreshSelection();

				if (domToTransform && domToTransform.nodeName.toLowerCase() === listtype) {
					return;
				}
			}

			// check the dom object
			nodeName = domToTransform.nodeName.toLowerCase();

			//remove all classes on list type change
			if (nodeName !== listtype && this.templates[nodeName]) {
				jQuery.each(this.templates[nodeName].classes, function (i, cssClass) {
					jqList.removeClass(cssClass);
				});
			}
			// remove default classes
			listPlugin.removeAllDefaultClasses(jqList);
			jqList.children().each(function (index, item) {
				listPlugin.removeAllDefaultClasses(item);
			});

			if (nodeName === listtype) {
				jqParentList = jqList.parent();
				if (jqParentList.length > 0 && Dom.isListElement(jqParentList.get(0))) {
					// we are in a nested list
					this.fixupNestedLists(jqParentList, jqList);
				} else {
					// we are in an list and shall transform it to paragraphs
					if (listtype === 'dl') {
						this.transformListToParagraph(domToTransform, 'dd, dt');
					} else {
						this.transformListToParagraph(domToTransform, 'li');
					}
				}

			} else if (nodeName === 'ul' && listtype === 'ol') {
				transformExistingListAndSubLists(domToTransform, 'ol');
				this.mergeAdjacentLists(jQuery(domToTransform));
			} else if (nodeName === 'ol' && listtype === 'ul') {
				transformExistingListAndSubLists(domToTransform, 'ul');
				this.mergeAdjacentLists(jQuery(domToTransform));
			} else if (nodeName === 'ul' && listtype === 'dl') {
				this.transformListToParagraph(domToTransform, 'li');
				domToTransform = this.prepareNewList(listtype);
				this.createList(listtype, domToTransform);
			} else if (nodeName === 'ol' && listtype === 'dl') {
				this.transformListToParagraph(domToTransform, 'li');
				domToTransform = this.prepareNewList(listtype);
				this.createList(listtype, domToTransform);
			} else if (nodeName === 'dl' && listtype === 'ol' ) {
				this.transformListToParagraph(domToTransform, 'dd, dt');
				domToTransform = this.prepareNewList(listtype);
				this.createList(listtype, domToTransform);
			} else if (nodeName === 'dl' && listtype === 'ul' ) {
				this.transformListToParagraph(domToTransform, 'dd, dt');
				domToTransform = this.prepareNewList(listtype);
				this.createList(listtype, domToTransform);
			} else {
				this.createList(listtype, domToTransform);
			}

			this.refreshSelection();
		},


		/**
		 * Indent the selected list items by moving them into a new created, nested list
		 */
		indentList: function () {
			var listItem = this.getNearestSelectedListItem(),
				i, jqNewList, selectedSiblings, jqOldList, jqItemBefore;

			if (listItem) {
				jqItemBefore = jQuery(listItem).prev('li');

				// when we are in the first li of a list, there is no indenting
				if (jqItemBefore.length === 0) {
					// but we handled the TAB keystroke
					return false;
				}
				jqOldList = jQuery(listItem).parent();

				// get the also selected siblings of the dom object
				selectedSiblings = Aloha.Selection.rangeObject.getSelectedSiblings(listItem);

				// create the new list element by cloning the selected list element's parent
				jqNewList = jQuery(listItem).parent().clone(false).empty();
				jqNewList.append(listItem);

				// we found a list item before the first selected one, so append the new list to it
				jqItemBefore.append(jqNewList);

				// check for multiple selected items
				if (selectedSiblings) {
					for ( i = 0; i < selectedSiblings.length; ++i) {
						jqNewList.append(jQuery(selectedSiblings[i]));
					}
				}

				// merge adjacent lists
				var mergedList = this.mergeAdjacentLists(jqNewList, true);

				this.applyDefaultClassesToList(mergedList);

				// refresh the selection
				this.refreshSelection();

				Aloha.activeEditable.smartContentChange({type: 'block-change', plugin: 'list-plugin'});
				return false;
			}

			return true;
		},

		/**
		 * Outdent nested list items by moving them into the outer list
		 */
		outdentList: function () {
			var
				listItem = this.getNearestSelectedListItem(),
				i, jqNewPostList,
				jqListItem, jqList, jqParentList, wrappingLi,
				selectedSiblings, lastSelected;

			if (listItem) {
				// check whether the list is nested into another list
				jqListItem = jQuery(listItem);
				jqList = jqListItem.parent();

				// get the parent list
				jqParentList = jqList.parents('ul,ol');

				// check whether the inner list is directly inserted into a li element
				wrappingLi = jqList.parent('li');

				if (jqParentList.length > 0
						&& Dom.isListElement(jqParentList.get(0))) {
					// the list is nested into another list

					// get the also selected siblings of the dom object
					selectedSiblings = Aloha.Selection.rangeObject.getSelectedSiblings(listItem);

					// check for multiple selected items
					if (selectedSiblings && selectedSiblings.length > 0) {
						lastSelected = jQuery(selectedSiblings[selectedSiblings.length - 1]);
					} else {
						lastSelected = jqListItem;
					}

					// check whether we found not selected li's after the selection
					if (lastSelected.nextAll('li').length > 0) {
						jqNewPostList = jqList.clone(false).empty();
						jqNewPostList.append(lastSelected.nextAll());
						lastSelected.append(jqNewPostList);
					}

					// now move all selected li's into the higher list
					if (wrappingLi.length > 0) {
						wrappingLi.after(jqListItem);
					} else {
						jqList.before(jqListItem);
					}

					// check for multiple selected items
					if (selectedSiblings && selectedSiblings.length > 0) {
						for ( i = selectedSiblings.length - 1; i >= 0; --i) {
							jqListItem.after(jQuery(selectedSiblings[i]));
						}
					}

					// finally check whether there are elements left in the list
					if (jqList.contents('li').length === 0) {
						// list is completely empty, so remove it
						jqList.remove();
					}

					// check whether the wrapping li is empty now
					if (wrappingLi.length > 0 && wrappingLi.contents().length === 0) {
						wrappingLi.remove();
					}

					// refresh the selection
					this.refreshSelection();

					this.applyDefaultClassesToList(jqParentList);
				}

				Aloha.activeEditable.smartContentChange({type: 'block-change', plugin: 'list-plugin'});
				return false;
			}

			return true;
		},

		/**
		 * Refresh the current selection and set to focus to the current editable again
		 */
		refreshSelection: function () {
			Aloha.Selection.rangeObject.update();
			Aloha.Selection.rangeObject.select();
			Aloha.Selection.updateSelection();
		},

		/**
		 * Merge adjacent lists (of same type) into the first list
		 * @param jqList jQuery object of a list
		 * @param allTypes true if all types of lists may be merged, false if only same types may be merged
		 * @return {HTMLUListElement|HTMLOListElement}
		 */
		mergeAdjacentLists: function (jqList, allTypes) {
			// first get the first previous sibling of same type
			var firstList = jqList.get(0), jqNextList;

			while (
				firstList.previousSibling
				&& firstList.previousSibling.nodeType === 1
				&& this.isMergable(firstList.previousSibling, firstList, allTypes)
			) {
				firstList = firstList.previousSibling;
			}

			jqList = jQuery(firstList);
			// now merge all adjacent lists into this one
			while (
				firstList.nextSibling
				&& (
					(
						firstList.nextSibling.nodeType === 1
						&& this.isMergable(firstList.nextSibling, firstList, allTypes)
					) || (
						firstList.nextSibling.nodeType === 3
						&& jQuery.trim(firstList.nextSibling.data).length === 0
					)
				)
			) {
				jqNextList = jQuery(firstList.nextSibling);
				if (firstList.nextSibling.nodeType == 1) {
					jqNextList.contents().appendTo(jqList);
				}
				jqNextList.remove();
			}
			return firstList;
		},

		/**
		 * Check whether the given DOM element toCheck is mergeable into the DOM element mergeInto
		 * @param toCheck DOM element to check
		 * @param mergeInto DOM element into which toCheck shall be merged
		 * @param allTypes true if all types of lists may be merged, false if only same types may be merged
		 */
		isMergable: function (toCheck, mergeInto, allTypes) {
			if (allTypes) {
				return toCheck.nodeName.toLowerCase() == 'ul' || toCheck.nodeName.toLowerCase() == 'ol';
			} else {
				return toCheck.nodeName == mergeInto.nodeName;
			}
		},

		/**
		 * Adds the correct defaultClasses (as defined in the Aloha config) to the given list element and its
		 * LI children, recursively for all nested lists below the starting list.
		 *
		 * @param {HTMLUListElement|HTMLOListElement|HTMLDListElement|$} list
		 */
		applyDefaultClassesToList: function(list) {
			var listPlugin = this;

			function recur(list, nestingLevel) {
				var $list = $(list).first();
				var elNodeName = $list.get(0).nodeName;
				var listType = elNodeName.toLowerCase();
				listPlugin.removeAllDefaultClasses($list);
				$list.addClass(listPlugin.getDefaultListClass(listType, nestingLevel));
				$list.children().each(function (index, item) {
					var $item = $(item);
					listPlugin.removeAllDefaultClasses(item);
					$item.addClass(listPlugin.getDefaultItemClass(listType, nestingLevel));

					$item.children('ul,ol,dl').each(function (index, childList) {
						recur(childList, nestingLevel + 1);
					});
				});
			}

			var nestingLevel = this.getListNestingLevel(list);
			recur(list, nestingLevel);
		},

		/**
		 * Returns a 0-indexed nesting level for the given list or list item. A nesting of 0 === a top-level list in
		 * this editable.
		 *
		 * @param {HTMLOListElement|HTMLUListElement|HTMLLIElement} listEl
		 * @return {number}
		 */
		getListNestingLevel: function (listEl) {
			// wrap with jQuery to normalize HTMLElements and jQuery objects
			var $element = $(listEl);
			var elNodeName = $element.get(0).nodeName;
			var $list = elNodeName === 'LI' || elNodeName === 'DT' || elNodeName === 'DD' ? $element.parent() : $element;
			var nestingLevel = 0;
			var maxSteps = 50; // set a maximum to prevent infinite loops
			var steps = 0;
			var parent = $list.get(0);
			var editable = $list.closest('.aloha-editable').get(0);

			while (parent && editable && parent !== editable && steps < maxSteps) {
				parent = parent.parentElement;
				if (parent.nodeName === 'OL' || parent.nodeName === 'UL' || parent.nodeName === 'DL') {
					nestingLevel++;
				}
				if (parent === editable) {
					return nestingLevel;
				}
				steps++;
			}
			return nestingLevel;
		},

		/**
		 * Returns the default class for a list of a given nesting level.
		 *
		 * @param {'ol'|'ul'|'dl'} listType
		 * @param {number} nestingLevel
		 * @return {string}
		 */
		getDefaultListClass: function (listType, nestingLevel) {
			var listClasses = this.getDefaultClasses(listType).list;
			var index = Math.min(listClasses.length - 1, nestingLevel);
			return listClasses[index];
		},

		/**
		 * Returns the default class for a list item of a given nesting level.
		 *
		 * @param {'ol'|'ul'|'dl'} listType
		 * @param {number} nestingLevel
		 * @return {string}
		 */
		getDefaultItemClass: function (listType, nestingLevel) {
			var listClasses = this.getDefaultClasses(listType).item;
			var index = Math.min(listClasses.length - 1, nestingLevel);
			return listClasses[index];
		},

		/**
		 * Removes all defaultClasses associated with list items.
		 *
		 * @param {HTMLElement} element
		 */
		removeAllDefaultClasses: function (element) {
			if (0 < this.uniqueDefaultClassNames.length) {
				$(element).removeClass(this.uniqueDefaultClassNames);
			}
		},

		/**
		 * Returns the default list an item classes for a given list type
		 *
		 * @param {'ol'|'ul'|'dl'} listType
		 * @return {{ list: Array<number>, item: Array<number> }}
		 */
		getDefaultClasses: function (listType) {
			switch (listType.toLowerCase()) {
				case 'ol':
					return this.defaultClasses.ol;
				case 'ul':
					return this.defaultClasses.ul;
				case 'dl':
					return this.defaultClasses.dl;
				default:
					throw new Error('Invalid listType: ' + listType.toString());
			}
		}
	});

	Engine.commands['insertdefinitionlist'] = {
		action: function (value, range) {
			ListPlugin.transformList('dl');
			if (range && Aloha.Selection.rangeObject) {
				range.startContainer = Aloha.Selection.rangeObject.startContainer;
				range.startOffset = Aloha.Selection.rangeObject.startOffset;
				range.endContainer = Aloha.Selection.rangeObject.endContainer;
				range.endOffset = Aloha.Selection.rangeObject.endOffset;
			}
		},
		indeterm: function () {
			// TODO
		},
		state: function () {
			for (var i = 0; i < rangeObject.markupEffectiveAtStart.length; i++) {
				var effectiveMarkup = rangeObject.markupEffectiveAtStart[ i ];
				if (Aloha.Selection.standardTagNameComparator(effectiveMarkup, jQuery('<ul></ul>'))) {
					return false;
				}
				if (Aloha.Selection.standardTagNameComparator(effectiveMarkup, jQuery('<ol></ol>'))) {
					return false;
				}
				if (Aloha.Selection.standardTagNameComparator(effectiveMarkup, jQuery('<dl></dl>'))) {
					return true;
				}
			}

			return false;
		}
	};


	Engine.commands['insertorderedlist'] = {
		action: function (value, range) {
			ListPlugin.transformList('ol');
			if (range && Aloha.Selection.rangeObject) {
				range.startContainer = Aloha.Selection.rangeObject.startContainer;
				range.startOffset = Aloha.Selection.rangeObject.startOffset;
				range.endContainer = Aloha.Selection.rangeObject.endContainer;
				range.endOffset = Aloha.Selection.rangeObject.endOffset;
			}
		},
		indeterm: function () {
			// TODO
		},
		state: function () {
			for (var i = 0; i < rangeObject.markupEffectiveAtStart.length; i++) {
				var effectiveMarkup = rangeObject.markupEffectiveAtStart[ i ];
				if (Aloha.Selection.standardTagNameComparator(effectiveMarkup, jQuery('<ul></ul>'))) {
					return false;
				}
				if (Aloha.Selection.standardTagNameComparator(effectiveMarkup, jQuery('<ol></ol>'))) {
					return true;
				}
				if (Aloha.Selection.standardTagNameComparator(effectiveMarkup, jQuery('<dl></dl>'))) {
					return false;
				}
			}

			return false;
		}
	};

	Engine.commands['insertunorderedlist'] = {
		action: function (value, range) {
			ListPlugin.transformList('ul');
			if (range && Aloha.Selection.rangeObject) {
				range.startContainer = Aloha.Selection.rangeObject.startContainer;
				range.startOffset = Aloha.Selection.rangeObject.startOffset;
				range.endContainer = Aloha.Selection.rangeObject.endContainer;
				range.endOffset = Aloha.Selection.rangeObject.endOffset;
			}
		},
		indeterm: function () {
			// TODO
		},
		state: function () {
			for (var i = 0; i < rangeObject.markupEffectiveAtStart.length; i++) {
				var effectiveMarkup = rangeObject.markupEffectiveAtStart[ i ];
				if (Aloha.Selection.standardTagNameComparator(effectiveMarkup, jQuery('<ul></ul>'))) {
					return true;
				}
				if (Aloha.Selection.standardTagNameComparator(effectiveMarkup, jQuery('<ol></ol>'))) {
					return false;
				}
				if (Aloha.Selection.standardTagNameComparator(effectiveMarkup, jQuery('<dl></dl>'))) {
					return false;
				}
			}

			return false;
		}
	};

	Engine.commands['indent'] = {
		action: function (value, range) {
			ListPlugin.indentList();
			if (range && Aloha.Selection.rangeObject) {
				range.startContainer = Aloha.Selection.rangeObject.startContainer;
				range.startOffset = Aloha.Selection.rangeObject.startOffset;
				range.endContainer = Aloha.Selection.rangeObject.endContainer;
				range.endOffset = Aloha.Selection.rangeObject.endOffset;
			}
		},
		indeterm: function () {
			// TODO
		},
		state: function () {
			// TODO
			return false;
		}
	};

	Engine.commands['outdent'] = {
		action: function (value, range) {
			ListPlugin.outdentList();
			if (range && Aloha.Selection.rangeObject) {
				range.startContainer = Aloha.Selection.rangeObject.startContainer;
				range.startOffset = Aloha.Selection.rangeObject.startOffset;
				range.endContainer = Aloha.Selection.rangeObject.endContainer;
				range.endOffset = Aloha.Selection.rangeObject.endOffset;
			}
		},
		indeterm: function () {
			// TODO
		},
		state: function () {
			// TODO
			return false;
		}
	};

	/**
	 * A key handler that should be run as a keyup handler for the
	 * backspace and del keys. keyup fires after the browser has already
	 * performed the delete - this handler will perform a cleanup if
	 * necessary.
	 *
	 * Will work around an IE bug which breaks nested lists in the
	 * following situation, where [] is the selection, if backspace is
	 * pressed (same goes for the del key if the selection is at the end
	 * of the li that occurs before the selection):
	 *
	 * <ul>
	 *  <li>one</li>
	 *  <li><ul><li>two</li></ul></li>
	 * </ul>
	 * <p>[]</p>
	 *
	 * The browser behaviour, if one would presses backspace, results in
	 * the following:
	 *
	 * <ul>
	 *  <li>one</li>
	 *  <ul><li>two</li></ul>
	 * </ul>
	 *
	 * which is invalid HTML since the <ul>s are nested directly inside
	 * each other.
	 *
	 * Also, the following situation will cause the kind of invalid HTML
	 * as above.
	 * <ul>
	 *   <li>one</li>
	 *   <li><ul><li>two</li></ul></li>
	 *   <li>[]three</li>
	 * </ul>
	 *
	 * Also, the following situtation:
	 * <ul>
	 *   <li>one</li>
	 *   <li><ul><li>two</li></ul>
	 *       <p>[]three</p>
	 *       <li>four</li>
	 *   </li>
	 * </ul>
	 *
	 * And similar situations, some of which are not so easy to reproduce.
	 *
	 * @param event a jQuery key event
	 * @return false if no action needed to be taken, true if cleanup has been performed
	 */
	function deleteWorkaroundHandler(event) {
		if (8/*backspace*/ != event.keyCode && 46/*del*/ != event.keyCode) {
			return false;
		}

		var rangeObj = Aloha.getSelection().getRangeAt(0);
		var startContainer = rangeObj.startContainer;

		//the hack is only relevant if after the deletion has been
		//performed we are inside a li of a nested list
		var $nestedList = jQuery(startContainer).closest('ul, ol, dl');
		if ( ! $nestedList.length ) {
			return false;
		}
		var $parentList = $nestedList.parent().closest('ul, ol, dl');
		if ( ! $parentList.length ) {
			return false;
		}

		var ranges = Aloha.getSelection().getAllRanges();

		var actionPerformed = false;
		$parentList.each(function () {
			actionPerformed = actionPerformed || fixListNesting(jQuery(this));
		});

		if (actionPerformed) {
			Aloha.getSelection().setRanges(ranges);
			for (var i = 0; i < ranges.length; i++) {
				ranges[i].detach();
			}
		}

		return actionPerformed;
	}

	/**
	 * If dls, uls or ols are nested directly inside the given list (invalid
	 * HTML), they will be cleaned up by being appended to the preceding
	 * element.
	 */
	function fixListNesting($list) {
		var actionPerformed = false;
		$list.children('ul, ol').each(function () {
			Aloha.Log.debug("performing list-nesting cleanup");
			if ( ! jQuery(this).prev('li').append(this).length ) {
				//if there is no preceding li, create a new one and append to that
				jQuery(this).parent().prepend(document.createElement('li')).append(this);
			}
			actionPerformed = true;
		});
		$list.children('dl').each(function () {
			Aloha.Log.debug("performing list-nesting cleanup");
			if ( ! jQuery(this).prev('dt').append(this).length ) {
				//if there is no preceding dt, create a new one and append to that
				jQuery(this).parent().prepend(document.createElement('dt')).append(this);
			}
			actionPerformed = true;
		});
		return actionPerformed;
	}

	return ListPlugin;
});

define('image/nls/i18n',{
	"root":  {
		"size.natural": "Original size",
		"button.addimg.tooltip": "add image ref",
		"floatingmenu.tab.img": "Image",
		"floatingmenu.tab.formatting": "Formatting",
		"floatingmenu.tab.resize": "Resize",
		"floatingmenu.tab.crop": "Crop",
		"modal.properties.title": "Image properties",
		"button.uploadimg.tooltip": "Upload img",
		"button.uploadimg.label": "Upload",
		"button.img.align.left.tooltip": "Left align",
		"button.img.align.right.tooltip": "Right Align",
		"button.img.align.none.tooltip": "No alignment",
		"field.img.title.label": "Title",
		"field.img.title.tooltip": "Title",
		"field.img.label": "URL",
		"field.img.tooltip": "Source",
		"border ": "Add Border to Image",
		"padding.increase ": "Increase Padding",
		"padding.decrease ": "Decrease Padding",
		"size.increase ": "Increase Size",
		"size.decrease ": "Decrease Size",
		"Resize": "Resize",
		"Crop": "Crop",
		"focalpoint": "Set focal point",
		"Reset": "Reset",
		"Accept": "Accept",
		"Cancel": "Cancel",
		"height": "Height",
		"width": "Width",
		"button.toggle.tooltip": "Toggle keep aspect ratio",
		"field.img.src.label": "Source",
		"field.img.src.tooltip": "Source"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


define('aloha/nls/i18n',{
	"root":  {
		"plugin.abbr.floatingmenu.tab.abbr": "Abbreviation",
		"floatingmenu.tab.format": "Format",
		"floatingmenu.tab.insert": "Insert",
		"yes": "Yes",
		"no": "No",
		"cancel": "Cancel",
		"repository.no_item_found": "No item found.",
		"repository.loading": "Loading",
		"repository.no_items_found_yet": "No items found yet..."
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/*global documents: true define: true */
/*!
 * Aloha Editor
 * Author & Copyright (c) 2011 Gentics Software GmbH
 * aloha-sales@gentics.com
 * Licensed under the terms of http://www.aloha-editor.com/license.html
 *
 * Author : Nicolas Karageuzian - http://nka.me
 */
define('image/image-floatingMenu',[
	'jquery',
    'util/class',
	'i18n!image/nls/i18n',
	'i18n!aloha/nls/i18n',
	'ui/ui',
	'ui/scopes',
    'ui/button',
    'ui/toggleButton',
	'ui/contextButton',
	'ui/icons',
	'ui/utils',
],
function (
	jQuery,
	Class,
	i18n,
	i18nCore,
	Ui,
	Scopes,
	Button,
	ToggleButton,
	ContextButton,
	Icons,
	Utils
) {
	'use strict';

	var $ = jQuery;
	var GENTICS = window.GENTICS;
	var Aloha = window.Aloha;

	/**
     * Toolbar elements for Image plugin
     *
     * @class MyClass
     */
	return Class.extend({
        /**
         * Empty constructor
         *
         * @method
         * @constructor
         */
		_constructor: function () {

		},

         /**
          * Initialize Floating menu buttons according to plugin config
          */
        init: function (plugin) {
			var that = this;
			plugin.floatingMenuControl = this;

			that.plugin = plugin;
			that.src = '';
			that.title = '';
			that.width = '';
			that.height = '';

			Scopes.registerScope(plugin.name, [Scopes.SCOPE_EMPTY]);

			this._editImage = Ui.adopt('imageEdit', ContextButton, {
				contextType: 'modal',
				icon: Icons.IMAGE_EDIT,
				context: function () {
					if (!plugin || !plugin.imageObj) {
						return null;
					}

					var src = plugin.imageObj.attr('src');
					var title = plugin.imageObj.attr('title');
					var width = plugin.imageObj.css('width');
					var height = plugin.imageObj.css('height');
					var pxIdx = width.indexOf('px');

					if (pxIdx > 0) {
						width = width.substring(0, pxIdx);
					}

					pxIdx = height.indexOf('px');

					if (pxIdx > 0) {
						height = height.substring(0, pxIdx);
					}

					return {
						title: i18n.t('modal.properties.title'),
						initialValue: {
							src: src,
							title: title,
							width: width,
							height: height,
						},
						controls: {
							src: {
								type: 'input',
								options: {
									label: i18n.t('field.img.label'),
								}
							},
							title: {
								type: 'input',
								options: {
									label: i18n.t('field.img.title.label'),
								}
							},
							width: {
								type: 'input',
								options: {
									label: i18n.t('width'),
								},
							},
							height: {
								type: 'input',
								options: {
									label: i18n.t('height'),
								}
							}
						},
						onChange: function (value, control) {
							if (!plugin.keepAspectRatio) {
								return;
							}

							var widthChanged = that.width != control.value.width;
							var heightChanged = that.height != control.value.height;

							if (!widthChanged && !heightChanged) {
								return;
							}

							var w = parseInt(that.width);
							var h = parseInt(that.height);
							var ratio = w / h;

							if (widthChanged) {
								w = parseInt(control.value.width);
								h = w / ratio;
							}

							if (heightChanged) {
								h = parseInt(control.value.height);
								w = h * ratio;
							}

							that.width = w.toString();
							that.height = h.toString();
							control.setValue({
								src: control.value.src,
								title: control.value.title,
								width: that.width,
								height: that.height,
							})
						}
					};
				},
				contextResolve: function (data) {
					that.src = data.src;
					that.title = data.title;
					that.width = data.width;
					that.height = data.height;
					plugin.setSizeByFieldValue();
					plugin.srcChange();
				},
				contextReject: function (error) {
					if (!Utils.isUserCloseError(error)) {
						console.log(error);
					}
				}
			 });

			this._addUIInsertButton();
			this._addUIResetButton();
			this._addUIAlignButtons();
			this._addUIMarginButtons();
			this._addUICropButtons();
			this._addUIAspectRatioToggleButton();
			this._addFocalPointButton();
		},

		/**
		 * Adds the aspect ratio toggle button to the floating menu
		 */
		_addUIAspectRatioToggleButton: function () {
			var that = this;
			var plugin = that.plugin;

			this._imageCnrRatioButton = Ui.adopt("imageCnrRatio", ToggleButton, {
				tooltip: i18n.t('button.toggle.tooltip'),
				icon: Icons.IMAGE_RATIO,
				pure: true,
				onToggle: function (active) {
					plugin.toggleKeepAspectRatio(active);
					that._imageCnrRatioButton.setActive(active);
				}
			});

			// If the setting has been set to a number or false we need to activate the
			// toggle button to indicate that the aspect ratio will be preserved.
			if (plugin.settings.fixedAspectRatio !== false) {
				this._imageCnrRatioButton.setActive(true);
				plugin.keepAspectRatio = true;
			}
		},

		/**
		 * Adds the reset button to the floating menu for the given tab
		 */
		_addUIResetButton: function () {
			var plugin = this.plugin;

			this._imageCnrResetButton = Ui.adopt("imageCnrReset", Button, {
				tooltip: i18n.t('Reset'),
				icon: Icons.IMAGE_RESET,
				click: function () {
					plugin.reset();
				}
			});
		},

		/**
		 * Adds the insert button to the floating menu
		 */
		_addUIInsertButton: function () {
			var plugin = this.plugin;

			this._insertImageButton = Ui.adopt("insertImage", Button, {
				tooltip: i18n.t('button.addimg.tooltip'),
				icon: 'aloha-button aloha-image-insert',
				click: function () {
					plugin.insertImg();
				}
			});
		},

		/**
		 * Adds the ui align buttons to the floating menu
		 */
		_addUIAlignButtons: function () {
			var plugin = this.plugin;

			this._imageAlignLeftButton = Ui.adopt("imageAlignLeft", Button, {
				tooltip: i18n.t('button.img.align.left.tooltip'),
				icon: Icons.IMAGE_ALIGN_LEFT,
				click : function () {
					var el = jQuery(plugin.getPluginFocus());
					el.add(el.parent()).css('float', 'left');
				}
			});

			this._imageAlignRightButton = Ui.adopt("imageAlignRight", Button, {
				tooltip: i18n.t('button.img.align.right.tooltip'),
				icon: Icons.IMAGE_ALIGN_RIGHT,
				click : function () {
					var el = jQuery(plugin.getPluginFocus());
					el.add(el.parent()).css('float', 'right');
				}
			});

			this._imageAlignNoneButton = Ui.adopt("imageAlignNone", Button, {
				tooltip: i18n.t('button.img.align.none.tooltip'),
				icon: Icons.IMAGE_ALIGN_NONE,
				click : function () {
					var el = jQuery(plugin.getPluginFocus());
					el.add(el.parent()).css({
						'float': 'none',
						display: 'inline-block'
					});
				}
			});
		},

		/**
		 * Adds the ui margin buttons to the floating menu
		 */
		_addUIMarginButtons: function () {
			var plugin = this.plugin;

			this._imageIncPaddingButton = Ui.adopt("imageIncPadding", Button, {
				tooltip: i18n.t('padding.increase'),
				icon: Icons.IMAGE_INCREASE_PADDING,
				click: function () {
					jQuery(plugin.getPluginFocus()).increase('padding');
				}
			});

			this._imageDecPaddingButton = Ui.adopt("imageDecPadding", Button, {
				tooltip: i18n.t('padding.decrease'),
				icon: Icons.IMAGE_DECREASE_PADDING,
				click: function () {
					jQuery(plugin.getPluginFocus()).decrease('padding');
				}
			});
		},

		/**
		 * Adds the crop buttons to the floating menu
		 */
		_addUICropButtons: function () {
			var plugin = this.plugin;

			Scopes.registerScope('Aloha.img', [Scopes.SCOPE_GLOBAL]);

			this._imageCropButton = Ui.adopt("imageCropButton", ToggleButton, {
				tooltip: i18n.t('Crop'),
				icon: Icons.IMAGE_CROP,
				pure: true,
				onToggle: function (active) {
					if (active) {
						plugin.crop();
					} else {
						plugin.endCrop();
					}
				}
			});
		},

		_addFocalPointButton: function() {
			var plugin = this.plugin;

			Scopes.registerScope('Aloha.img', [Scopes.SCOPE_GLOBAL]);

			this._imageFocalPointButton = Ui.adopt("imageFocalPointButton", ToggleButton, {
				tooltip: i18n.t('focalpoint'),
				icon: Icons.IMAGE_FOCAL_POINT,
				pure: true,
				onToggle: function (active) {
					if (active) {
						plugin.enableFocalPointMode();
					} else {
						plugin.disableFocalPointMode();
					}
				}
			});

		},

		/**
		 * Sets the scope
		 */
		setScope: function () {
			// Scopes.setScope(this.plugin.name);
		},

		/**
		 * Redraws UI
		 */
		doLayout: function () {
			// Implementation was removed while porting this plugin to
			// the jqueryui toolbar because it seems to be a hack that
			// is not needed with the new implementation.
		}
	});
});

define('image/vendor/jcrop/jquery.jcrop.min',["jquery"], function(jQuery){
/**
 * Jcrop v.0.9.8 (minimized)
 * (c) 2008 Kelly Hallman and DeepLiquid.com
 * More information: http://deepliquid.com/content/Jcrop.html
 * Released under MIT License - this header must remain with code
 */


(function($){$.Jcrop=function(obj,opt)
{var obj=obj,opt=opt;if(typeof(obj)!=='object')obj=$(obj)[0];if(typeof(opt)!=='object')opt={};if(!('trackDocument'in opt))
{opt.trackDocument=$.browser.msie?false:true;if($.browser.msie&&$.browser.version.split('.')[0]=='8')
opt.trackDocument=true;}
if(!('keySupport'in opt))
opt.keySupport=$.browser.msie?false:true;var defaults={trackDocument:false,baseClass:'jcrop',addClass:null,bgColor:'black',bgOpacity:.6,borderOpacity:.4,handleOpacity:.5,handlePad:5,handleSize:9,handleOffset:5,edgeMargin:14,aspectRatio:0,keySupport:true,cornerHandles:true,sideHandles:true,drawBorders:true,dragEdges:true,boxWidth:0,boxHeight:0,boundary:8,animationDelay:20,swingSpeed:3,allowSelect:true,allowMove:true,allowResize:true,minSelect:[0,0],maxSize:[0,0],minSize:[0,0],onChange:function(){},onSelect:function(){}};var options=defaults;setOptions(opt);var $origimg=$(obj);var $img=$origimg.clone().removeAttr('id').css({position:'absolute'});$img.css("width", parseInt(origimg.css("width")) + "px");$img.css("height", parseInt($origimg.css("height"))+"px");$origimg.after($img).hide();presize($img,options.boxWidth,options.boxHeight);var boundx=parseInt($img.css("width")),boundy=parseInt($img.css("height")),$div=$('<div />').css("width", boundx + "px").css("height", boundy + "px").addClass(cssClass('holder')).css({position:'relative',backgroundColor:options.bgColor}).insertAfter($origimg).append($img);;if(options.addClass)$div.addClass(options.addClass);var $img2=$('<img />').attr('src',$img.attr('src')).css('position','absolute').css("width", boundx + "px").css("height", boundy+"px");var $img_holder=$('<div />').css("width", pct(100)+"px").css("height",pct(100)+"px").css({zIndex:310,position:'absolute',overflow:'hidden'}).append($img2);var $hdl_holder=$('<div />').css("width", pct(100)+"px").css("height",pct(100)+"px").css('zIndex',320);var $sel=$('<div />').css({position:'absolute',zIndex:300}).insertBefore($img).append($img_holder,$hdl_holder);var bound=options.boundary;var $trk=newTracker().css("width", (boundx+(bound*2))+"px").css("height", (boundy+(bound*2))+"px").css({position:'absolute',top:px(-bound),left:px(-bound),zIndex:290}).mousedown(newSelection);var xlimit,ylimit,xmin,ymin;var xscale,yscale,enabled=true;var docOffset=getPos($img),btndown,lastcurs,dimmed,animating,shift_down;var Coords=function()
{var x1=0,y1=0,x2=0,y2=0,ox,oy;function setPressed(pos)
{var pos=rebound(pos);x2=x1=pos[0];y2=y1=pos[1];};function setCurrent(pos)
{var pos=rebound(pos);ox=pos[0]-x2;oy=pos[1]-y2;x2=pos[0];y2=pos[1];};function getOffset()
{return[ox,oy];};function moveOffset(offset)
{var ox=offset[0],oy=offset[1];if(0>x1+ox)ox-=ox+x1;if(0>y1+oy)oy-=oy+y1;if(boundy<y2+oy)oy+=boundy-(y2+oy);if(boundx<x2+ox)ox+=boundx-(x2+ox);x1+=ox;x2+=ox;y1+=oy;y2+=oy;};function getCorner(ord)
{var c=getFixed();switch(ord)
{case'ne':return[c.x2,c.y];case'nw':return[c.x,c.y];case'se':return[c.x2,c.y2];case'sw':return[c.x,c.y2];}};function getFixed()
{if(!options.aspectRatio)return getRect();var aspect=options.aspectRatio,min_x=options.minSize[0]/xscale,min_y=options.minSize[1]/yscale,max_x=options.maxSize[0]/xscale,max_y=options.maxSize[1]/yscale,rw=x2-x1,rh=y2-y1,rwa=Math.abs(rw),rha=Math.abs(rh),real_ratio=rwa/rha,xx,yy;if(max_x==0){max_x=boundx*10}
if(max_y==0){max_y=boundy*10}
if(real_ratio<aspect)
{yy=y2;w=rha*aspect;xx=rw<0?x1-w:w+x1;if(xx<0)
{xx=0;h=Math.abs((xx-x1)/aspect);yy=rh<0?y1-h:h+y1;}
else if(xx>boundx)
{xx=boundx;h=Math.abs((xx-x1)/aspect);yy=rh<0?y1-h:h+y1;}}
else
{xx=x2;h=rwa/aspect;yy=rh<0?y1-h:y1+h;if(yy<0)
{yy=0;w=Math.abs((yy-y1)*aspect);xx=rw<0?x1-w:w+x1;}
else if(yy>boundy)
{yy=boundy;w=Math.abs(yy-y1)*aspect;xx=rw<0?x1-w:w+x1;}}
if(xx>x1){if(xx-x1<min_x){xx=x1+min_x;}else if(xx-x1>max_x){xx=x1+max_x;}
if(yy>y1){yy=y1+(xx-x1)/aspect;}else{yy=y1-(xx-x1)/aspect;}}else if(xx<x1){if(x1-xx<min_x){xx=x1-min_x}else if(x1-xx>max_x){xx=x1-max_x;}
if(yy>y1){yy=y1+(x1-xx)/aspect;}else{yy=y1-(x1-xx)/aspect;}}
if(xx<0){x1-=xx;xx=0;}else if(xx>boundx){x1-=xx-boundx;xx=boundx;}
if(yy<0){y1-=yy;yy=0;}else if(yy>boundy){y1-=yy-boundy;yy=boundy;}
return last=makeObj(flipCoords(x1,y1,xx,yy));};function rebound(p)
{if(p[0]<0)p[0]=0;if(p[1]<0)p[1]=0;if(p[0]>boundx)p[0]=boundx;if(p[1]>boundy)p[1]=boundy;return[p[0],p[1]];};function flipCoords(x1,y1,x2,y2)
{var xa=x1,xb=x2,ya=y1,yb=y2;if(x2<x1)
{xa=x2;xb=x1;}
if(y2<y1)
{ya=y2;yb=y1;}
return[Math.round(xa),Math.round(ya),Math.round(xb),Math.round(yb)];};function getRect()
{var xsize=x2-x1;var ysize=y2-y1;if(xlimit&&(Math.abs(xsize)>xlimit))
x2=(xsize>0)?(x1+xlimit):(x1-xlimit);if(ylimit&&(Math.abs(ysize)>ylimit))
y2=(ysize>0)?(y1+ylimit):(y1-ylimit);if(ymin&&(Math.abs(ysize)<ymin))
y2=(ysize>0)?(y1+ymin):(y1-ymin);if(xmin&&(Math.abs(xsize)<xmin))
x2=(xsize>0)?(x1+xmin):(x1-xmin);if(x1<0){x2-=x1;x1-=x1;}
if(y1<0){y2-=y1;y1-=y1;}
if(x2<0){x1-=x2;x2-=x2;}
if(y2<0){y1-=y2;y2-=y2;}
if(x2>boundx){var delta=x2-boundx;x1-=delta;x2-=delta;}
if(y2>boundy){var delta=y2-boundy;y1-=delta;y2-=delta;}
if(x1>boundx){var delta=x1-boundy;y2-=delta;y1-=delta;}
if(y1>boundy){var delta=y1-boundy;y2-=delta;y1-=delta;}
return makeObj(flipCoords(x1,y1,x2,y2));};function makeObj(a)
{return{x:a[0],y:a[1],x2:a[2],y2:a[3],w:a[2]-a[0],h:a[3]-a[1]};};return{flipCoords:flipCoords,setPressed:setPressed,setCurrent:setCurrent,getOffset:getOffset,moveOffset:moveOffset,getCorner:getCorner,getFixed:getFixed};}();var Selection=function()
{var start,end,dragmode,awake,hdep=370;var borders={};var handle={};var seehandles=false;var hhs=options.handleOffset;if(options.drawBorders){borders={top:insertBorder('hline').css('top',$.browser.msie?px(-1):px(0)),bottom:insertBorder('hline'),left:insertBorder('vline'),right:insertBorder('vline')};}
if(options.dragEdges){handle.t=insertDragbar('n');handle.b=insertDragbar('s');handle.r=insertDragbar('e');handle.l=insertDragbar('w');}
options.sideHandles&&createHandles(['n','s','e','w']);options.cornerHandles&&createHandles(['sw','nw','ne','se']);function insertBorder(type)
{var jq=$('<div />').css({position:'absolute',opacity:options.borderOpacity}).addClass(cssClass(type));$img_holder.append(jq);return jq;};function dragDiv(ord,zi)
{var jq=$('<div />').mousedown(createDragger(ord)).css({cursor:ord+'-resize',position:'absolute',zIndex:zi});$hdl_holder.append(jq);return jq;};function insertHandle(ord)
{return dragDiv(ord,hdep++).css({top:px(-hhs+1),left:px(-hhs+1),opacity:options.handleOpacity}).addClass(cssClass('handle'));};function insertDragbar(ord)
{var s=options.handleSize,o=hhs,h=s,w=s,t=o,l=o;switch(ord)
{case'n':case's':w=pct(100);break;case'e':case'w':h=pct(100);break;}
return dragDiv(ord,hdep++).css("width", w +"px").css("height",h+"px").css({top:px(-t+1),left:px(-l+1)});};function createHandles(li)
{for(i in li)handle[li[i]]=insertHandle(li[i]);};function moveHandles(c)
{var midvert=Math.round((c.h/2)-hhs),midhoriz=Math.round((c.w/2)-hhs),north=west=-hhs+1,east=c.w-hhs,south=c.h-hhs,x,y;'e'in handle&&handle.e.css({top:px(midvert),left:px(east)})&&handle.w.css({top:px(midvert)})&&handle.s.css({top:px(south),left:px(midhoriz)})&&handle.n.css({left:px(midhoriz)});'ne'in handle&&handle.ne.css({left:px(east)})&&handle.se.css({top:px(south),left:px(east)})&&handle.sw.css({top:px(south)});'b'in handle&&handle.b.css({top:px(south)})&&handle.r.css({left:px(east)});};function moveto(x,y)
{$img2.css({top:px(-y),left:px(-x)});$sel.css({top:px(y),left:px(x)});};function resize(w,h)
{$sel.css("width", w+"px").css("height",h+"px");};function refresh()
{var c=Coords.getFixed();Coords.setPressed([c.x,c.y]);Coords.setCurrent([c.x2,c.y2]);updateVisible();};function updateVisible()
{if(awake)return update();};function update()
{var c=Coords.getFixed();resize(c.w,c.h);moveto(c.x,c.y);options.drawBorders&&borders['right'].css({left:px(c.w-1)})&&borders['bottom'].css({top:px(c.h-1)});seehandles&&moveHandles(c);awake||show();options.onChange(unscale(c));};function show()
{$sel.show();$img.css('opacity',options.bgOpacity);awake=true;};function release()
{disableHandles();$sel.hide();$img.css('opacity',1);awake=false;};function showHandles()
{if(seehandles)
{moveHandles(Coords.getFixed());$hdl_holder.show();}};function enableHandles()
{seehandles=true;if(options.allowResize)
{moveHandles(Coords.getFixed());$hdl_holder.show();return true;}};function disableHandles()
{seehandles=false;$hdl_holder.hide();};function animMode(v)
{(animating=v)?disableHandles():enableHandles();};function done()
{animMode(false);refresh();};var $track=newTracker().mousedown(createDragger('move')).css({cursor:'move',position:'absolute',zIndex:360})
$img_holder.append($track);disableHandles();return{updateVisible:updateVisible,update:update,release:release,refresh:refresh,setCursor:function(cursor){$track.css('cursor',cursor);},enableHandles:enableHandles,enableOnly:function(){seehandles=true;},showHandles:showHandles,disableHandles:disableHandles,animMode:animMode,done:done};}();var Tracker=function()
{var onMove=function(){},onDone=function(){},trackDoc=options.trackDocument;if(!trackDoc)
{$trk.mousemove(trackMove).mouseup(trackUp).mouseout(trackUp);}
function toFront()
{$trk.css({zIndex:450});if(trackDoc)
{$(document).mousemove(trackMove).mouseup(trackUp);}}
function toBack()
{$trk.css({zIndex:290});if(trackDoc)
{$(document).unbind('mousemove',trackMove).unbind('mouseup',trackUp);}}
function trackMove(e)
{onMove(mouseAbs(e));};function trackUp(e)
{e.preventDefault();e.stopPropagation();if(btndown)
{btndown=false;onDone(mouseAbs(e));options.onSelect(unscale(Coords.getFixed()));toBack();onMove=function(){};onDone=function(){};}
return false;};function activateHandlers(move,done)
{btndown=true;onMove=move;onDone=done;toFront();return false;};function setCursor(t){$trk.css('cursor',t);};$img.before($trk);return{activateHandlers:activateHandlers,setCursor:setCursor};}();var KeyManager=function()
{var $keymgr=$('<input type="radio" />').css({position:'absolute',left:'-30px'}).keypress(parseKey).blur(onBlur),$keywrap=$('<div />').css({position:'absolute',overflow:'hidden'}).append($keymgr);function watchKeys()
{if(options.keySupport)
{$keymgr.show();$keymgr.focus();}};function onBlur(e)
{$keymgr.hide();};function doNudge(e,x,y)
{if(options.allowMove){Coords.moveOffset([x,y]);Selection.updateVisible();};e.preventDefault();e.stopPropagation();};function parseKey(e)
{if(e.ctrlKey)return true;shift_down=e.shiftKey?true:false;var nudge=shift_down?10:1;switch(e.keyCode)
{case 37:doNudge(e,-nudge,0);break;case 39:doNudge(e,nudge,0);break;case 38:doNudge(e,0,-nudge);break;case 40:doNudge(e,0,nudge);break;case 27:Selection.release();break;case 9:return true;}
return nothing(e);};if(options.keySupport)$keywrap.insertBefore($img);return{watchKeys:watchKeys};}();function px(n){return''+parseInt(n)+'px';};function pct(n){return''+parseInt(n)+'%';};function cssClass(cl){return options.baseClass+'-'+cl;};function getPos(obj)
{var pos=$(obj).offset();return[pos.left,pos.top];};function mouseAbs(e)
{return[(e.pageX-docOffset[0]),(e.pageY-docOffset[1])];};function myCursor(type)
{if(type!=lastcurs)
{Tracker.setCursor(type);lastcurs=type;}};function startDragMode(mode,pos)
{docOffset=getPos($img);Tracker.setCursor(mode=='move'?mode:mode+'-resize');if(mode=='move')
return Tracker.activateHandlers(createMover(pos),doneSelect);var fc=Coords.getFixed();var opp=oppLockCorner(mode);var opc=Coords.getCorner(oppLockCorner(opp));Coords.setPressed(Coords.getCorner(opp));Coords.setCurrent(opc);Tracker.activateHandlers(dragmodeHandler(mode,fc),doneSelect);};function dragmodeHandler(mode,f)
{return function(pos){if(!options.aspectRatio)switch(mode)
{case'e':pos[1]=f.y2;break;case'w':pos[1]=f.y2;break;case'n':pos[0]=f.x2;break;case's':pos[0]=f.x2;break;}
else switch(mode)
{case'e':pos[1]=f.y+1;break;case'w':pos[1]=f.y+1;break;case'n':pos[0]=f.x+1;break;case's':pos[0]=f.x+1;break;}
Coords.setCurrent(pos);Selection.update();};};function createMover(pos)
{var lloc=pos;KeyManager.watchKeys();return function(pos)
{Coords.moveOffset([pos[0]-lloc[0],pos[1]-lloc[1]]);lloc=pos;Selection.update();};};function oppLockCorner(ord)
{switch(ord)
{case'n':return'sw';case's':return'nw';case'e':return'nw';case'w':return'ne';case'ne':return'sw';case'nw':return'se';case'se':return'nw';case'sw':return'ne';};};function createDragger(ord)
{return function(e){if(options.disabled)return false;if((ord=='move')&&!options.allowMove)return false;btndown=true;startDragMode(ord,mouseAbs(e));e.stopPropagation();e.preventDefault();return false;};};function presize($obj,w,h)
{var nw=parseInt($obj.css("width")),nh=parseInt($obj.css("height"));if((nw>w)&&w>0)
{nw=w;nh=(w/parseInt($obj.css("width")))*parseInt($obj.css("height"));}
if((nh>h)&&h>0)
{nh=h;nw=(h/parseInt($obj.css("height")))*parseInt($obj.css("width"));}
xscale=parseInt($obj.css("width"))/nw;yscale=parseInt($obj.css("height"))/nh;$obj.css("width", nw + "px").css("height",nh+"px");};function unscale(c)
{return{x:parseInt(c.x*xscale),y:parseInt(c.y*yscale),x2:parseInt(c.x2*xscale),y2:parseInt(c.y2*yscale),w:parseInt(c.w*xscale),h:parseInt(c.h*yscale)};};function doneSelect(pos)
{var c=Coords.getFixed();if(c.w>options.minSelect[0]&&c.h>options.minSelect[1])
{Selection.enableHandles();Selection.done();}
else
{Selection.release();}
Tracker.setCursor(options.allowSelect?'crosshair':'default');};function newSelection(e)
{if(options.disabled)return false;if(!options.allowSelect)return false;btndown=true;docOffset=getPos($img);Selection.disableHandles();myCursor('crosshair');var pos=mouseAbs(e);Coords.setPressed(pos);Tracker.activateHandlers(selectDrag,doneSelect);KeyManager.watchKeys();Selection.update();e.stopPropagation();e.preventDefault();return false;};function selectDrag(pos)
{Coords.setCurrent(pos);Selection.update();};function newTracker()
{var trk=$('<div></div>').addClass(cssClass('tracker'));$.browser.msie&&trk.css({opacity:0,backgroundColor:'white'});return trk;};function animateTo(a)
{var x1=a[0]/xscale,y1=a[1]/yscale,x2=a[2]/xscale,y2=a[3]/yscale;if(animating)return;var animto=Coords.flipCoords(x1,y1,x2,y2);var c=Coords.getFixed();var animat=initcr=[c.x,c.y,c.x2,c.y2];var interv=options.animationDelay;var x=animat[0];var y=animat[1];var x2=animat[2];var y2=animat[3];var ix1=animto[0]-initcr[0];var iy1=animto[1]-initcr[1];var ix2=animto[2]-initcr[2];var iy2=animto[3]-initcr[3];var pcent=0;var velocity=options.swingSpeed;Selection.animMode(true);var animator=function()
{return function()
{pcent+=(100-pcent)/velocity;animat[0]=x+((pcent/100)*ix1);animat[1]=y+((pcent/100)*iy1);animat[2]=x2+((pcent/100)*ix2);animat[3]=y2+((pcent/100)*iy2);if(pcent<100)animateStart();else Selection.done();if(pcent>=99.8)pcent=100;setSelectRaw(animat);};}();function animateStart()
{window.setTimeout(animator,interv);};animateStart();};function setSelect(rect)
{setSelectRaw([rect[0]/xscale,rect[1]/yscale,rect[2]/xscale,rect[3]/yscale]);};function setSelectRaw(l)
{Coords.setPressed([l[0],l[1]]);Coords.setCurrent([l[2],l[3]]);Selection.update();};function setOptions(opt)
{if(typeof(opt)!='object')opt={};options=$.extend(options,opt);if(typeof(options.onChange)!=='function')
options.onChange=function(){};if(typeof(options.onSelect)!=='function')
options.onSelect=function(){};};function tellSelect()
{return unscale(Coords.getFixed());};function tellScaled()
{return Coords.getFixed();};function setOptionsNew(opt)
{setOptions(opt);interfaceUpdate();};function disableCrop()
{options.disabled=true;Selection.disableHandles();Selection.setCursor('default');Tracker.setCursor('default');};function enableCrop()
{options.disabled=false;interfaceUpdate();};function cancelCrop()
{Selection.done();Tracker.activateHandlers(null,null);};function destroy()
{$div.remove();$origimg.show();};function interfaceUpdate(alt)
{options.allowResize?alt?Selection.enableOnly():Selection.enableHandles():Selection.disableHandles();Tracker.setCursor(options.allowSelect?'crosshair':'default');Selection.setCursor(options.allowMove?'move':'default');$div.css('backgroundColor',options.bgColor);if('setSelect'in options){setSelect(opt.setSelect);Selection.done();delete(options.setSelect);}
if('trueSize'in options){xscale=options.trueSize[0]/boundx;yscale=options.trueSize[1]/boundy;}
xlimit=options.maxSize[0]||0;ylimit=options.maxSize[1]||0;xmin=options.minSize[0]||0;ymin=options.minSize[1]||0;if('outerImage'in options)
{$img.attr('src',options.outerImage);delete(options.outerImage);}
Selection.refresh();};$hdl_holder.hide();interfaceUpdate(true);var api={animateTo:animateTo,setSelect:setSelect,setOptions:setOptionsNew,tellSelect:tellSelect,tellScaled:tellScaled,disable:disableCrop,enable:enableCrop,cancel:cancelCrop,focus:KeyManager.watchKeys,getBounds:function(){return[boundx*xscale,boundy*yscale];},getWidgetSize:function(){return[boundx,boundy];},release:Selection.release,destroy:destroy};$origimg.data('Jcrop',api);return api;};$.fn.Jcrop=function(options)
{function attachWhenDone(from)
{var loadsrc=options.useImg||from.src;var img=new Image();img.onload=function(){$.Jcrop(from,options);};img.src=loadsrc;};if(typeof(options)!=='object')options={};this.each(function()
{if($(this).data('Jcrop'))
{if(options=='api')return $(this).data('Jcrop');else $(this).data('Jcrop').setOptions(options);}
else attachWhenDone(this);});return this;};})(jQuery);
});

/*! Copyright (c) 2011 Brandon Aaron (http://brandonaaron.net)
 * Licensed under the MIT License (LICENSE.txt).
 *
 * Thanks to: http://adomas.org/javascript-mouse-wheel/ for some pointers.
 * Thanks to: Mathias Bank(http://www.mathias-bank.de) for a scope bug fix.
 * Thanks to: Seamus Leahy for adding deltaX and deltaY
 *
 * Version: 3.0.6
 * 
 * Requires: 1.2.2+
 */
define('image/vendor/mousewheel/mousewheel',['jquery'],function(jQuery){
(function($) {

var types = ['DOMMouseScroll', 'wheel'];

$.event.special.wheel = {
    setup: function() {
        if ( this.addEventListener ) {
            for ( var i=types.length; i; ) {
                this.addEventListener( types[--i], handler, false );
            }
        } else {
            this.onwheel = handler;
        }
    },
    
    teardown: function() {
        if ( this.removeEventListener ) {
            for ( var i=types.length; i; ) {
                this.removeEventListener( types[--i], handler, false );
            }
        } else {
            this.onwheel = null;
        }
    }
};

$.fn.extend({
    wheel: function(fn) {
        return fn ? this.on("wheel", fn) : this.trigger("wheel");
    },
    
    unwheel: function(fn) {
        return this.unbind("wheel", fn);
    }
});


function handler(event) {
    var orgEvent = event || window.event, args = [].slice.call( arguments, 1 ), delta = 0, returnValue = true, deltaX = 0, deltaY = 0;
    event = $.event.fix(orgEvent);
    event.type = "wheel";
    
    // Old school scrollwheel delta
    if ( orgEvent.wheelDelta ) { delta = orgEvent.wheelDelta/120; }
    if ( orgEvent.detail     ) { delta = -orgEvent.detail/3; }
    
    // New school multidimensional scroll (touchpads) deltas
    deltaY = delta;
    
    // Gecko
    if ( orgEvent.axis !== undefined && orgEvent.axis === orgEvent.HORIZONTAL_AXIS ) {
        deltaY = 0;
        deltaX = -1*delta;
    }
    
    // Webkit
    if ( orgEvent.wheelDeltaY !== undefined ) { deltaY = orgEvent.wheelDeltaY/120; }
    if ( orgEvent.wheelDeltaX !== undefined ) { deltaX = -1*orgEvent.wheelDeltaX/120; }
    
    // Add event and delta to the front of the arguments
    args.unshift(event, delta, deltaX, deltaY);
    
    return ($.event.dispatch || $.event.handle).apply(this, args);
}

})(jQuery);
});

/* image-plugin.js is part of the Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2018 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 * License http://aloha-editor.org/license.php
 */
define('image/image-plugin',[
	'jquery',
	'PubSub',
	'aloha/core',
	'aloha/plugin',
	'aloha/content-rules',
	'util/dom',
	'image/image-floatingMenu',
	'i18n!image/nls/i18n',
	'jqueryui',
	'image/vendor/jcrop/jquery.jcrop.min',
	'image/vendor/mousewheel/mousewheel'
], function (
	$,
	PubSub,
	Aloha,
	Plugin,
	ContentRules,
	Dom,
	ImageFloatingMenu,
	i18n
) {
	'use strict';

	var jQuery = $;
	var resizing = false;
	var aspectRatioValue = false;
	var cropRatioValue = false;
	var configurations = {};

	// Attributes manipulation utilities
	// Aloha team may want to factorize, it could be useful for other plugins
	// Prototypes
	String.prototype.toInteger = String.prototype.toInteger || function () {
		return parseInt(String(this).replace(/px$/, '') || 0, 10);
	};
	String.prototype.toFloat = String.prototype.toInteger || function () {
		return parseFloat(String(this).replace(/px$/, '') || 0, 10);
	};
	Number.prototype.toInteger = Number.prototype.toInteger || String.prototype.toInteger;
	Number.prototype.toFloat = Number.prototype.toFloat || String.prototype.toFloat;

	// Insert jQuery Prototypes
	jQuery.extend(true, jQuery.fn, {
		increase: jQuery.fn.increase || function (attr) {
			var	obj = jQuery(this), value, newValue;
			if (!obj.length) {
				return obj;
			}
			value = obj.css(attr).toFloat();
			newValue = Math.round((value || 1) * 1.2);
			// when value is 2, won't increase
			if (value === newValue) {
				newValue++;
			}
			obj.css(attr, newValue);
			return obj;
		},
		decrease: jQuery.fn.decrease || function (attr) {
			var	obj = jQuery(this), value, newValue;
			// Check
			if (!obj.length) {
				return obj;
			}
			// Calculate
			value = obj.css(attr).toFloat();
			newValue = Math.round((value || 0) * 0.8);
			// Apply
			if (value === newValue && newValue > 0) {
				// when value is 2, won't increase
				newValue--;
			}
			obj.css(attr, newValue);
			// Chain
			return obj;
		}
	});

	// Create and register Image Plugin
	return Plugin.create('image', {
		defaultSettings: {
			'maxWidth': 1600,
			'minWidth': 3,
			'maxHeight': 1200,
			'minHeight': 3,
			// This setting will manually correct values that are out of bounds
			'autoCorrectManualInput': true,
			// This setting will define a fixed aspect ratio for all resize actions
			'fixedAspectRatio' : false,
			// When enabled this setting will order the plugin to automatically resize images to given bounds
			'autoResize': false,
			//Image manipulation options - ONLY in default config section
			ui: {
				meta		: true, // If imageResizeWidth and imageResizeHeight are displayed, then you will want to set this to true, so that the width and height text fields are updated automatically.
				crop		: true, // If imageCropButton is displayed, then you have to enable this.
				resizable	: true,	// Resizable ui-drag image
				focalpoint  : true  // Whether to display the focalpoint button or not
			},
			handles     : 'ne, se, sw, nw',   // set handles for resize

			/**
			 * Crop callback is triggered after the user clicked accept to accept his crop
			 * @param image jquery image object reference
			 * @param props cropping properties
			 */
			onCropped: function ($image, props) {
				Aloha.Log.info('Default onCropped invoked', $image, props);
			},

			/**
			 * Reset callback is triggered before the internal reset procedure is applied
			 * if this function returns true, then the reset has been handled by the callback
			 * which means that no other reset will be applied
			 * if false is returned the internal reset procedure will be applied
			 * @param image jquery image object reference
			 * @return true if a reset has been applied, false otherwise
			 */
			onReset: function ($image) {
				Aloha.Log.info('Default onReset invoked', $image);
				return false;
			},

			/**
			 * Example callback method which gets called while the resize process is being executed.
			 */
			onResize: function ($image) {
				Aloha.Log.info('Default onResize invoked', $image);
			},

			/**
			 * Resize callback is triggered after the internal resize procedure is applied.
			 */
			onResized: function ($image) {
				Aloha.Log.info('Default onResized invoked', $image);
			}
		},

		/**
		 * Internal callback hook which gets invoked when cropping has been finished
		 */
		_onCropped: function ($image, props) {

			$('body').trigger('aloha-image-cropped', [$image, props]);

			// After successful cropping, the aspect ratio value has to be recalculated
			if (this.keepAspectRatio) {
				aspectRatioValue = parseInt(this.imageObj.css("width")) / parseInt(this.imageObj.css("height"));
			}

			// Call the custom onCropped function
			this.onCropped($image, props);
		},

		/**
		 * Internal callback hook which gets invoked when resetting images
		 */
		_onReset: function ($image) {

			// No default behaviour defined besides event triggering
			$('body').trigger('aloha-image-reset', $image);

			// Call the custom reset function
			return this.onReset($image);
		},

		/**
		 * Internal callback hook which gets invoked while the image is being resized
		 */
		_onResize: function ($image) {

			// No default behaviour defined besides event triggering
			$('body').trigger('aloha-image-resize', $image);

			this._applyValuesToFields(parseInt($image.css("width")), parseInt($image.css("height")));

			// Call the custom resize function
			this.onResize($image);
		},

		/**
		 * Internal callback hook which gets invoked when the current resizing action has stopped
		 */
		_onResized: function ($image) {

			$('body').trigger('aloha-image-resized', $image);

			this._applyValuesToFields(parseInt($image.css("width")), parseInt($image.css("height")));

			// Call the custom resize function
			this.onResized($image);
		},

		/**
		 * The image that is currently edited
		 */
		imageObj: null,


		/**
		 * The Jcrop API reference
		 * this is needed to be able to destroy the cropping frame later on
		 * the variable is linked to the api object whilst cropping, or set to null otherwise
		 * strange, but done as documented http://deepliquid.com/content/Jcrop_API.html
		 */
		jcAPI: null,


		/**
		 * State variable for the aspect ratio toggle feature
		 */
		keepAspectRatio: false,

		/**
		 * This will contain an image's original properties to be able to undo previous settings
		 *
		 * when an image is clicked for the first time, a new object will be added to the array
		 * {
		 *		obj : [the image object reference],
		 *		src : [the original src url],
		 *		width : [initial width],
		 *		height : [initial height]
		 * }
		 *
		 * when an image is clicked the second time, the array will be checked for the image object
		 * reference, to prevent double entries
		 */
		restoreProps: [],

		/**
		 * the defined object types to be used for this instance
		 */
		objectTypeFilter: [],

		/**
		 * Plugin initialization method
		 */
		init: function () {

			var plugin = this;

			var imagePluginUrl = Aloha.getPluginUrl('image');

			if (typeof this.settings.objectTypeFilter != 'undefined') {
				this.objectTypeFilter = this.settings.objectTypeFilter;
			}

			// Extend the default settings with the custom ones (done by default)
			plugin.config = plugin.defaultSettings;
			plugin.settings = jQuery.extend(true, plugin.defaultSettings, plugin.settings);

			// Determine the flag and the value of the aspect ratio depending on settings
			if (typeof this.settings.fixedAspectRatio === 'number') {
				aspectRatioValue = cropRatioValue = this.settings.fixedAspectRatio;
				plugin.keepAspectRatio = true;
			} else {
				if ((plugin.settings.fixedAspectRatio) === true) {
					plugin.keepAspectRatio = true;
				} else {
					plugin.keepAspectRatio = false;
				}
			}

			plugin.initializeUI()
			plugin.bindInteractions();
			plugin.subscribeEvents();

		},

		/**
		* Create buttons
		*/
		initializeUI: function () {

			var that = this;

			this.ui = new ImageFloatingMenu();
			this.ui.init(this);
		},
		/**
		 * Bind plugin interactions
		 */
		bindInteractions: function () {
			var	plugin = this;

			if (plugin.settings.ui.resizable) {
				try {
					// this will disable mozillas image resizing facilities
					document.execCommand('enableObjectResizing', false, false);
				} catch (e) {
					Aloha.Log.info(e, 'Could not disable enableObjectResizing');
					// this is just for internet explorer, which will not support disabling enableObjectResizing
				}
			}

			// Override the default method by using the given one
			if (plugin.settings.onCropped && typeof plugin.settings.onCropped === "function") {
				plugin.onCropped = plugin.settings.onCropped;
			}

			// Override the default method by using the given one
			if (plugin.settings.onReset && typeof plugin.settings.onReset === "function") {
				plugin.onReset = plugin.settings.onReset;
			}

			// Override the default method by using the given one
			if (plugin.settings.onResized && typeof plugin.settings.onResized === "function") {
				plugin.onResized = plugin.settings.onResized;
			}

			// Override the default method by using the given one
			if (plugin.settings.onResize && typeof plugin.settings.onResize === "function") {
				plugin.onResize = this.settings.onResize;
			}

		},

		/**
		 * Subscribe to Aloha events and DragAndDropPlugin Event
		 */
		subscribeEvents: function () {
			var	plugin = this;
			var config = this.settings;

			jQuery('img').filter(config.globalselector).unbind();
			jQuery('img').filter(config.globalselector).click(function (event) {
				plugin.clickImage(event);
			});

			PubSub.sub('aloha.editable.created', function (message) {
				var enabled = false;
				var config = plugin.getEditableConfig(message.editable.obj);

				if (config && config.enabled && ContentRules.isAllowed(message.editable.obj[0], 'img')) {
					enabled = true;
				}

				configurations[message.editable.getId()] = enabled;
			});

			PubSub.sub('aloha.editable.destroyed', function (message) {
				delete configurations[message.editable.getId()];
			});

			Aloha.bind('aloha-drop-files-in-editable', function (event, data) {
				var img, len = data.filesObjs.length, fileObj, config;

				while (--len >= 0) {
					fileObj = data.filesObjs[len];
					if (fileObj.file.type.match(/image\//)) {
						config = plugin.getEditableConfig(data.editable);
						// Prepare
						img = jQuery('<img/>');
						img.css({
							"max-width": that.maxWidth,
							"max-height": that.maxHeight
						});
						img.attr('id', fileObj.id);
						if (typeof fileObj.src === 'undefined') {
							img.attr('src', fileObj.data);
							//fileObj.src = fileObj.data ;
						} else {
							img.attr('src', fileObj.src);
						}
						Dom.insertIntoDOM(img, data.range, Aloha.activeEditable.obj);
					}
				}

			});

			Aloha.bind('aloha-selection-changed', function (event, rangeObject, originalEvent) {
				if (originalEvent && originalEvent.target) {
					// Check if the element is currently being resized
					if (plugin.settings.ui.resizable && !jQuery(originalEvent.target).hasClass('ui-resizable-handle')) {
						plugin.endResize();
						plugin.imageObj = null;
						Aloha.trigger('aloha-image-unselected');
					}
				}

				if (!Aloha.activeEditable) {
					return;
				}

				if (!configurations[Aloha.activeEditable.getId()]) {
					plugin.ui._insertImageButton.hide();
					return;
				}

				plugin.ui._insertImageButton.show();

				// TODO this should not be necessary here!
				plugin.ui.doLayout();
			});

			Aloha.bind('aloha-editable-created', function (event, editable) {
				try {
					// this disables mozillas image resizing facilities
					document.execCommand('enableObjectResizing', false, false);
				} catch (e) {
					Aloha.Log.info(e, 'Could not disable enableObjectResizing');
					// this is just for other browsers, which do not support disabling enableObjectResizing
				}

				// Inital click on images will be handled here
				// editable.obj.find('img').attr('_moz_resizing', false);
				// editable.obj.find('img').contentEditable(false);

				editable.obj.on('mouseup','img',  function (event) {
					if (!resizing) {
						plugin.clickImage(event);
						event.stopPropagation();
					}
				});
			});

		},


		/**
		 * Automatically resize the image to fit into defined bounds.
		 * @param doScaleUp if true, small images are scaled up to fit minimum size
		 */
		autoResize: function (doScaleUp) {
			// @todo handle ratio mismatches (eg 4:3 is set but image is 16:9 --> image needs to be cut)

			var that = this;

			var widthField = jQuery("#" + that.ui.imgResizeWidthField.getInputId());
			var heightField = jQuery("#" + that.ui.imgResizeHeightField.getInputId());

			var width = parseInt(that.imageObj.css("width"));
			var height = parseInt(that.imageObj.css("height"));
			var resize = false;

			// Only normalize the field values if the image exceeds the defined bounds
			if (width < that.settings.minWidth ||
				width > that.settings.maxWidth ||
				height < that.settings.minHeight ||
				height > that.settings.maxHeight) {
				resize = true;
			}

			var aspectRatio = width / height;

			if (resize) {
				if (width > that.settings.maxWidth) {
					width = that.settings.maxWidth;
					height = width / aspectRatio;
				}

				if (height > that.settings.maxHeight) {
					height = that.settings.maxHeight;
					width = height * aspectRatio;
				}

				if ((width < that.settings.minWidth) && doScaleUp) {
					width = that.settings.minWidth;
					height = width / aspectRatio;
				}

				if ((height < that.settings.minHeight) && doScaleUp) {
					height = that.settings.minHeight;
					width = width * aspectRatio;
				}

				that._applyValuesToFields(width, height);

				that.setSizeByFieldValue();
				return true;
			}
			return false;
		},

		/**
		 * Toggle the keep aspect ratio functionality
		 */
		toggleKeepAspectRatio: function (active) {

			this.keepAspectRatio = active;

			// while cropping: calculate the new aspect ratio value for the crop
			if (typeof this.jcAPI !== 'undefined' && this.jcAPI !== null) {
				var selection = this.jcAPI.tellSelect();

				if (!this.keepAspectRatio) {
					cropRatioValue = false;
				} else {
					if (typeof this.settings.fixedAspectRatio !== 'number') {
						if (selection.w / selection.h > 0) {
							cropRatioValue = selection.w / selection.h;
						} else {
							cropRatioValue = parseInt(this.imageObj.css("width")) / parseInt(this.imageObj.css("height"));
						}
					} else {
						cropRatioValue = this.settings.fixedAspectRatio;
					}
				}

				this.jcAPI.setOptions(this.keepAspectRatio ? { aspectRatio: cropRatioValue} : { aspectRatio: 0 });
				this.jcAPI.focus();

			// if not in cropping mode: calculate the new aspect ratio value for image resizing
			} else {
				this.endResize();
				if (!this.keepAspectRatio) {
					aspectRatioValue = false;
				} else {
					if ( typeof this.settings.fixedAspectRatio !== 'number' ) {
						aspectRatioValue = parseInt(this.imageObj.css("width")) / parseInt(this.imageObj.css("height"));
					} else {
						aspectRatioValue = this.settings.fixedAspectRatio;
					}
				}
				this.startResize();
			}
		},

		/**
		 * Manually set the given size for the current image
		 */
		setSize: function (width, height) {

			var plugin = this;
			plugin.imageObj.css("width", width + "px");
			plugin.imageObj.css("height", height + "px");
			var $wrapper = plugin.imageObj.closest('.Aloha_Image_Resize');
			$wrapper.css("height", height + "px");
			$wrapper.css("width", width + "px");

			plugin._onResize(plugin.imageObj);
			plugin._onResized(plugin.imageObj);
		},

		/**
		 * This method will handle the mouseUp event on images (eg. within editables).
		 * It will if enabled activate the resizing action.
		 */
		clickImage: function (e) {

			var plugin = this;
			plugin.endResize(); // removes previous resize handler
			plugin.imageObj = jQuery(e.target);
			var currentImage = plugin.imageObj;

			// Ignore any images that are part of the ui (e.g. block edit and delete icons)
			if (currentImage.hasClass('aloha-ui')) {
				return;
			}

			plugin.ui.setScope();

			var editable = currentImage.closest('.aloha-editable');

			plugin.ui._imageCnrRatioButton.setActive(this.keepAspectRatio);

			// Disabling the content editable. This will disable the resizeHandles in internet explorer
			// already done in resize on a smaller scope, this block next aloha-selection-change event
			// to be thrown
			// editable.contentEditable(false);

			// Store the current props of the image
			plugin.restoreProps.push({
				obj : plugin.imageObj,
				src : plugin.imageObj.attr('src'),
				width : parseInt(plugin.imageObj.css("width")),
				height : parseInt(plugin.imageObj.css("height"))
			});

			// Update the resize input fields with the new width and height
			plugin._applyValuesToFields(parseInt(plugin.imageObj.css("width")), parseInt(plugin.imageObj.css("height")));

			plugin.ui.src = plugin.imageObj.attr('src')
			plugin.ui.title = plugin.imageObj.attr('title')

			Aloha.Selection.preventSelectionChanged();

			//to handle switching between images, aspect ratio is recalculated on click
			cropRatioValue = aspectRatioValue = parseInt(plugin.imageObj.css("width")) / parseInt(plugin.imageObj.css("height"));

			if (plugin.settings.ui.resizable) {
				plugin.startResize();
			}

			if (plugin.settings.autoResize) {
				plugin.autoResize(true);
			}
			Aloha.Selection.preventSelectionChangedFlag = false;
			Aloha.trigger('aloha-image-selected');
		},

		/**
		 * This method extracts determins if the range selection contains an image
		 *
		 * UNUSED as long as clickImage don't change the selection
		 * @see getPluginFocus instead
		 */
		findImgMarkup: function (range) {

			var plugin = this;
			var config = this.config;
			var result, targetObj;

			if (typeof range === 'undefined') {
				range = Aloha.Selection.getRangeObject();
			}

			targetObj = jQuery(range.startContainer);

			try {
				if (Aloha.activeEditable) {
					if ((typeof range.startContainer !== 'undefined' &&
						typeof range.startContainer.childNodes !== 'undefined' &&
						typeof range.startOffset !== 'undefined' &&
						typeof range.startContainer.childNodes[range.startOffset] !== 'undefined' &&
						range.startContainer.childNodes[range.startOffset].nodeName.toLowerCase() === 'img' &&
						range.startOffset + 1 === range.endOffset) ||
						(targetObj.hasClass('Aloha_Image_Resize')))
					{
						result = targetObj.find('img')[0];
						if (! result.css) {
							result.css = '';
						}

						if (! result.title) {
							result.title = '';
						}

						if (! result.src) {
							result.src = '';
						}
						return result;
					}
					else {
						return null;
					}
				}
			} catch (e) {
				Aloha.Log.debug(e, "Error finding img markup.");
			}
			return null;
		},
		/**
		 * Gets the plugin focus target
		 */
		getPluginFocus: function () {
			return this.imageObj;
		},

		/**
		 * Helper function that checks a field-input (of height or width), adjusts
		 * its value to conform to minimum/maximum values, and corrects the other field
		 * if the aspect ratio is to be kept
		 * @param primaryFieldName the field which is currently edited ('height' or 'width')
		 * @param newValue the value as it was entered into the primary field
		 * @param isDecrement true if value is being decreased (by key or mousewheel); prevents decreasing below minimum
		 * @return true if values are correct or have been corrected, and image can be resized
		 */
		_updateFields: function (primaryFieldName, newValue, isDecrement) {
			var plugin = this;

			var $primaryField = null;
			var $secondaryField = null;

			var adjustedAspectRatio = null;
			var primaryMin = null;
			var primaryMax = null;
			var secondaryMin = null;
			var secondaryMax = null;

			// If the aspect-ratio for cropping has been changed from the standard aspect-ratio,
			// it is used for updating the fields (if keeping ratio is activated)
			if (typeof plugin.jcAPI !== 'undefined' && plugin.jcAPI !== null) {
				adjustedAspectRatio = cropRatioValue ? cropRatioValue : aspectRatioValue;
			} else {
				adjustedAspectRatio = aspectRatioValue;
			}

			// Depending on the field that is edited, primary and secondary values are set
			if (primaryFieldName == 'width') {
				$primaryField = $("#" + plugin.ui.imgResizeWidthField.getInputId());
				$secondaryField = $("#" + plugin.ui.imgResizeHeightField.getInputId());
				adjustedAspectRatio = (1 / adjustedAspectRatio);

				primaryMin = plugin.settings.minWidth;
				primaryMax = plugin.settings.maxWidth;
				secondaryMin = plugin.settings.minHeight;
				secondaryMax = plugin.settings.maxHeight;

			} else if (primaryFieldName == 'height') {
				$primaryField = $("#" + plugin.ui.imgResizeHeightField.getInputId());
				$secondaryField = $("#" + plugin.ui.imgResizeWidthField.getInputId());
				adjustedAspectRatio = adjustedAspectRatio;

				primaryMin = plugin.settings.minHeight;
				primaryMax = plugin.settings.maxHeight;
				secondaryMin = plugin.settings.minWidth;
				secondaryMax = plugin.settings.maxWidth;
			} else {
				// If primaryFieldName is neither width nor height, don't update the fields
				return false;
			}

			if (isNaN(newValue)) {
				$primaryField.css('background-color', 'red');
				// If the current value of the field can't be parsed it is not updated
				return false;
			}
			else {
				$primaryField.val(newValue);
			}

			var correctPrimary = true;

			if (newValue > primaryMax) {
				// Auto-correct out of bounds values
				if (plugin.settings.autoCorrectManualInput) {
					$primaryField.val(primaryMax);
					newValue = $primaryField.val();
					$primaryField.css('background-color', '');
					correctPrimary = true;
				// Just notify the user, do nothing
				} else {
					$primaryField.css('background-color', 'red');
					correctPrimary = false;
				}
			} else if (newValue < primaryMin) {
				// Don't let the user decrement values below minimum
				if (isDecrement) {
					$primaryField.val(primaryMin);
					newValue = $primaryField.val();
					correctPrimary = true;
				// Auto-correct out of bounds values
				} else if (plugin.settings.autoCorrectManualInput) {
					$primaryField.css('background-color', 'wheat');
					correctPrimary = false;
				// Just notify the user, do nothing
				} else {
					$primaryField.css('background-color', 'red');
					correctPrimary = false;
				}
			} else {
				$primaryField.css('background-color', '');
				correctPrimary = true;
			}

			var correctSecondary = true;

			// If keep aspect ratio is enabled, the field that is not edited is updated as well
			if (plugin.keepAspectRatio) {
				var secondary = Math.round(newValue * adjustedAspectRatio);

				if (secondary > secondaryMax) {
					// Auto-correct out of bounds values
					if (plugin.settings.autoCorrectManualInput) {
						$secondaryField.val(secondaryMax);
						$primaryField.val($secondaryField.val() / adjustedAspectRatio);
						newValue = $primaryField.val();
						$primaryField.css('background-color', '');
						$secondaryField.css('background-color', '');
						correctSecondary = true;
					// Just notify the user, do nothing
					} else {
						secondary.css('background-color', 'red');
						correctSecondary = false;
					}
				} else if (secondary < secondaryMin) {
					// Don't let the user decrement values below minimum
					if (isDecrement) {
						$secondaryField.val(secondaryMin);
						$primaryField.val($secondaryField.val() / adjustedAspectRatio);
						newValue = $primaryField.val();
						correctPrimary = true;
					// Auto-correct out of bounds values
					} else if (plugin.settings.autoCorrectManualInput) {
						$secondaryField.val(secondary);
						$secondaryField.css('background-color', 'wheat');
						correctSecondary = false;
					// Just notify the user, do nothing
					} else {
						$secondaryField.css('background-color', 'red');
						correctSecondary = false;
					}
				} else {
					$secondaryField.val(secondary);
					$secondaryField.css('background-color', '');
					correctSecondary = true;
				}
			}

			// Final check for value of secondary field, in case focus was changed
			if ($secondaryField.val() < secondaryMin) {
				correctSecondary = false;
			}

			// Success if values are correct or have been adjusted accordingly
			if (correctPrimary && correctSecondary) {
				return true;
			}
			return false;
		},

		/**
		 * Helper function that will set the new image size using the field values
		 */
		setSizeByFieldValue: function () {
			var width =  this.ui.width;
			var height = this.ui.height;
			this.setSize(width, height);
		},

		/**
		 * Helper function that sets field values to specified parameters and resets background of fields
		 * @param width new image-width in pixels
		 * @param height new image-height in pixels
		 */
		_applyValuesToFields: function (width, height) {
			this.ui.width = width;
			this.ui.height = height;
		},

		/**
		 * Helper function that will set the new crop area width and height using the field values
		 *
		 * note: because the _updateFields function does not consider the x and y of the croparea yet,
		 * the value of the secondary field shown after setting croparea with manual input may be incorrect;
		 * while this has no influence on the actual crop size, a future implementation should consider this
		 * when calculating the field values
		 */
		setCropAreaByFieldValue: function () {
			var currentCropArea = this.jcAPI.tellSelect();

			var width =  parseInt(this.ui.width, 10);
			var height = parseInt(this.ui.height, 10);

			var selection = [currentCropArea.x, currentCropArea.y, currentCropArea.x + width, currentCropArea.y + height];

			this.jcAPI.setSelect(selection);
			this._onCropSelect();
			this.jcAPI.enable();
		},

		/**
		* This method will insert a new image dom element into the dom tree
		*/
		insertImg: function () {
				var range = Aloha.Selection.getRangeObject(),
				config = this.getEditableConfig(Aloha.activeEditable.obj),
				imagePluginUrl = Aloha.getPluginUrl('image'),
				imagestyle, imagetag, newImg;

				if (range.isCollapsed()) {
					// TODO I would suggest to call the srcChange method. So all image src
					// changes are on one single point.
					imagestyle = "max-width: " + config.maxWidth + "; max-height: " + config.maxHeight;
					imagetag = '<img style="' + imagestyle + '" src="' + imagePluginUrl + '/img/blank.jpg" title="" />';
					newImg = jQuery(imagetag);
					// add the click selection handler
					//newImg.click( Aloha.Image.clickImage ); - Using delegate now
					Dom.insertIntoDOM(newImg, range, Aloha.activeEditable.obj);

				} else {
					Aloha.Log.error('img cannot markup a selection');
					// TODO the desired behavior could be me the selected content is
					// replaced by an image.
					// TODO it should be editor's choice, with an NON-Ext Dialog instead of alert
				}
			},

		srcChange: function () {
			this.imageObj.attr('src', this.ui.src);
		},

		/**
		 * Reposition the crop buttons below the crop area
		 */
		positionCropButtons: function () {

			var jt = jQuery('.jcrop-tracker:first'),
				off = jt.offset(),
				jtt = off.top,
				jtl = off.left,
				jth = parseInt(jt.css("height")),
				jtw = parseInt(jt.css("width"));

			var oldLeft = 0,
				oldTop = 0;

			var btns = jQuery('#aloha-CropNResize-btns');

			// Hack to hide the buttons when the user just clicked into the image
			if (jtt === 0 && jtl === 0) {
				btns.hide();
			}

			// move the icons to the bottom right side
			jtt = parseInt(jtt + jth + 3, 10);
			jtl = parseInt(jtl + (jtw / 2) - (parseInt(btns.css("width")) / 2) + 10, 10);

			// comparison to old values hinders flickering bug in FF
			if (oldLeft != jtl || oldTop != jtt) {
				btns.offset({top: jtt, left: jtl});
			}

			oldLeft = jtl;
			oldTop = jtt;
		},

		/**
		 * Code imported from CropnResize Plugin
		 *
		 */
		initCropButtons: function () {
			var that = this,
				btns;

			jQuery('body').append(
				'<div id="aloha-CropNResize-btns" display="none">' +
					'<button class="cnr-crop-apply" title="' + i18n.t('Accept') + '"></button>' +
					'<button class="cnr-crop-cancel" title="' + i18n.t('Cancel') + '"></button>' +
				'</div>'
			);

			btns = jQuery('#aloha-CropNResize-btns');

			btns.find('.cnr-crop-apply').click(function () {
				that.acceptCrop();
			});

			btns.find('.cnr-crop-cancel').click(function () {
				that.endCrop();
			});

			this.interval = window.setInterval(function () {
				that.positionCropButtons();
			}, 10);
		},

		/**
		 * Destroy crop confirm and cancel buttons
		 */
		destroyCropButtons: function () {
			jQuery('#aloha-CropNResize-btns').remove();
			window.clearInterval(this.interval);
		},

		/**
		 * Helper function that will disable selectability of elements
		 */
		_disableSelection: function (el) {
			el.find('*').attr('unselectable', 'on')
					.css({
					'-moz-user-select': 'none',
					'-webkit-user-select': 'none',
					'user-select': 'none'
				});
				/*
					.each(function () {
					this.onselectstart = function () { return false; };
					});
					*/

		},

		/**
		 * Initiate a crop action
		 */
		crop: function () {
			var plugin = this;
			var config = this.config;
			var ratio = plugin.keepAspectRatio ? aspectRatioValue : false;

			if (this.settings.ui.focalpoint) {
				this.disableFocalPointMode();
			}
			this.ui._imageCropButton.setActive(true);

			plugin.initCropButtons();
			if (plugin.settings.ui.resizable) {
				plugin.endResize();
			}

			plugin.jcAPI = jQuery.Jcrop(plugin.imageObj, {
				onSelect : function () {
					plugin._onCropSelect();
					// ugly hack to keep scope :(
					window.setTimeout(function () {
						plugin.ui.setScope();
					}, 10);
				},
				aspectRatio: ratio,
				minSize  : [plugin.settings.minWidth, plugin.settings.minHeight]
			});

			plugin._disableSelection($('.jcrop-holder'));
			plugin._disableSelection($('#imageContainer'));
			plugin._disableSelection($('#aloha-CropNResize-btns'));
			$('body').trigger('aloha-image-crop-start', [plugin.imageObj]);
		},

		_drawFocalPoint: function(fpX, fpY) {
			var lineX = jQuery(".aloha-image-box-active").find('.fpx-line')[0];
			var lineY = jQuery(".aloha-image-box-active").find('.fpy-line')[0];
			jQuery(lineX).attr("x1", fpX - 10);
			jQuery(lineX).attr("y1", fpY);

			jQuery(lineX).attr("x2", fpX + 10);
			jQuery(lineX).attr("y2", fpY);

			jQuery(lineY).attr("x1", fpX);
			jQuery(lineY).attr("y1", fpY - 10);

			jQuery(lineY).attr("x2", fpX);
			jQuery(lineY).attr("y2", fpY + 10);
		},

		setFocalPoint: function(fpXFactor, fpYFactor) {
			var svg = jQuery(".img-overlay-wrap").find('svg')[0];
			if (svg != undefined) {
				var height = svg.getBoundingClientRect().height;
				var width = svg.getBoundingClientRect().width;
				var fpX = width * fpXFactor;
				var fpY = height * fpYFactor;
				this._drawFocalPoint(fpX, fpY);
			}
		},

		_setFocalPoint: function(event) {
			var fpX = event.offsetX;
			var fpY = event.offsetY;
			var svg = jQuery(".img-overlay-wrap").find('svg')[0];

			this._drawFocalPoint(fpX, fpY);

			// Calculate the focal point factors
			var height = svg.getBoundingClientRect().height;
			var width = svg.getBoundingClientRect().width;
			var fpXFactor = fpX / width;
			var fpYFactor = fpY / height;
			$('body').trigger('aloha-image-focalpoint', [{ "fpx": fpXFactor, "fpy": fpYFactor }]);

		},

		enableFocalPointMode: function() {
			var plugin = this;
			var ratio = plugin.keepAspectRatio ? aspectRatioValue : false;

			jQuery(".ui-resizable-handle").hide();
			if (!jQuery(".aloha-image-box-active").find(".img-overlay-wrap").length) {
				jQuery(".aloha-image-box-active")
				.append("<div class=\"img-overlay-wrap\">" +
						"<svg width=\"100%\" height=\"100%\">" +
						"<line class=\"fpx-line\"/>" +
						"<line class=\"fpy-line\"/>" +
						"</svg></div>");
			}
			$('body').trigger('aloha-image-focalpoint-start');
			jQuery(".img-overlay-wrap").click(this._setFocalPoint.bind(this))
		},

		disableFocalPointMode: function() {
			jQuery(".ui-resizable-handle").show();
			jQuery(".img-overlay-wrap").remove();
			this.ui._imageFocalPointButton.setActive(false);
			$('body').trigger('aloha-image-focalpoint-stop');
		},

		/**
		 * Internal on crop select method
		 */
		_onCropSelect: function () {
			var plugin = this;

			// Hide the crop buttons when the one of the handles is clicked
			jQuery('.jcrop-handle').mousedown(function () {
				jQuery('#aloha-CropNResize-btns').hide();
			});

			jQuery('.jcrop-tracker').mousedown(function () {
				jQuery('#aloha-CropNResize-btns').hide();
			});

			// Update the width and height field using the initial active crop area values
			if (typeof plugin.jcAPI !== 'undefined' && plugin.jcAPI !== null) {
				plugin.positionCropButtons();
				var currentCropArea = plugin.jcAPI.tellSelect();

				if (currentCropArea.h > 0 && currentCropArea.w > 0) {
					jQuery('#aloha-CropNResize-btns').fadeIn('slow');
				}

				plugin._applyValuesToFields(currentCropArea.w, currentCropArea.h);
			}

		},

		/**
		 * Terminates a crop
		 */
		endCrop: function () {
			if (this.jcAPI) {
				this.jcAPI.destroy();
				this.jcAPI = null;
			}

			this.destroyCropButtons();
			this.ui._imageCropButton.setActive(false);

			if (this.settings.ui.resizable) {
				this.startResize();
			}

			$('body').trigger('aloha-image-crop-stop', [this.imageObj]);

			//after cropping, field values are set to (once again) contain image width/height
			parseInt(this._applyValuesToFields(this.imageObj.css("width")), parseInt(this.imageObj.css("height")));
		},

		/**
		 * Accept the current cropping area and apply the crop
		 */
		acceptCrop: function () {
			this._onCropped(this.imageObj, this.jcAPI.tellSelect());
			this.endCrop();
		},

		/**
		 * This method will activate the jquery-ui resize functionality for the current image
		 */
		startResize: function () {
			var plugin = this;
			var currentImageObj = this.imageObj;
			var ratio = plugin.keepAspectRatio ? aspectRatioValue : false;

			currentImageObj = this.imageObj.css({
				height		: parseInt(this.imageObj.css("height")),
				width		: parseInt(this.imageObj.css("width")),
				position	: 'relative',
				'max-height': '',
				'max-width'	: ''
			});

			currentImageObj.resizable({
				maxHeight : plugin.settings.maxHeight,
				minHeight : plugin.settings.minHeight,
				maxWidth  : plugin.settings.maxWidth,
				minWidth  : plugin.settings.minWidth,
				aspectRatio : ratio,
				handles: plugin.settings.handles,
				grid : plugin.settings.grid,
				resize: function (event, ui) {
					resizing = true;
					plugin._onResize(plugin.imageObj);
				},
				stop : function (event, ui) {
					resizing = false;

					plugin._onResized(plugin.imageObj);

					// Workaround to finish cropping
					if (this.enableCrop) {
						window.setTimeout(function () {
							plugin.ui.setScope();
							that.done(event);
						}, 10);
					}
				}

			});

			currentImageObj.css('display', 'inline-block');

			// this will prevent the user from resizing an image
			// using IE's resize handles
			// however I could not manage to hide them completely
			jQuery('.ui-wrapper')
				.attr('contentEditable', false)
				.addClass('aloha-image-box-active Aloha_Image_Resize aloha')
				.css({
					position: 'relative',
					display: 'inline-block',
					'float': plugin.imageObj.css('float')
				})
				.on('resizestart', function (e) {
					e.preventDefault();
				})
				.on('mouseup', function (e) {
					e.originalEvent.stopSelectionUpdate = true;
				});
		},

		/**
		 * This method will end resizing and toggle buttons accordingly and remove all markup that has been added for cropping
		 */
		endResize: function () {
			// Find the nearest contenteditable and reenable it since resizing is finished
			if (this.imageObj) {
				var editable = this.imageObj.closest('.aloha-editable');
				//this.imageObj.contentEditable(true);
			}

			if (this.imageObj && this.imageObj.is(":ui-resizable")) {
				this.imageObj
					.resizable('destroy')
					.css({
						top	 : 0,
						left : 0
					});
			}
		},

		resetSize: function () {
			var plugin = this,
				img = new Image();
			img.onload = function () {
				var myimage = plugin.getPluginFocus();
				if (plugin.settings.ui.resizable) {
					plugin.endResize();
				}
				jQuery(myimage).add(myimage.parent()).css({
						'width': img.width + 'px',
						'height': img.height + 'px',
						'max-width': '',
						'max-height': ''
					});
				if (plugin.settings.ui.resizable) {
					plugin.resize();
				}
			};
			img.src = plugin.getPluginFocus().attr('src');
		},

		/**
		 * Reset the image to its original properties
		 */
		reset: function () {
			var externalReset;

			if (this.settings.ui.crop) {
				this.endCrop();
			}

			if (this.settings.ui.resizable) {
				this.endResize();
			}

			if (this.settings.ui.focalpoint) {
				this.disableFocalPointMode();
			}

			externalReset = this._onReset(this.imageObj);

			// if the external reset procedure has already performed a reset, there is no need to apply an internal reset
			if (!externalReset) {
				for (var i = 0;i < this.restoreProps.length;i++) {

					// restore from restoreProps if there is a match
					if (this.imageObj.get(0) === this.restoreProps[i].obj.get(0)) {
						this.imageObj.attr('src', this.restoreProps[i].src);
						this.imageObj.css("width", this.restoreProps[i].width + "px");
						this.imageObj.css("height", this.restoreProps[i].height + "px");
						break;
					}
				}
			}

			// readjust inputfields to show correct height/width
			this._applyValuesToFields(parseInt(this.imageObj.css("width")), parseInt(this.imageObj.css("height")));
		}
	});

});

/* highlighteditables-plugin.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('highlighteditables/highlighteditables-plugin', [
	'aloha', 
	'jquery', 
	'aloha/plugin', 
	'aloha/ephemera'
], function (Aloha, jQuery, Plugin, Ephemera) {
		"use strict";

		var GENTICS = window.GENTICS;

		return Plugin.create('highlighteditables', {

			/**
			 * default button configuration
			 */
			config: [ 'highlight' ],

			init: function () {

				// remember refernce to this class for callback
				var that = this,
					config;

				Ephemera.classes('aloha-editable-highlight');

				// highlight editables as long as the mouse is moving
				GENTICS.Utils.Position.addMouseMoveCallback(function () {
					var i,
						editable;

					for (i = 0; i < Aloha.editables.length; i++) {
						editable = Aloha.editables[i];
						config = that.getEditableConfig(editable.obj);

						if (!Aloha.activeEditable && !editable.isDisabled() && config == 'highlight') {
							editable.obj.addClass('aloha-editable-highlight');
						}
					}
				});

				// fade editable borders when mouse stops moving
				GENTICS.Utils.Position.addMouseStopCallback(function () {
					that.fade();
				});

				// mark active Editable with a css class
				Aloha.bind(
						"aloha-editable-activated",
						function (jEvent, aEvent) {
							that.fade();
						}
				);

			},
			/**
			* fades all highlighted editables
			*/
			fade: function () {
				var i,
					editable;
				for (i = 0; i < Aloha.editables.length; i++) {
					editable = Aloha.editables[i].obj;
					if (editable.hasClass('aloha-editable-highlight')) {
						// IE8 fix - hardcode 5px because editable.css('outlineWidth') sometimes causes a javascript error
						editable.removeClass('aloha-editable-highlight');
					}
				}
			}
		});
	});

/* dom-to-xhtml.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/*global serialize,serializeElement */
/**
 * Provides public utility methods to convert DOM nodes to XHTML.
 */
define('util/dom-to-xhtml',[
	'util/dom2',
	'util/browser',
	'aloha/ephemera',
	'aloha/console'
], function (
	Dom,
	Browser,
	Ephemera,
	console
) {
	"use strict";

	/**
	 * Elements that are to be serialized like <img /> and not like <img></img>
	 */
	var emptyElements = {
		"area": true,
		"base": true,
		"basefont": true,
		"br": true,
		"col": true,
		"frame": true,
		"hr": true,
		"img": true,
		"input": true,
		"isindex": true,
		"link": true,
		"meta": true,
		"param": true,
		"embed": true
	};

	/**
	 * Attributes that are to be serialized like checked="checked" for any attribute value.
	 */
	var booleanAttrs = {
		"checked": true,
		"compact": true,
		"declare": true,
		"defer": true,
		"disabled": true,
		"ismap": true,
		"multiple": true,
		"nohref": true,
		"noresize": true,
		"noshade": true,
		"nowrap": true,
		"readonly": true,
		"selected": true
	};

	/**
	 * Maps element names to a boolean that indicates whether IE7/IE8 doesn't recognize the element.
	 * This is necessary to repair the broken DOM structure caused by unrecognized elements.
	 * Contains some intial values to cover most common cases. If an
	 * element is serialized that is not present here, it will be
	 * examined (which may be costly) and added dynamically.
	 * See isUnrecognized().
	 */
	var isUnrecognizedMap = {
		"DIV": false,
		"SPAN": false,
		"UL": false,
		"OL": false,
		"LI": false,
		"TABLE": false,
		"TR": false,
		"TD": false,
		"TH": false,
		"I": false,
		"B": false,
		"EM": false,
		"STRONG": false,
		"A": false,
		"P": false
	};

	/**
	 * Encodes a string meant to be used wherever parsable character data occurs in XML.
	 * @param str
	 *        An unencoded piece of character data
	 * @return
	 *        The given string with & and < characters replaced with the corresponding HTML entity references.
	 */
	function encodePcdata(str) {
		return str.replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;');
	}

	/**
	 * Encodes a string meant to be used between double-quoted attribute values.
	 *
	 * @param str
	 *        An unencoded attribute value
	 * @return
	 *        The given string with & < and " characters replaced with the corresponding HTML entity references.
	 */
	function encodeDqAttrValue(str) {
		return encodePcdata(str).replace(/"/g, '&quot;');
	}

	/**
	 * Serializes the attributes of the given element.
	 *
	 * Attributes that have the empty string as value will not appear in the string at all.
	 *
	 * @param element
	 *        An element to serialize the attributes of
	 * @param ephemera
	 *        Describes attributes that should be skipped.
	 *        See Ehpemera.ephemera().
	 * @return
	 *        A string made up of name="value" for each attribute of the
	 *        given element, separated by space. The string will have a leading space.
	 */
	function makeAttrString(element, ephemera) {
		var attrs = Dom.attrs(element);
		var str = "";
		var i, len, bool;
		// Dom.attrs() doesn't support some boolean attributes on IE7
		// which we have to compensate for.
		if (Browser.ie7) {
			for (bool in booleanAttrs) {
				if (booleanAttrs.hasOwnProperty(bool) && element[bool]) {
					// We don't want to add duplicate attributes
					for (i = 0, len = attrs.length; i < len; i++) {
						if (bool === attrs[i][0].toLowerCase()) {
							attrs.splice(i, 1);
							break;
						}
					}
					attrs.push([bool, bool]);
				}
			}
		}
		for (i = 0, len = attrs.length; i < len; i++) {
			// The XHTML spec says attributes are lowercase
			var attr  = attrs[i];
			var name  = attr[0].toLowerCase();
			var value = attr[1];

			if (ephemera && Ephemera.isAttrEphemeral(element, name, ephemera.attrMap || {}, ephemera.attrRxs || {})) {
				continue;
			}

			//TODO it's only a boolean attribute if the element is in an HTML namespace
			var isBool = booleanAttrs[name];

			if (!isBool && "" === value) {
				// I don't think it is ever an error to make an
				// attribute not appear if its string value is empty.
				continue;
			}

			// For boolean attributes, the mere existence of the attribute means it is true.
			str += " " + name + '="' + encodeDqAttrValue((isBool ? name : value)) + '"';
		}
		return str;
	}

	/**
	 * IE8 turns the following
	 * <book id="x">{content}</book>
	 * into
	 * <book id="x"></book>{content}</book><//book>
	 * This seems to occur with any element IE doesn't recognize.
	 *
	 * @param element
	 *        An element node.
	 * @return
	 *        true if the given element isn't recognized by IE and
	 *        causes a broken DOM structure as outlined above.
	 */
	function isUnrecognized(element) {
		var name = element.nodeName;
		var unrecognized = isUnrecognizedMap[name];
		if (null != unrecognized) {
			return unrecognized;
		}
		var closingName = "/" + element.nodeName;
		var sibling = element.nextSibling;
		unrecognized = false;
		while (null != sibling) {
			if (closingName == sibling.nodeName) {
				unrecognized = true;
				break;
			}
			sibling = sibling.nextSibling;
		}
		isUnrecognizedMap[name] = unrecognized;
		return unrecognized;
	}

	/**
	 * Serializes the children of the given element into an XHTML string.
	 *
	 * The same as serializeElement() except it only serializes the children.
	 * The start and end tag of the given element will not appear in the resulting XHTML.
	 *
	 * @see serializeElement()
	 */
	function serializeChildren(element, child, unrecognized, ephemera, xhtml) {
		while (null != child) {
			if (1 === child.nodeType && unrecognized && "/" + element.nodeName == child.nodeName) {
				child = child.nextSibling;
				break;
			} else if (1 === child.nodeType && isUnrecognized(child)) {
				child = serializeElement(child, child.nextSibling, true, ephemera, xhtml);
			} else {
				serialize(child, ephemera, xhtml);
				child = child.nextSibling;
			}
		}
		return child;
	}

	/**
	 * Serializes an element into an XHTML string.
	 *
	 * @param element
	 *        An element to serialize.
	 * @param child
	 *        The first child of the given element. This will usually be
	 *        element.firstChild. On IE this may be element.nextSibling because
	 *        of the broken DOM structure IE sometimes generates.
	 * @param unrecognized
	 *        Whether the given element is unrecognized on IE. If IE doesn't
	 *        recognize the element, it will create a broken DOM structure
	 *        which has to be compensated for. See isUnrecognized() for more.
	 * @param ephemera
	 *        Describes content that should not be serialized.
	 *        Only attrMap and attrRxs are supported at the moment.
	 *        See Ephemera.ephemera().
	 * @param xhtml
	 *        An array which receives the serialized element and whic, if joined,
	 *        will yield the XHTML string.
	 * @return
	 *        null if all siblings of the given child have been processed as children
	 *        of the given element, or otherwise the first sibling of child that is not considered
	 *        a child of the given element.
	 */
	function serializeElement(element, child, unrecognized, ephemera, xhtml) {
		// TODO: we should only lowercase element names if they are in an HTML namespace
		var elementName = element.nodeName.toLowerCase();
		// This is a hack around an IE bug which strips the namespace prefix
		// of element.nodeName if it occurs inside an contentEditable=true.
		if (element.scopeName && 'HTML' != element.scopeName && -1 === elementName.indexOf(':')) {
			elementName = element.scopeName.toLowerCase() + ':' + elementName;
		}
		if (!unrecognized && null == child && emptyElements[elementName]) {
			xhtml.push('<' + elementName + makeAttrString(element, ephemera) + '/>');
		} else {
			xhtml.push('<' + elementName + makeAttrString(element, ephemera) + '>');
			child = serializeChildren(element, child, unrecognized,  ephemera, xhtml);
			xhtml.push('</' + elementName + '>');
		}
		return child;
	}

	/**
	 * Serializes a DOM node into a XHTML string.
	 *
	 * @param node
	 *        A DOM node to serialize.
	 * @param ephemera
	 *        Describes content that should not be serialized.
	 *        Only attrMap and attrRxs are supported at the moment.
	 *        See Ephemera.ephemera().
	 * @param xhtml
	 *        An array that will receive snippets of XHTML,
	 *        which if joined will yield the XHTML string.
	 */
	function serialize(node, ephemera, xhtml) {
		var nodeType = node.nodeType;
		if (1 === nodeType) {
			serializeElement(node, node.firstChild, isUnrecognized(node), ephemera, xhtml);
		} else if (3 === node.nodeType) {
			xhtml.push(encodePcdata(node.nodeValue));
		} else if (8 === node.nodeType) {
			xhtml.push('<' + '!--' + node.nodeValue + '-->');
		} else {
			console.warn('Unknown node type encountered during serialization, ignoring it:' +
						' type=' + node.nodeType +
						' name=' + node.nodeName +
						' value=' + node.nodeValue);
		}
	}

	return {
		/**
		 * Serializes a number of DOM nodes in an array-like object to an XHTML string.
		 *
		 * The XHTML of the nodes in the given array-like object will be concatenated.
		 *
		 * @param nodes
		 *        An array or jQuery object or another array-like object to serialize.
		 * @param ephemera
		 *        Describes content that should not be serialized.
		 *        Only attrMap and attrRxs are supported at the moment.
		 *        See Ephemera.ephemera().
		 * @return
		 *        The serialized XHTML String representing the given DOM nodes in the given array-like object.
		 *        The result may look like an XML fragment with multiple top-level elements and text nodes.
		 * @see nodeToXhtml()
		 */
		contentsToXhtml: function (element, ephemera) {
			var xhtml = [];
			serializeChildren(element, element.firstChild, false, ephemera, xhtml);
			return xhtml.join("");
		},

		/**
		 * Serializes a DOM node to an XHTML string.
		 *
		 * Beware that the serialization method will generate XHTML as
		 * close as possible to the DOM tree represented by the given
		 * node. The result will only be valid XHTML if the DOM tree
		 * doesn't violate any contained-in rules.
		 *
		 * Element attributes with an empty string as value will not
		 * appear in the serialized output.
		 *
		 * Element attribute names are case-insensitive in HTML5, so
		 * they may come out in mixed-case depending on what the browser
		 * provides.
		 *
		 * When iterating over the DOM, CDATA sections are comment nodes
		 * on some browsers (Chrome) and not there at all on others (IE).
		 * This is the same as what comes out from element.innerHTML.
		 *
		 * IE8 bug: comments will sometimes be silently stripped inside
		 * contentEditable=true. Conditional includes don't work inside
		 * contentEditable=true. See the tests for more information.
		 *
		 * IE8 bug: a title element will not be serialized correctly
		 * unless it occurs in the head of a HTML document, even if it occurs
		 * in a non-HTML namespace (maybe it works with a prefix).
		 * This will probably also apply for other HTML elements that
		 * occur in the header.
		 *
		 * IE8 bug: unrecognized elements in the HTML scope will cause
		 * broken DOM structure (some HTML5 elements that are not yet
		 * implemented in IE for example). Some effort was made to fix a
		 * broken DOM structure, if it is encountered. There is one case
		 * which results in an unrecoverably broken DOM structure, which
		 * is an unrecognized element not preceded by some text. See the
		 * tests for further information.
		 *
		 * IE8 bug: whitespace is not reliably preserved when the style
		 * white-space:pre (or similar) is used. See the tests for
		 * further information. Whitespace inside <pre> elements will
		 * be preserved, but \n characters will become \r characters.
		 *
		 * IE7 bug: URLs in href and src attributes of a and img
		 * elements will be absolutized (including hostname and
		 * protocol) if they are given as a relative path.
		 *
		 * IE bug: Namespace support inside contentEditable=true is a
		 * bit shaky on IE. Don't use it if possible. See the tests to
		 * get an idea of what seems to work. Make namespace prefixes
		 * and element names all lower-case, as they are always
		 * lower-cased, even if the element doesn't occur in an HTML
		 * namespace. Don't use default namespaces, use prefixes (except
		 * for an HTML namespace).
		 *
		 * @param node
		 *        A DOM node to serialize
		 * @param ephemera
		 *        Describes content that should not be serialized.
		 *        Only attrMap and attrRxs are supported at the moment.
		 *        See Ephemera.ephemera().
		 * @return
		 *        The serialized XHTML string represnting the given DOM node.
		 */
		nodeToXhtml: function (node, ephemera) {
			var xhtml = [];
			serialize(node, ephemera, xhtml);
			return xhtml.join("");
		}
	};
});

/* dom-to-xhtml-plugin.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/**
 * The dom-to-xhtml plugin extends the serialization method of the
 * Aloha.Editable.getContent() instance method to generate valid XHTML
 * (in so far as the DOM of the editables itself is valid).
 * Attributes described by Ehpemera.ephemera() will be removed.
 */
define('dom-to-xhtml/dom-to-xhtml-plugin',[
	'aloha',
	'jquery',
	'aloha/plugin',
	'aloha/ephemera',
	'util/dom-to-xhtml'
], function (
	Aloha,
	$,
	Plugin,
	Ephemera,
	domToXhtml
) {
	'use strict';

	return Plugin.create('dom-to-xhtml', {
		/**
		 * Called by the plugin-manager on intialization.
		 *
		 * @Override
		 */
		init: function () {
			var that = this;
			Aloha.Editable.setContentSerializer(function (editableElement) {
				if (!that.settings.editables && !that.settings.config) {
					return domToXhtml.contentsToXhtml(editableElement);
				}

				if (that.settings.editables && that.settings.editables['#' + $(editableElement).attr('id')] == 'dom-to-xhtml') {
					return domToXhtml.contentsToXhtml(editableElement, Ephemera.ephemera());
				} else if (that.settings.config &&
						that.settings.config == 'dom-to-xhtml' &&
						!that.settings.editables['#' + $(editableElement).attr('id')]) {
					return domToXhtml.contentsToXhtml(editableElement, Ephemera.ephemera());
				} else {
					return $(editableElement).html();
				}
			});
		}
	});
});

/* wordcontenthandler.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('contenthandler/wordcontenthandler',[
	'jquery',
	'aloha',
	'aloha/contenthandlermanager',
	'util/contenthandler',
	'util/dom2',
	'util/html'
], function (
	$,
	Aloha,
	Manager,
	Utils,
	Dom2,
    Html
) {
	'use strict';

	var jQuery = $;

	/**
	 * Matches the string "mso".
	 *
	 * @type {RexExp}
	 * @const
	 */
	var MSO = /mso/i;

	/**
	 * Matches string starting with "#".
	 *
	 * @type {RexExp}
	 * @const
	 */
	var HASH_HREF = /^#(.*)/;

	/**
	 * Matches numbering or bullet
	 *
	 * @type {RegExp}
	 * @const
	 */
	var NUMBER_OR_BULLET = /^(([0-9]{1,3}\.)|([0-9]{1,3}\))|([a-zA-Z]{1,5}\.)|([a-zA-Z]{1,5}\))|(.))$/;

	/**
	 * Matches numbering
	 *
	 * @type {RegExp}
	 * @const
	 */
	var NUMBER = /^([0-9]{1,3}\.)|([0-9]{1,3}\)|([a-zA-Z]{1,5}\.)|([a-zA-Z]{1,5}\)))$/

	/**
	 * Class used to mark span's that contain the bullet info
	 *
	 * @type {String}
	 * @const
	 */
	var BULLET_CLASS = 'aloha-list-bullet';

	/**
	 * Class used to mark list items
	 *
	 * @type {String}
	 * @const
	 */
	var LIST_ELEMENT_CLASS = 'aloha-list-element';

	/**
	 * Checks whether the given node is empty, ignoring white spaces.
	 *
	 * @param {jQuery.<HTMLElement>} $node
	 * @return {boolean} True if $node is empty.
	 */
	function isEmpty($node) {
		switch ($node[0].nodeName.toLowerCase()) {
		case 'table':
			return 0 === $node.find('tbody,tr').length;
		case 'tbody':
			return 0 === $node.find('tr').length;
		case 'tr':
			return 0 === $node.find('td,th').length;
		default:
			return '' === $.trim($node.text()) && $node.html().indexOf('&nbsp;') < 0;
		}
	}

	/**
	 * Checks whether the given content element can be assumed to originate
	 * from Microsoft Word.
	 *
	 * @param {jQuery.<HTMLElement>} $content
	 * @return True if the content is determined to originate from an
	 *         office document.
	 */
	function isWordContent($content) {
		// Edge does not paste the mso classes anymore, so we need to treat everything
		// as if coming from word
		if (Aloha.browser.edge) {
			return true;
		}
		// Because reading the html of the content is way faster than iterating
		// its entire node tree, therefore we attempt this first.
		if (0 === $content.length || !MSO.test($content[0].outerHTML)) {
			return false;
		}
		var $nodes = $content.find('*');
		var i;
		var style;
		var classNames;
		// Because if "mso" is found somewhere in the style or class names then
		// the content originated form MS Word.
		for (i = 0; i < $nodes.length; i++) {
			style = $nodes.eq(i).attr('style');
			if (style && style.toLowerCase().indexOf('mso') >= 0) {
				return true;
			}
			classNames = $nodes.eq(i).attr('class');
			if (classNames && classNames.toLowerCase().indexOf('mso') >= 0) {
				return true;
			}
		}
		return false;
	}

	/**
	 * Removes unrendered child nodes from `$content`.
	 * @param {jQuery.<HTMLElement> $content
	 */
	function removeUnrenderedChildNodes($content) {
		var childNodes = $content[0].childNodes;
		var i;
		var len;

		for (i = 0, len = childNodes.length; i < len; i++) {
			if (childNodes[i] && Html.isUnrenderedNode(childNodes[i])) {
				$content[0].removeChild(childNodes[i]);
			}
		}
	}

	/**
	 * Cleanup MS Word HTML.
	 *
	 * @param {jQuery.<HTMLElement>} $content
	 */
	function clean($content) {
		var $nodes = $content.find('*');
		var nodeName;
		var $node;
		var href;
		var i;
		var len;

		for (i = 0, len = $nodes.length; i < len; i++) {
			$node = $nodes.eq(i);
			nodeName = $node[0].nodeName.toLowerCase();

			if ('div' === nodeName || 'span' === nodeName) {

				// Because footnotes for example are wrapped in divs and should
				// be unwrapped.
				$node.contents().unwrap();
			} else if ('ul' === nodeName || 'ol' === nodeName) {
				/*
				 * Word renders nested lists as
				 *
				 * <ul>
				 *   <li>Foo</li>
				 *   <ul>
				 *     <li>Bar</li>
				 *   </ul>
				 * </ul>
				 *
				 * instead of
				 *
				 * <ul>
				 *   <li>Foo
				 *     <ul>
				 *       <li>Bar</li>
				 *     </ul>
				 *   </li>
				 * </ul>
				 *
				 * Since the markup is not valid, the nested lists would be removed by
				 * the generic content handler.
				 */
				if ($node.parent().is('ul,ol')) {
					var prev = $node.prev('li');

					if (prev.length > 0) {
						prev.append($node)
					} else {
						$node.contents().unwrap();
					}
				}
				if (isEmpty($node)) {
					$node.remove();
				}
			} else if ('td' !== nodeName && 'li' !== nodeName && isEmpty($node)) {

				// Because any empty element (like spaces wrapped in spans) are
				// not needed, except table cells.
				$node.contents().unwrap();
			} else if (nodeName === 'a'
					&& $node.attr('href') && $node.attr('href').match("^file://")) {
				$node.contents().unwrap();
			} else if (nodeName === 'p' && $node.attr('align')) {
				$node.removeAttr('align');
			}
		}

		removeUnrenderedChildNodes($content);
	}

	/**
	 * Transform Title and Subtitle from MS Word.
	 *
	 * @param {jQuery.<HTMLElement>} $content
	 */
	function transformTitles($content) {
		$content.find('p.MsoTitle').each(function () {
			Aloha.Markup.transformDomObject($(this), 'h1');
		});
		$content.find('p.MsoSubtitle').each(function () {
			Aloha.Markup.transformDomObject($(this), 'h2');
		});
	}

	/**
	 * Fix content, that apparently comes from word's correction mode:
	 * 
	 * * Remove 'del' elements
	 * * Unwrap contents of 'ins' elements
	 */
	function fixCorrections($content) {
		$content.find('del').remove();
		$content.find('ins').each(function() {
			jQuery(this).contents().unwrap();
		});
	}

	var WordContentHandler = Manager.createHandler({

		/**
		 * Handle content pasted from Word or Open/Libre Office.
		 *
		 * Tries to detect content pasted from office document and transforms
		 * into clean HTML.
		 *
		 * @param {jQuery.<HTMLElement>|string} content
		 * @return {string} Clean HTML
		 */
		handleContent: function (content) {
			var $content = Utils.wrapContent(content);
			if (!$content) {
				return content;
			}
			if (isWordContent($content)) {
				this.transformWordContent($content);
			}
			return $content.html();
		},

		/**
		 * Check whether the given list span (first span in a paragraph which shall be a list item) belongs to an ordered list
		 * @param listSpan
		 * @return true for ordered lists, false for unordered
		 */
		isOrderedList: function (listSpan) {
			// when the span has fontFamily "Wingdings" it is an unordered list
			if (listSpan.css('fontFamily') == 'Wingdings' || listSpan.css('fontFamily') == 'Symbol') {
				return false;
			}
			// otherwise check for a number, letter or '(' as first character
			return $.trim(listSpan.text()).match(/^([0-9]{1,3}\.)|([0-9]{1,3}\)|([a-zA-Z]{1,5}\.)|([a-zA-Z]{1,5}\)))$/) ? true : false;
		},
		
		/**
		 * Checks if the specified node is enclosed in a <!--[if !supportLists]--> comment.
		 * @param node The Node, whose position should be checked.
		 * @param stopAt An ancestor Node of node, where the search will be stopped (this node will not be searched any more).
		 * @return true if the node is enclosed in a <!--[if !supportLists]--> comment within the stopAt node, otherwise false.
		 */
		checkElementIsEnclosedInListsComment: function (node, stopAt) {
			while (node && node !== stopAt) {
				var sibling = node;
				while ((sibling = sibling.previousSibling) !== null) {
					if (Node.COMMENT_NODE === sibling.nodeType && $.trim(sibling.textContent) === '[if !supportLists]') {
						return true;
					}
				}
				node = node.parentNode;
			}
			return false;
		},

		/**
		 * Try to detect the list type (ordered or bulleted).
		 * Remove the elements that were used to render the numbering or bullets
		 * @param {jQuery.<HTMLElement>} jqElem
		 * @return true for numbered list, false for bulleted list
		 */
		detectListType: function (jqElem) {
			var ordered = false;
			var removeSpan = true;
			// get the first span in the element
			var firstSpan = jQuery(jqElem.find('span.' + BULLET_CLASS));
			if (firstSpan.length === 0) {
				firstSpan = jqElem.find('span').filter(function() {
					var $this = $(this);
					var style = $this.attr('style') || '';
					return style.indexOf('mso-list: Ignore') >= 0 || style.indexOf('mso-list:Ignore') >= 0;
				});
			}
			if (firstSpan.length === 0) {
				firstSpan = jqElem.find('span').eq(0);
				if (firstSpan.length > 0) {
					removeSpan = WordContentHandler.checkElementIsEnclosedInListsComment(firstSpan.get(0), jqElem.get(0));
				}
			}
			if ($.trim(firstSpan.text()).length !== 0) {
				// use the span to detect whether the list shall be ordered or unordered
				ordered = this.isOrderedList(firstSpan);
				// finally remove the span (numbers, bullets are rendered by the browser)
				if (removeSpan) {
					firstSpan.remove();
				}
			} else {
				firstSpan.remove();
				var f = function (index) {
					var el = jQuery(this);
					if (NUMBER_OR_BULLET.test($.trim(el.text()))) {
						ordered = NUMBER.test($.trim(el.text()));
						el.remove();
						return false;
					}
					el.contents().each(f);
				};
				jqElem.contents().each(f);
			}
			return ordered;
		},

		/**
		 * Transform lists pasted from word
		 * @param content
		 */
		transformListsFromWord: function (content) {
			var that = this,
				negateDetectionFilter, detectionFilter, spans,
				paragraphs;

			// first step is to find all paragraphs which will be converted into list elements and mark them by adding the class 'aloha-list-element'
			detectionFilter = 'p[style*="mso-list"], p[class*="MsoListParagraph"]';
			paragraphs = content.find(detectionFilter);
			paragraphs.each(function () {
				var $elem = jQuery(this);

				// IE special: IE automatically inserts <ul> <ol> & <li>
				// If the parent of the elemnt is already <li>, we don't create a another list item
				if ($elem.parent().prop("tagName") === "LI") {
					return;
				}

				$elem.addClass(LIST_ELEMENT_CLASS);
			});

			// now we search for paragraphs with three levels of nested spans, where the innermost span contains nothing but &nbsp;
			detectionFilter = 'p span span span';
			spans = content.find(detectionFilter);
			spans.each(function () {
				var jqElem = jQuery(this),
				    innerText = jQuery.trim(jqElem.text()).replace(/&nbsp;/g, ''),
					outerText;
				
				if (innerText.length === 0) {
					// check whether the outermost of the three spans contains nothing more than numbering
					outerText = jQuery.trim(jqElem.parent().parent().text()).replace(/&nbsp;/g, '');

					// patterns for list numbering
					// 1.
					// 1)
					// (1)
					// a.
					// a)
					// I.
					// i.
					// o § (or any other single character)
					if (NUMBER_OR_BULLET.test(outerText)) {
						jqElem.closest('p').addClass(LIST_ELEMENT_CLASS);
						jqElem.parent().parent().addClass(BULLET_CLASS);
					}
				}
			});

			// no detect all marked paragraphs and transform into lists
			detectionFilter = 'p.' + LIST_ELEMENT_CLASS;
			// We also have to include font because if IE9
			negateDetectionFilter = ':not(' + detectionFilter + ', font)';
			paragraphs = content.find(detectionFilter);

			if (paragraphs.length > 0) {
				paragraphs.each(function () {
					var jqElem = jQuery(this),
						jqNewLi, jqList, ordered, firstSpan, following, lists, margin, nestLevel;

					jqElem.removeClass(LIST_ELEMENT_CLASS);
					// first remove all font tags
					jqElem.find('font').each(function () {
						jQuery(this).contents().unwrap();
					});

					// initialize the nestlevel and the margin (we will try to detect nested
					// lists by comparing the left margin)
					nestLevel = [];
					margin = parseFloat(jqElem.css('marginLeft'));
					// Fix for not found margin on level 0
					if (isNaN(margin)) {
						margin = 0;
					}
					// this array will hold all ul/ol elements
					lists = [];
					// get all following list elements
					following = jqElem.nextUntil(negateDetectionFilter);

					ordered = that.detectListType(jqElem);

					// create the list element
					jqList = jQuery(ordered ? '<ol></ol>' : '<ul></ul>');
					lists.push(jqList);

					// add a new list item
					jqNewLi = jQuery('<li></li>');

					// add the li into the list
					jqList.append(jqNewLi);

					// append the contents of the old dom element to the li
					jqElem.contents().appendTo(jqNewLi);

					// replace the old dom element with the new list
					jqElem.replaceWith(jqList);

					// now proceed all following list elements
					following.each(function () {
						var jqElem = jQuery(this),
							newMargin, jqNewList;
						
						if (jqElem.is('font')) {
							//Fix for IE9
							return;
						}

						// remove all font tags
						jqElem.find('font').each(function () {
							jQuery(this).contents().unwrap();
						});
						// check the new margin
						newMargin = parseFloat(jqElem.css('marginLeft'));
						// Fix for not found margin on level 0
						if (isNaN(newMargin)) {
							newMargin = 0;
						}

						ordered = that.detectListType(jqElem);

						// check for nested lists by comparing the margins
						if (newMargin > margin) {
							// create a new list
							jqNewList = jQuery(ordered ? '<ol></ol>' : '<ul></ul>');
							// append the new list to the last list item of the prior list
							jqList.children(':last').append(jqNewList);

							// store the list and increase the nest level
							jqList = jqNewList;
							lists.push(jqList);
							nestLevel.push(newMargin);
							margin = newMargin;
						} else if (newMargin < margin && nestLevel.length > 0) {
							while(nestLevel.length > 0 && nestLevel[nestLevel.length - 1] > newMargin) {
								nestLevel.pop();
								lists.pop();
							}
							// end nested list and append element to outer list
							jqList = lists[lists.length - 1];
							margin = newMargin;
						}

						// create a list item
						jqNewLi = jQuery('<li></li>');
						// add the li into the list
						jqList.append(jqNewLi);

						// append the contents of the old dom element to the li
						jqElem.contents().appendTo(jqNewLi);
						// remove the old dom element
						jqElem.remove();
					});
				});
			}
		},

		/**
		 * Remove paragraph numbering from TOC feature
		 * @param content
		*/
		removeParagraphNumbering: function ( content ) {
			var detectionFilter = 'h1,h2,h3,h4,h5,h6',
				paragraphs = content.find(detectionFilter);
			
			if (paragraphs.length > 0) {
				paragraphs.each(function () {
					var jqElem = jQuery(this),
						spans = jqElem.find('span'),
						links = jqElem.find('a');
				
					// remove TOC numbering
					spans.each(function () {
						if ( jQuery.trim(jQuery(this).text()).match(/^([\.\(]?[\d\D][\.\(]?){1,4}$/) ) {
							jQuery(this).remove();
						}
					});
				
					// remove TOC anchor links
					links.each(function () {
						// no href, so it's an anchor
						if ( typeof jQuery(this).attr('href') === 'undefined' ) {
							jQuery(this).contents().unwrap();
						}
					});
				
				});
			}
		},

		
		/**
		 * Transform TOC
		 * @param content
		*/
		transformToc: function ( content ) {
			var detectionFilter = '[class*=MsoToc]',
				paragraphs = content.find(detectionFilter);

			paragraphs.each(function () {
				var jqElem = jQuery(this),
					spans = jqElem.find('span'),
					links = jqElem.find('a');

				// a table of contents entry looks like
				// 1. Title text ... 5
				// we get rid of the "... 5" part which repesents the page number
				spans.each(function () {
					if ( jQuery(this).attr('style') && jQuery(this).attr('style').search('mso-hide') > -1 ) {
						jQuery(this).remove();
					}
					jQuery(this).contents().unwrap();
				});

				// remove the anchor link of the toc item
				links.each(function () {
					jQuery(this).contents().unwrap();
				});
			});
		},

		/**
		 * This is the main transformation method
		 * @param {jQuery.<HTMLElement>} $content
		 */
		transformWordContent: function ($content) {
			fixCorrections($content);
			this.transformToc($content);
			this.removeParagraphNumbering($content);
			this.transformListsFromWord($content);
			transformTitles($content);
			clean($content);
		}
	});
	
	return WordContentHandler;
});

/* genericcontenthandler.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('contenthandler/genericcontenthandler',[
	'jquery',
	'aloha',
	'aloha/contenthandlermanager',
	'aloha/plugincontenthandlermanager',
	'util/contenthandler'
], function (
	$,
	Aloha,
	Manager,
	PluginContentHandlerManager,
	Utils
) {
	'use strict';

	/**
	 * Apply the plugin content handler to an HTMLElement.
	 * 
	 * @param {jQuery.<HTMLElement>} $element The HTMLElement which will be handled.
	 * @param {object} options Used to filter limit which content handlers should be used.
	 * @param {Aloha.Editable} editable The editable whose content is currently being handled.
	 * @return {boolean} true if the generic cleanup should be applied to the element and its children
	 */
	function applyPluginHandler($element, options, editable) {
		var handler = PluginContentHandlerManager.getHandlerForElement($element);
		if (!Array.isArray(handler) || handler.length === 0) {
			return true;
		}
		var i = 0;
		var resumeNext;
		do {
			resumeNext = handler[i]($element, options, editable);
			i++;
		} while (typeof handler[i] === 'function' && (typeof resumeNext === 'undefined' || resumeNext));

		return (typeof resumeNext === 'undefined' || resumeNext);
	}

	var GenericContentHandler = Manager.createHandler({
		/**
		 * Apply the generic and the plugin content handler to HTMLElements and their children.
		 * 
		 * @param {jQuery.<Array.<HTMLElement>>} $element The HTMLElements which will be handled.
		 * @param {object} options Used to filter limit which content handlers should be used.
		 * @param {Aloha.Editable} editable The editable whose content is currently being handled.
		 * @param {boolean} transformFormatting true if formatting should be transformed
		 */
		applyHandlerToElements: function ($elements, options, editable, transformFormatting) {
			var that = this;
			$elements.filter(Utils.notAlohaBlockFilter).each(function () {
				var $elem = $(this);
				var $contents = $elem.contents();
				var isApplyGenericHandler = applyPluginHandler($elem, options, editable);
				if (isApplyGenericHandler) {
					Utils.doGenericCleanup($elem, transformFormatting);
				}
				return that.applyHandlerToElements($contents, options, editable, transformFormatting);
			});
		},
		/**
		 * Transforms pasted content to make it safe and ready to be used in
		 * Aloha Editables.
		 *
		 * @param {jQuery.<HTMLElement>|string} content
		 * @return {string} Clean HTML
		 */
		handleContent: function (content, options, editable) {
			var $content = Utils.wrapContent(content);
			if (!$content) {
				return content;
			}
			this.applyHandlerToElements($content.contents(), options, editable, Utils.isTransformFormatting());
			return $content.html();
		}
	});

	return GenericContentHandler;
});

/**
 * Copyright (c) 2010 by Gabriel Birke
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the 'Software'), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

function Sanitize(){
  var options;
  options = arguments[0] || {};
  this.jQuery = arguments[1] || {};
  this.config = {}
  this.config.elements = options.elements ? options.elements : [];
  this.config.attributes = options.attributes ? options.attributes : {};
  this.config.attributes[Sanitize.ALL] = this.config.attributes[Sanitize.ALL] ? this.config.attributes[Sanitize.ALL] : [];
  this.config.allow_comments = options.allow_comments ? options.allow_comments : false;
  this.allowed_elements = {};
  this.config.protocols = options.protocols ? options.protocols : {};
  this.config.add_attributes = options.add_attributes ? options.add_attributes  : {};
  this.dom = options.dom ? options.dom : document;
	for (var i = 0, len = this.config.elements.length; i < len; i++) {
		this.allowed_elements[this.config.elements[i]] = true;
	}
  this.config.remove_element_contents = {};
  this.config.remove_all_contents = false;
  if(options.remove_contents) {

     if (options.remove_contents instanceof Array) {
		  var elementContents = this.config.remove_element_contents;
		  for (var i = 0, len = options.remove_contents.length; i < len; i++) {
			  elementContents[options.remove_contents[i]] = true;
		  }
	  }
	  else {
		  this.config.remove_all_contents = true;
	  }
  }
  this.transformers = options.transformers ? options.transformers : [];

  // filters might let the sanitizer stop clean elements (and their children)
  this.filters = options.filters ? options.filters : [];
}

Sanitize.REGEX_PROTOCOL = /^([A-Za-z0-9\+\-\.\&\;\*\s]*?)(?:\:|&*0*58|&*x0*3a)/i
Sanitize.RELATIVE = '__relative__'; // emulate Ruby symbol with string constant

Sanitize.prototype.clean_node = function(container) {
  var fragment = this.dom.createDocumentFragment();
  this.current_element = fragment;
  this.whitelist_nodes = [];

  

  /**
   * Utility function to check if an element exists in an array
   */
  function _array_index(needle, haystack) {
	  var i,
	      len = haystack.length
	  for (i = 0; i < len; i++) {
		  if (haystack[i] === needle)
			  return i;
	  }
	  return -1;
  }

	function _merge_arrays_uniq() {
		var result = [],
		    uniq_hash = {},
			i,
		    len = arguments.length,
		    arg;
		for (i = 0; i < len; i++) {
			arg = arguments[i];
			if (!arg || !arg.length)
				continue;
			for (var j = 0, argLen = arg.length; j < argLen; j++) {
				if (uniq_hash[arg[j]])
					continue;
				uniq_hash[arg[j]] = true;
				result.push(arg[j]);
			}
		}
		return result;
	}
  
  /**
   * Clean function that checks the different node types and cleans them up accordingly
   * @param elem DOM Node to clean
   */
  function _clean(elem) {
    var clone,
	    i,
	    len = this.filters.length;

    // check whether the elem passes all of the filters
	  for (i = 0; i < len; i++) {
		  if (!this.filters[i](elem)) {
			  clone = elem.cloneNode(true);
			  this.current_element.appendChild(clone);
			  return;
		  }
	  }

    switch(elem.nodeType) {
      // Element
      case 1:
        _clean_element.call(this, elem)
        break;
      // Text
      case 3:
        var clone = elem.cloneNode(false);
        this.current_element.appendChild(clone);
        break;
      // Entity-Reference (normally not used)
      case 5:
        var clone = elem.cloneNode(false);
        this.current_element.appendChild(clone);
        break;
      // Comment
      case 8:
        if(this.config.allow_comments) {
          var clone = elem.cloneNode(false);
          this.current_element.appendChild(clone);
        }
      default:
        //console.log("unknown node type", elem.nodeType)
    }
 
  }
  
  function _clean_element(elem) {
    var i, len, parent_element, name, allowed_attributes, attr, attr_name, attr_node, protocols, del, attr_ok;
    var transform = _transform_element.call(this, elem);
    var jQuery = this.jQuery;
    var isIE7 = Aloha.browser.msie && Aloha.browser.version === "7.0";
    
    elem = transform.node;
    name = elem.nodeName.toLowerCase();
    
    // check if element itself is allowed
    parent_element = this.current_element;
    if (this.allowed_elements[name] || transform.whitelist) {
        this.current_element = this.dom.createElement(elem.nodeName);
        parent_element.appendChild(this.current_element);

      // clean attributes
      allowed_attributes = _merge_arrays_uniq(
        this.config.attributes[name],
        this.config.attributes['__ALL__'],
        transform.attr_whitelist
      );
	    len = allowed_attributes.length;
	    for (i = 0; i < len; i++) {
		    attr_name = allowed_attributes[i];
		    attr = elem.attributes[attr_name];
		    if (attr) {
			    attr_ok = true;
			    // Check protocol attributes for valid protocol
			    if (this.config.protocols[name] && this.config.protocols[name][attr_name]) {
				    protocols = this.config.protocols[name][attr_name];
				    del = attr.nodeValue.toLowerCase().match(Sanitize.REGEX_PROTOCOL);
				    if (del) {
					    attr_ok = (_array_index(del[1], protocols) != -1);
				    }
				    else {
					    attr_ok = (_array_index(Sanitize.RELATIVE, protocols) != -1);
				    }
			    }
			    if (attr_ok) {
				    // sanitize does not work in IE7. It tries to set the style attribute via setAttributeNode() and this is know to not work in IE7
				    // (see http://www.it-blogger.com/2007-06-22/microsofts-internetexplorer-und-mitglied-nicht-gefunden/ as a reference)
				    if (!isIE7 || (isIE7 && "style" !== attr_name)) {
					    this.current_element.setAttribute(attr_name, attr.nodeValue)
				    }
			    }
		    }
      }

      // Add attributes
      if(this.config.add_attributes[name]) {
        for(attr_name in this.config.add_attributes[name]) {
        	// sanitize does not work in IE7. It tries to set the style attribute via setAttributeNode() and this is know to not work in IE7
			// (see http://www.it-blogger.com/2007-06-22/microsofts-internetexplorer-und-mitglied-nicht-gefunden/ as a reference)
        	if(!isIE7 || (isIE7 && "style" !== attr_name)) {
	          this.current_element.setAttribute(attr_name, this.config.add_attributes[name][attr_name]);
        	}
        }
      }
    } // End checking if element is allowed
    // If this node is in the dynamic whitelist array (built at runtime by
    // transformers), let it live with all of its attributes intact.
    else if(_array_index(elem, this.whitelist_nodes) != -1) {
      this.current_element = elem.cloneNode(true);
      // Remove child nodes, they will be sanitiazied and added by other code
	    var childNodesLength = this.current_element.childNodes.length;
	    while(childNodesLength > 0) {
            this.current_element.removeChild(this.current_element.firstChild);
      }
      parent_element.appendChild(this.current_element);
    }

    // iterate over child nodes
    if(!this.config.remove_all_contents && !this.config.remove_element_contents[name]) {
	    var childNodes = elem.childNodes,
		    len = childNodes.length;
	    for (i = 0; i < len; i++) {
		    _clean.call(this, childNodes[i]);
	    }
    }

    // some versions of IE don't support normalize.
    if(this.current_element.normalize) {
      this.current_element.normalize();
    }
    this.current_element = parent_element;
  } // END clean_element function
  
  function _transform_element(node) {
    var output = {
      attr_whitelist:[],
      node: node,
      whitelist: false
    };
    var transform,
	    i,
	    j,
	    transLength = this.transformers.length,
	    len;
	for (i = 0; i < transLength; i++) {
      transform = this.transformers[i]({
        allowed_elements: this.allowed_elements,
        config: this.config,
        node: node,
        node_name: node.nodeName.toLowerCase(),
        whitelist_nodes: this.whitelist_nodes,
        dom: this.dom
      });
      if(transform == null) 
        continue;
      else if(typeof transform == 'object') {
        if(transform.whitelist_nodes && transform.whitelist_nodes instanceof Array) {
	      len = transform.whitelist_nodes.length
	      for (j = 0; j < len; j++) {
            if(_array_index(transform.whitelist_nodes[j], this.whitelist_nodes) == -1) {
              this.whitelist_nodes.push(transform.whitelist_nodes[j]);
            }
          }
        }
        output.whitelist = transform.whitelist ? true : false;
        if(transform.attr_whitelist) {
          output.attr_whitelist = _merge_arrays_uniq(output.attr_whitelist, transform.attr_whitelist);
        }
        output.node = transform.node ? transform.node : output.node;
      }
      else {
        throw new Error("transformer output must be an object or null");
      }
    }
    return output;
  }


  var childNodes = container.childNodes,
      i;
  for (i = 0, len = childNodes.length; i < len; i++) {
    _clean.call(this, childNodes[i]);
  }
  
  if(fragment.normalize) {
    fragment.normalize();
  }
  
  return fragment;
  
};
define("vendor/sanitize", function(){});

/* sanitizecontenthandler.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('contenthandler/sanitizecontenthandler',[
	'aloha/core',
	'jquery',
	'aloha/contenthandlermanager',
	'aloha/plugin',
	'aloha/console',
	'vendor/sanitize'
],
function ( Aloha, jQuery, ContentHandlerManager, Plugin, console ) {
	"use strict";
	
	var sanitize;
	
	// predefined set of sanitize options if no dynamic or custom config is used
	if( !Aloha.defaults.sanitize ) {
		Aloha.defaults.sanitize = {};
	}

	// very restricted sanitize config
	Aloha.defaults.sanitize.restricted = {
		elements: [ 'b', 'em', 'i', 'strong', 'u', 'del', 'p', 'span', 'div', 'br' ]
	};

	// sanitize  config allowing a bit more (no tables)
	Aloha.defaults.sanitize.basic = {
		elements: [
			'a', 'abbr', 'b', 'blockquote', 'br', 'cite', 'code', 'dd', 'del', 'dl', 'dt', 'em',
			'i', 'li', 'ol', 'p', 'pre', 'q', 'small', 'strike', 'strong', 'sub',
			'sup', 'u', 'ul' ],

		attributes: {
			'a' : ['href'],
			'blockquote' : ['cite'],
			'q' : ['cite'],
			'abbr': ['title']
		},

		//add_attributes: {
			//  'a': {'rel': 'nofollow'}
		//},

		protocols: {
			'a' : {'href': ['ftp', 'http', 'https', 'mailto', '__relative__']},
			'blockquote' : {'cite': ['http', 'https', '__relative__']},
			'q' : {'cite': ['http', 'https', '__relative__']}
		}
	};

	// relaxed sanitize config allows also tables
	Aloha.defaults.sanitize.relaxed = {
		elements: [
			'a', 'abbr', 'b', 'blockquote', 'br', 'caption', 'cite', 'code', 'col',
			'colgroup', 'dd', 'del', 'dl', 'dt', 'em', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6',
			'i', 'img', 'li', 'ol', 'p', 'pre', 'q', 'small', 'strike', 'strong',
			'sub', 'sup', 'table', 'tbody', 'td', 'tfoot', 'th', 'thead', 'tr', 'u',
			'ul', 'span', 'hr', 'object', 'div'
		],

		attributes: {
			'a': ['href', 'title', 'id', 'class', 'target', 'data-gentics-aloha-repository', 'data-gentics-aloha-object-id'],
			'div': ['id','class','style'],
			'abbr': ['title'],
			'blockquote': ['cite'],
			'br': ['class'],
			'col': ['span', 'width'],
			'colgroup': ['span', 'width'],
			'img': ['align', 'alt', 'height', 'src', 'title', 'width', 'class', 'data-caption', 'data-align', 'data-width', 'data-original-image'],
			'ol': ['start', 'type', 'class'],
			'p': ['class', 'style', 'id'],
			'q': ['cite'],
			'table': ['summary', 'width'],
									// For IE7 it matters the uppercase 'S' in rowSpan, colSpan
			'td': ['abbr', 'axis', 'colSpan', 'rowSpan', 'colspan', 'rowspan', 'width'],
			'th': ['abbr', 'axis', 'colSpan', 'rowSpan', 'colspan', 'rowspan', 'scope', 'width'],
			'ul': ['type', 'class'],
			'span': ['class','style','lang','xml:lang','role']
		},

		protocols: {
			'a': {'href': ['ftp', 'http', 'https', 'mailto', '__relative__']},
			'blockquote': {'cite': ['http', 'https', '__relative__']},
			'img': {'src' : ['http', 'https', '__relative__']},
			'q': {'cite': ['http', 'https', '__relative__']}
		}
	};

	function initSanitize (configAllows) {
		var 
			filter = [ 'restricted', 'basic', 'relaxed' ],
			config = Aloha.defaults.supports; // @TODO: needs to be implemented into all plugins

		// @TODO move to Aloha.settings.contentHandler.sanitize.allows ?
		if (Aloha.settings.contentHandler.allows) {
			config = Aloha.settings.contentHandler.allows;
		}

		// @TODO think about Aloha.settings.contentHandler.sanitize name/options
		if (typeof Aloha.settings.contentHandler.sanitize === 'string' &&
			jQuery.inArray(Aloha.settings.contentHandler.sanitize, filter) > -1) {
			config = Aloha.defaults.sanitize[Aloha.settings.contentHandler.sanitize];
		} else if (typeof Aloha.settings.contentHandler.sanitize === 'object') {
			config = Aloha.settings.contentHandler.sanitize;
		} else if (!config) {
			// use relaxed filter by default
			config = Aloha.defaults.sanitize.relaxed;
		}

		if (configAllows) {
			config = configAllows;
		}

		// add a filter to stop cleaning elements with contentEditable "false"
		config.filters = [function (elem) {
			return elem.contentEditable != "false";
		}];
		sanitize = new Sanitize(config, jQuery);
	}

	var SanitizeContentHandler = ContentHandlerManager.createHandler({
		/**
		 * Handle the content from eg. paste action and sanitize the html
		 * @param content
		 */
		handleContent: function (content, options, editable)  {
			if (!editable) {
				return content;
			}

			var sanitizeConfig;
			var contentHandlerConfig;
			var $content;

			if (Aloha.settings.contentHandler &&
			    Aloha.settings.contentHandler.handler &&
			    Aloha.settings.contentHandler.handler.sanitize) {
				// individual sanitize config per editable -- should support merging of configs from other plugins ...
				if (Aloha.settings.contentHandler.handler.sanitize) {
					contentHandlerConfig = Aloha.settings.contentHandler.handler.sanitize;
				}
				var containerId = contentHandlerConfig['#' + editable.getId()];
				var containerClassAttr = editable.obj.attr('class');

				if (typeof containerId !== 'undefined') {
					sanitizeConfig = contentHandlerConfig;
				} else if (typeof containerClassAttr !== 'undefined') {
					var containerClasses = containerClassAttr.split(' ');
					for (var i = 0; i < containerClasses.length; i++) {
						if (typeof contentHandlerConfig['.' + containerClasses[i]] !== 'undefined') {
							sanitizeConfig = contentHandlerConfig['.' + containerClasses[i]];
						}
					}
				}
			}

			if ( typeof sanitize === 'undefined' || typeof sanitizeConfig !== 'undefined') {
				initSanitize(sanitizeConfig);
			}

			if (typeof content === 'string') {
				content = jQuery('<div>' + content + '</div>').get(0);
			} else if (content instanceof jQuery) {
				content = jQuery('<div>').append(content).get(0);
			}
			//Sanitize content
			content = sanitize.clean_node(content);
			//Postprocessing
			$content = jQuery('<div>').append(content);
			sanitizeLinktags($content);
			return $content.html();
		}
	});

	/**
	 * Clean content from empty link tags and link tags, that have no attributes.
	 * @param {jQuery.<HTMLElement>} $content
	 */
	function sanitizeLinktags($content) {
		$content.find('a').each(function() {
			var $element = jQuery(this);
			if (!this.hasAttributes() || !jQuery.trim($element.html())) {
				if ($element.contents().length > 0) {
					$element.contents().unwrap();
				} else {
					$element.remove();
				}
			}
		});
	}

	return SanitizeContentHandler;
});

/*!
 * Aloha Editor
 * Author & Copyright (c) 2010-2013 Gentics Software GmbH
 * aloha-sales@gentics.com
 * Licensed unter the terms of http://www.aloha-editor.com/license.html
 *
 * @overview
 * Prepares block-level elements in contents of editables that are initialized
 * for editing ('initEditing'), or when exporting contents of editable for
 * saving ('getContents').
 */
define('contenthandler/blockelementcontenthandler',[
	'jquery',
	'aloha/core',
	'aloha/contenthandlermanager',
	'util/contenthandler',
	'util/functions',
	'util/html',
	'util/arrays'

], function (
	$,
	Aloha,
	ContentHandlerManager,
	Utils,
	Functions,
	Html,
	Arrays
) {
	'use strict';

	var blocksSelector = Html.BLOCKLEVEL_ELEMENTS.join();
	var nonVoidBlocksSelector = Arrays.subtract(
			Html.BLOCKLEVEL_ELEMENTS,
			Html.VOID_ELEMENTS
		).join();

	var NOT_ALOHA_BLOCK_FILTER = ':not(.aloha-block)';

	var isNotIgnorableWhitespace =
			Functions.complement(Html.isIgnorableWhitespace);

	/**
	 * Removes the <br> tag that is at the end of the given container.
	 * Invisible white spaces are ignored.
	 *
	 * @param {number} i Index of element in its collection. (Unused)
	 * @param {HTMLElement} element The container in which to remove the <br>.
	 */
	function removeTrailingBr(i, element) {
		var node = Html.findNodeRight(
			element.lastChild,
			isNotIgnorableWhitespace
		);
		if (node && 'br' === node.nodeName.toLowerCase()) {
			$(node).remove();
		}
	}

	/**
	 * Prepares this content for editing
	 *
	 * @param {number} i Index of element in its collection. (Unused)
	 * @param {HTMLElement} element
	 */
	function prepareForEditing(i, element) {
		var $element = $(element);

		$element.filter(nonVoidBlocksSelector).filter(':empty').remove();

		if ($.browser.msie) {
			// Because even though content edited by Aloha Editor is no longer
			// exported with propping <br>'s that are annotated with
			// "aloha-end-br" classes,  this clean-up still needs to be done for
			// content that was edited using legacy Aloha Editor.
			$element.filter('br.aloha-end-br').remove();

			// Because IE's Trident engine goes against W3C's HTML specification
			// by rendering empty block-level elements with height if they are
			// contentEditable.  Propping <br> elements therefore result in 2
			// lines being displayed rather than 1 (which was the intention of
			// having the propping <br> element is).  Because these empty
			// content editable block-level elements are not rendered invisibly
			// in IE, we can remove the propping <br> in otherwise empty
			// block-level elements.
			$element.filter(blocksSelector).each(removeTrailingBr);
		}

		$element.children(NOT_ALOHA_BLOCK_FILTER).each(prepareForEditing);
	}

	/**
	 * Prepares the content for editing in IE versions older than version 8.
	 *
	 * Ensure that all empty blocklevel elements must contain a zero-width
	 * whitespace.
	 *
	 * @param {number} i Unused
	 * @param {HTMLElement} element
	 */
	function prepareEditingInOldIE(i, element) {
		var $element = $(element);
		$element.filter(nonVoidBlocksSelector).append('\u200b');
		$element.children(NOT_ALOHA_BLOCK_FILTER).each(prepareEditingInOldIE);
	}

	/**
	 * For a given DOM element, will make sure that it, and every one of its
	 * child nodes, which is a block-level element ends with a <br> node.
	 *
	 * This ensures that a block is rendered visibly (with atleast one character
	 * height).
	 *
	 * @param {number} i Unused
	 * @param {HTMLElement} element
	 */
	function propBlockElements(i, element) {
		var $element = $(element);
		if ($.browser.msie) {
			$element.filter(nonVoidBlocksSelector).filter(':empty').append('<br/>');
			$element.children(NOT_ALOHA_BLOCK_FILTER).each(propBlockElements);
		}
	}

	return ContentHandlerManager.createHandler({
		handleContent: function handleBlockLevelContent(content, options) {
			if (!options) {
				return content;
			}
			var $content = Utils.wrapContent(content);
			if (!$content) {
				return content;
			}
			switch (options.command) {
			case 'initEditable':
				$content.children(NOT_ALOHA_BLOCK_FILTER)
				        .each(prepareForEditing);

				if ($.browser.msie && $.browser.version <= 7) {
					$content.children(NOT_ALOHA_BLOCK_FILTER)
					        .each(prepareEditingInOldIE);
				}
				break;
			case 'getContents':
				$content.children(NOT_ALOHA_BLOCK_FILTER)
				        .each(propBlockElements);
				break;
			}
			return $content.html();
		}
	});
});

/*global define: true */

/*!
* Aloha Editor
* Author & Copyright (c) 2010-2012 Gentics Software GmbH
* aloha-sales@gentics.com
* Licensed unter the terms of http://www.aloha-editor.com/license.html
*/

/**
 * @name contenthandler
 */
define('contenthandler/contenthandler-plugin',[
	'jquery',
	'aloha/plugin',
	'aloha/contenthandlermanager',
	'contenthandler/wordcontenthandler',
	'contenthandler/genericcontenthandler',
	'contenthandler/sanitizecontenthandler',
	'contenthandler/blockelementcontenthandler'
], function (
	$,
	Plugin,
	ContentHandlerManager,
	WordContentHandler,
	GenericContentHandler,
	SanitizeContentHandler,
	BlockelementContentHandler
) {
	'use strict';

	/**
	 * The default content handlers which will always be loaded with Aloha
	 * when the contenthandler plugin is initialized.
	 *
	 * @object<string, ContentHandler>
	 * @const
	 */
	var DEFAULT_HANDLERS = {
		word: WordContentHandler,
		generic: GenericContentHandler,
		sanitize: SanitizeContentHandler,
		blockelement: BlockelementContentHandler
	};

	var ContentHandler = Plugin.create('contenthandler', {

		/**
		 * Will simply register the default content handlers.
		 *
		 * @override
		 */
		init: function () {
			var handler;
			for (handler in DEFAULT_HANDLERS) {
				if (DEFAULT_HANDLERS.hasOwnProperty(handler)) {
					ContentHandlerManager.register(handler,
							DEFAULT_HANDLERS[handler]);
				}
			}
		}
	});

	return ContentHandler;
});

/**
 * @typedef SymbolGridItem
 * 
 * @property {string} label The label/name of the symbol
 * @property {string} symbol The symbol itself
 * @property {Array.<string>=} keywords Addtitional keywords/strings which are used when searching/filtering
 */

define('characterpicker/symbol-grid',[
    'jquery',
    'ui/component'
], function (
    $,
    Component
) {
    'use strict';

    var CLASS_SELECTED = 'selected';
    var CLASS_GRID_CELL = 'symbol-grid-cell';
    var ATTR_VALUE = 'data-value';

    var SymbolGrid = Component.extend({
        type: 'symbol-grid',

        /** @type {Array.<SymbolGridItem>} Array of symbols to display */
        symbols: [],

        // Internals

        _selected: null,

        _$containerElement: null,

        init: function () {
            this._super();

            this._setupElements();

            this._renderSymbols(this.symbols);
        },

        _setupElements: function () {
            this.element = $('<div>', {
                class: 'aloha-symbol-grid'
            });
            this._$containerElement = $('<div>', {
                class: 'symbol-grid-container',
            }).appendTo(this.element);
        },
        _renderSymbols: function (symbolsToRender) {
            // Clear all previously created entries
            this._$containerElement.children().remove();

            var _this = this;
            symbolsToRender.forEach(function (symbolObj) {
                $('<button>', {
                    class: CLASS_GRID_CELL,
                    title: symbolObj.label,
                })
                    .attr(ATTR_VALUE, symbolObj.symbol)
                    .append($('<span>', {
                        class: 'symbol-grid-cell-content',
                        html: symbolObj.symbol,
                    }))
                    .on('click', function () {
                        _this.touch();
                        _this._selected = symbolObj.symbol;
                        _this._updateSelectedCell();
                        _this.triggerChangeNotification();
                    })
                    .appendTo(_this._$containerElement);
            });
            this._updateSelectedCell();
        },
        _updateSelectedCell: function () {
            this._$containerElement.find('.' + CLASS_GRID_CELL)
                .removeClass(CLASS_SELECTED);
            if (this._selected) {
                this._$containerElement.find('.' + CLASS_GRID_CELL + '[' + ATTR_VALUE + '="' + this._selected + '"]')
                    .addClass(CLASS_SELECTED);
            }
        },

        /**
         * Sets/updates the symbols of this grid.
         * @param {Array.<SymbolGridItem>} symbols Symbols to set
         */
        setSymbols: function (symbols) {
            this.symbols = symbols;
            this.renderSymbols(this.symbols);
        },

        setValue: function (value) {
            this._selected = value;
            this._updateSelectedCell();
        },
        getValue: function () {
            return this._selected;
        }
    });

    SymbolGrid.CLASS_SELECTED = CLASS_SELECTED;
    SymbolGrid.CLASS_GRID_CELL = CLASS_GRID_CELL;
    SymbolGrid.ATTR_VALUE = ATTR_VALUE;

    return SymbolGrid;
});

define('characterpicker/nls/i18n',{
	"root":  {
		"button.addcharacter.tooltip": "pick special characters",
		"input.search-symbol.label": "Search for symbol"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/** @typedef {import('./symbol-grid').SymbolGridItem} SymbolGridItem */

/**
 * @typedef {object} NormalizedSymbolGridItem
 * @property {string} symbol The symbol of the item
 * @property {Array.<string>} items The `label` and `keywords` combined in one array
 */

define('characterpicker/symbol-search-grid',[
    'characterpicker/symbol-grid',
    'i18n!characterpicker/nls/i18n'
], function(
    SymbolGrid,
    i18n
) {
    'use strict';

    var CLASS_CELL_HIDDEN = 'cell-hidden';

    var SymbolSearchGrid = SymbolGrid.extend({
        type: 'symbol-search-grid',

        /** @type {string=} Label for the search input. */
        searchLabel: null,

        // Internal

        /** @type {Array.<NormalizedSymbolGridItem>} Copy of `symbols`, but with normalized `items` property */
        _normalizedSymbols: [],
        /**
         * @type {Array.<string>} Array of symbols which match the search-text and are therefore visible to the user.
         */
        _filteredSymbols: [],
        _searchText: '',
        _$searchInput: null,

        init: function() {
            this._super();

            this._updateNormalizedSymbols();
            this._updateFilteredSymbols();
            this._updateCellVisibility();
        },

        _setupElements: function () {
            this._super();

            var _this = this;
            var id = 'symbol_search_grid_input_' + this.id;
            var searchLabel = this.searchLabel || i18n.t('input.search-symbol.label');

            this._$searchInput = $('<input>', {
                type: 'text',
                class: 'input-element',
                id: id,
                attr: {
					autocapitalize: 'off',
					autocomplete: 'off',
				}
            }).on('input', function () {
                _this._searchText = _this._$searchInput.val();
                _this._updateFilteredSymbols();
                _this._updateCellVisibility();
            });

            this.element.prepend(
                $('<div>', { class: 'input-container' })
                    .append(
                        $('<label>', {
                            class: 'input-label',
                            text: searchLabel,
                            for: id,
                        }),
                        this._$searchInput
                    )
            );
        },

        /**
         * Sets/updates the symbols of this grid.
         * @param {Array.<SymbolGridItem>} symbols Symbols to set
         * @override
         */
        setSymbols: function (symbols) {
            this._super(symbols);
            this._updateNormalizedSymbols();
            this._updateFilteredSymbols();
            this._updateCellVisibility();
        },

        _updateNormalizedSymbols: function() {
            this._normalizedSymbols = (this.symbols || []).map(function(obj) {
                var label = (obj.label || '').toLocaleLowerCase();
                var keywords = (obj.keywords || []).map(function(keyword) {
                    return (keyword || '').toLocaleLowerCase();
                });
                return {
                    symbol: obj.symbol,
                    items: [label || ''].concat(keywords || []),
                };
            });
        },

        _updateFilteredSymbols: function () {
            var searchWord = this._searchText.toLocaleLowerCase();
            var tmp;

            if (!searchWord) {
                tmp = this._normalizedSymbols;
            } else {
                tmp = this._normalizedSymbols.filter(function(obj) {
                    return obj.items.some(function(entry) {
                        return entry.includes(searchWord);
                    });
                });
            }

            this._filteredSymbols = tmp.map(function(obj) {
                return obj.symbol;
            });
        },

        _updateCellVisibility: function () {
            var _this = this;
            this._$containerElement.find('.' + SymbolGrid.CLASS_GRID_CELL).each(function() {
                var val = $(this).attr(SymbolGrid.ATTR_VALUE);
                if (_this._filteredSymbols.includes(val)) {
                    $(this).removeClass(CLASS_CELL_HIDDEN);
                } else {
                    $(this).addClass(CLASS_CELL_HIDDEN);
                }
            });
        }
    });

    return SymbolSearchGrid;
});

/* characterpicker-plugin.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2013 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */

define('characterpicker/characterpicker-plugin',[
	'aloha',
	'aloha/plugin',
	'ui/ui',
	'ui/contextButton',
	'ui/dynamicForm',
	'ui/icons',
	'characterpicker/symbol-grid',
	'characterpicker/symbol-search-grid',
	'i18n!characterpicker/nls/i18n'
], function (
	Aloha,
	Plugin,
	Ui,
	ContextButton,
	DynamicForm,
	Icons,
	SymbolGrid,
	SymbolSearchGrid,
	i18n
) {
	'use strict';

	/**
	 * Tracks the range at the point at which the editor opens the character
	 * picker.
	 *
	 * @type {Range}
	 */
	var rangeAtOpen;

	/**
	 * Inserts the selected character, at the editor's selection.
	 *
	 * @param {String} character
	 */
	function onSelectCharacter(character) {
		if (Aloha.activeEditable) {
			rangeAtOpen.select();
			Aloha.execCommand('insertHTML', false, character);

			// Because after the character was inserted, move the selection
			// forward.
			rangeAtOpen.endContainer = rangeAtOpen.startContainer;
			rangeAtOpen.endOffset = ++rangeAtOpen.startOffset;
			rangeAtOpen.select();
		}
	}

	function createSymbolGridFromConfig(
		config,
		name,
		applyChanges,
		validateFn,
		onChangeFn,
		onTouchFn
	) {
		var tmpOptions = config.options || {};
		var component = Ui.adopt(name, SymbolGrid, {
			symbols: tmpOptions.symbols,

			changeNotify: function (value) {
				applyChanges(value);
				validateFn(value);
				onChangeFn(value);
			},
			touchNotify: function () {
				onTouchFn();
			},
		});
		return component;
	}

	function createSymbolSearchGridFromConfig(
		config,
		name,
		applyChanges,
		validateFn,
		onChangeFn,
		onTouchFn
	) {
		var tmpOptions = config.options || {};
		var component = Ui.adopt(name, SymbolSearchGrid, {
			symbols: tmpOptions.symbols,
			searchLabel: tmpOptions.searchLabel,

			changeNotify: function (value) {
				applyChanges(value);
				validateFn(value);
				onChangeFn(value);
			},
			touchNotify: function () {
				onTouchFn();
			},
		});
		return component;
	}

	var randomLabels = [
        'foo',
        'bar',
        'hello',
        'world',
        'test',
        'gentics',
    ];

	/**
	 * @type {Plugin}
	 */
	var CharacterPickerPlugin = Plugin.create('characterpicker', {

		settings: {},

		config: [
			{
				'label': 'Ampersand',
				'symbol': '&#38',
				'keywords': ['and', 'amp']
			},
			{
				'label': 'Quotation mark',
				'symbol': '&#34',
				'keywords': ['quote']
			},
			{
				'label': 'Cent sign',
				'symbol': '&#162',
				'keywords': ['cent', 'currency']
			},
			{
				'label': 'Euro sign',
				'symbol': '&#8364',
				'keywords': ['euro', 'currency']
			},
			{
				'label': 'Pound sign',
				'symbol': '&#163',
				'keywords': ['euro', 'currency']
			},
			{
				'label': 'Yen sign',
				'symbol': '&#165',
				'keywords': ['yen', 'currency']
			},
			{
				'label': 'Copyright sign',
				'symbol': '&#169',
				'keywords': ['copyright']
			},
			{
				'label': 'Registered sign',
				'symbol': '&#174',
				'keywords': ['registered']
			},
			{
				'label': 'Trade mark sign',
				'symbol': '&#8364',
				'keywords': ['trade', 'trademark']
			},
			{
				'label': 'Per mille sign',
				'symbol': '&#8240',
				'keywords': ['permille', 'math']
			},
			{
				'label': 'Micro sign',
				'symbol': '&#181',
				'keywords': ['micro']
			},
			{
				'label': 'Middle dot',
				'symbol': '&#183',
				'keywords': ['middledot', 'dot', 'math']
			},
			{
				'label': 'Bullet',
				'symbol': '&#8364',
				'keywords': ['bullet', 'dot', 'list']
			},
			{
				'label': 'Horizontal ellipsis',
				'symbol': '&#8230',
				'keywords': ['ellipsis', 'punctuation']
			},
			{
				'label': 'Prime',
				'symbol': '&#8242',
				'keywords': ['prime', 'math']
			},
			{
				'label': 'Double prime',
				'symbol': '&#8243',
				'keywords': ['doubleprime', 'prime', 'math']
			},
			{
				'label': 'Section sign',
				'symbol': '&#167',
				'keywords': ['section', 'paragraph']
			},
			{
				'label': 'Pilcrow sign',
				'symbol': '&#182',
				'keywords': ['pilcrow', 'paragraph']
			},
			{
				'label': 'Small sharp S',
				'symbol': '&#223',
				'keywords': ['s', 'sharp', 'sz', 'ligature']
			},
			{
				'label': 'Left angle quotation mark',
				'symbol': '&#8249',
				'keywords': ['left', 'angle', 'quot']
			},
			{
				'label': 'Right angle quotation mark',
				'symbol': '&#8250',
				'keywords': ['right', 'angle', 'quot']
			},
			{
				'label': 'Left double angle quotation mark',
				'symbol': '&#171',
				'keywords': ['left', 'angle', 'quot', 'double']
			},
			{
				'label': 'Right double angle quotation mark',
				'symbol': '&#187',
				'keywords': ['right', 'angle', 'quot', 'double']
			},
			{
				'label': 'Left single quotation mark',
				'symbol': '&#8216',
				'keywords': ['left', 'quot']
			},
			{
				'label': 'Right single quotation mark',
				'symbol': '&#8217',
				'keywords': ['right', 'quot']
			},
			{
				'label': 'Left double quotation mark',
				'symbol': '&#8220',
				'keywords': ['left', 'quot', 'double']
			},
			{
				'label': 'Right double quotation mark',
				'symbol': '&#8221',
				'keywords': ['right', 'quot', 'double']
			},
			{
				'label': 'Single low quotation mark',
				'symbol': '&#8218',
				'keywords': ['quot']
			},
			{
				'label': 'Double low quotation mark',
				'symbol': '&#8222',
				'keywords': ['quot', 'double']
			},
			{
				'label': 'Less-Than sign',
				'symbol': '&#60',
				'keywords': ['less', 'math', 'compare']
			},
			{
				'label': 'Greater-Than sign',
				'symbol': '&#62',
				'keywords': ['greater', 'math', 'compare']
			},
			{
				'label': 'Less-Than or equal',
				'symbol': '&#8804',
				'keywords': ['less', 'equal', 'math', 'compare']
			},
			{
				'label': 'Greater-Than or equal',
				'symbol': '&#8805',
				'keywords': ['greater', 'equal', 'math', 'compare']
			},
			{
				'label': 'En dash',
				'symbol': '&#811',
				'keywords': ['en', 'dash', 'punctuation']
			},
			{
				'label': 'Em dash',
				'symbol': '&#811',
				'keywords': ['em', 'dash', 'punctuation']
			},
			{
				'label': 'Overline',
				'symbol': '&#8254',
				'keywords': ['overline']
			},
			{
				'label': 'Currency sign',
				'symbol': '&#164',
				'keywords': ['currency']
			},
			{
				'label': 'Broken bar',
				'symbol': '&#166',
				'keywords': ['bar']
			},
			{
				'label': 'Diaeresis',
				'symbol': '&#168',
				'keywords': ['diaeresis']
			},
			{
				'label': 'Inverted exclamation mark',
				'symbol': '&#161',
				'keywords': ['inverted', 'exclamation']
			},
			{
				'label': 'Inverted question mark',
				'symbol': '&#191',
				'keywords': ['inverted', 'question']
			},
			{
				'label': 'Accent circumflex',
				'symbol': '&#710',
				'keywords': ['accent', 'cicrumflex']
			},
			{
				'label': 'Tilde',
				'symbol': '&#732',
				'keywords': ['tilde']
			},
			{
				'label': 'Degree sign',
				'symbol': '&#176',
				'keywords': ['degree', 'math']
			},
			{
				'label': 'Minus sign',
				'symbol': '&#8722',
				'keywords': ['minus', 'math']
			},
			{
				'label': 'Plus-Minus sign',
				'symbol': '&#177',
				'keywords': ['plus', 'minus', 'math']
			},
			{
				'label': 'Division sign',
				'symbol': '&#247',
				'keywords': ['division', 'divide', 'fraction', 'math']
			},
			{
				'label': 'Fraction sign',
				'symbol': '&#8260',
				'keywords': ['division', 'divide', 'fraction', 'math']
			},
			{
				'label': 'Multiplication sign',
				'symbol': '&#215',
				'keywords': ['mult', 'multiplication', 'math']
			},
			{
				'label': 'Superscript One',
				'symbol': '&#185',
				'keywords': ['superscript', 'power', 'one']
			},
			{
				'label': 'Superscript Two',
				'symbol': '&#178',
				'keywords': ['superscript', 'power', 'two']
			},
			{
				'label': 'Superscript Three',
				'symbol': '&#179',
				'keywords': ['superscript', 'power', 'three']
			},
			{
				'label': 'One quarter',
				'symbol': '&#188',
				'keywords': ['quarter', 'fraction', 'math']
			},
			{
				'label': 'One half',
				'symbol': '&#189',
				'keywords': ['half', 'fraction', 'math']
			},
			{
				'label': 'Three quarters',
				'symbol': '&#190',
				'keywords': ['three', 'quarter', 'fraction', 'math']
			},
			{
				'label': 'Small F with hook',
				'symbol': '&#402',
				'keywords': ['f']
			},
			{
				'label': 'Integral',
				'symbol': '&#8747',
				'keywords': ['integral', 'math']
			},
			{
				'label': 'Summation',
				'symbol': '&#8721',
				'keywords': ['sum', 'summation', 'math']
			},
			{
				'label': 'Infinity',
				'symbol': '&#8734',
				'keywords': ['infinity', 'math']
			},
			{
				'label': 'Square root',
				'symbol': '&#8730',
				'keywords': ['square', 'root', 'math']
			},
			{
				'label': 'Tilde operator',
				'symbol': '&#8764',
				'keywords': ['tilde', 'math']
			},
			{
				'label': 'Approximately equal to',
				'symbol': '&#8773',
				'keywords': ['approx', 'equal', 'math', 'compare']
			},
			{
				'label': 'Almost equal to',
				'symbol': '&#8776',
				'keywords': ['almost', 'equal', 'math', 'compare']
			},
			{
				'label': 'Not equal to',
				'symbol': '&#8800',
				'keywords': ['not', 'equal', 'math', 'compare']
			},
			{
				'label': 'Identical to',
				'symbol': '&#8801',
				'keywords': ['ident', 'equal', 'math', 'compare']
			},
			{
				'label': 'Element of',
				'symbol': '&#8712',
				'keywords': ['element', 'set', 'math', 'compare']
			},
			{
				'label': 'Not element of',
				'symbol': '&#8713',
				'keywords': ['not', 'element', 'set', 'math', 'compare']
			},
			{
				'label': 'Contains as member',
				'symbol': '&#8715',
				'keywords': ['element', 'set', 'member', 'math', 'compare']
			},
			{
				'label': 'Product',
				'symbol': '&#8719',
				'keywords': ['product', 'math']
			},
			{
				'label': 'Logical and',
				'symbol': '&#8743',
				'keywords': ['and', 'logic', 'math']
			},
			{
				'label': 'Logical or',
				'symbol': '&#8744',
				'keywords': ['or', 'logic', 'math']
			},
			{
				'label': 'Not sign',
				'symbol': '&#172',
				'keywords': ['not', 'logic', 'math']
			},
			{
				'label': 'Intersection',
				'symbol': '&#8745',
				'keywords': ['intersect', 'set', 'math', 'logic']
			},
			{
				'label': 'Union',
				'symbol': '&#8746',
				'keywords': ['union', 'set', 'math', 'logic']
			},
			{
				'label': 'Partial differential',
				'symbol': '&#8706',
				'keywords': ['partial', 'differential', 'math']
			},
			{
				'label': 'For all',
				'symbol': '&#8704',
				'keywords': ['all', 'math', 'logic']
			},
			{
				'label': 'Exists',
				'symbol': '&#8707',
				'keywords': ['exists', 'math', 'logic']
			},
			{
				'label': 'Empty set',
				'symbol': '&#8709',
				'keywords': ['empty', 'set', 'math', 'logic']
			},
			{
				'label': 'Nabla',
				'symbol': '&#8711',
				'keywords': ['nabla', 'math']
			},
			{
				'label': 'Asteristk',
				'symbol': '&#8727',
				'keywords': ['asterist', 'star', 'math']
			},
			{
				'label': 'Proportional to',
				'symbol': '&#8733',
				'keywords': ['proportional', 'math']
			},
			{
				'label': 'Angle',
				'symbol': '&#8736',
				'keywords': ['angle', 'math']
			},
			{
				'label': 'Accent acute',
				'symbol': '&#180',
				'keywords': ['accent', 'acute']
			},
			{
				'label': 'Cedilla',
				'symbol': '&#184',
				'keywords': ['accent', 'cedilla']
			},
			{
				'label': 'Feminine ordinal indicator',
				'symbol': '&#170',
				'keywords': ['feminine', 'ordinal']
			},
			{
				'label': 'Masculine ordinal indicator',
				'symbol': '&#186',
				'keywords': ['masculine', 'ordinal']
			},
			{
				'label': 'Dagger',
				'symbol': '&#8224',
				'keywords': ['dagger', 'footnote']
			},
			{
				'label': 'Double dagger',
				'symbol': '&#8225',
				'keywords': ['double', 'dagger', 'footnote']
			},
			{
				'label': 'Capital A with grave',
				'symbol': '&#192',
				'keywords': ['a', 'grave']
			},
			{
				'label': 'Capital A with acute',
				'symbol': '&#193',
				'keywords': ['a', 'acute']
			},
			{
				'label': 'Capital A with circumflex',
				'symbol': '&#194',
				'keywords': ['a', 'circumflex']
			},
			{
				'label': 'Capital A with tilde',
				'symbol': '&#195',
				'keywords': ['a', 'tilde']
			},
			{
				'label': 'Capital A with diaeresis',
				'symbol': '&#196',
				'keywords': ['a', 'ae', 'diaeresis']
			},
			{
				'label': 'Capital A with ring',
				'symbol': '&#197',
				'keywords': ['a', 'ring']
			},
			{
				'label': 'Capital AE',
				'symbol': '&#198',
				'keywords': ['ae', 'ligature']
			},
			{
				'label': 'Capital C with cedilla',
				'symbol': '&#199',
				'keywords': ['c', 'cedilla']
			},
			{
				'label': 'Capital E with grave',
				'symbol': '&#200',
				'keywords': ['e', 'grave']
			},
			{
				'label': 'Capital E with acute',
				'symbol': '&#201',
				'keywords': ['e', 'acute']
			},
			{
				'label': 'Capital E with circumflex',
				'symbol': '&#202',
				'keywords': ['e', 'circumflex']
			},
			{
				'label': 'Capital E with diaeresis',
				'symbol': '&#203',
				'keywords': ['e', 'diaeresis']
			},
			{
				'label': 'Capital I with grave',
				'symbol': '&#204',
				'keywords': ['i', 'grave']
			},
			{
				'label': 'Capital I with acute',
				'symbol': '&#205',
				'keywords': ['i', 'acute']
			},
			{
				'label': 'Capital I with circumflex',
				'symbol': '&#206',
				'keywords': ['i', 'circumflex']
			},
			{
				'label': 'Capital I with diaeresis',
				'symbol': '&#207',
				'keywords': ['i', 'diaeresis']
			},
			{
				'label': 'Capital Eth',
				'symbol': '&#208',
				'keywords': ['eth']
			},
			{
				'label': 'Capital N with tilde',
				'symbol': '&#209',
				'keywords': ['n', 'tilde']
			},
			{
				'label': 'Capital O with grave',
				'symbol': '&#210',
				'keywords': ['o', 'grave']
			},
			{
				'label': 'Capital O with acute',
				'symbol': '&#211',
				'keywords': ['o', 'acute']
			},
			{
				'label': 'Capital O with circumflex',
				'symbol': '&#212',
				'keywords': ['o', 'circumflex']
			},
			{
				'label': 'Capital O with tilde',
				'symbol': '&#213',
				'keywords': ['o', 'tilde']
			},
			{
				'label': 'Capital O with diaeresis',
				'symbol': '&#214',
				'keywords': ['o', 'oe', 'diaeresis']
			},
			{
				'label': 'Capital O with stroke',
				'symbol': '&#216',
				'keywords': ['o', 'stroke']
			},
			{
				'label': 'Capital OE',
				'symbol': '&#338',
				'keywords': ['oe', 'ligature']
			},
			{
				'label': 'Capital S with Caron',
				'symbol': '&#352',
				'keywords': ['s', 'caron']
			},
			{
				'label': 'Capital U with grave',
				'symbol': '&#217',
				'keywords': ['u', 'grave']
			},
			{
				'label': 'Capital U with acute',
				'symbol': '&#218',
				'keywords': ['u', 'acute']
			},
			{
				'label': 'Capital U with circumflex',
				'symbol': '&#219',
				'keywords': ['u', 'circumflex']
			},
			{
				'label': 'Capital U with diaeresis',
				'symbol': '&#220',
				'keywords': ['u', 'diaeresis']
			},
			{
				'label': 'Capital Y with acute',
				'symbol': '&#221',
				'keywords': ['y', 'acute']
			},
			{
				'label': 'Capital Y with diaeresis',
				'symbol': '&#376',
				'keywords': ['y', 'diaeresis']
			},
			{
				'label': 'Thorn',
				'symbol': '&#222',
				'keywords': ['thorn']
			},
			{
				'label': 'Small a with grave',
				'symbol': '&#224',
				'keywords': ['a', 'grave']
			},
			{
				'label': 'Small a with acute',
				'symbol': '&#225',
				'keywords': ['a', 'acute']
			},
			{
				'label': 'Small a with circumflex',
				'symbol': '&#226',
				'keywords': ['a', 'circumflex']
			},
			{
				'label': 'Small a with tilde',
				'symbol': '&#227',
				'keywords': ['a', 'tilde']
			},
			{
				'label': 'Small a with diaeresis',
				'symbol': '&#228',
				'keywords': ['a', 'ae', 'diaeresis']
			},
			{
				'label': 'Small a with ring',
				'symbol': '&#229',
				'keywords': ['a', 'ring']
			},
			{
				'label': 'Small ae',
				'symbol': '&#230',
				'keywords': ['ae', 'ligature']
			},
			{
				'label': 'Small c with cedilla',
				'symbol': '&#231',
				'keywords': ['c', 'cedilla']
			},
			{
				'label': 'Small e with grave',
				'symbol': '&#232',
				'keywords': ['e', 'grave']
			},
			{
				'label': 'Small e with acute',
				'symbol': '&#233',
				'keywords': ['e', 'acute']
			},
			{
				'label': 'Small e with circumflex',
				'symbol': '&#234',
				'keywords': ['e', 'circumflex']
			},
			{
				'label': 'Small e with diaeresis',
				'symbol': '&#235',
				'keywords': ['e', 'diaeresis']
			},
			{
				'label': 'Small i with grave',
				'symbol': '&#236',
				'keywords': ['i', 'grave']
			},
			{
				'label': 'Small i with acute',
				'symbol': '&#237',
				'keywords': ['i', 'acute']
			},
			{
				'label': 'Small i with circumflex',
				'symbol': '&#238',
				'keywords': ['i', 'circumflex']
			},
			{
				'label': 'Small i with diaeresis',
				'symbol': '&#239',
				'keywords': ['i', 'diaeresis']
			},
			{
				'label': 'Small eth',
				'symbol': '&#240',
				'keywords': ['eth']
			},
			{
				'label': 'Small n with tilde',
				'symbol': '&#241',
				'keywords': ['n', 'tilde']
			},
			{
				'label': 'Small o with grave',
				'symbol': '&#242',
				'keywords': ['o', 'grave']
			},
			{
				'label': 'Small o with acute',
				'symbol': '&#243',
				'keywords': ['o', 'acute']
			},
			{
				'label': 'Small o with circumflex',
				'symbol': '&#244',
				'keywords': ['o', 'circumflex']
			},
			{
				'label': 'Small o with tilde',
				'symbol': '&#245',
				'keywords': ['o', 'tilde']
			},
			{
				'label': 'Small o with diaeresis',
				'symbol': '&#246',
				'keywords': ['o', 'oe', 'diaeresis']
			},
			{
				'label': 'Small o with stroke',
				'symbol': '&#248',
				'keywords': ['o', 'stroke']
			},
			{
				'label': 'Small oe',
				'symbol': '&#339',
				'keywords': ['oe', 'ligature']
			},
			{
				'label': 'Small s with caron',
				'symbol': '&#353',
				'keywords': ['s', 'caron']
			},
			{
				'label': 'Small u with grave',
				'symbol': '&#249',
				'keywords': ['u', 'grave']
			},
			{
				'label': 'Small u with acute',
				'symbol': '&#250',
				'keywords': ['u', 'acute']
			},
			{
				'label': 'Small u with circumflex',
				'symbol': '&#251',
				'keywords': ['u', 'circumflex']
			},
			{
				'label': 'Small u with diaeresis',
				'symbol': '&#252',
				'keywords': ['u', 'ue', 'diaeresis']
			},
			{
				'label': 'Small y with acute',
				'symbol': '&#253',
				'keywords': ['y', 'acute']
			},
			{
				'label': 'Small thorn',
				'symbol': '&#254',
				'keywords': ['thorn']
			},
			{
				'label': 'Small y with diaeresis',
				'symbol': '&#255',
				'keywords': ['y', 'diaeresis']
			},
			{
				'label': 'Capital Alpha',
				'symbol': '&#913',
				'keywords': ['alpha']
			},
			{
				'label': 'Capital Beta',
				'symbol': '&#914',
				'keywords': ['beta']
			},
			{
				'label': 'Capital Gamma',
				'symbol': '&#915',
				'keywords': ['gamma']
			},
			{
				'label': 'Capital Delta',
				'symbol': '&#916',
				'keywords': ['delta']
			},
			{
				'label': 'Capital Epsilon',
				'symbol': '&#917',
				'keywords': ['epsilon']
			},
			{
				'label': 'Capital Zeta',
				'symbol': '&#918',
				'keywords': ['zeta']
			},
			{
				'label': 'Capital Eta',
				'symbol': '&#919',
				'keywords': ['eta']
			},
			{
				'label': 'Capital Theta',
				'symbol': '&#920',
				'keywords': ['theta']
			},
			{
				'label': 'Capital Iota',
				'symbol': '&#921',
				'keywords': ['iota']
			},
			{
				'label': 'Capital Kappa',
				'symbol': '&#922',
				'keywords': ['kappa']
			},
			{
				'label': 'Capital Lamda',
				'symbol': '&#923',
				'keywords': ['lamda']
			},
			{
				'label': 'Capital Mu',
				'symbol': '&#924',
				'keywords': ['mu']
			},
			{
				'label': 'Capital Nu',
				'symbol': '&#925',
				'keywords': ['nu']
			},
			{
				'label': 'Capital Xi',
				'symbol': '&#926',
				'keywords': ['xi']
			},
			{
				'label': 'Capital Omicron',
				'symbol': '&#927',
				'keywords': ['omikron']
			},
			{
				'label': 'Capital Pi',
				'symbol': '&#928',
				'keywords': ['pi']
			},
			{
				'label': 'Capital Rho',
				'symbol': '&#929',
				'keywords': ['rho']
			},
			{
				'label': 'Capital Sigma',
				'symbol': '&#931',
				'keywords': ['sigma']
			},
			{
				'label': 'Capital Tau',
				'symbol': '&#932',
				'keywords': ['tau']
			},
			{
				'label': 'Capital Upsilon',
				'symbol': '&#933',
				'keywords': ['upsilon']
			},
			{
				'label': 'Capital Phi',
				'symbol': '&#934',
				'keywords': ['phi']
			},
			{
				'label': 'Capital Chi',
				'symbol': '&#935',
				'keywords': ['chi']
			},
			{
				'label': 'Capital Psi',
				'symbol': '&#936',
				'keywords': ['psi']
			},
			{
				'label': 'Capital Omega',
				'symbol': '&#937',
				'keywords': ['omega']
			},
			{
				'label': 'Small alpha',
				'symbol': '&#945',
				'keywords': ['alpha']
			},
			{
				'label': 'Small beta',
				'symbol': '&#946',
				'keywords': ['beta']
			},
			{
				'label': 'Small gamma',
				'symbol': '&#947',
				'keywords': ['gamma']
			},
			{
				'label': 'Small delta',
				'symbol': '&#948',
				'keywords': ['delta']
			},
			{
				'label': 'Small epsilon',
				'symbol': '&#949',
				'keywords': ['epsilon']
			},
			{
				'label': 'Small zeta',
				'symbol': '&#950',
				'keywords': ['zeta']
			},
			{
				'label': 'Small eta',
				'symbol': '&#951',
				'keywords': ['eta']
			},
			{
				'label': 'Small theta',
				'symbol': '&#952',
				'keywords': ['theta']
			},
			{
				'label': 'Small iota',
				'symbol': '&#953',
				'keywords': ['iota']
			},
			{
				'label': 'Small kappa',
				'symbol': '&#954',
				'keywords': ['kappa']
			},
			{
				'label': 'Small lamda',
				'symbol': '&#955',
				'keywords': ['lamda']
			},
			{
				'label': 'Small mu',
				'symbol': '&#956',
				'keywords': ['mu']
			},
			{
				'label': 'Small nu',
				'symbol': '&#957',
				'keywords': ['nu']
			},
			{
				'label': 'Small xi',
				'symbol': '&#958',
				'keywords': ['xi']
			},
			{
				'label': 'Small omicron',
				'symbol': '&#959',
				'keywords': ['omicron']
			},
			{
				'label': 'Small pi',
				'symbol': '&#960',
				'keywords': ['pi']
			},
			{
				'label': 'Small rho',
				'symbol': '&#961',
				'keywords': ['rho']
			},
			{
				'label': 'Small final sigma',
				'symbol': '&#962',
				'keywords': ['final', 'sigma']
			},
			{
				'label': 'Small sigma',
				'symbol': '&#963',
				'keywords': ['sigma']
			},
			{
				'label': 'Small tau',
				'symbol': '&#964',
				'keywords': ['tau']
			},
			{
				'label': 'Small upsilon',
				'symbol': '&#965',
				'keywords': ['upsilon']
			},
			{
				'label': 'Small phi',
				'symbol': '&#966',
				'keywords': ['phi']
			},
			{
				'label': 'Small chi',
				'symbol': '&#967',
				'keywords': ['chi']
			},
			{
				'label': 'Small psi',
				'symbol': '&#968',
				'keywords': ['psi']
			},
			{
				'label': 'Small omega',
				'symbol': '&#969',
				'keywords': ['omega']
			},
			{
				'label': 'Alef',
				'symbol': '&#8501',
				'keywords': ['alef']
			},
			{
				'label': 'Pi symbol',
				'symbol': '&#982',
				'keywords': ['pi']
			},
			{
				'label': 'Black-Letter Capital R',
				'symbol': '&#8476',
				'keywords': ['r', 'black']
			},
			{
				'label': 'Theta symbol',
				'symbol': '&#977',
				'keywords': ['theta']
			},
			{
				'label': 'Upsilon symbol with hook',
				'symbol': '&#978',
				'keywords': ['upsilon', 'hook']
			},
			{
				'label': 'Script capital P',
				'symbol': '&#8472',
				'keywords': ['p', 'script']
			},
			{
				'label': 'Black-Letter capital I',
				'symbol': '&#8465',
				'keywords': ['i', 'black']
			},
			{
				'label': 'Leftwards arrow',
				'symbol': '&#8592',
				'keywords': ['left', 'arrow']
			},
			{
				'label': 'Upwards arrow',
				'symbol': '&#8593',
				'keywords': ['up', 'arrow']
			},
			{
				'label': 'Rightwards arrow',
				'symbol': '&#8594',
				'keywords': ['right', 'arrow']
			},
			{
				'label': 'Downwards arrow',
				'symbol': '&#8595',
				'keywords': ['down', 'arrow']
			},
			{
				'label': 'Left right arrow',
				'symbol': '&#8596',
				'keywords': ['left', 'right', 'arrow']
			},
			{
				'label': 'Downwards arrow with leftward corner',
				'symbol': '&#8629',
				'keywords': ['down', 'left', 'corner', 'arrow']
			},
			{
				'label': 'Leftwards double arrow',
				'symbol': '&#8656',
				'keywords': ['left', 'double', 'arrow']
			},
			{
				'label': 'Upwards double arrow',
				'symbol': '&#8657',
				'keywords': ['up', 'double', 'arrow']
			},
			{
				'label': 'Rightwards duble arrow',
				'symbol': '&#8658',
				'keywords': ['right', 'double', 'arrow']
			},
			{
				'label': 'Downwards double arrow',
				'symbol': '&#8659',
				'keywords': ['down', 'double', 'arrow']
			},
			{
				'label': 'Left right double arrow',
				'symbol': '&#8660',
				'keywords': ['left', 'right', 'double', 'arrow']
			},
			{
				'label': 'Therefore',
				'symbol': '&#8756',
				'keywords': ['therefore', 'math']
			},
			{
				'label': 'Subset of',
				'symbol': '&#8834',
				'keywords': ['subset', 'set', 'math', 'compare']
			},
			{
				'label': 'Superset of',
				'symbol': '&#8835',
				'keywords': ['superset', 'set', 'math', 'compare']
			},
			{
				'label': 'Not subset of',
				'symbol': '&#8836',
				'keywords': ['not', 'subset', 'set', 'math', 'compare']
			},
			{
				'label': 'Subset of or equal to',
				'symbol': '&#8838',
				'keywords': ['subset', 'set', 'equal', 'math', 'compare']
			},
			{
				'label': 'Superset of or equal to',
				'symbol': '&#8839',
				'keywords': ['superset', 'set', 'equal', 'math', 'compare']
			},
			{
				'label': 'Circled plus',
				'symbol': '&#8853',
				'keywords': ['plus', 'circle', 'math']
			},
			{
				'label': 'Circled times',
				'symbol': '&#8855',
				'keywords': ['times', 'multiplication', 'circle', 'math']
			},
			{
				'label': 'Up tack',
				'symbol': '&#8869',
				'keywords': ['up', 'tack', 'bottom', 'bot', 'logic', 'math']
			},
			{
				'label': 'Dot',
				'symbol': '&#8901',
				'keywords': ['dot', 'math']
			},
			{
				'label': 'Left ceiling',
				'symbol': '&#8968',
				'keywords': ['left', 'ceiling', 'ceil', 'math']
			},
			{
				'label': 'Right ceiling',
				'symbol': '&#8969',
				'keywords': ['right', 'ceiling', 'ceil', 'math']
			},
			{
				'label': 'Left floor',
				'symbol': '&#8970',
				'keywords': ['left', 'floor', 'math']
			},
			{
				'label': 'Right floor',
				'symbol': '&#8971',
				'keywords': ['right', 'flot', 'math']
			},
			{
				'label': 'Left angle bracket',
				'symbol': '&#9001',
				'keywords': ['left', 'angle', 'bracket', 'math']
			},
			{
				'label': 'Right angle bracket',
				'symbol': '&#9002',
				'keywords': ['right', 'angle', 'bracket', 'math']
			},
			{
				'label': 'Lozenge',
				'symbol': '&#9674',
				'keywords': ['lozenge']
			},
			{
				'label': 'Spade',
				'symbol': '&#9824',
				'keywords': ['spade', 'suit']
			},
			{
				'label': 'Club',
				'symbol': '&#9827',
				'keywords': ['club', 'suit']
			},
			{
				'label': 'Heart',
				'symbol': '&#9829',
				'keywords': ['heart', 'suit']
			},
			{
				'label': 'Diamond',
				'symbol': '&#9830',
				'keywords': ['diamond', 'suit']
			},
		],

		_constructor: function () {
			this._super('characterpicker');
		},

		init: function () {
			DynamicForm.componentFactoryRegistry['symbol-grid'] = createSymbolGridFromConfig;
			DynamicForm.componentFactoryRegistry['symbol-search-grid'] = createSymbolSearchGridFromConfig;

			if (
				Aloha.settings.plugins &&
				Aloha.settings.plugins.characterpicker
			) {
				this.settings = Aloha.settings.plugins.characterpicker;
			}

			var _this = this;

			Ui.adopt('characterPicker', ContextButton, {
				tooltip: i18n.t('button.addcharacter.tooltip'),
				icon: Icons.CHARACTER_PICKER,

				contextType: 'dropdown',
				context: function () {
					// Can't open/insert a character without an editable to place it in
					if (Aloha.activeEditable == null || Aloha.activeEditable.obj == null) {
						return null;
					}

					rangeAtOpen = Aloha.Selection.rangeObject;

					return {
						type: 'symbol-search-grid',
						options: {
							symbols: _this.getNormalizedSymbols(),
						},
					}
				},

				contextResolve: function (symbol) {
					onSelectCharacter(symbol);
				},
			});
		},

		getNormalizedSymbols: function () {
			var symbols = [];

			if (!Array.isArray(this.config)) {
				if (typeof this.config === 'string') {
					symbols = this.config.split(' ').map(function(symbol) {
						return {
							label: randomLabels[Math.round(Math.random() * randomLabels.length)],
							symbol: symbol,
						};
					});
				} else {
					// ... ?
				}
			} else {
				symbols = this.config;
			}

			// TODO: Add labels?
			return symbols;
		},

	});

	return CharacterPickerPlugin;
});

/* inserthtml.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define(
'commands/inserthtml',['aloha/core', 'jquery', 'aloha/command', 'aloha/selection', 'util/dom', 'aloha/contenthandlermanager', 'aloha/console'],
function (Aloha, jQuery, command, selection, dom, ContentHandlerManager, console) {
	"use strict";

	// Exported commands
	command.register('inserthtml', {
		action: function (value, range) {
			var 
				$editable = jQuery(dom.getEditingHostOf(range.startContainer)),
				cac = range.commonAncestorContainer,
				i,
				selectedRange,
				domNodes = [];
			
			/**
			 * Paste the given object into the current selection.
			 * If inserting fails (because the object is not allowed to be inserted), unwrap the contents and try with that.
			 * @param object object to be pasted
			 */
			function pasteElement(object) {
				var $object = jQuery(object),
					contents;

				// try to insert the element into the DOM with limit the editable host
				// this fails when an element is not allowed to be inserted
				if (!dom.insertIntoDOM($object, range, $editable, false)) {
					
					// if that is not possible, we unwrap the content and insert every child element
					contents = $object.contents();

					// when a block level element was unwrapped, we at least insert a break
					if (dom.isBlockLevelElement(object) || dom.isListElement(object)) {
						pasteElement(jQuery('<br/>').get(0));
					}

					// and now all children (starting from the back)
					for (var i = contents.length - 1; i >= 0; --i) {
						pasteElement(contents[i]);
					}
				}
			}

			// apply content handler to cleanup inserted data
			//if (typeof Aloha.settings.contentHandler.insertHtml === 'undefined') {
			// just use all registerd content handler or specity Aloha.defaults.contentHandler.insertHtml manually?
			//	Aloha.settings.contentHandler.insertHtml = Aloha.defaults.contentHandler.insertHtml;
			//}
			value = ContentHandlerManager.handleContent(value, { contenthandler: Aloha.settings.contentHandler.insertHtml});

			// allowed values are string or jQuery objects
			// add value to a container div
			if (typeof value === 'string') {
				value = jQuery('<div>' + value + '</div>');
			} else if (value instanceof jQuery) {
				value = jQuery('<div>').append(value);
			} else {
				throw "INVALID_VALUE_ERR";
			}
			
			// get contents of container div
			domNodes = value.contents();
			
			// check if range starts an ends in same editable host
//			if (!(dom.inSameEditingHost(range.startContainer, range.endContainer))) {
//				throw "INVALID_RANGE_ERR";
//			}
			
			// delete currently selected contents
			dom.removeRange(range);
			
			for (i = domNodes.length - 1; i >= 0; --i) {
				// insert the elements
				pasteElement(domNodes[i]);
			}

			// Call collapse() on the context object's Selection,
			// with last child's parent as the first argument and one plus its index as the second.
			if (domNodes.length > 0) {
				range = dom.setCursorAfter(domNodes.get(domNodes.length - 1));
			} else {
				// if nothing was pasted, just reselect the old range
				range.select();
			}

			dom.doCleanup({merge: true, removeempty: true}, range, cac);
			//In some cases selecting the range does not work properly 
			//e.g. when pasting from word in an h2 after the first character in IE
			//in these cases we should fail gracefully.
			//TODO check why the selection is failing
			try {
				range.select();
			} catch (e) {
				console.warn('Error:', e);
			}

		}
	});

});

/* commands-plugin.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define(
'commands/commands-plugin',['aloha/command', './inserthtml'],
function (command, commands) {
	"use strict";
});

define('block/block-utils',[
	'jquery',
	'util/dom',
	'util/dom2',
	'util/html',
	'aloha/ephemera'
], function (
	$,
	DomLegacy,
	Dom,
	Html,
	Ephemera
) {
	'use strict';

	/**
	 * Class name for landing element.
	 */
	var LANDING_ELEMENT_CLASS = 'aloha-caret-landing';

	/**
	 * Check if a white space span should be removed
	 *
	 * @param {DOMElement} node where the white space span has been inserted
	 * @returns {Boolean}
	 */
	function isObsoleteLandingNode(node) {
		return 'SPAN' === node.nodeName &&
			(node.childNodes.length === 0 || node.innerHTML === '&nbsp;');
	}

	/**
	 * Creates unique class name for `$blockELement`.
	 */
	function createLandingClassName ($blockElement) {
		return LANDING_ELEMENT_CLASS + '_' + $blockElement.attr('id');
	}

	/**
	 * Creates landing element.
	 * @return {HTMLElement}
	 */
	function createLandingElement($blockElement) {
		var node;

		// This is a bit of an ugly hack, but since we allow tags
		// consisting of inline-block DIVs we have to wrap those
		// with other DIVs to ensure valid HTML markup and not
		// disturb for example the autoparagraph plugin.
		if ($blockElement.is('div')) {
			node = document.createElement('div');
			node.style.display = 'inline-block';
		} else {
			node = document.createElement('span');
		}

		node.className = createLandingClassName($blockElement);
		node.appendChild(document.createTextNode('\u00A0'));

		Ephemera.markWhiteSpaceWrapper(node);

		return node;
	}

	/**
	 * Check if a node is an Aloha-Block
	 * @param  {HTMLElement}  node the HTML-node to check
	 * @return {boolean}      true if the node is a block
	 */
	function isAlohaBlock(node) {
		return $(node).data('aloha-block-type') || false;
	}

	function isVisibleNode(node) {
		return (Html.isBlock(node) || Dom.isTextNode(node)) &&
			!Html.isUnrenderedNode(node);
	}

	/**
	 * Go forward in the dom while ignoring the starting node completely
	 *
	 * @param  {HTMLElement} node the element to start from
	 * @return {HTMLElement}      the next element
	 */
	function skipNodeForward(node) {
		if (node.lastChild) {
			return skipNodeForward(node.lastChild);
		} else {
			return Dom.forward(node);
		}
	}

	/**
	 * When creating the padding for inline blocks this function is used to determine how far to go
	 * forward or backward in the dom structure.
	 *
	 * @param  {HTMLElement} node the HTML-node to check
	 * @return {boolean}      true if the node is line-break ('br'), a block element or the editing host itself
	 */
	function untilNode(node) {
		return /^(br|td|th)$/.test(node.nodeName.toLowerCase()) || Html.isBlock(node) || DomLegacy.isEditingHost(node);
	}

	/**
	 * When creating the padding for inline blocks this function is used to determine how far to go
	 * forward in the dom structure. This function calls untilNode() internally.
	 *
	 * @param  {HTMLElement} node the HTML-node to check
	 * @return {boolean}      true if untilNode() returns true or the node is an Aloha-Block
	 */
	function untilNodeForward(node) {
		return untilNode(node) || node.nodeName.toLowerCase() === 'li' || (node.previousSibling && DomLegacy.isEditingHost(node.previousSibling)) || isAlohaBlock(node);
	}

	/**
	 * Pads the given block element with landing areas at the beginning and end
	 * of the block. This allows the editor to place the caret next to an inline
	 * block elements.
	 *
	 * @param {jQuery<DOMElement>} $block
	 */
	function pad($block) {
		if (DomLegacy.isBlockNode($block[0])) {
			return;
		}

		// first check, whether the padding already exists (previous or next sibling with
		// the a class named landingClassName)
		var landingClassName = createLandingClassName($block), previous, next;

		if ($block.prev('.' + landingClassName).length === 0) {
			previous = Dom.findBackward(
					Dom.backward($block[0]),
					isVisibleNode,
					untilNode
			);
			if (!previous) {
				$block.before(createLandingElement($block));
			}
		}
		if ($block.next('.' + landingClassName).length === 0) {
			next = Dom.findForward(
					skipNodeForward($block[0]),
					isVisibleNode,
					untilNodeForward
			);
			if (!next) {
				$block.after(createLandingElement($block));
			}
		}
	}

	/**
	 * Removes the landing nodes inserted by the pad() function.
	 *
	 * @param {jQuery<DOMElement>} $block
	 */
	function unpad($block) {
		var className = createLandingClassName($block);
		$('.' + className).each(function (index, elem) {
			if (Html.hasOnlyWhiteSpaceChildren(elem)) {
				elem.parentNode.removeChild(elem);
			} else {
				$(elem.childNodes).unwrap();
			}
		});
	}

	/**
	 * Tests whether the given element is contained in an editable for
	 * which the block dragdrop feature is enabled.
	 *
	 * @param {!jQuery} $element
	 *        The element that may or may not be contained in an editable.
	 * @return {Boolean}
	 *        True, unless the given $element is contained in an
	 *        editable for which the dragdrop feature has been disabled.
	 */
	function isDragdropEnabledForElement($element) {
		var $editable = $element.closest('.aloha-editable');
		if ($editable.length) {
			return !!$editable.data('block-dragdrop');
		}
		// no editable specified, let's make drag & drop enabled by default.
		return true;
	}

    /**
     * Get the parent editable of the block $block
     *
     * @param {jQuery Element} $block
     * @returns {jQuery Element}
     */
    function getEditableByBlock($block) {
        return $block.parents('.aloha-editable').filter(':first');
    }

	/**
	 * Get table inside the block or null if this block is not for a table
	 *
	 * @param $block
	 * @returns {jQuery Element} jQuery table or null if this block
	 * is not for a Table
	 */
	function getTableByBlock($block) {
		return isTable($block) ? $block.find('table').filter(':first') : null;
	}

	/**
	 * Check if a block element is a table.
	 *
	 * @param {jQuery Element} $blockElement
	 * @returns {Boolean} true if it is a table, false otherwise
	 */
	function isTable($blockElement) {
		return $blockElement.hasClass('aloha-table-wrapper');
	}

	return {
		pad: pad,
		unpad: unpad,
		isDragdropEnabledForElement: isDragdropEnabledForElement,
        isTable: isTable,
        getEditableByBlock: getEditableByBlock,
        getTableByBlock: getTableByBlock
	};
});

/*global window:true, define:true, document:true */
/* blockmanager.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('block/blockmanager',[
	'aloha',
	'jquery',
	'ui/scopes',
	'aloha/observable',
	'aloha/registry',
	'util/class',
	'util/strings',
	'util/maps',
	'block/block-utils'
], function (
	Aloha,
	$,
	Scopes,
	Observable,
	Registry,
	Class,
	Strings,
	Maps,
    BlockUtils
) {
	'use strict';

	var jQuery = $;

	var GENTICS = window.GENTICS;

	/**
	 * Selects the entire `block` for cut/copy.
	 * @param {Block} block
	 */
	function selectWholeBlockForCopy(block) {
		block.$element.attr('data-aloha-block-copy-only-block', 'true');
		GENTICS.Utils.Dom.selectDomNode(block.$element[0]);
	}

	/**
	 * Checks if actual range is collapsed.
	 * @return {boolean}
	 */
	function isRangeExpanded() {
		if (!Aloha.getSelection().getRangeCount()) {
			return false;
		}
		return !Aloha.getSelection().getRangeAt(0).collapsed;
	}

	/**
	 * This is the block manager, which is the central entity for maintaining the lifecycle of blocks.
	 *
	 * @name block.blockmanager
	 * @class Block manager singleton
	 */
	var BlockManager = new (Class.extend(Observable,
	/** @lends block.blockmanager */
	{

		/**
		 * @name block.blockmanager#block-selection-change
		 * @event
		 * @param {Array} selectedBlocks Array of AbstractBlock objects, containing selected blocks. The first element in the array is the innermost block, and the other elements are the parent blocks.
		 */

		/**
		 * @name block.blockmanager#block-delete
		 * @event fired directly before a block is deleted
		 * @param {AbstractBlock} the block to be deleted
		 */

		/**
		 * Default settings for blocks
		 */
		defaults: {
			'aloha-block-type': 'DefaultBlock'
		},

		/**
		 * Registry of block types
		 * @type Registry
		 */
		blockTypes: null,

		/**
		 * Registry of blocks
		 * @type Registry
		 */
		blocks: null,

		/**
		 * Array of currently highlighted blocks
		 * @type Array
		 */
		_highlightedBlocks: null,

		/**
		 * Reference to the currently active block, if any
		 * @type AbstractBlock
		 */
		_activeBlock: null,

		/**
		 * Flag that stores the drag & drop state
		 * @type boolean 
		 */
		_dragdropEnabled: true,

		/**************************
		 * SECTION: Initialization
		 **************************/
		/**
		 * Constructor. called immediately.
		 *
		 * @constructor
		 */
		_constructor: function () {
			Scopes.registerScope('Aloha.Block', [Scopes.SCOPE_GLOBAL]);
			this.blockTypes = new Registry();
			this.blocks = new Registry();
			this._highlightedBlocks = {};
		},

		/**
		 * Register initial event handlers. Called from block-plugin when plugin
		 * is loaded.
		 *
		 * @private
		 */
		registerEventHandlers: function () {
			var that = this;
			this._registerEventHandlersForDeactivatingAlohaBlock();
			this._registerEventHandlersForDeterminingCurrentlyActiveBlock();
			this._registerEventHandlersForBlockDeletion();
			this._registerEventHandlersForCutCopyPaste();
			this._registerEventHandlersForEditableActivated();

			// TODO: not sure if we still need the code below. it is somehow related to caret handling
			Aloha.bind('aloha-selection-changed', function (evt, selection, originalEvent) {
				// the following line is needed to de-select blocks when navigating over them using the mouse cursors.
				// We only want to execute it though, if we are not inside a block, as it would otherwise
				// directly deselect the block we just selected. This is just a hotfix and not the final solution yet.
				if (selection && jQuery(selection.getCommonAncestorContainer()).parents('.aloha-block').length > 0) {
					return;
				}
				that._deactivateHighlightedBlocks();
			});
		},

		/**
		 * Register the event handlers which deactivate Aloha blocks when the
		 * user clicks outside a block.
		 */
		_registerEventHandlersForDeactivatingAlohaBlock: function () {
			var that = this;
			jQuery(document).on('click', function (event) {
				if (Maps.isEmpty(that._highlightedBlocks)) {
					return;
				}
				if (jQuery(event.target)
				        .closest('.aloha-ui,.aloha-block-do-not-deactivate,.aloha-block')
				        .length > 0) {
					// A ui element has been clicked; ignore this event.
					return;
				}
				that._deactivateHighlightedBlocks();
			});
		},

		/**
		 * Register the event handler which listens to block-selection-change, and
		 * sets _activeBlock accordingly.
		 */
		_registerEventHandlersForDeterminingCurrentlyActiveBlock: function () {
			var that = this;
			this.bind('block-selection-change', function (highlightedBlocks) {
				if (highlightedBlocks.length > 0) {
					that._activeBlock = highlightedBlocks[0];
				} else {
					that._activeBlock = null;
				}
			});
		},

		/**
		 * Implementation of block deletions, both when the block is the only selected element,
		 * and when the block is part of a bigger selection which should be deleted.
		 */
		_registerEventHandlersForBlockDeletion: function () {
			var that = this;

			/**
			 * A block selection is a 'virtual selection' (ie: not a real
			 * browser selection on the document). We can be certain that we
			 * have the entire block selected when there is an activeBlock but
			 * no document selection.
			 *
			 * However, IE tends to set the selection to the document body when
			 * we programmatically deselect everything. We need to detect this
			 * situation and treat it as though there is no browser selection.
			 * This check is designed to double check against this false
			 * positive.
			 *
			 * @private
			 * @param  {!Selection} selection
			 * @return {boolean}
			 */
			function checkIsOnlyBlockSelected(selection) {
				if (selection.getRangeCount() === 0) {
					return true;
				}
				if (!$.browser.msie) {
					return false;
				}
				var range = selection.getRangeAt(0);
				var sc = range.startContainer;
				var ec = range.endContainer;
				if (sc !== ec) {
					return false;
				}
				// IE has placed the selection on the body element
				if ($('body').is(sc)) {
					return true;
				}
				// IE has placed the selection around the selected block?
				if (range.startOffset + 1 === range.endOffset && 1 === node.nodeType) {
					var node = node.childNodes[range.startOffset];
					return $(node).is('.aloha-block');
				}
				return false;
			}

			// This case executes in:
			// - Chrome
			// - Firefox
			// - IE9
			// - IE7+8 for inline blocks and for block-level blocks which are part of a bigger selection
			// it does NOT execute in the following cases:
			// - IE7+8 for block-level blocks which are NOT part of a bigger selection. This case is handled separately below.
			Aloha.bind('aloha-command-will-execute', function (e, data) {
				// workaround for selection problem in tables: we never delete table blocks this way
				if (that._activeBlock && that._activeBlock.$element.hasClass('aloha-table-wrapper')) {
					return true;
				}

				var cmd = data.commandId;
				var selection = Aloha.getSelection();
				var isOnlyBlockSelected = checkIsOnlyBlockSelected(selection);
				var isDeleteOperation = 'delete' === cmd || 'forwarddelete' === cmd;

				if (that._activeBlock && isDeleteOperation && isOnlyBlockSelected) {
					// only ask whether the block shall be destroyed, if it actually can be destroyed
					if (that._activeBlock.shouldDestroy()) {
						that._activeBlock.confirmedDestroy( function () {
							// In this case, the default command shall not be executed.
							data.preventDefault = true;
							that._activeBlock.destroy();
						});
					}
				} else if (
					!that._activeBlock &&
					isDeleteOperation &&
					selection.getRangeCount() === 1 &&
					selection.getRangeAt(0).collapsed === false
				) {
					// Deletion when a block is inside a bigger selection
					// currently In this case, we check if we find an
					// aloha-block. If yes, we delete it right away as the
					// browser does not delete it correctly by default
					(function traverseSelectionTree(selectionTree) {
						var el;
						for (var i = 0, l = selectionTree.length; i < l; i++) {
							el = selectionTree[i];
							if (el.domobj && el.domobj.nodeType === 1) { // DOM node
								var $el = jQuery(el.domobj);
								if (el.selection === 'full' && $el.is('.aloha-block')) {
									$el.remove();
								} else {
									traverseSelectionTree(el.children);
								}
							}
						}
					}(Aloha.Selection.getSelectionTree()));
				}
			});

			// - IE7/8 Workaround
			// - deletion of blocks inside block collection
			jQuery(window.document).keydown(function (e) {
				// Ignore events originating from the UI
				if ($(e.target).closest('.aloha-ui').length > 0) {
					return true;
				}

				// If a block is active AND DEL or BACKSPACE key pressed, AND we are not inside a nested editable (FIX for IE7/8)
				if (that._activeBlock && (e.which === 46 || e.which === 8) && that._activeBlock._isInsideNestedEditable === false) {
					// ...and active block is INSIDE editable

					// BROWSER QUIRK WORKAROUND
					// - IE7+IE8 for block-level blocks which are NOT part of a bigger selection.
					if (jQuery.browser.msie && parseInt(jQuery.browser.version, 10) <= 8 && that._activeBlock.$element.parents('.aloha-editable,.aloha-block').first().hasClass('aloha-editable')) {
						that._activeBlock.destroy();
						e.preventDefault();
						return false;
					} else if (that._activeBlock.shouldDestroy()) {
						// .. in this case, the block should be destroyed because it
						// is part of a block collection.

						that._activeBlock.destroy();
						e.preventDefault();
						return false;
					}
				}
			});
		},

		/**
		 * Implementation of cut/copy; selecting the currently active block.
		 *
		 * When pasting, the blockcontenthandler is triggered. This takes care of the pasting process.
		 */
		_registerEventHandlersForCutCopyPaste: function () {
			var that = this,
				currentlyCopying = false,
				currentlyCutting = false,
				selectionBeforeCopying = null;

			jQuery(window.document).keydown(function (e) {
				if (Aloha.activeEditable && that._activeBlock) {
					// when both an editable and a block are active, they must
					// be nested into each other.
					// if the editable is nested inside the block, we will not expand the
					// selection onto the whole block, because the user wants to copy/cut content
					// in the editable
					if (jQuery.contains(that._activeBlock.$element.get(0), Aloha.activeEditable.obj.get(0))) {
						return;
					}
				}

				// If the block is a table do not select whole table,
				// table has its own selection methods.
				if (that._activeBlock
					&& (e.ctrlKey || e.metaKey)
					&& !isRangeExpanded()
					&& !BlockUtils.isTable(that._activeBlock.$element)) {

					// IF: Ctrl/Command C pressed -- COPY
					if (e.which === 67) {
						currentlyCopying = true;
						selectWholeBlockForCopy(that._activeBlock);
					}
					// IF: Ctrl/Command X pressed -- CUT
					else if (e.which === 88) {
						currentlyCutting = true;
						selectWholeBlockForCopy(that._activeBlock);
					}
				}
			});

			jQuery(window.document).keyup(function (e) {
				// IF: Release of ctrl / command C
				if (!currentlyCutting && currentlyCopying && (e.which === 67 || e.which === 18 || e.which === 91)) {
					currentlyCopying = false;
					that._activeBlock.$element.removeAttr('data-aloha-block-copy-only-block');
					if (selectionBeforeCopying) {
						//selectionBeforeCopying.select();
						selectionBeforeCopying = null;
					}
				}
				// IF: Release of ctrl / command X
				if (currentlyCutting  && (e.which === 67 || e.which === 18 || e.which === 88)) {
					currentlyCutting = false;
				}
			});
		},

		/**
		 * When editables are activated (e.g. by moving the focus with Tab or Shift-Tab or programmatically),
		 * we need to activate the enclosing blocks. 
		 */
		_registerEventHandlersForEditableActivated: function () {
			var that = this;
			Aloha.bind('aloha-editable-activated', function (event, arg) {
				if (arg.editable) {
					var block = that.getBlock(arg.editable.obj.closest('.aloha-block'));
					if (block) {
						block.activate();
					}
				}
			});
		},

		/**
		 * Initialize Block Level Drag/Drop for all editables. We need to do this
		 * inside the Block Manager, as we want all editables to become possible
		 * drop targets for block-level aloha blocks.
		 */
		initializeBlockLevelDragDrop: function () {
			var blockmanager = this;
			jQuery.each(Aloha.editables, function (i, editable) {
				editable.obj.data('block-dragdrop', blockmanager._dragdropEnabled);
			});

			Aloha.bind('aloha-editable-created', function (e, editable) {
				

		
				editable.obj.data('block-dragdrop', blockmanager._dragdropEnabled);

			});
		},

		/**
		 * Turn the dragdrop feature globally on or off.
		 *
		 * Will only affect editables created after this call is made.
		 *
		 * @param {boolean} state
		 */
		setDragDropState: function (state) {
			this._dragdropEnabled = state;
		},

		/**
		 * Test whether the dragdrop feature is globally enabled.
		 *
		 * @return {boolean}
		 */
		getDragDropState: function () {
			return this._dragdropEnabled;
		},

		/**************************
		 * SECTION: Blockify / Block Access
		 **************************/

		/**
		 * Register the given block type
		 *
		 * @param {String} Identifier
		 * @param {Class} A class that extends block.block.AbstractBlock
		 * @api
		 */
		registerBlockType: function (identifier, blockType) {
			Scopes.registerScope('Aloha.Block.' + identifier, ['Aloha.Block']);
			this.blockTypes.register(identifier, blockType);
		},

		/**
		 * Blockify a given element with the instance defaults
		 * Directly called when one does jQuery.alohaBlock(instanceDefaults)
		 *
		 * @private
		 */
		_blockify: function (element, instanceDefaults) {
			var that = this,
				$element = jQuery(element),
				BlockPlugin = Aloha.require('block/block-plugin'),
				tagName = $element[0].tagName.toLowerCase(),
				attributes,
				block;

			if (jQuery.inArray(tagName, BlockPlugin.settings.rootTags) === -1) {
				Aloha.Log.error('block/blockmanager', 'Blocks can only be created from [' +
					BlockPlugin.settings.rootTags.join(', ') +
					'] element. You passed ' + tagName + '.');
				return;
			}

			// TODO: check if object is already Block-ified

			attributes = this.getConfig($element, instanceDefaults);

			if (!this.blockTypes.has(attributes['aloha-block-type'])) {
				Aloha.Log.error('block/blockmanager', 'Block Type ' + attributes['aloha-block-type'] + ' not found!');
				return;
			}

			block = new (this.blockTypes.get(attributes['aloha-block-type']))($element, attributes);
			block.$element.addClass('aloha-block-' + attributes['aloha-block-type']);
//			jQuery.each(attributes, function (k, v) {
//				// We use the private API here, as we need to be able to set internal properties as well, and we do not want to trigger renering.
//				block._setAttribute(k, v);
//			});

			// Register block
			this.blocks.register(block.getId(), block);
		},

		/**
		 * Unblockify the given element
		 * 
		 * @private
		 */
		_unblockify: function (element) {
			var block = this.getBlock(element);
			if (block) {
				block.unblock();
			}
		},

		/**
		 * Merges the config from different places, and return the merged config.
		 *
		 * @param {Object} jQuery Object
		 * @param {Object} default configuration
		 *
		 * @private
		 */
		getConfig: function (blockElement, instanceDefaults) {
			var
				data          = {},
				dataCamelCase = null,
				$clone        = null;

			if (blockElement.length > 0) {
				// Clone the element before getting the data to fix an IE7 crash.
				// We use the native cloneNode function, because jQuerys clone()
				// executes scripts also, what we don't want.
				// But since that one doesn't copy the the abritary jQuery data, we
				// manually merge both datas together into a new object.
				$clone = $(blockElement[0].cloneNode(false));
				// Merge the "data-" attributes from the clone and take the
				// arbitrary data from the original jQuery object
				dataCamelCase = $.extend({}, $.data(blockElement[0]), $clone.data());
				$clone.removeData();

				// jQuery.data() returns data attributes with names like
				// data-some-attr as dataSomeAttr which has to be reversed
				// so that they can be merged with this.defaults and
				// instanceDefaults which are expected to be in
				// data-some-attr form.
				for (var key in dataCamelCase) {
					if (dataCamelCase.hasOwnProperty(key)) {
						data[Strings.camelCaseToDashes(key)] = dataCamelCase[key];
					}
				}
			}

			return jQuery.extend(
				{},
				this.defaults,
				instanceDefaults,
				data
			);
		},

		/**
		 * Get a Block instance by id or DOM node. The DOM node can be either
		 * the DOM node of the wrapping element ($_element), the jQuery object of it,
		 * or the ID string.
		 *
		 * @param {String|DOMNode} idOrDomNode
		 * @return {block.block.AbstractBlock} Block instance
		 * @api
		 */
		getBlock: function (idOrDomNode) {
			var id, domNode;
			if (typeof idOrDomNode === 'object') {
				domNode = jQuery(idOrDomNode);
				if (domNode.hasClass('aloha-block-inner')) {
					// We are at the inner block wrapper, so we have to go up one level,
					// to find the block itself
					domNode = domNode.parent();
				}
				id = domNode.attr('id');
			} else {
				id = idOrDomNode;
			}

			return this.blocks.get(id);
		},

		/**
		 * Unregister (e.g. remove) the given block. Do not call directly,
		 * instead use .destroy() on the block.
		 *
		 * @param {Object|String} blockOrBlockId Block or block id
		 */
		_unregisterBlock: function (blockOrBlockId) {
			var id;
			if (typeof blockOrBlockId === 'object') {
				id = blockOrBlockId.getId();
			} else {
				id = blockOrBlockId;
			}
			this.blocks.unregister(id);
		},


		/**************************
		 * Internal helpers
		 **************************/

		/**
		 * Deactivate all highlighted blocks
		 *
		 * @private
		 */
		_deactivateHighlightedBlocks: function () {
			jQuery.each(jQuery.extend({}, this._highlightedBlocks), function (id) {
				var block = BlockManager.getBlock(id);
				if (block) {
					block.deactivate();
				}
			});
		},

		/**
		 * Get all highlighted blocks indexed by block id
		 *
		 * @return {Object}
		 */
		_getHighlightedBlocks: function () {
			var _highlightedBlocks = {};
			jQuery.each(this.blocks.getEntries(), function (blockId, block) {
				if (block.isActive()) {
					_highlightedBlocks[blockId] = block;
				}
			});
			return _highlightedBlocks;
		},

		_setHighlighted: function (block) {
			this._highlightedBlocks[block.id] = true;
		},

		_setUnhighlighted: function (block) {
			delete this._highlightedBlocks[block.id];
		}
	}))();

	Aloha.Block = Aloha.Block || {};
	Aloha.Block.BlockManager = BlockManager;

	return BlockManager;
});

/* editormanager.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define(
'block/editormanager',['aloha/registry'], function (Registry) {
	"use strict";

	/**
	 * The Editor Manager maps data types to editor classes.
	 *
	 * @name block.editormanager
	 * @class Editor manager singleton
	 */
	return new (Registry.extend(
	/** @lends block.editormanager */
	{
		/**
		 * Create an editor from the given definition. Acts as a factory method
		 * for editors.
		 *
		 * @param {Object} definition
		 */
		createEditor: function (definition) {
			if (!this.has(definition.type)) {
				throw 'Editor for type "' + definition.type + '" not found.';
			}
			var Editor = this.get(definition.type);
			return new Editor(definition);
		}
	}))();
});
/* sidebarattributeeditor.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('block/sidebarattributeeditor',[ 'jquery', 'block/blockmanager', 'aloha/sidebar', 'block/editormanager', 'util/class'],
	function (jQuery, BlockManager, Sidebar, EditorManager, Class) {
	"use strict";

	/**
	 * The Sidebar Attribute Editor is the connector which listens on Aloha Blocks and
	 * updates the sidebar accordingly. It builds the editors for the sidebar, initializes
	 * them with initial values and updates the block attributes as soon as a value changes.
	 *
	 * @name block.sidebarattributeeditor
	 * @class Sidebar attribute editor singleton
	 */
		return new (Class.extend(
		/** @lends block.sidebarattributeeditor */
		{

			_sidebar: null,

		/**
		 * Panels, which were added to the sidebar for blocks
		 */
		_blockPanels: [],

		/**
		 * Initialize the sidebar attribute editor and bind events
		 */
		init: function() {
			if (Sidebar != null && !Sidebar.disabled) {
				this._sidebar = Sidebar.right.show();
	
				BlockManager.bind('block-selection-change', this._onBlockSelectionChange, this);
			}
		},

		/**
		 * @param {Array} selectedBlocks
		 */
		_onBlockSelectionChange: function(selectedBlocks) {
			var that = this, panel;
			if (!this._sidebar) {
				return;
			}

			// remove all panels from the sidebar, which were added for blocks
			for (panel in that._blockPanels) {
				if (that._blockPanels.hasOwnProperty(panel)) {
					panel = that._blockPanels[panel];
					jQuery(panel.element).remove();
					delete this._sidebar.panels[panel.id];
				}
			}
			this._blockPanels = [];

			jQuery.each(selectedBlocks, function() {
				var schema = this.getSchema(),
					block = this,
					editors = [];

				if (!schema) {
					// If no schema returned, we do not want to add panels.
					return;
				}

				that._blockPanels.push(that._sidebar.addPanel({
					title: block.getTitle(),
					expanded: true,
					onInit: function() {
						var $form = jQuery('<form />');
						$form.submit(function() {
							// Disable form submission
							return false;
						});
						jQuery.each(schema, function(attributeName, definition) {
							var editor = EditorManager.createEditor(definition);

							// Editor -> Block binding
							editor.bind('change', function(value) {
								block.attr(attributeName, value);
								});

								// Block -> Editor binding
								block.bind('change', function () {
									editor.setValue(block.attr(attributeName));
							});

								$form.append(editor.render());

								// Set initial value Block -> Editor
								editor.setValue(block.attr(attributeName));

								editors.push(editor);
							});
							this.setContent($form);
						},

						deactivate: function () {
							// On deactivating the panel, we need to tell each editor to deactivate itself,
							// so it can throw another change event if the value has been modified.
							jQuery.each(editors, function (index, editor) {
								editor._deactivate();
							});

						// This code is from the superclass
						this.isActive = false;
						// TODO check if this is needed in current block implementation
						// this.content.parent('li').hide();
						this.effectiveElement = null;
					}
				}));
			});
		}
	}))();
});

/* block.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/**
 * Module which contains the base class for Blocks, and a Default/Debug block.
 *
 * @name block.block
 * @namespace block/block
 */
define('block/block',[
	'aloha',
	'jquery',
	'block/blockmanager',
	'aloha/observable',
	'ui/scopes',
	'util/class',
	'util/misc',
	'PubSub',
	'block/block-utils',
	'util/dom',
	'util/functions',
	'aloha/engine'
], function (
	Aloha,
	jQuery,
	BlockManager,
	Observable,
	Scopes,
	Class,
	Misc,
	PubSub,
	BlockUtils,
	Dom,
	Fn,
	Engine
) {
	'use strict';

	var GENTICS = window.GENTICS;

	/**
	 * An aloha block has the following special properties, being readable through the
	 * "attr" function:
	 * - aloha-block-type -- TYPE of the AlohaBlock as registered by the BlockManager
	 *
	 * @name block.block.AbstractBlock
	 * @class An abstract block that must be used as a base class for custom blocks
	 */
	var AbstractBlock = Class.extend(Observable,
	/** @lends block.block.AbstractBlock */
	{

		/**
		 * Event which is triggered if the block attributes change.
		 *
		 * @name block.block.AbstractBlock#change
		 * @event
		 */

		/**
		 * Title of the block, used to display the name in the sidebar editor.
		 *
		 * @type String
		 * @api
		 */
		title: null,

		/**
		 * Id of the underlying $element, used to identify the block.
		 * @type String
		 */
		id: null,

		/**
		 * The wrapping element of the block.
		 * @type jQuery
		 * @api
		 */
		$element: null,

		/**
		 * if TRUE, the rendering is currently taking place. Used to prevent recursion
		 * errors.
		 * @type Boolean
		 */
		_currentlyRendering: false,

		/**
		 * set to TRUE once the block is fully initialized.
		 *
		 * @type Boolean
		 */
		_initialized: false,

		/**
		 * Set to TRUE if the last click activated a *nested editable*.
		 * If FALSE; the block itself is selected.
		 * This is needed when a block is deleted in IE7/8.
		 */
		_isInsideNestedEditable: false,

		/**************************
		 * SECTION: Initialization and Lifecycle
		 **************************/

		/**
		 * Initialize the basic block. Do not call directly; instead use jQuery(...).alohaBlock() to
		 * create new blocks.
		 *
		 * This function shall only be called through the BlockManager. See BlockManager::_blockify().
		 *
		 * When a block is fully initialized, an "aloha.block.initialized"
		 * message is published.
		 *
		 * @param {jQuery} $element Element that declares the block
		 * @param {Object} attributes that shall be set to the block
		 * @constructor
		 */
		_constructor: function ($element, attributes) {
			var that = this;

			this.$element = $element;

			if ($element.attr('id')) {
				this.id = $element.attr('id');
			} else {
				this.id = GENTICS.Utils.guid();
				$element.attr('id', this.id);
			}

			$element.contentEditable(false);

			$element.addClass('aloha-block');

			if (this.isDraggable()) {
				// Remove default drag/drop behavior of the browser
				$element.find('img').attr('draggable', 'false');

				try {
					$element.find('a').filter(function () {
						return !jQuery(this).contentEditable();
					}).attr('draggable', 'false');
				} catch (e) {
					// If we get in here, it is most likely an issue with IE 10 in documentmode 7
					// and IE10 compatibility mode. It maybe happens in older versions too.
					// Error: Member not found
					// https://connect.microsoft.com/IE/feedback/details/774078
					// http://bugs.jquery.com/ticket/12577
					// Our fallback solution:
					$element.find('a').filter(function () {
						return !jQuery(this).contentEditable();
					}).each(function () {
						this.setAttribute('draggable', 'false');
					});
				}
			}

			// set the attributes
			jQuery.each(attributes, function (k, v) {
				that._setAttribute(k, v);
			});

			// While the event handler is defined here, it is connected to the DOM element inside "_connectThisBlockToDomElement"
			this._onElementClickHandler = function (event) {
				// We only activate ourselves if we are the innermost aloha-block.
				// If we are not the innermost aloha-block, we get highlighted (but not activated) automatically
				// by the innermost block.
				if (jQuery(event.target).closest('.aloha-block').get(0) === that.$element.get(0)) {
					that._fixScrollPositionBugsInIE();
					that.activate(event.target, event);
					// remove the selection, if the clicked element itself is not editable, but don't do this, if the clicked
					// element is the active table cell, because in that case, the selection is in the editable wrapper of the
					// cell (which is ok). We also leave the selection alone if the target was a text input element.
					var $target = jQuery(event.target);

					if (!$target.is('textarea, input') && !$target.contentEditable() && !$target.hasClass("aloha-table-cell_active")) {
						Aloha.getSelection().removeAllRanges();
					}
				}
			};

			// Register event handlers on the block
			this._connectThisBlockToDomElement($element, function () {
				PubSub.pub('aloha.block.initialized', {block: that});
			});

			// This is executed when a block is selected through caret handling
			// TODO!
			//Aloha.bind('aloha-block-selected', function(event,obj) {
			//	if (that.$element.get(0) === obj) {
			//		that.activate();
			//	}
			//});

			// Only for inline element.
			// It is not possible to insert text after or before a Block span
			// when there are not elements after or before the Block.
			if (!Dom.isBlockNode($element[0])) {
				if ($element.closest('.aloha-editable-active').length > 0) {
					BlockUtils.pad(that.$element);
				}

				Aloha.bind('aloha-smart-content-changed', function (event, data) {
					if (data.editable.isActive) {
						var $block = data.editable.obj.find('#' + that.id);

						if ($block.length > 0) {
							BlockUtils.pad(that.$element);
						}
					}
				});

				Aloha.bind('aloha-editable-activated', function ($event, data) {
					if (data.editable) {
						var $block = data.editable.obj.find('#' + that.id);
						if ($block.length !== 0) {
							BlockUtils.pad(that.$element);
						}
					}
				});

				Aloha.bind('aloha-editable-deactivated', function ($event, data) {
					if (data.editable) {
						var $block = data.editable.obj.find('#' + that.id);
						if ($block.length !== 0) {
							BlockUtils.unpad(that.$element);
						}
					}
				});
			}

			this._initialized = true;
		},

		/**
		 * Is set inside the constructor to the event handler function
		 * which should be executed when the element is clicked.
		 *
		 * NOTE: Purely internal, "this" is not available inside this method!
		 */
		_onElementClickHandler: null,

		/**
		 * We need to tell Aloha that we handle the event already;
		 * else a selection of a nested editable will *not* select
		 * the block.
		 *
		 * This callback is bound to the mousedown, focus and dblclick events.
		 *
		 * NOTE: Purely internal, "this" is not available inside this method!
		 */
		_preventSelectionChangedEventHandler: function ($event) {
			var $editable = jQuery($event.target).closest('.aloha-editable');

			if ('dblclick' !== $event.type && !this.contains($editable[0])) {
				Aloha.Selection.preventSelectionChanged();
			}
		},

		/**
		 * This method connects this block object to the passed DOM element.
		 * In detail, this method does the following:
		 *
		 * - if this.$element is already set, remove all block event handlers
		 * - sets this.$element = jQuery(newElement)
		 * - initialize event listeners on this.$element
		 * - call init()
		 *
		 * The method is called in two contexts: First, when a block is constructed
		 * to initialize the event listeners etc. Second, it is ALSO called when
		 * a block inside a nested block with editable in between is detected
		 * as inconsistent.
		 */
		_connectThisBlockToDomElement: function (newElement, callback) {
			var that = this;
			var $newElement = jQuery(newElement);
			this._disconnectFromDomElement();
			this.$element = $newElement;

			this.$element.on('click', this._onElementClickHandler);
			this.$element.on('mousedown', this._preventSelectionChangedEventHandler);
			this.$element.on('focus', this._preventSelectionChangedEventHandler);
			this.$element.on('dblclick', this._preventSelectionChangedEventHandler);

			this.init(this.$element, function () {
				// WORKAROUND against loading order dependencies. If we have
				// nested Blocks inside each other (with no editables in between)
				// it could be that the *inner* block is initialized *before* the outer one.
				//
				// However, the inner block needs to know whether it shall render drag handles or not,
				// and this depends on whether it is inside an editable or a block.
				//
				// In order to fix this case, we delay the the drag-handle-rendering (and all the other
				// post-processing) to the next JavaScript Run Loop using a small timeout.
				window.setTimeout(function () {
					that._postProcessElementIfNeeded();
					if (callback) {
						callback();
					}
				}, 5);
			});
		},

		/**
		 * Disconnect the block from the DOM element
		 */
		_disconnectFromDomElement: function () {
			if (this.$element) {
				this.$element.unbind('click', this._onElementClickHandler);
				this.$element.unbind('mousedown', this._preventSelectionChangedEventHandler);
				this.$element.unbind('focus', this._preventSelectionChangedEventHandler);
				this.$element.unbind('dblclick', this._preventSelectionChangedEventHandler);
			}
		},

		/**
		 * IE HACK: Our beloved Internet Explorer sometimes scrolls to the top
		 * of the page when activating an aloha block, and on numerous other occasions
		 * like when an <span> block is moved via drag/drop.
		 *
		 * We can detect this and scroll right back; although this will flicker
		 * a little (but still a lot better than before)
		 */
		_fixScrollPositionBugsInIE: function () {
			var scrollPositionBefore = jQuery(window).scrollTop();
			window.setTimeout(function () {
				if (jQuery(window).scrollTop() !== scrollPositionBefore) {
					jQuery(window).scrollTop(scrollPositionBefore);
				}
			}, 10);
		},
		/**
		 * Template method to initialize the block. Can be used to set attributes
		 * on the block, depending on the block contents. You will most probably
		 * use $element and this.attr() inside this function.
		 *
		 * !!! This method can be called *multiple times*, as it is called each time
		 * when $element has been disconnected from the DOM (which can happen because of various reasons)
		 * and the block needs to re-initialize. So make sure this method can be called *MULTIPLE TIMES*
		 * and always returns predictable results. This method must be idempotent, same as update().
		 *
		 * Furthermore, always when this method is finished, you need to call postProcessFn() afterwards.
		 * This function adds drag handles and other controls if necessary.
		 *
		 * @param {jQuery} $element a shortcut to the block's DOM element (this.$element) for easy processing
		 * @param {Function} postProcessFn this function MUST be called at all times the $element has been updated; as it adds drag/drop/delete/... handles if necessary
		 * @api
		 */
		init: function ($element, postProcessFn) {
			postProcessFn();
		},

		/**
		 * Callback which is executed when somebody triggers destroy().
		 *
		 * This only allows destruction if the block is *inside* an aloha-editable and *not* inside an aloha-block.
		 *
		 * @return {Boolean} true of destruction should happen, false otherwise
		 */
		shouldDestroy: function () {
			var $closest = this.$element.parent().closest('.aloha-block,.aloha-editable,.aloha-table-cell-editable,.aloha-block-collection');
			if ($closest.hasClass('aloha-block-collection') && this.$element[0].tagName.toLowerCase() === 'div') {
				return true;
			} else {
				return $closest.hasClass('aloha-editable') || $closest.hasClass('aloha-table-cell-editable');
			}
		},

		/**
		 * Function which is executed when a user tries to delete a block with the keyboard.
		 * Implementations may let the user confirm, whether the block shall really be destroyed
		 *
		 * @param {Function} destroyFn function, that is executed, if the block shall be destroyed
		 */
		confirmedDestroy: function (destroyFn) {
			destroyFn();
		},

		/**
		 * Destroy this block instance completely. Removes the element from the DOM,
		 * unregisters it, and triggers a block-delete event on the BlockManager.
		 *
		 * @param {Boolean} force TRUE if you want to force deletion, despite shouldDestroy() returning false.
		 * @api
		 */
		destroy: function (force) {
			if (!this.shouldDestroy() && force !== true) {
				return;
			}

			var that = this;
			var newRange = new GENTICS.Utils.RangeObject();

			newRange.startContainer = newRange.endContainer = this.$element.parent()[0];
			newRange.startOffset = newRange.endOffset = GENTICS.Utils.Dom.getIndexInParent(this.$element[0]);

			BlockUtils.unpad(this.$element);

			BlockManager.trigger('block-delete', this);
			this.free();

			var isInlineElement = this.$element[0].tagName.toLowerCase() === 'span';

			this.$element.fadeOut('fast', function () {
				that.$element.remove();
				BlockManager.trigger('block-selection-change', []);
				window.setTimeout(function () {
					if (isInlineElement) {
						newRange.select();
					}
				}, 5);
			});
		},

		/**
		 * Remove this block, but leave the original DOM element
		 */
		unblock: function () {
			// TODO set old value of contentEditable
			// TODO set old values for draggable attributes

			BlockUtils.unpad(this.$element);
			// deactivate
			this.deactivate();
			// remove handlers
			this._disconnectFromDomElement();
			// remove block class
			this.$element.removeClass('aloha-block');
			// remove block handles
			this.$element.children('.aloha-block-handle').remove();
			// unregister the block
			this.free();
		},

		/**
		 * Free internal state associated with this block.
		 *
		 * Should be called when a block is not used any more to prevent
		 * memory leaks.
		 *
		 * Any invokations of instance methods after this method has
		 * been called will result in undefined behaviour.
		 *
		 * @api
		 */
		free: function () {
			BlockManager._unregisterBlock(this);
			this.unbindAll();
		},

		/**************************
		 * SECTION: Getters and Helpers
		 **************************/

		/**
		 * Get the id of the block
		 * @returns {String}
		 */
		getId: function () {
			return this.id;
		},

		/**
		 * Get a schema of attributes which shall be rendered / edited
		 * in the sidebar.
		 *
		 * @api
		 * @returns {Object}
		 */
		getSchema: function () {
			return null;
		},

		/**
		 * Template Method which should return the block title. Needed for editing sidebar.
		 * By default, the block title is returned.
		 *
		 * @api
		 */
		getTitle: function () {
			return this.title;
		},

		/**
		 * Returns true if the block is draggable because it is inside an aloha-editable, false otherwise.
		 *
		 * You cannot depend on this method's result during the *init* phase of the Aloha Block, as the
		 * outer block might not be initialized at that point yet. Thus, do not call this method inside init().
		 *
		 * @return Boolean
		 */
		isDraggable: function () {
			if (this.$element[0].nodeName === 'DIV' &&
				this.$element.parents('.aloha-editable,.aloha-block:not(.aloha-table-wrapper),.aloha-block-collection').first().hasClass('aloha-block-collection')) {
				// Here, we are inside an aloha-block-collection, and thus also need to be draggable.
				return true;
			}
			return this.$element.parents('.aloha-block:not(.aloha-table-wrapper),.aloha-editable').first().hasClass('aloha-editable');
		},

		/**************************
		 * SECTION: Activation / Deactivation
		 **************************/

		/**
		 * activates the block
		 * will select the block's contents, highlight it, update the floating menu and update the sidebar (if needed).
		 *
		 * When calling programmatically, do not set eventTarget or event arguments.
		 * @api
		 */
		activate: function (eventTarget, event) {
			if (this.isActive()) {
				return;
			}
			var highlightedBlocks = [];

			// Deactivate currently highlighted blocks
			jQuery.each(BlockManager._getHighlightedBlocks(), function () {
				this.deactivate();
			});

			// Activate current block
			if (this.$element.attr('data-block-skip-scope') !== 'true') {
				Scopes.enterScope('Aloha.Block.' + this.attr('aloha-block-type'));
			}
			this.$element.addClass('aloha-block-active');
			this._highlight();
			highlightedBlocks.push(this);

			// Highlight parent blocks
			this.$element.parents('.aloha-block').each(function () {
				var block = BlockManager.getBlock(this);
				if (block) {
					block._highlight();
					highlightedBlocks.push(block);
				}
			});

			// Browsers do not remove the cursor, so we enforce it when an editable is clicked.
			// However, when the user clicked inside a nested editable, we will not remove the cursor (as the user wants to start typing then)
			// small HACK: we also do not deactivate if we are inside an aloha-table-cell-editable.
			if (jQuery(eventTarget).closest('.aloha-editable,.aloha-block,.aloha-table-cell-editable,.aloha-table-cell_active').first().hasClass('aloha-block')) {
				var range = new Aloha.Selection.SelectionRange(true);
				// we check whether the start of the selection was inside an editable
				// this handles situations, where the user started selecting inside an editable (in a block)
				// and stopped selecting outside the editable but still inside the block
				if (jQuery(range.startContainer).closest('.aloha-editable,.aloha-block,.aloha-table-cell-editable,.aloha-table-cell_active').first().hasClass('aloha-editable') && event) {
					this._isInsideNestedEditable = true;
					Aloha.Selection.updateSelection(event);
				} else {
					this._isInsideNestedEditable = false;
				}
			} else {
				this._isInsideNestedEditable = true;
				if (event) {
					// We now update the selection, as you clicked *inside* an editable inside the block
					Aloha.Selection.updateSelection(event);
				}
			}

			// activate the editable host of the block
			if (!this._isInsideNestedEditable) {
				var editable = Aloha.getEditableHost(this.$element);
				if (editable) {
					editable.activate();
				}
			}

			// Trigger block activate & selection change events.
			BlockManager.trigger('block-activate', highlightedBlocks);
			BlockManager.trigger('block-selection-change', highlightedBlocks);
		},

		/**
		 * Deactive the block
		 */
		deactivate: function () {
			var that = this;
			var deactivatedBlocks = [this];
			this._unhighlight();
			this.$element.parents('.aloha-block').each(function () {
				deactivatedBlocks.push(this);
				that._unhighlight();
			});

			if (this.$element.attr('data-block-skip-scope') !== 'true') {
				Scopes.leaveScope('Aloha.Block.' + this.attr('aloha-block-type'));
			}

			this.$element.removeClass('aloha-block-active');

			// Trigger block deactivate & selection change events.
			BlockManager.trigger('block-deactivate', deactivatedBlocks);
			BlockManager.trigger('block-selection-change', []);
		},

		/**
		 * @returns {Boolean} True if this block is active
		 */
		isActive: function () {
			return this.$element.hasClass('aloha-block-active');
		},

		/**
		 * Internal helper which sets a block as highlighted, because the block itself
		 * or a child block has been activated.
		 */
		_highlight: function () {
			this.$element.addClass('aloha-block-highlighted');
			BlockManager._setHighlighted(this);
		},

		/**
		 * Internal helper which sets a block as un-highlighted.
		 */
		_unhighlight: function () {
			this.$element.removeClass('aloha-block-highlighted');
			BlockManager._setUnhighlighted(this);
		},

		/**************************
		 * SECTION: Block Rendering
		 **************************/

		/**
		 * Internal _update method, which needs to be called internally if a property
		 * changed. This is just a wrapper around update().
		 */
		_update: function () {
			var that = this;
			if (this._currentlyRendering) {
				return;
			}

			if (!this._initialized) {
				return;
			}

			this._currentlyRendering = true;

			this.update(this.$element, function () {
				that._postProcessElementIfNeeded();
			});

			this._currentlyRendering = false;
		},

		/**
		 * Template method to render contents of the block, must be implemented by specific block type.
		 * $element can be augumented by additional DOM elements like drag/drop handles. If you do
		 * any jQuery selection, you need to ignore all results which have a "aloha-block-handle" class
		 * set.
		 *
		 * Furthermore, always when you update $element, you need to call postProcessFn() afterwards.
		 * This function adds drag handles and other controls if necessary.
		 *
		 * This method should *only* be called from the internal _update method.
		 *
		 * @param {jQuery} $element a shortcut to the block's DOM element (this.$element) for easy processing
		 * @param {Function} postProcessFn this function MUST be called at all times the $element has been updated; as it adds drag/drop/delete/... handles if necessary
		 *
		 * @api
		 */
		update: function ($element, postProcessFn) {
			postProcessFn();
		},


		/**
		 * Post processor, being called to augument the Block Element's DOM by drag handles etc.
		 *
		 * This method must be idempotent. I.e. it must produce the same results
		 * when called once or twice.
		 */
		_postProcessElementIfNeeded: function () {
			this.createEditablesIfNeeded();
			this._checkThatNestedBlocksAreStillConsistent();

			this.renderBlockHandlesIfNeeded();
			if (this.isDraggable()) {
				var nodeName = this.$element[0].nodeName;
				if (nodeName === 'SPAN' && !this.$element.data('dd-setup-done')) {
					// Unfortunately _setupDragDropForInlineElements() is not
					// idempotent because $.draggable() isn't.
					this._setupDragDropForInlineElements();
					this._disableUglyInternetExplorerDragHandles();
					this.$element.data('dd-setup-done', true);
				} else if (nodeName === 'DIV') {
					this._setupDragDropForBlockElements();
					this._disableUglyInternetExplorerDragHandles();
				}
			}
			this._hideDragHandlesIfDragDropDisabled();
			this._attachDropzoneHighlightEvents();
		},

		/**
		 * Due to indeterminate initialization order of nested blocks,
		 * it can happen that blockifying a parent block deconnects $element inside
		 * child blocks.
		 *
		 * This is the case we detect here; and if it happens, we reconnect the
		 * block to its currently visible DOM element.
		 */
		_checkThatNestedBlocksAreStillConsistent: function () {
			this.$element.find('.aloha-block').each(function () {
				var block = BlockManager.getBlock(this);
				if (block && block.$element[0] !== this) {
					block._connectThisBlockToDomElement(this);
				}
			});
		},

		/**
		 * Helper which disables the ugly IE drag handles. They are still shown, but at
		 * least they do not work anymore
		 */
		_disableUglyInternetExplorerDragHandles: function () {
			if (Aloha.browser.msie) {
				var $elem = this.$element.get(0);
				$elem.onresizestart = Fn.returnFalse;
				$elem.oncontrolselect = Fn.returnFalse;
				// We do NOT abort the "ondragstart" event as it is required for drag/drop.
				$elem.onmovestart = Fn.returnFalse;
				// We do NOT abort the "onselectstart" event because this would disable selection in nested editables
			}
		},

        /**
         * Removes the draghandle class from block handle,
         * if drag & drop is disabled for the editable
         */
        _hideDragHandlesIfDragDropDisabled: function () {
			if (!this._dd_isDragdropEnabled()) {
				this.$element.find('.aloha-block-draghandle').each(function () {
					var $draghandle = jQuery(this);
					if (!BlockUtils.isDragdropEnabledForElement($draghandle)) {
						$draghandle.removeClass('aloha-block-draghandle');
					}
				});
			}
        },

        /**
         * Attach mousedown/up events to block's draghandle
         * to toggle dropzones when dragging starts and ends.
         */
        _attachDropzoneHighlightEvents: function () {
            var that = this;


            this.$element.on( "mousedown", ".aloha-block-draghandle",function () {

                var dropzones = that.$element.parents(".aloha-editable").first().data("block-dropzones") || [];

                jQuery.each(dropzones, function (i, editable_selector) {
                    var editables = jQuery(editable_selector);
                    jQuery(editables).each(function () {
                        if (jQuery(this).data("block-dragdrop")) {
                            jQuery(this).addClass("aloha-block-dropzone");
                        }
                    });
                });

                // Remove the dropzones as soon as the mouse is released,
                // irrespective of where the drop took place.
                jQuery(document).one("mouseup.aloha-block-dropzone", function () {
                    var dropzones = that.$element.parents(".aloha-editable").first().data("block-dropzones") || [];
                    jQuery.each(dropzones, function (i, editable_selector) {
                        jQuery(editable_selector).removeClass("aloha-block-dropzone");
                    });
                });
            });
        },

		/**************************
		 * SECTION: Drag&Drop for INLINE elements
		 **************************/
		_setupDragDropForInlineElements: function () {
			var that = this;

			// Here, we store the character DOM element which has been hovered upon recently.
			// This is needed as somehow, the "drop" event on the character is not fired.
			// Furthermore, we use it to know whether we need to "revert" the draggable to the original state or not.
			var lastHoveredCharacter = null;

            // Unless this flag is set to true, drag operation should be reverted.
            // Firing of "drop" event will set this to true.
            var blockDroppedProperly = false;

			// HACK for IE7: Internet Explorer 7 has a very weird behavior in
			// not always firing the "drop" callback of the inner droppable... However,
			// the "over" and "out" callbacks are fired correctly.
			// Because of this, we handle the "drop" inside the "stop" callback in IE7
			// instead of the "drop" callback (where it is handled in all other browsers)

			// This $currentDraggable is also needed as part of the IE 7 hack.
			// $currentDraggable contains a reference to the current draggable, but
			// only makes sense to read when lastHoveredCharacter !== NULL.
			var $currentDraggable = null;

            // We need to store the droppables created at the start of the drag,
            // they should be destroyed when the drag stops.
            var $createdDroppables = null;

			// This dropFn is the callback which handles the actual moving of
			// nodes. We created a separate function for it, as it is called inside the "stop" callback
			// in IE7 and inside the "drop" callback in all other browsers.
			var dropFn = function () {
				if (lastHoveredCharacter) {
					// the user recently hovered over a character
					var $dropReferenceNode = jQuery(lastHoveredCharacter), oldParent = $currentDraggable[0].parentNode;

					if ($dropReferenceNode.is('.aloha-block-dropInlineElementIntoEmptyBlock')) {
						// the user wanted to drop INTO an empty block!
						$dropReferenceNode.prepend($currentDraggable);
					} else if ($dropReferenceNode.is('.aloha-block-droppable-right')) {
						$dropReferenceNode.html($dropReferenceNode.html() + ' ');

						// Move draggable after drop reference node
						$dropReferenceNode.after($currentDraggable);
					} else {
						// Insert space in the beginning of the drop reference node
						if ($dropReferenceNode.prev('[data-i]').length > 0) {
							// If not the last element, insert space in front of next element (i.e. after the moved block)
							$dropReferenceNode.prev('[data-i]').html($dropReferenceNode.prev('[data-i]').html() + ' ');
						}
						$dropReferenceNode.html(' ' + $dropReferenceNode.html());

						// Move draggable before drop reference node
						$dropReferenceNode.before($currentDraggable);
					}

					Engine.ensureContainerEditable(oldParent);

					$currentDraggable.removeClass('ui-draggable').css({'left': 0, 'top': 0}); // Remove "draggable" options... somehow "Destroy" does not work
					that._fixScrollPositionBugsInIE();
				}
				jQuery('.aloha-block-dropInlineElementIntoEmptyBlock').removeClass('aloha-block-dropInlineElementIntoEmptyBlock');

				// clear the created droppables
				if ($createdDroppables) {
					$createdDroppables.filter(":data(droppable)").droppable("destroy");
					$createdDroppables = null;
				}

				blockDroppedProperly = true;
			};
			var editablesWhichNeedToBeCleaned = [];

			// Prevent the prevention of drag inside a cell
			var element = this.$element.get(0);
			element.ondragstart = Misc.eventStopPropagation;

			this.$element.draggable({
				handle: '.aloha-block-draghandle',
				scope: 'aloha-block-inlinedragdrop',
				disabled: !this._dd_isDragdropEnabled(),
				revert: function () {
					return (lastHoveredCharacter === null || !blockDroppedProperly);
				},
				revertDuration: 250,
				stop: function () {
					if (jQuery.browser.msie && 7 === parseInt(jQuery.browser.version, 10)) {
						dropFn();
					}
					jQuery.each(editablesWhichNeedToBeCleaned, function () {
						that._dd_traverseDomTreeAndRemoveSpans(this);
					});

					var editable = Aloha.getEditableHost(that.$element);
					if ($currentDraggable) {
						BlockUtils.unpad($currentDraggable);
						PubSub.pub('aloha.drop.block.in.editable', {element: $currentDraggable, editable: editable });
					}

					$currentDraggable = null;

					editablesWhichNeedToBeCleaned = [];

					// deactivate the current editable and activate the editable,
					// the block has been dropped into. This will do necessary initializations that
					// happen on activation of the editable
					Aloha.deactivateEditable();
					if (editable) {
						editable.activate();
					}
				},
				start: function () {
					lastHoveredCharacter = null;
					blockDroppedProperly = false;
					editablesWhichNeedToBeCleaned = [];

					// In order to make Inline Blocks droppable into empty paragraphs, we insert a &nbsp; manually before the placeholder-br.
					// -> for IE
					jQuery('.aloha-editable').children('p:empty').html('&nbsp;');


					// Make **ALL** editables on the page droppable, such that it is possible
					// to drag/drop *across* editable boundaries
					var droppableCfg = {
						// make block elements droppable
						tolerance: 'pointer',
						addClasses: false, // performance optimization
						scope: 'aloha-block-inlinedragdrop',

						/**
						 * When hovering over a paragraph, we make convert its contents into spans, to make
						 * them droppable.
						 */
						over: function (event, ui) {
							if (jQuery.inArray(this, editablesWhichNeedToBeCleaned) === -1) {
								editablesWhichNeedToBeCleaned.push(this);
							}

							var hasOnlyProppingBr = (
								1 === jQuery(this).contents().length &&
								1 === jQuery(this).children('br').length
							);
							$currentDraggable = ui.draggable;

							if (jQuery(this).is(':empty') ||
								hasOnlyProppingBr ||
								jQuery.trim(jQuery(this).text()) === '') {
								// The user is hovering over an empty
								// container; simply highlight the container.
								jQuery(this).addClass(
									'aloha-block-dropInlineElementIntoEmptyBlock');
								lastHoveredCharacter = this;
								return;
							}

							that._dd_traverseDomTreeAndWrapCharactersWithSpans(this);
							jQuery('span[data-i]', this).droppable({
								tolerance: 'pointer',
								addClasses: false,
								scope: 'aloha-block-inlinedragdrop',
								over: function () {
									if (lastHoveredCharacter) {
										// Just to be sure, we remove the css class of the last hovered character.
										// This is needed such that spans are deselected which contain multiple
										// lines.
										jQuery(lastHoveredCharacter).removeClass('aloha-block-droppable');
									}
									lastHoveredCharacter = this;
									jQuery(this).addClass('aloha-block-droppable');
								},
								out: function () {
									jQuery(this).removeClass('aloha-block-droppable');
									if (lastHoveredCharacter === this) {
										lastHoveredCharacter = null;
									}
								}
							});
							// Now that we updated the droppables in the system, we need to recalculate
							// the Drag Drop offsets.
							jQuery.ui.ddmanager.prepareOffsets(ui.draggable.data('draggable'), event);
						},
						out: function () {
							jQuery(this).removeClass('aloha-block-dropInlineElementIntoEmptyBlock');
						},

						/**
						 * When dropping over a paragraph, we use the "lastHoveredCharacter"
						 * as drop target.
						 */
						drop: function () {
							if (!(jQuery.browser.msie && 7 === parseInt(jQuery.browser.version, 10))) {
								dropFn();
							}
						}
					};

					$createdDroppables = jQuery(".aloha-editable.aloha-block-dropzone").children(":not(.aloha-block)");

					// add empty editables
					$createdDroppables = $createdDroppables.add(".aloha-editable:not(:has(*))");

					// Small HACK: Also make table cells droppable
					$createdDroppables = $createdDroppables.add('.aloha-table-cell-editable');
					$createdDroppables = $createdDroppables.add(jQuery('.aloha-editable.aloha-block-dropzone .aloha-table-cell-editable').children(":not(.aloha-block)"));

					$createdDroppables.droppable(droppableCfg);
				}
			});
		},

		/**
		 * Helper which traverses the DOM tree starting from el and wraps all non-empty texts with spans,
		 * such that they can act as drop target.
		 *
		 * @param {DomElement} el
		 */
		_dd_traverseDomTreeAndWrapCharactersWithSpans: function (el) {
			var child;
			for (var i = 0, l = el.childNodes.length; i < l; i++) {
				child = el.childNodes[i];
				if (child.nodeType === 1) { // DOM Nodes
					if (!~child.className.indexOf('aloha-block') && child.attributes['data-i'] === undefined) {
						// We only recurse if child does NOT have the class "aloha-block", and is NOT data-i
						this._dd_traverseDomTreeAndWrapCharactersWithSpans(child);
					} else if (child.attributes['data-i']) {
						// data-i set -> we have converted this hierarchy level already --> early return!
						return;
					}
				} else if (child.nodeType === 3) { // Text Nodes
					var numberOfSpansInserted = this._dd_insertSpans(child);
					i += numberOfSpansInserted;
					l += numberOfSpansInserted;
				}
			}
		},

		/**
		 * Helper which splits text on word boundaries, adding whitespaces to the following element.
		 * Examples:
		 * - "Hello world" -> ["Hello", " world"]
		 * - " Hello world" -> [" Hello", " world"]
		 * --> see the unit tests for the specification
		 */
		_dd_splitText: function (text) {
			var textParts = text.split(/(?=\b)/);
			var cleanedTextParts = [];

			var isWhitespace = false;
			for (var i = 0, l = textParts.length; i < l; i++) {
				if (!/[^\t\n\r ]/.test(textParts[i])) {
					// if the current text part is just whitespace, we add a flag...
					isWhitespace = true;
				} else {
					if (isWhitespace) {
						// we have a whitespace to add
						cleanedTextParts.push(' ' + textParts[i]);
						isWhitespace = false;
					} else {
						cleanedTextParts.push(textParts[i]);
					}
				}
			}
			if (isWhitespace) {
				cleanedTextParts[cleanedTextParts.length - 1] += ' ';
			}
			return cleanedTextParts;
		},

		/**
		 * This is a helper for _dd_traverseDomTreeAndWrapCharactersWithSpans,
		 * performing the actual conversion.
		 *
		 * This function returns the number of additional DOM elements inserted.
		 * This is "numberOfSpansCreated - 1" (because one text node has been initially there)
		 */
		_dd_insertSpans: function (el) {
			var text = el.nodeValue;

			// If node just contains empty strings, we do not do anything.
			// Use ECMA-262 Edition 3 String and RegExp features
			if (!/[^\t\n\r ]/.test(text)) {
				return 0;
			}
			var newNodes = document.createDocumentFragment();

			var splitText = this._dd_splitText(text);

			var l = splitText.length;
			var x, word, leftWordPartLength, t;
			var numberOfSpansInserted = 0;

			for (var i = 0; i < l; i++) {
				// left half of word
				word = splitText[i];
				if (word.length === 0) {
					continue;
				}
				// We use "floor" here such that sentence delimiters like "!" can have a block placed afterwards
				leftWordPartLength = Math.floor(word.length / 2);

				// For Internet Explorer, we only make dropping AFTER words possible to improve performance
				var browserMajorVersion = parseInt(jQuery.browser.version, 10);
				if (jQuery.browser.msie && (7 === browserMajorVersion || 8 === browserMajorVersion)) {
					leftWordPartLength = 0;
				}

				if (leftWordPartLength > 0) {
					x = document.createElement('span');
					x.appendChild(document.createTextNode(word.substr(0, leftWordPartLength)));
					x.setAttribute('data-i', i);

					newNodes.appendChild(x);
					numberOfSpansInserted++;
				}

				// right half of word
				x = document.createElement('span');
				t = word.substr(leftWordPartLength);
				x.appendChild(document.createTextNode(t));
				x.setAttribute('data-i', i);
				x.setAttribute('class', 'aloha-block-droppable-right');

				newNodes.appendChild(x);
				numberOfSpansInserted++;
			}
			el.parentNode.replaceChild(newNodes, el);
			return numberOfSpansInserted - 1;
		},

		/**
		 * After the Drag/Drop operation, we need to remove the SPAN elements
		 * again.
		 */
		_dd_traverseDomTreeAndRemoveSpans: function (el) {
			var nodesToDelete = [], convertBack;
			convertBack = function (el) {
				var currentlyTraversingExpandedText = false, currentText, lastNode;
				var child;
				for (var i = 0, l = el.childNodes.length; i < l; i++) {
					child = el.childNodes[i];
					if (child.nodeType === 1) { // Node
						if (child.attributes['data-i'] !== undefined) {
							if (!currentlyTraversingExpandedText) {
								// We did not traverse expanded text before, and just entered an expanded text section
								// thus, we reset all variables to their initial state
								currentlyTraversingExpandedText = true;
								currentText = '';
								lastNode = undefined;
							}
							if (currentlyTraversingExpandedText) {
								// We are currently traversing the expanded text nodes, so we collect their data
								// together in the currentText variable. We know that they only
								// have one TextNode child, as this is the way we constructed them.
								//
								// Note: we do NOT use child.innerHTML here, as this returns HTML entities;
								// but we need the HTML entities already processed:
								// - child.innerHTML returns "Hello&nbsp;World"
								// - child.firstChild.nodeValue returns "Hello World"
								currentText += child.firstChild.nodeValue;

								if (lastNode) {
									nodesToDelete.push(lastNode);
								}
								lastNode = child;
							}
						} else {
							if (currentlyTraversingExpandedText) {
								currentlyTraversingExpandedText = false;
								// We just left a region with data-i elements set.
								// so, we need to store the currentText back to the region.
								// We do this by using the last visited node as anchor.
								lastNode.parentNode.replaceChild(document.createTextNode(currentText), lastNode);
							}
							// Recursion
							if (!~child.className.indexOf('aloha-block')) {
								// If child does not have the class "aloha-block", we iterate into it
								convertBack(child);
							}
						}
					}
				}
				if (currentlyTraversingExpandedText) {
					// Special case: the last child node *is* a wrapped text node and we are at the end of the collection.
					// In this case, we convert the text as well.
					lastNode.parentNode.replaceChild(document.createTextNode(currentText), lastNode);
				}
			};

			convertBack(el);

			for (var i = 0, l = nodesToDelete.length; i < l; i++) {
				nodesToDelete[i].parentNode.removeChild(nodesToDelete[i]);
			}
		},

        /**
         * Helper method to check whether the drag & drop is enabled
         * for the editable, which this block belongs to.
         */
        _dd_isDragdropEnabled: function () {
			return BlockUtils.isDragdropEnabledForElement(this.$element.parent());
        },

		/**************************
		 * SECTION: Drag&Drop for Block elements
		 **************************/

		_setupDragDropForBlockElements: function () {
			// Mark the drag handle with an extra CSS class, such that it is picked up by BlockManager.initializeBlockLevelDragDrop()
			this.$element.find('.aloha-block-draghandle').addClass('aloha-block-draghandle-blocklevel');
		},


		/**************************
		 * SECTION: Other Rendering Helpers
		 **************************/

		/**
		 * Create editables from the inner content that was
		 * rendered for this block.
		 *
		 * This method must be idempotent. I.e. it must produce the same results
		 * when called once or twice.
		 *
		 * Override to use a custom implementation and to pass
		 * special configuration to .aloha()
		 */
		createEditablesIfNeeded: function () {
			// TODO: only create them if they are no aloha element yet...
			// TODO: should only happen inside Aloha
			this.$element.find('.aloha-editable').aloha();
		},

		/**
		 * Render block toolbar elements
		 *
		 * This method must be idempotent. I.e. it must produce the same results
		 * when called once or twice.
		 *
		 * Template method to render custom block UI.
		 * @api
		 */
		renderBlockHandlesIfNeeded: function () {
			if (this.isDraggable()) {
				if (this.$element.children('.aloha-block-draghandle').length === 0) {
					this.$element.prepend(
						$('<span>', {
							class: 'aloha-block-handle aloha-block-draghandle aloha-cleanme'
						}).append(
							$('<i>', {
								class: 'material-symbols-outlined aloha-block-button-icon',
								text: 'drag_pan',
							})
						)
					);
				}
			}
		},

		/**************************
		 * SECTION: Attribute Handling
		 **************************/

		/**
		 * Get or set one or many attribute, similar to the jQuery attr() function.
		 *
		 * The attribute keys are converted internally to lowercase,
		 * so attr('foo', 'bar') and attr('FoO', 'bar') are the same internally.
		 * The same applies to reading.
		 *
		 * It is not allowed to set internal attributes (starting with aloha-block-) through this API.
		 *
		 * @api
		 * @param {String|Object} attributeNameOrObject
		 * @param {String} attributeValue
		 * @param {Boolean} Optional. If true, we do not fire change events.
		 */
		attr: function (attributeNameOrObject, attributeValue, suppressEvents) {
			var that = this, attributeChanged = false;

			if (arguments.length >= 2) {
				if (attributeNameOrObject.substr(0, 12) === 'aloha-block-') {
					Aloha.Log.error('block/block', 'It is not allowed to set internal block attributes (starting with aloha-block-) through Block.attr() (You tried to set ' + attributeNameOrObject + ')');
					return;
				}
				if (this._getAttribute(attributeNameOrObject) !== attributeValue) {
					attributeChanged = true;
				}
				this._setAttribute(attributeNameOrObject, attributeValue);
			} else if (typeof attributeNameOrObject === 'object') {
				jQuery.each(attributeNameOrObject, function (key, value) {
					if (key.substr(0, 12) === 'aloha-block-') {
						Aloha.Log.error('block/block', 'It is not allowed to set internal block attributes (starting with aloha-block-) through Block.attr() (You tried to set ' + key + ')');
						return;
					}
					if (that._getAttribute(key) !== value) {
						attributeChanged = true;
					}
					that._setAttribute(key, value);
				});
			} else if (typeof attributeNameOrObject === 'string') {
				return this._getAttribute(attributeNameOrObject);
			} else {
				return this._getAttributes();
			}
			if (attributeChanged && !suppressEvents) {
				this._update();
				this.trigger('change');
				if (Aloha.activeEditable) {
					Aloha.activeEditable.smartContentChange({type: 'block-change'});
				}
			}
			return null;
		},

		/**
		 * Internal helper for setting  a single attribute.
		 */
		_setAttribute: function (name, value) {
			this.$element.attr('data-' + name.toLowerCase(), value);
		},

		/**
		 * Internal helper for getting an attribute
		 */
		_getAttribute: function (name) {
			var attrName = name.toLowerCase();
			var value = this.$element.attr('data-' + attrName);

			if (value) {
				return value;
			}

			return this.$element.attr(attrName);
		},

		/**
		 * Internal helper for getting all attributes
		 */
		_getAttributes: function () {
			var attributes = {};

			// element.data() not always up-to-date, that's why we iterate over the attributes directly.
			jQuery.each(this.$element[0].attributes, function (i, attribute) {
				if (attribute.name.substr(0, 5) === 'data-') {
					attributes[attribute.name.substr(5).toLowerCase()] = attribute.value;
				}
			});

			return attributes;
		}
	});

	/**
	 * @name block.block.DefaultBlock
	 * @class A default block that renders the initial content
	 * @extends block.block.AbstractBlock
	 */
	var DefaultBlock = AbstractBlock.extend(
	/** @lends block.block.DefaultBlock */
	{
		update: function ($element, postProcessFn) {
			postProcessFn();
		}
	});

	/**
	 * @name block.block.DebugBlock
	 * @class A debug block outputs its attributes in a table
	 * @extends block.block.AbstractBlock
	 */
	var DebugBlock = AbstractBlock.extend(
	/** @lends block.block.DebugBlock */
	{
		title: 'Debugging',
		init: function ($element, postProcessFn) {
			this.update($element, postProcessFn);
		},
		update: function ($element, postProcessFn) {
			$element.css({display: 'block'});
			var renderedAttributes = '<table class="debug-block">';
			jQuery.each(this.attr(), function (k, v) {
				renderedAttributes += '<tr><th>' + k + '</th><td>' + v + '</td></tr>';
			});

			renderedAttributes += '</table>';

			$element.html(renderedAttributes);
			postProcessFn();
		}
	});

	/**
	 * @name block.block.EmptyBlock
	 * @class An empty block doesn't render any tag fill icons or borders (no Aloha tags)
	 * @extends block.block.AbstractBlock
	 */
	var EmptyBlock = AbstractBlock.extend(
	/** @lends block.block.EmptyBlock */
	{
		title: 'EmptyBlock',
		init: function () {},
		activate: function () {},
		deactivate: function () {},
		renderBlockHandlesIfNeeded: function () {},
		_preventSelectionChangedEventHandler: function () {}
	});

	return {
		AbstractBlock: AbstractBlock,
		DefaultBlock: DefaultBlock,
		DebugBlock: DebugBlock,
		EmptyBlock: EmptyBlock
	};
});

/* blockcontenthandler.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define(
'block/blockcontenthandler',['jquery', 'aloha/contenthandlermanager', 'block/blockmanager'],
function (jQuery, ContentHandlerManager, BlockManager) {

	/**
	 * @name block.BlockContentHandler
	 * @class Special block content handler
	 *
	 * The blog content handler handles pasting of blocks in editables. Pasted
	 * block markup will be replaced by a newly created block instance.
	 */
	var BlockContentHandler = ContentHandlerManager.createHandler(
	/** @lends block.BlockContentHandler */
	{
		/**
		 * Handle the pasting. Remove all unwanted stuff.
		 *
		 * There are two main cases which we need to distinguish:
		 * 1) Aloha Blocks are selected, and crtl+c is pressed then. In this case, *only the block* is copied / pasted.
		 * 2) Text is selected, but the selection also spans an aloha block.
		 *
		 * Generally, case 2) seems to work without bigger problems in Webkit / Firefox, while
		 * case 1) results in very much undesired and inconsistent behavior. If 1) happens,
		 * the property "data-aloha-block-copy-only-block" is set to "true"; so we can kick in and
		 * do additional cleanups.
		 * @param {jQuery} content
		 */
		handleContent: function (content) {
			if (typeof content === 'string') {
				content = jQuery('<div>' + content + '</div>');
			} else if (content instanceof jQuery) {
				content = jQuery('<div>').append(content);
			}

			if (content.find('.aloha-block[data-aloha-block-copy-only-block="true"]').length > 0) {
				// We are in case 1; so some more cleanup is needed (at least in webkit and firefox).

				// Webkit seems to *duplicate* the block when copying. The duplicated
				// block has *no ID property* set, that's how we can find and discard it.
				// Very ugly!
				content.find('.aloha-block:not([id])').remove();
				// Further cleanup for Webkit, removing empty nodes. Quite hacky!
				content.find('.aloha-block + span:empty').remove();
				content.find('div:empty').remove();
				// (another) Hack for Webkit, removing superfluous BR
				content.find('br.Apple-interchange-newline').remove();

				// Firefox adds a <br> directly before the .aloha-block...
				content.find('.aloha-block').prev('br').remove();

				// Chrome (at least) sometimes adds an empty <br> inside an (otherwise empty) span
				content.find('div > br:only-child').parent().remove();

			}

			content.find('.aloha-block').each(function () {
				var oldBlock = jQuery(this);

				var elementAttributes = {}; // all attributes except data-*
				var blockAttributes = {}; // all data* attributes
				jQuery.each(oldBlock[0].attributes, function (k, v) {
					if (v.nodeName === 'id') {
						return;
					}

					if (v.nodeName.match(/^data-/)) {
						blockAttributes[v.nodeName.substr(5)] = v.nodeValue;
					} else {
						elementAttributes[v.nodeName] = v.nodeValue;
					}
				});

				var newBlockId = GENTICS.Utils.guid();

				var newBlock = jQuery('<' + this.tagName + '/>')
					.attr(elementAttributes)
					.attr('id', newBlockId)
					.removeClass('aloha-block-active')
					.removeClass('aloha-block')
					.html(oldBlock.html());

				oldBlock.replaceWith(newBlock);

				// We need to blockify the contents with a timeout, as we need the connected DOM node for it.
				window.setTimeout(function () {
					BlockManager._blockify(jQuery('#' + newBlockId), blockAttributes);
				}, 50);
			});

			return content.html();
		}
	});
	return BlockContentHandler;
});

/* editor.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/**
 * @name block.editor
 * @namespace Block attribute editors
 */
define('block/editor',['jquery', 'aloha/observable', 'util/class'],
function (jQuery, Observable, Class) {
	"use strict";

	/**
	 * This is the base class for all editors in the sidebar. You need to extend
	 * this class if you need to write your own editor. In most cases, however,
	 * it is sufficent to subclass the AbstractFormElementEditor.
	 *
	 * @name block.editor.AbstractEditor
	 * @class An abstract editor
	 */
	var AbstractEditor = Class.extend(Observable,
	/** @lends block.editor.AbstractEditor */
	{
		/**
		 * Schema of the current element
		 *
		 * @param {Object}
		 * @api
		 */
		schema: null,

		/**
		 * @constructor
		 */
		_constructor: function (schema) {
			this.schema = schema;
		},

		/**
		 * Template method to render the editor elements. Override it
		 * in your subclass! Needs to return the jQuery element which
		 * should be added to the DOM
		 *
		 * @return {jQuery}
		 * @api
		 */
		render: function () {
			// Implement in subclass!
		},

		/**
		 * Template method to get the current editor value
		 *
		 * Override it in your subclass!
		 *
		 * @return {String}
		 * @api
		 */
		getValue: function () {
			// Implement in subclass!
		},

		/**
		 * Method which is called at initialization time, to set the current value.
		 *
		 * Override it in your subclass!
		 *
		 * You should not throw any change event here, as we need to break the loop "Block" -> "Editor" -> "Block"
		 *
		 * @param {String} value
		 * @api
		 */
		setValue: function (value) {
			// Implement in subclass!
		},

		/**
		 * Destroy the editor elements and unbind events
		 * @api
		 */
		destroy: function () {
			// Implement in subclass!
		},

		/**
		 * On deactivating, we still need to trigger a change event if the value has been modified.
		 *
		 * @private
		 */
		_deactivate: function () {
			this.trigger('change', this.getValue());
			this.destroy();
		}
	});

	/**
	 * This is a more specialized FormElementEditor which should be used
	 * for form-based editors.
	 *
	 * @name block.editor.AbstractFormElementEditor
	 * @class An abstract form editor with label
	 * @extends block.editor.AbstractEditor
	 */
	var AbstractFormElementEditor = AbstractEditor.extend(
	/** @lends block.editor.AbstractFormElementEditor */
	{

		/**
		 * Input element HTML definition
		 *
		 * You need to override this in your subclass.
		 *
		 * @type String
		 *
		 * @api
		 */
		formInputElementDefinition: null,

		/**
		 * The jQuery element of the form input element.
		 *
		 * @type {jQuery}
		 */
		_$formInputElement: null,

		/**
		 * Render the label and form element
		 *
		 * @return {jQuery}
		 */
		render: function () {
			var $wrapper = jQuery('<div class="aloha-block-editor" />');
			var guid = GENTICS.Utils.guid();
			var $label = this.renderLabel().attr('id', guid);
			var $formElement = this.renderFormElement().attr('id', guid);

			if (this.schema.fieldsetLabel) {
				// When using a fieldset, the actual input element has to be
				// placed in that instead of the wrapper element.
				$label.append($formElement).appendTo($wrapper);
			} else {
				$wrapper.append($label).append($formElement);
			}

			return $wrapper;
		},

		/**
		 * Render the label for the editor, by using the "label" property
		 * from the schema.
		 *
		 * When <code>this.schema.fieldsetLabel</code> is true the
		 * label will be rendered as a <code>legend</code> tag inside
		 * a <code>fieldset</code>.
		 *
		 * @return {jQuery}
		 */
		renderLabel: function () {
			var element;

			if (this.schema.fieldsetLabel) {
				element = jQuery('<fieldset>').append(jQuery('<legend>', { text: this.schema.label }));
			} else {
				element = jQuery('<label>', { text: this.schema.label });
			}

			return element;
		},

		/**
		 * Render the form input element
		 * @return {jQuery}
		 */
		renderFormElement: function () {
			var that = this;
			this._$formInputElement = jQuery(this.formInputElementDefinition);

			this.afterRenderFormElement(this._$formInputElement);

			this._$formInputElement.change(function () {
				that.trigger('change', that.getValue());
			});

			return this._$formInputElement;
		},

		/**
		 * Callback which can be implemented by subclasses to adjust the rendered
		 * form input element
		 *
		 * @param {jQuery} $formElement the form element being rendered
		 * @api
		 */
		afterRenderFormElement: function ($formElement) {

		},

		/**
		 * @return {String}
		 */
		getValue: function () {
			return this._$formInputElement.val();
		},

		/**
		 * We do not throw any change event here, as we need to break the loop "Block" -> "Editor" -> "Block"
		 */
		setValue: function (value) {
			this._$formInputElement.val(value);
		},

		/**
		 * Cleanup and remove the input element
		 */
		destroy: function () {
			this._$formInputElement.remove();
		}

	});

	/**
	 * @name block.editor.StringEditor
	 * @class An editor for string input
	 * @extends block.editor.AbstractFormElementEditor
	 */
	var StringEditor = AbstractFormElementEditor.extend(
	/** @lends block.editor.StringEditor */
	{
		formInputElementDefinition: '<input type="text" />'
	});

	/**
	 * @name block.editor.NumberEditor
	 * @class An editor for numbers
	 * @extends block.editor.AbstractFormElementEditor
	 */
	var NumberEditor = AbstractFormElementEditor.extend(
	/** @lends block.editor.NumberEditor */
	{
		// TODO Range should be an option
		formInputElementDefinition: '<input type="range" />',

		afterRenderFormElement: function ($formElement) {
			if (!this.schema.range) {
				return;
			}

			if (this.schema.range.min) {
				$formElement.attr('min', this.schema.range.min);
			}

			if (this.schema.range.max) {
				$formElement.attr('max', this.schema.range.max);
			}

			if (this.schema.range.step) {
				$formElement.attr('step', this.schema.range.step);
			}
		}
	});

	/**
	 * @name block.editor.UrlEditor
	 * @class An editor for URLs
	 * @extends block.editor.AbstractFormElementEditor
	 */
	var UrlEditor = AbstractFormElementEditor.extend(
	/** @lends block.editor.UrlEditor */
	{
		formInputElementDefinition: '<input type="url" />'
	});

	/**
	 * @name block.editor.EmailEditor
	 * @class An editor for email addresses
	 * @extends block.editor.AbstractFormElementEditor
	 */
	var EmailEditor = AbstractFormElementEditor.extend(
	/** @lends block.editor.EmailEditor */
	{
		formInputElementDefinition: '<input type="email" />'
	});

	/**
	 * @name block.editor.SelectEditor
	 * @class An editor for select fields
	 * @extends block.editor.AbstractFormElementEditor
	 */
	var SelectEditor = AbstractFormElementEditor.extend(
	/** @lends block.editor.SelectEditor */
	{
		formInputElementDefinition: '<select />',

		afterRenderFormElement: function ($formElement) {
			jQuery.each(this.schema.values, function () {
				var el = this;
				$formElement.append(jQuery('<option />').attr('value', el.key).html(el.label));
			});
		}
	});

	/**
	 * @name block.editor.RadioButtonEditor
	 * @class An editor for a radio button group
	 * @extends block.editor.AbstractFormElementEditor
	 */
	var RadioButtonEditor = AbstractFormElementEditor.extend(
	/** @lends block.editor.RadioButtonEditor */
	{
			formInputElementDefinition: '<ul />',
			afterRenderFormElement: function ($formElement) {
				var $ = jQuery;
				var groupName = 'rb_' + GENTICS.Utils.guid();

				jQuery.each(this.schema.values, function (idx, el) {
					var inputId = groupName + '_' + el.key;
					var $input = $('<input>', {
						type: 'radio',
						value: el.key,
						name: groupName,
						id: inputId
					});
					var $label = $('<label>', {
						'for': inputId,
						'class': 'input-label',
						text: el.label
					});

					$('<li>').append($input).append($label).appendTo($formElement);
				})
			},
			getValue: function () {
				return this._$formInputElement.find(':checked').val();
			},
			setValue: function (value) {
				this._$formInputElement.find('[value=' + value + ']').prop('checked', true);
			}
	});
	/**
	 * @name block.editor.ButtonEditor
	 * @class An editor for buttons, executing a custom supplied callback "callback"
	 * @extends block.editor.AbstractFormElementEditor
	 */
	var ButtonEditor = AbstractFormElementEditor.extend(
	/** @lends block.editor.SelectEditor */
	{
		formInputElementDefinition: '<button />',

		afterRenderFormElement: function ($formElement) {
			var that = this;
			$formElement.html(this.schema.buttonLabel);
			$formElement.click(function () {
				that.schema.callback();
			})
		}
	});

	return {
		AbstractEditor: AbstractEditor,
		AbstractFormElementEditor: AbstractFormElementEditor,
		StringEditor: StringEditor,
		NumberEditor: NumberEditor,
		UrlEditor: UrlEditor,
		EmailEditor: EmailEditor,
		SelectEditor: SelectEditor,
		RadioButtonEditor: RadioButtonEditor,
		ButtonEditor: ButtonEditor
	}
});

/*global window:true, define:true, document:true */
/* dragbehavior.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('block/dragbehavior',[
	'aloha/jquery',
	'aloha',
	'PubSub',
	'aloha/copypaste',
	'block/block-utils',
	'aloha/console',
	'ui/scopes',
	'util/misc'
], function (
	$,
	Aloha,
	PubSub,
	CopyPaste,
	BlockUtils,
	Console,
	Scopes,
	Misc
) {
	'use strict';

	/**
	 * Tags that is not allowed to wrap BlockElements. For this elements the
	 * mouseover event is not listened
	 * @type {Array.<String>}
	 */
	var notAllowedOverTags = ['TABLE', 'TR',
		'HR', 'TBODY', 'UL', 'OL', 'DL', 'B', 'STRONG', 'A', 'EM', 'I', 'PRE',
		'CODE', 'SUP', 'SUB'],
	/**
	 * This element are suitable to listen the mouseover event, but can´t wrap
	 * a BlockElement
	 * @type {Array.<String>}
	 */
		notAllowedDropSelector = ['.aloha-block', '.aloha-block-handle',
			'.aloha-table-selectrow', 'p', 'span', 'h1', 'h2', 'h3', 'h4', 'h5',
			'h6', 'br'],
	/**
	 * Parents of element that can´t wrap BlockElements
	 * @type {Array.<String>}
	 */
		notAllowedDropParentsSelector = [
			'.aloha-table-selectcolumn',
			'.aloha-ui',
			'.ui-draggable-dragging'
		];


	/**
	 * Checks if the drag and drop is for a nested Table.
	 *
	 * @param  {jQuery<Element>} $hovering
	 * @param  {jQuery<Element>} $dragging
	 * @return {boolean}
	 */
	function isNestedTable ($hovering, $dragging) {
		return $hovering
			&& $dragging
			&& $hovering.parents('table').length !== 0
			&& BlockUtils.isTable($dragging);
	}

	/**
	 * Checks whether or not the element over which we are hovering should allow
	 * drop a region, in or around it?
	 *
	 * @param {jQuery.<HTMLElement> $hovering
	 * @param {jQuery.<HTMLElement> $dragging
	 * @return {boolean}
	 */
	function allowDropRegions($hovering, $dragging) {
		return !$hovering || !(
			$hovering.is('.ui-draggable-dragging') ||
			$hovering.closest($dragging).length > 0
		);
	}

	/**
	 * @private
	 * @class Aloha.plugins.extra.DragBehavior
	 * @param {block.block.AbstractBlock} blockObject An AbstractBlock child
	 *                                    instance
	 */
	function DragBehavior(blockObject) {
		this.blockObject = blockObject;
		this.$element = blockObject.$element;
		this.insertBeforeOrAfterMode = false;
		if (this.$element[0].nodeName === 'DIV') {
			// this drag/drop behaviour is only suitable for DIV-blocks
			// inline drag/drop is initialized somewhere else (block.js)
			this.setDraggable();
		}
	}

	PubSub.sub('aloha.block.initialized', function (data) {
		DragBehavior.follow(data.block);
	});

	/**
	 * Because the Dom.isEditable don't work well I need to rewrite it.
	 * checks if a HTMLElement is editable, if the element have inherited
	 * behavior check the parents behaivor until get a true or false behavior.
	 *
	 * @param {HTMLElement} domElm
	 * @return {Boolean}
	 */
	function isEditable(domElm) {
		if (domElm.nodeType === 1) {
			if (domElm.contentEditable === 'inherit') {
				while (domElm.contentEditable === 'inherit') {
					domElm = domElm.parentNode;
				}
			}

			return (domElm.contentEditable === 'true');
		}
		return false;
	}

	/**
	 * Creates an instance of DragBehavior following a BlockElement
	 * only if the BlockElement given is suitable to be draggable.
	 *
	 * @static
	 * @param {block.block.AbstractBlock} blockObject An AbstractBlock child
	 *                                    instance
	 */
	DragBehavior.follow = function (blockObject) {
		if ($('>.aloha-block-draghandle', blockObject.$element).length > 0) {
			var jsLintMustBeHappyNotMe = new DragBehavior(blockObject);
		}
	};

	/**
	 * Internet Explorer loses the selection and scroll position between
	 * dragging and dropping.
	 *
	 * So we need to save the selection and scroll position before, and restore
	 * it after each drag and drop cycle.
	 */
	var IESelectionState = (function () {
		var range = null;
		var x = 0;
		var y = 0;
		return $.browser.msie ? {

				/**
				 * Remember the selection state.
				 */
				save: function saveSelection() {
					x = window.scrollX || document.documentElement.scrollLeft;
					y = window.scrollY || document.documentElement.scrollTop;
					range = CopyPaste.getRange();
				},

				/**
				 * Set the selection to the given range and focus on the editable
				 * inwhich the selection is in (if any).
				 *
				 * This function is used to restore the selection to what it was
				 * before dragging is started.
				 */
				restore: function restoreSelection() {
					if (!range) {
						return;
					}
					var editable = CopyPaste.getEditableAt(range);
					if (editable) {
						editable.obj.focus();
					}
					try {
						CopyPaste.setSelectionAt(range);
					} catch (e) {
						Console.warn(e);
					}
					window.scrollTo(x, y);
				}
			}
			: {
				save: function () {},
				restore: function () {}
			};
	}());

	/**
	 * Setup the draggable behavior to the BlockElement
	 */
	DragBehavior.prototype.setDraggable = function () {
		var dragBehavior = this;
		var $handle = $('>.aloha-block-draghandle', this.$element);
		var element = this.$element.get(0);

		element.onselectstart = Misc.eventStopPropagation;

		// Prevent the prevention of drag inside a cell
		element.ondragstart = Misc.eventStopPropagation;

		$handle
			.on('mousedown', function () {
				IESelectionState.save();
			})
			.on('mouseup', function () {
				dragBehavior._getHiglightElement().appendTo('body').css({position: 'absolute'}).hide();
				dragBehavior.stopListenMouseOver();
			});

		var resetScopes;

		this.$element.draggable({
			handle: '>.aloha-block-draghandle',
			helper: 'clone',
			cursorAt: {
				left: -10,
				top: -10
			},
			start: function (event, ui) {
				// set the empty scope, so that the toolbar will be hidden while dragging'
				resetScopes = Scopes.getActiveScopes(false);
				Scopes.setScope(Scopes.SCOPE_EMPTY);
				ui.helper.css('zIndex', 100000);
				dragBehavior._fillEmptyEditables();
				dragBehavior.listenMouseOver();
				event.stopImmediatePropagation();
			},
			drag: function (event) {
				event.stopImmediatePropagation();
			},
			stop: function (event, ui) {
				dragBehavior._getHiglightElement().appendTo('body').css({position: 'absolute'}).hide();
				dragBehavior.stopListenMouseOver();
				dragBehavior.onDragStop();
				dragBehavior._removeFillers();
				ui.helper.remove();
				Scopes.setScope(resetScopes);
				IESelectionState.restore();
				return true;
			}
		});
	};

	/**
	 * Returns all the childs in all editables registered in Aloha
	 *
	 * @return jQuery.<HTMLElement>
	 */
	DragBehavior.prototype._getEditableChilds = function () {
		var i, editable, elms = [];
		for (i = 0; i < Aloha.editables.length; i++) {
			editable = Aloha.editables[i];
			elms = elms.concat(
				$('*:not(' + notAllowedOverTags.join(',') + ')', editable.obj).toArray()
			);
		}
		return $(elms);
	};

	/**
	 * Fill a "filler" element into every completely empty editable.
	 * This enables dropping blocks into empty editables (before or after the filler)
	 */
	DragBehavior.prototype._fillEmptyEditables = function () {
		var i, editable, filler;
		for (i = 0; i < Aloha.editables.length; i++) {
			editable = Aloha.editables[i];
			if (editable.obj.contents().length === 0) {
				filler = $("<div class='aloha-block aloha-dragdrop-filler' style='height:inherit; min-height:inherit'></div>");
				filler.contentEditable(false);
				editable.obj.append(filler);
			}
		}
	};

	/**
	 * Remove the "filler" elements
	 */
	DragBehavior.prototype._removeFillers = function () {
		var i, editable;
		for (i = 0; i < Aloha.editables.length; i++) {
			editable = Aloha.editables[i];
			editable.obj.children('.aloha-dragdrop-filler').remove();
		}
	};

	/**
	 * Listen the mouseOver events over all elements in the editables, since the
	 * drag action start until the drag action stop, to know in which element
	 * the user may drop the block element
	 */
	DragBehavior.prototype.listenMouseOver = function () {
		var dragBehavior = this,
			$elms = this._getEditableChilds();
		// @todo use the DOM Events for this, jQuery is very slow

		$elms.on('mouseover.blockbehavior', function (e) {
			return dragBehavior.onMouseover(this, e);
		});
	};

	/**
	 * Stop listen the mouseover event, this method is called when the drag
	 * operation is ended (droped)
	 */
	DragBehavior.prototype.stopListenMouseOver = function () {
		var $elms = this._getEditableChilds();
		$elms.unbind('.blockbehavior');
	};

	/**
	 * Checks the element that is below of the draggable element in a drag
	 * operation, if is a valid element, this method call to highlight methods
	 *
	 * @param {HTMLElement} elm
	 * @param {jqEvent} event
	 *
	 * @return {Boolean}
	 */
	DragBehavior.prototype.onMouseover = function (elm, event) {
		if (this.$element.find(elm).length || this.$element.is(elm)) {
			// The mouse is still over the element which is
			// being dragged.
			event.stopImmediatePropagation();

			return false;
		}

		var $elm = $(elm);
		var $srcEditable = this.$element.closest('.aloha-editable');
		var $dstEditable = $elm.closest('.aloha-editable');
		var dropzones = ($srcEditable.data('block-dropzones') || ['.aloha-editable']).join();

		if (!$dstEditable.is(dropzones)) {
			if (Aloha.Log.isDebugEnabled()) {
				Aloha.Log.debug(
					'block-plugin',
					'Preventing drop because of defined dropzones: [ ' + dropzones + ' ]');
			}

			event.stopImmediatePropagation();

			return false;
		}

		if (!this._isAllowedOverElement(elm)) {
			this.disableInsertBeforeOrAfter(this.$overElement);
			this.enableInsertBeforeOrAfter(elm);
			this.$overElement = $elm;

			// Let the event bubble up to find a better place for a drop.
			return true;
		}

		if (!$elm.is('.aloha-editable, .aloha-table-cell-editable') || !$elm.children().length) {
			// We only do this for non-editables, because otherwise
			// the whole editable would be marked as a drop zone.
			this.disableInsertBeforeOrAfter(this.$overElement);
			this.$overElement = $elm;
			this.highlightElement(elm);
		}

		event.stopImmediatePropagation();

		return false;
	};

	/**
	 * Highlight an entirely element to be a container of the BlockElement
	 *
	 * @param {HTMLElement} elm
	 */
	DragBehavior.prototype.highlightElement = function (elm) {

		if (elm.nodeName === 'DIV' &&
				elm.parentNode.nodeName === 'TD' &&
				elm.parentNode.firstChild === elm &&
				elm.parentNode.lastChild === elm) {

			elm = elm.parentNode;
		}

		var $elm = $(elm),
			$hElm = this._getHiglightElement().appendTo('body').css({position: 'absolute'}).show();


		$hElm
			.css('zIndex', parseInt($elm.css('z-index'), 10) + 1)
			.offset($elm.offset())
			.css("width", parseInt($elm.css("width")) + parseInt($elm.css("padding-left")) + parseInt($elm.css("padding-right")) + "px")
			.css("height", parseInt($elm.css("height"))+parseInt($elm.css("padding-top"))+parseInt($elm.css("padding-bottom"))+ "px");

	};

	/**
	 * Activate the functionality to highlight the top or bottom border of an
	 * element to inform to the user that the block must be inserted before or
	 * after
	 *
	 * @param {HTMLElement} elm
	 */
	DragBehavior.prototype.enableInsertBeforeOrAfter = function (elm) {
		var $elm = $(elm),
			dragBehavior = this,
			elmTop = $elm.offset().top,
			halfHeight = (parseInt($elm.css("height"))+parseInt($elm.css("padding-top"))+parseInt($elm.css("padding-bottom"))) / 2;

		if (!allowDropRegions($elm, this.$element)) {
			return;
		}

		$elm.on('mousemove.brIBOA', function (event) {
			var top = event.pageY - elmTop;
			if (top >= halfHeight) {
				dragBehavior.insertBeforeOrAfterMode = 'AFTER';
			} else {
				dragBehavior.insertBeforeOrAfterMode = 'BEFORE';
			}
			dragBehavior.highlightEdge(this);
		});

	};

	/**
	 * Disables the InsertBeforeOrAfter functionality.
	 *
	 * @param {jQuery.<HTMLElement>} $elm
	 */
	DragBehavior.prototype.disableInsertBeforeOrAfter = function ($elm) {
		this.insertBeforeOrAfterMode = false;
		if ($elm) {
			$elm.unbind('.brIBOA');
		}
	};

	/**
	 * Highlites only a edge of the element recived, depending the value of
	 * this.insertBeforeOrAfterMode
	 *
	 * @param {HTMLElement} elm
	 */
	DragBehavior.prototype.highlightEdge = function (elm) {
		var $elm = $(elm),
			$hElm = this._getHiglightElement().css({position: 'relative', top: 'auto', left: 'auto'}).show(),
			edgeHeight = 4;

		if (this.insertBeforeOrAfterMode === 'BEFORE') {
			$hElm
				.css('zIndex', parseInt($elm.css('z-index'), 10) + 1)
				.css("width", parseInt($elm.css("width")) + parseInt($elm.css("padding-left")) + parseInt($elm.css("padding-right")) + "px")
				.css("height", edgeHeight+"px");
			$elm.before($hElm);
		} else {
			$hElm
				.css('zIndex', parseInt($elm.css('z-index'), 10) + 1)
				.css("width", parseInt($elm.css("width")) + parseInt($elm.css("padding-left")) + parseInt($elm.css("padding-right")) + "px")
				.css("height",edgeHeight + "px");
			$elm.after($hElm);
		}
	};

	/**
	 * Returns true or false depending if the element given is allowed to
	 * contain BlockElements
	 *
	 * @param {HTMLElement} elm
	 * 
	 * @return {Boolean}
	 */
	DragBehavior.prototype._isAllowedOverElement = function (elm) {
		if ($.inArray(elm.nodeName, notAllowedOverTags) < 0) {
			if (!isEditable(elm)) {
				return false;
			}

			var $elm = $(elm);
			if ($elm.parents(notAllowedDropParentsSelector.join(',')).length > 0) {
				return false;
			}

			if ($elm.is(notAllowedDropSelector.join(','))) {
				return false;
			}

			if (isNestedTable($elm, this.$element)) {
				return false;
			}

			return true;
		} else {
			return false;
		}
	};

	/**
	 * Check if the element in the user want to drop the block elements is
	 * suitable to contain the BlockElement or is suitable to insert the
	 * element before or after this
	 */
	DragBehavior.prototype.onDragStop = function () {
		// @todo check if the $overElement is a Valid element to drop the block
		if (allowDropRegions(this.$overElement, this.$element)) {
			if (this.$overElement &&
				!this._isAllowedOverElement(this.$overElement[0])) {
				this.enableInsertBeforeOrAfter(this.$overElement[0]);
				// prevent dragging the block into a position, where it should not be
				// when _isAllowedOverElement() return false, insertBeforeOrAfterMode must not be false
				if (this.insertBeforeOrAfterMode === false) {
					this.insertBeforeOrAfterMode = 'AFTER';
				}
			}

			if (this.insertBeforeOrAfterMode !== false) {
				if (this.insertBeforeOrAfterMode === 'BEFORE') {
					this.$overElement.before(this.$element);
				} else {
					this.$overElement.after(this.$element);
				}
			} else {
				this.$element.appendTo(this.$overElement);
			}

			// deactivate the current editable and activate the editable,
			// the block has been dropped into. This will do necessary initializations that
			// happen on activation of the editable
			Aloha.deactivateEditable();
			var editable = Aloha.getEditableHost(this.$element);
			if (editable) {
				editable.activate();
			}

			PubSub.pub('aloha.drop.block.in.editable', {element: this.$element, editable: editable});
		}

		this.disableInsertBeforeOrAfter(this.$overElement);
	};

	/**
	 * Returns a reference to the element used to highlight over elements,
	 * if not exist is created, this element is shared for all instances of
	 * DragBehavior
	 * 
	 * @return {jQuery.<HTMLElement>}
	 */
	DragBehavior.prototype._getHiglightElement = function () {
		if (undefined === this.$hElm) {
			if ($('#aloha-highlight-element').length === 0) {

				this.$hElm = $('<div>')
					.attr('id', 'aloha-highlight-element')
					.appendTo('body')
					.css({
						position: 'absolute',
						opacity: 0.5,
						background: 'blue'
					})
					.hide();
			} else {
				this.$hElm = $('#aloha-highlight-element');
			}
		}

		return this.$hElm;
	};

});

define('block/nls/i18n',{
	"root":  {
		"button.toggledragdrop.tooltip": "Toggle Drag & Drop"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/* block-plugin.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/**
 * @name block
 * @namespace Block plugin
 */
define('block/block-plugin',[
	'aloha',
	'aloha/plugin',
	'aloha/ephemera',
	'jquery',
	'aloha/contenthandlermanager',
	'block/blockmanager',
	'block/sidebarattributeeditor',
	'block/block',
	'block/editormanager',
	'block/blockcontenthandler',
	'block/editor',
	'block/dragbehavior',
	'ui/ui',
	'ui/icons',
	'ui/toggleButton',
	'i18n!block/nls/i18n',
	'i18n!aloha/nls/i18n',
	'jqueryui'
], function (
	Aloha,
	Plugin,
	Ephemera,
	jQuery,
	ContentHandlerManager,
	BlockManager,
	SidebarAttributeEditor,
	block,
	EditorManager,
	BlockContentHandler,
	editor,
	dragBehavior,
	Ui,
	Icons,
	ToggleButton,
	i18n,
	i18nCore
) {
	"use strict";

	var defaultRootTags = ['div', 'span'];

	/**
	 * Register the 'block' plugin
	 */
	var BlockPlugin = Plugin.create('block', {

		/**
		 * default button configuration
		 */
		config: [],

		settings: {},

		init: function () {
			var that = this;

			// set default root tags
			if (!this.settings.rootTags) {
				this.settings.rootTags = defaultRootTags;
			}

			Ephemera.classes('aloha-block-active');
			Ephemera.classes('aloha-block-highlighted');

			// Register default block types			
			BlockManager.registerBlockType('DebugBlock', block.DebugBlock);
			BlockManager.registerBlockType('DefaultBlock', block.DefaultBlock);
			BlockManager.registerBlockType('EmptyBlock', block.EmptyBlock);

			// Register default editors
			EditorManager.register('string', editor.StringEditor);
			EditorManager.register('number', editor.NumberEditor);
			EditorManager.register('url', editor.UrlEditor);
			EditorManager.register('email', editor.EmailEditor);
			EditorManager.register('select', editor.SelectEditor);
			EditorManager.register('radio', editor.RadioButtonEditor);
			EditorManager.register('button', editor.ButtonEditor);

			// register content handler for block plugin
			ContentHandlerManager.register('block', BlockContentHandler);

			BlockManager.setDragDropState(that.isDragDropEnabled());
			BlockManager.registerEventHandlers();
			BlockManager.initializeBlockLevelDragDrop();

			Aloha.bind('aloha-plugins-loaded', function () {
				that._createBlocks();
				if (false !== that.settings['sidebarAttributeEditor']) {
					SidebarAttributeEditor.init();
				}
			});

			// create the toolbar buttons
			this.createButtons();

			// set the dropzones for the initialized editable
			Aloha.bind('aloha-editable-created', function (e, editable) {
				that.setDropzones(editable.obj);

				// Because we don't want non-contentEditable regions inside of
				// editables to be resizable through the browser-built
				// interfaces. IE 11 requires this additional muzzling to be
				// done on the body in order to thoroughly prevent
				// objectResizing.
				// @see Block._disableUglyInternetExplorerDragHandles
				// @see https://connect.microsoft.com/IE/feedback/details/742593/please-respect-execcommand-enableobjectresizing-in-contenteditable-elements
				editable.obj.on('mscontrolselect', function (event) {
					event.preventDefault();
				});
			});

			// apply specific configuration if an editable has been activated
			Aloha.bind('aloha-editable-activated', function (e, params) {
				that.applyButtonConfig(params.editable);
			});

			Aloha.bind('aloha-editable-deactivated', function (e, params) {
				// No more editable focused, and global dnd isn't enabled
				if (params.newEditable == null) {
					if (that._globalEnabled()) {
						that._toggleDragDropButton.setActive(BlockManager.getDragDropState());
					} else {
						that._toggleDragDropButton.deactivate();
						that._toggleDragDropButton.hide();
					}
				}
			});
		},

		/**
		 * Applies a configuration specific for an editable buttons not
		 * available in this configuration are hidden
		 *
		 * @param {!Object}
		 *        The editable which has become active and for which to
		 *        apply the button config.
		 */
		applyButtonConfig: function (editable) {
			if (this._isDragdropToggleEnabled(editable)) {
				this._toggleDragDropButton.show();
				this._toggleDragDropButton.setActive(this._getDragdropState(editable));
			} else {
				this._toggleDragDropButton.hide();
			}
		},

		_globalEnabled: function () {
			return this.settings != null
				&& this.settings.config != null
				&& !!this.settings.config.toggleDragdropGlobal;
		},

		/**
		 * Test whether toggleability of the dragndrop feature is turned on.
		 *
		 * @param {!Aloha.Editable} editable
		 *        The editable for which toggling may be turned on, if
		 *        toggling of the dragndrop feature is configured
		 *        per-editable.
		 *        Only used if !toggleDragdropGlobal.
		 * @return {boolean}
		 *        Whether the toggleability of the dragndrop feature is
		 *        turned on either globally, or for the given editable.
		 */
		_isDragdropToggleEnabled: function (editable) {
			var config = editable != null && editable.obj != null
				? this.getEditableConfig(editable.obj)
				: null;

			// toggle drag & drop option can be set as
			// config: {'toggeleDragdrop': true} or
			// config: ['toggleDragdrop']
			var toggleDragdropConfigured = function () {
				return config != null && (
					(config[0] === "toggleDragdrop")
					|| config.toggleDragdrop == true
					|| config.toggleDragdrop == 'true'
					|| config.toggleDragdrop == 1
					|| config.toggleDragdrop == '1'
				);
			};

			var toggleGloballyOrPerEditable = (this._globalEnabled() || toggleDragdropConfigured());
			return toggleGloballyOrPerEditable && this.isDragDropEnabled();
		},

		/**
		 * Gets the current toggle state of the dragndrop feature.
		 *
		 * @param {!Aloha.Editable} editable
		 *        The editable that is used to track the per-editable
		 *        dragdrop toggled state.
		 *        Only used if !toggleDragdropGlobal.
		 * @return {boolean}
		 *        Whether the dragdrop feature is turned on either
		 *        globally, or for the given editable.
		 */
		_getDragdropState: function (editable) {
			return this._globalEnabled()
				? BlockManager.getDragDropState()
				: editable.obj.data("block-dragdrop");
		},

		/**
		 * Toggles the dragndrop state.
		 *
		 * If toggleDragdropGlobal is turned on, will toggle the
		 * dragndrop state on each existing editable.
		 *
		 * If toggleDragdropGlobal is not turned on, will toggle the
		 * dragndrop state only for the given editable.
		 *
		 * @param {!Aloha.Editable} editable
		 *        The editable that is used to track the per-editable
		 *        dragdrop toggled state.
		 *        Only used if !toggleDragdropGlobal.
		 */
		_toggleDragdropState: function (editable) {
			if (this._globalEnabled()) {
				var dragdropState = !BlockManager.getDragDropState();
				// Setting the dragdrop state in the block manager
				// ensures that newly created editables will receive the
				// correct "block-dragdrop" data attribute.
				BlockManager.setDragDropState(dragdropState);
				for (var i = 0; i < Aloha.editables.length; i++) {
					var editable = Aloha.editables[i];
					if (editable && editable.obj) {
						this._setDragDropStateForEditable(editable.obj, dragdropState);
					}
				}
				this._toggleDragDropButton.setActive(dragdropState);
			} else if (editable && editable.obj) {
				var toggleState = !editable.obj.data("block-dragdrop");
				this._setDragDropStateForEditable(editable.obj, toggleState);
				this._toggleDragDropButton.setActive(toggleState);
			}
		},

		createButtons: function () {
			var that = this;

			this._toggleDragDropButton = Ui.adopt("toggleDragDrop", ToggleButton, {
				tooltip: i18n.t('button.toggledragdrop.tooltip'),
				icon: Icons.TOGGLE_DRAG_AND_DROP,
				pure: true,
				visible: this._globalEnabled(),
				click: function () {
					if (that._isDragdropToggleEnabled(Aloha.activeEditable)) {
						that._toggleDragdropState(Aloha.activeEditable);
					}
				}
			});
		},

		/**
		 * Set available dropzones for the given editable.
		 * @return void 
		 */
		setDropzones: function (editable) {
			var that = this;
			var config = that.getEditableConfig(editable);
			var dropzones = (config && config.dropzones) || that.settings.dropzones;

			if (dropzones) {
				editable.data('block-dropzones', dropzones);
			} else {
				// if dropzones are undefined all editables should be dropzones
				editable.data('block-dropzones', [".aloha-editable"]);
			}
		},

		/**
		 * Checks whether drag & drop is enabled for blocks.
		 * @return boolean 
		 */
		isDragDropEnabled: function () {
			if (this.settings && typeof this.settings.dragdrop !== "undefined") {
				// Normalize config
				return (
					this.settings.dragdrop === true ||
					this.settings.dragdrop === 'true' ||
					this.settings.dragdrop === 1 ||
					this.settings.dragdrop === '1'
				);
			} else {
				return true; // by default dragdrop is activated 
			}
		},

		/**
		 * Create blocks from default settings
		 */
		_createBlocks: function () {
			if (!this.settings.defaults) {
				this.settings.defaults = {};
			}
			jQuery.each(this.settings.defaults, function (selector, instanceDefaults) {
				jQuery(selector).alohaBlock(instanceDefaults);
			});
		},

		/**
		 * Set the drag & drop state for the given editable.
		 *
		 * @param {JQuery} $editable The editable the state should be applied to
		 * @param {boolean} state The drag'n'drop state for this editable (Enabled/Disabled)
		 */
		_setDragDropStateForEditable: function ($editable, state) {
			$editable.data("block-dragdrop", state);

			if ($editable.hasClass("ui-sortable")) {
				$editable.sortable("option", "disabled", !state);
			}

			$editable.find(".aloha-block.ui-draggable").each(function () {
				jQuery(this).draggable("option", "disabled", !state);
			});

			$editable.find(".aloha-block-handle").each(function () {
				if (state) {
					jQuery(this).addClass("aloha-block-draghandle");
				} else {
					jQuery(this).removeClass("aloha-block-draghandle");
				}
			});
		},

		/**
		 * Make the given jQuery object (representing an editable) clean for saving
		 * Remove classes marking draggable aloha blocks
		 */
		makeClean: function (obj) {
			// these classes are not made ephemeral, because this would remove them from every DOM node
			// we only want to remove those classes from root elements of blocks.
			obj.find(".aloha-block").removeClass('ui-draggable ui-draggable-disabled');
		}
	});

	/**
	 * See (http://jquery.com/).
	 * @name jQuery.fn
	 * @class
	 * See the jQuery Library  (http://jquery.com/) for full details.  This just
	 * documents the function and classes that are added to jQuery by this plug-in.
	 */

	/**
	 * Create Aloha blocks from the matched elements
	 * @api
	 * @param {Object} instanceDefaults
	 */
	jQuery.fn.alohaBlock = function (instanceDefaults) {
		instanceDefaults = instanceDefaults || {};
		jQuery(this).each(function (index, element) {
			BlockManager._blockify(element, instanceDefaults);
		});

		// Chain
		return jQuery(this);
	};

	/**
	 * Un"block" the matched elements. If matched elements were made blocks
	 * (by calling alohaBlock() on them), they will no longer be blocks.
	 * 
	 * @api
	 */
	jQuery.fn.mahaloBlock = function () {
		jQuery(this).each(function (index, element) {
			BlockManager._unblockify(element);
		});
	};

	// jQuery.fn.mahaloBlock = TODO
	return BlockPlugin;
});

/* align-table-utils.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('align/align-table-utils',[
	'util/arrays',
	'util/dom',
	'jquery'
], function(
	Arrays,
	DomLegacy,
	jQuery
) {
	'use strict';

	/**
	 * Gets cells selected in the table.
	 *
	 * @param {Element} tableElement
	 * @return {Array}
	 */
	function getCellsInSelection(tableElement) {
		return Arrays.coerce(jQuery(tableElement).find('.aloha-cell-selected'));
	}

	/**
	 * Checks if `tableElement` has any cells selected.
	 * @param {Element} tableElement
	 * @return {boolean}
	 */
	function hasCellSelection(tableElement) {
		return jQuery(tableElement).find('.aloha-cell-selected').length !== 0;
	}

	/**
	 * Checks if node is an editing host, ignoring table cells editing host.
	 * @param {Node} node
	 * @returns {boolean}
	 */
	function isEditingHostIgnoreEditableTableCells(node) {
		return DomLegacy.isEditingHost(node)
			&& (node.className.match("aloha-table-cell-editable") == null);
	}

	/**
	 * Gets the cell node which contains `node` if exists. Otherwise null.
	 * @param {Node} node
	 * @return {node|null}
	 */
	function getParentCellElement(node) {
		while (node && !isEditingHostIgnoreEditableTableCells(node)) {
			if (node.nodeName === 'TD' || node.nodeName === 'TH') {
				return node;
			}
			node = node.parentNode;
		}

		return null;
	}

	/**
	 * Gets the parent Table if exists. Otherwise null.
	 * @param {Node} node
	 * @return {node|null}
	 */
	function getTable(node) {
		while (node) {
			if (node.nodeName === 'TABLE') {
				return node;
			}
			node = node.parentNode;
		}

		return null;
	}

	/**
	 * Checks if `node` is inside a table.
	 * @param {Node} node
	 * @return {boolean}
	 */
	function isInsideTable (node) {
		return getParentCellElement(node) != null;
	}

	/**
	 * Get selected cells inside a Table.
	 * @param {Node} node
	 * @param {Array.<Element> elements
	 * @returns {Array.<Element>}
	 */
	function getSelectedTableCells(node, elements) {
		var cellElement = getParentCellElement(node);
		var table;

		table = getTable(cellElement);

		if (hasCellSelection(table)) {
			return getCellsInSelection(table);
		}

		if (Arrays.isEmpty(elements)) {
			// If there is nothing selected, we add the cell.
			return [cellElement];
		}

		return elements;
	}

	return {
		isInsideTable: isInsideTable,
		getSelectedTableCells: getSelectedTableCells
	};
});

define('align/nls/i18n',{
	"root":  {
		"button.alignright.tooltip": "Align to the right",
		"button.alignleft.tooltip": "Align to the left",
		"button.aligncenter.tooltip": "Center",
		"button.alignjustify.tooltip": "Justify",
		"button.aligntop.tooltip": "Align to the top",
		"button.alignmiddle.tooltip": "Align to the middle",
		"button.alignbottom.tooltip": "Align to the bottom"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/* align-plugin.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('align/align-plugin',[
	'aloha',
	'aloha/plugin',
	'align/align-table-utils',
	'util/arrays',
	'util/html',
	'util/dom',
	'ui/ui',
	'ui/contextButton',
	'ui/icons',
	'i18n!align/nls/i18n',
	'i18n!aloha/nls/i18n',
	'jquery',
	'PubSub'
], function (
	Aloha,
	Plugin,
	AlignTableUtils,
	Arrays,
	Html,
	DomLegacy,
	Ui,
	ContextButton,
	Icons,
	i18n,
	i18nCore,
	jQuery,
	PubSub
) {
	'use strict';

	/**
	 * Gets block elements inside `range`.
	 * @return {Array}
	 */
	function getCurrentSelectedBlockElements() {
		var range = Aloha.Selection.getRangeObject();
		var selection = range.getRangeTree(),
			cac = range.getCommonAncestorContainer(),
			elements = [];
		var cells, i, len;

		jQuery.each(selection, function () {
			var node = this.domobj;
			if (this.type === 'none' || !node) {
				return;
			}
			if (Html.isBlock(node)) {
				elements.push(node);
				return;
			}
			// Because the align-text property needs to be set on a block-level
			// element in order for it to have visual effect
			while (node && !Html.isBlock(node)) {
				if ((Html.isBlock(cac) && cac === node.parentNode) ||
					DomLegacy.isEditingHost(node.parentNode)) {
					break;
				}
				node = node.parentNode;
			}
			if (Html.isBlock(node)) {
				elements.push(node);
			}
		});

		if (elements.length === 0 && selection.length > 0 && Html.isBlock(cac) && !DomLegacy.isEditingHost(cac)) {
			elements.push(cac);
		}

		if (AlignTableUtils.isInsideTable(cac)) {
			elements = AlignTableUtils.getSelectedTableCells(cac, elements);
		}
		return elements;
	}

	function getAlignmentIcon(alignment) {
		switch (alignment) {
			case 'left':
				return Icons.ALIGN_LEFT;
			case 'center':
				return Icons.ALIGN_CENTER;
			case 'right':
				return Icons.ALIGN_RIGHT;
			case 'justify':
				return Icons.ALIGN_JUSTIFY;
		}
	}

	/**
	 * register the plugin with unique name
	 */
	return Plugin.create('align', {
		_constructor: function () {
			this._super('align');
		},
		/**
		 * Configuration (available align options)
		 */
		config: {
			alignment: ['right', 'left', 'center', 'justify', 'top', 'middle', 'bottom']
		},

		/**
		 * Alignment wanted by the user
		 */
		alignment: '',

		verticalAlignment: '',

		/**
		 * Alignment of the selection before modification
		 */
		lastAlignment: '',

		/**
		 * Initialize the plugin and set initialize flag on true
		 */
		init: function () {
			var that = this;
			var availableOptions = [
				{
					id: 'left',
					label: 'Left',
					icon: Icons.ALIGN_LEFT,
				},
				{
					id: 'center',
					label: 'Center',
					icon: Icons.ALIGN_CENTER,
				},
				{
					id: 'right',
					label: 'Right',
					icon: Icons.ALIGN_RIGHT,
				},
				{
					id: 'justify',
					label: 'Justify',
					icon: Icons.ALIGN_JUSTIFY,
				}
			];

			that.alignmentButton = Ui.adopt('alignMenu', ContextButton, {
				tooltip: i18n.t('button.addcharacter.tooltip'),
				icon: Icons.ALIGN_LEFT,
				contextType: 'dropdown',

				context: function() {
					const options = [];

					for (let i = 0; i < availableOptions.length; i++) {
						const option = availableOptions[i];

						if (jQuery.inArray(option.id, that.settings.alignment) >= 0) {
							options.push(option);
						}
					}

					return {
						type: 'select-menu',
						initialValue: that.alignment,
						options: {
							iconsOnly: true,
							options: options
						},
					}
				},

				contextResolve: function(selection) {
					that.alignment = selection.id;

					that.align(selection.id);

					if (that.alignmentButton) {
						that.alignmentButton.setIcon(getAlignmentIcon(that.alignment))
					}
				},
			});

			var that = this;

			// apply specific configuration if an editable has been activated
			Aloha.bind('aloha-editable-activated', function (e, params) {
				that.applyButtonConfig(params.editable.obj);
			});

			PubSub.sub('aloha.selection.context-change', function (message) {
				var rangeObject = message.range;

				if (Aloha.activeEditable) {
					that.buttonPressed(rangeObject);
				}
			});
		},

		buttonPressed: function (rangeObject) {
			this.horizontalButtonPressed(rangeObject);
		},

		horizontalButtonPressed: function (rangeObject) {
			var that = this;

			this.lastAlignment = this.alignment;

			//reset current alignment
			this.alignment = '';

			rangeObject.findMarkup(function () {
				// try to find explicitly defined text-align style property
				if (this.style.textAlign !== "") {
					that.alignment = this.style.textAlign;
					return true;
				}

				that.alignment = jQuery(this).css('text-align');
			}, Aloha.activeEditable.obj);
		},

		/**
		 * applies a configuration specific for an editable
		 * buttons not available in this configuration are hidden
		 * @param {Object} id of the activated editable
		 * @return void
		 */
		applyButtonConfig: function (obj) {
			var config = this.getEditableConfig(obj);

			if ( config && config.alignment && !this.settings.alignment ) {
				config = config;
			} else if ( config[0] && config[0].alignment) {
				config = config[0];
			} else if (this.settings.alignment) {
				config.alignment = this.settings.alignment;
			}

			if (typeof config.alignment !== 'undefined') {
				this.settings.alignment = config.alignment;
			}
		},

		/**
		 * Sets or removes the alignment on the selected range.
		 *
		 * @param {string} alignment
		 */
		align: function (alignment) {
			this.lastAlignment = this.alignment;
			this.alignment = alignment;

			var elements = getCurrentSelectedBlockElements();
			this.toggleAlign(elements);
		},

		getSelectedCells: function (range) {

			var selectedCell;

			var activeTable = range.findMarkup(function () {
				if (jQuery(this).is('td,th')) {
					selectedCell = this;
				}
				return jQuery(this).is('table.aloha-table');
			}, Aloha.activeEditable.obj);

			var selectedCells = jQuery(activeTable).find('.aloha-cell-selected');

			return selectedCells.length ? selectedCells : selectedCell;

		},

		/**
		 * Toggle the align property of given DOM object(s)
		 */
		toggleAlign: function (domObj, property) {
			var that = this;

			property = property || 'text-align';

			var newAlignment = that.alignment;
			var shouldRemoveAlignment = true;

			jQuery(domObj).each(function () {
				var currentAlignment = jQuery(this).css(property);

				if (currentAlignment != newAlignment) {
					shouldRemoveAlignment = false;
					return false;
				}
			});

			jQuery(domObj).each(function () {
				var currentAlignment = jQuery(this).css(property);

				if ((currentAlignment == newAlignment) && shouldRemoveAlignment) {
					jQuery(this).css(property, '');
				} else {
					jQuery(this).css(property, newAlignment);
				}

			});
		}
	});
});

define('ui/attributeToggleButton',[
    'ui/attributeButton'
], function (
    AttributeButton
) {
    'use strict';

    var CLASS_ACTIVE = 'active';

    var AttributeToggleButton = AttributeButton.extend({
        type: 'attribute-toggle-button',

        /** @type {boolean} If this button is currently active. */
		active: false,

		/** @type {boolean} When clicked, if it should *not* toggle it's `active` state. */
		pure: false,

        _onClick: function () {
            this.touch();
            var switched = !this.active;
            if (!this.pure) {
                this.toggleActivation();
            }
            this.click();
            this.onToggle(switched);
        },
        _handleActiveState: function() {
            if (this.active) {
                this._$buttonElement.addClass(CLASS_ACTIVE);
            } else {
                this._$buttonElement.removeClass(CLASS_ACTIVE);
            }
        },

        onToggle: function (isActive) { },

        setActive: function(active) {
			this.active = active;
			this._handleActiveState();
		},
        setPure: function(pure) {
			this.pure = pure;
		},
		toggleActivation: function () {
            this.setActive(!this.active);
		},
        activate: function () {
			this.setActive(true);
        },
        deactivate: function () {
            this.setActive(false);
        },
    });

    return AttributeToggleButton;
});

define('abbr/nls/i18n',{
	"root":  {
		"floatingmenu.tab.abbr": "Abbreviation",
		"button.addabbr.tooltip": "insert abbreviation",
		"button.remabbr.tooltip": "remove abbreviation",
		"button.abbr.tooltip": "format as abbreviation",
		"newabbr.defaulttext": "Abbr"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/* abbr-plugin.js is part of the Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2014 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 * License http://aloha-editor.org/license.php
 */
define('abbr/abbr-plugin',[
	'aloha',
	'jquery',
	'PubSub',
	'aloha/plugin',
	'aloha/content-rules',
	'ui/ui',
	'ui/icons',
	'ui/attributeToggleButton',
	'ui/scopes',
	'i18n!abbr/nls/i18n',
], function (
	Aloha,
	jQuery,
	PubSub,
	Plugin,
	ContentRules,
	Ui,
	Icons,
	AttributeToggleButton,
	Scopes,
	i18n
) {
	'use strict';

	var GENTICS = window.GENTICS;
	var $ = jQuery;
	var configurations = {};

	/**
	 * Subscribes event handlers to facilitate user interaction on editables.
	 *
	 * @private
	 * @param {ListPlugin} plugin
	 */
	function registerEventHandlers(plugin) {
		PubSub.sub('aloha.editable.created', function (message) {
			var editable = message.editable;
			var config = plugin.getEditableConfig(editable.obj);
			var enabled = config
			           && ($.inArray('abbr', config) > -1)
			           && ContentRules.isAllowed(editable.obj[0], 'abbr');
			configurations[editable.getId()] = !!enabled;
		});

		PubSub.sub('aloha.editable.destroyed', function (message) {
			delete configurations[message.editable.getId()];
		});

		/**
		 * Flag for proper deactivation handling.
		 * The context-change event triggers after editable-deactivated.
		 * One weird quirk is however, that event after/during editable-deactivated,
		 * the `activeEditable` is still set.
		 * Therefore the context-change would enable the button again, which is wrong.
		 */
		var actuallyLeftEditable = false;

		PubSub.sub('aloha.selection.context-change', function (message) {
			if (!Aloha.activeEditable || actuallyLeftEditable) {
				return;
			}

			if (!configurations[Aloha.activeEditable.getId()]) {
				plugin._formatAbbrButton.hide();
				return;
			}

			plugin._formatAbbrButton.show();

			var range = message.range;
			var foundMarkup = plugin.findAbbrMarkup(range);

			if (foundMarkup) {
				plugin._formatAbbrButton.setActive(true);
				plugin._formatAbbrButton.activateInput(true);
				plugin._formatAbbrButton.setTargetElement($(foundMarkup));
				Scopes.enterScope(plugin.name);
			} else {
				plugin._formatAbbrButton.setActive(false);
				plugin._formatAbbrButton.deactivateInput();
				plugin._formatAbbrButton.setTargetElement(null);
				Scopes.leaveScope(plugin.name);
			}
		});

		Aloha.bind('aloha-editable-activated', function() {
			actuallyLeftEditable = false;
		});

		Aloha.bind('aloha-editable-deactivated', function(event, params) {
			if (params.newEditable == null) {
				plugin._formatAbbrButton.setActive(false);
				plugin._formatAbbrButton.deactivateInput();
				plugin._formatAbbrButton.setTargetElement(null);
				Scopes.leaveScope(plugin.name);
				actuallyLeftEditable = true;
			}
		})
	}

	/**
	 * register the plugin with unique name
	 */
	return Plugin.create('abbr', {
		/**
		 * default button configuration
		 */
		config: [ 'abbr' ],

		/**
		 * Initialize the plugin and set initialize flag on true
		 */
		init: function () {
			this.createButtons();
		    this.bindInteractions();
		    registerEventHandlers(this);
		},

		/**
		 * Initialize the buttons
		 */
		createButtons: function () {
		    var that = this;

			this._formatAbbrButton = Ui.adopt("formatAbbr", AttributeToggleButton, {
				tooltip: i18n.t("button.abbr.tooltip"),
				icon: Icons.ABBREVIATION,
				targetAttribute: 'title',
				inputLabel: 'Title',
				panelLabel: 'Abbreviation',
				pure: true,
				onToggle: function (activated) {
					if (activated) {
						that.insertAbbr(true);
						that._formatAbbrButton.setActive(true);
					} else {
						that.removeAbbr();
						that._formatAbbrButton.setActive(false);
					}
				},
			});
		},

		/**
		 * Parse a all editables for abbreviations
		 * Add the abbr shortcut to all edtiables
		 */
		bindInteractions: function () {
			var that = this;


			// add to all editables the abbr shortcut
			for (var i = 0; i < Aloha.editables.length; i++) {
				// CTRL+G
				Aloha.editables[i].obj.keydown(function (e) {
					if (e.metaKey && e.which == 71) {
						if (that.findAbbrMarkup()) {
							that.removeAbbr();
						} else {
							that.insertAbbr();
						}

						// prevent from further handling
						// on a MAC Safari cursor would jump to location bar. Use ESC then META+L
						e.stopPropagation();
						e.preventDefault();

						return false;
					}
				});
			}
		},

		/**
		 * Check whether inside a abbr tag
		 * @param {GENTICS.Utils.RangeObject} range range where to insert the object (at start or end)
		 * @return markup
		 * @hide
		 */
		findAbbrMarkup: function (range) {
			if (typeof range == 'undefined') {
				range = Aloha.Selection.getRangeObject();
			}

			if (Aloha.activeEditable) {
				return range.findMarkup( function() {
					return this.nodeName.toLowerCase() == 'abbr';
				}, Aloha.activeEditable.obj);
			} else {
				return null;
			}
		},

		/**
		 * Insert a new abbr at the current selection. When the selection is collapsed,
		 * the abbr will have a default abbr text, otherwise the selected text will be
		 * the abbr text.
		 */
		insertAbbr: function (extendToWord) {
		    // current selection or cursor position
		    var range = Aloha.Selection.getRangeObject();

			// do not insert a abbr in a abbr
			if (this.findAbbrMarkup(range)) {
				return;
			}

			// if selection is collapsed then extend to the word.
			if (range.isCollapsed() && extendToWord != false) {
				GENTICS.Utils.Dom.extendToWord(range);
			}

			if (range.isCollapsed()) {
		        // insert a abbr with text here
		        var abbrText = i18n.t('newabbr.defaulttext');
		        var newAbbr = jQuery('<abbr title="">' + abbrText + '</abbr>');
		        GENTICS.Utils.Dom.insertIntoDOM(newAbbr, range, jQuery(Aloha.activeEditable.obj));
		        range.startContainer = range.endContainer = newAbbr.contents().get(0);
		        range.startOffset = 0;
		        range.endOffset = abbrText.length;
		    } else {
				var newAbbr = jQuery('<abbr title=""></abbr>');
		        GENTICS.Utils.Dom.addMarkup(range, newAbbr, false);
		    }

		    range.select();
		},

		/**
		 * Remove an a tag.
		 */
		removeAbbr: function () {
		    var range = Aloha.Selection.getRangeObject();
		    var foundMarkup = this.findAbbrMarkup();
		    if (foundMarkup) {
		        // remove the abbr
		        GENTICS.Utils.Dom.removeFromDOM(foundMarkup, range, true);
		        // select the (possibly modified) range
		        range.select();
		    }
		},

		/**
		 * Make the given jQuery object (representing an editable) clean for saving
		 * Find all abbrs and remove editing objects
		 * @param obj jQuery object to make clean
		 * @return void
		 */
		makeClean: function (obj) {
			// nothing to do...
		},

		/**
		* toString method
		* @return string
		*/
		toString: function () {
			return 'abbr';
		}

	});

});

define('horizontalruler/nls/i18n',{
	"root":  {
		"button.addhr.tooltip": "Add a horizontal ruler"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/* horizontalruler-plugin.js is part of the Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2014 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * License http://aloha-editor.org/license.php
 */
define('horizontalruler/horizontalruler-plugin',[
	'jquery',
	'aloha',
	'PubSub',
	'aloha/plugin',
	'aloha/content-rules',
	'util/dom',
	'ui/ui',
	'ui/icons',
	'ui/button',
	'i18n!horizontalruler/nls/i18n'
], function (
	$,
	Aloha,
	PubSub,
	Plugin,
	ContentRules,
	Dom,
	Ui,
	Icons,
	Button,
	i18n
) {
	'use strict';

	var configurations = {};

	function insertHR() {
		if (Aloha.activeEditable) {
			var range = Aloha.Selection.getRangeObject();
			Dom.insertIntoDOM($('<hr>'), range, Aloha.activeEditable.obj, true);
			range.select();
		}
	}

	var button;

	return Plugin.create('horizontalruler', {

		_constructor: function () {
			this._super('horizontalruler');
		},

		config: ['hr'],

		init: function () {
			var plugin = this;

			button = Ui.adopt('insertHorizontalRule', Button, {
				tooltip: i18n.t('button.addhr.tooltip'),
				iconOnly: true,
				icon: Icons.HORIZONTAL_RULE,
				click: insertHR
			});

			PubSub.sub('aloha.editable.created', function (message) {
				var editable = message.editable;
				var config = plugin.getEditableConfig(editable.obj);
				var enabled = config
				           && ($.inArray('hr', config) > -1)
				           && ContentRules.isAllowed(editable.obj[0], 'hr');
				configurations[editable.getId()] = !!enabled;
			});

			PubSub.sub('aloha.editable.destroyed', function (message) {
				delete configurations[message.editable.getId()];
			});

			PubSub.sub('aloha.editable.activated', function (message) {
				button.show(!!configurations[message.editable.getId()]);
			});
		}

	});

});


/* paste-plugin.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2013 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 *
 * @overview:
 * The paste plugin intercepts all browser paste events that target aloha
 * editables, and redirects the events into a hidden div.  Once pasting is done
 * into this div, its contents will be processed by registered content handlers
 * before being copied into the active editable, at the current range.
 */
define('paste/paste-plugin',[
	'jquery',
	'aloha/core',
	'aloha/plugin',
	'aloha/command',
	'util/contenthandler',
	'aloha/console',
	'aloha/copypaste',
	'aloha/contenthandlermanager',
	'util/browser'
], function (
	$,
	Aloha,
	Plugin,
	Commands,
	ContentHandlerUtils,
	Console,
	CopyPaste,
	ContentHandlerManager,
	Browser
) {
	'use strict';

	/**
	 * Reference to global window object, for quicker lookup.
	 *
	 * @type {jQuery.<window>}
	 * @const
	 */
	var $WINDOW = $(window);

	/**
	 * Whether or not the user-agent is Internet Explorer.
	 *
	 * @type {boolean}
	 * @const
	 */
	var IS_IE = !!Aloha.browser.msie;

	/**
	 * Matches as string consisting of a single white space character.
	 *
	 * '%A0' is used instead of '&nbsp;' because it seems that IE transforms
	 * non-breaking spaces into atomic tokens.
	 *
	 * @type {RegExp}
	 * @const
	 */
	var PROPPING_SPACE = /^(\s|%A0)$/;

	/**
	 * An invisible editable element used to intercept incoming pasted content
	 * so that it can be processed before being placed into real editables.
	 *
	 * In order to hide the editable div we use clip:rect for WebKit (Chrome,
	 * Safari) and Trident (IE), and width/height for Gecko (FF).
	 *
	 * @type {jQuery.<HTMLElement>}
	 * @const
	 */
	var $CLIPBOARD = $('<div style="position:absolute; ' +
		'clip:rect(0px,0px,0px,0px); ' +
		'width:1px; height:1px;"></div>').contentEditable(true);

	/**
	 * Stored range, use to accomplish IE hack.
	 *
	 * @type {WrappedRange}
	 */
	var ieRangeBeforePaste = null;

	/**
	 * The window's scroll position at the moment just before pasting is done
	 * (beforepaste and paste events).
	 *
	 * @type {object}
	 * @property {Number} x
	 * @property {Number} y
	 **/
	var scrollPositionBeforePaste = {
		x: 0,
		y: 0
	};

	/**
	 * Set the selection to the given range and focus on the editable in which
	 * the selection is in (if any).
	 *
	 * This function is used to restore the selection to what it was before
	 * calling redirectPaste() at the offset of the pasting process.
	 *
	 * @param {WrappedRange} range The range to restore.
	 */
	function restoreSelection(range) {
		var editable = CopyPaste.getEditableAt(range);

		// setting the focus is needed for mozilla to have a working rangeObject.select()
		if (editable && Aloha.browser.mozilla && document.activeElement !== editable.obj[0]) {
			editable.obj.focus();
		}
		CopyPaste.setSelectionAt(range);
		window.scrollTo(
			scrollPositionBeforePaste.x,
			scrollPositionBeforePaste.y
		);
	}

	/**
	 * Redirects a paste event from the given range into a specified target
	 * element.
	 *
	 * This function is used to cause paste events that are targeting to
	 * editables to instead land in an invisible clipboard div that serves as a
	 * staging area to handle the incoming content before actually placing it
	 * into the intended editable.
	 *
	 * @param {WrappedRange} range The range at the time that the paste event
	 *                             was initiated.
	 * @param {jQuery.<HTMLElement>} $target A jQuery object containing the DOM
	 *                                       element to which the paste event
	 *                                       is to be directed to.
	 */
	function redirect(range, $target) {
		var width = 200;
		// Because moving the target element to the current scroll position
		// avoids jittering the viewport when the pasted content moves between
		// where the range is and target.
		$target.css({
			top: $WINDOW.scrollTop(),
			left: $WINDOW.scrollLeft() - width,
			width: width,
			overflow: 'hidden'
		}).contents().remove();

		var from = CopyPaste.getEditableAt(range);
		if (from) {
			from.obj.blur();
		}

		// Because the selection should end up inside the target element.
		CopyPaste.setSelectionAt({
			startContainer: $target[0],
			endContainer: $target[0],
			startOffset: 0,
			endOffset: 0
		});
		$target.focus();
	}

	/**
	 * Detects a situation where paste is about to be done into a selection
	 * beginning inside markup that looks exactly like this:
	 *
	 * '<p> </p>'
	 *
	 * or roughly like this:
	 *
	 * '<p><br/></p>'
	 *
	 * Both markups denote a "propped" paragraph.  A propped paragraph is one
	 * which contains content that has been placed in it for the sole purpose
	 * of forcing the layout engine to render the node visibly.  HTML5 standard
	 * conformance requires that empty block elements like <p> be rendered
	 * invisibly, and comformant browsers like WebKit would place <br> nodes
	 * inside content-editable paragraphs so that they can be visible for
	 * editing.
	 *
	 * IE is _not_ standard comformant however, because it renders empty <p>
	 * with a line-height of 1.  Adding a <br> elements inside it results in
	 * the <p> appearing with 2 lines.
	 *
	 * If we detect this situation, the white space is removed so that after
	 * pasting a new paragraph into the paragraph, it will not be split leaving
	 * an empty paragraph on top of the pasted content.  Therefore when working
	 * in IE, a space is placed inside an empty paragraph rather than a <br>.
	 * Hence markup like '<p> </p>'.
	 *
	 * @param {WrappedRange} range
	 * @return {boolean} True if range starts in propping node.
	 */
	function rangeStartsAtProppedParagraph(range) {
		var start = range.startContainer;
		if (1 === start.nodeType) {
			return ('p' === start.nodeName.toLowerCase() &&
				ContentHandlerUtils.isProppedParagraph(start.outerHTML));
		}
		return (3 === start.nodeType &&
			'p' === start.parentNode.nodeName.toLowerCase() &&
			1 === start.parentNode.childNodes.length &&
			PROPPING_SPACE.test(window.escape(start.data)));
	}

	/**
	 * Prepare the nodes around where pasted content is to land.
	 *
	 * @param {WrappedRange} range
	 */
	function prepRangeForPaste(range) {
		if (rangeStartsAtProppedParagraph(range)) {
			if (3 === range.startContainer.nodeType) {
				range.startContainer.data = '';
			} else {
				range.startContainer.innerHTML = ' ';
			}
			range.startOffset = 0;

			// Because of situations like <p>[ ]</p> or <p>[<br/>]</p>
			if (range.endContainer === range.startContainer) {
				range.endOffset = 0;
			}
		}
	}

	/**
	 * Checks if browser and document mode are 9 or above versions.
	 * @param  {Document} doc
	 * @return {boolean}
	 */
	function isIEorDocModeGreater9(doc) {
		return Browser.ie && doc.documentMode >= 9;
	}

	/**
	 * Gets the pasted content and inserts them into the current active
	 * editable.
	 *
	 * @param {jQuery.<HTMLElement>} $clipboard A jQuery object containing an
	 *                                          element holding the copied
	 *                                          content that will be placed at
	 *                                          the given range.
	 * @param {WrappedRange} range The range at which to place the contents
	 *                             from $clipboard.
	 *
	 * @param {function=} callback An optional callback function to call after
	 *                             pasting is completed.
	 */
	function paste($clipboard, range, callback) {
		if (!range) {
			return;
		}

		var content = $clipboard.html();
		var handler = ContentHandlerManager.get('formatless');

		content = handler ? handler.handleContent(content) : content;

		// Because IE inserts an insidious nbsp into the content during pasting
		// that needs to be removed.  Leaving it would otherwise result in an
		// empty paragraph being created right before the pasted content when
		// the pasted content is a paragraph.
		if (IS_IE && /^&nbsp;/.test(content)) {
			content = content.substring(6);
		}

		restoreSelection(range);
		prepRangeForPaste(range);

		if (Aloha.queryCommandSupported('insertHTML')) {
			Aloha.execCommand('insertHTML', false, content);
		} else {
			Console.error(
				'Common.Paste',
				'Command "insertHTML" not available. Enable the plugin "common/commands".'
			);
		}

		$clipboard.contents().remove();

		if (typeof callback === 'function') {
			callback();
		}
	}

	/**
	 * Handles the "paste" event initiating from the $CLIPBOARD element.
	 *
	 * @param {jQuery.Event} $event Event at paste.
	 * @param {WrappedRange} range The range to where to direct the contents
	 *                             of the $CLIPBOARD element.
	 * @param {function=} onInsert Optional callback to be invoked after pasting
	 *                            is completed.
	 */
	function onPaste($event, range, onInsert) {
		// Because we do not want the smartContentChange method to process this
		// event if the metaKey property had been set.
		$event.metaKey = null;
		$event.stopPropagation();

		// Because yeiling here allows for a small execution window to ensure
		// that the pasted content has been inserted into the paste div before
		// we attempt to retrieve it.
		window.setTimeout(function () {
			paste($CLIPBOARD, range, onInsert);
			Aloha.activeEditable.smartContentChange($event);
		}, 10);
	}

	/**
	 * Prepare each editable that is created to handle its paste events via the
	 * invisible paste div.
	 *
	 * Bind appropriate events handlers to the given editable element to be
	 * able to intercept paste events target tot it.
	 *
	 *  TODO: Move to paste command?
	 *  http://support.mozilla.com/en-US/kb/Granting%20JavaScript%20access%20to%20the%20clipboard
	 *  https://code.google.com/p/zeroclipboard/
	 *
	 * @param {jQuery.<HTMLElement>} $editable jQuery object containing an
	 *                                         editable DOM element.
	 */
	function prepare($editable) {
		// Clipboard in IE can no be used, because it does not return HTML content, just text
		// (http://msdn.microsoft.com/en-us/library/ie/ms536436(v=vs.85).aspx).
		// We relay on range.execCommand('paste') for the paste, but for IE9 and above the pasted content
		// is treated differently (it replaces '\n' by '<br>').
		var doc = $editable[0].ownerDocument;
		if (isIEorDocModeGreater9(doc)) {
			$editable.on('beforepaste', function ($event) {
				if ($event.target.nodeName === 'INPUT' ||
					$event.target.nodeName === 'TEXTAREA') {
					// We have to let the browser handle most events concerning
					// text input telements.
					return;
				}

				scrollPositionBeforePaste.x = window.scrollX ||
					document.documentElement.scrollLeft;
				scrollPositionBeforePaste.y = window.scrollY ||
					document.documentElement.scrollTop;

				ieRangeBeforePaste = CopyPaste.getRange();
				redirect(ieRangeBeforePaste, $CLIPBOARD);
				$event.stopPropagation();
			});
		} else {
			$editable.on('paste', function ($event) {
				if ($event.target.nodeName === 'INPUT' ||
					$event.target.nodeName === 'TEXTAREA') {
					return;
				}

				scrollPositionBeforePaste.x = window.scrollX ||
					document.documentElement.scrollLeft;
				scrollPositionBeforePaste.y = window.scrollY ||
					document.documentElement.scrollTop;

				var range = CopyPaste.getRange();

				try {
					if ($event.originalEvent instanceof ClipboardEvent) {
						$event.preventDefault();
						/** @type {DataTransfer} */
						var data = $event.originalEvent.clipboardData;
						var rawPaste = data.getData('text/html');
						if (rawPaste !== '') {
							$CLIPBOARD.append($(rawPaste));
							onPaste($event, range);
							return;
						}
					}
				} catch (ignored) { }

				redirect(range, $CLIPBOARD);
				if (IS_IE) {
					$event.preventDefault();
					var tmpRange = document.selection.createRange();
					tmpRange.execCommand('paste');
				}
				onPaste($event, range);
			});
		}
	}

	return Plugin.create('paste', {

		settings: {},

		init: function () {
			$('body').append($CLIPBOARD);

			Aloha.bind('aloha-editable-created', function ($event, editable) {
				prepare(editable.obj);
			});

			if (isIEorDocModeGreater9($CLIPBOARD[0].ownerDocument)) {
				// Bind a handler to the paste event of the pasteDiv to get the
				// pasted content (but do this only once, not for every editable)
				$CLIPBOARD.on('paste', function ($event) {
					onPaste($event, ieRangeBeforePaste, function () {
						ieRangeBeforePaste = null;
					});
				});
			}
		},

		/**
		 * Register the given paste handler
		 * @deprecated
		 * @param pasteHandler paste handler to be registered
		 */
		register: function (pasteHandler) {
			Console.deprecated('Plugins.Paste', 'register() for pasteHandler' +
				' is deprecated.  Use the ' +
				'ContentHandler Plugin ' +
				'instead.');
		}
	});
});
/* autoparagraph-plugin.js is part of the Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2014 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * License http://aloha-editor.org/license.php
 */
/**
 * @name autoparagraph
 * @namespace Autoparagraph plugin
 */
define('autoparagraph/autoparagraph-plugin',[
	'jquery',
	'PubSub',
	'aloha/plugin',
	'aloha/core',
	'aloha/content-rules',
	'util/html',
	'util/dom'
], function (
	$,
	PubSub,
	Plugin,
	Aloha,
	ContentRules,
	Html,
	Dom
) {
	'use strict';

	/**
	 * Name of this plugin
	 */
	var pluginName = 'autoparagraph';

	var configurations = {};

	/**
	 * Auto-generate missing paragraphs in the given editable, when the editable allows insertion of paragraphs.
	 * If the editable is the currently active one, the current selection will be modified according to the content
	 * changes and the corrected range will be selected.
	 * This means that the visual selection should remain in its original state
	 * 
	 * @param {Editable} editable
	 */
	function autogenerateParagraphs(editable) {
		if (!editable) {
			return;
		}
		var $obj = editable.obj;
		if (!$obj) {
			return;
		}
		var obj = $obj[0], i, j, selectionRange = Aloha.Selection.rangeObject, contentChanged = false;

		// check whether nesting of paragraphs inside the editable is allowed
		if (!Dom.allowsNesting(obj, $('<p></p>')[0])) {
			return;
		}

		// collect lists of subsequent child elements of the editable,
		// that are no block level elements (and thus need to be wrapped
		// into a paragraph)
		var nonBlockRanges = [];
		var current;
		$obj.contents().each(function () {
			if (!Html.isBlock(this)) {
				if (!current) {
					// start a new list
					current = {
						objs: []
					};
					nonBlockRanges.push(current);
				}

				// add the DOM element to the current list
				current.objs.push(this);
			} else {
				// we found a block element, so we are done with the current list
				current = null;
			}
		});

		// wrap all non-block lists into p Tags
		// in other words: replace the list of sibling DOM elements with
		// a single (new) paragraph, that will contain the list of DOM
		// elements as children
		for (i = 0; i < nonBlockRanges.length; i++) {
			var range = nonBlockRanges[i];
			var indexStart = Dom.getIndexInParent(range.objs[0]);
			var indexEnd = Dom.getIndexInParent(range.objs[range.objs.length - 1]);
			var $p = $('<p></p>');

			// correct the start of the selection range, if necessary
			if (selectionRange.startContainer === obj) {
				if (selectionRange.startOffset > indexStart && selectionRange.startOffset <= indexEnd) {
					selectionRange.startContainer = $p[0];
					selectionRange.startOffset -= indexStart;
				} else if (selectionRange.startOffset > indexEnd) {
					selectionRange.startOffset -= (indexEnd - indexStart);
				}
			}
			// correct the end of the selection range, if necessary
			if (selectionRange.endContainer === obj) {
				if (selectionRange.endOffset > indexStart && selectionRange.endOffset <= indexEnd) {
					selectionRange.endContainer = $p[0];
					selectionRange.endOffset -= indexStart;
				} else if (selectionRange.endOffset > indexEnd) {
					selectionRange.endOffset -= (indexEnd - indexStart);
				}
			}

			// insert the paragraph right before the old dom elements
			$(range.objs[0]).before($p);
			// move all old dom elements into the paragraph
			for (j = 0; j < range.objs.length; j++) {
				$p[0].appendChild(range.objs[j]);
			}
			contentChanged = true;
		}

		// select the corrected selection, but only if we changed
		// something in the content and the editable is the active one
		if (contentChanged && editable.isActive) {
			selectionRange.select();
		}
	}

	/**
	 * Checks whether or not pluginName is activated for an editable.
	 *
	 * @param {object} The plugin/editable configuration.
	 * @return {boolean} True if activated.
	 */
	function isPluginActivated(config) {
		return (
			$.type(config) === 'array' && $.inArray(pluginName, config) !== -1
		);
	}

	/**
	 * @type {Aloha.Plugin}
	 */
	var autoParagraphPlugin = Plugin.create(pluginName, {
		/**
		 * Default config: plugin active for all editables
		 */
		config: [pluginName],

		/**
		 * Initialize the plugin
		 */
		init: function () {
			var plugin = this;

			// autogenerate paragraphs when a new editable is created
			PubSub.sub('aloha.editable.created', function (message) {
				var editable = message.editable;
				var config = plugin.getEditableConfig(editable.obj);
				var enabled = config
				           && ($.inArray(pluginName, config) > -1)
				           && ContentRules.isAllowed(editable.obj[0], 'p');
				configurations[editable.getId()] = !!enabled;
				if (enabled) {
					autogenerateParagraphs(editable);
				}
			});

			// autogenerate paragraphs upon smart content change
			Aloha.bind('aloha-smart-content-changed', function (event, data) {
				if (configurations[data.editable.getId()]) {
					autogenerateParagraphs(data.editable);
				}
			});
		}
	});

	return autoParagraphPlugin;
});

define('toc/nls/i18n',{
	"root":  {
		"button.addtoc.tooltip": "Table of contents"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/* toc-plugin.js is part of the Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2014 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 * License  http://aloha-editor.org/license.php
 */
define('toc/toc-plugin',[
	'jquery',
	'PubSub',
	'aloha',
	'aloha/plugin',
	'aloha/content-rules',
	'ui/ui',
	'ui/icons',
	'ui/button',
	'util/dom',
	'i18n!toc/nls/i18n'
], function (
	$,
	PubSub,
	Aloha,
    Plugin,
	ContentRules,
	Ui,
	Icons,
	Button,
	Dom,
	i18n
) {
	'use strict';

	var namespace = 'toc';
	var $containers = null;
	var allTocs = [];
	var configurations = {};

	var CLASS_CUSTOMIZED = 'aloha-customized';

	/* helper functions */
	function last(a) { return a[a.length - 1]; }
	function head(a) { return a[0]; }
	function tail(a) { return a.slice(1); }
	function indexOf(a, item) {
		return detect(a, function (cmp){
			return cmp === item;
		});
	}
	function detect(a, f) {
		for (var i = 0; i < a.length; i++) {
			if (f(a[i])) {
				return a[i];
			}
		}
		return null;
	}
	function map(a, f) {
		var result = [];
		for (var i = 0; i < a.length; i++) {
			result.push(f(a[i]));
		}
		return result;
	}

    function editableContainers() {
	    return $(map(Aloha.editables, function (editable) {
			return document.getElementById(editable.getId());
		}));
    }

    function anchorFromLinkId($ctx, linkId) {
        return linkId ? $ctx.find('a[href $= "#' + linkId + '"]') : $();
    }

	function generateId(elemOrText) {
	    var validId;
	    if (typeof elemOrText === 'object') {
	        validId = $(elemOrText).text()
			                       .replace(/[^a-zA-Z-]+/g, '-')
			                       .replace(/^[^a-zA-Z]+/, '');
	    } else if (elemOrText) {
	        validId = elemOrText;
	    }
	    for (var uniquifier = 0; ; uniquifier++) {
	        var uniqueId = validId;
	        if (uniquifier) {
	            uniqueId += '-' + uniquifier;
	        }
	        var conflict = $('#' + uniqueId);
	        if (conflict.length === 0 || (typeof elemOrText === 'object' && conflict === elemOrText)) {
				return uniqueId;
	        }
	    }
	}

	return Plugin.create(namespace, {
		minEntries: 0,
		updateInterval: 5000,
		config: ['toc'],

		init: function () {
			var plugin = this;

			if (typeof plugin.settings.minEntries === 'undefined') {
				plugin.settings.minEntries = plugin.minEntries;
			}

			if (typeof plugin.settings.updateInterval === 'undefined') {
				plugin.settings.updateInterval = plugin.updateInterval;
			}

			plugin._insertTocButton = Ui.adopt('insertToc', Button, {
		        tooltip: i18n.t('button.addtoc.tooltip'),
		        icon: Icons.LIST_ORDERED,
		        click: function () {
					plugin.insertAtSelection($containers);
				}
			});

			PubSub.sub('aloha.editable.created', function (message) {
				var editable = message.editable;
				var config = plugin.getEditableConfig(editable.obj);
				var enabled = config
				           && ($.inArray('toc', config) > -1)
				           && ContentRules.isAllowed(editable.obj[0], 'ol');
				configurations[message.editable.getId()] = enabled;
			});

			PubSub.sub('aloha.editable.destroyed', function (message) {
				delete configurations[message.editable.getId()];
			});

			PubSub.sub('aloha.editable.activated', function (message) {
				plugin._insertTocButton.show(
					configurations[message.editable.getId()]
				);
			});

			$(document).ready(function () {
				plugin.spawn();
			});
	    },

		register: function ($c) {
			$containers = $c;
		},

	    /**
	     * inserts a new TOC at the current selection
	     */
	    insertAtSelection: function ($containers) {
			if (!Aloha.activeEditable) {
				return;
			}
		    $containers = $containers || editableContainers();
			var id = generateId('toc');
	        var $toc = $('<ol class="toc_root"></ol>').attr('id', id).attr('contentEditable', 'false');
		    Dom.insertIntoDOM(
				$toc,
				Aloha.Selection.getRangeObject(),
				$('#' + Aloha.activeEditable.getId())
			);
		    this.create(id).register($containers).update().tickTock();
	    },

		/**
		 * Spawn containers for all ols with the toc_root class.
		 */
		spawn: function ($ctx, $containers) {
			var plugin  = this;
			$ctx        = $ctx        || $('body');
			$containers = $containers || editableContainers();
			$ctx.find('ol.toc_root').each(function () {
				var id = $(this).attr('id');
				if (!id) {
					id = generateId('toc');
					$(this).attr('id', id);
				}
				plugin.create(id).register($containers).tickTock();
			});
		},

	    create: function (id) {
			allTocs.push(this);
	        return {
				'id': id,
				'$containers': $(),
				'settings': this.settings,

				/**
				 * find the TOC root element for this instance
				 */
				root: function () {
					return $('#' + this.id);
				},

				/**
				 * registers the given containers with the TOC. a
				 * container is an element that may begin or contain
				 * sections. Note: use .live on all [contenteditable=true]
				 * to catch dynamically added editables.
				 * the same containers can be passed in multiple times. they will
				 * be registered only once.
				 */
				register: function ($containers) {
					var self = this;
					// the .add() method ensures that the $containers will be in
					// document order (required for correct TOC order)

					self.$containers = self.$containers.add($containers);
					self.$containers.filter(function () {
						return !$(this).data(namespace + '.' + self.id + '.listening');
					}).each(function () {
						var $container = $(this);
						$container.data(namespace + '.' + self.id + '.listening', true);
						$container.on('blur', function () {
							self.cleanupIds($container.get(0));
							self.update($container);
						});
					});
					return self;
				},

				tickTock: function (interval) {
					var self = this;
					interval = interval || this.settings.updateInterval;
					if (!interval) {
						return;
					}
					window.setInterval(function () {
						self.register(editableContainers());
						// TODO: use the active editable instead of rebuilding
						// the entire TOC
						self.update();
					}, interval);
					return self;
				},

				/**
				 * there are various ways which can cause duplicate ids on targets
				 * (e.g. pressing enter in a heading and writing in a new line, or
				 * copy&pasting). Passing a ctx updates only those elements
				 * either inside or equal to it.
				 * TODO: to be correct this should do
				 *  a $.contains(documentElement...
				 */
				cleanupIds: function (ctx) {
					var ids = new Set();
					if (!ctx) {
						return this;
					}

					// Do not cleanup customized headings, as they are manually set and shouldn't be touched.
					this.headings(this.$containers).not('.' + CLASS_CUSTOMIZED).each(function () {
						var id = $(this).attr('id');
						if (!id) {
							return;
						}
						// If id is already used, and this heading is contained in the context, then we need to generate a new one
						if (ids.has(id) && ($.contains(ctx, this) || ctx === this)) {
							$(this).attr('id', generateId(this));
						}
						ids.add(id);
					});

					return this;
				},

				/**
				 * Updates the TOC from the sections in the given context, or in
				 * all containers that have been registered with this TOC, if no
				 * context is given.
				 */
				update: function ($ctx) {
					var self = this;
					$ctx = $ctx || self.$containers;
					var outline = this.outline(self.$containers);
					var ancestors = [self.root()];
					var prevSiblings = [];
					//TODO: handle TOC rebuilding more intelligently. currently,
					//the TOC is always rebuilt from scratch.
					last(ancestors).empty();
					(function descend(outline) {
						var prevSiblings = [];
						map(outline, function (node) {
							var $section = head(node);
							var $entry = self.linkSection($section, ancestors, prevSiblings);
							ancestors.push($entry);
							descend(tail(node));
							ancestors.pop();
							prevSiblings.push($entry);
						});
					})(tail(outline));

					// count number of li's in the TOC, if less than minEntries, hide the TOC
					var minEntries = self.root().attr('data-TOC-minEntries') || this.settings.minEntries;
					if (self.root().find('li').length >= minEntries) {
						self.root().show();
					} else {
						self.root().hide();
					}

					return this;
				},
				/**
				 * updates or creates an entry in the TOC for the given section.
				 */
				linkSection: function ($section, ancestors, prevSiblings) {
					var linkId = $section.eq(0).attr('id');
					if (!linkId) {
						linkId = generateId($section.get(0));
						$section.eq(0).attr('id', linkId);
					}
					var $root = this.root();
					var $entry = anchorFromLinkId($root, linkId);
					if (!$entry.length) {
						$entry = $('<li><a></a></li>');
					}
					$entry.find('a').attr('href', '#' + linkId).text($section.eq(0).text());
					if (last(prevSiblings)) {
						last(prevSiblings).after($entry);
					} else {
						if (last(ancestors).get(0) === $root.get(0)) {
							$root.append($entry);
						} else {
							last(ancestors).append($('<ol></ol>').append($entry));
						}
					}
					return $entry;
				},

				/**
				 * returns a tree of sections in the given context. if the context
				 * element(s) begin a section, they will be included. First element
				 * of each branch in the tree is a $(section) or $() for the
				 * root node.
				 * TODO: http://www.w3.org/TR/html5/sections.html#outline
				 */
				outline: function (ctx) {
					var rootNode = [$()];
					var potentialParents = [rootNode];
					this.headings(ctx).each(function () {
						var $heading = $(this);
						var nodeName = this.nodeName.toLowerCase();
						var hLevels = ['h6', 'h5', 'h4', 'h3', 'h2', 'h1'];
						var currLevel = $.inArray(nodeName, hLevels);
						var higherEq = hLevels.slice(currLevel).join(',');
						var $section = $heading.nextUntil(higherEq).addBack();
						var node = [$section];
						var parent = detect(potentialParents, function (parent) {
							var parentSection = parent[0];
							return !parentSection.length || //top-level contains everything
								detect(parentSection, function (sectionElem) {
									return $heading.get(0) === sectionElem || $.contains(sectionElem, $heading.get(0));
								});
						});
						parent.push(node);
						potentialParents.splice(0, indexOf(potentialParents, parent), node);
					});
					return rootNode;
				},

				headings: function ($ctx) {
					return $ctx.find(':header').add($ctx.filter(':header'));
				}
			};
		}
	});
});

define('cite/nls/i18n',{
	"root":  {
		"cite.button.add.quote": "Insert quote",
		"cite.button.edit.quote": "Edit selected quote",
		"cite.button.add.blockquote": "Format selection as blockquote",
		"cite.label.source": "Source",
		"cite.label.note": "Note",
		"button.removeCite.tooltip": "Remove cite",
		"button.blockquote.tooltip": "Block quote"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/* cite-plugin.js is part of the Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2024 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 * License http://aloha-editor.org/license.php
 */
define('cite/cite-plugin',[
    'aloha',
	'jquery',
	'PubSub',
	'aloha/plugin',
	'aloha/content-rules',
	'ui/ui',
	'ui/icons',
	'ui/toggleSplitButton',
	'ui/modal',
	'ui/overlayElement',
	'ui/scopes',
	'ui/utils',
	'format/format-plugin',
	'util/dom',
	'i18n!cite/nls/i18n'
], function (
	Aloha,
	$,
	PubSub,
	Plugin,
	ContentRules,
	Ui,
	Icons,
	ToggleSplitButton,
	Modal,
	OverlayElement,
	Scopes,
	Utils,
	Format,
	domUtils,
	i18n
) {
	'use strict';

	var NODE_NAME_Q = 'Q';
	var NODE_NAME_BLOCKQUOTE = 'BLOCKQUOTE';

	var configurations = {};
	var ns  = 'aloha-cite';
	var globalCiteId = 0;

	/**
	 * Simple templating
	 *
	 * @param {String} str - The string containing placeholder keys in curly
	 *                       brackets
	 * @param {Object} obj - Associative array of replacing placeholder keys
	 *                       with corresponding values
	 */
	function supplant(str, obj) {
		return str.replace(/\{([a-z0-9\-\_]+)\}/ig,
			function (str, p1, offset, s) {
				var replacement = obj[p1] || str;
				return (typeof replacement === 'function') ?
					replacement() :
					replacement;
			});
	}

	/**
	 * Generates a selector string with this plugins's namespace prefixed the
	 * each classname.
	 *
	 * Usage:
	 *    nsSel('header,', 'main,', 'foooter ul')
	 *    will return
	 *    ".aloha-myplugin-header, .aloha-myplugin-main, .aloha-mypluzgin-footer ul"
	 *
	 * @return {string}
	 */
	function nsSel() {
		var strBldr = [], prx = ns;
		$.each(arguments, function () {
			strBldr.push('.' + ('' === this ? prx : prx + '-' + this));
		});
		return $.trim(strBldr.join(' '));
	}

	/**
	 * Generates a string with this plugins's namespace prefixed the each
	 * classname.
	 *
	 * Usage:
	 *		nsClass('header', 'innerheaderdiv')
	 *		will return
	 *		"aloha-myplugin-header aloha-myplugin-innerheaderdiv"
	 *
	 * @return {string}
	 */
	function nsClass() {
		var strBldr = [], prx = ns;
		$.each(arguments, function () {
			strBldr.push('' === this ? prx : prx + '-' + this);
		});
		return $.trim(strBldr.join(' '));
	}

	/**
	 * Checks if an element has a data-cite-id and, if not, adds one.
	 * @param effective jQuery object representing the element to be checked.
	 * @return {number} The cite-id for this element.
	 */
	function assureCitationHasId(effective) {
		var activeUid = effective.attr('data-cite-id');
		if (!activeUid) {
			activeUid = ++globalCiteId;
			effective.addClass([nsClass('wrapper')].join(' '));
			effective.addClass('aloha-cite-' + activeUid);
			effective.attr('data-cite-id', activeUid);
		}
		return activeUid;
	}

	return Plugin.create('cite', {
		citations: [],
		referenceContainer: null,
		settings: null,
		config: ['quote', 'blockquote'],

		init: function () {
			var plugin = this;

			// Harvest configuration options that may be defined outside the plugin.
			if (Aloha.settings && Aloha.settings.plugins && Aloha.settings.plugins.cite) {

				var referenceContainer = $(Aloha.settings.plugins.cite.referenceContainer);

				if (referenceContainer.length) {
					plugin.referenceContainer = referenceContainer;
				}

				if (typeof Aloha.settings.plugins.cite !== 'undefined') {
					plugin.settings = Aloha.settings.plugins.cite;
				}
			}

			this._quoteButton = Ui.adopt('quote', ToggleSplitButton, {
				tooltip: i18n.t('cite.button.add.quote'),
				icon: Icons.QUOTE,
				pure: true,
				contextType: 'modal',
				secondaryClick: function () {
					plugin.showQuoteModal();
				},
				onToggle: function (activated) {
					if (activated) {
						plugin.showQuoteModal(true);
					} else {
						plugin.removeQuote();
					}
				}
			});

			// We brute-forcishly push our button settings into the format plugin configuration.
			Format.config['blockquote'] = {
				icon: Icons.QUOTE,
				label: i18n.t('button.blockquote.tooltip'),
				typography: true,
				header: false,
			};

			PubSub.sub('aloha.format.pre_change', function (message) {
				if (message.oldFormat === 'blockquote' && message.newFormat !== 'blockquote') {
					plugin.removeQuote()
				}
			});
			PubSub.sub('aloha.format.changed', function (message) {
				if (message.oldFormat !== 'blockquote' && message.newFormat === 'blockquote') {
					plugin.initBlockQuote();
				}
			});

			PubSub.sub('aloha.editable.created', function (message) {
				var editable = message.editable;
				var config = plugin.getEditableConfig(editable.obj);

				var isQuoteEnabled = config
					&& ($.inArray('quote', config) > -1)
					&& ContentRules.isAllowed(editable.obj[0], NODE_NAME_Q);

				var isBlockQuoteEnabled = config
					&& ($.inArray('blockquote', config) > -1)
					&& ContentRules.isAllowed(editable.obj[0], NODE_NAME_BLOCKQUOTE);

				configurations[editable.getId()] = {
					quote: isQuoteEnabled,
					blockquote: isBlockQuoteEnabled
				};
			});

			PubSub.sub('aloha.editable.activated', function (message) {
				var config = configurations[message.editable.getId()];
				plugin._quoteButton.show(!!config.quote);
			});

			PubSub.sub('aloha.editable.destroyed', function (message) {
				delete configurations[message.editable.getId()];
			});

			PubSub.sub('aloha.selection.context-change', function (message) {
				var quoteFound = false;
				var nodeName;
				var effective = message.range.markupEffectiveAtStart;
				var i = effective.length;
				plugin.effective = $();

				// Check whether any of the effective items are citation tags
				while (i) {
					nodeName = effective[--i].nodeName;
					if (nodeName === NODE_NAME_Q || nodeName === NODE_NAME_BLOCKQUOTE) {
						quoteFound = true;
						assureCitationHasId($(effective[i]));
						$.merge(plugin.effective, $(effective[i]));
					}
				}

				plugin._quoteButton.setActive(quoteFound);

				if (!Aloha.activeEditable) {
					return;
				}

				var config = configurations[Aloha.activeEditable.getId()];

				plugin._quoteButton.show(!!config.quote);
			});
		},

		/**
		 * Create component context for insert quote button.
		 *
		 * @param existingQuote The existing quote if applicable.
		 */
		createQuoteContext: function (existingQuote) {
			let toggleActive = false;
			let title = i18n.t('cite.button.add.quote');
			let cite = '';
			let note = '';

			if (existingQuote) {
				let quoteIdx = this.getIndexOfCitation(existingQuote.getAttribute('data-cite-id'));

				toggleActive = true;
				title = i18n.t('cite.button.edit.quote');
				cite = existingQuote.cite;
				note = this.citations[quoteIdx].note;
			}

			return {
				title: title,
				controls: {
					cite: {
						type: 'input',
						options: {
							label: i18n.t('cite.label.source')
						}
					},
					note: {
						type: 'input',
						options: {
							label: i18n.t('cite.label.note')
						}
					}
				},
				initialValue: {
					cite: cite,
					note: note
				}
			}
		},

		/**
		 * Opens the create/edit quote modal.
		 */
		showQuoteModal: function () {
			let plugin = this;
			let range = Aloha.Selection.getRangeObject();
			let limit = Aloha.activeEditable.obj;

			if (limit[0] && limit[0].nodeName === NODE_NAME_Q || limit[0].nodeName === NODE_NAME_BLOCKQUOTE) {
				limit = limit.parent();
			}

			let foundMarkup = range.findMarkup(
				function (node) {
					return node != null && (node.nodeName === NODE_NAME_Q || node.nodeName === NODE_NAME_BLOCKQUOTE);
				},
				limit);

			return Modal.openDynamicModal(
				this.createQuoteContext(foundMarkup)
			).then(function (control) {
				return control.value;
			}).then(function (formData) {
				if (foundMarkup) {
					plugin.addCiteDetails(foundMarkup.getAttribute('data-cite-id'), formData.cite, formData.note);
				} else {
					// When no markup was found, a new inline quote is created. The markup for blockquotes
					// is generated before the modal is shown.
					let createdQuote = plugin.addInlineQuote();

					plugin.addCiteDetails(createdQuote.data('cite-id'), formData.cite, formData.note);
				}
			}).catch(function (error) {
				try {
					return Utils.handleUserCloseErrors(error);
				} catch (nonCloseError) {
					console.error(nonCloseError);
				}
			});
		},

		/**
		 * Do a binary search through all citations for a given uid.  The bit
		 * shifting may be a *bit* of an overkill, but with big lists it proves
		 * to be significantly more performant.
		 *
		 * @param {string} uid Th uid of the citation to retreive.
		 * @return {number} The 0-based index of the first citation found that
		 *                  matches the given uid. -1 of no citation is found
		 *                  for the given uid,
		 */
		getIndexOfCitation: function (uid) {
			var c = this.citations;
			var max = c.length;
			var min = 0;
			var mid;
			var cuid;
			while (min < max) {
				mid = (min + max) >> 1; // Math.floor(i) / 2 == i >> 1 == ~~(i / 2)
				cuid = c[mid].uid;
				// Don't do strict comparison here or you'll get an endless loop
				if (cuid == uid) {
					return mid;
				}
				if (cuid > uid) {
					max = mid;
				} else if (cuid < uid) {
					min = mid + 1;
				}
			}
			return this.citations.push({
				uid   : uid,
				link  : null,
				notes : null
			}) - 1;
		},

		/**
		 * Formats the current selection with blockquote.
		 */
		initBlockQuote: function () {
			if (Aloha.activeEditable) {
				$(Aloha.activeEditable.obj[0]).click();
			}

			// Check whether the markup is found in the range (at the start of the range).
			let foundMarkup = Aloha.Selection.rangeObject.findMarkup(
				function () {
					if (this.nodeName && (typeof this.nodeName === 'string')) {
						return this.nodeName === NODE_NAME_BLOCKQUOTE;
					}

					return false;
				},
				Aloha.activeEditable.obj);

			if (foundMarkup) {
				let citeId = foundMarkup.getAttribute('data-cite-id');

				if (!citeId) {
					citeId = ++globalCiteId;

					foundMarkup.classList.add('aloha-cite-wrapper');
					foundMarkup.classList.add('data-cite-' + citeId);
					foundMarkup.setAttribute('data-cite-id', citeId);
				}

				if (this.referenceContainer) {
					this.addCiteToReferences(citeId);
				}

				this.showQuoteModal(false);

				return foundMarkup;
			}

			return false;
		},

		/**
		 * Removes quote. Returns true if a quote was found and removed.
		 * @return {boolean} True if quote markup was removed and false otherwise.
		 */
		removeQuote: function () {
			var foundMarkup;
			var rangeObject = Aloha.Selection.rangeObject;

			if (Aloha.activeEditable) {
				$(Aloha.activeEditable.obj[0]).click();
			}

			// Check whether the markup is found in the range (at the start of
			// the range).
			foundMarkup = rangeObject.findMarkup(function () {
				if (this.nodeName &&
					(typeof this.nodeName === 'string')) {

					return this.nodeName === NODE_NAME_Q
						|| this.nodeName === NODE_NAME_BLOCKQUOTE;
				}

				return false;
			}, Aloha.activeEditable.obj);

			// If the we click the quote button on a range that contains quote
			// markup, then we will remove the quote markup, otherwise we will
			// wrap the selection in a quote.
			if (foundMarkup) {
				var citUid = $(foundMarkup).attr('data-cite-id');
				this.removeCiteFromReferences(citUid);

				var $quotes = $('q[data-cite-id=' + citUid + '],blockquote[data-cite-id=' + citUid + ']');

				$quotes.each(function () {
					domUtils.removeFromDOM(this, rangeObject, true);
				});

				rangeObject.select();

				return true;
			}
			return false;
		},

		addInlineQuote: function () {
			var classes = [nsClass('wrapper'), nsClass(++globalCiteId)].join(' ');

			var markup = $(supplant(
					'<q class="{classes}" data-cite-id="{uid}"></q>',
					{ uid: globalCiteId, classes: classes }
			));

			var rangeObject = Aloha.Selection.rangeObject;

			// When the range is collapsed, extend it to a word.
			if (rangeObject.isCollapsed()) {
				domUtils.extendToWord(rangeObject);
			}

			domUtils.addMarkup(rangeObject, markup);
			domUtils.doCleanup({
				'merge': true,
				'removeempty': true,
				'mergeable': function (obj) {
					return obj.nodeName === NODE_NAME_Q;
				}
			}, rangeObject);

			// If the cite is not found, it was not created. Probably for
			// a incorrect caret position.
			if ($('[data-cite-id=' + globalCiteId + ']').length === 0) {
				return false;
			}

			// select the modified range
			rangeObject.select();

			if (this.referenceContainer) {
				this.addCiteToReferences(globalCiteId);
			}

			return markup;
		},

		/**
		 * Creates the 'sup' element and 'a' anchor added at the end of the cite.
		 * @param {String} ref
		 * @param {String} note
		 * @param {String} index
		 * @return {String}
		 */
		createCiteAnchor: function (ref, note, index) {
			return supplant(
				'<sup id="{ref}" contenteditable="false"><a href="#{note}">[{count}]</a></sup>',
				{ ref: ref, note: note, count: index + 1 }
			);
		},

		/**
		 * Removes cite from references
		 * @param uid
		 */
		removeCiteFromReferences: function (uid) {
			var index = this.getIndexOfCitation(uid);
			var wrapper = $('.aloha-editable-active ' + nsSel(uid));
			var note = 'cite-note-' + uid;
			var ref = 'cite-ref-'  + uid;

			this.citations.splice(index, 1);
			wrapper.find('sup#' + ref).remove();
			this.createCiteAnchor(ref, note, index);

			if (this.referenceContainer) {
				this.referenceContainer.find('ol.references li#' + note).remove();

				if (0 === this.referenceContainer.find('ol.references li').length) {
					this.referenceContainer.find('h2').remove();
					this.referenceContainer.find('ol.references').remove();
				} else {
					for (var i = index; i < this.citations.length; i++) {
						var $cite = $('.aloha-editable-active ' + nsSel(this.citations[i].uid));
						note = 'cite-note-' + this.citations[i].uid;
						ref = 'cite-ref-'  + this.citations[i].uid;

						$cite.find('sup#cite-ref-' + this.citations[i].uid).remove();
						$cite.append(this.createCiteAnchor(ref, note, i));
					}
				}
			}
		},

		/**
		 * Adds an item for the citation matching the given uid to the
		 * references list. If no OL list for references exist, we create one.
		 * This method will assume that this.referenceContainer is a jQuery
		 * object container into which the references list should be built.
		 *
		 * @param {string} referenceCiteId The uid of the citation to add.
		 */
		addCiteToReferences: function (referenceCiteId) {
			var index = this.getIndexOfCitation(referenceCiteId);

			var wrapper = $('.aloha-editable-active ' + nsSel(referenceCiteId));
			var note = 'cite-note-' + referenceCiteId;
			var ref = 'cite-ref-'  + referenceCiteId;

			wrapper.append(this.createCiteAnchor(ref, note, index));

			if (0 === this.referenceContainer.find('ol.references').length) {
				this.referenceContainer
					.append('<h2>References</h2>')
					.append('<ol class="references"></ol>');
			}
			this.referenceContainer.find('ol.references').append(
					supplant(
						'<li id="{note}"><a href="#{ref}">^</a> &nbsp; <span></span></li>',
						{ ref  : ref, note : note }
					)
			);
		},

		/**
		 * Updates the citation reference in memory, and in the references list
		 * when a user adds or changes information for a given citation.
		 *
		 * @param {string} uid
		 * @param {string} link
		 * @param {string} note
		 */
		addCiteDetails: function (uid, link, note) {
			this.citations[this.getIndexOfCitation(uid)] = {
				uid  : uid,
				link : link,
				note : note
			};
			if (link) {
				$('.aloha-cite-' + uid).attr('cite', link);
			}
			if (this.referenceContainer) {
				$('li#cite-note-' + uid + ' span').html((
					link ? '<a class="external" target="_blank" href="' + link + '">' + link + '</a>'
					     : ''
				) + (note ? '. ' + note : ''));
			}
		},

		/**
		 * Makes the given jQuery object (representing an editable) clean for
		 * saving Find all quotes and remove editing objects.
		 *
		 * @param {jQuery.<Element>} $element
		 */
		makeClean: function ($element) {
			var plugin = this;
			$element.find('q,blockquote').each(function () {
				var $elem = $(this);
				// Remove empty class attributes
				if ($.trim($elem.attr('class')) === '') {
					$elem.removeAttr('class');
				}
				// Only remove the data cite attribute when no reference
				// container was set
				if (!plugin.referenceContainer) {
					$elem.removeClass('aloha-cite-' + $elem.attr('data-cite-id'));

					// We need to read this attribute for IE7 otherwise it will
					// crash when the attribute gets removed. In IE7 this
					// removal does not work at all. (no wonders here.. :.( )
					if ($elem.attr('data-cite-id') != null) {
						$elem.removeAttr('data-cite-id');
					}
				}
				$elem.removeClass('aloha-cite-wrapper');
			});
		}
	});
});

define('numerated-headers/nls/i18n',{
	"root":  {
		"headerids.label.target": "Target",
		"headerids.button.reset": "Reset",
		"headerids.button.set": "Set",
		"button.numeratedHeaders.tooltip": "Toggle header numeration"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/* numerated-headers-plugin.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('numerated-headers/numerated-headers-plugin',[
	'aloha/core',
	'aloha/ephemera',
	'jquery',
	'aloha/plugin',
	'ui/ui',
	'ui/icons',
	'ui/toggleButton',
	'util/browser',
	'i18n!numerated-headers/nls/i18n',
	'i18n!aloha/nls/i18n'
], function (
	Aloha,
	Ephemera,
	$,
	Plugin,
	Ui,
	Icons,
	ToggleButton,
	Browser,
	i18n,
	i18nCore
) {
	'use strict';

	/**
	 * A cache of editable configuration.
	 * @private
	 * @type {object<string, object>}
	 */
	var editableConfigurations = {};

	Aloha.bind('aloha-editable-destroyed', function (event, editable) {
		delete editableConfigurations[editable.getId()];
	});

	return Plugin.create('numerated-headers', {
		config: {
			numeratedactive: true,
			headingselector: 'h1, h2, h3, h4, h5, h6',
			trailingdot: false
		},

		/**
		 * Initialize the plugin.
		 */
		init: function () {
			var that = this;

			this._formatNumeratedHeadersButton = Ui.adopt('formatNumeratedHeaders', ToggleButton, {
				tooltip: i18n.t('button.numeratedHeaders.tooltip'),
				icon: Icons.NUMERATED_HEADERS,
				pure: true,
				onToggle: function (active) {
					if (!active) {
						that.removeNumerations();
					} else if (that.createNumeratedHeaders()) {
						that._formatNumeratedHeadersButton.activate();
					}
				}
			});

			Aloha.bind('aloha-editable-created', function (event, editable) {
				if (that.isNumeratingOn(editable)) {
					that.initForEditable(editable, true);
				}
			});

			// We need to bind to smart-content-changed event to recognize
			// backspace and delete interactions.
			Aloha.bind('aloha-smart-content-changed', function (event) {
				that.cleanNumerations();
				if (that.showNumbers()) {
					that.createNumeratedHeaders();
				}
			});
			
			// We need to listen to that event, when a block is formatted to
			// header format. smart-content-changed would be not fired in 
			// that case
			Aloha.bind('aloha-format-block', function () {
				that.cleanNumerations();
				if (that.showNumbers()) {
					that.createNumeratedHeaders();
				}
			});

			Aloha.bind('aloha-editable-activated', function (event) {
				if (that.isNumeratingOn()) {
					that._formatNumeratedHeadersButton.show();
					that.initForEditable(Aloha.activeEditable);
				} else {
					that._formatNumeratedHeadersButton.hide();
				}
			});

			Aloha.bind('aloha-editable-deactivated', function(event, params) {
				if (params.newEditable == null || !that.isNumeratingOn(params.newEditable)) {
					that._formatNumeratedHeadersButton.deactivate();
				}
			});
		},

		/**
		 * Init the toggle button (and numerating) for the current editable,
		 * if not yet done.
		 * If numerating shall be on by default and was not turned on, numbers
		 * will be created.
		 */
		initForEditable: function (editable, skipButtonState) {
			var flag = editable != null
				&& editable.obj != null
				&& editable.obj.attr('aloha-numerated-headers');
			if (flag !== 'true' && flag !== 'false') {
				flag = (true === this.getNumeratedEditableConfig(editable).numeratedactive);
				editable.obj.attr('aloha-numerated-headers', flag + '');
			} else {
				flag = flag === 'true';
			}

			if (flag) {
				this.createNumeratedHeaders(editable);
			}
			if (!skipButtonState) {
				this._formatNumeratedHeadersButton.setActive(flag);
			}
		},

		/**
		 * Get the config for the current editable
		 */
		getCurrentConfig: function () {
			if (!Aloha.activeEditable) {
				return null;
			}

			return this.getNumeratedEditableConfig(Aloha.activeEditable)
		},

		/**
		 * Get the config for the given editable
		 */
		getNumeratedEditableConfig: function (editable) {
			var config = this.getEditableConfig(editable.obj);

			// normalize config (set default values)
			if (config.numeratedactive === true || config.numeratedactive === 'true' || config.numeratedactive === '1') {
				config.numeratedactive = true;
			} else {
				config.numeratedactive = false;
			}

			if (typeof config.headingselector !== 'string') {
				config.headingselector = 'h1, h2, h3, h4, h5, h6';
			}
			config.headingselector = $.trim(config.headingselector);

			if (config.trailingdot === true || config.trailingdot === 'true' || config.trailingdot === '1') {
				config.trailingdot = true;
			} else {
				config.trailingdot = false;
			}

			return config;
		},

		/**
		 * Check whether numerating shall be possible in the current editable
		 */
		isNumeratingOn: function (editableParam) {
			var editable = editableParam;
			if (typeof editable === 'undefined' || !editable) {
				editable = Aloha.activeEditable;
			}

			return this.getNumeratedEditableConfig(editable).headingselector !== '';
		},

		/**
		 * Check whether numbers shall currently be shown in the current
		 * editable.
		 */
		showNumbers: function () {
			return (
				Aloha.activeEditable &&
				this.isNumeratingOn() &&
				(Aloha.activeEditable.obj.attr('aloha-numerated-headers') === 'true')
			);
		},
		
		/**
		 * Remove all annotations in the current editable.
		 */
		cleanNumerations: function () {
			var that = this;
			var active_editable_obj = this.getBaseElement();
			if (!active_editable_obj) {
				return;
			}
			$('div.aloha-numerated-headers-annotation-wrapper>span[role=annotation]').unwrap();
			this._safeRemoveAnnotations($(active_editable_obj).find('span[role=annotation]'));
		},
		
		/**
		 * Safely removes a jQuery collection of annotations.
		 * @param annotationcollection the collection of annotations.
		 */
		_safeRemoveAnnotations: function (annotationcollection) {
			var that = this;
			var range = Aloha.Selection.getRangeObject();
			var rangemod = false;
			annotationcollection.each(function () {
				if (range.startContainer === this || $.inArray(this, $(range.startContainer).parents()) > -1) {
			        range.startContainer = that._prevNode(this);
			        range.startOffset = 0;
			        rangemod = true;
				}
				if (range.startContainer === this.parentNode && range.startOffset >= $(this).index() && range.startOffset > 0) {
					range.startOffset --;
					rangemod = true;
				}
				//Check if the selection ends inside the annotation
				if (range.endContainer === this || $.inArray(this, $(range.endContainer).parents()) > -1) {
					range.endContainer = that._prevNode(this);
					range.endOffset = 0;
					rangemod = true;
				}
				if (range.endContainer === this.parentNode && range.endOffset >= $(this).index() && range.endOffset > 0) {
					range.endOffset --;
					rangemod = true;
				}
				$(this).remove();
			});
			if (rangemod === true) {
				range.update();
				range.select();
			}
		},
		
		/**
		 * Prepends the annotation to the given prependElement.
		 */
		_prependAnnotation: function (annotationcontent, prependElem) {
			var range = Aloha.Selection.getRangeObject();
			var rangemod = false;
			if (range.startContainer === prependElem) {
				range.startOffset ++;
				rangemod = true;
			}
			if (range.endContainer === prependElem) {
				range.endOffset ++;
				rangemod = true;
			}
			var annotation = $('<span role="annotation">' +
					annotationcontent + '</span>');
			var displayStyle = Browser.ie7 ? 'inline' : 'inline-block';
			var wrappedannotation=$('<div class="aloha-numerated-headers-annotation-wrapper" style="display: '+ displayStyle +';" contenteditable="false"></div>').append(annotation);
			Ephemera.markWrapper(wrappedannotation)
			$(prependElem).prepend(wrappedannotation);
			if (rangemod === true) {
				range.update();
				range.select();
			}
		},
		
		/**
		 * Navigates to the previous node.
		 */
		_prevNode: function (node) {
			var prev = node.previousSibling;
			if (!prev) {
				return node.parentNode;
			}
			while (prev.lastChild) {
				prev = prev.lastChild;
			}
			return prev;
		},
		

		/**
		 * Removed and disables numeration for the current editable.
		 */
		removeNumerations : function () {
			if (Aloha.activeEditable == null || Aloha.activeEditable.obj == null) {
				return;
			}
			$(Aloha.activeEditable.obj).attr('aloha-numerated-headers', 'false');
			this.cleanNumerations();
			this._formatNumeratedHeadersButton.deactivate();
		},

		getBaseElement: function (editableParam) {
			if (typeof this.baseobjectSelector !== 'undefined') {
				return ($(this.baseobjectSelector).length > 0) ?
						$(this.baseobjectSelector) : null;
			}

			var editable = editableParam;
			if (typeof editable === 'undefined' || !editable) {
				editable = Aloha.activeEditable;
			}

			return editable ? editable.obj : null;
		},

		/*
		* checks if the given Object contains a note Tag that looks like this:
		* <span annotation=''>
		*
		* @param {HTMLElement} obj The DOM object to check.
		*/
		hasNote: function (obj) {
			if (!obj || $(obj).length <= 0) {
				return false;
			}
			return $(obj).find('span[role=annotation]').length > 0;
		},

		/*
		* checks if the given Object has textual content.
		* A possible "<span annotation=''>" tag will be ignored
		*
		* @param {HTMLElement} obj The DOM object to check
		*/
		hasContent: function (obj) {
			if (!obj || 0 === $(obj).length) {
				return false;
			}
			// we have to check the content of this object without the annotation span
			var $objCleaned = $(obj).clone()
			                        .find('span[role=annotation]')
			                        .remove()
			                        .end();
			// check for text, also in other possible sub tags
			return $.trim($objCleaned.text()).length > 0;
		},

		createNumeratedHeaders: function (editable) {
			var active_editable_obj = this.getBaseElement(editable);
			if (!active_editable_obj) {
				return false;
			}

			var currentEditable = editable;
			if (typeof currentEditable === 'undefined' || !currentEditable) {
				currentEditable = Aloha.activeEditable;
			}

			var config = this.getNumeratedEditableConfig(currentEditable);
			var headingselector = config.headingselector;
			var headers = active_editable_obj.find(headingselector);

			currentEditable.obj.attr('aloha-numerated-headers', 'true');

			if (typeof headers === 'undefined' || headers.length === 0) {
				return false;
			}

			// base rank is the lowest rank of all selected headers
			var base_rank = 7;
			var that = this;
			headers.each(function () {
				if (that.hasContent(this)) {
					var current_rank = parseInt(this.nodeName.substr(1), 10);
					if (current_rank < base_rank) {
						base_rank = current_rank;
					}
				}
			});

			if (base_rank > 6) {
				return false;
			}

			var prev_rank = null,
				current_annotation = [],
				annotation_pos = 0,
				i;

			// initialize the base annotations
			for (i = 0; i < (6 - base_rank) + 1; i++) {
				current_annotation[i] = 0;
			}

			headers.each(function () {
				// build and count annotation only if there is content in this header
				if (that.hasContent(this)) {

					var current_rank = parseInt(this.nodeName.substr(1), 10);
					if (prev_rank === null && current_rank !== base_rank) {
						// when the first found header has a rank
						// different from the base rank, we omit it
						that._safeRemoveAnnotations($(this).find('div.aloha-numerated-headers-annotation-wrapper>span[role=annotation]').parent());
						that._safeRemoveAnnotations($(this).find('span[role=annotation]'));
						return;
					} else if (prev_rank === null) {
						// increment the main annotation
						current_annotation[annotation_pos]++;
					} else if (current_rank > prev_rank) {
						// starts a sub title
						current_annotation[++annotation_pos]++;
					} else if (current_rank === prev_rank) {
						// continues subtitles
						current_annotation[annotation_pos]++;
					} else if (current_rank < prev_rank) {
						//goes back to a main title
						var current_pos = current_rank - base_rank;
						var j;
						for (j = annotation_pos; j > (current_pos); j--) {
							current_annotation[j] = 0; //reset current sub-annotation
						}
						annotation_pos = current_pos;
						current_annotation[annotation_pos]++;
					}

					prev_rank = current_rank;

					var annotation_result = '', i;
					if (config.trailingdot === true) {
						annotation_result = '';
						for (i = 0; i < current_annotation.length; i++) {
							if (current_annotation[i] !== 0) {
								annotation_result += (current_annotation[i] + '.');
							}
						}
					} else {
						annotation_result = current_annotation[0];
						for (i = 1; i < current_annotation.length; i++) {
							if (current_annotation[i] !== 0) {
								annotation_result += ('.' + current_annotation[i]);
							}
						}
					}
					//We add a trailing non-breakable space to the annotation_result
					//to separate the annotation from the heading's text.
					annotation_result += '&nbsp;';
					if (that.hasNote(this)) {
						that._safeRemoveAnnotations($(this).find('div.aloha-numerated-headers-annotation-wrapper>span[role=annotation]').parent());
						that._safeRemoveAnnotations($(this).find('span[role=annotation]'));
					}
					that._prependAnnotation(annotation_result, this);
				} else {
					// no Content, so remove the Note, if there is one
					if (that.hasNote(this)) {
						that._safeRemoveAnnotations($(this).find('div.aloha-numerated-headers-annotation-wrapper>span[role=annotation]').parent());
						that._safeRemoveAnnotations($(this).find('span[role=annotation]'));
					}
				}
			});

			return true;
		}
	});
});

/* formatlesshandler.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('formatlesspaste/formatlesshandler',[
	'aloha',
	'jquery',
	'aloha/contenthandlermanager'
], function (
	Aloha,
	$,
	ContentHandlerManager
) {
	'use strict';

	/**
	 * Remove unwanted formatting in the pasted element.
	 *
	 * @param {jQuery.<HTMLElement>} $content Element to process.
	 * @param {Array.<string>} toStip A list of tags to strip from the content.
	 */
	function removeFormatting($content, toStrip) {
		$content.find(toStrip.join(',')).filter(function (index) {
			return $( this ).parents('.aloha-block').length === 0;
		}).each(function () {
			if ($(this).contents().length === 0) {
				$(this).remove();
			} else {
				$(this).contents().unwrap();
			}
		});
	}

	/**
	 * Register the formatless paste handler.
	 *
	 * @class {FormatlessPasteHandler}
	 */
	var FormatlessPasteHandler = ContentHandlerManager.createHandler({

		/**
		 * Whether or not formatless copying and pasting is enable.
		 *
		 * @type {boolean}
		 */
		enabled: false,

		/**
		 * Handles the copying and pasting. Removes all content that have been
		 * configured to be striooed away.
		 *
		 * @param {string|jQuery.<HTMLElement>} content The content to
		 *                                              transform.
		 * @return {string} Transformed markup.
		 */
		handleContent: function (content) {
			var $content;

			if (typeof content === 'string') {
				$content = $('<div>' + content + '</div>');
			} else if (content instanceof $) {
				$content = $('<div>').append(content);
			}

			if (this.enabled) {
				removeFormatting($content, this.strippedElements);
			}

			return $content.html();
		}
	});

	return FormatlessPasteHandler;
});

define('formatlesspaste/nls/i18n',{
	"root":  {
		"button.formatlessPaste.tooltip": "Keep/Discard formatting"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/* formatlesspaste-plugin.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('formatlesspaste/formatlesspaste-plugin',[
	'aloha/core',
	'aloha/plugin',
	'jquery',
	'ui/ui',
	'ui/icons',
	'ui/toggleButton',
	'formatlesspaste/formatlesshandler',
	'aloha/contenthandlermanager',
	'i18n!formatlesspaste/nls/i18n',
	'util/html'
], function (
	Aloha,
	Plugin,
	$,
	Ui,
	Icons,
	ToggleButton,
	FormatlessPasteHandler,
	ContentHandlerManager,
	i18n,
	Html
) {
	'use strict';

	/**
	 * Normalizes the given string value to either boolean true or false.
	 *
	 * @param {*} value The value which is to be normalized.
	 * @return {boolean} True if the value if truthy and not the string "false"
	 *                   or "0".
	 */
	function normalizeToBoolean(value) {
		if (!value) {
			return false;
		}
		if (typeof value === 'string') {
			return '0' !== value && 'false' !== value.toLowerCase();
		}
		return true;
	}

	function parseConfiguration(config) {
		var parsed = {};
		if (typeof config.formatlessPasteOption !== 'undefined') {
			parsed.formatlessPasteOption =
				normalizeToBoolean(config.formatlessPasteOption);
		}
		if (typeof config.strippedElements !== 'undefined') {
			parsed.strippedElements = config.strippedElements;
		}
		if (typeof config.button !== 'undefined') {
			parsed.button = normalizeToBoolean(config.button);
		}
		return parsed;
	}

	function applyConfiguration(obj, config) {
		$.extend(obj, config);
	}

	function registerFormatlessPasteHandler(plugin, config) {
		ContentHandlerManager.register('formatless', FormatlessPasteHandler);
		FormatlessPasteHandler.strippedElements = config.strippedElements || Html.TEXT_LEVEL_SEMANTIC_ELEMENTS;

		plugin._toggleFormatlessPasteButton = Ui.adopt('toggleFormatlessPaste', ToggleButton, {
			tooltip: i18n.t('button.formatlessPaste.tooltip'),
			icon: Icons.FORMATLESS_PASTE,
			pure: true,
			active: FormatlessPasteHandler.enabled,
			click: function () {
				// Toggle the value of allowFormatless
				FormatlessPasteHandler.enabled = !FormatlessPasteHandler.enabled;
				plugin._toggleFormatlessPasteButton.setActive(FormatlessPasteHandler.enabled);
			}
		});

		plugin._toggleFormatlessPasteButton.show(plugin.button);

		if (true === plugin.formatlessPasteOption) {
			plugin._toggleFormatlessPasteButton.setActive(true);
			FormatlessPasteHandler.enabled = true;
		} else if (false === plugin.formatlessPasteOption) {
			plugin._toggleFormatlessPasteButton.setActive(false);
			FormatlessPasteHandler.enabled = false;
		}
	}

	var configLookup = {};

	function getEditableConfig(plugin, editable) {
		var id = editable.getId();
		if (!id) {
			return null;
		}
		if (configLookup[id]) {
			return configLookup[id];
		}
		var config = plugin.getEditableConfig(editable.obj);
		if (!config) {
			return null;
		}
		configLookup[id] = parseConfiguration(config);
		return configLookup[id];
	}

	function clearEditableConfig(editable) {
		var id = editable.getId();
		if (id && configLookup[id]) {
			delete configLookup[id];
		}
	}

	Aloha.bind('aloha-editable-destroyed', function ($event, data) {
		clearEditableConfig(data);
	});

	return Plugin.create('formatlesspaste', {

		/**
		 * Whether or not formatless pasting is enabled.
		 *
		 * Configurable.
		 *
		 * @type {boolean}
		 */
		formatlessPasteOption: false,

		/**
		 * Whether or not to show the formatless paste button.
		 *
		 * Configurable.
		 *
		 * @type {boolean}
		 */
		button: true,

		/**
		 * Initializes formatless copying and pasting.
		 * Parses configuration.
		 */
		init: function () {
			var plugin = this;
			var config = plugin.settings.config || plugin.settings;
			var parsedConfig = parseConfiguration(config);

			applyConfiguration(plugin, parsedConfig);
			registerFormatlessPasteHandler(plugin, parsedConfig);

			Aloha.bind('aloha-editable-activated', function ($event, data) {
				var config = getEditableConfig(plugin, data.editable);
				if (!config) {
					return;
				}

				var pasteButton = plugin._toggleFormatlessPasteButton;

				if (true === config.formatlessPasteOption) {
					pasteButton.setActive(true);
					FormatlessPasteHandler.enabled = true;
				} else if (false === config.formatlessPasteOption) {
					pasteButton.setActive(false);
					FormatlessPasteHandler.enabled = false;
				}

				FormatlessPasteHandler.strippedElements = config.strippedElements || Html.TEXT_LEVEL_SEMANTIC_ELEMENTS;

				pasteButton.show(false !== config.button);
			});
		}
	});
});

/**
 * @overview: Exposes John Resig's Simply JavaScrip Inheritance as a CommonJS
 *            module (see bottom of file).
 */

/* Simple JavaScript Inheritance
 * By John Resig http://ejohn.org/
 * MIT Licensed.
 */
// Inspired by base2 and Prototype
(function(){
  var initializing = false, fnTest = /xyz/.test(function(){xyz;}) ? /\b_super\b/ : /.*/;
  // The base Class implementation (does nothing)
  this.Class = function(){};
  
  // Create a new Class that inherits from this class
  Class.extend = function() {
    var _super = this.prototype;
    
    // Instantiate a base class (but only create the instance,
    // don't run the init constructor)
    initializing = true;
    var prototype = new this();
    initializing = false;
    
    // Copy the properties over onto the new prototype
    for(var i = 0; i < arguments.length; i++) {
      var prop = arguments[i];
      for (var name in prop) {
        // Check if we're overwriting an existing function
        prototype[name] = typeof prop[name] == "function" && 
          typeof _super[name] == "function" && fnTest.test(prop[name]) ?
          (function(name, fn){
            return function() {
              var tmp = this._super;

              // Add a new ._super() method that is the same method
              // but on the super-class
              this._super = _super[name];

              // The method only need to be bound temporarily, so we
              // remove it when we're done executing
              var ret = fn.apply(this, arguments);        
              this._super = tmp;

              return ret;
            };
          })(name, prop[name]) :
          prop[name];
      }
    }
    
    // The dummy class constructor
    function Class() {
      // All construction is actually done in the init method
      if ( !initializing && this.init )
        this.init.apply(this, arguments);
    }
    
    // Populate our constructed prototype object
    Class.prototype = prototype;
    
    // Enforce the constructor to be what we expect
    Class.constructor = Class;

    // And make this class extendable
    Class.extend = arguments.callee;
    
    return Class;
  };
})();

// Expose Class as an CommonJS module.
if ( typeof define === 'function') {
	define( 'Class', [], function () { return Class; } );
}
;
define('jstree', ['jquery'], function (jQuery) {
	var $ = jQuery;
	
	/*
	 * jsTree 1.0-rc3
	 * http://jstree.com/
	 *
	 * Copyright (c) 2010 Ivan Bozhanov (vakata.com)
	 *
	 * Licensed same as jquery - under the terms of either the MIT License or the GPL Version 2 License
	 *   http://www.opensource.org/licenses/mit-license.php
	 *   http://www.gnu.org/licenses/gpl.html
	 *
	 * $Date: 2011-02-09 01:17:14 +0200 (ср, 09 февр 2011) $
	 * $Revision: 236 $
	 */
	
	/*jslint browser: true, onevar: true, undef: true, bitwise: true, strict: true */
	/*global window : false, clearInterval: false, clearTimeout: false, document: false, setInterval: false, setTimeout: false, jQuery: false, navigator: false, XSLTProcessor: false, DOMParser: false, XMLSerializer: false*/
	
	"use strict";
	
	// top wrapper to prevent multiple inclusion (is this OK?)
	(function () { if(jQuery && jQuery.jstree) { return; }
		var is_ie6 = false, is_ie7 = false, is_ff2 = false;
	
	/* 
	 * jsTree core
	 */
	(function ($) {
		// Common functions not related to jsTree 
		// decided to move them to a `vakata` "namespace"
		$.vakata = {};
		// CSS related functions
		$.vakata.css = {
			get_css : function(rule_name, delete_flag, sheet) {
				rule_name = rule_name.toLowerCase();
				var css_rules = sheet.cssRules || sheet.rules,
					j = 0;
				do {
					if(css_rules.length && j > css_rules.length + 5) { return false; }
					if(css_rules[j].selectorText && css_rules[j].selectorText.toLowerCase() == rule_name) {
						if(delete_flag === true) {
							if(sheet.removeRule) { sheet.removeRule(j); }
							if(sheet.deleteRule) { sheet.deleteRule(j); }
							return true;
						}
						else { return css_rules[j]; }
					}
				}
				while (css_rules[++j]);
				return false;
			},
			add_css : function(rule_name, sheet) {
				if($.jstree.css.get_css(rule_name, false, sheet)) { return false; }
				if(sheet.insertRule) { sheet.insertRule(rule_name + ' { }', 0); } else { sheet.addRule(rule_name, null, 0); }
				return $.vakata.css.get_css(rule_name);
			},
			remove_css : function(rule_name, sheet) { 
				return $.vakata.css.get_css(rule_name, true, sheet); 
			},
			add_sheet : function(opts) {
				var tmp = false, is_new = true;
				if(opts.str) {
					if(opts.title) { tmp = $("style[id='" + opts.title + "-stylesheet']")[0]; }
					if(tmp) { is_new = false; }
					else {
						tmp = document.createElement("style");
						tmp.setAttribute('type',"text/css");
						if(opts.title) { tmp.setAttribute("id", opts.title + "-stylesheet"); }
					}
					if(tmp.styleSheet) {
						if(is_new) { 
							document.getElementsByTagName("head")[0].appendChild(tmp); 
							tmp.styleSheet.cssText = opts.str; 
						}
						else {
							tmp.styleSheet.cssText = tmp.styleSheet.cssText + " " + opts.str; 
						}
					}
					else {
						tmp.appendChild(document.createTextNode(opts.str));
						document.getElementsByTagName("head")[0].appendChild(tmp);
					}
					return tmp.sheet || tmp.styleSheet;
				}
				if(opts.url) {
					if(document.createStyleSheet) {
						try { tmp = document.createStyleSheet(opts.url); } catch (e) { }
					}
					else {
						tmp			= document.createElement('link');
						tmp.rel		= 'stylesheet';
						tmp.type	= 'text/css';
						tmp.media	= "all";
						tmp.href	= opts.url;
						document.getElementsByTagName("head")[0].appendChild(tmp);
						return tmp.styleSheet;
					}
				}
			}
		};
	
		// private variables 
		var instances = [],			// instance array (used by $.jstree.reference/create/focused)
			focused_instance = -1,	// the index in the instance array of the currently focused instance
			plugins = {},			// list of included plugins
			prepared_move = {};		// for the move_node function
	
		// jQuery plugin wrapper (thanks to jquery UI widget function)
		$.fn.jstree = function (settings) {
			var isMethodCall = (typeof settings == 'string'), // is this a method call like $().jstree("open_node")
				args = Array.prototype.slice.call(arguments, 1), 
				returnValue = this;
	
			// if a method call execute the method on all selected instances
			if(isMethodCall) {
				if(settings.substring(0, 1) == '_') { return returnValue; }
				this.each(function() {
					var instance = instances[$.data(this, "jstree-instance-id")],
						methodValue = (instance && $.isFunction(instance[settings])) ? instance[settings].apply(instance, args) : instance;
						if(typeof methodValue !== "undefined" && (settings.indexOf("is_") === 0 || (methodValue !== true && methodValue !== false))) { returnValue = methodValue; return false; }
				});
			}
			else {
				this.each(function() {
					// extend settings and allow for multiple hashes and $.data
					var instance_id = $.data(this, "jstree-instance-id"),
						a = [],
						b = settings ? $.extend({}, true, settings) : {},
						c = $(this), 
						s = false, 
						t = [];
					a = a.concat(args);
					if(c.data("jstree")) { a.push(c.data("jstree")); }
					b = a.length ? $.extend.apply(null, [true, b].concat(a)) : b;
	
					// if an instance already exists, destroy it first
					if(typeof instance_id !== "undefined" && instances[instance_id]) { instances[instance_id].destroy(); }
					// push a new empty object to the instances array
					instance_id = parseInt(instances.push({}),10) - 1;
					// store the jstree instance id to the container element
					$.data(this, "jstree-instance-id", instance_id);
					// clean up all plugins
					b.plugins = $.isArray(b.plugins) ? b.plugins : $.jstree.defaults.plugins.slice();
					b.plugins.unshift("core");
					// only unique plugins
					b.plugins = b.plugins.sort().join(",,").replace(/(,|^)([^,]+)(,,\2)+(,|$)/g,"$1$2$4").replace(/,,+/g,",").replace(/,$/,"").split(",");
	
					// extend defaults with passed data
					s = $.extend(true, {}, $.jstree.defaults, b);
					s.plugins = b.plugins;
					$.each(plugins, function (i, val) { 
						if($.inArray(i, s.plugins) === -1) { s[i] = null; delete s[i]; } 
						else { t.push(i); }
					});
					s.plugins = t;
	
					// push the new object to the instances array (at the same time set the default classes to the container) and init
					instances[instance_id] = new $.jstree._instance(instance_id, $(this).addClass("jstree jstree-" + instance_id), s); 
					// init all activated plugins for this instance
					$.each(instances[instance_id]._get_settings().plugins, function (i, val) { instances[instance_id].data[val] = {}; });
					$.each(instances[instance_id]._get_settings().plugins, function (i, val) { if(plugins[val]) { plugins[val].__init.apply(instances[instance_id]); } });
					// initialize the instance
					setTimeout(function() { instances[instance_id].init(); }, 0);
				});
			}
			// return the jquery selection (or if it was a method call that returned a value - the returned value)
			return returnValue;
		};
		// object to store exposed functions and objects
		$.jstree = {
			defaults : {
				plugins : []
			},
			_focused : function () { return instances[focused_instance] || null; },
			_reference : function (needle) { 
				// get by instance id
				if(instances[needle]) { return instances[needle]; }
				// get by DOM (if still no luck - return null
				var o = $(needle); 
				if(!o.length && typeof needle === "string") { o = $("#" + needle); }
				if(!o.length) { return null; }
				return instances[o.closest(".jstree").data("jstree-instance-id")] || null; 
			},
			_instance : function (index, container, settings) { 
				// for plugins to store data in
				this.data = { core : {} };
				this.get_settings	= function () { return $.extend(true, {}, settings); };
				this._get_settings	= function () { return settings; };
				this.get_index		= function () { return index; };
				this.get_container	= function () { return container; };
				this.get_container_ul = function () { return container.children("ul:eq(0)"); };
				this._set_settings	= function (s) { 
					settings = $.extend(true, {}, settings, s);
				};
			},
			_fn : { },
			plugin : function (pname, pdata) {
				pdata = $.extend({}, {
					__init		: $.noop, 
					__destroy	: $.noop,
					_fn			: {},
					defaults	: false
				}, pdata);
				plugins[pname] = pdata;
	
				$.jstree.defaults[pname] = pdata.defaults;
				$.each(pdata._fn, function (i, val) {
					val.plugin		= pname;
					val.old			= $.jstree._fn[i];
					$.jstree._fn[i] = function () {
						var rslt,
							func = val,
							args = Array.prototype.slice.call(arguments),
							evnt = new $.Event("before.jstree"),
							rlbk = false;
	
						if(this.data.core.locked === true && i !== "unlock" && i !== "is_locked") { return; }
	
						// Check if function belongs to the included plugins of this instance
						do {
							if(func && func.plugin && $.inArray(func.plugin, this._get_settings().plugins) !== -1) { break; }
							func = func.old;
						} while(func);
						if(!func) { return; }
	
						// context and function to trigger events, then finally call the function
						if(i.indexOf("_") === 0) {
							rslt = func.apply(this, args);
						}
						else {
							rslt = this.get_container().triggerHandler(evnt, { "func" : i, "inst" : this, "args" : args, "plugin" : func.plugin });
							if(rslt === false) { return; }
							if(typeof rslt !== "undefined") { args = rslt; }
	
							rslt = func.apply(
								$.extend({}, this, { 
									__callback : function (data) { 
										this.get_container().triggerHandler( i + '.jstree', { "inst" : this, "args" : args, "rslt" : data, "rlbk" : rlbk });
									},
									__rollback : function () { 
										rlbk = this.get_rollback();
										return rlbk;
									},
									__call_old : function (replace_arguments) {
										return func.old.apply(this, (replace_arguments ? Array.prototype.slice.call(arguments, 1) : args ) );
									}
								}), args);
						}
	
						// return the result
						return rslt;
					};
					$.jstree._fn[i].old = val.old;
					$.jstree._fn[i].plugin = pname;
				});
			},
			rollback : function (rb) {
				if(rb) {
					if(!$.isArray(rb)) { rb = [ rb ]; }
					$.each(rb, function (i, val) {
						instances[val.i].set_rollback(val.h, val.d);
					});
				}
			}
		};
		// set the prototype for all instances
		$.jstree._fn = $.jstree._instance.prototype = {};
	
		// load the css when DOM is ready
		$(function() {
			// code is copied from jQuery (Aloha.browser is deprecated + there is a bug in IE)
			var u = navigator.userAgent.toLowerCase(),
				v = (u.match( /.+?(?:rv|it|ra|ie)[\/: ]([\d.]+)/ ) || [0,'0'])[1],
				css_string = '' + 
					'.jstree ul, .jstree li { display:block; margin:0 0 0 0; padding:0 0 0 0; list-style-type:none; } ' + 
					'.jstree li { display:block; min-height:18px; line-height:18px; white-space:nowrap; margin-left:18px; min-width:18px; } ' + 
					'.jstree-rtl li { margin-left:0; margin-right:18px; } ' + 
					'.jstree > ul > li { margin-left:0px; } ' + 
					'.jstree-rtl > ul > li { margin-right:0px; } ' + 
					'.jstree ins { display:inline-block; text-decoration:none; width:18px; height:18px; margin:0 0 0 0; padding:0; } ' + 
					'.jstree a { display:inline-block; line-height:16px; height:16px; color:black; white-space:nowrap; text-decoration:none; padding:1px 2px; margin:0; } ' + 
					'.jstree a:focus { outline: none; } ' + 
					'.jstree a > ins { height:16px; width:16px; } ' + 
					'.jstree a > .jstree-icon { margin-right:3px; } ' + 
					'.jstree-rtl a > .jstree-icon { margin-left:3px; margin-right:0; } ' + 
					'li.jstree-open > ul { display:block; } ' + 
					'li.jstree-closed > ul { display:none; } ';
			// Correct IE 6 (does not support the > CSS selector)
			if(/msie/.test(u) && parseInt(v, 10) == 6) { 
				is_ie6 = true;
	
				// fix image flicker and lack of caching
				try {
					document.execCommand("BackgroundImageCache", false, true);
				} catch (err) { }
	
				css_string += '' + 
					'.jstree li { height:18px; margin-left:0; margin-right:0; } ' + 
					'.jstree li li { margin-left:18px; } ' + 
					'.jstree-rtl li li { margin-left:0px; margin-right:18px; } ' + 
					'li.jstree-open ul { display:block; } ' + 
					'li.jstree-closed ul { display:none !important; } ' + 
					'.jstree li a { display:inline; border-width:0 !important; padding:0px 2px !important; } ' + 
					'.jstree li a ins { height:16px; width:16px; margin-right:3px; } ' + 
					'.jstree-rtl li a ins { margin-right:0px; margin-left:3px; } ';
			}
			// Correct IE 7 (shifts anchor nodes onhover)
			if(/msie/.test(u) && parseInt(v, 10) == 7) { 
				is_ie7 = true;
				css_string += '.jstree li a { border-width:0 !important; padding:0px 2px !important; } ';
			}
			// correct ff2 lack of display:inline-block
			if(!/compatible/.test(u) && /mozilla/.test(u) && parseFloat(v, 10) < 1.9) {
				is_ff2 = true;
				css_string += '' + 
					'.jstree ins { display:-moz-inline-box; } ' + 
					'.jstree li { line-height:12px; } ' + // WHY??
					'.jstree a { display:-moz-inline-box; } ' + 
					'.jstree .jstree-no-icons .jstree-checkbox { display:-moz-inline-stack !important; } ';
					/* this shouldn't be here as it is theme specific */
			}
			// the default stylesheet
			$.vakata.css.add_sheet({ str : css_string, title : "jstree" });
		});
	
		// core functions (open, close, create, update, delete)
		$.jstree.plugin("core", {
			__init : function () {
				this.data.core.locked = false;
				this.data.core.to_open = this.get_settings().core.initially_open;
				this.data.core.to_load = this.get_settings().core.initially_load;
			},
			defaults : { 
				html_titles	: false,
				animation	: 500,
				initially_open : [],
				initially_load : [],
				open_parents : true,
				notify_plugins : true,
				rtl			: false,
				load_open	: false,
				strings		: {
					loading		: "Loading ...",
					new_node	: "New node",
					multiple_selection : "Multiple selection"
				}
			},
			_fn : { 
				init	: function () { 
					this.set_focus(); 
					if(this._get_settings().core.rtl) {
						this.get_container().addClass("jstree-rtl").css("direction", "rtl");
					}
					this.get_container().html("<ul><li class='jstree-last jstree-leaf'><ins>&#160;</ins><a class='jstree-loading' href='#'><ins class='jstree-icon'>&#160;</ins>" + this._get_string("loading") + "</a></li></ul>");
					this.data.core.li_height = parseInt(this.get_container_ul().find("li.jstree-closed, li.jstree-leaf").eq(0).css("height")) || 18;
	
					this.get_container()
						.on("click.jstree","li > ins",  $.proxy(function (event) {
								var trgt = $(event.target);
								if(trgt.is("ins") && event.pageY - trgt.offset().top < this.data.core.li_height) { this.toggle_node(trgt); }
							}, this))
						.on("mousedown.jstree", $.proxy(function () { 
								this.set_focus(); // This used to be setTimeout(set_focus,0) - why?
							}, this))
						.on("dblclick.jstree", function (event) { 
							var sel;
							if(document.selection && document.selection.empty) { document.selection.empty(); }
							else {
								if(window.getSelection) {
									sel = window.getSelection();
									try { 
										sel.removeAllRanges();
										sel.collapse();
									} catch (err) { }
								}
							}
						});
					if(this._get_settings().core.notify_plugins) {
						this.get_container()
							.on("load_node.jstree", $.proxy(function (e, data) { 
									var o = this._get_node(data.rslt.obj),
										t = this;
									if(o === -1) { o = this.get_container_ul(); }
									if(!o.length) { return; }
									o.find("li").each(function () {
										var th = $(this);
										if(th.data("jstree")) {
											$.each(th.data("jstree"), function (plugin, values) {
												if(t.data[plugin] && $.isFunction(t["_" + plugin + "_notify"])) {
													t["_" + plugin + "_notify"].call(t, th, values);
												}
											});
										}
									});
								}, this));
					}
					if(this._get_settings().core.load_open) {
						this.get_container()
							.on("load_node.jstree", $.proxy(function (e, data) { 
									var o = this._get_node(data.rslt.obj),
										t = this;
									if(o === -1) { o = this.get_container_ul(); }
									if(!o.length) { return; }
									o.find("li.jstree-open:not(:has(ul))").each(function () {
										t.load_node(this, $.noop, $.noop);
									});
								}, this));
					}
					this.__callback();
					this.load_node(-1, function () { this.loaded(); this.reload_nodes(); });
				},
				destroy	: function () { 
					var i,
						n = this.get_index(),
						s = this._get_settings(),
						_this = this;
	
					$.each(s.plugins, function (i, val) {
						try { plugins[val].__destroy.apply(_this); } catch(err) { }
					});
					this.__callback();
					// set focus to another instance if this one is focused
					if(this.is_focused()) { 
						for(i in instances) { 
							if(instances.hasOwnProperty(i) && i != n) { 
								instances[i].set_focus(); 
								break; 
							} 
						}
					}
					// if no other instance found
					if(n === focused_instance) { focused_instance = -1; }
					// remove all traces of jstree in the DOM (only the ones set using jstree*) and cleans all events
					this.get_container()
						.unbind(".jstree")
						.undelegate(".jstree")
						.removeData("jstree-instance-id")
						.find("[class^='jstree']")
							.addBack()
							.attr("class", function () { return this.className.replace(/jstree[^ ]*|$/ig,''); });
					$(document)
						.unbind(".jstree-" + n)
						.undelegate(".jstree-" + n);
					// remove the actual data
					instances[n] = null;
					delete instances[n];
				},
	
				_core_notify : function (n, data) {
					if(data.opened) {
						this.open_node(n, false, true);
					}
				},
	
				lock : function () {
					this.data.core.locked = true;
					this.get_container().children("ul").addClass("jstree-locked").css("opacity","0.7");
					this.__callback({});
				},
				unlock : function () {
					this.data.core.locked = false;
					this.get_container().children("ul").removeClass("jstree-locked").css("opacity","1");
					this.__callback({});
				},
				is_locked : function () { return this.data.core.locked; },
				save_opened : function () {
					var _this = this;
					this.data.core.to_open = [];
					this.get_container_ul().find("li.jstree-open").each(function () { 
						if(this.id) { _this.data.core.to_open.push("#" + this.id.toString().replace(/^#/,"").replace(/\\\//g,"/").replace(/\//g,"\\\/").replace(/\\\./g,".").replace(/\./g,"\\.").replace(/\:/g,"\\:")); }
					});
					this.__callback(_this.data.core.to_open);
				},
				save_loaded : function () { },
				reload_nodes : function (is_callback) {
					var _this = this,
						done = true,
						current = [],
						remaining = [];
					if(!is_callback) { 
						this.data.core.reopen = false; 
						this.data.core.refreshing = true; 
						this.data.core.to_open = $.map($.makeArray(this.data.core.to_open), function (n) { return "#" + n.toString().replace(/^#/,"").replace(/\\\//g,"/").replace(/\//g,"\\\/").replace(/\\\./g,".").replace(/\./g,"\\.").replace(/\:/g,"\\:"); });
						this.data.core.to_load = $.map($.makeArray(this.data.core.to_load), function (n) { return "#" + n.toString().replace(/^#/,"").replace(/\\\//g,"/").replace(/\//g,"\\\/").replace(/\\\./g,".").replace(/\./g,"\\.").replace(/\:/g,"\\:"); });
						if(this.data.core.to_open.length) {
							this.data.core.to_load = this.data.core.to_load.concat(this.data.core.to_open);
						}
					}
					if(this.data.core.to_load.length) {
						$.each(this.data.core.to_load, function (i, val) {
							if(val == "#") { return true; }
							if($(val).length) { current.push(val); }
							else { remaining.push(val); }
						});
						if(current.length) {
							this.data.core.to_load = remaining;
							$.each(current, function (i, val) { 
								if(!_this._is_loaded(val)) {
									_this.load_node(val, function () { _this.reload_nodes(true); }, function () { _this.reload_nodes(true); });
									done = false;
								}
							});
						}
					}
					if(this.data.core.to_open.length) {
						$.each(this.data.core.to_open, function (i, val) {
							_this.open_node(val, false, true); 
						});
					}
					if(done) { 
						// TODO: find a more elegant approach to syncronizing returning requests
						if(this.data.core.reopen) { clearTimeout(this.data.core.reopen); }
						this.data.core.reopen = setTimeout(function () { _this.__callback({}, _this); }, 50);
						this.data.core.refreshing = false;
						this.reopen();
					}
				},
				reopen : function () {
					var _this = this;
					if(this.data.core.to_open.length) {
						$.each(this.data.core.to_open, function (i, val) {
							_this.open_node(val, false, true); 
						});
					}
					this.__callback({});
				},
				refresh : function (obj) {
					var _this = this;
					this.save_opened();
					if(!obj) { obj = -1; }
					obj = this._get_node(obj);
					if(!obj) { obj = -1; }
					if(obj !== -1) { obj.children("UL").remove(); }
					else { this.get_container_ul().empty(); }
					this.load_node(obj, function () { _this.__callback({ "obj" : obj}); _this.reload_nodes(); });
				},
				// Dummy function to fire after the first load (so that there is a jstree.loaded event)
				loaded	: function () { 
					this.__callback(); 
				},
				// deal with focus
				set_focus	: function () { 
					if(this.is_focused()) { return; }
					var f = $.jstree._focused();
					if(f) { f.unset_focus(); }
	
					this.get_container().addClass("jstree-focused"); 
					focused_instance = this.get_index(); 
					this.__callback();
				},
				is_focused	: function () { 
					return focused_instance == this.get_index(); 
				},
				unset_focus	: function () {
					if(this.is_focused()) {
						this.get_container().removeClass("jstree-focused"); 
						focused_instance = -1; 
					}
					this.__callback();
				},
	
				// traverse
				_get_node		: function (obj) { 
					var $obj = $(obj, this.get_container()); 
					if($obj.is(".jstree") || obj == -1) { return -1; } 
					$obj = $obj.closest("li", this.get_container()); 
					return $obj.length ? $obj : false; 
				},
				_get_next		: function (obj, strict) {
					obj = this._get_node(obj);
					if(obj === -1) { return this.get_container().find("> ul > li:first-child"); }
					if(!obj.length) { return false; }
					if(strict) { return (obj.nextAll("li").length > 0) ? obj.nextAll("li:eq(0)") : false; }
	
					if(obj.hasClass("jstree-open")) { return obj.find("li:eq(0)"); }
					else if(obj.nextAll("li").length > 0) { return obj.nextAll("li:eq(0)"); }
					else { return obj.parentsUntil(".jstree","li").next("li").eq(0); }
				},
				_get_prev		: function (obj, strict) {
					obj = this._get_node(obj);
					if(obj === -1) { return this.get_container().find("> ul > li:last-child"); }
					if(!obj.length) { return false; }
					if(strict) { return (obj.prevAll("li").length > 0) ? obj.prevAll("li:eq(0)") : false; }
	
					if(obj.prev("li").length) {
						obj = obj.prev("li").eq(0);
						while(obj.hasClass("jstree-open")) { obj = obj.children("ul:eq(0)").children("li:last"); }
						return obj;
					}
					else { var o = obj.parentsUntil(".jstree","li:eq(0)"); return o.length ? o : false; }
				},
				_get_parent		: function (obj) {
					obj = this._get_node(obj);
					if(obj == -1 || !obj.length) { return false; }
					var o = obj.parentsUntil(".jstree", "li:eq(0)");
					return o.length ? o : -1;
				},
				_get_children	: function (obj) {
					obj = this._get_node(obj);
					if(obj === -1) { return this.get_container().children("ul:eq(0)").children("li"); }
					if(!obj.length) { return false; }
					return obj.children("ul:eq(0)").children("li");
				},
				get_path		: function (obj, id_mode) {
					var p = [],
						_this = this;
					obj = this._get_node(obj);
					if(obj === -1 || !obj || !obj.length) { return false; }
					obj.parentsUntil(".jstree", "li").each(function () {
						p.push( id_mode ? this.id : _this.get_text(this) );
					});
					p.reverse();
					p.push( id_mode ? obj.attr("id") : this.get_text(obj) );
					return p;
				},
	
				// string functions
				_get_string : function (key) {
					return this._get_settings().core.strings[key] || key;
				},
	
				is_open		: function (obj) { obj = this._get_node(obj); return obj && obj !== -1 && obj.hasClass("jstree-open"); },
				is_closed	: function (obj) { obj = this._get_node(obj); return obj && obj !== -1 && obj.hasClass("jstree-closed"); },
				is_leaf		: function (obj) { obj = this._get_node(obj); return obj && obj !== -1 && obj.hasClass("jstree-leaf"); },
				correct_state	: function (obj) {
					obj = this._get_node(obj);
					if(!obj || obj === -1) { return false; }
					obj.removeClass("jstree-closed jstree-open").addClass("jstree-leaf").children("ul").remove();
					this.__callback({ "obj" : obj });
				},
				// open/close
				open_node	: function (obj, callback, skip_animation) {
					obj = this._get_node(obj);
					if(!obj.length) { return false; }
					if(!obj.hasClass("jstree-closed")) { if(callback) { callback.call(); } return false; }
					var s = skip_animation || is_ie6 ? 0 : this._get_settings().core.animation,
						t = this;
					if(!this._is_loaded(obj)) {
						obj.children("a").addClass("jstree-loading");
						this.load_node(obj, function () { t.open_node(obj, callback, skip_animation); }, callback);
					}
					else {
						if(this._get_settings().core.open_parents) {
							obj.parentsUntil(".jstree",".jstree-closed").each(function () {
								t.open_node(this, false, true);
							});
						}
						if(s) { obj.children("ul").css("display","none"); }
						obj.removeClass("jstree-closed").addClass("jstree-open").children("a").removeClass("jstree-loading");
						if(s) { obj.children("ul").stop(true, true).slideDown(s, function () { this.style.display = ""; t.after_open(obj); }); }
						else { t.after_open(obj); }
						this.__callback({ "obj" : obj });
						if(callback) { callback.call(); }
					}
				},
				after_open	: function (obj) { this.__callback({ "obj" : obj }); },
				close_node	: function (obj, skip_animation) {
					obj = this._get_node(obj);
					var s = skip_animation || is_ie6 ? 0 : this._get_settings().core.animation,
						t = this;
					if(!obj.length || !obj.hasClass("jstree-open")) { return false; }
					if(s) { obj.children("ul").attr("style","display:block !important"); }
					obj.removeClass("jstree-open").addClass("jstree-closed");
					if(s) { obj.children("ul").stop(true, true).slideUp(s, function () { this.style.display = ""; t.after_close(obj); }); }
					else { t.after_close(obj); }
					this.__callback({ "obj" : obj });
				},
				after_close	: function (obj) { this.__callback({ "obj" : obj }); },
				toggle_node	: function (obj) {
					obj = this._get_node(obj);
					if(obj.hasClass("jstree-closed")) { return this.open_node(obj); }
					if(obj.hasClass("jstree-open")) { return this.close_node(obj); }
				},
				open_all	: function (obj, do_animation, original_obj) {
					obj = obj ? this._get_node(obj) : -1;
					if(!obj || obj === -1) { obj = this.get_container_ul(); }
					if(original_obj) { 
						obj = obj.find("li.jstree-closed");
					}
					else {
						original_obj = obj;
						if(obj.is(".jstree-closed")) { obj = obj.find("li.jstree-closed").addBack(); }
						else { obj = obj.find("li.jstree-closed"); }
					}
					var _this = this;
					obj.each(function () { 
						var __this = this; 
						if(!_this._is_loaded(this)) { _this.open_node(this, function() { _this.open_all(__this, do_animation, original_obj); }, !do_animation); }
						else { _this.open_node(this, false, !do_animation); }
					});
					// so that callback is fired AFTER all nodes are open
					if(original_obj.find('li.jstree-closed').length === 0) { this.__callback({ "obj" : original_obj }); }
				},
				close_all	: function (obj, do_animation) {
					var _this = this;
					obj = obj ? this._get_node(obj) : this.get_container();
					if(!obj || obj === -1) { obj = this.get_container_ul(); }
					obj.find("li.jstree-open").addBack().each(function () { _this.close_node(this, !do_animation); });
					this.__callback({ "obj" : obj });
				},
				clean_node	: function (obj) {
					obj = obj && obj != -1 ? $(obj) : this.get_container_ul();
					obj = obj.is("li") ? obj.find("li").addBack() : obj.find("li");
					obj.removeClass("jstree-last")
						.filter("li:last-child").addClass("jstree-last").end()
						.filter(":has(li)")
							.not(".jstree-open").removeClass("jstree-leaf").addClass("jstree-closed");
					obj.not(".jstree-open, .jstree-closed").addClass("jstree-leaf").children("ul").remove();
					this.__callback({ "obj" : obj });
				},
				// rollback
				get_rollback : function () { 
					this.__callback();
					return { i : this.get_index(), h : this.get_container().children("ul").clone(true), d : this.data }; 
				},
				set_rollback : function (html, data) {
					this.get_container().empty().append(html);
					this.data = data;
					this.__callback();
				},
				// Dummy functions to be overwritten by any datastore plugin included
				load_node	: function (obj, s_call, e_call) { this.__callback({ "obj" : obj }); },
				_is_loaded	: function (obj) { return true; },
	
				// Basic operations: create
				create_node	: function (obj, position, js, callback, is_loaded) {
					obj = this._get_node(obj);
					position = typeof position === "undefined" ? "last" : position;
					var d = $("<li />"),
						s = this._get_settings().core,
						tmp;
	
					if(obj !== -1 && !obj.length) { return false; }
					if(!is_loaded && !this._is_loaded(obj)) { this.load_node(obj, function () { this.create_node(obj, position, js, callback, true); }); return false; }
	
					this.__rollback();
	
					if(typeof js === "string") { js = { "data" : js }; }
					if(!js) { js = {}; }
					if(js.attr) { d.attr(js.attr); }
					if(js.metadata) { d.data(js.metadata); }
					if(js.state) { d.addClass("jstree-" + js.state); }
					if(!js.data) { js.data = this._get_string("new_node"); }
					if(!$.isArray(js.data)) { tmp = js.data; js.data = []; js.data.push(tmp); }
					$.each(js.data, function (i, m) {
						tmp = $("<a />");
						if($.isFunction(m)) { m = m.call(this, js); }
						if(typeof m == "string") { tmp.attr('href','#')[ s.html_titles ? "html" : "text" ](m); }
						else {
							if(!m.attr) { m.attr = {}; }
							if(!m.attr.href) { m.attr.href = '#'; }
							tmp.attr(m.attr)[ s.html_titles ? "html" : "text" ](m.title);
							if(m.language) { tmp.addClass(m.language); }
						}
						tmp.prepend("<ins class='jstree-icon'>&#160;</ins>");
						if(m.icon) { 
							if(m.icon.indexOf("/") === -1) { tmp.children("ins").addClass(m.icon); }
							else { tmp.children("ins").css("background","url('" + m.icon + "') center center no-repeat"); }
						}
						d.append(tmp);
					});
					d.prepend("<ins class='jstree-icon'>&#160;</ins>");
					if(obj === -1) {
						obj = this.get_container();
						if(position === "before") { position = "first"; }
						if(position === "after") { position = "last"; }
					}
					switch(position) {
						case "before": obj.before(d); tmp = this._get_parent(obj); break;
						case "after" : obj.after(d);  tmp = this._get_parent(obj); break;
						case "inside":
						case "first" :
							if(!obj.children("ul").length) { obj.append("<ul />"); }
							obj.children("ul").prepend(d);
							tmp = obj;
							break;
						case "last":
							if(!obj.children("ul").length) { obj.append("<ul />"); }
							obj.children("ul").append(d);
							tmp = obj;
							break;
						default:
							if(!obj.children("ul").length) { obj.append("<ul />"); }
							if(!position) { position = 0; }
							tmp = obj.children("ul").children("li").eq(position);
							if(tmp.length) { tmp.before(d); }
							else { obj.children("ul").append(d); }
							tmp = obj;
							break;
					}
					if(tmp === -1 || tmp.get(0) === this.get_container().get(0)) { tmp = -1; }
					this.clean_node(tmp);
					this.__callback({ "obj" : d, "parent" : tmp });
					if(callback) { callback.call(this, d); }
					return d;
				},
				// Basic operations: rename (deal with text)
				get_text	: function (obj) {
					obj = this._get_node(obj);
					if(!obj.length) { return false; }
					var s = this._get_settings().core.html_titles;
					obj = obj.children("a:eq(0)");
					if(s) {
						obj = obj.clone();
						obj.children("INS").remove();
						return obj.html();
					}
					else {
						obj = obj.contents().filter(function() { return this.nodeType == 3; })[0];
						return obj.nodeValue;
					}
				},
				set_text	: function (obj, val) {
					obj = this._get_node(obj);
					if(!obj.length) { return false; }
					obj = obj.children("a:eq(0)");
					if(this._get_settings().core.html_titles) {
						var tmp = obj.children("INS").clone();
						obj.html(val).prepend(tmp);
						this.__callback({ "obj" : obj, "name" : val });
						return true;
					}
					else {
						obj = obj.contents().filter(function() { return this.nodeType == 3; })[0];
						this.__callback({ "obj" : obj, "name" : val });
						return (obj.nodeValue = val);
					}
				},
				rename_node : function (obj, val) {
					obj = this._get_node(obj);
					this.__rollback();
					if(obj && obj.length && this.set_text.apply(this, Array.prototype.slice.call(arguments))) { this.__callback({ "obj" : obj, "name" : val }); }
				},
				// Basic operations: deleting nodes
				delete_node : function (obj) {
					obj = this._get_node(obj);
					if(!obj.length) { return false; }
					this.__rollback();
					var p = this._get_parent(obj), prev = $([]), t = this;
					obj.each(function () {
						prev = prev.add(t._get_prev(this));
					});
					obj = obj.detach();
					if(p !== -1 && p.find("> ul > li").length === 0) {
						p.removeClass("jstree-open jstree-closed").addClass("jstree-leaf");
					}
					this.clean_node(p);
					this.__callback({ "obj" : obj, "prev" : prev, "parent" : p });
					return obj;
				},
				prepare_move : function (o, r, pos, cb, is_cb) {
					var p = {};
	
					p.ot = $.jstree._reference(o) || this;
					p.o = p.ot._get_node(o);
					p.r = r === - 1 ? -1 : this._get_node(r);
					p.p = (typeof pos === "undefined" || pos === false) ? "last" : pos; // TODO: move to a setting
					if(!is_cb && prepared_move.o && prepared_move.o[0] === p.o[0] && prepared_move.r[0] === p.r[0] && prepared_move.p === p.p) {
						this.__callback(prepared_move);
						if(cb) { cb.call(this, prepared_move); }
						return;
					}
					p.ot = $.jstree._reference(p.o) || this;
					p.rt = $.jstree._reference(p.r) || this; // r === -1 ? p.ot : $.jstree._reference(p.r) || this
					if(p.r === -1 || !p.r) {
						p.cr = -1;
						switch(p.p) {
							case "first":
							case "before":
							case "inside":
								p.cp = 0; 
								break;
							case "after":
							case "last":
								p.cp = p.rt.get_container().find(" > ul > li").length; 
								break;
							default:
								p.cp = p.p;
								break;
						}
					}
					else {
						if(!/^(before|after)$/.test(p.p) && !this._is_loaded(p.r)) {
							return this.load_node(p.r, function () { this.prepare_move(o, r, pos, cb, true); });
						}
						switch(p.p) {
							case "before":
								p.cp = p.r.index();
								p.cr = p.rt._get_parent(p.r);
								break;
							case "after":
								p.cp = p.r.index() + 1;
								p.cr = p.rt._get_parent(p.r);
								break;
							case "inside":
							case "first":
								p.cp = 0;
								p.cr = p.r;
								break;
							case "last":
								p.cp = p.r.find(" > ul > li").length; 
								p.cr = p.r;
								break;
							default: 
								p.cp = p.p;
								p.cr = p.r;
								break;
						}
					}
					p.np = p.cr == -1 ? p.rt.get_container() : p.cr;
					p.op = p.ot._get_parent(p.o);
					p.cop = p.o.index();
					if(p.op === -1) { p.op = p.ot ? p.ot.get_container() : this.get_container(); }
					if(!/^(before|after)$/.test(p.p) && p.op && p.np && p.op[0] === p.np[0] && p.o.index() < p.cp) { p.cp++; }
					//if(p.p === "before" && p.op && p.np && p.op[0] === p.np[0] && p.o.index() < p.cp) { p.cp--; }
					p.or = p.np.find(" > ul > li:nth-child(" + (p.cp + 1) + ")");
					prepared_move = p;
					this.__callback(prepared_move);
					if(cb) { cb.call(this, prepared_move); }
				},
				check_move : function () {
					var obj = prepared_move, ret = true, r = obj.r === -1 ? this.get_container() : obj.r;
					if(!obj || !obj.o || obj.or[0] === obj.o[0]) { return false; }
					if(obj.op && obj.np && obj.op[0] === obj.np[0] && obj.cp - 1 === obj.o.index()) { return false; }
					obj.o.each(function () { 
						if(r.parentsUntil(".jstree", "li").addBack().index(this) !== -1) { ret = false; return false; }
					});
					return ret;
				},
				move_node : function (obj, ref, position, is_copy, is_prepared, skip_check) {
					if(!is_prepared) { 
						return this.prepare_move(obj, ref, position, function (p) {
							this.move_node(p, false, false, is_copy, true, skip_check);
						});
					}
					if(is_copy) { 
						prepared_move.cy = true;
					}
					if(!skip_check && !this.check_move()) { return false; }
	
					this.__rollback();
					var o = false;
					if(is_copy) {
						o = obj.o.clone(true);
						o.find("*[id]").addBack().each(function () {
							if(this.id) { this.id = "copy_" + this.id; }
						});
					}
					else { o = obj.o; }
	
					if(obj.or.length) { obj.or.before(o); }
					else { 
						if(!obj.np.children("ul").length) { $("<ul />").appendTo(obj.np); }
						obj.np.children("ul:eq(0)").append(o); 
					}
	
					try { 
						obj.ot.clean_node(obj.op);
						obj.rt.clean_node(obj.np);
						if(!obj.op.find("> ul > li").length) {
							obj.op.removeClass("jstree-open jstree-closed").addClass("jstree-leaf").children("ul").remove();
						}
					} catch (e) { }
	
					if(is_copy) { 
						prepared_move.cy = true;
						prepared_move.oc = o; 
					}
					this.__callback(prepared_move);
					return prepared_move;
				},
				_get_move : function () { return prepared_move; }
			}
		});
	})(jQuery);
	//*/
	
	/* 
	 * jsTree ui plugin
	 * This plugins handles selecting/deselecting/hovering/dehovering nodes
	 */
	(function ($) {
		var scrollbar_width, e1, e2;
		$(function() {
			if (/msie/.test(navigator.userAgent.toLowerCase())) {
				e1 = $('<textarea cols="10" rows="2"></textarea>').css({ position: 'absolute', top: -1000, left: 0 }).appendTo('body');
				e2 = $('<textarea cols="10" rows="2" style="overflow: hidden;"></textarea>').css({ position: 'absolute', top: -1000, left: 0 }).appendTo('body');
				scrollbar_width = parseInt(e1.css("width")) - parseInt(e2.css("width"));
				e1.add(e2).remove();
			} 
			else {
				e1 = $('<div />').css({ width: 100, height: 100, overflow: 'auto', position: 'absolute', top: -1000, left: 0 })
						.prependTo('body').append('<div />').find('div').css({ width: '100%', height: 200 });
				scrollbar_width = 100 - parseInt(e1.css("width"));
				e1.parent().remove();
			}
		});
		$.jstree.plugin("ui", {
			__init : function () { 
				this.data.ui.selected = $(); 
				this.data.ui.last_selected = false; 
				this.data.ui.hovered = null;
				this.data.ui.to_select = this.get_settings().ui.initially_select;
	
				this.get_container()
					.on( "click.jstree","a", $.proxy(function (event) {
							event.preventDefault();
							event.currentTarget.blur();
							if(!$(event.currentTarget).hasClass("jstree-loading")) {
								this.select_node(event.currentTarget, true, event);
							}
						}, this))
					.on( "mouseenter.jstree","a", $.proxy(function (event) {
							if(!$(event.currentTarget).hasClass("jstree-loading")) {
								this.hover_node(event.target);
							}
						}, this))
					.on( "mouseleave.jstree","a", $.proxy(function (event) {
							if(!$(event.currentTarget).hasClass("jstree-loading")) {
								this.dehover_node(event.target);
							}
						}, this))
					.on("reopen.jstree", $.proxy(function () { 
							this.reselect();
						}, this))
					.on("get_rollback.jstree", $.proxy(function () { 
							this.dehover_node();
							this.save_selected();
						}, this))
					.on("set_rollback.jstree", $.proxy(function () { 
							this.reselect();
						}, this))
					.on("close_node.jstree", $.proxy(function (event, data) { 
							var s = this._get_settings().ui,
								obj = this._get_node(data.rslt.obj),
								clk = (obj && obj.length) ? obj.children("ul").find("a.jstree-clicked") : $(),
								_this = this;
							if(s.selected_parent_close === false || !clk.length) { return; }
							clk.each(function () { 
								_this.deselect_node(this);
								if(s.selected_parent_close === "select_parent") { _this.select_node(obj); }
							});
						}, this))
					.on("delete_node.jstree", $.proxy(function (event, data) { 
							var s = this._get_settings().ui.select_prev_on_delete,
								obj = this._get_node(data.rslt.obj),
								clk = (obj && obj.length) ? obj.find("a.jstree-clicked") : [],
								_this = this;
							clk.each(function () { _this.deselect_node(this); });
							if(s && clk.length) { 
								data.rslt.prev.each(function () { 
									if(this.parentNode) { _this.select_node(this); return false; /* if return false is removed all prev nodes will be selected */}
								});
							}
						}, this))
					.on("move_node.jstree", $.proxy(function (event, data) { 
							if(data.rslt.cy) { 
								data.rslt.oc.find("a.jstree-clicked").removeClass("jstree-clicked");
							}
						}, this));
			},
			defaults : {
				select_limit : -1, // 0, 1, 2 ... or -1 for unlimited
				select_multiple_modifier : "ctrl", // on, or ctrl, shift, alt
				select_range_modifier : "shift",
				selected_parent_close : "select_parent", // false, "deselect", "select_parent"
				selected_parent_open : true,
				select_prev_on_delete : true,
				disable_selecting_children : false,
				initially_select : []
			},
			_fn : { 
				_get_node : function (obj, allow_multiple) {
					if(typeof obj === "undefined" || obj === null) { return allow_multiple ? this.data.ui.selected : this.data.ui.last_selected; }
					var $obj = $(obj, this.get_container()); 
					if($obj.is(".jstree") || obj == -1) { return -1; } 
					$obj = $obj.closest("li", this.get_container()); 
					return $obj.length ? $obj : false; 
				},
				_ui_notify : function (n, data) {
					if(data.selected) {
						this.select_node(n, false);
					}
				},
				save_selected : function () {
					var _this = this;
					this.data.ui.to_select = [];
					this.data.ui.selected.each(function () { if(this.id) { _this.data.ui.to_select.push("#" + this.id.toString().replace(/^#/,"").replace(/\\\//g,"/").replace(/\//g,"\\\/").replace(/\\\./g,".").replace(/\./g,"\\.").replace(/\:/g,"\\:")); } });
					this.__callback(this.data.ui.to_select);
				},
				reselect : function () {
					var _this = this,
						s = this.data.ui.to_select;
					s = $.map($.makeArray(s), function (n) { return "#" + n.toString().replace(/^#/,"").replace(/\\\//g,"/").replace(/\//g,"\\\/").replace(/\\\./g,".").replace(/\./g,"\\.").replace(/\:/g,"\\:"); });
					// this.deselect_all(); WHY deselect, breaks plugin state notifier?
					$.each(s, function (i, val) { if(val && val !== "#") { _this.select_node(val); } });
					this.data.ui.selected = this.data.ui.selected.filter(function () { return this.parentNode; });
					this.__callback();
				},
				refresh : function (obj) {
					this.save_selected();
					return this.__call_old();
				},
				hover_node : function (obj) {
					obj = this._get_node(obj);
					if(!obj.length) { return false; }
					//if(this.data.ui.hovered && obj.get(0) === this.data.ui.hovered.get(0)) { return; }
					if(!obj.hasClass("jstree-hovered")) { this.dehover_node(); }
					this.data.ui.hovered = obj.children("a").addClass("jstree-hovered").parent();
					this._fix_scroll(obj);
					this.__callback({ "obj" : obj });
				},
				dehover_node : function () {
					var obj = this.data.ui.hovered, p;
					if(!obj || !obj.length) { return false; }
					p = obj.children("a").removeClass("jstree-hovered").parent();
					if(this.data.ui.hovered[0] === p[0]) { this.data.ui.hovered = null; }
					this.__callback({ "obj" : obj });
				},
				select_node : function (obj, check, e) {
					obj = this._get_node(obj);
					if(obj == -1 || !obj || !obj.length) { return false; }
					var s = this._get_settings().ui,
						is_multiple = (s.select_multiple_modifier == "on" || (s.select_multiple_modifier !== false && e && e[s.select_multiple_modifier + "Key"])),
						is_range = (s.select_range_modifier !== false && e && e[s.select_range_modifier + "Key"] && this.data.ui.last_selected && this.data.ui.last_selected[0] !== obj[0] && this.data.ui.last_selected.parent()[0] === obj.parent()[0]),
						is_selected = this.is_selected(obj),
						proceed = true,
						t = this;
					if(check) {
						if(s.disable_selecting_children && is_multiple && 
							(
								(obj.parentsUntil(".jstree","li").children("a.jstree-clicked").length) ||
								(obj.children("ul").find("a.jstree-clicked:eq(0)").length)
							)
						) {
							return false;
						}
						proceed = false;
						switch(!0) {
							case (is_range):
								this.data.ui.last_selected.addClass("jstree-last-selected");
								obj = obj[ obj.index() < this.data.ui.last_selected.index() ? "nextUntil" : "prevUntil" ](".jstree-last-selected").addBack();
								if(s.select_limit == -1 || obj.length < s.select_limit) {
									this.data.ui.last_selected.removeClass("jstree-last-selected");
									this.data.ui.selected.each(function () {
										if(this !== t.data.ui.last_selected[0]) { t.deselect_node(this); }
									});
									is_selected = false;
									proceed = true;
								}
								else {
									proceed = false;
								}
								break;
							case (is_selected && !is_multiple): 
								this.deselect_all();
								is_selected = false;
								proceed = true;
								break;
							case (!is_selected && !is_multiple): 
								if(s.select_limit == -1 || s.select_limit > 0) {
									this.deselect_all();
									proceed = true;
								}
								break;
							case (is_selected && is_multiple): 
								this.deselect_node(obj);
								break;
							case (!is_selected && is_multiple): 
								if(s.select_limit == -1 || this.data.ui.selected.length + 1 <= s.select_limit) { 
									proceed = true;
								}
								break;
						}
					}
					if(proceed && !is_selected) {
						if(!is_range) { this.data.ui.last_selected = obj; }
						obj.children("a").addClass("jstree-clicked");
						if(s.selected_parent_open) {
							obj.parents(".jstree-closed").each(function () { t.open_node(this, false, true); });
						}
						this.data.ui.selected = this.data.ui.selected.add(obj);
						this._fix_scroll(obj.eq(0));
						this.__callback({ "obj" : obj, "e" : e });
					}
				},
				_fix_scroll : function (obj) {
					var c = this.get_container()[0], t;
					if(c.scrollHeight > c.offsetHeight) {
						obj = this._get_node(obj);
						if(!obj || obj === -1 || !obj.length || !obj.is(":visible")) { return; }
						t = obj.offset().top - this.get_container().offset().top;
						if(t < 0) { 
							c.scrollTop = c.scrollTop + t - 1; 
						}
						if(t + this.data.core.li_height + (c.scrollWidth > c.offsetWidth ? scrollbar_width : 0) > c.offsetHeight) { 
							c.scrollTop = c.scrollTop + (t - c.offsetHeight + this.data.core.li_height + 1 + (c.scrollWidth > c.offsetWidth ? scrollbar_width : 0)); 
						}
					}
				},
				deselect_node : function (obj) {
					obj = this._get_node(obj);
					if(!obj.length) { return false; }
					if(this.is_selected(obj)) {
						obj.children("a").removeClass("jstree-clicked");
						this.data.ui.selected = this.data.ui.selected.not(obj);
						if(this.data.ui.last_selected.get(0) === obj.get(0)) { this.data.ui.last_selected = this.data.ui.selected.eq(0); }
						this.__callback({ "obj" : obj });
					}
				},
				toggle_select : function (obj) {
					obj = this._get_node(obj);
					if(!obj.length) { return false; }
					if(this.is_selected(obj)) { this.deselect_node(obj); }
					else { this.select_node(obj); }
				},
				is_selected : function (obj) { return this.data.ui.selected.index(this._get_node(obj)) >= 0; },
				get_selected : function (context) { 
					return context ? $(context).find("a.jstree-clicked").parent() : this.data.ui.selected; 
				},
				deselect_all : function (context) {
					var ret = context ? $(context).find("a.jstree-clicked").parent() : this.get_container().find("a.jstree-clicked").parent();
					ret.children("a.jstree-clicked").removeClass("jstree-clicked");
					this.data.ui.selected = $([]);
					this.data.ui.last_selected = false;
					this.__callback({ "obj" : ret });
				}
			}
		});
		// include the selection plugin by default
		$.jstree.defaults.plugins.push("ui");
	})(jQuery);
	//*/
	
	/* 
	 * jsTree CRRM plugin
	 * Handles creating/renaming/removing/moving nodes by user interaction.
	 */
	(function ($) {
		$.jstree.plugin("crrm", { 
			__init : function () {
				this.get_container()
					.on("move_node.jstree", $.proxy(function (e, data) {
						if(this._get_settings().crrm.move.open_onmove) {
							var t = this;
							data.rslt.np.parentsUntil(".jstree").addBack().filter(".jstree-closed").each(function () {
								t.open_node(this, false, true);
							});
						}
					}, this));
			},
			defaults : {
				input_width_limit : 200,
				move : {
					always_copy			: false, // false, true or "multitree"
					open_onmove			: true,
					default_position	: "last",
					check_move			: function (m) { return true; }
				}
			},
			_fn : {
				_show_input : function (obj, callback) {
					obj = this._get_node(obj);
					var rtl = this._get_settings().core.rtl,
						w = this._get_settings().crrm.input_width_limit,
						w1 = parseInt(obj.children("ins").css("width")),
						w2 = parseInt(obj.find("> a:visible > ins").css("width")) * obj.find("> a:visible > ins").length,
						t = this.get_text(obj),
						h1 = $("<div />", { css : { "position" : "absolute", "top" : "-200px", "left" : (rtl ? "0px" : "-1000px"), "visibility" : "hidden" } }).appendTo("body"),
						h2 = obj.css("position","relative").append(
						$("<input />", { 
							"value" : t,
							"class" : "jstree-rename-input",
							// "size" : t.length,
							"css" : {
								"padding" : "0",
								"border" : "1px solid silver",
								"position" : "absolute",
								"left"  : (rtl ? "auto" : (w1 + w2 + 4) + "px"),
								"right" : (rtl ? (w1 + w2 + 4) + "px" : "auto"),
								"top" : "0px",
								"height" : (this.data.core.li_height - 2) + "px",
								"lineHeight" : (this.data.core.li_height - 2) + "px",
								"width" : "150px" // will be set a bit further down
							},
							"blur" : $.proxy(function () {
								var i = obj.children(".jstree-rename-input"),
									v = i.val();
								if(v === "") { v = t; }
								h1.remove();
								i.remove(); // rollback purposes
								this.set_text(obj,t); // rollback purposes
								this.rename_node(obj, v);
								callback.call(this, obj, v, t);
								obj.css("position","");
							}, this),
							"keyup" : function (event) {
								var key = event.keyCode || event.which;
								if(key == 27) { this.value = t; this.blur(); return; }
								else if(key == 13) { this.blur(); return; }
								else {
									h2.css("width",Math.min( parseInt(h1.text("pW" + this.value).css("width")),w) + "px");
								}
							},
							"keypress" : function(event) {
								var key = event.keyCode || event.which;
								if(key == 13) { return false; }
							}
						})
					).children(".jstree-rename-input"); 
					this.set_text(obj, "");
					h1.css({
							fontFamily		: h2.css('fontFamily')		|| '',
							fontSize		: h2.css('fontSize')		|| '',
							fontWeight		: h2.css('fontWeight')		|| '',
							fontStyle		: h2.css('fontStyle')		|| '',
							fontStretch		: h2.css('fontStretch')		|| '',
							fontVariant		: h2.css('fontVariant')		|| '',
							letterSpacing	: h2.css('letterSpacing')	|| '',
							wordSpacing		: h2.css('wordSpacing')		|| ''
					});
					h2.css("width",Math.min(parseInt(h1.text("pW" + h2[0].value).css("width")),w)+"px")[0].select();
				},
				rename : function (obj) {
					obj = this._get_node(obj);
					this.__rollback();
					var f = this.__callback;
					this._show_input(obj, function (obj, new_name, old_name) { 
						f.call(this, { "obj" : obj, "new_name" : new_name, "old_name" : old_name });
					});
				},
				create : function (obj, position, js, callback, skip_rename) {
					var t, _this = this;
					obj = this._get_node(obj);
					if(!obj) { obj = -1; }
					this.__rollback();
					t = this.create_node(obj, position, js, function (t) {
						var p = this._get_parent(t),
							pos = $(t).index();
						if(callback) { callback.call(this, t); }
						if(p.length && p.hasClass("jstree-closed")) { this.open_node(p, false, true); }
						if(!skip_rename) { 
							this._show_input(t, function (obj, new_name, old_name) { 
								_this.__callback({ "obj" : obj, "name" : new_name, "parent" : p, "position" : pos });
							});
						}
						else { _this.__callback({ "obj" : t, "name" : this.get_text(t), "parent" : p, "position" : pos }); }
					});
					return t;
				},
				remove : function (obj) {
					obj = this._get_node(obj, true);
					var p = this._get_parent(obj), prev = this._get_prev(obj);
					this.__rollback();
					obj = this.delete_node(obj);
					if(obj !== false) { this.__callback({ "obj" : obj, "prev" : prev, "parent" : p }); }
				},
				check_move : function () {
					if(!this.__call_old()) { return false; }
					var s = this._get_settings().crrm.move;
					if(!s.check_move.call(this, this._get_move())) { return false; }
					return true;
				},
				move_node : function (obj, ref, position, is_copy, is_prepared, skip_check) {
					var s = this._get_settings().crrm.move;
					if(!is_prepared) { 
						if(typeof position === "undefined") { position = s.default_position; }
						if(position === "inside" && !s.default_position.match(/^(before|after)$/)) { position = s.default_position; }
						return this.__call_old(true, obj, ref, position, is_copy, false, skip_check);
					}
					// if the move is already prepared
					if(s.always_copy === true || (s.always_copy === "multitree" && obj.rt.get_index() !== obj.ot.get_index() )) {
						is_copy = true;
					}
					this.__call_old(true, obj, ref, position, is_copy, true, skip_check);
				},
	
				cut : function (obj) {
					obj = this._get_node(obj, true);
					if(!obj || !obj.length) { return false; }
					this.data.crrm.cp_nodes = false;
					this.data.crrm.ct_nodes = obj;
					this.__callback({ "obj" : obj });
				},
				copy : function (obj) {
					obj = this._get_node(obj, true);
					if(!obj || !obj.length) { return false; }
					this.data.crrm.ct_nodes = false;
					this.data.crrm.cp_nodes = obj;
					this.__callback({ "obj" : obj });
				},
				paste : function (obj) { 
					obj = this._get_node(obj);
					if(!obj || !obj.length) { return false; }
					var nodes = this.data.crrm.ct_nodes ? this.data.crrm.ct_nodes : this.data.crrm.cp_nodes;
					if(!this.data.crrm.ct_nodes && !this.data.crrm.cp_nodes) { return false; }
					if(this.data.crrm.ct_nodes) { this.move_node(this.data.crrm.ct_nodes, obj); this.data.crrm.ct_nodes = false; }
					if(this.data.crrm.cp_nodes) { this.move_node(this.data.crrm.cp_nodes, obj, false, true); }
					this.__callback({ "obj" : obj, "nodes" : nodes });
				}
			}
		});
		// include the crr plugin by default
		// $.jstree.defaults.plugins.push("crrm");
	})(jQuery);
	//*/
	
	/* 
	 * jsTree themes plugin
	 * Handles loading and setting themes, as well as detecting path to themes, etc.
	 */
	(function ($) {
		var themes_loaded = [];
		// this variable stores the path to the themes folder - if left as false - it will be autodetected
		$.jstree._themes = false;
		$.jstree.plugin("themes", {
			__init : function () { 
				this.get_container()
					.on("init.jstree", $.proxy(function () {
							var s = this._get_settings().themes;
							this.data.themes.dots = s.dots; 
							this.data.themes.icons = s.icons; 
							this.set_theme(s.theme, s.url);
						}, this))
					.on("loaded.jstree", $.proxy(function () {
							// bound here too, as simple HTML tree's won't honor dots & icons otherwise
							if(!this.data.themes.dots) { this.hide_dots(); }
							else { this.show_dots(); }
							if(!this.data.themes.icons) { this.hide_icons(); }
							else { this.show_icons(); }
						}, this));
			},
			defaults : { 
				theme : "default", 
				url : false,
				dots : true,
				icons : true
			},
			_fn : {
				set_theme : function (theme_name, theme_url) {
					if(!theme_name) { return false; }
					if(!theme_url) { theme_url = $.jstree._themes + theme_name + '/style.css'; }
					if($.inArray(theme_url, themes_loaded) == -1) {
						$.vakata.css.add_sheet({ "url" : theme_url });
						themes_loaded.push(theme_url);
					}
					if(this.data.themes.theme != theme_name) {
						this.get_container().removeClass('jstree-' + this.data.themes.theme);
						this.data.themes.theme = theme_name;
					}
					this.get_container().addClass('jstree-' + theme_name);
					if(!this.data.themes.dots) { this.hide_dots(); }
					else { this.show_dots(); }
					if(!this.data.themes.icons) { this.hide_icons(); }
					else { this.show_icons(); }
					this.__callback();
				},
				get_theme	: function () { return this.data.themes.theme; },
	
				show_dots	: function () { this.data.themes.dots = true; this.get_container().children("ul").removeClass("jstree-no-dots"); },
				hide_dots	: function () { this.data.themes.dots = false; this.get_container().children("ul").addClass("jstree-no-dots"); },
				toggle_dots	: function () { if(this.data.themes.dots) { this.hide_dots(); } else { this.show_dots(); } },
	
				show_icons	: function () { this.data.themes.icons = true; this.get_container().children("ul").removeClass("jstree-no-icons"); },
				hide_icons	: function () { this.data.themes.icons = false; this.get_container().children("ul").addClass("jstree-no-icons"); },
				toggle_icons: function () { if(this.data.themes.icons) { this.hide_icons(); } else { this.show_icons(); } }
			}
		});
		// autodetect themes path
		$(function () {
			if($.jstree._themes === false) {
				$("script").each(function () { 
					if(this.src.toString().match(/jquery\.jstree[^\/]*?\.js(\?.*)?$/)) { 
						$.jstree._themes = this.src.toString().replace(/jquery\.jstree[^\/]*?\.js(\?.*)?$/, "") + 'themes/'; 
						return false; 
					}
				});
			}
			if($.jstree._themes === false) { $.jstree._themes = "themes/"; }
		});
		// include the themes plugin by default
		$.jstree.defaults.plugins.push("themes");
	})(jQuery);
	//*/
	
	/*
	 * jsTree hotkeys plugin
	 * Enables keyboard navigation for all tree instances
	 * Depends on the jstree ui & jquery hotkeys plugins
	 */
	(function ($) {
		var bound = [];
		function exec(i, event) {
			var f = $.jstree._focused(), tmp;
			if(f && f.data && f.data.hotkeys && f.data.hotkeys.enabled) { 
				tmp = f._get_settings().hotkeys[i];
				if(tmp) { return tmp.call(f, event); }
			}
		}
		$.jstree.plugin("hotkeys", {
			__init : function () {
				if(typeof $.hotkeys === "undefined") { throw "jsTree hotkeys: jQuery hotkeys plugin not included."; }
				if(!this.data.ui) { throw "jsTree hotkeys: jsTree UI plugin not included."; }
				$.each(this._get_settings().hotkeys, function (i, v) {
					if(v !== false && $.inArray(i, bound) == -1) {
						$(document).on("keydown", i, function (event) { return exec(i, event); });
						bound.push(i);
					}
				});
				this.get_container()
					.on("lock.jstree", $.proxy(function () {
							if(this.data.hotkeys.enabled) { this.data.hotkeys.enabled = false; this.data.hotkeys.revert = true; }
						}, this))
					.on("unlock.jstree", $.proxy(function () {
							if(this.data.hotkeys.revert) { this.data.hotkeys.enabled = true; }
						}, this));
				this.enable_hotkeys();
			},
			defaults : {
				"up" : function () { 
					var o = this.data.ui.hovered || this.data.ui.last_selected || -1;
					this.hover_node(this._get_prev(o));
					return false; 
				},
				"ctrl+up" : function () { 
					var o = this.data.ui.hovered || this.data.ui.last_selected || -1;
					this.hover_node(this._get_prev(o));
					return false; 
				},
				"shift+up" : function () { 
					var o = this.data.ui.hovered || this.data.ui.last_selected || -1;
					this.hover_node(this._get_prev(o));
					return false; 
				},
				"down" : function () { 
					var o = this.data.ui.hovered || this.data.ui.last_selected || -1;
					this.hover_node(this._get_next(o));
					return false;
				},
				"ctrl+down" : function () { 
					var o = this.data.ui.hovered || this.data.ui.last_selected || -1;
					this.hover_node(this._get_next(o));
					return false;
				},
				"shift+down" : function () { 
					var o = this.data.ui.hovered || this.data.ui.last_selected || -1;
					this.hover_node(this._get_next(o));
					return false;
				},
				"left" : function () { 
					var o = this.data.ui.hovered || this.data.ui.last_selected;
					if(o) {
						if(o.hasClass("jstree-open")) { this.close_node(o); }
						else { this.hover_node(this._get_prev(o)); }
					}
					return false;
				},
				"ctrl+left" : function () { 
					var o = this.data.ui.hovered || this.data.ui.last_selected;
					if(o) {
						if(o.hasClass("jstree-open")) { this.close_node(o); }
						else { this.hover_node(this._get_prev(o)); }
					}
					return false;
				},
				"shift+left" : function () { 
					var o = this.data.ui.hovered || this.data.ui.last_selected;
					if(o) {
						if(o.hasClass("jstree-open")) { this.close_node(o); }
						else { this.hover_node(this._get_prev(o)); }
					}
					return false;
				},
				"right" : function () { 
					var o = this.data.ui.hovered || this.data.ui.last_selected;
					if(o && o.length) {
						if(o.hasClass("jstree-closed")) { this.open_node(o); }
						else { this.hover_node(this._get_next(o)); }
					}
					return false;
				},
				"ctrl+right" : function () { 
					var o = this.data.ui.hovered || this.data.ui.last_selected;
					if(o && o.length) {
						if(o.hasClass("jstree-closed")) { this.open_node(o); }
						else { this.hover_node(this._get_next(o)); }
					}
					return false;
				},
				"shift+right" : function () { 
					var o = this.data.ui.hovered || this.data.ui.last_selected;
					if(o && o.length) {
						if(o.hasClass("jstree-closed")) { this.open_node(o); }
						else { this.hover_node(this._get_next(o)); }
					}
					return false;
				},
				"space" : function () { 
					if(this.data.ui.hovered) { this.data.ui.hovered.children("a:eq(0)").click(); } 
					return false; 
				},
				"ctrl+space" : function (event) { 
					event.type = "click";
					if(this.data.ui.hovered) { this.data.ui.hovered.children("a:eq(0)").trigger(event); } 
					return false; 
				},
				"shift+space" : function (event) { 
					event.type = "click";
					if(this.data.ui.hovered) { this.data.ui.hovered.children("a:eq(0)").trigger(event); } 
					return false; 
				},
				"f2" : function () { this.rename(this.data.ui.hovered || this.data.ui.last_selected); },
				"del" : function () { this.remove(this.data.ui.hovered || this._get_node(null)); }
			},
			_fn : {
				enable_hotkeys : function () {
					this.data.hotkeys.enabled = true;
				},
				disable_hotkeys : function () {
					this.data.hotkeys.enabled = false;
				}
			}
		});
	})(jQuery);
	//*/
	
	/* 
	 * jsTree JSON plugin
	 * The JSON data store. Datastores are build by overriding the `load_node` and `_is_loaded` functions.
	 */
	(function ($) {
		$.jstree.plugin("json_data", {
			__init : function() {
				var s = this._get_settings().json_data;
				if(s.progressive_unload) {
					this.get_container().on("after_close.jstree", function (e, data) {
						data.rslt.obj.children("ul").remove();
					});
				}
			},
			defaults : { 
				// `data` can be a function:
				//  * accepts two arguments - node being loaded and a callback to pass the result to
				//  * will be executed in the current tree's scope & ajax won't be supported
				data : false, 
				ajax : false,
				correct_state : true,
				progressive_render : false,
				progressive_unload : false
			},
			_fn : {
				load_node : function (obj, s_call, e_call) { var _this = this; this.load_node_json(obj, function () { _this.__callback({ "obj" : _this._get_node(obj) }); s_call.call(this); }, e_call); },
				_is_loaded : function (obj) { 
					var s = this._get_settings().json_data;
					obj = this._get_node(obj); 
					return obj == -1 || !obj || (!s.ajax && !s.progressive_render && !$.isFunction(s.data)) || obj.is(".jstree-open, .jstree-leaf") || obj.children("ul").children("li").length > 0;
				},
				refresh : function (obj) {
					obj = this._get_node(obj);
					var s = this._get_settings().json_data;
					if(obj && obj !== -1 && s.progressive_unload && ($.isFunction(s.data) || !!s.ajax)) {
						obj.removeData("jstree-children");
					}
					return this.__call_old();
				},
				load_node_json : function (obj, s_call, e_call) {
					var s = this.get_settings().json_data, d,
						error_func = function () {},
						success_func = function () {};
					obj = this._get_node(obj);
	
					if(obj && obj !== -1 && (s.progressive_render || s.progressive_unload) && !obj.is(".jstree-open, .jstree-leaf") && obj.children("ul").children("li").length === 0 && obj.data("jstree-children")) {
						d = this._parse_json(obj.data("jstree-children"), obj);
						if(d) {
							obj.append(d);
							if(!s.progressive_unload) { obj.removeData("jstree-children"); }
						}
						this.clean_node(obj);
						if(s_call) { s_call.call(this); }
						return;
					}
	
					if(obj && obj !== -1) {
						if(obj.data("jstree-is-loading")) { return; }
						else { obj.data("jstree-is-loading",true); }
					}
					switch(!0) {
						case (!s.data && !s.ajax): throw "Neither data nor ajax settings supplied.";
						// function option added here for easier model integration (also supporting async - see callback)
						case ($.isFunction(s.data)):
							s.data.call(this, obj, $.proxy(function (d) {
								d = this._parse_json(d, obj);
								if(!d) { 
									if(obj === -1 || !obj) {
										if(s.correct_state) { this.get_container().children("ul").empty(); }
									}
									else {
										obj.children("a.jstree-loading").removeClass("jstree-loading");
										obj.removeData("jstree-is-loading");
										if(s.correct_state) { this.correct_state(obj); }
									}
									if(e_call) { e_call.call(this); }
								}
								else {
									if(obj === -1 || !obj) { this.get_container().children("ul").empty().append(d.children()); }
									else { obj.append(d).children("a.jstree-loading").removeClass("jstree-loading"); obj.removeData("jstree-is-loading"); }
									this.clean_node(obj);
									if(s_call) { s_call.call(this); }
								}
							}, this));
							break;
						case (!!s.data && !s.ajax) || (!!s.data && !!s.ajax && (!obj || obj === -1)):
							if(!obj || obj == -1) {
								d = this._parse_json(s.data, obj);
								if(d) {
									this.get_container().children("ul").empty().append(d.children());
									this.clean_node();
								}
								else { 
									if(s.correct_state) { this.get_container().children("ul").empty(); }
								}
							}
							if(s_call) { s_call.call(this); }
							break;
						case (!s.data && !!s.ajax) || (!!s.data && !!s.ajax && obj && obj !== -1):
							error_func = function (x, t, e) {
								var ef = this.get_settings().json_data.ajax.error; 
								if(ef) { ef.call(this, x, t, e); }
								if(obj != -1 && obj.length) {
									obj.children("a.jstree-loading").removeClass("jstree-loading");
									obj.removeData("jstree-is-loading");
									if(t === "success" && s.correct_state) { this.correct_state(obj); }
								}
								else {
									if(t === "success" && s.correct_state) { this.get_container().children("ul").empty(); }
								}
								if(e_call) { e_call.call(this); }
							};
							success_func = function (d, t, x) {
								var sf = this.get_settings().json_data.ajax.success; 
								if(sf) { d = sf.call(this,d,t,x) || d; }
								if(d === "" || (d && d.toString && d.toString().replace(/^[\s\n]+$/,"") === "") || (!$.isArray(d) && !$.isPlainObject(d))) {
									return error_func.call(this, x, t, "");
								}
								d = this._parse_json(d, obj);
								if(d) {
									if(obj === -1 || !obj) { this.get_container().children("ul").empty().append(d.children()); }
									else { obj.append(d).children("a.jstree-loading").removeClass("jstree-loading"); obj.removeData("jstree-is-loading"); }
									this.clean_node(obj);
									if(s_call) { s_call.call(this); }
								}
								else {
									if(obj === -1 || !obj) {
										if(s.correct_state) { 
											this.get_container().children("ul").empty(); 
											if(s_call) { s_call.call(this); }
										}
									}
									else {
										obj.children("a.jstree-loading").removeClass("jstree-loading");
										obj.removeData("jstree-is-loading");
										if(s.correct_state) { 
											this.correct_state(obj);
											if(s_call) { s_call.call(this); } 
										}
									}
								}
							};
							s.ajax.context = this;
							s.ajax.error = error_func;
							s.ajax.success = success_func;
							if(!s.ajax.dataType) { s.ajax.dataType = "json"; }
							if($.isFunction(s.ajax.url)) { s.ajax.url = s.ajax.url.call(this, obj); }
							if($.isFunction(s.ajax.data)) { s.ajax.data = s.ajax.data.call(this, obj); }
							$.ajax(s.ajax);
							break;
					}
				},
				_parse_json : function (js, obj, is_callback) {
					var d = false, 
						p = this._get_settings(),
						s = p.json_data,
						t = p.core.html_titles,
						tmp, i, j, ul1, ul2;
	
					if(!js) { return d; }
					if(s.progressive_unload && obj && obj !== -1) { 
						obj.data("jstree-children", d);
					}
					if($.isArray(js)) {
						d = $();
						if(!js.length) { return false; }
						for(i = 0, j = js.length; i < j; i++) {
							tmp = this._parse_json(js[i], obj, true);
							if(tmp.length) { d = d.add(tmp); }
						}
					}
					else {
						if(typeof js == "string") { js = { data : js }; }
						if(!js.data && js.data !== "") { return d; }
						d = $("<li />");
						if(js.attr) { d.attr(js.attr); }
						if(js.metadata) { d.data(js.metadata); }
						if(js.state) { d.addClass("jstree-" + js.state); }
						if(!$.isArray(js.data)) { tmp = js.data; js.data = []; js.data.push(tmp); }
						$.each(js.data, function (i, m) {
							tmp = $("<a />");
							if($.isFunction(m)) { m = m.call(this, js); }
							if(typeof m == "string") { tmp.attr('href','#')[ t ? "html" : "text" ](m); }
							else {
								if(!m.attr) { m.attr = {}; }
								if(!m.attr.href) { m.attr.href = '#'; }
								tmp.attr(m.attr)[ t ? "html" : "text" ](m.title);
								if(m.language) { tmp.addClass(m.language); }
							}
							tmp.prepend("<ins class='jstree-icon'>&#160;</ins>");
							if(!m.icon && js.icon) { m.icon = js.icon; }
							if(m.icon) { 
								if(m.icon.indexOf("/") === -1) { tmp.children("ins").addClass(m.icon); }
								else { tmp.children("ins").css("background","url('" + m.icon + "') center center no-repeat"); }
							}
							d.append(tmp);
						});
						d.prepend("<ins class='jstree-icon'>&#160;</ins>");
						if(js.children) { 
							if(s.progressive_render && js.state !== "open") {
								d.addClass("jstree-closed").data("jstree-children", js.children);
							}
							else {
								if(s.progressive_unload) { d.data("jstree-children", js.children); }
								if($.isArray(js.children) && js.children.length) {
									tmp = this._parse_json(js.children, obj, true);
									if(tmp.length) {
										ul2 = $("<ul />");
										ul2.append(tmp);
										d.append(ul2);
									}
								}
							}
						}
					}
					if(!is_callback) {
						ul1 = $("<ul />");
						ul1.append(d);
						d = ul1;
					}
					return d;
				},
				get_json : function (obj, li_attr, a_attr, is_callback) {
					var result = [], 
						s = this._get_settings(), 
						_this = this,
						tmp1, tmp2, li, a, t, lang;
					obj = this._get_node(obj);
					if(!obj || obj === -1) { obj = this.get_container().find("> ul > li"); }
					li_attr = $.isArray(li_attr) ? li_attr : [ "id", "class" ];
					if(!is_callback && this.data.types) { li_attr.push(s.types.type_attr); }
					a_attr = $.isArray(a_attr) ? a_attr : [ ];
	
					obj.each(function () {
						li = $(this);
						tmp1 = { data : [] };
						if(li_attr.length) { tmp1.attr = { }; }
						$.each(li_attr, function (i, v) { 
							tmp2 = li.attr(v); 
							if(tmp2 && tmp2.length && tmp2.replace(/jstree[^ ]*/ig,'').length) {
								tmp1.attr[v] = (" " + tmp2).replace(/ jstree[^ ]*/ig,'').replace(/\s+$/ig," ").replace(/^ /,"").replace(/ $/,""); 
							}
						});
						if(li.hasClass("jstree-open")) { tmp1.state = "open"; }
						if(li.hasClass("jstree-closed")) { tmp1.state = "closed"; }
						if(li.data()) { tmp1.metadata = li.data(); }
						a = li.children("a");
						a.each(function () {
							t = $(this);
							if(
								a_attr.length || 
								$.inArray("languages", s.plugins) !== -1 || 
								t.children("ins").get(0).style.backgroundImage.length || 
								(t.children("ins").get(0).className && t.children("ins").get(0).className.replace(/jstree[^ ]*|$/ig,'').length)
							) { 
								lang = false;
								if($.inArray("languages", s.plugins) !== -1 && $.isArray(s.languages) && s.languages.length) {
									$.each(s.languages, function (l, lv) {
										if(t.hasClass(lv)) {
											lang = lv;
											return false;
										}
									});
								}
								tmp2 = { attr : { }, title : _this.get_text(t, lang) }; 
								$.each(a_attr, function (k, z) {
									tmp2.attr[z] = (" " + (t.attr(z) || "")).replace(/ jstree[^ ]*/ig,'').replace(/\s+$/ig," ").replace(/^ /,"").replace(/ $/,"");
								});
								if($.inArray("languages", s.plugins) !== -1 && $.isArray(s.languages) && s.languages.length) {
									$.each(s.languages, function (k, z) {
										if(t.hasClass(z)) { tmp2.language = z; return true; }
									});
								}
								if(t.children("ins").get(0).className.replace(/jstree[^ ]*|$/ig,'').replace(/^\s+$/ig,"").length) {
									tmp2.icon = t.children("ins").get(0).className.replace(/jstree[^ ]*|$/ig,'').replace(/\s+$/ig," ").replace(/^ /,"").replace(/ $/,"");
								}
								if(t.children("ins").get(0).style.backgroundImage.length) {
									tmp2.icon = t.children("ins").get(0).style.backgroundImage.replace("url(","").replace(")","");
								}
							}
							else {
								tmp2 = _this.get_text(t);
							}
							if(a.length > 1) { tmp1.data.push(tmp2); }
							else { tmp1.data = tmp2; }
						});
						li = li.find("> ul > li");
						if(li.length) { tmp1.children = _this.get_json(li, li_attr, a_attr, true); }
						result.push(tmp1);
					});
					return result;
				}
			}
		});
	})(jQuery);
	//*/
	
	/* 
	 * jsTree languages plugin
	 * Adds support for multiple language versions in one tree
	 * This basically allows for many titles coexisting in one node, but only one of them being visible at any given time
	 * This is useful for maintaining the same structure in many languages (hence the name of the plugin)
	 */
	(function ($) {
		$.jstree.plugin("languages", {
			__init : function () { this._load_css();  },
			defaults : [],
			_fn : {
				set_lang : function (i) { 
					var langs = this._get_settings().languages,
						st = false,
						selector = ".jstree-" + this.get_index() + ' a';
					if(!$.isArray(langs) || langs.length === 0) { return false; }
					if($.inArray(i,langs) == -1) {
						if(!!langs[i]) { i = langs[i]; }
						else { return false; }
					}
					if(i == this.data.languages.current_language) { return true; }
					st = $.vakata.css.get_css(selector + "." + this.data.languages.current_language, false, this.data.languages.language_css);
					if(st !== false) { st.style.display = "none"; }
					st = $.vakata.css.get_css(selector + "." + i, false, this.data.languages.language_css);
					if(st !== false) { st.style.display = ""; }
					this.data.languages.current_language = i;
					this.__callback(i);
					return true;
				},
				get_lang : function () {
					return this.data.languages.current_language;
				},
				_get_string : function (key, lang) {
					var langs = this._get_settings().languages,
						s = this._get_settings().core.strings;
					if($.isArray(langs) && langs.length) {
						lang = (lang && $.inArray(lang,langs) != -1) ? lang : this.data.languages.current_language;
					}
					if(s[lang] && s[lang][key]) { return s[lang][key]; }
					if(s[key]) { return s[key]; }
					return key;
				},
				get_text : function (obj, lang) {
					obj = this._get_node(obj) || this.data.ui.last_selected;
					if(!obj.length) { return false; }
					var langs = this._get_settings().languages,
						s = this._get_settings().core.html_titles;
					if($.isArray(langs) && langs.length) {
						lang = (lang && $.inArray(lang,langs) != -1) ? lang : this.data.languages.current_language;
						obj = obj.children("a." + lang);
					}
					else { obj = obj.children("a:eq(0)"); }
					if(s) {
						obj = obj.clone();
						obj.children("INS").remove();
						return obj.html();
					}
					else {
						obj = obj.contents().filter(function() { return this.nodeType == 3; })[0];
						return obj.nodeValue;
					}
				},
				set_text : function (obj, val, lang) {
					obj = this._get_node(obj) || this.data.ui.last_selected;
					if(!obj.length) { return false; }
					var langs = this._get_settings().languages,
						s = this._get_settings().core.html_titles,
						tmp;
					if($.isArray(langs) && langs.length) {
						lang = (lang && $.inArray(lang,langs) != -1) ? lang : this.data.languages.current_language;
						obj = obj.children("a." + lang);
					}
					else { obj = obj.children("a:eq(0)"); }
					if(s) {
						tmp = obj.children("INS").clone();
						obj.html(val).prepend(tmp);
						this.__callback({ "obj" : obj, "name" : val, "lang" : lang });
						return true;
					}
					else {
						obj = obj.contents().filter(function() { return this.nodeType == 3; })[0];
						this.__callback({ "obj" : obj, "name" : val, "lang" : lang });
						return (obj.nodeValue = val);
					}
				},
				_load_css : function () {
					var langs = this._get_settings().languages,
						str = "/* languages css */",
						selector = ".jstree-" + this.get_index() + ' a',
						ln;
					if($.isArray(langs) && langs.length) {
						this.data.languages.current_language = langs[0];
						for(ln = 0; ln < langs.length; ln++) {
							str += selector + "." + langs[ln] + " {";
							if(langs[ln] != this.data.languages.current_language) { str += " display:none; "; }
							str += " } ";
						}
						this.data.languages.language_css = $.vakata.css.add_sheet({ 'str' : str, 'title' : "jstree-languages" });
					}
				},
				create_node : function (obj, position, js, callback) {
					var t = this.__call_old(true, obj, position, js, function (t) {
						var langs = this._get_settings().languages,
							a = t.children("a"),
							ln;
						if($.isArray(langs) && langs.length) {
							for(ln = 0; ln < langs.length; ln++) {
								if(!a.is("." + langs[ln])) {
									t.append(a.eq(0).clone().removeClass(langs.join(" ")).addClass(langs[ln]));
								}
							}
							a.not("." + langs.join(", .")).remove();
						}
						if(callback) { callback.call(this, t); }
					});
					return t;
				}
			}
		});
	})(jQuery);
	//*/
	
	/*
	 * jsTree cookies plugin
	 * Stores the currently opened/selected nodes in a cookie and then restores them
	 * Depends on the jquery.cookie plugin
	 */
	(function ($) {
		$.jstree.plugin("cookies", {
			__init : function () {
				if(typeof $.cookie === "undefined") { throw "jsTree cookie: jQuery cookie plugin not included."; }
	
				var s = this._get_settings().cookies,
					tmp;
				if(!!s.save_loaded) {
					tmp = $.cookie(s.save_loaded);
					if(tmp && tmp.length) { this.data.core.to_load = tmp.split(","); }
				}
				if(!!s.save_opened) {
					tmp = $.cookie(s.save_opened);
					if(tmp && tmp.length) { this.data.core.to_open = tmp.split(","); }
				}
				if(!!s.save_selected) {
					tmp = $.cookie(s.save_selected);
					if(tmp && tmp.length && this.data.ui) { this.data.ui.to_select = tmp.split(","); }
				}
				this.get_container()
					.one( ( this.data.ui ? "reselect" : "reopen" ) + ".jstree", $.proxy(function () {
						this.get_container()
							.on("open_node.jstree close_node.jstree select_node.jstree deselect_node.jstree", $.proxy(function (e) { 
									if(this._get_settings().cookies.auto_save) { this.save_cookie((e.handleObj.namespace + e.handleObj.type).replace("jstree","")); }
								}, this));
					}, this));
			},
			defaults : {
				save_loaded		: "jstree_load",
				save_opened		: "jstree_open",
				save_selected	: "jstree_select",
				auto_save		: true,
				cookie_options	: {}
			},
			_fn : {
				save_cookie : function (c) {
					if(this.data.core.refreshing) { return; }
					var s = this._get_settings().cookies;
					if(!c) { // if called manually and not by event
						if(s.save_loaded) {
							this.save_loaded();
							$.cookie(s.save_loaded, this.data.core.to_load.join(","), s.cookie_options);
						}
						if(s.save_opened) {
							this.save_opened();
							$.cookie(s.save_opened, this.data.core.to_open.join(","), s.cookie_options);
						}
						if(s.save_selected && this.data.ui) {
							this.save_selected();
							$.cookie(s.save_selected, this.data.ui.to_select.join(","), s.cookie_options);
						}
						return;
					}
					switch(c) {
						case "open_node":
						case "close_node":
							if(!!s.save_opened) { 
								this.save_opened(); 
								$.cookie(s.save_opened, this.data.core.to_open.join(","), s.cookie_options); 
							}
							if(!!s.save_loaded) { 
								this.save_loaded(); 
								$.cookie(s.save_loaded, this.data.core.to_load.join(","), s.cookie_options); 
							}
							break;
						case "select_node":
						case "deselect_node":
							if(!!s.save_selected && this.data.ui) { 
								this.save_selected(); 
								$.cookie(s.save_selected, this.data.ui.to_select.join(","), s.cookie_options); 
							}
							break;
					}
				}
			}
		});
		// include cookies by default
		// $.jstree.defaults.plugins.push("cookies");
	})(jQuery);
	//*/
	
	/*
	 * jsTree sort plugin
	 * Sorts items alphabetically (or using any other function)
	 */
	(function ($) {
		$.jstree.plugin("sort", {
			__init : function () {
				this.get_container()
					.on("load_node.jstree", $.proxy(function (e, data) {
							var obj = this._get_node(data.rslt.obj);
							obj = obj === -1 ? this.get_container().children("ul") : obj.children("ul");
							this.sort(obj);
						}, this))
					.on("rename_node.jstree create_node.jstree create.jstree", $.proxy(function (e, data) {
							this.sort(data.rslt.obj.parent());
						}, this))
					.on("move_node.jstree", $.proxy(function (e, data) {
							var m = data.rslt.np == -1 ? this.get_container() : data.rslt.np;
							this.sort(m.children("ul"));
						}, this));
			},
			defaults : function (a, b) { return this.get_text(a) > this.get_text(b) ? 1 : -1; },
			_fn : {
				sort : function (obj) {
					var s = this._get_settings().sort,
						t = this;
					obj.append($.makeArray(obj.children("li")).sort($.proxy(s, t)));
					obj.find("> li > ul").each(function() { t.sort($(this)); });
					this.clean_node(obj);
				}
			}
		});
	})(jQuery);
	//*/
	
	/*
	 * jsTree DND plugin
	 * Drag and drop plugin for moving/copying nodes
	 */
	(function ($) {
		var o = false,
			r = false,
			m = false,
			ml = false,
			sli = false,
			sti = false,
			dir1 = false,
			dir2 = false,
			last_pos = false;
		$.vakata.dnd = {
			is_down : false,
			is_drag : false,
			helper : false,
			scroll_spd : 10,
			init_x : 0,
			init_y : 0,
			threshold : 5,
			helper_left : 5,
			helper_top : 10,
			user_data : {},
	
			drag_start : function (e, data, html) { 
				if($.vakata.dnd.is_drag) { $.vakata.drag_stop({}); }
				try {
					e.currentTarget.unselectable = "on";
					e.currentTarget.onselectstart = function() { return false; };
					if(e.currentTarget.style) { e.currentTarget.style.MozUserSelect = "none"; }
				} catch(err) { }
				$.vakata.dnd.init_x = e.pageX;
				$.vakata.dnd.init_y = e.pageY;
				$.vakata.dnd.user_data = data;
				$.vakata.dnd.is_down = true;
				$.vakata.dnd.helper = $("<div id='vakata-dragged' />").html(html); //.fadeTo(10,0.25);
				$(document).on("mousemove", $.vakata.dnd.drag);
				$(document).on("mouseup", $.vakata.dnd.drag_stop);
				return false;
			},
			drag : function (e) { 
				if(!$.vakata.dnd.is_down) { return; }
				if(!$.vakata.dnd.is_drag) {
					if(Math.abs(e.pageX - $.vakata.dnd.init_x) > 5 || Math.abs(e.pageY - $.vakata.dnd.init_y) > 5) { 
						$.vakata.dnd.helper.appendTo("body");
						$.vakata.dnd.is_drag = true;
						$(document).triggerHandler("drag_start.vakata", { "event" : e, "data" : $.vakata.dnd.user_data });
					}
					else { return; }
				}
	
				// maybe use a scrolling parent element instead of document?
				if(e.type === "mousemove") { // thought of adding scroll in order to move the helper, but mouse poisition is n/a
					var d = $(document), t = d.scrollTop(), l = d.scrollLeft();
					if(e.pageY - t < 20) { 
						if(sti && dir1 === "down") { clearInterval(sti); sti = false; }
						if(!sti) { dir1 = "up"; sti = setInterval(function () { $(document).scrollTop($(document).scrollTop() - $.vakata.dnd.scroll_spd); }, 150); }
					}
					else { 
						if(sti && dir1 === "up") { clearInterval(sti); sti = false; }
					}
					if(parseInt($(window).css("height")) - (e.pageY - t) < 20) {
						if(sti && dir1 === "up") { clearInterval(sti); sti = false; }
						if(!sti) { dir1 = "down"; sti = setInterval(function () { $(document).scrollTop($(document).scrollTop() + $.vakata.dnd.scroll_spd); }, 150); }
					}
					else { 
						if(sti && dir1 === "down") { clearInterval(sti); sti = false; }
					}
	
					if(e.pageX - l < 20) {
						if(sli && dir2 === "right") { clearInterval(sli); sli = false; }
						if(!sli) { dir2 = "left"; sli = setInterval(function () { $(document).scrollLeft($(document).scrollLeft() - $.vakata.dnd.scroll_spd); }, 150); }
					}
					else { 
						if(sli && dir2 === "left") { clearInterval(sli); sli = false; }
					}
					if(parseInt($(window).css("width")) - (e.pageX - l) < 20) {
						if(sli && dir2 === "left") { clearInterval(sli); sli = false; }
						if(!sli) { dir2 = "right"; sli = setInterval(function () { $(document).scrollLeft($(document).scrollLeft() + $.vakata.dnd.scroll_spd); }, 150); }
					}
					else { 
						if(sli && dir2 === "right") { clearInterval(sli); sli = false; }
					}
				}
	
				$.vakata.dnd.helper.css({ left : (e.pageX + $.vakata.dnd.helper_left) + "px", top : (e.pageY + $.vakata.dnd.helper_top) + "px" });
				$(document).triggerHandler("drag.vakata", { "event" : e, "data" : $.vakata.dnd.user_data });
			},
			drag_stop : function (e) {
				if(sli) { clearInterval(sli); }
				if(sti) { clearInterval(sti); }
				$(document).unbind("mousemove", $.vakata.dnd.drag);
				$(document).unbind("mouseup", $.vakata.dnd.drag_stop);
				$(document).triggerHandler("drag_stop.vakata", { "event" : e, "data" : $.vakata.dnd.user_data });
				$.vakata.dnd.helper.remove();
				$.vakata.dnd.init_x = 0;
				$.vakata.dnd.init_y = 0;
				$.vakata.dnd.user_data = {};
				$.vakata.dnd.is_down = false;
				$.vakata.dnd.is_drag = false;
			}
		};
		$(function() {
			var css_string = '#vakata-dragged { display:block; margin:0 0 0 0; padding:4px 4px 4px 24px; position:absolute; top:-2000px; line-height:16px; z-index:10000; } ';
			$.vakata.css.add_sheet({ str : css_string, title : "vakata" });
		});
	
		$.jstree.plugin("dnd", {
			__init : function () {
				this.data.dnd = {
					active : false,
					after : false,
					inside : false,
					before : false,
					off : false,
					prepared : false,
					w : 0,
					to1 : false,
					to2 : false,
					cof : false,
					cw : false,
					ch : false,
					i1 : false,
					i2 : false,
					mto : false
				};
				this.get_container()
					.on("mouseenter.jstree", $.proxy(function (e) {
							if($.vakata.dnd.is_drag && $.vakata.dnd.user_data.jstree) {
								if(this.data.themes) {
									m.attr("class", "jstree-" + this.data.themes.theme); 
									if(ml) { ml.attr("class", "jstree-" + this.data.themes.theme); }
									$.vakata.dnd.helper.attr("class", "jstree-dnd-helper jstree-" + this.data.themes.theme);
								}
								//if($(e.currentTarget).find("> ul > li").length === 0) {
								if(e.currentTarget === e.target && $.vakata.dnd.user_data.obj && $($.vakata.dnd.user_data.obj).length && $($.vakata.dnd.user_data.obj).parents(".jstree:eq(0)")[0] !== e.target) { // node should not be from the same tree
									var tr = $.jstree._reference(e.target), dc;
									if(tr.data.dnd.foreign) {
										dc = tr._get_settings().dnd.drag_check.call(this, { "o" : o, "r" : tr.get_container(), is_root : true });
										if(dc === true || dc.inside === true || dc.before === true || dc.after === true) {
											$.vakata.dnd.helper.children("ins").attr("class","jstree-ok");
										}
									}
									else {
										tr.prepare_move(o, tr.get_container(), "last");
										if(tr.check_move()) {
											$.vakata.dnd.helper.children("ins").attr("class","jstree-ok");
										}
									}
								}
							}
						}, this))
					.on("mouseup.jstree", $.proxy(function (e) {
							//if($.vakata.dnd.is_drag && $.vakata.dnd.user_data.jstree && $(e.currentTarget).find("> ul > li").length === 0) {
							if($.vakata.dnd.is_drag && $.vakata.dnd.user_data.jstree && e.currentTarget === e.target && $.vakata.dnd.user_data.obj && $($.vakata.dnd.user_data.obj).length && $($.vakata.dnd.user_data.obj).parents(".jstree:eq(0)")[0] !== e.target) { // node should not be from the same tree
								var tr = $.jstree._reference(e.currentTarget), dc;
								if(tr.data.dnd.foreign) {
									dc = tr._get_settings().dnd.drag_check.call(this, { "o" : o, "r" : tr.get_container(), is_root : true });
									if(dc === true || dc.inside === true || dc.before === true || dc.after === true) {
										tr._get_settings().dnd.drag_finish.call(this, { "o" : o, "r" : tr.get_container(), is_root : true });
									}
								}
								else {
									tr.move_node(o, tr.get_container(), "last", e[tr._get_settings().dnd.copy_modifier + "Key"]);
								}
							}
						}, this))
					.on("mouseleave.jstree", $.proxy(function (e) {
							if(e.relatedTarget && e.relatedTarget.id && e.relatedTarget.id === "jstree-marker-line") {
								return false; 
							}
							if($.vakata.dnd.is_drag && $.vakata.dnd.user_data.jstree) {
								if(this.data.dnd.i1) { clearInterval(this.data.dnd.i1); }
								if(this.data.dnd.i2) { clearInterval(this.data.dnd.i2); }
								if(this.data.dnd.to1) { clearTimeout(this.data.dnd.to1); }
								if(this.data.dnd.to2) { clearTimeout(this.data.dnd.to2); }
								if($.vakata.dnd.helper.children("ins").hasClass("jstree-ok")) {
									$.vakata.dnd.helper.children("ins").attr("class","jstree-invalid");
								}
							}
						}, this))
					.on("mousemove.jstree", $.proxy(function (e) {
							if($.vakata.dnd.is_drag && $.vakata.dnd.user_data.jstree) {
								var cnt = this.get_container()[0];
	
								// Horizontal scroll
								if(e.pageX + 24 > this.data.dnd.cof.left + this.data.dnd.cw) {
									if(this.data.dnd.i1) { clearInterval(this.data.dnd.i1); }
									this.data.dnd.i1 = setInterval($.proxy(function () { this.scrollLeft += $.vakata.dnd.scroll_spd; }, cnt), 100);
								}
								else if(e.pageX - 24 < this.data.dnd.cof.left) {
									if(this.data.dnd.i1) { clearInterval(this.data.dnd.i1); }
									this.data.dnd.i1 = setInterval($.proxy(function () { this.scrollLeft -= $.vakata.dnd.scroll_spd; }, cnt), 100);
								}
								else {
									if(this.data.dnd.i1) { clearInterval(this.data.dnd.i1); }
								}
	
								// Vertical scroll
								if(e.pageY + 24 > this.data.dnd.cof.top + this.data.dnd.ch) {
									if(this.data.dnd.i2) { clearInterval(this.data.dnd.i2); }
									this.data.dnd.i2 = setInterval($.proxy(function () { this.scrollTop += $.vakata.dnd.scroll_spd; }, cnt), 100);
								}
								else if(e.pageY - 24 < this.data.dnd.cof.top) {
									if(this.data.dnd.i2) { clearInterval(this.data.dnd.i2); }
									this.data.dnd.i2 = setInterval($.proxy(function () { this.scrollTop -= $.vakata.dnd.scroll_spd; }, cnt), 100);
								}
								else {
									if(this.data.dnd.i2) { clearInterval(this.data.dnd.i2); }
								}
	
							}
						}, this))
					.on("scroll.jstree", $.proxy(function (e) { 
							if($.vakata.dnd.is_drag && $.vakata.dnd.user_data.jstree && m && ml) {
								m.hide();
								ml.hide();
							}
						}, this))
					.on( "mousedown.jstree","a", $.proxy(function (e) { 
							if(e.which === 1) {
								this.start_drag(e.currentTarget, e);
								return false;
							}
						}, this))
					.on( "mouseenter.jstree","a", $.proxy(function (e) { 
							if($.vakata.dnd.is_drag && $.vakata.dnd.user_data.jstree) {
								this.dnd_enter(e.currentTarget);
							}
						}, this))
					.on( "mousemove.jstree","a", $.proxy(function (e) { 
							if($.vakata.dnd.is_drag && $.vakata.dnd.user_data.jstree) {
								if(!r || !r.length || r.children("a")[0] !== e.currentTarget) {
									this.dnd_enter(e.currentTarget);
								}
								if(typeof this.data.dnd.off.top === "undefined") { this.data.dnd.off = $(e.target).offset(); }
								this.data.dnd.w = (e.pageY - (this.data.dnd.off.top || 0)) % this.data.core.li_height;
								if(this.data.dnd.w < 0) { this.data.dnd.w += this.data.core.li_height; }
								this.dnd_show();
							}
						}, this))
					.on( "mouseleave.jstree","a", $.proxy(function (e) { 
							if($.vakata.dnd.is_drag && $.vakata.dnd.user_data.jstree) {
								if(e.relatedTarget && e.relatedTarget.id && e.relatedTarget.id === "jstree-marker-line") {
									return false; 
								}
									if(m) { m.hide(); }
									if(ml) { ml.hide(); }
								/*
								var ec = $(e.currentTarget).closest("li"), 
									er = $(e.relatedTarget).closest("li");
								if(er[0] !== ec.prev()[0] && er[0] !== ec.next()[0]) {
									if(m) { m.hide(); }
									if(ml) { ml.hide(); }
								}
								*/
								this.data.dnd.mto = setTimeout( 
									(function (t) { return function () { t.dnd_leave(e); }; })(this),
								0);
							}
						}, this))
					.on("mouseup.jstree","a",  $.proxy(function (e) { 
							if($.vakata.dnd.is_drag && $.vakata.dnd.user_data.jstree) {
								this.dnd_finish(e);
							}
						}, this));
	
				$(document)
					.on("drag_stop.vakata", $.proxy(function () {
							if(this.data.dnd.to1) { clearTimeout(this.data.dnd.to1); }
							if(this.data.dnd.to2) { clearTimeout(this.data.dnd.to2); }
							if(this.data.dnd.i1) { clearInterval(this.data.dnd.i1); }
							if(this.data.dnd.i2) { clearInterval(this.data.dnd.i2); }
							this.data.dnd.after		= false;
							this.data.dnd.before	= false;
							this.data.dnd.inside	= false;
							this.data.dnd.off		= false;
							this.data.dnd.prepared	= false;
							this.data.dnd.w			= false;
							this.data.dnd.to1		= false;
							this.data.dnd.to2		= false;
							this.data.dnd.i1		= false;
							this.data.dnd.i2		= false;
							this.data.dnd.active	= false;
							this.data.dnd.foreign	= false;
							if(m) { m.css({ "top" : "-2000px" }); }
							if(ml) { ml.css({ "top" : "-2000px" }); }
						}, this))
					.on("drag_start.vakata", $.proxy(function (e, data) {
							if(data.data.jstree) { 
								var et = $(data.event.target);
								if(et.closest(".jstree").hasClass("jstree-" + this.get_index())) {
									this.dnd_enter(et);
								}
							}
						}, this));
					/*
					.on("keydown.jstree-" + this.get_index() + " keyup.jstree-" + this.get_index(), $.proxy(function(e) {
							if($.vakata.dnd.is_drag && $.vakata.dnd.user_data.jstree && !this.data.dnd.foreign) {
								var h = $.vakata.dnd.helper.children("ins");
								if(e[this._get_settings().dnd.copy_modifier + "Key"] && h.hasClass("jstree-ok")) {
									h.parent().html(h.parent().html().replace(/ \(Copy\)$/, "") + " (Copy)");
								} 
								else {
									h.parent().html(h.parent().html().replace(/ \(Copy\)$/, ""));
								}
							}
						}, this)); */
	
	
	
				var s = this._get_settings().dnd;
				if(s.drag_target) {
					$(document)
						.on( "mousedown.jstree-" + this.get_index(),s.drag_target, $.proxy(function (e) {
							o = e.target;
							$.vakata.dnd.drag_start(e, { jstree : true, obj : e.target }, "<ins class='jstree-icon'></ins>" + $(e.target).text() );
							if(this.data.themes) { 
								if(m) { m.attr("class", "jstree-" + this.data.themes.theme); }
								if(ml) { ml.attr("class", "jstree-" + this.data.themes.theme); }
								$.vakata.dnd.helper.attr("class", "jstree-dnd-helper jstree-" + this.data.themes.theme); 
							}
							$.vakata.dnd.helper.children("ins").attr("class","jstree-invalid");
							var cnt = this.get_container();
							this.data.dnd.cof = cnt.offset();
							this.data.dnd.cw = parseInt(parseInt(cnt.css("width")),10);
							this.data.dnd.ch = parseInt(parseInt(cnt.css("height")),10);
							this.data.dnd.foreign = true;
							e.preventDefault();
						}, this));
				}
				if(s.drop_target) {
					$(document)
						.on("mouseenter.jstree-" + this.get_index(),s.drop_target,  $.proxy(function (e) {
								if(this.data.dnd.active && this._get_settings().dnd.drop_check.call(this, { "o" : o, "r" : $(e.target), "e" : e })) {
									$.vakata.dnd.helper.children("ins").attr("class","jstree-ok");
								}
							}, this))
						.on( "mouseleave.jstree-" + this.get_index(),s.drop_target, $.proxy(function (e) {
								if(this.data.dnd.active) {
									$.vakata.dnd.helper.children("ins").attr("class","jstree-invalid");
								}
							}, this))
						.on("mouseup.jstree-" + this.get_index(),s.drop_target,  $.proxy(function (e) {
								if(this.data.dnd.active && $.vakata.dnd.helper.children("ins").hasClass("jstree-ok")) {
									this._get_settings().dnd.drop_finish.call(this, { "o" : o, "r" : $(e.target), "e" : e });
								}
							}, this));
				}
			},
			defaults : {
				copy_modifier	: "ctrl",
				check_timeout	: 100,
				open_timeout	: 500,
				drop_target		: ".jstree-drop",
				drop_check		: function (data) { return true; },
				drop_finish		: $.noop,
				drag_target		: ".jstree-draggable",
				drag_finish		: $.noop,
				drag_check		: function (data) { return { after : false, before : false, inside : true }; }
			},
			_fn : {
				dnd_prepare : function () {
					if(!r || !r.length) { return; }
					this.data.dnd.off = r.offset();
					if(this._get_settings().core.rtl) {
						this.data.dnd.off.right = this.data.dnd.off.left + parseInt(r.css("width"));
					}
					if(this.data.dnd.foreign) {
						var a = this._get_settings().dnd.drag_check.call(this, { "o" : o, "r" : r });
						this.data.dnd.after = a.after;
						this.data.dnd.before = a.before;
						this.data.dnd.inside = a.inside;
						this.data.dnd.prepared = true;
						return this.dnd_show();
					}
					this.prepare_move(o, r, "before");
					this.data.dnd.before = this.check_move();
					this.prepare_move(o, r, "after");
					this.data.dnd.after = this.check_move();
					if(this._is_loaded(r)) {
						this.prepare_move(o, r, "inside");
						this.data.dnd.inside = this.check_move();
					}
					else {
						this.data.dnd.inside = false;
					}
					this.data.dnd.prepared = true;
					return this.dnd_show();
				},
				dnd_show : function () {
					if(!this.data.dnd.prepared) { return; }
					var o = ["before","inside","after"],
						r = false,
						rtl = this._get_settings().core.rtl,
						pos;
					if(this.data.dnd.w < this.data.core.li_height/3) { o = ["before","inside","after"]; }
					else if(this.data.dnd.w <= this.data.core.li_height*2/3) {
						o = this.data.dnd.w < this.data.core.li_height/2 ? ["inside","before","after"] : ["inside","after","before"];
					}
					else { o = ["after","inside","before"]; }
					$.each(o, $.proxy(function (i, val) { 
						if(this.data.dnd[val]) {
							$.vakata.dnd.helper.children("ins").attr("class","jstree-ok");
							r = val;
							return false;
						}
					}, this));
					if(r === false) { $.vakata.dnd.helper.children("ins").attr("class","jstree-invalid"); }
					
					pos = rtl ? (this.data.dnd.off.right - 18) : (this.data.dnd.off.left + 10);
					switch(r) {
						case "before":
							m.css({ "left" : pos + "px", "top" : (this.data.dnd.off.top - 6) + "px" }).show();
							if(ml) { ml.css({ "left" : (pos + 8) + "px", "top" : (this.data.dnd.off.top - 1) + "px" }).show(); }
							break;
						case "after":
							m.css({ "left" : pos + "px", "top" : (this.data.dnd.off.top + this.data.core.li_height - 6) + "px" }).show();
							if(ml) { ml.css({ "left" : (pos + 8) + "px", "top" : (this.data.dnd.off.top + this.data.core.li_height - 1) + "px" }).show(); }
							break;
						case "inside":
							m.css({ "left" : pos + ( rtl ? -4 : 4) + "px", "top" : (this.data.dnd.off.top + this.data.core.li_height/2 - 5) + "px" }).show();
							if(ml) { ml.hide(); }
							break;
						default:
							m.hide();
							if(ml) { ml.hide(); }
							break;
					}
					last_pos = r;
					return r;
				},
				dnd_open : function () {
					this.data.dnd.to2 = false;
					this.open_node(r, $.proxy(this.dnd_prepare,this), true);
				},
				dnd_finish : function (e) {
					if(this.data.dnd.foreign) {
						if(this.data.dnd.after || this.data.dnd.before || this.data.dnd.inside) {
							this._get_settings().dnd.drag_finish.call(this, { "o" : o, "r" : r, "p" : last_pos });
						}
					}
					else {
						this.dnd_prepare();
						this.move_node(o, r, last_pos, e[this._get_settings().dnd.copy_modifier + "Key"]);
					}
					o = false;
					r = false;
					m.hide();
					if(ml) { ml.hide(); }
				},
				dnd_enter : function (obj) {
					if(this.data.dnd.mto) { 
						clearTimeout(this.data.dnd.mto);
						this.data.dnd.mto = false;
					}
					var s = this._get_settings().dnd;
					this.data.dnd.prepared = false;
					r = this._get_node(obj);
					if(s.check_timeout) { 
						// do the calculations after a minimal timeout (users tend to drag quickly to the desired location)
						if(this.data.dnd.to1) { clearTimeout(this.data.dnd.to1); }
						this.data.dnd.to1 = setTimeout($.proxy(this.dnd_prepare, this), s.check_timeout); 
					}
					else { 
						this.dnd_prepare(); 
					}
					if(s.open_timeout) { 
						if(this.data.dnd.to2) { clearTimeout(this.data.dnd.to2); }
						if(r && r.length && r.hasClass("jstree-closed")) { 
							// if the node is closed - open it, then recalculate
							this.data.dnd.to2 = setTimeout($.proxy(this.dnd_open, this), s.open_timeout);
						}
					}
					else {
						if(r && r.length && r.hasClass("jstree-closed")) { 
							this.dnd_open();
						}
					}
				},
				dnd_leave : function (e) {
					this.data.dnd.after		= false;
					this.data.dnd.before	= false;
					this.data.dnd.inside	= false;
					$.vakata.dnd.helper.children("ins").attr("class","jstree-invalid");
					m.hide();
					if(ml) { ml.hide(); }
					if(r && r[0] === e.target.parentNode) {
						if(this.data.dnd.to1) {
							clearTimeout(this.data.dnd.to1);
							this.data.dnd.to1 = false;
						}
						if(this.data.dnd.to2) {
							clearTimeout(this.data.dnd.to2);
							this.data.dnd.to2 = false;
						}
					}
				},
				start_drag : function (obj, e) {
					o = this._get_node(obj);
					if(this.data.ui && this.is_selected(o)) { o = this._get_node(null, true); }
					var dt = o.length > 1 ? this._get_string("multiple_selection") : this.get_text(o),
						cnt = this.get_container();
					if(!this._get_settings().core.html_titles) { dt = dt.replace(/</ig,"&lt;").replace(/>/ig,"&gt;"); }
					$.vakata.dnd.drag_start(e, { jstree : true, obj : o }, "<ins class='jstree-icon'></ins>" + dt );
					if(this.data.themes) { 
						if(m) { m.attr("class", "jstree-" + this.data.themes.theme); }
						if(ml) { ml.attr("class", "jstree-" + this.data.themes.theme); }
						$.vakata.dnd.helper.attr("class", "jstree-dnd-helper jstree-" + this.data.themes.theme); 
					}
					this.data.dnd.cof = cnt.offset();
					this.data.dnd.cw = parseInt(parseInt(cnt.css("width")),10);
					this.data.dnd.ch = parseInt(parseInt(cnt.css("height")),10);
					this.data.dnd.active = true;
				}
			}
		});
		$(function() {
			var css_string = '' + 
				'#vakata-dragged ins { display:block; text-decoration:none; width:16px; height:16px; margin:0 0 0 0; padding:0; position:absolute; top:4px; left:4px; ' + 
				' -moz-border-radius:4px; border-radius:4px; -webkit-border-radius:4px; ' +
				'} ' + 
				'#vakata-dragged .jstree-ok { background:green; } ' + 
				'#vakata-dragged .jstree-invalid { background:red; } ' + 
				'#jstree-marker { padding:0; margin:0; font-size:12px; overflow:hidden; height:12px; width:8px; position:absolute; top:-30px; z-index:10001; background-repeat:no-repeat; display:none; background-color:transparent; text-shadow:1px 1px 1px white; color:black; line-height:10px; } ' + 
				'#jstree-marker-line { padding:0; margin:0; line-height:0%; font-size:1px; overflow:hidden; height:1px; width:100px; position:absolute; top:-30px; z-index:10000; background-repeat:no-repeat; display:none; background-color:#456c43; ' + 
				' cursor:pointer; border:1px solid #eeeeee; border-left:0; -moz-box-shadow: 0px 0px 2px #666; -webkit-box-shadow: 0px 0px 2px #666; box-shadow: 0px 0px 2px #666; ' + 
				' -moz-border-radius:1px; border-radius:1px; -webkit-border-radius:1px; ' +
				'}' + 
				'';
			$.vakata.css.add_sheet({ str : css_string, title : "jstree" });
			m = $("<div />").attr({ id : "jstree-marker" }).hide().html("&raquo;")
				.on("mouseleave mouseenter", function (e) { 
					m.hide();
					ml.hide();
					e.preventDefault(); 
					e.stopImmediatePropagation(); 
					return false; 
				})
				.appendTo("body");
			ml = $("<div />").attr({ id : "jstree-marker-line" }).hide()
				.on("mouseup", function (e) { 
					if(r && r.length) { 
						r.children("a").trigger(e); 
						e.preventDefault(); 
						e.stopImmediatePropagation(); 
						return false; 
					} 
				})
				.on("mouseleave", function (e) { 
					var rt = $(e.relatedTarget);
					if(rt.is(".jstree") || rt.closest(".jstree").length === 0) {
						if(r && r.length) { 
							r.children("a").trigger(e); 
							m.hide();
							ml.hide();
							e.preventDefault(); 
							e.stopImmediatePropagation(); 
							return false; 
						}
					}
				})
				.appendTo("body");
			$(document).on("drag_start.vakata", function (e, data) {
				if(data.data.jstree) { m.show(); if(ml) { ml.show(); } }
			});
			$(document).on("drag_stop.vakata", function (e, data) {
				if(data.data.jstree) { m.hide(); if(ml) { ml.hide(); } }
			});
		});
	})(jQuery);
	//*/
	
	/*
	 * jsTree checkbox plugin
	 * Inserts checkboxes in front of every node
	 * Depends on the ui plugin
	 * DOES NOT WORK NICELY WITH MULTITREE DRAG'N'DROP
	 */
	(function ($) {
		$.jstree.plugin("checkbox", {
			__init : function () {
				this.data.checkbox.noui = this._get_settings().checkbox.override_ui;
				if(this.data.ui && this.data.checkbox.noui) {
					this.select_node = this.deselect_node = this.deselect_all = $.noop;
					this.get_selected = this.get_checked;
				}
	
				this.get_container()
					.on("open_node.jstree create_node.jstree clean_node.jstree refresh.jstree", $.proxy(function (e, data) { 
							this._prepare_checkboxes(data.rslt.obj);
						}, this))
					.on("loaded.jstree", $.proxy(function (e) {
							this._prepare_checkboxes();
						}, this))
					.on(  "click.jstree",(this.data.ui && this.data.checkbox.noui ? "a" : "ins.jstree-checkbox") , $.proxy(function (e) {
							e.preventDefault();
							if(this._get_node(e.target).hasClass("jstree-checked")) { this.uncheck_node(e.target); }
							else { this.check_node(e.target); }
							if(this.data.ui && this.data.checkbox.noui) {
								this.save_selected();
								if(this.data.cookies) { this.save_cookie("select_node"); }
							}
							else {
								e.stopImmediatePropagation();
								return false;
							}
						}, this));
			},
			defaults : {
				override_ui : false,
				two_state : false,
				real_checkboxes : false,
				checked_parent_open : true,
				real_checkboxes_names : function (n) { return [ ("check_" + (n[0].id || Math.ceil(Math.random() * 10000))) , 1]; }
			},
			__destroy : function () {
				this.get_container()
					.find("input.jstree-real-checkbox").removeClass("jstree-real-checkbox").end()
					.find("ins.jstree-checkbox").remove();
			},
			_fn : {
				_checkbox_notify : function (n, data) {
					if(data.checked) {
						this.check_node(n, false);
					}
				},
				_prepare_checkboxes : function (obj) {
					obj = !obj || obj == -1 ? this.get_container().find("> ul > li") : this._get_node(obj);
					if(obj === false) { return; } // added for removing root nodes
					var c, _this = this, t, ts = this._get_settings().checkbox.two_state, rc = this._get_settings().checkbox.real_checkboxes, rcn = this._get_settings().checkbox.real_checkboxes_names;
					obj.each(function () {
						t = $(this);
						c = t.is("li") && (t.hasClass("jstree-checked") || (rc && t.children(":checked").length)) ? "jstree-checked" : "jstree-unchecked";
						t.find("li").addBack().each(function () {
							var $t = $(this), nm;
							$t.children("a" + (_this.data.languages ? "" : ":eq(0)") ).not(":has(.jstree-checkbox)").prepend("<ins class='jstree-checkbox'>&#160;</ins>").parent().not(".jstree-checked, .jstree-unchecked").addClass( ts ? "jstree-unchecked" : c );
							if(rc) {
								if(!$t.children(":checkbox").length) {
									nm = rcn.call(_this, $t);
									$t.prepend("<input type='checkbox' class='jstree-real-checkbox' id='" + nm[0] + "' name='" + nm[0] + "' value='" + nm[1] + "' />");
								}
								else {
									$t.children(":checkbox").addClass("jstree-real-checkbox");
								}
								if(c === "jstree-checked") { 
									$t.children(":checkbox").attr("checked","checked"); 
								}
							}
							if(c === "jstree-checked" && !ts) {
								$t.find("li").addClass("jstree-checked");
							}
						});
					});
					if(!ts) {
						if(obj.length === 1 && obj.is("li")) { this._repair_state(obj); }
						if(obj.is("li")) { obj.each(function () { _this._repair_state(this); }); }
						else { obj.find("> ul > li").each(function () { _this._repair_state(this); }); }
						obj.find(".jstree-checked").parent().parent().each(function () { _this._repair_state(this); }); 
					}
				},
				change_state : function (obj, state) {
					obj = this._get_node(obj);
					var coll = false, rc = this._get_settings().checkbox.real_checkboxes;
					if(!obj || obj === -1) { return false; }
					state = (state === false || state === true) ? state : obj.hasClass("jstree-checked");
					if(this._get_settings().checkbox.two_state) {
						if(state) { 
							obj.removeClass("jstree-checked").addClass("jstree-unchecked"); 
							if(rc) { obj.children(":checkbox").prop( "checked", false ); }
						}
						else { 
							obj.removeClass("jstree-unchecked").addClass("jstree-checked"); 
							if(rc) { obj.children(":checkbox").attr("checked","checked"); }
						}
					}
					else {
						if(state) { 
							coll = obj.find("li").addBack();
							if(!coll.filter(".jstree-checked, .jstree-undetermined").length) { return false; }
							coll.removeClass("jstree-checked jstree-undetermined").addClass("jstree-unchecked"); 
							if(rc) { coll.children(":checkbox").prop( "checked", false ); }
						}
						else { 
							coll = obj.find("li").addBack();
							if(!coll.filter(".jstree-unchecked, .jstree-undetermined").length) { return false; }
							coll.removeClass("jstree-unchecked jstree-undetermined").addClass("jstree-checked"); 
							if(rc) { coll.children(":checkbox").attr("checked","checked"); }
							if(this.data.ui) { this.data.ui.last_selected = obj; }
							this.data.checkbox.last_selected = obj;
						}
						obj.parentsUntil(".jstree", "li").each(function () {
							var $this = $(this);
							if(state) {
								if($this.children("ul").children("li.jstree-checked, li.jstree-undetermined").length) {
									$this.parentsUntil(".jstree", "li").addBack().removeClass("jstree-checked jstree-unchecked").addClass("jstree-undetermined");
									if(rc) { $this.parentsUntil(".jstree", "li").addBack().children(":checkbox").prop( "checked", false ); }
									return false;
								}
								else {
									$this.removeClass("jstree-checked jstree-undetermined").addClass("jstree-unchecked");
									if(rc) { $this.children(":checkbox").prop( "checked", false ); }
								}
							}
							else {
								if($this.children("ul").children("li.jstree-unchecked, li.jstree-undetermined").length) {
									$this.parentsUntil(".jstree", "li").addBack().removeClass("jstree-checked jstree-unchecked").addClass("jstree-undetermined");
									if(rc) { $this.parentsUntil(".jstree", "li").addBack().children(":checkbox").prop( "checked", false ); }
									return false;
								}
								else {
									$this.removeClass("jstree-unchecked jstree-undetermined").addClass("jstree-checked");
									if(rc) { $this.children(":checkbox").attr("checked","checked"); }
								}
							}
						});
					}
					if(this.data.ui && this.data.checkbox.noui) { this.data.ui.selected = this.get_checked(); }
					this.__callback(obj);
					return true;
				},
				check_node : function (obj) {
					if(this.change_state(obj, false)) { 
						obj = this._get_node(obj);
						if(this._get_settings().checkbox.checked_parent_open) {
							var t = this;
							obj.parents(".jstree-closed").each(function () { t.open_node(this, false, true); });
						}
						this.__callback({ "obj" : obj }); 
					}
				},
				uncheck_node : function (obj) {
					if(this.change_state(obj, true)) { this.__callback({ "obj" : this._get_node(obj) }); }
				},
				check_all : function () {
					var _this = this, 
						coll = this._get_settings().checkbox.two_state ? this.get_container_ul().find("li") : this.get_container_ul().children("li");
					coll.each(function () {
						_this.change_state(this, false);
					});
					this.__callback();
				},
				uncheck_all : function () {
					var _this = this,
						coll = this._get_settings().checkbox.two_state ? this.get_container_ul().find("li") : this.get_container_ul().children("li");
					coll.each(function () {
						_this.change_state(this, true);
					});
					this.__callback();
				},
	
				is_checked : function(obj) {
					obj = this._get_node(obj);
					return obj.length ? obj.is(".jstree-checked") : false;
				},
				get_checked : function (obj, get_all) {
					obj = !obj || obj === -1 ? this.get_container() : this._get_node(obj);
					return get_all || this._get_settings().checkbox.two_state ? obj.find(".jstree-checked") : obj.find("> ul > .jstree-checked, .jstree-undetermined > ul > .jstree-checked");
				},
				get_unchecked : function (obj, get_all) { 
					obj = !obj || obj === -1 ? this.get_container() : this._get_node(obj);
					return get_all || this._get_settings().checkbox.two_state ? obj.find(".jstree-unchecked") : obj.find("> ul > .jstree-unchecked, .jstree-undetermined > ul > .jstree-unchecked");
				},
	
				show_checkboxes : function () { this.get_container().children("ul").removeClass("jstree-no-checkboxes"); },
				hide_checkboxes : function () { this.get_container().children("ul").addClass("jstree-no-checkboxes"); },
	
				_repair_state : function (obj) {
					obj = this._get_node(obj);
					if(!obj.length) { return; }
					var rc = this._get_settings().checkbox.real_checkboxes,
						a = obj.find("> ul > .jstree-checked").length,
						b = obj.find("> ul > .jstree-undetermined").length,
						c = obj.find("> ul > li").length;
					if(c === 0) { if(obj.hasClass("jstree-undetermined")) { this.change_state(obj, false); } }
					else if(a === 0 && b === 0) { this.change_state(obj, true); }
					else if(a === c) { this.change_state(obj, false); }
					else { 
						obj.parentsUntil(".jstree","li").addBack().removeClass("jstree-checked jstree-unchecked").addClass("jstree-undetermined");
						if(rc) { obj.parentsUntil(".jstree", "li").addBack().children(":checkbox").prop( "checked", false ); }
					}
				},
				reselect : function () {
					if(this.data.ui && this.data.checkbox.noui) { 
						var _this = this,
							s = this.data.ui.to_select;
						s = $.map($.makeArray(s), function (n) { return "#" + n.toString().replace(/^#/,"").replace(/\\\//g,"/").replace(/\//g,"\\\/").replace(/\\\./g,".").replace(/\./g,"\\.").replace(/\:/g,"\\:"); });
						this.deselect_all();
						$.each(s, function (i, val) { _this.check_node(val); });
						this.__callback();
					}
					else { 
						this.__call_old(); 
					}
				},
				save_loaded : function () {
					var _this = this;
					this.data.core.to_load = [];
					this.get_container_ul().find("li.jstree-closed.jstree-undetermined").each(function () {
						if(this.id) { _this.data.core.to_load.push("#" + this.id); }
					});
				}
			}
		});
		$(function() {
			var css_string = '.jstree .jstree-real-checkbox { display:none; } ';
			$.vakata.css.add_sheet({ str : css_string, title : "jstree" });
		});
	})(jQuery);
	//*/
	
	/* 
	 * jsTree XML plugin
	 * The XML data store. Datastores are build by overriding the `load_node` and `_is_loaded` functions.
	 */
	(function ($) {
		$.vakata.xslt = function (xml, xsl, callback) {
			var rs = "", xm, xs, processor, support;
			// TODO: IE9 no XSLTProcessor, no document.recalc
			if(document.recalc) {
				xm = document.createElement('xml');
				xs = document.createElement('xml');
				xm.innerHTML = xml;
				xs.innerHTML = xsl;
				$("body").append(xm).append(xs);
				setTimeout( (function (xm, xs, callback) {
					return function () {
						callback.call(null, xm.transformNode(xs.XMLDocument));
						setTimeout( (function (xm, xs) { return function () { $(xm).remove(); $(xs).remove(); }; })(xm, xs), 200);
					};
				})(xm, xs, callback), 100);
				return true;
			}
			if(typeof window.DOMParser !== "undefined" && typeof window.XMLHttpRequest !== "undefined" && typeof window.XSLTProcessor === "undefined") {
				xml = new DOMParser().parseFromString(xml, "text/xml");
				xsl = new DOMParser().parseFromString(xsl, "text/xml");
				// alert(xml.transformNode());
				// callback.call(null, new XMLSerializer().serializeToString(rs));
				
			}
			if(typeof window.DOMParser !== "undefined" && typeof window.XMLHttpRequest !== "undefined" && typeof window.XSLTProcessor !== "undefined") {
				processor = new XSLTProcessor();
				support = $.isFunction(processor.transformDocument) ? (typeof window.XMLSerializer !== "undefined") : true;
				if(!support) { return false; }
				xml = new DOMParser().parseFromString(xml, "text/xml");
				xsl = new DOMParser().parseFromString(xsl, "text/xml");
				if($.isFunction(processor.transformDocument)) {
					rs = document.implementation.createDocument("", "", null);
					processor.transformDocument(xml, xsl, rs, null);
					callback.call(null, new XMLSerializer().serializeToString(rs));
					return true;
				}
				else {
					processor.importStylesheet(xsl);
					rs = processor.transformToFragment(xml, document);
					callback.call(null, $("<div />").append(rs).html());
					return true;
				}
			}
			return false;
		};
		var xsl = {
			'nest' : '<' + '?xml version="1.0" encoding="utf-8" ?>' + 
				'<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >' + 
				'<xsl:output method="html" encoding="utf-8" omit-xml-declaration="yes" standalone="no" indent="no" media-type="text/html" />' + 
				'<xsl:template match="/">' + 
				'	<xsl:call-template name="nodes">' + 
				'		<xsl:with-param name="node" select="/root" />' + 
				'	</xsl:call-template>' + 
				'</xsl:template>' + 
				'<xsl:template name="nodes">' + 
				'	<xsl:param name="node" />' + 
				'	<ul>' + 
				'	<xsl:for-each select="$node/item">' + 
				'		<xsl:variable name="children" select="count(./item) &gt; 0" />' + 
				'		<li>' + 
				'			<xsl:attribute name="class">' + 
				'				<xsl:if test="position() = last()">jstree-last </xsl:if>' + 
				'				<xsl:choose>' + 
				'					<xsl:when test="@state = \'open\'">jstree-open </xsl:when>' + 
				'					<xsl:when test="$children or @hasChildren or @state = \'closed\'">jstree-closed </xsl:when>' + 
				'					<xsl:otherwise>jstree-leaf </xsl:otherwise>' + 
				'				</xsl:choose>' + 
				'				<xsl:value-of select="@class" />' + 
				'			</xsl:attribute>' + 
				'			<xsl:for-each select="@*">' + 
				'				<xsl:if test="name() != \'class\' and name() != \'state\' and name() != \'hasChildren\'">' + 
				'					<xsl:attribute name="{name()}"><xsl:value-of select="." /></xsl:attribute>' + 
				'				</xsl:if>' + 
				'			</xsl:for-each>' + 
				'	<ins class="jstree-icon"><xsl:text>&#xa0;</xsl:text></ins>' + 
				'			<xsl:for-each select="content/name">' + 
				'				<a>' + 
				'				<xsl:attribute name="href">' + 
				'					<xsl:choose>' + 
				'					<xsl:when test="@href"><xsl:value-of select="@href" /></xsl:when>' + 
				'					<xsl:otherwise>#</xsl:otherwise>' + 
				'					</xsl:choose>' + 
				'				</xsl:attribute>' + 
				'				<xsl:attribute name="class"><xsl:value-of select="@lang" /> <xsl:value-of select="@class" /></xsl:attribute>' + 
				'				<xsl:attribute name="style"><xsl:value-of select="@style" /></xsl:attribute>' + 
				'				<xsl:for-each select="@*">' + 
				'					<xsl:if test="name() != \'style\' and name() != \'class\' and name() != \'href\'">' + 
				'						<xsl:attribute name="{name()}"><xsl:value-of select="." /></xsl:attribute>' + 
				'					</xsl:if>' + 
				'				</xsl:for-each>' + 
				'					<ins>' + 
				'						<xsl:attribute name="class">jstree-icon ' + 
				'							<xsl:if test="string-length(attribute::icon) > 0 and not(contains(@icon,\'/\'))"><xsl:value-of select="@icon" /></xsl:if>' + 
				'						</xsl:attribute>' + 
				'						<xsl:if test="string-length(attribute::icon) > 0 and contains(@icon,\'/\')"><xsl:attribute name="style">background:url(<xsl:value-of select="@icon" />) center center no-repeat;</xsl:attribute></xsl:if>' + 
				'						<xsl:text>&#xa0;</xsl:text>' + 
				'					</ins>' + 
				'					<xsl:copy-of select="./child::node()" />' + 
				'				</a>' + 
				'			</xsl:for-each>' + 
				'			<xsl:if test="$children or @hasChildren"><xsl:call-template name="nodes"><xsl:with-param name="node" select="current()" /></xsl:call-template></xsl:if>' + 
				'		</li>' + 
				'	</xsl:for-each>' + 
				'	</ul>' + 
				'</xsl:template>' + 
				'</xsl:stylesheet>',
	
			'flat' : '<' + '?xml version="1.0" encoding="utf-8" ?>' + 
				'<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >' + 
				'<xsl:output method="html" encoding="utf-8" omit-xml-declaration="yes" standalone="no" indent="no" media-type="text/xml" />' + 
				'<xsl:template match="/">' + 
				'	<ul>' + 
				'	<xsl:for-each select="//item[not(@parent_id) or @parent_id=0 or not(@parent_id = //item/@id)]">' + /* the last `or` may be removed */
				'		<xsl:call-template name="nodes">' + 
				'			<xsl:with-param name="node" select="." />' + 
				'			<xsl:with-param name="is_last" select="number(position() = last())" />' + 
				'		</xsl:call-template>' + 
				'	</xsl:for-each>' + 
				'	</ul>' + 
				'</xsl:template>' + 
				'<xsl:template name="nodes">' + 
				'	<xsl:param name="node" />' + 
				'	<xsl:param name="is_last" />' + 
				'	<xsl:variable name="children" select="count(//item[@parent_id=$node/attribute::id]) &gt; 0" />' + 
				'	<li>' + 
				'	<xsl:attribute name="class">' + 
				'		<xsl:if test="$is_last = true()">jstree-last </xsl:if>' + 
				'		<xsl:choose>' + 
				'			<xsl:when test="@state = \'open\'">jstree-open </xsl:when>' + 
				'			<xsl:when test="$children or @hasChildren or @state = \'closed\'">jstree-closed </xsl:when>' + 
				'			<xsl:otherwise>jstree-leaf </xsl:otherwise>' + 
				'		</xsl:choose>' + 
				'		<xsl:value-of select="@class" />' + 
				'	</xsl:attribute>' + 
				'	<xsl:for-each select="@*">' + 
				'		<xsl:if test="name() != \'parent_id\' and name() != \'hasChildren\' and name() != \'class\' and name() != \'state\'">' + 
				'		<xsl:attribute name="{name()}"><xsl:value-of select="." /></xsl:attribute>' + 
				'		</xsl:if>' + 
				'	</xsl:for-each>' + 
				'	<ins class="jstree-icon"><xsl:text>&#xa0;</xsl:text></ins>' + 
				'	<xsl:for-each select="content/name">' + 
				'		<a>' + 
				'		<xsl:attribute name="href">' + 
				'			<xsl:choose>' + 
				'			<xsl:when test="@href"><xsl:value-of select="@href" /></xsl:when>' + 
				'			<xsl:otherwise>#</xsl:otherwise>' + 
				'			</xsl:choose>' + 
				'		</xsl:attribute>' + 
				'		<xsl:attribute name="class"><xsl:value-of select="@lang" /> <xsl:value-of select="@class" /></xsl:attribute>' + 
				'		<xsl:attribute name="style"><xsl:value-of select="@style" /></xsl:attribute>' + 
				'		<xsl:for-each select="@*">' + 
				'			<xsl:if test="name() != \'style\' and name() != \'class\' and name() != \'href\'">' + 
				'				<xsl:attribute name="{name()}"><xsl:value-of select="." /></xsl:attribute>' + 
				'			</xsl:if>' + 
				'		</xsl:for-each>' + 
				'			<ins>' + 
				'				<xsl:attribute name="class">jstree-icon ' + 
				'					<xsl:if test="string-length(attribute::icon) > 0 and not(contains(@icon,\'/\'))"><xsl:value-of select="@icon" /></xsl:if>' + 
				'				</xsl:attribute>' + 
				'				<xsl:if test="string-length(attribute::icon) > 0 and contains(@icon,\'/\')"><xsl:attribute name="style">background:url(<xsl:value-of select="@icon" />) center center no-repeat;</xsl:attribute></xsl:if>' + 
				'				<xsl:text>&#xa0;</xsl:text>' + 
				'			</ins>' + 
				'			<xsl:copy-of select="./child::node()" />' + 
				'		</a>' + 
				'	</xsl:for-each>' + 
				'	<xsl:if test="$children">' + 
				'		<ul>' + 
				'		<xsl:for-each select="//item[@parent_id=$node/attribute::id]">' + 
				'			<xsl:call-template name="nodes">' + 
				'				<xsl:with-param name="node" select="." />' + 
				'				<xsl:with-param name="is_last" select="number(position() = last())" />' + 
				'			</xsl:call-template>' + 
				'		</xsl:for-each>' + 
				'		</ul>' + 
				'	</xsl:if>' + 
				'	</li>' + 
				'</xsl:template>' + 
				'</xsl:stylesheet>'
		},
		escape_xml = function(string) {
			return string
				.toString()
				.replace(/&/g, '&amp;')
				.replace(/</g, '&lt;')
				.replace(/>/g, '&gt;')
				.replace(/"/g, '&quot;')
				.replace(/'/g, '&apos;');
		};
		$.jstree.plugin("xml_data", {
			defaults : { 
				data : false,
				ajax : false,
				xsl : "flat",
				clean_node : false,
				correct_state : true,
				get_skip_empty : false,
				get_include_preamble : true
			},
			_fn : {
				load_node : function (obj, s_call, e_call) { var _this = this; this.load_node_xml(obj, function () { _this.__callback({ "obj" : _this._get_node(obj) }); s_call.call(this); }, e_call); },
				_is_loaded : function (obj) { 
					var s = this._get_settings().xml_data;
					obj = this._get_node(obj);
					return obj == -1 || !obj || (!s.ajax && !$.isFunction(s.data)) || obj.is(".jstree-open, .jstree-leaf") || obj.children("ul").children("li").length > 0;
				},
				load_node_xml : function (obj, s_call, e_call) {
					var s = this.get_settings().xml_data,
						error_func = function () {},
						success_func = function () {};
	
					obj = this._get_node(obj);
					if(obj && obj !== -1) {
						if(obj.data("jstree-is-loading")) { return; }
						else { obj.data("jstree-is-loading",true); }
					}
					switch(!0) {
						case (!s.data && !s.ajax): throw "Neither data nor ajax settings supplied.";
						case ($.isFunction(s.data)):
							s.data.call(this, obj, $.proxy(function (d) {
								this.parse_xml(d, $.proxy(function (d) {
									if(d) {
										d = d.replace(/ ?xmlns="[^"]*"/ig, "");
										if(d.length > 10) {
											d = $(d);
											if(obj === -1 || !obj) { this.get_container().children("ul").empty().append(d.children()); }
											else { obj.children("a.jstree-loading").removeClass("jstree-loading"); obj.append(d); obj.removeData("jstree-is-loading"); }
											if(s.clean_node) { this.clean_node(obj); }
											if(s_call) { s_call.call(this); }
										}
										else {
											if(obj && obj !== -1) { 
												obj.children("a.jstree-loading").removeClass("jstree-loading");
												obj.removeData("jstree-is-loading");
												if(s.correct_state) { 
													this.correct_state(obj);
													if(s_call) { s_call.call(this); } 
												}
											}
											else {
												if(s.correct_state) { 
													this.get_container().children("ul").empty();
													if(s_call) { s_call.call(this); } 
												}
											}
										}
									}
								}, this));
							}, this));
							break;
						case (!!s.data && !s.ajax) || (!!s.data && !!s.ajax && (!obj || obj === -1)):
							if(!obj || obj == -1) {
								this.parse_xml(s.data, $.proxy(function (d) {
									if(d) {
										d = d.replace(/ ?xmlns="[^"]*"/ig, "");
										if(d.length > 10) {
											d = $(d);
											this.get_container().children("ul").empty().append(d.children());
											if(s.clean_node) { this.clean_node(obj); }
											if(s_call) { s_call.call(this); }
										}
									}
									else { 
										if(s.correct_state) { 
											this.get_container().children("ul").empty(); 
											if(s_call) { s_call.call(this); }
										}
									}
								}, this));
							}
							break;
						case (!s.data && !!s.ajax) || (!!s.data && !!s.ajax && obj && obj !== -1):
							error_func = function (x, t, e) {
								var ef = this.get_settings().xml_data.ajax.error; 
								if(ef) { ef.call(this, x, t, e); }
								if(obj !== -1 && obj.length) {
									obj.children("a.jstree-loading").removeClass("jstree-loading");
									obj.removeData("jstree-is-loading");
									if(t === "success" && s.correct_state) { this.correct_state(obj); }
								}
								else {
									if(t === "success" && s.correct_state) { this.get_container().children("ul").empty(); }
								}
								if(e_call) { e_call.call(this); }
							};
							success_func = function (d, t, x) {
								d = x.responseText;
								var sf = this.get_settings().xml_data.ajax.success; 
								if(sf) { d = sf.call(this,d,t,x) || d; }
								if(d === "" || (d && d.toString && d.toString().replace(/^[\s\n]+$/,"") === "")) {
									return error_func.call(this, x, t, "");
								}
								this.parse_xml(d, $.proxy(function (d) {
									if(d) {
										d = d.replace(/ ?xmlns="[^"]*"/ig, "");
										if(d.length > 10) {
											d = $(d);
											if(obj === -1 || !obj) { this.get_container().children("ul").empty().append(d.children()); }
											else { obj.children("a.jstree-loading").removeClass("jstree-loading"); obj.append(d); obj.removeData("jstree-is-loading"); }
											if(s.clean_node) { this.clean_node(obj); }
											if(s_call) { s_call.call(this); }
										}
										else {
											if(obj && obj !== -1) { 
												obj.children("a.jstree-loading").removeClass("jstree-loading");
												obj.removeData("jstree-is-loading");
												if(s.correct_state) { 
													this.correct_state(obj);
													if(s_call) { s_call.call(this); } 
												}
											}
											else {
												if(s.correct_state) { 
													this.get_container().children("ul").empty();
													if(s_call) { s_call.call(this); } 
												}
											}
										}
									}
								}, this));
							};
							s.ajax.context = this;
							s.ajax.error = error_func;
							s.ajax.success = success_func;
							if(!s.ajax.dataType) { s.ajax.dataType = "xml"; }
							if($.isFunction(s.ajax.url)) { s.ajax.url = s.ajax.url.call(this, obj); }
							if($.isFunction(s.ajax.data)) { s.ajax.data = s.ajax.data.call(this, obj); }
							$.ajax(s.ajax);
							break;
					}
				},
				parse_xml : function (xml, callback) {
					var s = this._get_settings().xml_data;
					$.vakata.xslt(xml, xsl[s.xsl], callback);
				},
				get_xml : function (tp, obj, li_attr, a_attr, is_callback) {
					var result = "", 
						s = this._get_settings(), 
						_this = this,
						tmp1, tmp2, li, a, lang;
					if(!tp) { tp = "flat"; }
					if(!is_callback) { is_callback = 0; }
					obj = this._get_node(obj);
					if(!obj || obj === -1) { obj = this.get_container().find("> ul > li"); }
					li_attr = $.isArray(li_attr) ? li_attr : [ "id", "class" ];
					if(!is_callback && this.data.types && $.inArray(s.types.type_attr, li_attr) === -1) { li_attr.push(s.types.type_attr); }
	
					a_attr = $.isArray(a_attr) ? a_attr : [ ];
	
					if(!is_callback) { 
						if(s.xml_data.get_include_preamble) { 
							result += '<' + '?xml version="1.0" encoding="UTF-8"?' + '>'; 
						}
						result += "<root>"; 
					}
					obj.each(function () {
						result += "<item";
						li = $(this);
						$.each(li_attr, function (i, v) { 
							var t = li.attr(v);
							if(!s.xml_data.get_skip_empty || typeof t !== "undefined") {
								result += " " + v + "=\"" + escape_xml((" " + (t || "")).replace(/ jstree[^ ]*/ig,'').replace(/\s+$/ig," ").replace(/^ /,"").replace(/ $/,"")) + "\""; 
							}
						});
						if(li.hasClass("jstree-open")) { result += " state=\"open\""; }
						if(li.hasClass("jstree-closed")) { result += " state=\"closed\""; }
						if(tp === "flat") { result += " parent_id=\"" + escape_xml(is_callback) + "\""; }
						result += ">";
						result += "<content>";
						a = li.children("a");
						a.each(function () {
							tmp1 = $(this);
							lang = false;
							result += "<name";
							if($.inArray("languages", s.plugins) !== -1) {
								$.each(s.languages, function (k, z) {
									if(tmp1.hasClass(z)) { result += " lang=\"" + escape_xml(z) + "\""; lang = z; return false; }
								});
							}
							if(a_attr.length) { 
								$.each(a_attr, function (k, z) {
									var t = tmp1.attr(z);
									if(!s.xml_data.get_skip_empty || typeof t !== "undefined") {
										result += " " + z + "=\"" + escape_xml((" " + t || "").replace(/ jstree[^ ]*/ig,'').replace(/\s+$/ig," ").replace(/^ /,"").replace(/ $/,"")) + "\"";
									}
								});
							}
							if(tmp1.children("ins").get(0).className.replace(/jstree[^ ]*|$/ig,'').replace(/^\s+$/ig,"").length) {
								result += ' icon="' + escape_xml(tmp1.children("ins").get(0).className.replace(/jstree[^ ]*|$/ig,'').replace(/\s+$/ig," ").replace(/^ /,"").replace(/ $/,"")) + '"';
							}
							if(tmp1.children("ins").get(0).style.backgroundImage.length) {
								result += ' icon="' + escape_xml(tmp1.children("ins").get(0).style.backgroundImage.replace("url(","").replace(")","").replace(/'/ig,"").replace(/"/ig,"")) + '"';
							}
							result += ">";
							result += "<![CDATA[" + _this.get_text(tmp1, lang) + "]]>";
							result += "</name>";
						});
						result += "</content>";
						tmp2 = li[0].id || true;
						li = li.find("> ul > li");
						if(li.length) { tmp2 = _this.get_xml(tp, li, li_attr, a_attr, tmp2); }
						else { tmp2 = ""; }
						if(tp == "nest") { result += tmp2; }
						result += "</item>";
						if(tp == "flat") { result += tmp2; }
					});
					if(!is_callback) { result += "</root>"; }
					return result;
				}
			}
		});
	})(jQuery);
	//*/
	
	/*
	 * jsTree search plugin
	 * Enables both sync and async search on the tree
	 * DOES NOT WORK WITH JSON PROGRESSIVE RENDER
	 */
	(function ($) {
		$.expr[':'].jstree_contains = function(a,i,m){
			return (a.textContent || a.innerText || "").toLowerCase().indexOf(m[3].toLowerCase())>=0;
		};
		$.expr[':'].jstree_title_contains = function(a,i,m) {
			return (a.getAttribute("title") || "").toLowerCase().indexOf(m[3].toLowerCase())>=0;
		};
		$.jstree.plugin("search", {
			__init : function () {
				this.data.search.str = "";
				this.data.search.result = $();
				if(this._get_settings().search.show_only_matches) {
					this.get_container()
						.on("search.jstree", function (e, data) {
							$(this).children("ul").find("li").hide().removeClass("jstree-last");
							data.rslt.nodes.parentsUntil(".jstree").addBack().show()
								.filter("ul").each(function () { $(this).children("li:visible").eq(-1).addClass("jstree-last"); });
						})
						.on("clear_search.jstree", function () {
							$(this).children("ul").find("li").css("display","").end().end().jstree("clean_node", -1);
						});
				}
			},
			defaults : {
				ajax : false,
				search_method : "jstree_contains", // for case insensitive - jstree_contains
				show_only_matches : false
			},
			_fn : {
				search : function (str, skip_async) {
					if($.trim(str) === "") { this.clear_search(); return; }
					var s = this.get_settings().search, 
						t = this,
						error_func = function () { },
						success_func = function () { };
					this.data.search.str = str;
	
					if(!skip_async && s.ajax !== false && this.get_container_ul().find("li.jstree-closed:not(:has(ul)):eq(0)").length > 0) {
						this.search.supress_callback = true;
						error_func = function () { };
						success_func = function (d, t, x) {
							var sf = this.get_settings().search.ajax.success; 
							if(sf) { d = sf.call(this,d,t,x) || d; }
							this.data.search.to_open = d;
							this._search_open();
						};
						s.ajax.context = this;
						s.ajax.error = error_func;
						s.ajax.success = success_func;
						if($.isFunction(s.ajax.url)) { s.ajax.url = s.ajax.url.call(this, str); }
						if($.isFunction(s.ajax.data)) { s.ajax.data = s.ajax.data.call(this, str); }
						if(!s.ajax.data) { s.ajax.data = { "search_string" : str }; }
						if(!s.ajax.dataType || /^json/.exec(s.ajax.dataType)) { s.ajax.dataType = "json"; }
						$.ajax(s.ajax);
						return;
					}
					if(this.data.search.result.length) { this.clear_search(); }
					this.data.search.result = this.get_container().find("a" + (this.data.languages ? "." + this.get_lang() : "" ) + ":" + (s.search_method) + "(" + this.data.search.str + ")");
					this.data.search.result.addClass("jstree-search").parent().parents(".jstree-closed").each(function () {
						t.open_node(this, false, true);
					});
					this.__callback({ nodes : this.data.search.result, str : str });
				},
				clear_search : function (str) {
					this.data.search.result.removeClass("jstree-search");
					this.__callback(this.data.search.result);
					this.data.search.result = $();
				},
				_search_open : function (is_callback) {
					var _this = this,
						done = true,
						current = [],
						remaining = [];
					if(this.data.search.to_open.length) {
						$.each(this.data.search.to_open, function (i, val) {
							if(val == "#") { return true; }
							if($(val).length && $(val).is(".jstree-closed")) { current.push(val); }
							else { remaining.push(val); }
						});
						if(current.length) {
							this.data.search.to_open = remaining;
							$.each(current, function (i, val) { 
								_this.open_node(val, function () { _this._search_open(true); }); 
							});
							done = false;
						}
					}
					if(done) { this.search(this.data.search.str, true); }
				}
			}
		});
	})(jQuery);
	//*/
	
	/* 
	 * jsTree contextmenu plugin
	 */
	(function ($) {
		$.vakata.context = {
			hide_on_mouseleave : false,
	
			cnt		: $("<div id='vakata-contextmenu' />"),
			vis		: false,
			tgt		: false,
			par		: false,
			func	: false,
			data	: false,
			rtl		: false,
			show	: function (s, t, x, y, d, p, rtl) {
				$.vakata.context.rtl = !!rtl;
				var html = $.vakata.context.parse(s), h, w;
				if(!html) { return; }
				$.vakata.context.vis = true;
				$.vakata.context.tgt = t;
				$.vakata.context.par = p || t || null;
				$.vakata.context.data = d || null;
				$.vakata.context.cnt
					.html(html)
					.css({ "visibility" : "hidden", "display" : "block", "left" : 0, "top" : 0 });
	
				if($.vakata.context.hide_on_mouseleave) {
					$.vakata.context.cnt
						.one("mouseleave", function(e) { $.vakata.context.hide(); });
				}
	
				h = parseInt($.vakata.context.cnt.css("height"));
				w = parseInt($.vakata.context.cnt.css("width"));
				if(x + w > parseInt($(document).css("width"))) { 
					x = parseInt($(document).css("width")) - (w + 5); 
					$.vakata.context.cnt.find("li > ul").addClass("right"); 
				}
				if(y + h > parseInt($(document).css("height"))) { 
					y = y - (h + t[0].offsetHeight); 
					$.vakata.context.cnt.find("li > ul").addClass("bottom"); 
				}
	
				$.vakata.context.cnt
					.css({ "left" : x, "top" : y })
					.find("li:has(ul)")
						.on("mouseenter", function (e) { 
							var w = parseInt($(document).css("width")),
								h = parseInt($(document).css("height")),
								ul = $(this).children("ul").show(); 
							if(w !== parseInt($(document).css("width"))) { ul.toggleClass("right"); }
							if(h !== parseInt($(document).css("height"))) { ul.toggleClass("bottom"); }
						})
						.on("mouseleave", function (e) { 
							$(this).children("ul").hide(); 
						})
						.end()
					.css({ "visibility" : "visible" })
					.show();
				$(document).triggerHandler("context_show.vakata");
			},
			hide	: function () {
				$.vakata.context.vis = false;
				$.vakata.context.cnt.attr("class","").css({ "visibility" : "hidden" });
				$(document).triggerHandler("context_hide.vakata");
			},
			parse	: function (s, is_callback) {
				if(!s) { return false; }
				var str = "",
					tmp = false,
					was_sep = true;
				if(!is_callback) { $.vakata.context.func = {}; }
				str += "<ul>";
				$.each(s, function (i, val) {
					if(!val) { return true; }
					$.vakata.context.func[i] = val.action;
					if(!was_sep && val.separator_before) {
						str += "<li class='vakata-separator vakata-separator-before'></li>";
					}
					was_sep = false;
					str += "<li class='" + (val._class || "") + (val._disabled ? " jstree-contextmenu-disabled " : "") + "'><ins ";
					if(val.icon && val.icon.indexOf("/") === -1) { str += " class='" + val.icon + "' "; }
					if(val.icon && val.icon.indexOf("/") !== -1) { str += " style='background:url(" + val.icon + ") center center no-repeat;' "; }
					str += ">&#160;</ins><a href='#' rel='" + i + "'>";
					if(val.submenu) {
						str += "<span style='float:" + ($.vakata.context.rtl ? "left" : "right") + ";'>&raquo;</span>";
					}
					str += val.label + "</a>";
					if(val.submenu) {
						tmp = $.vakata.context.parse(val.submenu, true);
						if(tmp) { str += tmp; }
					}
					str += "</li>";
					if(val.separator_after) {
						str += "<li class='vakata-separator vakata-separator-after'></li>";
						was_sep = true;
					}
				});
				str = str.replace(/<li class\='vakata-separator vakata-separator-after'\><\/li\>$/,"");
				str += "</ul>";
				$(document).triggerHandler("context_parse.vakata");
				return str.length > 10 ? str : false;
			},
			exec	: function (i) {
				if($.isFunction($.vakata.context.func[i])) {
					// if is string - eval and call it!
					$.vakata.context.func[i].call($.vakata.context.data, $.vakata.context.par);
					return true;
				}
				else { return false; }
			}
		};
		$(function () {
			var css_string = '' + 
				'#vakata-contextmenu { display:block; visibility:hidden; left:0; top:-200px; position:absolute; margin:0; padding:0; min-width:180px; background:#ebebeb; border:1px solid silver; z-index:10000; *width:180px; } ' + 
				'#vakata-contextmenu ul { min-width:180px; *width:180px; } ' + 
				'#vakata-contextmenu ul, #vakata-contextmenu li { margin:0; padding:0; list-style-type:none; display:block; } ' + 
				'#vakata-contextmenu li { line-height:20px; min-height:20px; position:relative; padding:0px; } ' + 
				'#vakata-contextmenu li a { padding:1px 6px; line-height:17px; display:block; text-decoration:none; margin:1px 1px 0 1px; } ' + 
				'#vakata-contextmenu li ins { float:left; width:16px; height:16px; text-decoration:none; margin-right:2px; } ' + 
				'#vakata-contextmenu li a:hover, #vakata-contextmenu li.vakata-hover > a { background:gray; color:white; } ' + 
				'#vakata-contextmenu li ul { display:none; position:absolute; top:-2px; left:100%; background:#ebebeb; border:1px solid gray; } ' + 
				'#vakata-contextmenu .right { right:100%; left:auto; } ' + 
				'#vakata-contextmenu .bottom { bottom:-1px; top:auto; } ' + 
				'#vakata-contextmenu li.vakata-separator { min-height:0; height:1px; line-height:1px; font-size:1px; overflow:hidden; margin:0 2px; background:silver; /* border-top:1px solid #fefefe; */ padding:0; } ';
			$.vakata.css.add_sheet({ str : css_string, title : "vakata" });
			$.vakata.context.cnt
				.on("click","a", function (e) { e.preventDefault(); })
				.on("mouseup","a", function (e) {
					if(!$(this).parent().hasClass("jstree-contextmenu-disabled") && $.vakata.context.exec($(this).attr("rel"))) {
						$.vakata.context.hide();
					}
					else { $(this).blur(); }
				})
				.on("mouseover","a", function () {
					$.vakata.context.cnt.find(".vakata-hover").removeClass("vakata-hover");
				})
				.appendTo("body");
			$(document).on("mousedown", function (e) { if($.vakata.context.vis && !$.contains($.vakata.context.cnt[0], e.target)) { $.vakata.context.hide(); } });
			if(typeof $.hotkeys !== "undefined") {
				$(document)
					.on("keydown", "up", function (e) { 
						if($.vakata.context.vis) { 
							var o = $.vakata.context.cnt.find("ul:visible").last().children(".vakata-hover").removeClass("vakata-hover").prevAll("li:not(.vakata-separator)").first();
							if(!o.length) { o = $.vakata.context.cnt.find("ul:visible").last().children("li:not(.vakata-separator)").last(); }
							o.addClass("vakata-hover");
							e.stopImmediatePropagation(); 
							e.preventDefault();
						} 
					})
					.on("keydown", "down", function (e) { 
						if($.vakata.context.vis) { 
							var o = $.vakata.context.cnt.find("ul:visible").last().children(".vakata-hover").removeClass("vakata-hover").nextAll("li:not(.vakata-separator)").first();
							if(!o.length) { o = $.vakata.context.cnt.find("ul:visible").last().children("li:not(.vakata-separator)").first(); }
							o.addClass("vakata-hover");
							e.stopImmediatePropagation(); 
							e.preventDefault();
						} 
					})
					.on("keydown", "right", function (e) { 
						if($.vakata.context.vis) { 
							$.vakata.context.cnt.find(".vakata-hover").children("ul").show().children("li:not(.vakata-separator)").removeClass("vakata-hover").first().addClass("vakata-hover");
							e.stopImmediatePropagation(); 
							e.preventDefault();
						} 
					})
					.on("keydown", "left", function (e) { 
						if($.vakata.context.vis) { 
							$.vakata.context.cnt.find(".vakata-hover").children("ul").hide().children(".vakata-separator").removeClass("vakata-hover");
							e.stopImmediatePropagation(); 
							e.preventDefault();
						} 
					})
					.on("keydown", "esc", function (e) { 
						$.vakata.context.hide(); 
						e.preventDefault();
					})
					.on("keydown", "space", function (e) { 
						$.vakata.context.cnt.find(".vakata-hover").last().children("a").click();
						e.preventDefault();
					});
			}
		});
	
		$.jstree.plugin("contextmenu", {
			__init : function () {
				this.get_container()
					.on( "contextmenu.jstree","a", $.proxy(function (e) {
							e.preventDefault();
							if(!$(e.currentTarget).hasClass("jstree-loading")) {
								this.show_contextmenu(e.currentTarget, e.pageX, e.pageY);
							}
						}, this))
					.on( "click.jstree","a", $.proxy(function (e) {
							if(this.data.contextmenu) {
								$.vakata.context.hide();
							}
						}, this))
					.on("destroy.jstree", $.proxy(function () {
							// TODO: move this to descruct method
							if(this.data.contextmenu) {
								$.vakata.context.hide();
							}
						}, this));
				$(document).on("context_hide.vakata", $.proxy(function () { this.data.contextmenu = false; }, this));
			},
			defaults : { 
				select_node : false, // requires UI plugin
				show_at_node : true,
				items : { // Could be a function that should return an object like this one
					"create" : {
						"separator_before"	: false,
						"separator_after"	: true,
						"label"				: "Create",
						"action"			: function (obj) { this.create(obj); }
					},
					"rename" : {
						"separator_before"	: false,
						"separator_after"	: false,
						"label"				: "Rename",
						"action"			: function (obj) { this.rename(obj); }
					},
					"remove" : {
						"separator_before"	: false,
						"icon"				: false,
						"separator_after"	: false,
						"label"				: "Delete",
						"action"			: function (obj) { if(this.is_selected(obj)) { this.remove(); } else { this.remove(obj); } }
					},
					"ccp" : {
						"separator_before"	: true,
						"icon"				: false,
						"separator_after"	: false,
						"label"				: "Edit",
						"action"			: false,
						"submenu" : { 
							"cut" : {
								"separator_before"	: false,
								"separator_after"	: false,
								"label"				: "Cut",
								"action"			: function (obj) { this.cut(obj); }
							},
							"copy" : {
								"separator_before"	: false,
								"icon"				: false,
								"separator_after"	: false,
								"label"				: "Copy",
								"action"			: function (obj) { this.copy(obj); }
							},
							"paste" : {
								"separator_before"	: false,
								"icon"				: false,
								"separator_after"	: false,
								"label"				: "Paste",
								"action"			: function (obj) { this.paste(obj); }
							}
						}
					}
				}
			},
			_fn : {
				show_contextmenu : function (obj, x, y) {
					obj = this._get_node(obj);
					var s = this.get_settings().contextmenu,
						a = obj.children("a:visible:eq(0)"),
						o = false,
						i = false;
					if(s.select_node && this.data.ui && !this.is_selected(obj)) {
						this.deselect_all();
						this.select_node(obj, true);
					}
					if(s.show_at_node || typeof x === "undefined" || typeof y === "undefined") {
						o = a.offset();
						x = o.left;
						y = o.top + this.data.core.li_height;
					}
					i = obj.data("jstree") && obj.data("jstree").contextmenu ? obj.data("jstree").contextmenu : s.items;
					if($.isFunction(i)) { i = i.call(this, obj); }
					this.data.contextmenu = true;
					$.vakata.context.show(i, a, x, y, this, obj, this._get_settings().core.rtl);
					if(this.data.themes) { $.vakata.context.cnt.attr("class", "jstree-" + this.data.themes.theme + "-context"); }
				}
			}
		});
	})(jQuery);
	//*/
	
	/* 
	 * jsTree types plugin
	 * Adds support types of nodes
	 * You can set an attribute on each li node, that represents its type.
	 * According to the type setting the node may get custom icon/validation rules
	 */
	(function ($) {
		$.jstree.plugin("types", {
			__init : function () {
				var s = this._get_settings().types;
				this.data.types.attach_to = [];
				this.get_container()
					.on("init.jstree", $.proxy(function () { 
							var types = s.types, 
								attr  = s.type_attr, 
								icons_css = "", 
								_this = this;
	
							$.each(types, function (i, tp) {
								$.each(tp, function (k, v) { 
									if(!/^(max_depth|max_children|icon|valid_children)$/.test(k)) { _this.data.types.attach_to.push(k); }
								});
								if(!tp.icon) { return true; }
								if( tp.icon.image || tp.icon.position) {
									if(i == "default")	{ icons_css += '.jstree-' + _this.get_index() + ' a > .jstree-icon { '; }
									else				{ icons_css += '.jstree-' + _this.get_index() + ' li[' + attr + '="' + i + '"] > a > .jstree-icon { '; }
									if(tp.icon.image)	{ icons_css += ' background-image:url(' + tp.icon.image + '); '; }
									if(tp.icon.position){ icons_css += ' background-position:' + tp.icon.position + '; '; }
									else				{ icons_css += ' background-position:0 0; '; }
									icons_css += '} ';
								}
							});
							if(icons_css !== "") { $.vakata.css.add_sheet({ 'str' : icons_css, title : "jstree-types" }); }
						}, this))
					.on("before.jstree", $.proxy(function (e, data) { 
							var s, t, 
								o = this._get_settings().types.use_data ? this._get_node(data.args[0]) : false, 
								d = o && o !== -1 && o.length ? o.data("jstree") : false;
							if(d && d.types && d.types[data.func] === false) { e.stopImmediatePropagation(); return false; }
							if($.inArray(data.func, this.data.types.attach_to) !== -1) {
								if(!data.args[0] || (!data.args[0].tagName && !data.args[0].jquery)) { return; }
								s = this._get_settings().types.types;
								t = this._get_type(data.args[0]);
								if(
									( 
										(s[t] && typeof s[t][data.func] !== "undefined") || 
										(s["default"] && typeof s["default"][data.func] !== "undefined") 
									) && this._check(data.func, data.args[0]) === false
								) {
									e.stopImmediatePropagation();
									return false;
								}
							}
						}, this));
				if(is_ie6) {
					this.get_container()
						.on("load_node.jstree set_type.jstree", $.proxy(function (e, data) {
								var r = data && data.rslt && data.rslt.obj && data.rslt.obj !== -1 ? this._get_node(data.rslt.obj).parent() : this.get_container_ul(),
									c = false,
									s = this._get_settings().types;
								$.each(s.types, function (i, tp) {
									if(tp.icon && (tp.icon.image || tp.icon.position)) {
										c = i === "default" ? r.find("li > a > .jstree-icon") : r.find("li[" + s.type_attr + "='" + i + "'] > a > .jstree-icon");
										if(tp.icon.image) { c.css("backgroundImage","url(" + tp.icon.image + ")"); }
										c.css("backgroundPosition", tp.icon.position || "0 0");
									}
								});
							}, this));
				}
			},
			defaults : {
				// defines maximum number of root nodes (-1 means unlimited, -2 means disable max_children checking)
				max_children		: -1,
				// defines the maximum depth of the tree (-1 means unlimited, -2 means disable max_depth checking)
				max_depth			: -1,
				// defines valid node types for the root nodes
				valid_children		: "all",
	
				// whether to use $.data
				use_data : false, 
				// where is the type stores (the rel attribute of the LI element)
				type_attr : "rel",
				// a list of types
				types : {
					// the default type
					"default" : {
						"max_children"	: -1,
						"max_depth"		: -1,
						"valid_children": "all"
	
						// Bound functions - you can bind any other function here (using boolean or function)
						//"select_node"	: true
					}
				}
			},
			_fn : {
				_types_notify : function (n, data) {
					if(data.type && this._get_settings().types.use_data) {
						this.set_type(data.type, n);
					}
				},
				_get_type : function (obj) {
					obj = this._get_node(obj);
					return (!obj || !obj.length) ? false : obj.attr(this._get_settings().types.type_attr) || "default";
				},
				set_type : function (str, obj) {
					obj = this._get_node(obj);
					var ret = (!obj.length || !str) ? false : obj.attr(this._get_settings().types.type_attr, str);
					if(ret) { this.__callback({ obj : obj, type : str}); }
					return ret;
				},
				_check : function (rule, obj, opts) {
					obj = this._get_node(obj);
					var v = false, t = this._get_type(obj), d = 0, _this = this, s = this._get_settings().types, data = false;
					if(obj === -1) { 
						if(!!s[rule]) { v = s[rule]; }
						else { return; }
					}
					else {
						if(t === false) { return; }
						data = s.use_data ? obj.data("jstree") : false;
						if(data && data.types && typeof data.types[rule] !== "undefined") { v = data.types[rule]; }
						else if(!!s.types[t] && typeof s.types[t][rule] !== "undefined") { v = s.types[t][rule]; }
						else if(!!s.types["default"] && typeof s.types["default"][rule] !== "undefined") { v = s.types["default"][rule]; }
					}
					if($.isFunction(v)) { v = v.call(this, obj); }
					if(rule === "max_depth" && obj !== -1 && opts !== false && s.max_depth !== -2 && v !== 0) {
						// also include the node itself - otherwise if root node it is not checked
						obj.children("a:eq(0)").parentsUntil(".jstree","li").each(function (i) {
							// check if current depth already exceeds global tree depth
							if(s.max_depth !== -1 && s.max_depth - (i + 1) <= 0) { v = 0; return false; }
							d = (i === 0) ? v : _this._check(rule, this, false);
							// check if current node max depth is already matched or exceeded
							if(d !== -1 && d - (i + 1) <= 0) { v = 0; return false; }
							// otherwise - set the max depth to the current value minus current depth
							if(d >= 0 && (d - (i + 1) < v || v < 0) ) { v = d - (i + 1); }
							// if the global tree depth exists and it minus the nodes calculated so far is less than `v` or `v` is unlimited
							if(s.max_depth >= 0 && (s.max_depth - (i + 1) < v || v < 0) ) { v = s.max_depth - (i + 1); }
						});
					}
					return v;
				},
				check_move : function () {
					if(!this.__call_old()) { return false; }
					var m  = this._get_move(),
						s  = m.rt._get_settings().types,
						mc = m.rt._check("max_children", m.cr),
						md = m.rt._check("max_depth", m.cr),
						vc = m.rt._check("valid_children", m.cr),
						ch = 0, d = 1, t;
	
					if(vc === "none") { return false; } 
					if($.isArray(vc) && m.ot && m.ot._get_type) {
						m.o.each(function () {
							if($.inArray(m.ot._get_type(this), vc) === -1) { d = false; return false; }
						});
						if(d === false) { return false; }
					}
					if(s.max_children !== -2 && mc !== -1) {
						ch = m.cr === -1 ? this.get_container().find("> ul > li").not(m.o).length : m.cr.find("> ul > li").not(m.o).length;
						if(ch + m.o.length > mc) { return false; }
					}
					if(s.max_depth !== -2 && md !== -1) {
						d = 0;
						if(md === 0) { return false; }
						if(typeof m.o.d === "undefined") {
							// TODO: deal with progressive rendering and async when checking max_depth (how to know the depth of the moved node)
							t = m.o;
							while(t.length > 0) {
								t = t.find("> ul > li");
								d ++;
							}
							m.o.d = d;
						}
						if(md - m.o.d < 0) { return false; }
					}
					return true;
				},
				create_node : function (obj, position, js, callback, is_loaded, skip_check) {
					if(!skip_check && (is_loaded || this._is_loaded(obj))) {
						var p  = (typeof position == "string" && position.match(/^before|after$/i) && obj !== -1) ? this._get_parent(obj) : this._get_node(obj),
							s  = this._get_settings().types,
							mc = this._check("max_children", p),
							md = this._check("max_depth", p),
							vc = this._check("valid_children", p),
							ch;
						if(typeof js === "string") { js = { data : js }; }
						if(!js) { js = {}; }
						if(vc === "none") { return false; } 
						if($.isArray(vc)) {
							if(!js.attr || !js.attr[s.type_attr]) { 
								if(!js.attr) { js.attr = {}; }
								js.attr[s.type_attr] = vc[0]; 
							}
							else {
								if($.inArray(js.attr[s.type_attr], vc) === -1) { return false; }
							}
						}
						if(s.max_children !== -2 && mc !== -1) {
							ch = p === -1 ? this.get_container().find("> ul > li").length : p.find("> ul > li").length;
							if(ch + 1 > mc) { return false; }
						}
						if(s.max_depth !== -2 && md !== -1 && (md - 1) < 0) { return false; }
					}
					return this.__call_old(true, obj, position, js, callback, is_loaded, skip_check);
				}
			}
		});
	})(jQuery);
	//*/
	
	/* 
	 * jsTree HTML plugin
	 * The HTML data store. Datastores are build by replacing the `load_node` and `_is_loaded` functions.
	 */
	(function ($) {
		$.jstree.plugin("html_data", {
			__init : function () { 
				// this used to use html() and clean the whitespace, but this way any attached data was lost
				this.data.html_data.original_container_html = this.get_container().find(" > ul > li").clone(true);
				// remove white space from LI node - otherwise nodes appear a bit to the right
				this.data.html_data.original_container_html.find("li").addBack().contents().filter(function() { return this.nodeType == 3; }).remove();
			},
			defaults : { 
				data : false,
				ajax : false,
				correct_state : true
			},
			_fn : {
				load_node : function (obj, s_call, e_call) { var _this = this; this.load_node_html(obj, function () { _this.__callback({ "obj" : _this._get_node(obj) }); s_call.call(this); }, e_call); },
				_is_loaded : function (obj) { 
					obj = this._get_node(obj); 
					return obj == -1 || !obj || (!this._get_settings().html_data.ajax && !$.isFunction(this._get_settings().html_data.data)) || obj.is(".jstree-open, .jstree-leaf") || obj.children("ul").children("li").length > 0;
				},
				load_node_html : function (obj, s_call, e_call) {
					var d,
						s = this.get_settings().html_data,
						error_func = function () {},
						success_func = function () {};
					obj = this._get_node(obj);
					if(obj && obj !== -1) {
						if(obj.data("jstree-is-loading")) { return; }
						else { obj.data("jstree-is-loading",true); }
					}
					switch(!0) {
						case ($.isFunction(s.data)):
							s.data.call(this, obj, $.proxy(function (d) {
								if(d && d !== "" && d.toString && d.toString().replace(/^[\s\n]+$/,"") !== "") {
									d = $(d);
									if(!d.is("ul")) { d = $("<ul />").append(d); }
									if(obj == -1 || !obj) { this.get_container().children("ul").empty().append(d.children()).find("li, a").filter(function () { return !this.firstChild || !this.firstChild.tagName || this.firstChild.tagName !== "INS"; }).prepend("<ins class='jstree-icon'>&#160;</ins>").end().filter("a").children("ins:first-child").not(".jstree-icon").addClass("jstree-icon"); }
									else { obj.children("a.jstree-loading").removeClass("jstree-loading"); obj.append(d).children("ul").find("li, a").filter(function () { return !this.firstChild || !this.firstChild.tagName || this.firstChild.tagName !== "INS"; }).prepend("<ins class='jstree-icon'>&#160;</ins>").end().filter("a").children("ins:first-child").not(".jstree-icon").addClass("jstree-icon"); obj.removeData("jstree-is-loading"); }
									this.clean_node(obj);
									if(s_call) { s_call.call(this); }
								}
								else {
									if(obj && obj !== -1) {
										obj.children("a.jstree-loading").removeClass("jstree-loading");
										obj.removeData("jstree-is-loading");
										if(s.correct_state) { 
											this.correct_state(obj);
											if(s_call) { s_call.call(this); } 
										}
									}
									else {
										if(s.correct_state) { 
											this.get_container().children("ul").empty();
											if(s_call) { s_call.call(this); } 
										}
									}
								}
							}, this));
							break;
						case (!s.data && !s.ajax):
							if(!obj || obj == -1) {
								this.get_container()
									.children("ul").empty()
									.append(this.data.html_data.original_container_html)
									.find("li, a").filter(function () { return !this.firstChild || !this.firstChild.tagName || this.firstChild.tagName !== "INS"; }).prepend("<ins class='jstree-icon'>&#160;</ins>").end()
									.filter("a").children("ins:first-child").not(".jstree-icon").addClass("jstree-icon");
								this.clean_node();
							}
							if(s_call) { s_call.call(this); }
							break;
						case (!!s.data && !s.ajax) || (!!s.data && !!s.ajax && (!obj || obj === -1)):
							if(!obj || obj == -1) {
								d = $(s.data);
								if(!d.is("ul")) { d = $("<ul />").append(d); }
								this.get_container()
									.children("ul").empty().append(d.children())
									.find("li, a").filter(function () { return !this.firstChild || !this.firstChild.tagName || this.firstChild.tagName !== "INS"; }).prepend("<ins class='jstree-icon'>&#160;</ins>").end()
									.filter("a").children("ins:first-child").not(".jstree-icon").addClass("jstree-icon");
								this.clean_node();
							}
							if(s_call) { s_call.call(this); }
							break;
						case (!s.data && !!s.ajax) || (!!s.data && !!s.ajax && obj && obj !== -1):
							obj = this._get_node(obj);
							error_func = function (x, t, e) {
								var ef = this.get_settings().html_data.ajax.error; 
								if(ef) { ef.call(this, x, t, e); }
								if(obj != -1 && obj.length) {
									obj.children("a.jstree-loading").removeClass("jstree-loading");
									obj.removeData("jstree-is-loading");
									if(t === "success" && s.correct_state) { this.correct_state(obj); }
								}
								else {
									if(t === "success" && s.correct_state) { this.get_container().children("ul").empty(); }
								}
								if(e_call) { e_call.call(this); }
							};
							success_func = function (d, t, x) {
								var sf = this.get_settings().html_data.ajax.success; 
								if(sf) { d = sf.call(this,d,t,x) || d; }
								if(d === "" || (d && d.toString && d.toString().replace(/^[\s\n]+$/,"") === "")) {
									return error_func.call(this, x, t, "");
								}
								if(d) {
									d = $(d);
									if(!d.is("ul")) { d = $("<ul />").append(d); }
									if(obj == -1 || !obj) { this.get_container().children("ul").empty().append(d.children()).find("li, a").filter(function () { return !this.firstChild || !this.firstChild.tagName || this.firstChild.tagName !== "INS"; }).prepend("<ins class='jstree-icon'>&#160;</ins>").end().filter("a").children("ins:first-child").not(".jstree-icon").addClass("jstree-icon"); }
									else { obj.children("a.jstree-loading").removeClass("jstree-loading"); obj.append(d).children("ul").find("li, a").filter(function () { return !this.firstChild || !this.firstChild.tagName || this.firstChild.tagName !== "INS"; }).prepend("<ins class='jstree-icon'>&#160;</ins>").end().filter("a").children("ins:first-child").not(".jstree-icon").addClass("jstree-icon"); obj.removeData("jstree-is-loading"); }
									this.clean_node(obj);
									if(s_call) { s_call.call(this); }
								}
								else {
									if(obj && obj !== -1) {
										obj.children("a.jstree-loading").removeClass("jstree-loading");
										obj.removeData("jstree-is-loading");
										if(s.correct_state) { 
											this.correct_state(obj);
											if(s_call) { s_call.call(this); } 
										}
									}
									else {
										if(s.correct_state) { 
											this.get_container().children("ul").empty();
											if(s_call) { s_call.call(this); } 
										}
									}
								}
							};
							s.ajax.context = this;
							s.ajax.error = error_func;
							s.ajax.success = success_func;
							if(!s.ajax.dataType) { s.ajax.dataType = "html"; }
							if($.isFunction(s.ajax.url)) { s.ajax.url = s.ajax.url.call(this, obj); }
							if($.isFunction(s.ajax.data)) { s.ajax.data = s.ajax.data.call(this, obj); }
							$.ajax(s.ajax);
							break;
					}
				}
			}
		});
		// include the HTML data plugin by default
		$.jstree.defaults.plugins.push("html_data");
	})(jQuery);
	//*/
	
	/* 
	 * jsTree themeroller plugin
	 * Adds support for jQuery UI themes. Include this at the end of your plugins list, also make sure "themes" is not included.
	 */
	(function ($) {
		$.jstree.plugin("themeroller", {
			__init : function () {
				var s = this._get_settings().themeroller;
				this.get_container()
					.addClass("ui-widget-content")
					.addClass("jstree-themeroller")
					.on("mouseenter.jstree","a", function (e) {
						if(!$(e.currentTarget).hasClass("jstree-loading")) {
							$(this).addClass(s.item_h);
						}
					})
					.on("mouseleave.jstree","a", function () {
						$(this).removeClass(s.item_h);
					})
					.on("init.jstree", $.proxy(function (e, data) { 
							data.inst.get_container().find("> ul > li > .jstree-loading > ins").addClass("ui-icon-refresh");
							this._themeroller(data.inst.get_container().find("> ul > li"));
						}, this))
					.on("open_node.jstree create_node.jstree", $.proxy(function (e, data) { 
							this._themeroller(data.rslt.obj);
						}, this))
					.on("loaded.jstree refresh.jstree", $.proxy(function (e) {
							this._themeroller();
						}, this))
					.on("close_node.jstree", $.proxy(function (e, data) {
							this._themeroller(data.rslt.obj);
						}, this))
					.on("delete_node.jstree", $.proxy(function (e, data) {
							this._themeroller(data.rslt.parent);
						}, this))
					.on("correct_state.jstree", $.proxy(function (e, data) {
							data.rslt.obj
								.children("ins.jstree-icon").removeClass(s.opened + " " + s.closed + " ui-icon").end()
								.find("> a > ins.ui-icon")
									.filter(function() { 
										return this.className.toString()
											.replace(s.item_clsd,"").replace(s.item_open,"").replace(s.item_leaf,"")
											.indexOf("ui-icon-") === -1; 
									}).removeClass(s.item_open + " " + s.item_clsd).addClass(s.item_leaf || "jstree-no-icon");
						}, this))
					.on("select_node.jstree", $.proxy(function (e, data) {
							data.rslt.obj.children("a").addClass(s.item_a);
						}, this))
					.on("deselect_node.jstree deselect_all.jstree", $.proxy(function (e, data) {
							this.get_container()
								.find("a." + s.item_a).removeClass(s.item_a).end()
								.find("a.jstree-clicked").addClass(s.item_a);
						}, this))
					.on("dehover_node.jstree", $.proxy(function (e, data) {
							data.rslt.obj.children("a").removeClass(s.item_h);
						}, this))
					.on("hover_node.jstree", $.proxy(function (e, data) {
							this.get_container()
								.find("a." + s.item_h).not(data.rslt.obj).removeClass(s.item_h);
							data.rslt.obj.children("a").addClass(s.item_h);
						}, this))
					.on("move_node.jstree", $.proxy(function (e, data) {
							this._themeroller(data.rslt.o);
							this._themeroller(data.rslt.op);
						}, this));
			},
			__destroy : function () {
				var s = this._get_settings().themeroller,
					c = [ "ui-icon" ];
				$.each(s, function (i, v) {
					v = v.split(" ");
					if(v.length) { c = c.concat(v); }
				});
				this.get_container()
					.removeClass("ui-widget-content")
					.find("." + c.join(", .")).removeClass(c.join(" "));
			},
			_fn : {
				_themeroller : function (obj) {
					var s = this._get_settings().themeroller;
					obj = !obj || obj == -1 ? this.get_container_ul() : this._get_node(obj).parent();
					obj
						.find("li.jstree-closed")
							.children("ins.jstree-icon").removeClass(s.opened).addClass("ui-icon " + s.closed).end()
							.children("a").addClass(s.item)
								.children("ins.jstree-icon").addClass("ui-icon")
									.filter(function() { 
										return this.className.toString()
											.replace(s.item_clsd,"").replace(s.item_open,"").replace(s.item_leaf,"")
											.indexOf("ui-icon-") === -1; 
									}).removeClass(s.item_leaf + " " + s.item_open).addClass(s.item_clsd || "jstree-no-icon")
									.end()
								.end()
							.end()
						.end()
						.find("li.jstree-open")
							.children("ins.jstree-icon").removeClass(s.closed).addClass("ui-icon " + s.opened).end()
							.children("a").addClass(s.item)
								.children("ins.jstree-icon").addClass("ui-icon")
									.filter(function() { 
										return this.className.toString()
											.replace(s.item_clsd,"").replace(s.item_open,"").replace(s.item_leaf,"")
											.indexOf("ui-icon-") === -1; 
									}).removeClass(s.item_leaf + " " + s.item_clsd).addClass(s.item_open || "jstree-no-icon")
									.end()
								.end()
							.end()
						.end()
						.find("li.jstree-leaf")
							.children("ins.jstree-icon").removeClass(s.closed + " ui-icon " + s.opened).end()
							.children("a").addClass(s.item)
								.children("ins.jstree-icon").addClass("ui-icon")
									.filter(function() { 
										return this.className.toString()
											.replace(s.item_clsd,"").replace(s.item_open,"").replace(s.item_leaf,"")
											.indexOf("ui-icon-") === -1; 
									}).removeClass(s.item_clsd + " " + s.item_open).addClass(s.item_leaf || "jstree-no-icon");
				}
			},
			defaults : {
				"opened"	: "ui-icon-triangle-1-se",
				"closed"	: "ui-icon-triangle-1-e",
				"item"		: "ui-state-default",
				"item_h"	: "ui-state-hover",
				"item_a"	: "ui-state-active",
				"item_open"	: "ui-icon-folder-open",
				"item_clsd"	: "ui-icon-folder-collapsed",
				"item_leaf"	: "ui-icon-document"
			}
		});
		$(function() {
			var css_string = '' + 
				'.jstree-themeroller .ui-icon { overflow:visible; } ' + 
				'.jstree-themeroller a { padding:0 2px; } ' + 
				'.jstree-themeroller .jstree-no-icon { display:none; }';
			$.vakata.css.add_sheet({ str : css_string, title : "jstree" });
		});
	})(jQuery);
	//*/
	
	/* 
	 * jsTree unique plugin
	 * Forces different names amongst siblings (still a bit experimental)
	 * NOTE: does not check language versions (it will not be possible to have nodes with the same title, even in different languages)
	 */
	(function ($) {
		$.jstree.plugin("unique", {
			__init : function () {
				this.get_container()
					.on("before.jstree", $.proxy(function (e, data) { 
							var nms = [], res = true, p, t;
							if(data.func == "move_node") {
								// obj, ref, position, is_copy, is_prepared, skip_check
								if(data.args[4] === true) {
									if(data.args[0].o && data.args[0].o.length) {
										data.args[0].o.children("a").each(function () { nms.push($(this).text().replace(/^\s+/g,"")); });
										res = this._check_unique(nms, data.args[0].np.find("> ul > li").not(data.args[0].o), "move_node");
									}
								}
							}
							if(data.func == "create_node") {
								// obj, position, js, callback, is_loaded
								if(data.args[4] || this._is_loaded(data.args[0])) {
									p = this._get_node(data.args[0]);
									if(data.args[1] && (data.args[1] === "before" || data.args[1] === "after")) {
										p = this._get_parent(data.args[0]);
										if(!p || p === -1) { p = this.get_container(); }
									}
									if(typeof data.args[2] === "string") { nms.push(data.args[2]); }
									else if(!data.args[2] || !data.args[2].data) { nms.push(this._get_string("new_node")); }
									else { nms.push(data.args[2].data); }
									res = this._check_unique(nms, p.find("> ul > li"), "create_node");
								}
							}
							if(data.func == "rename_node") {
								// obj, val
								nms.push(data.args[1]);
								t = this._get_node(data.args[0]);
								p = this._get_parent(t);
								if(!p || p === -1) { p = this.get_container(); }
								res = this._check_unique(nms, p.find("> ul > li").not(t), "rename_node");
							}
							if(!res) {
								e.stopPropagation();
								return false;
							}
						}, this));
			},
			defaults : { 
				error_callback : $.noop
			},
			_fn : { 
				_check_unique : function (nms, p, func) {
					var cnms = [];
					p.children("a").each(function () { cnms.push($(this).text().replace(/^\s+/g,"")); });
					if(!cnms.length || !nms.length) { return true; }
					cnms = cnms.sort().join(",,").replace(/(,|^)([^,]+)(,,\2)+(,|$)/g,"$1$2$4").replace(/,,+/g,",").replace(/,$/,"").split(",");
					if((cnms.length + nms.length) != cnms.concat(nms).sort().join(",,").replace(/(,|^)([^,]+)(,,\2)+(,|$)/g,"$1$2$4").replace(/,,+/g,",").replace(/,$/,"").split(",").length) {
						this._get_settings().unique.error_callback.call(null, nms, p, func);
						return false;
					}
					return true;
				},
				check_move : function () {
					if(!this.__call_old()) { return false; }
					var p = this._get_move(), nms = [];
					if(p.o && p.o.length) {
						p.o.children("a").each(function () { nms.push($(this).text().replace(/^\s+/g,"")); });
						return this._check_unique(nms, p.np.find("> ul > li").not(p.o), "check_move");
					}
					return true;
				}
			}
		});
	})(jQuery);
	//*/
	
	/*
	 * jsTree wholerow plugin
	 * Makes select and hover work on the entire width of the node
	 * MAY BE HEAVY IN LARGE DOM
	 */
	(function ($) {
		$.jstree.plugin("wholerow", {
			__init : function () {
				if(!this.data.ui) { throw "jsTree wholerow: jsTree UI plugin not included."; }
				this.data.wholerow.html = false;
				this.data.wholerow.to = false;
				this.get_container()
					.on("init.jstree", $.proxy(function (e, data) { 
							this._get_settings().core.animation = 0;
						}, this))
					.on("open_node.jstree create_node.jstree clean_node.jstree loaded.jstree", $.proxy(function (e, data) { 
							this._prepare_wholerow_span( data && data.rslt && data.rslt.obj ? data.rslt.obj : -1 );
						}, this))
					.on("search.jstree clear_search.jstree reopen.jstree after_open.jstree after_close.jstree create_node.jstree delete_node.jstree clean_node.jstree", $.proxy(function (e, data) { 
							if(this.data.to) { clearTimeout(this.data.to); }
							this.data.to = setTimeout( (function (t, o) { return function() { t._prepare_wholerow_ul(o); }; })(this,  data && data.rslt && data.rslt.obj ? data.rslt.obj : -1), 0);
						}, this))
					.on("deselect_all.jstree", $.proxy(function (e, data) { 
							this.get_container().find(" > .jstree-wholerow .jstree-clicked").removeClass("jstree-clicked " + (this.data.themeroller ? this._get_settings().themeroller.item_a : "" ));
						}, this))
					.on("select_node.jstree deselect_node.jstree ", $.proxy(function (e, data) { 
							data.rslt.obj.each(function () { 
								var ref = data.inst.get_container().find(" > .jstree-wholerow li:visible:eq(" + ( parseInt((($(this).offset().top - data.inst.get_container().offset().top + data.inst.get_container()[0].scrollTop) / data.inst.data.core.li_height),10)) + ")");
								// ref.children("a")[e.type === "select_node" ? "addClass" : "removeClass"]("jstree-clicked");
								ref.children("a").attr("class",data.rslt.obj.children("a").attr("class"));
							});
						}, this))
					.on("hover_node.jstree dehover_node.jstree", $.proxy(function (e, data) { 
							this.get_container().find(" > .jstree-wholerow .jstree-hovered").removeClass("jstree-hovered " + (this.data.themeroller ? this._get_settings().themeroller.item_h : "" ));
							if(e.type === "hover_node") {
								var ref = this.get_container().find(" > .jstree-wholerow li:visible:eq(" + ( parseInt(((data.rslt.obj.offset().top - this.get_container().offset().top + this.get_container()[0].scrollTop) / this.data.core.li_height),10)) + ")");
								// ref.children("a").addClass("jstree-hovered");
								ref.children("a").attr("class",data.rslt.obj.children(".jstree-hovered").attr("class"));
							}
						}, this))
					.on("click.jstree",".jstree-wholerow-span, ins.jstree-icon, li",  function (e) {
							var n = $(e.currentTarget);
							if(e.target.tagName === "A" || (e.target.tagName === "INS" && n.closest("li").is(".jstree-open, .jstree-closed"))) { return; }
							n.closest("li").children("a:visible:eq(0)").click();
							e.stopImmediatePropagation();
						})
					.on("mouseover.jstree","li",  $.proxy(function (e) {
							e.stopImmediatePropagation();
							if($(e.currentTarget).children(".jstree-hovered, .jstree-clicked").length) { return false; }
							this.hover_node(e.currentTarget);
							return false;
						}, this))
					.on("mouseleave.jstree","li",  $.proxy(function (e) {
							if($(e.currentTarget).children("a").hasClass("jstree-hovered").length) { return; }
							this.dehover_node(e.currentTarget);
						}, this));
				if(is_ie7 || is_ie6) {
					$.vakata.css.add_sheet({ str : ".jstree-" + this.get_index() + " { position:relative; } ", title : "jstree" });
				}
			},
			defaults : {
			},
			__destroy : function () {
				this.get_container().children(".jstree-wholerow").remove();
				this.get_container().find(".jstree-wholerow-span").remove();
			},
			_fn : {
				_prepare_wholerow_span : function (obj) {
					obj = !obj || obj == -1 ? this.get_container().find("> ul > li") : this._get_node(obj);
					if(obj === false) { return; } // added for removing root nodes
					obj.each(function () {
						$(this).find("li").addBack().each(function () {
							var $t = $(this);
							if($t.children(".jstree-wholerow-span").length) { return true; }
							$t.prepend("<span class='jstree-wholerow-span' style='width:" + ($t.parentsUntil(".jstree","li").length * 18) + "px;'>&#160;</span>");
						});
					});
				},
				_prepare_wholerow_ul : function () {
					var o = this.get_container().children("ul").eq(0), h = o.html();
					o.addClass("jstree-wholerow-real");
					if(this.data.wholerow.last_html !== h) {
						this.data.wholerow.last_html = h;
						this.get_container().children(".jstree-wholerow").remove();
						this.get_container().append(
							o.clone().removeClass("jstree-wholerow-real")
								.wrapAll("<div class='jstree-wholerow' />").parent()
								.css("width",o.parent()[0].scrollWidth+"px")
								.css("top", (parseInt(o.css("height")) + ( is_ie7 ? 5 : 0)) * -1 )
								.find("li[id]").each(function () { this.removeAttribute("id"); }).end()
						);
					}
				}
			}
		});
		$(function() {
			var css_string = '' + 
				'.jstree .jstree-wholerow-real { position:relative; z-index:1; } ' + 
				'.jstree .jstree-wholerow-real li { cursor:pointer; } ' + 
				'.jstree .jstree-wholerow-real a { border-left-color:transparent !important; border-right-color:transparent !important; } ' + 
				'.jstree .jstree-wholerow { position:relative; z-index:0; height:0; } ' + 
				'.jstree .jstree-wholerow ul, .jstree .jstree-wholerow li { width:100%; } ' + 
				'.jstree .jstree-wholerow, .jstree .jstree-wholerow ul, .jstree .jstree-wholerow li, .jstree .jstree-wholerow a { margin:0 !important; padding:0 !important; } ' + 
				'.jstree .jstree-wholerow, .jstree .jstree-wholerow ul, .jstree .jstree-wholerow li { background:transparent !important; }' + 
				'.jstree .jstree-wholerow ins, .jstree .jstree-wholerow span, .jstree .jstree-wholerow input { display:none !important; }' + 
				'.jstree .jstree-wholerow a, .jstree .jstree-wholerow a:hover { text-indent:-9999px; !important; width:100%; padding:0 !important; border-right-width:0px !important; border-left-width:0px !important; } ' + 
				'.jstree .jstree-wholerow-span { position:absolute; left:0; margin:0px; padding:0; height:18px; border-width:0; padding:0; z-index:0; }';
			if(is_ff2) {
				css_string += '' + 
					'.jstree .jstree-wholerow a { display:block; height:18px; margin:0; padding:0; border:0; } ' + 
					'.jstree .jstree-wholerow-real a { border-color:transparent !important; } ';
			}
			if(is_ie7 || is_ie6) {
				css_string += '' + 
					'.jstree .jstree-wholerow, .jstree .jstree-wholerow li, .jstree .jstree-wholerow ul, .jstree .jstree-wholerow a { margin:0; padding:0; line-height:18px; } ' + 
					'.jstree .jstree-wholerow a { display:block; height:18px; line-height:18px; overflow:hidden; } ';
			}
			$.vakata.css.add_sheet({ str : css_string, title : "jstree" });
		});
	})(jQuery);
	//*/
	
	/*
	* jsTree model plugin
	* This plugin gets jstree to use a class model to retrieve data, creating great dynamism
	*/
	(function ($) {
		var nodeInterface = ["getChildren","getChildrenCount","getAttr","getName","getProps"],
			validateInterface = function(obj, inter) {
				var valid = true;
				obj = obj || {};
				inter = [].concat(inter);
				$.each(inter, function (i, v) {
					if(!$.isFunction(obj[v])) { valid = false; return false; }
				});
				return valid;
			};
		$.jstree.plugin("model", {
			__init : function () {
				if(!this.data.json_data) { throw "jsTree model: jsTree json_data plugin not included."; }
				this._get_settings().json_data.data = function (n, b) {
					var obj = (n == -1) ? this._get_settings().model.object : n.data("jstree_model");
					if(!validateInterface(obj, nodeInterface)) { return b.call(null, false); }
					if(this._get_settings().model.async) {
						obj.getChildren($.proxy(function (data) {
							this.model_done(data, b);
						}, this));
					}
					else {
						this.model_done(obj.getChildren(), b);
					}
				};
			},
			defaults : {
				object : false,
				id_prefix : false,
				async : false
			},
			_fn : {
				model_done : function (data, callback) {
					var ret = [], 
						s = this._get_settings(),
						_this = this;
	
					if(!$.isArray(data)) { data = [data]; }
					$.each(data, function (i, nd) {
						var r = nd.getProps() || {};
						r.attr = nd.getAttr() || {};
						if(nd.getChildrenCount()) { r.state = "closed"; }
						r.data = nd.getName();
						if(!$.isArray(r.data)) { r.data = [r.data]; }
						if(_this.data.types && $.isFunction(nd.getType)) {
							r.attr[s.types.type_attr] = nd.getType();
						}
						if(r.attr.id && s.model.id_prefix) { r.attr.id = s.model.id_prefix + r.attr.id; }
						if(!r.metadata) { r.metadata = { }; }
						r.metadata.jstree_model = nd;
						ret.push(r);
					});
					callback.call(null, ret);
				}
			}
		});
	})(jQuery);
	//*/
	
	})();
	
	}); // define()
	;
define('jqgrid',
['jquery', 'jqgrid-locale-' + (window && window.__DEPS__ && window.__DEPS__.lang || 'en'), 'jqueryui'],
function (jQuery) {
var $ = jQuery;

	/*
 * @license jqGrid  4.4.3  - jQuery Grid
 * Copyright (c) 2008, Tony Tomov, tony@trirand.com
 * Dual licensed under the MIT and GPL licenses
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
 * Date: 2013-01-21
 */
//jsHint options
	/*jshint evil:true, eqeqeq:false, eqnull:true, devel:true */
	/*global jQuery, DOMParser, ActiveXObject */

	(function ($) {
		"use strict";
		$.jgrid = $.jgrid || {};
		$.extend($.jgrid,{
			version : "4.4.3",
			htmlDecode : function(value){
				if(value && (value=='&nbsp;' || value=='&#160;' || (value.length===1 && value.charCodeAt(0)===160))) { return "";}
				return !value ? value : String(value).replace(/&gt;/g, ">").replace(/&lt;/g, "<").replace(/&quot;/g, '"').replace(/&amp;/g, "&");
			},
			htmlEncode : function (value){
				return !value ? value : String(value).replace(/&/g, "&amp;").replace(/\"/g, "&quot;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
			},
			format : function(format){ //jqgformat
				var args = $.makeArray(arguments).slice(1);
				if(format==null) { format = ""; }
				return format.replace(/\{(\d+)\}/g, function(m, i){
					return args[i];
				});
			},
			getCellIndex : function (cell) {
				var c = $(cell);
				if (c.is('tr')) { return -1; }
				c = (!c.is('td') && !c.is('th') ? c.closest("td,th") : c)[0];
				if ($.browser.msie) { return $.inArray(c, c.parentNode.cells); }
				return c.cellIndex;
			},
			stripHtml : function(v) {
				v = String(v);
				var regexp = /<("[^"]*"|'[^']*'|[^'">])*>/gi;
				if (v) {
					v = v.replace(regexp,"");
					return (v && v !== '&nbsp;' && v !== '&#160;') ? v.replace(/\"/g,"'") : "";
				}
				return v;
			},
			stripPref : function (pref, id) {
				var obj = $.type( pref );
				if( obj == "string" || obj =="number") {
					pref =  String(pref);
					id = pref !== "" ? String(id).replace(String(pref), "") : id;
				}
				return id;
			},
			stringToDoc : function (xmlString) {
				var xmlDoc;
				if(typeof xmlString !== 'string') { return xmlString; }
				try	{
					var parser = new DOMParser();
					xmlDoc = parser.parseFromString(xmlString,"text/xml");
				}
				catch(e) {
					xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
					xmlDoc.async=false;
					xmlDoc.loadXML(xmlString);
				}
				return (xmlDoc && xmlDoc.documentElement && xmlDoc.documentElement.tagName != 'parsererror') ? xmlDoc : null;
			},
			parse : function(jsonString) {
				var js = jsonString;
				if (js.substr(0,9) == "while(1);") { js = js.substr(9); }
				if (js.substr(0,2) == "/*") { js = js.substr(2,js.length-4); }
				if(!js) { js = "{}"; }
				return ($.jgrid.useJSON===true && typeof JSON === 'object' && typeof JSON.parse === 'function') ?
					JSON.parse(js) :
					eval('(' + js + ')');
			},
			parseDate : function(format, date) {
				var tsp = {m : 1, d : 1, y : 1970, h : 0, i : 0, s : 0, u:0},k,hl,dM, regdate = /[\\\/:_;.,\t\T\s-]/;
				if(date && date != null){
					date = $.trim(date);
					date = date.split(regdate);
					if ($.jgrid.formatter.date.masks[format] !== undefined) {
						format = $.jgrid.formatter.date.masks[format];
					}
					format = format.split(regdate);
					var dfmt  = $.jgrid.formatter.date.monthNames;
					var afmt  = $.jgrid.formatter.date.AmPm;
					var h12to24 = function(ampm, h){
						if (ampm === 0){ if (h === 12) { h = 0;} }
						else { if (h !== 12) { h += 12; } }
						return h;
					};
					for(k=0,hl=format.length;k<hl;k++){
						if(format[k] == 'M') {
							dM = $.inArray(date[k],dfmt);
							if(dM !== -1 && dM < 12){
								date[k] = dM+1;
								tsp.m = date[k];
							}
						}
						if(format[k] == 'F') {
							dM = $.inArray(date[k],dfmt);
							if(dM !== -1 && dM > 11){
								date[k] = dM+1-12;
								tsp.m = date[k];
							}
						}
						if(format[k] == 'a') {
							dM = $.inArray(date[k],afmt);
							if(dM !== -1 && dM < 2 && date[k] == afmt[dM]){
								date[k] = dM;
								tsp.h = h12to24(date[k], tsp.h);
							}
						}
						if(format[k] == 'A') {
							dM = $.inArray(date[k],afmt);
							if(dM !== -1 && dM > 1 && date[k] == afmt[dM]){
								date[k] = dM-2;
								tsp.h = h12to24(date[k], tsp.h);
							}
						}
						if (format[k] === 'g') {
							tsp.h = parseInt(date[k], 10);
						}
						if(date[k] !== undefined) {
							tsp[format[k].toLowerCase()] = parseInt(date[k],10);
						}
					}
					tsp.m = parseInt(tsp.m,10)-1;
					var ty = tsp.y;
					if (ty >= 70 && ty <= 99) {tsp.y = 1900+tsp.y;}
					else if (ty >=0 && ty <=69) {tsp.y= 2000+tsp.y;}
					if(tsp.j !== undefined) { tsp.d = tsp.j; }
					if(tsp.n !== undefined) { tsp.m = parseInt(tsp.n,10)-1; }
				}
				return new Date(tsp.y, tsp.m, tsp.d, tsp.h, tsp.i, tsp.s, tsp.u);
			},
			jqID : function(sid){
				return String(sid).replace(/[!"#$%&'()*+,.\/:;<=>?@\[\\\]\^`{|}~]/g,"\\$&");
			},
			guid : 1,
			uidPref: 'jqg',
			randId : function( prefix )	{
				return (prefix || $.jgrid.uidPref) + ($.jgrid.guid++);
			},
			getAccessor : function(obj, expr) {
				var ret,p,prm = [], i;
				if( typeof expr === 'function') { return expr(obj); }
				ret = obj[expr];
				if(ret===undefined) {
					try {
						if ( typeof expr === 'string' ) {
							prm = expr.split('.');
						}
						i = prm.length;
						if( i ) {
							ret = obj;
							while (ret && i--) {
								p = prm.shift();
								ret = ret[p];
							}
						}
					} catch (e) {}
				}
				return ret;
			},
			getXmlData: function (obj, expr, returnObj) {
				var ret, m = typeof expr === 'string' ? expr.match(/^(.*)\[(\w+)\]$/) : null;
				if (typeof expr === 'function') { return expr(obj); }
				if (m && m[2]) {
					// m[2] is the attribute selector
					// m[1] is an optional element selector
					// examples: "[id]", "rows[page]"
					return m[1] ? $(m[1], obj).attr(m[2]) : $(obj).attr(m[2]);
				}
				ret = $(expr, obj);
				if (returnObj) { return ret; }
				//$(expr, obj).filter(':last'); // we use ':last' to be more compatible with old version of jqGrid
				return ret.length > 0 ? $(ret).text() : undefined;
			},
			cellWidth : function () {
				var $testDiv = $("<div class='ui-jqgrid' style='left:10000px'><table class='ui-jqgrid-btable' style='width:5px;'><tr class='jqgrow'><td style='width:5px;'></td></tr></table></div>"),
					testCell = parseInt($testDiv.appendTo("body")
						.find("td")
						.css("width"));
				$testDiv.remove();
				return testCell !== 5;
			},
			cell_width : true,
			ajaxOptions: {},
			from : function(source){
				// Original Author Hugo Bonacci
				// License MIT http://jlinq.codeplex.com/license
				var QueryObject=function(d,q){
					if(typeof d==="string"){
						d=$.data(d);
					}
					var self=this,
						_data=d,
						_usecase=true,
						_trim=false,
						_query=q,
						_stripNum = /[\$,%]/g,
						_lastCommand=null,
						_lastField=null,
						_orDepth=0,
						_negate=false,
						_queuedOperator="",
						_sorting=[],
						_useProperties=true;
					if(typeof d==="object"&&d.push) {
						if(d.length>0){
							if(typeof d[0]!=="object"){
								_useProperties=false;
							}else{
								_useProperties=true;
							}
						}
					}else{
						throw "data provides is not an array";
					}
					this._hasData=function(){
						return _data===null?false:_data.length===0?false:true;
					};
					this._getStr=function(s){
						var phrase=[];
						if(_trim){
							phrase.push("jQuery.trim(");
						}
						phrase.push("String("+s+")");
						if(_trim){
							phrase.push(")");
						}
						if(!_usecase){
							phrase.push(".toLowerCase()");
						}
						return phrase.join("");
					};
					this._strComp=function(val){
						if(typeof val==="string"){
							return".toString()";
						}
						return"";
					};
					this._group=function(f,u){
						return({field:f.toString(),unique:u,items:[]});
					};
					this._toStr=function(phrase){
						if(_trim){
							phrase=$.trim(phrase);
						}
						phrase=phrase.toString().replace(/\\/g,'\\\\').replace(/\"/g,'\\"');
						return _usecase ? phrase : phrase.toLowerCase();
					};
					this._funcLoop=function(func){
						var results=[];
						$.each(_data,function(i,v){
							results.push(func(v));
						});
						return results;
					};
					this._append=function(s){
						var i;
						if(_query===null){
							_query="";
						} else {
							_query+=_queuedOperator === "" ? " && " :_queuedOperator;
						}
						for (i=0;i<_orDepth;i++){
							_query+="(";
						}
						if(_negate){
							_query+="!";
						}
						_query+="("+s+")";
						_negate=false;
						_queuedOperator="";
						_orDepth=0;
					};
					this._setCommand=function(f,c){
						_lastCommand=f;
						_lastField=c;
					};
					this._resetNegate=function(){
						_negate=false;
					};
					this._repeatCommand=function(f,v){
						if(_lastCommand===null){
							return self;
						}
						if(f!==null&&v!==null){
							return _lastCommand(f,v);
						}
						if(_lastField===null){
							return _lastCommand(f);
						}
						if(!_useProperties){
							return _lastCommand(f);
						}
						return _lastCommand(_lastField,f);
					};
					this._equals=function(a,b){
						return(self._compare(a,b,1)===0);
					};
					this._compare=function(a,b,d){
						var toString = Object.prototype.toString;
						if( d === undefined) { d = 1; }
						if(a===undefined) { a = null; }
						if(b===undefined) { b = null; }
						if(a===null && b===null){
							return 0;
						}
						if(a===null&&b!==null){
							return 1;
						}
						if(a!==null&&b===null){
							return -1;
						}
						if (toString.call(a) === '[object Date]' && toString.call(b) === '[object Date]') {
							if (a < b) { return -d; }
							if (a > b) { return d; }
							return 0;
						}
						if(!_usecase && typeof a !== "number" && typeof b !== "number" ) {
							a=String(a);
							b=String(b);
						}
						if(a<b){return -d;}
						if(a>b){return d;}
						return 0;
					};
					this._performSort=function(){
						if(_sorting.length===0){return;}
						_data=self._doSort(_data,0);
					};
					this._doSort=function(d,q){
						var by=_sorting[q].by,
							dir=_sorting[q].dir,
							type = _sorting[q].type,
							dfmt = _sorting[q].datefmt;
						if(q==_sorting.length-1){
							return self._getOrder(d, by, dir, type, dfmt);
						}
						q++;
						var values=self._getGroup(d,by,dir,type,dfmt), results=[], i, j, sorted;
						for(i=0;i<values.length;i++){
							sorted=self._doSort(values[i].items,q);
							for(j=0;j<sorted.length;j++){
								results.push(sorted[j]);
							}
						}
						return results;
					};
					this._getOrder=function(data,by,dir,type, dfmt){
						var sortData=[],_sortData=[], newDir = dir=="a" ? 1 : -1, i,ab,j,
							findSortKey;

						if(type === undefined ) { type = "text"; }
						if (type == 'float' || type== 'number' || type== 'currency' || type== 'numeric') {
							findSortKey = function($cell) {
								var key = parseFloat( String($cell).replace(_stripNum, ''));
								return isNaN(key) ? 0.00 : key;
							};
						} else if (type=='int' || type=='integer') {
							findSortKey = function($cell) {
								return $cell ? parseFloat(String($cell).replace(_stripNum, '')) : 0;
							};
						} else if(type == 'date' || type == 'datetime') {
							findSortKey = function($cell) {
								return $.jgrid.parseDate(dfmt,$cell).getTime();
							};
						} else if($.isFunction(type)) {
							findSortKey = type;
						} else {
							findSortKey = function($cell) {
								$cell = $cell ? $.trim(String($cell)) : "";
								return _usecase ? $cell : $cell.toLowerCase();
							};
						}
						$.each(data,function(i,v){
							ab = by!=="" ? $.jgrid.getAccessor(v,by) : v;
							if(ab === undefined) { ab = ""; }
							ab = findSortKey(ab, v);
							_sortData.push({ 'vSort': ab,'index':i});
						});

						_sortData.sort(function(a,b){
							a = a.vSort;
							b = b.vSort;
							return self._compare(a,b,newDir);
						});
						j=0;
						var nrec= data.length;
						// overhead, but we do not change the original data.
						while(j<nrec) {
							i = _sortData[j].index;
							sortData.push(data[i]);
							j++;
						}
						return sortData;
					};
					this._getGroup=function(data,by,dir,type, dfmt){
						var results=[],
							group=null,
							last=null, val;
						$.each(self._getOrder(data,by,dir,type, dfmt),function(i,v){
							val = $.jgrid.getAccessor(v, by);
							if(val == null) { val = ""; }
							if(!self._equals(last,val)){
								last=val;
								if(group !== null){
									results.push(group);
								}
								group=self._group(by,val);
							}
							group.items.push(v);
						});
						if(group !== null){
							results.push(group);
						}
						return results;
					};
					this.ignoreCase=function(){
						_usecase=false;
						return self;
					};
					this.useCase=function(){
						_usecase=true;
						return self;
					};
					this.trim=function(){
						_trim=true;
						return self;
					};
					this.noTrim=function(){
						_trim=false;
						return self;
					};
					this.execute=function(){
						var match=_query, results=[];
						if(match === null){
							return self;
						}
						$.each(_data,function(){
							if(eval(match)){results.push(this);}
						});
						_data=results;
						return self;
					};
					this.data=function(){
						return _data;
					};
					this.select=function(f){
						self._performSort();
						if(!self._hasData()){ return[]; }
						self.execute();
						if($.isFunction(f)){
							var results=[];
							$.each(_data,function(i,v){
								results.push(f(v));
							});
							return results;
						}
						return _data;
					};
					this.hasMatch=function(){
						if(!self._hasData()) { return false; }
						self.execute();
						return _data.length>0;
					};
					this.andNot=function(f,v,x){
						_negate=!_negate;
						return self.and(f,v,x);
					};
					this.orNot=function(f,v,x){
						_negate=!_negate;
						return self.or(f,v,x);
					};
					this.not=function(f,v,x){
						return self.andNot(f,v,x);
					};
					this.and=function(f,v,x){
						_queuedOperator=" && ";
						if(f===undefined){
							return self;
						}
						return self._repeatCommand(f,v,x);
					};
					this.or=function(f,v,x){
						_queuedOperator=" || ";
						if(f===undefined) { return self; }
						return self._repeatCommand(f,v,x);
					};
					this.orBegin=function(){
						_orDepth++;
						return self;
					};
					this.orEnd=function(){
						if (_query !== null){
							_query+=")";
						}
						return self;
					};
					this.isNot=function(f){
						_negate=!_negate;
						return self.is(f);
					};
					this.is=function(f){
						self._append('this.'+f);
						self._resetNegate();
						return self;
					};
					this._compareValues=function(func,f,v,how,t){
						var fld;
						if(_useProperties){
							fld='jQuery.jgrid.getAccessor(this,\''+f+'\')';
						}else{
							fld='this';
						}
						if(v===undefined) { v = null; }
						//var val=v===null?f:v,
						var val =v,
							swst = t.stype === undefined ? "text" : t.stype;
						if(v !== null) {
							switch(swst) {
								case 'int':
								case 'integer':
									val = (isNaN(Number(val)) || val==="") ? '0' : val; // To be fixed with more inteligent code
									fld = 'parseInt('+fld+',10)';
									val = 'parseInt('+val+',10)';
									break;
								case 'float':
								case 'number':
								case 'numeric':
									val = String(val).replace(_stripNum, '');
									val = (isNaN(Number(val)) || val==="") ? '0' : val; // To be fixed with more inteligent code
									fld = 'parseFloat('+fld+')';
									val = 'parseFloat('+val+')';
									break;
								case 'date':
								case 'datetime':
									val = String($.jgrid.parseDate(t.newfmt || 'Y-m-d',val).getTime());
									fld = 'jQuery.jgrid.parseDate("'+t.srcfmt+'",'+fld+').getTime()';
									break;
								default :
									fld=self._getStr(fld);
									val=self._getStr('"'+self._toStr(val)+'"');
							}
						}
						self._append(fld+' '+how+' '+val);
						self._setCommand(func,f);
						self._resetNegate();
						return self;
					};
					this.equals=function(f,v,t){
						return self._compareValues(self.equals,f,v,"==",t);
					};
					this.notEquals=function(f,v,t){
						return self._compareValues(self.equals,f,v,"!==",t);
					};
					this.isNull = function(f,v,t){
						return self._compareValues(self.equals,f,null,"===",t);
					};
					this.greater=function(f,v,t){
						return self._compareValues(self.greater,f,v,">",t);
					};
					this.less=function(f,v,t){
						return self._compareValues(self.less,f,v,"<",t);
					};
					this.greaterOrEquals=function(f,v,t){
						return self._compareValues(self.greaterOrEquals,f,v,">=",t);
					};
					this.lessOrEquals=function(f,v,t){
						return self._compareValues(self.lessOrEquals,f,v,"<=",t);
					};
					this.startsWith=function(f,v){
						var val = (v==null) ? f: v,
							length=_trim ? $.trim(val.toString()).length : val.toString().length;
						if(_useProperties){
							self._append(self._getStr('jQuery.jgrid.getAccessor(this,\''+f+'\')')+'.substr(0,'+length+') == '+self._getStr('"'+self._toStr(v)+'"'));
						}else{
							length=_trim?$.trim(v.toString()).length:v.toString().length;
							self._append(self._getStr('this')+'.substr(0,'+length+') == '+self._getStr('"'+self._toStr(f)+'"'));
						}
						self._setCommand(self.startsWith,f);
						self._resetNegate();
						return self;
					};
					this.endsWith=function(f,v){
						var val = (v==null) ? f: v,
							length=_trim ? $.trim(val.toString()).length:val.toString().length;
						if(_useProperties){
							self._append(self._getStr('jQuery.jgrid.getAccessor(this,\''+f+'\')')+'.substr('+self._getStr('jQuery.jgrid.getAccessor(this,\''+f+'\')')+'.length-'+length+','+length+') == "'+self._toStr(v)+'"');
						} else {
							self._append(self._getStr('this')+'.substr('+self._getStr('this')+'.length-"'+self._toStr(f)+'".length,"'+self._toStr(f)+'".length) == "'+self._toStr(f)+'"');
						}
						self._setCommand(self.endsWith,f);self._resetNegate();
						return self;
					};
					this.contains=function(f,v){
						if(_useProperties){
							self._append(self._getStr('jQuery.jgrid.getAccessor(this,\''+f+'\')')+'.indexOf("'+self._toStr(v)+'",0) > -1');
						}else{
							self._append(self._getStr('this')+'.indexOf("'+self._toStr(f)+'",0) > -1');
						}
						self._setCommand(self.contains,f);
						self._resetNegate();
						return self;
					};
					this.groupBy=function(by,dir,type, datefmt){
						if(!self._hasData()){
							return null;
						}
						return self._getGroup(_data,by,dir,type, datefmt);
					};
					this.orderBy=function(by,dir,stype, dfmt){
						dir = dir == null ? "a" :$.trim(dir.toString().toLowerCase());
						if(stype == null) { stype = "text"; }
						if(dfmt == null) { dfmt = "Y-m-d"; }
						if(dir=="desc"||dir=="descending"){dir="d";}
						if(dir=="asc"||dir=="ascending"){dir="a";}
						_sorting.push({by:by,dir:dir,type:stype, datefmt: dfmt});
						return self;
					};
					return self;
				};
				return new QueryObject(source,null);
			},
			getMethod: function (name) {
				return this.getAccessor($.fn.jqGrid, name);
			},
			extend : function(methods) {
				$.extend($.fn.jqGrid,methods);
				if (!this.no_legacy_api) {
					$.fn.extend(methods);
				}
			}
		});

		$.fn.jqGrid = function( pin ) {
			if (typeof pin === 'string') {
				var fn = $.jgrid.getMethod(pin);
				if (!fn) {
					throw ("jqGrid - No such method: " + pin);
				}
				var args = $.makeArray(arguments).slice(1);
				return fn.apply(this,args);
			}
			return this.each( function() {
				if(this.grid) {return;}

				var p = $.extend(true,{
					url: "",
					height: 150,
					page: 1,
					rowNum: 20,
					rowTotal : null,
					records: 0,
					pager: "",
					pgbuttons: true,
					pginput: true,
					colModel: [],
					rowList: [],
					colNames: [],
					sortorder: "asc",
					sortname: "",
					datatype: "xml",
					mtype: "GET",
					altRows: false,
					selarrrow: [],
					savedRow: [],
					shrinkToFit: true,
					xmlReader: {},
					jsonReader: {},
					subGrid: false,
					subGridModel :[],
					reccount: 0,
					lastpage: 0,
					lastsort: 0,
					selrow: null,
					beforeSelectRow: null,
					onSelectRow: null,
					onSortCol: null,
					ondblClickRow: null,
					onRightClickRow: null,
					onPaging: null,
					onSelectAll: null,
					loadComplete: null,
					gridComplete: null,
					loadError: null,
					loadBeforeSend: null,
					afterInsertRow: null,
					beforeRequest: null,
					beforeProcessing : null,
					onHeaderClick: null,
					viewrecords: false,
					loadonce: false,
					multiselect: false,
					multikey: false,
					editurl: null,
					search: false,
					caption: "",
					hidegrid: true,
					hiddengrid: false,
					postData: {},
					userData: {},
					treeGrid : false,
					treeGridModel : 'nested',
					treeReader : {},
					treeANode : -1,
					ExpandColumn: null,
					tree_root_level : 0,
					prmNames: {page:"page",rows:"rows", sort: "sidx",order: "sord", search:"_search", nd:"nd", id:"id",oper:"oper",editoper:"edit",addoper:"add",deloper:"del", subgridid:"id", npage: null, totalrows:"totalrows"},
					forceFit : false,
					gridstate : "visible",
					cellEdit: false,
					cellsubmit: "remote",
					nv:0,
					loadui: "enable",
					toolbar: [false,""],
					scroll: false,
					multiboxonly : false,
					deselectAfterSort : true,
					scrollrows : false,
					autowidth: false,
					scrollOffset :18,
					cellLayout: 5,
					subGridWidth: 20,
					multiselectWidth: 20,
					gridview: false,
					rownumWidth: 25,
					rownumbers : false,
					pagerpos: 'center',
					recordpos: 'right',
					footerrow : false,
					userDataOnFooter : false,
					hoverrows : true,
					altclass : 'ui-priority-secondary',
					viewsortcols : [false,'vertical',true],
					resizeclass : '',
					autoencode : false,
					remapColumns : [],
					ajaxGridOptions :{},
					direction : "ltr",
					toppager: false,
					headertitles: false,
					scrollTimeout: 40,
					data : [],
					_index : {},
					grouping : false,
					groupingView : {groupField:[],groupOrder:[], groupText:[],groupColumnShow:[],groupSummary:[], showSummaryOnHide: false, sortitems:[], sortnames:[], summary:[],summaryval:[], plusicon: 'ui-icon-circlesmall-plus', minusicon: 'ui-icon-circlesmall-minus', displayField: []},
					ignoreCase : false,
					cmTemplate : {},
					idPrefix : ""
				}, $.jgrid.defaults, pin || {});
				var ts= this, grid={
					headers:[],
					cols:[],
					footers: [],
					dragStart: function(i,x,y) {
						this.resizing = { idx: i, startX: x.clientX, sOL : y[0]};
						this.hDiv.style.cursor = "col-resize";
						this.curGbox = $("#rs_m"+$.jgrid.jqID(p.id),"#gbox_"+$.jgrid.jqID(p.id));
						this.curGbox.css({display:"block",left:y[0],top:y[1],height:y[2]});
						$(ts).triggerHandler("jqGridResizeStart", [x, i]);
						if($.isFunction(p.resizeStart)) { p.resizeStart.call(this,x,i); }
						document.onselectstart=function(){return false;};
					},
					dragMove: function(x) {
						if(this.resizing) {
							var diff = x.clientX-this.resizing.startX,
								h = this.headers[this.resizing.idx],
								newWidth = p.direction === "ltr" ? h.width + diff : h.width - diff, hn, nWn;
							if(newWidth > 33) {
								this.curGbox.css({left:this.resizing.sOL+diff});
								if(p.forceFit===true ){
									hn = this.headers[this.resizing.idx+p.nv];
									nWn = p.direction === "ltr" ? hn.width - diff : hn.width + diff;
									if(nWn >33) {
										h.newWidth = newWidth;
										hn.newWidth = nWn;
									}
								} else {
									this.newWidth = p.direction === "ltr" ? p.tblwidth+diff : p.tblwidth-diff;
									h.newWidth = newWidth;
								}
							}
						}
					},
					dragEnd: function() {
						this.hDiv.style.cursor = "default";
						if(this.resizing) {
							var idx = this.resizing.idx,
								nw = this.headers[idx].newWidth || this.headers[idx].width;
							nw = parseInt(nw,10);
							this.resizing = false;
							$("#rs_m"+$.jgrid.jqID(p.id)).css("display","none");
							p.colModel[idx].width = nw;
							this.headers[idx].width = nw;
							this.headers[idx].el.style.width = nw + "px";
							this.cols[idx].style.width = nw+"px";
							if(this.footers.length>0) {this.footers[idx].style.width = nw+"px";}
							if(p.forceFit===true){
								nw = this.headers[idx+p.nv].newWidth || this.headers[idx+p.nv].width;
								this.headers[idx+p.nv].width = nw;
								this.headers[idx+p.nv].el.style.width = nw + "px";
								this.cols[idx+p.nv].style.width = nw+"px";
								if(this.footers.length>0) {this.footers[idx+p.nv].style.width = nw+"px";}
								p.colModel[idx+p.nv].width = nw;
							} else {
								p.tblwidth = this.newWidth || p.tblwidth;
								$('table:first',this.bDiv).css("width",p.tblwidth+"px");
								$('table:first',this.hDiv).css("width",p.tblwidth+"px");
								this.hDiv.scrollLeft = this.bDiv.scrollLeft;
								if(p.footerrow) {
									$('table:first',this.sDiv).css("width",p.tblwidth+"px");
									this.sDiv.scrollLeft = this.bDiv.scrollLeft;
								}
							}
							$(ts).triggerHandler("jqGridResizeStop", [nw, idx]);
							if($.isFunction(p.resizeStop)) { p.resizeStop.call(this,nw,idx); }
						}
						this.curGbox = null;
						document.onselectstart=function(){return true;};
					},
					populateVisible: function() {
						if (grid.timer) { clearTimeout(grid.timer); }
						grid.timer = null;
						var dh = parseInt($(grid.bDiv).css("height"));
						if (!dh) { return; }
						var table = $("table:first", grid.bDiv);
						var rows, rh;
						if(table[0].rows.length) {
							try {
								rows = table[0].rows[1];
								rh = rows ? parseInt($(rows).css("height"))+parseInt($(rows).css("padding-top"))+parseInt($(rows).css("padding-bottom")) || grid.prevRowHeight : grid.prevRowHeight;
							} catch (pv) {
								rh = grid.prevRowHeight;
							}
						}
						if (!rh) { return; }
						grid.prevRowHeight = rh;
						var rn = p.rowNum;
						var scrollTop = grid.scrollTop = grid.bDiv.scrollTop;
						var ttop = Math.round(table.position().top) - scrollTop;
						var tbot = ttop + parseInt(table.css("height"));
						var div = rh * rn;
						var page, npage, empty;
						if ( tbot < dh && ttop <= 0 &&
							(p.lastpage===undefined||parseInt((tbot + scrollTop + div - 1) / div,10) <= p.lastpage))
						{
							npage = parseInt((dh - tbot + div - 1) / div,10);
							if (tbot >= 0 || npage < 2 || p.scroll === true) {
								page = Math.round((tbot + scrollTop) / div) + 1;
								ttop = -1;
							} else {
								ttop = 1;
							}
						}
						if (ttop > 0) {
							page = parseInt(scrollTop / div,10) + 1;
							npage = parseInt((scrollTop + dh) / div,10) + 2 - page;
							empty = true;
						}
						if (npage) {
							if (p.lastpage && (page > p.lastpage || p.lastpage==1 || (page === p.page && page===p.lastpage)) ) {
								return;
							}
							if (grid.hDiv.loading) {
								grid.timer = setTimeout(grid.populateVisible, p.scrollTimeout);
							} else {
								p.page = page;
								if (empty) {
									grid.selectionPreserver(table[0]);
									grid.emptyRows.call(table[0], false, false);
								}
								grid.populate(npage);
							}
						}
					},
					scrollGrid: function( e ) {
						if(p.scroll) {
							var scrollTop = grid.bDiv.scrollTop;
							if(grid.scrollTop === undefined) { grid.scrollTop = 0; }
							if (scrollTop != grid.scrollTop) {
								grid.scrollTop = scrollTop;
								if (grid.timer) { clearTimeout(grid.timer); }
								grid.timer = setTimeout(grid.populateVisible, p.scrollTimeout);
							}
						}
						grid.hDiv.scrollLeft = grid.bDiv.scrollLeft;
						if(p.footerrow) {
							grid.sDiv.scrollLeft = grid.bDiv.scrollLeft;
						}
						if( e ) { e.stopPropagation(); }
					},
					selectionPreserver : function(ts) {
						var p = ts.p,
							sr = p.selrow, sra = p.selarrrow ? $.makeArray(p.selarrrow) : null,
							left = ts.grid.bDiv.scrollLeft,
							restoreSelection = function() {
								var i;
								p.selrow = null;
								p.selarrrow = [];
								if(p.multiselect && sra && sra.length>0) {
									for(i=0;i<sra.length;i++){
										if (sra[i] != sr) {
											$(ts).jqGrid("setSelection",sra[i],false, null);
										}
									}
								}
								if (sr) {
									$(ts).jqGrid("setSelection",sr,false,null);
								}
								ts.grid.bDiv.scrollLeft = left;
								$(ts).unbind('.selectionPreserver', restoreSelection);
							};
						$(ts).on('jqGridGridComplete.selectionPreserver', restoreSelection);
					}
				};
				if(this.tagName.toUpperCase()!='TABLE') {
					alert("Element is not a table");
					return;
				}
				if(document.documentMode !== undefined ) { // IE only
					if(document.documentMode <= 5) {
						alert("Grid can not be used in this ('quirks') mode!");
						return;
					}
				}
				$(this).empty().attr("tabindex","0");
				this.p = p ;
				this.p.useProp = !!$.fn.prop;
				var i, dir;
				if(this.p.colNames.length === 0) {
					for (i=0;i<this.p.colModel.length;i++){
						this.p.colNames[i] = this.p.colModel[i].label || this.p.colModel[i].name;
					}
				}
				if( this.p.colNames.length !== this.p.colModel.length ) {
					alert($.jgrid.errors.model);
					return;
				}
				var gv = $("<div class='ui-jqgrid-view'></div>"), ii,
					isMSIE = $.browser.msie ? true:false;
				ts.p.direction = $.trim(ts.p.direction.toLowerCase());
				if($.inArray(ts.p.direction,["ltr","rtl"]) == -1) { ts.p.direction = "ltr"; }
				dir = ts.p.direction;

				$(gv).insertBefore(this);
				$(this).appendTo(gv).removeClass("scroll");
				var eg = $("<div class='ui-jqgrid ui-widget ui-widget-content ui-corner-all'></div>");
				$(eg).insertBefore(gv).attr({"id" : "gbox_"+this.id,"dir":dir});
				$(gv).appendTo(eg).attr("id","gview_"+this.id);
				if (isMSIE && $.browser.version <= 6) {
					ii = '<iframe style="display:block;position:absolute;z-index:-1;filter:Alpha(Opacity=\'0\');" src="javascript:false;"></iframe>';
				} else { ii="";}
				$("<div class='ui-widget-overlay jqgrid-overlay' id='lui_"+this.id+"'></div>").append(ii).insertBefore(gv);
				$("<div class='loading ui-state-default ui-state-active' id='load_"+this.id+"'>"+this.p.loadtext+"</div>").insertBefore(gv);
				$(this).attr({cellspacing:"0",cellpadding:"0",border:"0","role":"grid","aria-multiselectable":!!this.p.multiselect,"aria-labelledby":"gbox_"+this.id});
				var sortkeys = ["shiftKey","altKey","ctrlKey"],
					intNum = function(val,defval) {
						val = parseInt(val,10);
						if (isNaN(val)) { return defval || 0;}
						return val;
					},
					formatCol = function (pos, rowInd, tv, rawObject, rowId, rdata){
						var cm = ts.p.colModel[pos],
							ral = cm.align, result="style=\"", clas = cm.classes, nm = cm.name, celp, acp=[];
						if(ral) { result += "text-align:"+ral+";"; }
						if(cm.hidden===true) { result += "display:none;"; }
						if(rowInd===0) {
							result += "width: "+grid.headers[pos].width+"px;";
						} else if (cm.cellattr && $.isFunction(cm.cellattr))
						{
							celp = cm.cellattr.call(ts, rowId, tv, rawObject, cm, rdata);
							if(celp && typeof celp === "string") {
								celp = celp.replace(/style/i,'style').replace(/title/i,'title');
								if(celp.indexOf('title') > -1) { cm.title=false;}
								if(celp.indexOf('class') > -1) { clas = undefined;}
								acp = celp.split("style");
								if(acp.length === 2 ) {
									acp[1] =  $.trim(acp[1].replace("=",""));
									if(acp[1].indexOf("'") === 0 || acp[1].indexOf('"') === 0) {
										acp[1] = acp[1].substring(1);
									}
									result += acp[1].replace(/'/gi,'"');
								} else {
									result += "\"";
								}
							}
						}
						if(!acp.length) { acp[0] = ""; result += "\"";}
						result += (clas !== undefined ? (" class=\""+clas+"\"") :"") + ((cm.title && tv) ? (" title=\""+$.jgrid.stripHtml(tv)+"\"") :"");
						result += " aria-describedby=\""+ts.p.id+"_"+nm+"\"";
						return result + acp[0];
					},
					cellVal =  function (val) {
						return val == null || val === "" ? "&#160;" : (ts.p.autoencode ? $.jgrid.htmlEncode(val) : String(val));
					},
					formatter = function (rowId, cellval , colpos, rwdat, _act){
						var cm = ts.p.colModel[colpos],v;
						if(cm.formatter !== undefined) {
							rowId = String(ts.p.idPrefix) !== "" ? $.jgrid.stripPref(ts.p.idPrefix, rowId) : rowId;
							var opts= {rowId: rowId, colModel:cm, gid:ts.p.id, pos:colpos };
							if($.isFunction( cm.formatter ) ) {
								v = cm.formatter.call(ts,cellval,opts,rwdat,_act);
							} else if($.fmatter){
								v = $.fn.fmatter.call(ts,cm.formatter,cellval,opts,rwdat,_act);
							} else {
								v = cellVal(cellval);
							}
						} else {
							v = cellVal(cellval);
						}
						return v;
					},
					addCell = function(rowId,cell,pos,irow, srvr, rdata) {
						var v,prp;
						v = formatter(rowId,cell,pos,srvr,'add');
						prp = formatCol( pos,irow, v, srvr, rowId, rdata);
						return "<td role=\"gridcell\" "+prp+">"+v+"</td>";
					},
					addMulti = function(rowid,pos,irow,checked){
						var	v = "<input role=\"checkbox\" type=\"checkbox\""+" id=\"jqg_"+ts.p.id+"_"+rowid+"\" class=\"cbox\" name=\"jqg_"+ts.p.id+"_"+rowid+"\"" + (checked ? "checked=\"checked\"" : "")+"/>",
							prp = formatCol( pos,irow,'',null, rowid, true);
						return "<td role=\"gridcell\" "+prp+">"+v+"</td>";
					},
					addRowNum = function (pos,irow,pG,rN) {
						var v =  (parseInt(pG,10)-1)*parseInt(rN,10)+1+irow,
							prp = formatCol( pos,irow,v, null, irow, true);
						return "<td role=\"gridcell\" class=\"ui-state-default jqgrid-rownum\" "+prp+">"+v+"</td>";
					},
					reader = function (datatype) {
						var field, f=[], j=0, i;
						for(i =0; i<ts.p.colModel.length; i++){
							field = ts.p.colModel[i];
							if (field.name !== 'cb' && field.name !=='subgrid' && field.name !=='rn') {
								f[j]= datatype == "local" ?
									field.name :
									( (datatype=="xml" || datatype === "xmlstring") ? field.xmlmap || field.name : field.jsonmap || field.name );
								j++;
							}
						}
						return f;
					},
					orderedCols = function (offset) {
						var order = ts.p.remapColumns;
						if (!order || !order.length) {
							order = $.map(ts.p.colModel, function(v,i) { return i; });
						}
						if (offset) {
							order = $.map(order, function(v) { return v<offset?null:v-offset; });
						}
						return order;
					},
					emptyRows = function (scroll, locdata) {
						var firstrow;
						if (this.p.deepempty) {
							$(this.rows).slice(1).remove();
						} else {
							firstrow = this.rows.length > 0 ? this.rows[0] : null;
							$(this.firstChild).empty().append(firstrow);
						}
						if (scroll && this.p.scroll) {
							$(this.grid.bDiv.firstChild).css({height: "auto"});
							$(this.grid.bDiv.firstChild.firstChild).css({height: 0, display: "none"});
							if (this.grid.bDiv.scrollTop !== 0) {
								this.grid.bDiv.scrollTop = 0;
							}
						}
						if(locdata === true && this.p.treeGrid) {
							this.p.data = []; this.p._index = {};
						}
					},
					refreshIndex = function() {
						var datalen = ts.p.data.length, idname, i, val,
							ni = ts.p.rownumbers===true ? 1 :0,
							gi = ts.p.multiselect ===true ? 1 :0,
							si = ts.p.subGrid===true ? 1 :0;

						if(ts.p.keyIndex === false || ts.p.loadonce === true) {
							idname = ts.p.localReader.id;
						} else {
							idname = ts.p.colModel[ts.p.keyIndex+gi+si+ni].name;
						}
						for(i =0;i < datalen; i++) {
							val = $.jgrid.getAccessor(ts.p.data[i],idname);
							if (val === undefined) { val=String(i+1); }
							ts.p._index[val] = i;
						}
					},
					constructTr = function(id, hide, altClass, rd, cur, selected) {
						var tabindex = '-1', restAttr = '', attrName, style = hide ? 'display:none;' : '',
							classes = 'ui-widget-content jqgrow ui-row-' + ts.p.direction + altClass + (selected ? ' ui-state-highlight' : ''),
							rowAttrObj = $.isFunction(ts.p.rowattr) ? ts.p.rowattr.call(ts, rd, cur) : {};
						if(!$.isEmptyObject( rowAttrObj )) {
							if (rowAttrObj.hasOwnProperty("id")) {
								id = rowAttrObj.id;
								delete rowAttrObj.id;
							}
							if (rowAttrObj.hasOwnProperty("tabindex")) {
								tabindex = rowAttrObj.tabindex;
								delete rowAttrObj.tabindex;
							}
							if (rowAttrObj.hasOwnProperty("style")) {
								style += rowAttrObj.style;
								delete rowAttrObj.style;
							}
							if (rowAttrObj.hasOwnProperty("class")) {
								classes += ' ' + rowAttrObj['class'];
								delete rowAttrObj['class'];
							}
							// dot't allow to change role attribute
							try { delete rowAttrObj.role; } catch(ra){}
							for (attrName in rowAttrObj) {
								if (rowAttrObj.hasOwnProperty(attrName)) {
									restAttr += ' ' + attrName + '=' + rowAttrObj[attrName];
								}
							}
						}
						return '<tr role="row" id="' + id + '" tabindex="' + tabindex + '" class="' + classes + '"' +
							(style === '' ? '' : ' style="' + style + '"') + restAttr + '>';
					},
					addXmlData = function (xml,t, rcnt, more, adjust) {
						var startReq = new Date(),
							locdata = (ts.p.datatype != "local" && ts.p.loadonce) || ts.p.datatype == "xmlstring",
							xmlid = "_id_", xmlRd = ts.p.xmlReader,
							frd = ts.p.datatype == "local" ? "local" : "xml";
						if(locdata) {
							ts.p.data = [];
							ts.p._index = {};
							ts.p.localReader.id = xmlid;
						}
						ts.p.reccount = 0;
						if($.isXMLDoc(xml)) {
							if(ts.p.treeANode===-1 && !ts.p.scroll) {
								emptyRows.call(ts, false, true);
								rcnt=1;
							} else { rcnt = rcnt > 1 ? rcnt :1; }
						} else { return; }
						var self= $(ts), i,fpos,ir=0,v,gi=ts.p.multiselect===true?1:0,si=0,addSubGridCell,ni=ts.p.rownumbers===true?1:0,idn, getId,f=[],F,rd ={}, xmlr,rid, rowData=[], cn=(ts.p.altRows === true) ? " "+ts.p.altclass:"",cn1;
						if(ts.p.subGrid===true) {
							si = 1;
							addSubGridCell = $.jgrid.getMethod("addSubGridCell");
						}
						if(!xmlRd.repeatitems) {f = reader(frd);}
						if( ts.p.keyIndex===false) {
							idn = $.isFunction( xmlRd.id ) ?  xmlRd.id.call(ts, xml) : xmlRd.id;
						} else {
							idn = ts.p.keyIndex;
						}
						if(f.length>0 && !isNaN(idn)) {
							if (ts.p.remapColumns && ts.p.remapColumns.length) {
								idn = $.inArray(idn, ts.p.remapColumns);
							}
							idn=f[idn];
						}
						if( String(idn).indexOf("[") === -1 ) {
							if (f.length) {
								getId = function( trow, k) {return $(idn,trow).text() || k;};
							} else {
								getId = function( trow, k) {return $(xmlRd.cell,trow).eq(idn).text() || k;};
							}
						}
						else {
							getId = function( trow, k) {return trow.getAttribute(idn.replace(/[\[\]]/g,"")) || k;};
						}
						ts.p.userData = {};
						ts.p.page = $.jgrid.getXmlData( xml,xmlRd.page ) || ts.p.page || 0;
						ts.p.lastpage = $.jgrid.getXmlData( xml,xmlRd.total );
						if(ts.p.lastpage===undefined) { ts.p.lastpage=1; }
						ts.p.records = $.jgrid.getXmlData( xml,xmlRd.records ) || 0;
						if($.isFunction(xmlRd.userdata)) {
							ts.p.userData = xmlRd.userdata.call(ts, xml) || {};
						} else {
							$.jgrid.getXmlData(xml, xmlRd.userdata, true).each(function() {ts.p.userData[this.getAttribute("name")]= $(this).text();});
						}
						var gxml = $.jgrid.getXmlData( xml, xmlRd.root, true);
						gxml = $.jgrid.getXmlData( gxml, xmlRd.row, true);
						if (!gxml) { gxml = []; }
						var gl = gxml.length, j=0, grpdata=[], rn = parseInt(ts.p.rowNum,10), br=ts.p.scroll?$.jgrid.randId():1, altr;
						if (gl > 0 &&  ts.p.page <= 0) { ts.p.page = 1; }
						if(gxml && gl){
							if (adjust) { rn *= adjust+1; }
							var afterInsRow = $.isFunction(ts.p.afterInsertRow), hiderow=false, groupingPrepare;
							if(ts.p.grouping)  {
								hiderow = ts.p.groupingView.groupCollapse === true;
								groupingPrepare = $.jgrid.getMethod("groupingPrepare");
							}
							while (j<gl) {
								xmlr = gxml[j];
								rid = getId(xmlr,br+j);
								rid  = ts.p.idPrefix + rid;
								altr = rcnt === 0 ? 0 : rcnt+1;
								cn1 = (altr+j)%2 == 1 ? cn : '';
								var iStartTrTag = rowData.length;
								rowData.push("");
								if( ni ) {
									rowData.push( addRowNum(0,j,ts.p.page,ts.p.rowNum) );
								}
								if( gi ) {
									rowData.push( addMulti(rid,ni,j, false) );
								}
								if( si ) {
									rowData.push( addSubGridCell.call(self,gi+ni,j+rcnt) );
								}
								if(xmlRd.repeatitems){
									if (!F) { F=orderedCols(gi+si+ni); }
									var cells = $.jgrid.getXmlData( xmlr, xmlRd.cell, true);
									$.each(F, function (k) {
										var cell = cells[this];
										if (!cell) { return false; }
										v = cell.textContent || cell.text;
										rd[ts.p.colModel[k+gi+si+ni].name] = v;
										rowData.push( addCell(rid,v,k+gi+si+ni,j+rcnt,xmlr, rd) );
									});
								} else {
									for(i = 0; i < f.length;i++) {
										v = $.jgrid.getXmlData( xmlr, f[i]);
										rd[ts.p.colModel[i+gi+si+ni].name] = v;
										rowData.push( addCell(rid, v, i+gi+si+ni, j+rcnt, xmlr, rd) );
									}
								}
								rowData[iStartTrTag] = constructTr(rid, hiderow, cn1, rd, xmlr, false);
								rowData.push("</tr>");
								if(ts.p.grouping) {
									grpdata = groupingPrepare.call(self,rowData, grpdata, rd, j);
									rowData = [];
								}
								if(locdata || ts.p.treeGrid === true) {
									rd[xmlid] = rid;
									ts.p.data.push(rd);
									ts.p._index[rid] = ts.p.data.length-1;
								}
								if(ts.p.gridview === false ) {
									$("tbody:first",t).append(rowData.join(''));
									self.triggerHandler("jqGridAfterInsertRow", [rid, rd, xmlr]);
									if(afterInsRow) {ts.p.afterInsertRow.call(ts,rid,rd,xmlr);}
									rowData=[];
								}
								rd={};
								ir++;
								j++;
								if(ir==rn) {break;}
							}
						}
						if(ts.p.gridview === true) {
							fpos = ts.p.treeANode > -1 ? ts.p.treeANode: 0;
							if(ts.p.grouping) {
								self.jqGrid('groupingRender',grpdata,ts.p.colModel.length);
								grpdata = null;
							} else if(ts.p.treeGrid === true && fpos > 0) {
								$(ts.rows[fpos]).after(rowData.join(''));
							} else {
								$("tbody:first",t).append(rowData.join(''));
							}
						}
						if(ts.p.subGrid === true ) {
							try {self.jqGrid("addSubGrid",gi+ni);} catch (_){}
						}
						ts.p.totaltime = new Date() - startReq;
						if(ir>0) { if(ts.p.records===0) { ts.p.records=gl;} }
						rowData =null;
						if( ts.p.treeGrid === true) {
							try {self.jqGrid("setTreeNode", fpos+1, ir+fpos+1);} catch (e) {}
						}
						if(!ts.p.treeGrid && !ts.p.scroll) {ts.grid.bDiv.scrollTop = 0;}
						ts.p.reccount=ir;
						ts.p.treeANode = -1;
						if(ts.p.userDataOnFooter) { self.jqGrid("footerData","set",ts.p.userData,true); }
						if(locdata) {
							ts.p.records = gl;
							ts.p.lastpage = Math.ceil(gl/ rn);
						}
						if (!more) { ts.updatepager(false,true); }
						if(locdata) {
							while (ir<gl) {
								xmlr = gxml[ir];
								rid = getId(xmlr,ir+br);
								rid  = ts.p.idPrefix + rid;
								if(xmlRd.repeatitems){
									if (!F) { F=orderedCols(gi+si+ni); }
									var cells2 = $.jgrid.getXmlData( xmlr, xmlRd.cell, true);
									$.each(F, function (k) {
										var cell = cells2[this];
										if (!cell) { return false; }
										v = cell.textContent || cell.text;
										rd[ts.p.colModel[k+gi+si+ni].name] = v;
									});
								} else {
									for(i = 0; i < f.length;i++) {
										v = $.jgrid.getXmlData( xmlr, f[i]);
										rd[ts.p.colModel[i+gi+si+ni].name] = v;
									}
								}
								rd[xmlid] = rid;
								ts.p.data.push(rd);
								ts.p._index[rid] = ts.p.data.length-1;
								rd = {};
								ir++;
							}
						}
					},
					addJSONData = function(data,t, rcnt, more, adjust) {
						var startReq = new Date();
						if(data) {
							if(ts.p.treeANode === -1 && !ts.p.scroll) {
								emptyRows.call(ts, false, true);
								rcnt=1;
							} else { rcnt = rcnt > 1 ? rcnt :1; }
						} else { return; }

						var dReader, locid = "_id_", frd,
							locdata = (ts.p.datatype != "local" && ts.p.loadonce) || ts.p.datatype == "jsonstring";
						if(locdata) { ts.p.data = []; ts.p._index = {}; ts.p.localReader.id = locid;}
						ts.p.reccount = 0;
						if(ts.p.datatype == "local") {
							dReader =  ts.p.localReader;
							frd= 'local';
						} else {
							dReader =  ts.p.jsonReader;
							frd='json';
						}
						var self = $(ts), ir=0,v,i,j,f=[],F,cur,gi=ts.p.multiselect?1:0,si=0,addSubGridCell,ni=ts.p.rownumbers===true?1:0,len,drows,idn,rd={}, fpos, idr,rowData=[],cn=(ts.p.altRows === true) ? " "+ts.p.altclass:"",cn1,lp;
						ts.p.page = $.jgrid.getAccessor(data,dReader.page) || ts.p.page || 0;
						lp = $.jgrid.getAccessor(data,dReader.total);
						if(ts.p.subGrid===true) {
							si = 1;
							addSubGridCell = $.jgrid.getMethod("addSubGridCell");
						}
						ts.p.lastpage = lp === undefined ? 1 : lp;
						ts.p.records = $.jgrid.getAccessor(data,dReader.records) || 0;
						ts.p.userData = $.jgrid.getAccessor(data,dReader.userdata) || {};
						if(!dReader.repeatitems) {
							F = f = reader(frd);
						}
						if( ts.p.keyIndex===false ) {
							idn = $.isFunction(dReader.id) ? dReader.id.call(ts, data) : dReader.id;
						} else {
							idn = ts.p.keyIndex;
						}
						if(f.length>0 && !isNaN(idn)) {
							if (ts.p.remapColumns && ts.p.remapColumns.length) {
								idn = $.inArray(idn, ts.p.remapColumns);
							}
							idn=f[idn];
						}
						drows = $.jgrid.getAccessor(data,dReader.root);
						if (!drows) { drows = []; }
						len = drows.length; i=0;
						if (len > 0 && ts.p.page <= 0) { ts.p.page = 1; }
						var rn = parseInt(ts.p.rowNum,10),br=ts.p.scroll?$.jgrid.randId():1, altr, selected=false, selr;
						if (adjust) { rn *= adjust+1; }
						if(ts.p.datatype === "local" && !ts.p.deselectAfterSort) {
							selected = true;
						}
						var afterInsRow = $.isFunction(ts.p.afterInsertRow), grpdata=[],hiderow=false, groupingPrepare;
						if(ts.p.grouping)  {
							hiderow = ts.p.groupingView.groupCollapse === true;
							groupingPrepare = $.jgrid.getMethod("groupingPrepare");
						}
						while (i<len) {
							cur = drows[i];
							idr = $.jgrid.getAccessor(cur,idn);
							if(idr === undefined) {
								idr = br+i;
								if(f.length===0){
									if(dReader.cell){
										var ccur = $.jgrid.getAccessor(cur,dReader.cell);
										idr = ccur !== undefined ? ccur[idn] || idr : idr;
										ccur=null;
									}
								}
							}
							idr  = ts.p.idPrefix + idr;
							altr = rcnt === 1 ? 0 : rcnt;
							cn1 = (altr+i)%2 == 1 ? cn : '';
							if( selected) {
								if( ts.p.multiselect) {
									selr = ($.inArray(idr, ts.p.selarrrow) !== -1);
								} else {
									selr = (idr === ts.p.selrow);
								}
							}
							var iStartTrTag = rowData.length;
							rowData.push("");
							if( ni ) {
								rowData.push( addRowNum(0,i,ts.p.page,ts.p.rowNum) );
							}
							if( gi ){
								rowData.push( addMulti(idr,ni,i,selr) );
							}
							if( si ) {
								rowData.push( addSubGridCell.call(self,gi+ni,i+rcnt) );
							}
							if (dReader.repeatitems) {
								if(dReader.cell) {cur = $.jgrid.getAccessor(cur,dReader.cell);}
								if (!F) { F=orderedCols(gi+si+ni); }
							}
							for (j=0;j<F.length;j++) {
								v = $.jgrid.getAccessor(cur,F[j]);
								rd[ts.p.colModel[j+gi+si+ni].name] = v;
								rowData.push( addCell(idr,v,j+gi+si+ni,i+rcnt,cur, rd) );
							}
							rowData[iStartTrTag] = constructTr(idr, hiderow, cn1, rd, cur, selr);
							rowData.push( "</tr>" );
							if(ts.p.grouping) {
								grpdata = groupingPrepare.call(self,rowData, grpdata, rd, i);
								rowData = [];
							}
							if(locdata || ts.p.treeGrid===true) {
								rd[locid] = idr;
								ts.p.data.push(rd);
								ts.p._index[idr] = ts.p.data.length-1;
							}
							if(ts.p.gridview === false ) {
								$("#"+$.jgrid.jqID(ts.p.id)+" tbody:first").append(rowData.join(''));
								self.triggerHandler("jqGridAfterInsertRow", [idr, rd, cur]);
								if(afterInsRow) {ts.p.afterInsertRow.call(ts,idr,rd,cur);}
								rowData=[];//ari=0;
							}
							rd={};
							ir++;
							i++;
							if(ir==rn) { break; }
						}
						if(ts.p.gridview === true ) {
							fpos = ts.p.treeANode > -1 ? ts.p.treeANode: 0;
							if(ts.p.grouping) {
								self.jqGrid('groupingRender',grpdata,ts.p.colModel.length);
								grpdata = null;
							} else if(ts.p.treeGrid === true && fpos > 0) {
								$(ts.rows[fpos]).after(rowData.join(''));
							} else {
								$("#"+$.jgrid.jqID(ts.p.id)+" tbody:first").append(rowData.join(''));
							}
						}
						if(ts.p.subGrid === true ) {
							try { self.jqGrid("addSubGrid",gi+ni);} catch (_){}
						}
						ts.p.totaltime = new Date() - startReq;
						if(ir>0) {
							if(ts.p.records===0) { ts.p.records=len; }
						}
						rowData = null;
						if( ts.p.treeGrid === true) {
							try {self.jqGrid("setTreeNode", fpos+1, ir+fpos+1);} catch (e) {}
						}
						if(!ts.p.treeGrid && !ts.p.scroll) {ts.grid.bDiv.scrollTop = 0;}
						ts.p.reccount=ir;
						ts.p.treeANode = -1;
						if(ts.p.userDataOnFooter) { self.jqGrid("footerData","set",ts.p.userData,true); }
						if(locdata) {
							ts.p.records = len;
							ts.p.lastpage = Math.ceil(len/ rn);
						}
						if (!more) { ts.updatepager(false,true); }
						if(locdata) {
							while (ir<len && drows[ir]) {
								cur = drows[ir];
								idr = $.jgrid.getAccessor(cur,idn);
								if(idr === undefined) {
									idr = br+ir;
									if(f.length===0){
										if(dReader.cell){
											var ccur2 = $.jgrid.getAccessor(cur,dReader.cell);
											idr = ccur2[idn] || idr;
											ccur2=null;
										}
									}
								}
								if(cur) {
									idr  = ts.p.idPrefix + idr;
									if (dReader.repeatitems) {
										if(dReader.cell) {cur = $.jgrid.getAccessor(cur,dReader.cell);}
										if (!F) { F=orderedCols(gi+si+ni); }
									}

									for (j=0;j<F.length;j++) {
										v = $.jgrid.getAccessor(cur,F[j]);
										rd[ts.p.colModel[j+gi+si+ni].name] = v;
									}
									rd[locid] = idr;
									ts.p.data.push(rd);
									ts.p._index[idr] = ts.p.data.length-1;
									rd = {};
								}
								ir++;
							}
						}
					},
					addLocalData = function() {
						var st, fndsort=false, cmtypes={}, grtypes=[], grindexes=[], srcformat, sorttype, newformat;
						if(!$.isArray(ts.p.data)) {
							return;
						}
						var grpview = ts.p.grouping ? ts.p.groupingView : false, lengrp, gin;
						$.each(ts.p.colModel,function(){
							sorttype = this.sorttype || "text";
							if(sorttype == "date" || sorttype == "datetime") {
								if(this.formatter && typeof this.formatter === 'string' && this.formatter == 'date') {
									if(this.formatoptions && this.formatoptions.srcformat) {
										srcformat = this.formatoptions.srcformat;
									} else {
										srcformat = $.jgrid.formatter.date.srcformat;
									}
									if(this.formatoptions && this.formatoptions.newformat) {
										newformat = this.formatoptions.newformat;
									} else {
										newformat = $.jgrid.formatter.date.newformat;
									}
								} else {
									srcformat = newformat = this.datefmt || "Y-m-d";
								}
								cmtypes[this.name] = {"stype": sorttype, "srcfmt": srcformat,"newfmt":newformat};
							} else {
								cmtypes[this.name] = {"stype": sorttype, "srcfmt":'',"newfmt":''};
							}
							if(ts.p.grouping ) {
								for(gin =0, lengrp = grpview.groupField.length; gin< lengrp; gin++) {
									if( this.name == grpview.groupField[gin]) {
										var grindex = this.name;
										if (this.index) {
											grindex = this.index;
										}
										grtypes[gin] = cmtypes[grindex];
										grindexes[gin]= grindex;
									}
								}
							}
							if(!fndsort && (this.index == ts.p.sortname || this.name == ts.p.sortname)){
								st = this.name; // ???
								fndsort = true;
							}
						});
						if(ts.p.treeGrid) {
							$(ts).jqGrid("SortTree", st, ts.p.sortorder, cmtypes[st].stype, cmtypes[st].srcfmt);
							return;
						}
						var compareFnMap = {
								'eq':function(queryObj) {return queryObj.equals;},
								'ne':function(queryObj) {return queryObj.notEquals;},
								'lt':function(queryObj) {return queryObj.less;},
								'le':function(queryObj) {return queryObj.lessOrEquals;},
								'gt':function(queryObj) {return queryObj.greater;},
								'ge':function(queryObj) {return queryObj.greaterOrEquals;},
								'cn':function(queryObj) {return queryObj.contains;},
								'nc':function(queryObj,op) {return op === "OR" ? queryObj.orNot().contains : queryObj.andNot().contains;},
								'bw':function(queryObj) {return queryObj.startsWith;},
								'bn':function(queryObj,op) {return op === "OR" ? queryObj.orNot().startsWith : queryObj.andNot().startsWith;},
								'en':function(queryObj,op) {return op === "OR" ? queryObj.orNot().endsWith : queryObj.andNot().endsWith;},
								'ew':function(queryObj) {return queryObj.endsWith;},
								'ni':function(queryObj,op) {return op === "OR" ? queryObj.orNot().equals : queryObj.andNot().equals;},
								'in':function(queryObj) {return queryObj.equals;},
								'nu':function(queryObj) {return queryObj.isNull;},
								'nn':function(queryObj,op) {return op === "OR" ? queryObj.orNot().isNull : queryObj.andNot().isNull;}

							},
							query = $.jgrid.from(ts.p.data);
						if (ts.p.ignoreCase) { query = query.ignoreCase(); }
						function tojLinq ( group ) {
							var s = 0, index, gor, ror, opr, rule;
							if (group.groups != null) {
								gor = group.groups.length && group.groupOp.toString().toUpperCase() === "OR";
								if (gor) {
									query.orBegin();
								}
								for (index = 0; index < group.groups.length; index++) {
									if (s > 0 && gor) {
										query.or();
									}
									try {
										tojLinq(group.groups[index]);
									} catch (e) {alert(e);}
									s++;
								}
								if (gor) {
									query.orEnd();
								}
							}
							if (group.rules != null) {
								if(s>0) {
									var result = query.select();
									query = $.jgrid.from( result);
									if (ts.p.ignoreCase) { query = query.ignoreCase(); }
								}
								try{
									ror = group.rules.length && group.groupOp.toString().toUpperCase() === "OR";
									if (ror) {
										query.orBegin();
									}
									for (index = 0; index < group.rules.length; index++) {
										rule = group.rules[index];
										opr = group.groupOp.toString().toUpperCase();
										if (compareFnMap[rule.op] && rule.field ) {
											if(s > 0 && opr && opr === "OR") {
												query = query.or();
											}
											query = compareFnMap[rule.op](query, opr)(rule.field, rule.data, cmtypes[rule.field]);
										}
										s++;
									}
									if (ror) {
										query.orEnd();
									}
								} catch (g) {alert(g);}
							}
						}

						if (ts.p.search === true) {
							var srules = ts.p.postData.filters;
							if(srules) {
								if(typeof srules === "string") { srules = $.jgrid.parse(srules);}
								tojLinq( srules );
							} else {
								try {
									query = compareFnMap[ts.p.postData.searchOper](query)(ts.p.postData.searchField, ts.p.postData.searchString,cmtypes[ts.p.postData.searchField]);
								} catch (se){}
							}
						}
						if(ts.p.grouping) {
							for(gin=0; gin<lengrp;gin++) {
								query.orderBy(grindexes[gin],grpview.groupOrder[gin],grtypes[gin].stype, grtypes[gin].srcfmt);
							}
						}
						if (st && ts.p.sortorder && fndsort) {
							if(ts.p.sortorder.toUpperCase() == "DESC") {
								query.orderBy(ts.p.sortname, "d", cmtypes[st].stype, cmtypes[st].srcfmt);
							} else {
								query.orderBy(ts.p.sortname, "a", cmtypes[st].stype, cmtypes[st].srcfmt);
							}
						}
						var queryResults = query.select(),
							recordsperpage = parseInt(ts.p.rowNum,10),
							total = queryResults.length,
							page = parseInt(ts.p.page,10),
							totalpages = Math.ceil(total / recordsperpage),
							retresult = {};
						queryResults = queryResults.slice( (page-1)*recordsperpage , page*recordsperpage );
						query = null;
						cmtypes = null;
						retresult[ts.p.localReader.total] = totalpages;
						retresult[ts.p.localReader.page] = page;
						retresult[ts.p.localReader.records] = total;
						retresult[ts.p.localReader.root] = queryResults;
						retresult[ts.p.localReader.userdata] = ts.p.userData;
						queryResults = null;
						return  retresult;
					},
					updatepager = function(rn, dnd) {
						var cp, last, base, from,to,tot,fmt, pgboxes = "", sppg,
							tspg = ts.p.pager ? "_"+$.jgrid.jqID(ts.p.pager.substr(1)) : "",
							tspg_t = ts.p.toppager ? "_"+ts.p.toppager.substr(1) : "";
						base = parseInt(ts.p.page,10)-1;
						if(base < 0) { base = 0; }
						base = base*parseInt(ts.p.rowNum,10);
						to = base + ts.p.reccount;
						if (ts.p.scroll) {
							var rows = $("tbody:first > tr:gt(0)", ts.grid.bDiv);
							base = to - rows.length;
							ts.p.reccount = rows.length;
							var rh = parseInt(rows.css("height"))+parseInt(rows.css("padding-top"))+parseInt(rows.css("padding-bottom")) || ts.grid.prevRowHeight;
							if (rh) {
								var top = base * rh;
								var height = parseInt(ts.p.records,10) * rh;
								$(">div:first",ts.grid.bDiv).css({height : height}).children("div:first").css({height:top,display:top?"":"none"});
							}
							ts.grid.bDiv.scrollLeft = ts.grid.hDiv.scrollLeft;
						}
						pgboxes = ts.p.pager || "";
						pgboxes += ts.p.toppager ?  (pgboxes ? "," + ts.p.toppager : ts.p.toppager) : "";
						if(pgboxes) {
							fmt = $.jgrid.formatter.integer || {};
							cp = intNum(ts.p.page);
							last = intNum(ts.p.lastpage);
							$(".selbox",pgboxes)[ this.p.useProp ? 'prop' : 'attr' ]("disabled",false);
							if(ts.p.pginput===true) {
								$('.ui-pg-input',pgboxes).val(ts.p.page);
								sppg = ts.p.toppager ? '#sp_1'+tspg+",#sp_1"+tspg_t : '#sp_1'+tspg;
								$(sppg).html($.fmatter ? $.fmatter.util.NumberFormat(ts.p.lastpage,fmt):ts.p.lastpage);

							}
							if (ts.p.viewrecords){
								if(ts.p.reccount === 0) {
									$(".ui-paging-info",pgboxes).html(ts.p.emptyrecords);
								} else {
									from = base+1;
									tot=ts.p.records;
									if($.fmatter) {
										from = $.fmatter.util.NumberFormat(from,fmt);
										to = $.fmatter.util.NumberFormat(to,fmt);
										tot = $.fmatter.util.NumberFormat(tot,fmt);
									}
									$(".ui-paging-info",pgboxes).html($.jgrid.format(ts.p.recordtext,from,to,tot));
								}
							}
							if(ts.p.pgbuttons===true) {
								if(cp<=0) {cp = last = 0;}
								if(cp==1 || cp === 0) {
									$("#first"+tspg+", #prev"+tspg).addClass('ui-state-disabled').removeClass('ui-state-hover');
									if(ts.p.toppager) { $("#first_t"+tspg_t+", #prev_t"+tspg_t).addClass('ui-state-disabled').removeClass('ui-state-hover'); }
								} else {
									$("#first"+tspg+", #prev"+tspg).removeClass('ui-state-disabled');
									if(ts.p.toppager) { $("#first_t"+tspg_t+", #prev_t"+tspg_t).removeClass('ui-state-disabled'); }
								}
								if(cp==last || cp === 0) {
									$("#next"+tspg+", #last"+tspg).addClass('ui-state-disabled').removeClass('ui-state-hover');
									if(ts.p.toppager) { $("#next_t"+tspg_t+", #last_t"+tspg_t).addClass('ui-state-disabled').removeClass('ui-state-hover'); }
								} else {
									$("#next"+tspg+", #last"+tspg).removeClass('ui-state-disabled');
									if(ts.p.toppager) { $("#next_t"+tspg_t+", #last_t"+tspg_t).removeClass('ui-state-disabled'); }
								}
							}
						}
						if(rn===true && ts.p.rownumbers === true) {
							$("td.jqgrid-rownum",ts.rows).each(function(i){
								$(this).html(base+1+i);
							});
						}
						if(dnd && ts.p.jqgdnd) { $(ts).jqGrid('gridDnD','updateDnD');}
						$(ts).triggerHandler("jqGridGridComplete");
						if($.isFunction(ts.p.gridComplete)) {ts.p.gridComplete.call(ts);}
						$(ts).triggerHandler("jqGridAfterGridComplete");
					},
					beginReq = function() {
						ts.grid.hDiv.loading = true;
						if(ts.p.hiddengrid) { return;}
						switch(ts.p.loadui) {
							case "disable":
								break;
							case "enable":
								$("#load_"+$.jgrid.jqID(ts.p.id)).show();
								break;
							case "block":
								$("#lui_"+$.jgrid.jqID(ts.p.id)).show();
								$("#load_"+$.jgrid.jqID(ts.p.id)).show();
								break;
						}
					},
					endReq = function() {
						ts.grid.hDiv.loading = false;
						switch(ts.p.loadui) {
							case "disable":
								break;
							case "enable":
								$("#load_"+$.jgrid.jqID(ts.p.id)).hide();
								break;
							case "block":
								$("#lui_"+$.jgrid.jqID(ts.p.id)).hide();
								$("#load_"+$.jgrid.jqID(ts.p.id)).hide();
								break;
						}
					},
					populate = function (npage) {
						if(!ts.grid.hDiv.loading) {
							var pvis = ts.p.scroll && npage === false,
								prm = {}, dt, dstr, pN=ts.p.prmNames;
							if(ts.p.page <=0) { ts.p.page = 1; }
							if(pN.search !== null) {prm[pN.search] = ts.p.search;} if(pN.nd !== null) {prm[pN.nd] = new Date().getTime();}
							if(pN.rows !== null) {prm[pN.rows]= ts.p.rowNum;} if(pN.page !== null) {prm[pN.page]= ts.p.page;}
							if(pN.sort !== null) {prm[pN.sort]= ts.p.sortname;} if(pN.order !== null) {prm[pN.order]= ts.p.sortorder;}
							if(ts.p.rowTotal !== null && pN.totalrows !== null) { prm[pN.totalrows]= ts.p.rowTotal; }
							var lcf = $.isFunction(ts.p.loadComplete), lc = lcf ? ts.p.loadComplete : null;
							var adjust = 0;
							npage = npage || 1;
							if (npage > 1) {
								if(pN.npage !== null) {
									prm[pN.npage] = npage;
									adjust = npage - 1;
									npage = 1;
								} else {
									lc = function(req) {
										ts.p.page++;
										ts.grid.hDiv.loading = false;
										if (lcf) {
											ts.p.loadComplete.call(ts,req);
										}
										populate(npage-1);
									};
								}
							} else if (pN.npage !== null) {
								delete ts.p.postData[pN.npage];
							}
							if(ts.p.grouping) {
								$(ts).jqGrid('groupingSetup');
								var grp = ts.p.groupingView, gi, gs="";
								for(gi=0;gi<grp.groupField.length;gi++) {
									var index = grp.groupField[gi];
									$.each(ts.p.colModel, function(cmIndex, cmValue) {
										if (cmValue.name == index && cmValue.index){
											index = cmValue.index;
										}
									} );
									gs += index +" "+grp.groupOrder[gi]+", ";
								}
								prm[pN.sort] = gs + prm[pN.sort];
							}
							$.extend(ts.p.postData,prm);
							var rcnt = !ts.p.scroll ? 1 : ts.rows.length-1;
							var bfr = $(ts).triggerHandler("jqGridBeforeRequest");
							if (bfr === false || bfr === 'stop') { return; }
							if ($.isFunction(ts.p.datatype)) { ts.p.datatype.call(ts,ts.p.postData,"load_"+ts.p.id); return;}
							if ($.isFunction(ts.p.beforeRequest)) {
								bfr = ts.p.beforeRequest.call(ts);
								if(bfr === undefined) { bfr = true; }
								if ( bfr === false ) { return; }
							}
							dt = ts.p.datatype.toLowerCase();
							switch(dt)
							{
								case "json":
								case "jsonp":
								case "xml":
								case "script":
									$.ajax($.extend({
										url:ts.p.url,
										type:ts.p.mtype,
										dataType: dt ,
										data: $.isFunction(ts.p.serializeGridData)? ts.p.serializeGridData.call(ts,ts.p.postData) : ts.p.postData,
										success:function(data,st, xhr) {
											if ($.isFunction(ts.p.beforeProcessing)) {
												if (ts.p.beforeProcessing.call(ts, data, st, xhr) === false) {
													endReq();
													return;
												}
											}
											if(dt === "xml") { addXmlData(data,ts.grid.bDiv,rcnt,npage>1,adjust); }
											else { addJSONData(data,ts.grid.bDiv,rcnt,npage>1,adjust); }
											$(ts).triggerHandler("jqGridLoadComplete", [data]);
											if(lc) { lc.call(ts,data); }
											$(ts).triggerHandler("jqGridAfterLoadComplete", [data]);
											if (pvis) { ts.grid.populateVisible(); }
											if( ts.p.loadonce || ts.p.treeGrid) {ts.p.datatype = "local";}
											data=null;
											if (npage === 1) { endReq(); }
										},
										error:function(xhr,st,err){
											if($.isFunction(ts.p.loadError)) { ts.p.loadError.call(ts,xhr,st,err); }
											if (npage === 1) { endReq(); }
											xhr=null;
										},
										beforeSend: function(xhr, settings ){
											var gotoreq = true;
											if($.isFunction(ts.p.loadBeforeSend)) {
												gotoreq = ts.p.loadBeforeSend.call(ts,xhr, settings);
											}
											if(gotoreq === undefined) { gotoreq = true; }
											if(gotoreq === false) {
												return false;
											}
											beginReq();
										}
									},$.jgrid.ajaxOptions, ts.p.ajaxGridOptions));
									break;
								case "xmlstring":
									beginReq();
									dstr = $.jgrid.stringToDoc(ts.p.datastr);
									addXmlData(dstr,ts.grid.bDiv);
									$(ts).triggerHandler("jqGridLoadComplete", [dstr]);
									if(lcf) {ts.p.loadComplete.call(ts,dstr);}
									$(ts).triggerHandler("jqGridAfterLoadComplete", [dstr]);
									ts.p.datatype = "local";
									ts.p.datastr = null;
									endReq();
									break;
								case "jsonstring":
									beginReq();
									if(typeof ts.p.datastr === 'string') { dstr = $.jgrid.parse(ts.p.datastr); }
									else { dstr = ts.p.datastr; }
									addJSONData(dstr,ts.grid.bDiv);
									$(ts).triggerHandler("jqGridLoadComplete", [dstr]);
									if(lcf) {ts.p.loadComplete.call(ts,dstr);}
									$(ts).triggerHandler("jqGridAfterLoadComplete", [dstr]);
									ts.p.datatype = "local";
									ts.p.datastr = null;
									endReq();
									break;
								case "local":
								case "clientside":
									beginReq();
									ts.p.datatype = "local";
									var req = addLocalData();
									addJSONData(req,ts.grid.bDiv,rcnt,npage>1,adjust);
									$(ts).triggerHandler("jqGridLoadComplete", [req]);
									if(lc) { lc.call(ts,req); }
									$(ts).triggerHandler("jqGridAfterLoadComplete", [req]);
									if (pvis) { ts.grid.populateVisible(); }
									endReq();
									break;
							}
						}
					},
					setHeadCheckBox = function ( checked ) {
						$('#cb_'+$.jgrid.jqID(ts.p.id),ts.grid.hDiv)[ts.p.useProp ? 'prop': 'attr']("checked", checked);
						var fid = ts.p.frozenColumns ? ts.p.id+"_frozen" : "";
						if(fid) {
							$('#cb_'+$.jgrid.jqID(ts.p.id),ts.grid.fhDiv)[ts.p.useProp ? 'prop': 'attr']("checked", checked);
						}
					},
					setPager = function (pgid, tp){
						// TBD - consider escaping pgid with pgid = $.jgrid.jqID(pgid);
						var sep = "<td class='ui-pg-button ui-state-disabled' style='width:4px;'><span class='ui-separator'></span></td>",
							pginp = "",
							pgl="<table cellspacing='0' cellpadding='0' border='0' style='table-layout:auto;' class='ui-pg-table'><tbody><tr>",
							str="", pgcnt, lft, cent, rgt, twd, tdw, i,
							clearVals = function(onpaging){
								var ret;
								if ($.isFunction(ts.p.onPaging) ) { ret = ts.p.onPaging.call(ts,onpaging); }
								ts.p.selrow = null;
								if(ts.p.multiselect) {ts.p.selarrrow =[]; setHeadCheckBox( false );}
								ts.p.savedRow = [];
								if(ret=='stop') {return false;}
								return true;
							};
						pgid = pgid.substr(1);
						tp += "_" + pgid;
						pgcnt = "pg_"+pgid;
						lft = pgid+"_left"; cent = pgid+"_center"; rgt = pgid+"_right";
						$("#"+$.jgrid.jqID(pgid) )
							.append("<div id='"+pgcnt+"' class='ui-pager-control' role='group'><table cellspacing='0' cellpadding='0' border='0' class='ui-pg-table' style='width:100%;table-layout:fixed;height:100%;' role='row'><tbody><tr><td id='"+lft+"' align='left'></td><td id='"+cent+"' align='center' style='white-space:pre;'></td><td id='"+rgt+"' align='right'></td></tr></tbody></table></div>")
							.attr("dir","ltr"); //explicit setting
						if(ts.p.rowList.length >0){
							str = "<td dir='"+dir+"'>";
							str +="<select class='ui-pg-selbox' role='listbox'>";
							for(i=0;i<ts.p.rowList.length;i++){
								str +="<option role=\"option\" value=\""+ts.p.rowList[i]+"\""+((ts.p.rowNum == ts.p.rowList[i])?" selected=\"selected\"":"")+">"+ts.p.rowList[i]+"</option>";
							}
							str +="</select></td>";
						}
						if(dir=="rtl") { pgl += str; }
						if(ts.p.pginput===true) { pginp= "<td dir='"+dir+"'>"+$.jgrid.format(ts.p.pgtext || "","<input class='ui-pg-input' type='text' size='2' maxlength='7' value='0' role='textbox'/>","<span id='sp_1_"+$.jgrid.jqID(pgid)+"'></span>")+"</td>";}
						if(ts.p.pgbuttons===true) {
							var po=["first"+tp,"prev"+tp, "next"+tp,"last"+tp]; if(dir=="rtl") { po.reverse(); }
							pgl += "<td id='"+po[0]+"' class='ui-pg-button ui-corner-all'><span class='ui-icon ui-icon-seek-first'></span></td>";
							pgl += "<td id='"+po[1]+"' class='ui-pg-button ui-corner-all'><span class='ui-icon ui-icon-seek-prev'></span></td>";
							pgl += pginp !== "" ? sep+pginp+sep:"";
							pgl += "<td id='"+po[2]+"' class='ui-pg-button ui-corner-all'><span class='ui-icon ui-icon-seek-next'></span></td>";
							pgl += "<td id='"+po[3]+"' class='ui-pg-button ui-corner-all'><span class='ui-icon ui-icon-seek-end'></span></td>";
						} else if (pginp !== "") { pgl += pginp; }
						if(dir=="ltr") { pgl += str; }
						pgl += "</tr></tbody></table>";
						if(ts.p.viewrecords===true) {$("td#"+pgid+"_"+ts.p.recordpos,"#"+pgcnt).append("<div dir='"+dir+"' style='text-align:"+ts.p.recordpos+"' class='ui-paging-info'></div>");}
						$("td#"+pgid+"_"+ts.p.pagerpos,"#"+pgcnt).append(pgl);
						tdw = $(".ui-jqgrid").css("font-size") || "11px";
						$(document.body).append("<div id='testpg' class='ui-jqgrid ui-widget ui-widget-content' style='font-size:"+tdw+";visibility:hidden;' ></div>");
						twd = parseInt($(pgl).clone().appendTo("#testpg").css("width"));
						$("#testpg").remove();
						if(twd > 0) {
							if(pginp !== "") { twd += 50; } //should be param
							$("td#"+pgid+"_"+ts.p.pagerpos,"#"+pgcnt).css("width", twd + "px");
						}
						ts.p._nvtd = [];
						ts.p._nvtd[0] = twd ? Math.floor((ts.p.width - twd)/2) : Math.floor(ts.p.width/3);
						ts.p._nvtd[1] = 0;
						pgl=null;
						$('.ui-pg-selbox',"#"+pgcnt).on('change',function() {
							if(!clearVals('records')) { return false; }
							ts.p.page = Math.round(ts.p.rowNum*(ts.p.page-1)/this.value-0.5)+1;
							ts.p.rowNum = this.value;
							if(ts.p.pager) { $('.ui-pg-selbox',ts.p.pager).val(this.value); }
							if(ts.p.toppager) { $('.ui-pg-selbox',ts.p.toppager).val(this.value); }
							populate();
							return false;
						});
						if(ts.p.pgbuttons===true) {
							$(".ui-pg-button","#"+pgcnt).hover(function(){
								if($(this).hasClass('ui-state-disabled')) {
									this.style.cursor='default';
								} else {
									$(this).addClass('ui-state-hover');
									this.style.cursor='pointer';
								}
							},function() {
								if(!$(this).hasClass('ui-state-disabled')) {
									$(this).removeClass('ui-state-hover');
									this.style.cursor= "default";
								}
							});
							$("#first"+$.jgrid.jqID(tp)+", #prev"+$.jgrid.jqID(tp)+", #next"+$.jgrid.jqID(tp)+", #last"+$.jgrid.jqID(tp)).click( function() {
								var cp = intNum(ts.p.page,1),
									last = intNum(ts.p.lastpage,1), selclick = false,
									fp=true, pp=true, np=true,lp=true;
								if(last ===0 || last===1) {fp=false;pp=false;np=false;lp=false; }
								else if( last>1 && cp >=1) {
									if( cp === 1) { fp=false; pp=false; }
									//else if( cp>1 && cp <last){ }
									else if( cp===last){ np=false;lp=false; }
								} else if( last>1 && cp===0 ) { np=false;lp=false; cp=last-1;}
								if(!clearVals(this.id)) { return false; }
								if( this.id === 'first'+tp && fp ) { ts.p.page=1; selclick=true;}
								if( this.id === 'prev'+tp && pp) { ts.p.page=(cp-1); selclick=true;}
								if( this.id === 'next'+tp && np) { ts.p.page=(cp+1); selclick=true;}
								if( this.id === 'last'+tp && lp) { ts.p.page=last; selclick=true;}
								if(selclick) {
									populate();
								}
								return false;
							});
						}
						if(ts.p.pginput===true) {
							$('input.ui-pg-input',"#"+pgcnt).keypress( function(e) {
								var key = e.charCode || e.keyCode || 0;
								if(key == 13) {
									if(!clearVals('user')) { return false; }
									ts.p.page = ($(this).val()>0) ? $(this).val():ts.p.page;
									populate();
									return false;
								}
								return this;
							});
						}
					},
					sortData = function (index, idxcol,reload,sor){
						if(!ts.p.colModel[idxcol].sortable) { return; }
						var so;
						if(ts.p.savedRow.length > 0) {return;}
						if(!reload) {
							if( ts.p.lastsort == idxcol ) {
								if( ts.p.sortorder == 'asc') {
									ts.p.sortorder = 'desc';
								} else if(ts.p.sortorder == 'desc') { ts.p.sortorder = 'asc';}
							} else { ts.p.sortorder = ts.p.colModel[idxcol].firstsortorder || 'asc'; }
							ts.p.page = 1;
						}
						if(sor) {
							if(ts.p.lastsort == idxcol && ts.p.sortorder == sor && !reload) { return; }
							ts.p.sortorder = sor;
						}
						var previousSelectedTh = ts.grid.headers[ts.p.lastsort].el, newSelectedTh = ts.grid.headers[idxcol].el;

						$("span.ui-grid-ico-sort",previousSelectedTh).addClass('ui-state-disabled');
						$(previousSelectedTh).attr("aria-selected","false");
						$("span.ui-icon-"+ts.p.sortorder,newSelectedTh).removeClass('ui-state-disabled');
						$(newSelectedTh).attr("aria-selected","true");
						if(!ts.p.viewsortcols[0]) {
							if(ts.p.lastsort != idxcol) {
								$("span.s-ico",previousSelectedTh).hide();
								$("span.s-ico",newSelectedTh).show();
							}
						}
						index = index.substring(5 + ts.p.id.length + 1); // bad to be changed!?!
						ts.p.sortname = ts.p.colModel[idxcol].index || index;
						so = ts.p.sortorder;
						if ($(ts).triggerHandler("jqGridSortCol", [index, idxcol, so]) === 'stop') {
							ts.p.lastsort = idxcol;
							return;
						}
						if($.isFunction(ts.p.onSortCol)) {if (ts.p.onSortCol.call(ts,index,idxcol,so)=='stop') {ts.p.lastsort = idxcol; return;}}
						if(ts.p.datatype == "local") {
							if(ts.p.deselectAfterSort) {$(ts).jqGrid("resetSelection");}
						} else {
							ts.p.selrow = null;
							if(ts.p.multiselect){setHeadCheckBox( false );}
							ts.p.selarrrow =[];
							ts.p.savedRow =[];
						}
						if(ts.p.scroll) {
							var sscroll = ts.grid.bDiv.scrollLeft;
							emptyRows.call(ts, true, false);
							ts.grid.hDiv.scrollLeft = sscroll;
						}
						if(ts.p.subGrid && ts.p.datatype=='local') {
							$("td.sgexpanded","#"+$.jgrid.jqID(ts.p.id)).each(function(){
								$(this).trigger("click");
							});
						}
						populate();
						ts.p.lastsort = idxcol;
						if(ts.p.sortname != index && idxcol) {ts.p.lastsort = idxcol;}
					},
					setColWidth = function () {
						var initwidth = 0, brd=$.jgrid.cell_width? 0: intNum(ts.p.cellLayout,0), vc=0, lvc, scw=intNum(ts.p.scrollOffset,0),cw,hs=false,aw,gw=0,
							cl = 0, cr;
						$.each(ts.p.colModel, function() {
							if(this.hidden === undefined) {this.hidden=false;}
							if(ts.p.grouping && ts.p.autowidth) {
								var ind = $.inArray(this.name, ts.p.groupingView.groupField);
								if(ind !== -1) {
									this.hidden = !ts.p.groupingView.groupColumnShow[ind];
								}
							}
							this.widthOrg = cw = intNum(this.width,0);
							if(this.hidden===false){
								initwidth += cw+brd;
								if(this.fixed) {
									gw += cw+brd;
								} else {
									vc++;
								}
								cl++;
							}
						});
						if(isNaN(ts.p.width)) {
							ts.p.width  = initwidth + ((ts.p.shrinkToFit ===false && !isNaN(ts.p.height)) ? scw : 0);
						}
						grid.width = ts.p.width;
						ts.p.tblwidth = initwidth;
						if(ts.p.shrinkToFit ===false && ts.p.forceFit === true) {ts.p.forceFit=false;}
						if(ts.p.shrinkToFit===true && vc > 0) {
							aw = grid.width-brd*vc-gw;
							if(!isNaN(ts.p.height)) {
								aw -= scw;
								hs = true;
							}
							initwidth =0;
							$.each(ts.p.colModel, function(i) {
								if(this.hidden === false && !this.fixed){
									cw = Math.round(aw*this.width/(ts.p.tblwidth-brd*vc-gw));
									this.width =cw;
									initwidth += cw;
									lvc = i;
								}
							});
							cr =0;
							if (hs) {
								if(grid.width-gw-(initwidth+brd*vc) !== scw){
									cr = grid.width-gw-(initwidth+brd*vc)-scw;
								}
							} else if(!hs && Math.abs(grid.width-gw-(initwidth+brd*vc)) !== 1) {
								cr = grid.width-gw-(initwidth+brd*vc);
							}
							ts.p.colModel[lvc].width += cr;
							ts.p.tblwidth = initwidth+cr+brd*vc+gw;
							if(ts.p.tblwidth > ts.p.width) {
								ts.p.colModel[lvc].width -= (ts.p.tblwidth - parseInt(ts.p.width,10));
								ts.p.tblwidth = ts.p.width;
							}
						}
					},
					nextVisible= function(iCol) {
						var ret = iCol, j=iCol, i;
						for (i = iCol+1;i<ts.p.colModel.length;i++){
							if(ts.p.colModel[i].hidden !== true ) {
								j=i; break;
							}
						}
						return j-ret;
					},
					getOffset = function (iCol) {
						var i, ret = {}, brd1 = $.jgrid.cell_width ? 0 : ts.p.cellLayout;
						ret[0] =  ret[1] = ret[2] = 0;
						for(i=0;i<=iCol;i++){
							if(ts.p.colModel[i].hidden === false ) {
								ret[0] += ts.p.colModel[i].width+brd1;
							}
						}
						if(ts.p.direction=="rtl") { ret[0] = ts.p.width - ret[0]; }
						ret[0] = ret[0] - ts.grid.bDiv.scrollLeft;
						if($(ts.grid.cDiv).is(":visible")) {ret[1] += parseInt($(ts.grid.cDiv).css("height")) +parseInt($(ts.grid.cDiv).css("padding-top"),10)+parseInt($(ts.grid.cDiv).css("padding-bottom"),10);}
						if(ts.p.toolbar[0]===true && (ts.p.toolbar[1]=='top' || ts.p.toolbar[1]=='both')) {ret[1] += parseInt($(ts.grid.uDiv).css("height"))+parseInt($(ts.grid.uDiv).css("border-top-width"),10)+parseInt($(ts.grid.uDiv).css("border-bottom-width"),10);}
						if(ts.p.toppager) {ret[1] += parseInt($(ts.grid.topDiv).css("height"))+parseInt($(ts.grid.topDiv).css("border-bottom-width"),10);}
						ret[2] += parseInt($(ts.grid.bDiv).css("height")) + parseInt($(ts.grid.hDiv).css("height"));
						return ret;
					},
					getColumnHeaderIndex = function (th) {
						var i, headers = ts.grid.headers, ci = $.jgrid.getCellIndex(th);
						for (i = 0; i < headers.length; i++) {
							if (th === headers[i].el) {
								ci = i;
								break;
							}
						}
						return ci;
					};
				this.p.id = this.id;
				if ($.inArray(ts.p.multikey,sortkeys) == -1 ) {ts.p.multikey = false;}
				ts.p.keyIndex=false;
				for (i=0; i<ts.p.colModel.length;i++) {
					ts.p.colModel[i] = $.extend(true, {}, ts.p.cmTemplate, ts.p.colModel[i].template || {}, ts.p.colModel[i]);
					if (ts.p.keyIndex === false && ts.p.colModel[i].key===true) {
						ts.p.keyIndex = i;
					}
				}
				ts.p.sortorder = ts.p.sortorder.toLowerCase();
				$.jgrid.cell_width = $.jgrid.cellWidth();
				if(ts.p.grouping===true) {
					ts.p.scroll = false;
					ts.p.rownumbers = false;
					//ts.p.subGrid = false; expiremental
					ts.p.treeGrid = false;
					ts.p.gridview = true;
				}
				if(this.p.treeGrid === true) {
					try { $(this).jqGrid("setTreeGrid");} catch (_) {}
					if(ts.p.datatype != "local") { ts.p.localReader = {id: "_id_"};	}
				}
				if(this.p.subGrid) {
					try { $(ts).jqGrid("setSubGrid");} catch (s){}
				}
				if(this.p.multiselect) {
					this.p.colNames.unshift("<input role='checkbox' id='cb_"+this.p.id+"' class='cbox' type='checkbox'/>");
					this.p.colModel.unshift({name:'cb',width:$.jgrid.cell_width ? ts.p.multiselectWidth+ts.p.cellLayout : ts.p.multiselectWidth,sortable:false,resizable:false,hidedlg:true,search:false,align:'center',fixed:true});
				}
				if(this.p.rownumbers) {
					this.p.colNames.unshift("");
					this.p.colModel.unshift({name:'rn',width:ts.p.rownumWidth,sortable:false,resizable:false,hidedlg:true,search:false,align:'center',fixed:true});
				}
				ts.p.xmlReader = $.extend(true,{
					root: "rows",
					row: "row",
					page: "rows>page",
					total: "rows>total",
					records : "rows>records",
					repeatitems: true,
					cell: "cell",
					id: "[id]",
					userdata: "userdata",
					subgrid: {root:"rows", row: "row", repeatitems: true, cell:"cell"}
				}, ts.p.xmlReader);
				ts.p.jsonReader = $.extend(true,{
					root: "rows",
					page: "page",
					total: "total",
					records: "records",
					repeatitems: true,
					cell: "cell",
					id: "id",
					userdata: "userdata",
					subgrid: {root:"rows", repeatitems: true, cell:"cell"}
				},ts.p.jsonReader);
				ts.p.localReader = $.extend(true,{
					root: "rows",
					page: "page",
					total: "total",
					records: "records",
					repeatitems: false,
					cell: "cell",
					id: "id",
					userdata: "userdata",
					subgrid: {root:"rows", repeatitems: true, cell:"cell"}
				},ts.p.localReader);
				if(ts.p.scroll){
					ts.p.pgbuttons = false; ts.p.pginput=false; ts.p.rowList=[];
				}
				if(ts.p.data.length) { refreshIndex(); }
				var thead = "<thead><tr class='ui-jqgrid-labels' role='rowheader'>",
					tdc, idn, w, res, sort,
					td, ptr, tbody, imgs,iac="",idc="";
				if(ts.p.shrinkToFit===true && ts.p.forceFit===true) {
					for (i=ts.p.colModel.length-1;i>=0;i--){
						if(!ts.p.colModel[i].hidden) {
							ts.p.colModel[i].resizable=false;
							break;
						}
					}
				}
				if(ts.p.viewsortcols[1] == 'horizontal') {iac=" ui-i-asc";idc=" ui-i-desc";}
				tdc = isMSIE ?  "class='ui-th-div-ie'" :"";
				imgs = "<span class='s-ico' style='display:none'><span sort='asc' class='ui-grid-ico-sort ui-icon-asc"+iac+" ui-state-disabled ui-icon ui-icon-triangle-1-n ui-sort-"+dir+"'></span>";
				imgs += "<span sort='desc' class='ui-grid-ico-sort ui-icon-desc"+idc+" ui-state-disabled ui-icon ui-icon-triangle-1-s ui-sort-"+dir+"'></span></span>";
				for(i=0;i<this.p.colNames.length;i++){
					var tooltip = ts.p.headertitles ? (" title=\""+$.jgrid.stripHtml(ts.p.colNames[i])+"\"") :"";
					thead += "<th id='"+ts.p.id+"_"+ts.p.colModel[i].name+"' role='columnheader' class='ui-state-default ui-th-column ui-th-"+dir+"'"+ tooltip+">";
					idn = ts.p.colModel[i].index || ts.p.colModel[i].name;
					thead += "<div id='jqgh_"+ts.p.id+"_"+ts.p.colModel[i].name+"' "+tdc+">"+ts.p.colNames[i];
					if(!ts.p.colModel[i].width)  { ts.p.colModel[i].width = 150; }
					else { ts.p.colModel[i].width = parseInt(ts.p.colModel[i].width,10); }
					if(typeof ts.p.colModel[i].title !== "boolean") { ts.p.colModel[i].title = true; }
					if (idn == ts.p.sortname) {
						ts.p.lastsort = i;
					}
					thead += imgs+"</div></th>";
				}
				thead += "</tr></thead>";
				imgs = null;
				$(this).append(thead);
				$("thead tr:first th",this).hover(function(){$(this).addClass('ui-state-hover');},function(){$(this).removeClass('ui-state-hover');});
				if(this.p.multiselect) {
					var emp=[], chk;
					$('#cb_'+$.jgrid.jqID(ts.p.id),this).on('click',function(){
						ts.p.selarrrow = [];
						var froz = ts.p.frozenColumns === true ? ts.p.id + "_frozen" : "";
						if (this.checked) {
							$(ts.rows).each(function(i) {
								if (i>0) {
									if(!$(this).hasClass("ui-subgrid") && !$(this).hasClass("jqgroup") && !$(this).hasClass('ui-state-disabled')){
										$("#jqg_"+$.jgrid.jqID(ts.p.id)+"_"+$.jgrid.jqID(this.id) )[ts.p.useProp ? 'prop': 'attr']("checked",true);
										$(this).addClass("ui-state-highlight").attr("aria-selected","true");
										ts.p.selarrrow.push(this.id);
										ts.p.selrow = this.id;
										if(froz) {
											$("#jqg_"+$.jgrid.jqID(ts.p.id)+"_"+$.jgrid.jqID(this.id), ts.grid.fbDiv )[ts.p.useProp ? 'prop': 'attr']("checked",true);
											$("#"+$.jgrid.jqID(this.id), ts.grid.fbDiv).addClass("ui-state-highlight");
										}
									}
								}
							});
							chk=true;
							emp=[];
						}
						else {
							$(ts.rows).each(function(i) {
								if(i>0) {
									if(!$(this).hasClass("ui-subgrid") && !$(this).hasClass('ui-state-disabled')){
										$("#jqg_"+$.jgrid.jqID(ts.p.id)+"_"+$.jgrid.jqID(this.id) )[ts.p.useProp ? 'prop': 'attr']("checked", false);
										$(this).removeClass("ui-state-highlight").attr("aria-selected","false");
										emp.push(this.id);
										if(froz) {
											$("#jqg_"+$.jgrid.jqID(ts.p.id)+"_"+$.jgrid.jqID(this.id), ts.grid.fbDiv )[ts.p.useProp ? 'prop': 'attr']("checked",false);
											$("#"+$.jgrid.jqID(this.id), ts.grid.fbDiv).removeClass("ui-state-highlight");
										}
									}
								}
							});
							ts.p.selrow = null;
							chk=false;
						}
						$(ts).triggerHandler("jqGridSelectAll", [chk ? ts.p.selarrrow : emp, chk]);
						if($.isFunction(ts.p.onSelectAll)) {ts.p.onSelectAll.call(ts, chk ? ts.p.selarrrow : emp,chk);}
					});
				}

				if(ts.p.autowidth===true) {
					var pw = parseInt($(eg).css("width"))-parseInt($(eg).css("padding-left"))-parseInt($(eg).css("padding-right"));
					ts.p.width = pw > 0?  pw: 'nw';
				}
				setColWidth();
				$(eg).css("width",grid.width+"px").append("<div class='ui-jqgrid-resize-mark' id='rs_m"+ts.p.id+"'>&#160;</div>");
				$(gv).css("width",grid.width+"px");
				thead = $("thead:first",ts).get(0);
				var	tfoot = "";
				if(ts.p.footerrow) { tfoot += "<table role='grid' style='width:"+ts.p.tblwidth+"px' class='ui-jqgrid-ftable' cellspacing='0' cellpadding='0' border='0'><tbody><tr role='row' class='ui-widget-content footrow footrow-"+dir+"'>"; }
				var thr = $("tr:first",thead),
					firstr = "<tr class='jqgfirstrow' role='row' style='height:auto'>";
				ts.p.disableClick=false;
				$("th",thr).each(function ( j ) {
					w = ts.p.colModel[j].width;
					if(ts.p.colModel[j].resizable === undefined) {ts.p.colModel[j].resizable = true;}
					if(ts.p.colModel[j].resizable){
						res = document.createElement("span");
						$(res).html("&#160;").addClass('ui-jqgrid-resize ui-jqgrid-resize-'+dir);
						if(!$.browser.opera) { $(res).css("cursor","col-resize"); }
						$(this).addClass(ts.p.resizeclass);
					} else {
						res = "";
					}
					$(this).css("width",w+"px").prepend(res);
					var hdcol = "";
					if( ts.p.colModel[j].hidden ) {
						$(this).css("display","none");
						hdcol = "display:none;";
					}
					firstr += "<td role='gridcell' style='height:0px;width:"+w+"px;"+hdcol+"'></td>";
					grid.headers[j] = { width: w, el: this };
					sort = ts.p.colModel[j].sortable;
					if( typeof sort !== 'boolean') {ts.p.colModel[j].sortable =  true; sort=true;}
					var nm = ts.p.colModel[j].name;
					if( !(nm == 'cb' || nm=='subgrid' || nm=='rn') ) {
						if(ts.p.viewsortcols[2]){
							$(">div",this).addClass('ui-jqgrid-sortable');
						}
					}
					if(sort) {
						if(ts.p.viewsortcols[0]) {$("div span.s-ico",this).show(); if(j==ts.p.lastsort){ $("div span.ui-icon-"+ts.p.sortorder,this).removeClass("ui-state-disabled");}}
						else if( j == ts.p.lastsort) {$("div span.s-ico",this).show();$("div span.ui-icon-"+ts.p.sortorder,this).removeClass("ui-state-disabled");}
					}
					if(ts.p.footerrow) { tfoot += "<td role='gridcell' "+formatCol(j,0,'', null, '', false)+">&#160;</td>"; }
				}).mousedown(function(e) {
					if ($(e.target).closest("th>span.ui-jqgrid-resize").length != 1) { return; }
					var ci = getColumnHeaderIndex(this);
					if(ts.p.forceFit===true) {ts.p.nv= nextVisible(ci);}
					grid.dragStart(ci, e, getOffset(ci));
					return false;
				}).click(function(e) {
					if (ts.p.disableClick) {
						ts.p.disableClick = false;
						return false;
					}
					var s = "th>div.ui-jqgrid-sortable",r,d;
					if (!ts.p.viewsortcols[2]) { s = "th>div>span>span.ui-grid-ico-sort"; }
					var t = $(e.target).closest(s);
					if (t.length != 1) { return; }
					var ci = getColumnHeaderIndex(this);
					if (!ts.p.viewsortcols[2]) { r=true;d=t.attr("sort"); }
					sortData( $('div',this)[0].id, ci, r, d);
					return false;
				});
				if (ts.p.sortable && $.fn.sortable) {
					try {
						$(ts).jqGrid("sortableColumns", thr);
					} catch (e){}
				}
				if(ts.p.footerrow) { tfoot += "</tr></tbody></table>"; }
				firstr += "</tr>";
				tbody = document.createElement("tbody");
				this.appendChild(tbody);
				$(this).addClass('ui-jqgrid-btable').append(firstr);
				firstr = null;
				var hTable = $("<table class='ui-jqgrid-htable' style='width:"+ts.p.tblwidth+"px' role='grid' aria-labelledby='gbox_"+this.id+"' cellspacing='0' cellpadding='0' border='0'></table>").append(thead),
					hg = (ts.p.caption && ts.p.hiddengrid===true) ? true : false,
					hb = $("<div class='ui-jqgrid-hbox" + (dir=="rtl" ? "-rtl" : "" )+"'></div>");
				thead = null;
				grid.hDiv = document.createElement("div");
				$(grid.hDiv)
					.css({ width: grid.width+"px"})
					.addClass("ui-state-default ui-jqgrid-hdiv")
					.append(hb);
				$(hb).append(hTable);
				hTable = null;
				if(hg) { $(grid.hDiv).hide(); }
				if(ts.p.pager){
					// TBD -- escape ts.p.pager here?
					if(typeof ts.p.pager === "string") {if(ts.p.pager.substr(0,1) !="#") { ts.p.pager = "#"+ts.p.pager;} }
					else { ts.p.pager = "#"+ $(ts.p.pager).attr("id");}
					$(ts.p.pager).css({width: grid.width+"px"}).appendTo(eg).addClass('ui-state-default ui-jqgrid-pager ui-corner-bottom');
					if(hg) {$(ts.p.pager).hide();}
					setPager(ts.p.pager,'');
				}
				if( ts.p.cellEdit === false && ts.p.hoverrows === true) {
					$(ts).on('mouseover',function(e) {
						ptr = $(e.target).closest("tr.jqgrow");
						if($(ptr).attr("class") !== "ui-subgrid") {
							$(ptr).addClass("ui-state-hover");
						}
					}).on('mouseout',function(e) {
						ptr = $(e.target).closest("tr.jqgrow");
						$(ptr).removeClass("ui-state-hover");
					});
				}
				var ri,ci, tdHtml;
				$(ts).before(grid.hDiv).click(function(e) {
					td = e.target;
					ptr = $(td,ts.rows).closest("tr.jqgrow");
					if($(ptr).length === 0 || ptr[0].className.indexOf( 'ui-state-disabled' ) > -1 || ($(td,ts).closest("table.ui-jqgrid-btable").attr('id') || '').replace("_frozen","") !== ts.id ) {
						return this;
					}
					var scb = $(td).hasClass("cbox"),
						cSel = $(ts).triggerHandler("jqGridBeforeSelectRow", [ptr[0].id, e]);
					cSel = (cSel === false || cSel === 'stop') ? false : true;
					if(cSel && $.isFunction(ts.p.beforeSelectRow)) { cSel = ts.p.beforeSelectRow.call(ts,ptr[0].id, e); }
					if (td.tagName == 'A' || ((td.tagName == 'INPUT' || td.tagName == 'TEXTAREA' || td.tagName == 'OPTION' || td.tagName == 'SELECT' ) && !scb) ) { return; }
					if(cSel === true) {
						ri = ptr[0].id;
						ci = $.jgrid.getCellIndex(td);
						tdHtml = $(td).closest("td,th").html();
						$(ts).triggerHandler("jqGridCellSelect", [ri,ci,tdHtml,e]);
						if($.isFunction(ts.p.onCellSelect)) {
							ts.p.onCellSelect.call(ts,ri,ci,tdHtml,e);
						}
						if(ts.p.cellEdit === true) {
							if(ts.p.multiselect && scb){
								$(ts).jqGrid("setSelection", ri ,true,e);
							} else {
								ri = ptr[0].rowIndex;
								try {$(ts).jqGrid("editCell",ri,ci,true);} catch (_) {}
							}
						} else if ( !ts.p.multikey ) {
							if(ts.p.multiselect && ts.p.multiboxonly) {
								if(scb){$(ts).jqGrid("setSelection",ri,true,e);}
								else {
									var frz = ts.p.frozenColumns ? ts.p.id+"_frozen" : "";
									$(ts.p.selarrrow).each(function(i,n){
										var ind = ts.rows.namedItem(n);
										$(ind).removeClass("ui-state-highlight");
										$("#jqg_"+$.jgrid.jqID(ts.p.id)+"_"+$.jgrid.jqID(n))[ts.p.useProp ? 'prop': 'attr']("checked", false);
										if(frz) {
											$("#"+$.jgrid.jqID(n), "#"+$.jgrid.jqID(frz)).removeClass("ui-state-highlight");
											$("#jqg_"+$.jgrid.jqID(ts.p.id)+"_"+$.jgrid.jqID(n), "#"+$.jgrid.jqID(frz))[ts.p.useProp ? 'prop': 'attr']("checked", false);
										}
									});
									ts.p.selarrrow = [];
									$(ts).jqGrid("setSelection",ri,true,e);
								}
							} else {
								$(ts).jqGrid("setSelection",ri,true,e);
							}
						} else {
							if(e[ts.p.multikey]) {
								$(ts).jqGrid("setSelection",ri,true,e);
							} else if(ts.p.multiselect && scb) {
								scb = $("#jqg_"+$.jgrid.jqID(ts.p.id)+"_"+ri).is(":checked");
								$("#jqg_"+$.jgrid.jqID(ts.p.id)+"_"+ri)[ts.p.useProp ? 'prop' : 'attr']("checked", scb);
							}
						}
					}
				}).on('reloadGrid', function(e,opts) {
					if(ts.p.treeGrid ===true) {	ts.p.datatype = ts.p.treedatatype;}
					if (opts && opts.current) {
						ts.grid.selectionPreserver(ts);
					}
					if(ts.p.datatype=="local"){ $(ts).jqGrid("resetSelection");  if(ts.p.data.length) { refreshIndex();} }
					else if(!ts.p.treeGrid) {
						ts.p.selrow=null;
						if(ts.p.multiselect) {ts.p.selarrrow =[];setHeadCheckBox(false);}
						ts.p.savedRow = [];
					}
					if(ts.p.scroll) {emptyRows.call(ts, true, false);}
					if (opts && opts.page) {
						var page = opts.page;
						if (page > ts.p.lastpage) { page = ts.p.lastpage; }
						if (page < 1) { page = 1; }
						ts.p.page = page;
						if (ts.grid.prevRowHeight) {
							ts.grid.bDiv.scrollTop = (page - 1) * ts.grid.prevRowHeight * ts.p.rowNum;
						} else {
							ts.grid.bDiv.scrollTop = 0;
						}
					}
					if (ts.grid.prevRowHeight && ts.p.scroll) {
						delete ts.p.lastpage;
						ts.grid.populateVisible();
					} else {
						ts.grid.populate();
					}
					if(ts.p._inlinenav===true) {$(ts).jqGrid('showAddEditButtons');}
					return false;
				})
					.dblclick(function(e) {
						td = e.target;
						ptr = $(td,ts.rows).closest("tr.jqgrow");
						if($(ptr).length === 0 ){return;}
						ri = ptr[0].rowIndex;
						ci = $.jgrid.getCellIndex(td);
						$(ts).triggerHandler("jqGridDblClickRow", [$(ptr).attr("id"),ri,ci,e]);
						if ($.isFunction(this.p.ondblClickRow)) { ts.p.ondblClickRow.call(ts,$(ptr).attr("id"),ri,ci, e); }
					})
					.on('contextmenu', function(e) {
						td = e.target;
						ptr = $(td,ts.rows).closest("tr.jqgrow");
						if($(ptr).length === 0 ){return;}
						if(!ts.p.multiselect) {	$(ts).jqGrid("setSelection",ptr[0].id,true,e);	}
						ri = ptr[0].rowIndex;
						ci = $.jgrid.getCellIndex(td);
						$(ts).triggerHandler("jqGridRightClickRow", [$(ptr).attr("id"),ri,ci,e]);
						if ($.isFunction(this.p.onRightClickRow)) { ts.p.onRightClickRow.call(ts,$(ptr).attr("id"),ri,ci, e); }
					});
				grid.bDiv = document.createElement("div");
				if(isMSIE) { if(String(ts.p.height).toLowerCase() === "auto") { ts.p.height = "100%"; } }
				$(grid.bDiv)
					.append($('<div style="position:relative;'+(isMSIE && $.browser.version < 8 ? "height:0.01%;" : "")+'"></div>').append('<div></div>').append(this))
					.addClass("ui-jqgrid-bdiv")
					.css({ height: ts.p.height+(isNaN(ts.p.height)?"":"px"), width: (grid.width)+"px"})
					.scroll(grid.scrollGrid);
				$("table:first",grid.bDiv).css({width:ts.p.tblwidth+"px"});
				if( isMSIE ) {
					if( $("tbody",this).length == 2 ) { $("tbody:gt(0)",this).remove();}
					if( ts.p.multikey) {$(grid.bDiv).on("selectstart",function(){return false;});}
				} else {
					if( ts.p.multikey) {$(grid.bDiv).on("mousedown",function(){return false;});}
				}
				if(hg) {$(grid.bDiv).hide();}
				grid.cDiv = document.createElement("div");
				var arf = ts.p.hidegrid===true ? $("<a role='link' href='javascript:void(0)'/>").addClass('ui-jqgrid-titlebar-close HeaderButton').hover(
					function(){ arf.addClass('ui-state-hover');},
					function() {arf.removeClass('ui-state-hover');})
					.append("<span class='ui-icon ui-icon-circle-triangle-n'></span>").css((dir=="rtl"?"left":"right"),"0px") : "";
				$(grid.cDiv).append(arf).append("<span class='ui-jqgrid-title"+(dir=="rtl" ? "-rtl" :"" )+"'>"+ts.p.caption+"</span>")
					.addClass("ui-jqgrid-titlebar ui-widget-header ui-corner-top ui-helper-clearfix");
				$(grid.cDiv).insertBefore(grid.hDiv);
				if( ts.p.toolbar[0] ) {
					grid.uDiv = document.createElement("div");
					if(ts.p.toolbar[1] == "top") {$(grid.uDiv).insertBefore(grid.hDiv);}
					else if (ts.p.toolbar[1]=="bottom" ) {$(grid.uDiv).insertAfter(grid.hDiv);}
					if(ts.p.toolbar[1]=="both") {
						grid.ubDiv = document.createElement("div");
						$(grid.uDiv).insertBefore(grid.hDiv).addClass("ui-userdata ui-state-default").attr("id","t_"+this.id);
						$(grid.ubDiv).insertAfter(grid.hDiv).addClass("ui-userdata ui-state-default").attr("id","tb_"+this.id);
						if(hg)  {$(grid.ubDiv).hide();}
					} else {
						$(grid.uDiv).css("width",grid.width+"px").addClass("ui-userdata ui-state-default").attr("id","t_"+this.id);
					}
					if(hg) {$(grid.uDiv).hide();}
				}
				if(ts.p.toppager) {
					ts.p.toppager = $.jgrid.jqID(ts.p.id)+"_toppager";
					grid.topDiv = $("<div id='"+ts.p.toppager+"'></div>")[0];
					ts.p.toppager = "#"+ts.p.toppager;
					$(grid.topDiv).insertBefore(grid.hDiv).addClass('ui-state-default ui-jqgrid-toppager').css("width",grid.width+"px");
					setPager(ts.p.toppager,'_t');
				}
				if(ts.p.footerrow) {
					grid.sDiv = $("<div class='ui-jqgrid-sdiv'></div>")[0];
					hb = $("<div class='ui-jqgrid-hbox"+(dir=="rtl"?"-rtl":"")+"'></div>");
					$(grid.sDiv).append(hb).insertAfter(grid.hDiv).css("width",grid.width+"px");
					$(hb).append(tfoot);
					grid.footers = $(".ui-jqgrid-ftable",grid.sDiv)[0].rows[0].cells;
					if(ts.p.rownumbers) { grid.footers[0].className = 'ui-state-default jqgrid-rownum'; }
					if(hg) {$(grid.sDiv).hide();}
				}
				hb = null;
				if(ts.p.caption) {
					var tdt = ts.p.datatype;
					if(ts.p.hidegrid===true) {
						$(".ui-jqgrid-titlebar-close",grid.cDiv).click( function(e){
							var onHdCl = $.isFunction(ts.p.onHeaderClick),
								elems = ".ui-jqgrid-bdiv, .ui-jqgrid-hdiv, .ui-jqgrid-pager, .ui-jqgrid-sdiv",
								counter, self = this;
							if(ts.p.toolbar[0]===true) {
								if( ts.p.toolbar[1]=='both') {
									elems += ', #' + $(grid.ubDiv).attr('id');
								}
								elems += ', #' + $(grid.uDiv).attr('id');
							}
							counter = $(elems,"#gview_"+$.jgrid.jqID(ts.p.id)).length;

							if(ts.p.gridstate == 'visible') {
								$(elems,"#gbox_"+$.jgrid.jqID(ts.p.id)).slideUp("fast", function() {
									counter--;
									if (counter === 0) {
										$("span",self).removeClass("ui-icon-circle-triangle-n").addClass("ui-icon-circle-triangle-s");
										ts.p.gridstate = 'hidden';
										if($("#gbox_"+$.jgrid.jqID(ts.p.id)).hasClass("ui-resizable")) { $(".ui-resizable-handle","#gbox_"+$.jgrid.jqID(ts.p.id)).hide(); }
										$(ts).triggerHandler("jqGridHeaderClick", [ts.p.gridstate,e]);
										if(onHdCl) {if(!hg) {ts.p.onHeaderClick.call(ts,ts.p.gridstate,e);}}
									}
								});
							} else if(ts.p.gridstate == 'hidden'){
								$(elems,"#gbox_"+$.jgrid.jqID(ts.p.id)).slideDown("fast", function() {
									counter--;
									if (counter === 0) {
										$("span",self).removeClass("ui-icon-circle-triangle-s").addClass("ui-icon-circle-triangle-n");
										if(hg) {ts.p.datatype = tdt;populate();hg=false;}
										ts.p.gridstate = 'visible';
										if($("#gbox_"+$.jgrid.jqID(ts.p.id)).hasClass("ui-resizable")) { $(".ui-resizable-handle","#gbox_"+$.jgrid.jqID(ts.p.id)).show(); }
										$(ts).triggerHandler("jqGridHeaderClick", [ts.p.gridstate,e]);
										if(onHdCl) {if(!hg) {ts.p.onHeaderClick.call(ts,ts.p.gridstate,e);}}
									}
								});
							}
							return false;
						});
						if(hg) {ts.p.datatype="local"; $(".ui-jqgrid-titlebar-close",grid.cDiv).trigger("click");}
					}
				} else {$(grid.cDiv).hide();}
				$(grid.hDiv).after(grid.bDiv)
					.mousemove(function (e) {
						if(grid.resizing){grid.dragMove(e);return false;}
					});
				$(".ui-jqgrid-labels",grid.hDiv).on("selectstart", function () { return false; });
				$(document).mouseup(function () {
					if(grid.resizing) {	grid.dragEnd(); return false;}
					return true;
				});
				ts.formatCol = formatCol;
				ts.sortData = sortData;
				ts.updatepager = updatepager;
				ts.refreshIndex = refreshIndex;
				ts.setHeadCheckBox = setHeadCheckBox;
				ts.constructTr = constructTr;
				ts.formatter = function ( rowId, cellval , colpos, rwdat, act){return formatter(rowId, cellval , colpos, rwdat, act);};
				$.extend(grid,{populate : populate, emptyRows: emptyRows});
				this.grid = grid;
				ts.addXmlData = function(d) {addXmlData(d,ts.grid.bDiv);};
				ts.addJSONData = function(d) {addJSONData(d,ts.grid.bDiv);};
				this.grid.cols = this.rows[0].cells;

				populate();ts.p.hiddengrid=false;
			});
		};
		$.jgrid.extend({
			getGridParam : function(pName) {
				var $t = this[0];
				if (!$t || !$t.grid) {return;}
				if (!pName) { return $t.p; }
				return $t.p[pName] !== undefined ? $t.p[pName] : null;
			},
			setGridParam : function (newParams){
				return this.each(function(){
					if (this.grid && typeof newParams === 'object') {$.extend(true,this.p,newParams);}
				});
			},
			getDataIDs : function () {
				var ids=[], i=0, len, j=0;
				this.each(function(){
					len = this.rows.length;
					if(len && len>0){
						while(i<len) {
							if($(this.rows[i]).hasClass('jqgrow')) {
								ids[j] = this.rows[i].id;
								j++;
							}
							i++;
						}
					}
				});
				return ids;
			},
			setSelection : function(selection,onsr, e) {
				return this.each(function(){
					var $t = this, stat,pt, ner, ia, tpsr, fid;
					if(selection === undefined) { return; }
					onsr = onsr === false ? false : true;
					pt=$t.rows.namedItem(String(selection));
					if(!pt || !pt.className || pt.className.indexOf( 'ui-state-disabled' ) > -1 ) { return; }
					function scrGrid(iR){
						var ch = $($t.grid.bDiv)[0].clientHeight,
							st = $($t.grid.bDiv)[0].scrollTop,
							rpos = $($t.rows[iR]).position().top,
							rh = $t.rows[iR].clientHeight;
						if(rpos+rh >= ch+st) { $($t.grid.bDiv)[0].scrollTop = rpos-(ch+st)+rh+st; }
						else if(rpos < ch+st) {
							if(rpos < st) {
								$($t.grid.bDiv)[0].scrollTop = rpos;
							}
						}
					}
					if($t.p.scrollrows===true) {
						ner = $t.rows.namedItem(selection).rowIndex;
						if(ner >=0 ){
							scrGrid(ner);
						}
					}
					if($t.p.frozenColumns === true ) {
						fid = $t.p.id+"_frozen";
					}
					if(!$t.p.multiselect) {
						if(pt.className !== "ui-subgrid") {
							if( $t.p.selrow != pt.id) {
								$($t.rows.namedItem($t.p.selrow)).removeClass("ui-state-highlight").attr({"aria-selected":"false", "tabindex" : "-1"});
								$(pt).addClass("ui-state-highlight").attr({"aria-selected":"true", "tabindex" : "0"});//.focus();
								if(fid) {
									$("#"+$.jgrid.jqID($t.p.selrow), "#"+$.jgrid.jqID(fid)).removeClass("ui-state-highlight");
									$("#"+$.jgrid.jqID(selection), "#"+$.jgrid.jqID(fid)).addClass("ui-state-highlight");
								}
								stat = true;
							} else {
								stat = false;
							}
							$t.p.selrow = pt.id;
							$($t).triggerHandler("jqGridSelectRow", [pt.id, stat, e]);
							if( $t.p.onSelectRow && onsr) { $t.p.onSelectRow.call($t, pt.id, stat, e); }
						}
					} else {
						//unselect selectall checkbox when deselecting a specific row
						$t.setHeadCheckBox( false );
						$t.p.selrow = pt.id;
						ia = $.inArray($t.p.selrow,$t.p.selarrrow);
						if (  ia === -1 ){
							if(pt.className !== "ui-subgrid") { $(pt).addClass("ui-state-highlight").attr("aria-selected","true");}
							stat = true;
							$t.p.selarrrow.push($t.p.selrow);
						} else {
							if(pt.className !== "ui-subgrid") { $(pt).removeClass("ui-state-highlight").attr("aria-selected","false");}
							stat = false;
							$t.p.selarrrow.splice(ia,1);
							tpsr = $t.p.selarrrow[0];
							$t.p.selrow = (tpsr === undefined) ? null : tpsr;
						}
						$("#jqg_"+$.jgrid.jqID($t.p.id)+"_"+$.jgrid.jqID(pt.id))[$t.p.useProp ? 'prop': 'attr']("checked",stat);
						if(fid) {
							if(ia === -1) {
								$("#"+$.jgrid.jqID(selection), "#"+$.jgrid.jqID(fid)).addClass("ui-state-highlight");
							} else {
								$("#"+$.jgrid.jqID(selection), "#"+$.jgrid.jqID(fid)).removeClass("ui-state-highlight");
							}
							$("#jqg_"+$.jgrid.jqID($t.p.id)+"_"+$.jgrid.jqID(selection), "#"+$.jgrid.jqID(fid))[$t.p.useProp ? 'prop': 'attr']("checked",stat);
						}
						$($t).triggerHandler("jqGridSelectRow", [pt.id, stat, e]);
						if( $t.p.onSelectRow && onsr) { $t.p.onSelectRow.call($t, pt.id , stat, e); }
					}
				});
			},
			resetSelection : function( rowid ){
				return this.each(function(){
					var t = this, ind, sr, fid;
					if( t.p.frozenColumns === true ) {
						fid = t.p.id+"_frozen";
					}
					if(rowid !== undefined ) {
						sr = rowid === t.p.selrow ? t.p.selrow : rowid;
						$("#"+$.jgrid.jqID(t.p.id)+" tbody:first tr#"+$.jgrid.jqID(sr)).removeClass("ui-state-highlight").attr("aria-selected","false");
						if (fid) { $("#"+$.jgrid.jqID(sr), "#"+$.jgrid.jqID(fid)).removeClass("ui-state-highlight"); }
						if(t.p.multiselect) {
							$("#jqg_"+$.jgrid.jqID(t.p.id)+"_"+$.jgrid.jqID(sr), "#"+$.jgrid.jqID(t.p.id))[t.p.useProp ? 'prop': 'attr']("checked",false);
							if(fid) { $("#jqg_"+$.jgrid.jqID(t.p.id)+"_"+$.jgrid.jqID(sr), "#"+$.jgrid.jqID(fid))[t.p.useProp ? 'prop': 'attr']("checked",false); }
							t.setHeadCheckBox( false);
						}
						sr = null;
					} else if(!t.p.multiselect) {
						if(t.p.selrow) {
							$("#"+$.jgrid.jqID(t.p.id)+" tbody:first tr#"+$.jgrid.jqID(t.p.selrow)).removeClass("ui-state-highlight").attr("aria-selected","false");
							if(fid) { $("#"+$.jgrid.jqID(t.p.selrow), "#"+$.jgrid.jqID(fid)).removeClass("ui-state-highlight"); }
							t.p.selrow = null;
						}
					} else {
						$(t.p.selarrrow).each(function(i,n){
							ind = t.rows.namedItem(n);
							$(ind).removeClass("ui-state-highlight").attr("aria-selected","false");
							$("#jqg_"+$.jgrid.jqID(t.p.id)+"_"+$.jgrid.jqID(n))[t.p.useProp ? 'prop': 'attr']("checked",false);
							if(fid) {
								$("#"+$.jgrid.jqID(n), "#"+$.jgrid.jqID(fid)).removeClass("ui-state-highlight");
								$("#jqg_"+$.jgrid.jqID(t.p.id)+"_"+$.jgrid.jqID(n), "#"+$.jgrid.jqID(fid))[t.p.useProp ? 'prop': 'attr']("checked",false);
							}
						});
						t.setHeadCheckBox( false );
						t.p.selarrrow = [];
					}
					if(t.p.cellEdit === true) {
						if(parseInt(t.p.iCol,10)>=0  && parseInt(t.p.iRow,10)>=0) {
							$("td:eq("+t.p.iCol+")",t.rows[t.p.iRow]).removeClass("edit-cell ui-state-highlight");
							$(t.rows[t.p.iRow]).removeClass("selected-row ui-state-hover");
						}
					}
					t.p.savedRow = [];
				});
			},
			getRowData : function( rowid ) {
				var res = {}, resall, getall=false, len, j=0;
				this.each(function(){
					var $t = this,nm,ind;
					if(rowid === undefined) {
						getall = true;
						resall = [];
						len = $t.rows.length;
					} else {
						ind = $t.rows.namedItem(rowid);
						if(!ind) { return res; }
						len = 2;
					}
					while(j<len){
						if(getall) { ind = $t.rows[j]; }
						if( $(ind).hasClass('jqgrow') ) {
							$('td[role="gridcell"]',ind).each( function(i) {
								nm = $t.p.colModel[i].name;
								if ( nm !== 'cb' && nm !== 'subgrid' && nm !== 'rn') {
									if($t.p.treeGrid===true && nm == $t.p.ExpandColumn) {
										res[nm] = $.jgrid.htmlDecode($("span:first",this).html());
									} else {
										try {
											res[nm] = $.unformat.call($t,this,{rowId:ind.id, colModel:$t.p.colModel[i]},i);
										} catch (e){
											res[nm] = $.jgrid.htmlDecode($(this).html());
										}
									}
								}
							});
							if(getall) { resall.push(res); res={}; }
						}
						j++;
					}
				});
				return resall || res;
			},
			delRowData : function(rowid) {
				var success = false, rowInd, ia, ri;
				this.each(function() {
					var $t = this;
					rowInd = $t.rows.namedItem(rowid);
					if(!rowInd) {return false;}
					ri = rowInd.rowIndex;
					$(rowInd).remove();
					$t.p.records--;
					$t.p.reccount--;
					$t.updatepager(true,false);
					success=true;
					if($t.p.multiselect) {
						ia = $.inArray(rowid,$t.p.selarrrow);
						if(ia != -1) { $t.p.selarrrow.splice(ia,1);}
					}
					if ($t.p.multiselect && $t.p.selarrrow.length > 0) {
						$t.p.selrow = $t.p.selarrrow[$t.p.selarrrow.length-1];
					} else {
						$t.p.selrow = null;
					}
					if($t.p.datatype == 'local') {
						var id = $.jgrid.stripPref($t.p.idPrefix, rowid),
							pos = $t.p._index[id];
						if(pos !== undefined) {
							$t.p.data.splice(pos,1);
							$t.refreshIndex();
						}
					}
					if( $t.p.altRows === true && success ) {
						var cn = $t.p.altclass;
						$($t.rows).each(function(i){
							if(i % 2 ==1) { $(this).addClass(cn); }
							else { $(this).removeClass(cn); }
						});
					}
				});
				return success;
			},
			setRowData : function(rowid, data, cssp) {
				var nm, success=true, title;
				this.each(function(){
					if(!this.grid) {return false;}
					var t = this, vl, ind, cp = typeof cssp, lcdata={};
					ind = t.rows.namedItem(rowid);
					if(!ind) { return false; }
					if( data ) {
						try {
							$(this.p.colModel).each(function(i){
								nm = this.name;
								if( data[nm] !== undefined) {
									lcdata[nm] = this.formatter && typeof this.formatter === 'string' && this.formatter == 'date' ? $.unformat.date.call(t,data[nm],this) : data[nm];
									vl = t.formatter( rowid, data[nm], i, data, 'edit');
									title = this.title ? {"title":$.jgrid.stripHtml(vl)} : {};
									if(t.p.treeGrid===true && nm == t.p.ExpandColumn) {
										$("td[role='gridcell']:eq("+i+") > span:first",ind).html(vl).attr(title);
									} else {
										$("td[role='gridcell']:eq("+i+")",ind).html(vl).attr(title);
									}
								}
							});
							if(t.p.datatype == 'local') {
								var id = $.jgrid.stripPref(t.p.idPrefix, rowid),
									pos = t.p._index[id], key;
								if(t.p.treeGrid) {
									for(key in t.p.treeReader){
										if(t.p.treeReader.hasOwnProperty(key)) {
											delete lcdata[t.p.treeReader[key]];
										}
									}
								}
								if(pos !== undefined) {
									t.p.data[pos] = $.extend(true, t.p.data[pos], lcdata);
								}
								lcdata = null;
							}
						} catch (e) {
							success = false;
						}
					}
					if(success) {
						if(cp === 'string') {$(ind).addClass(cssp);} else if(cp === 'object') {$(ind).css(cssp);}
						$(t).triggerHandler("jqGridAfterGridComplete");
					}
				});
				return success;
			},
			addRowData : function(rowid,rdata,pos,src) {
				if(!pos) {pos = "last";}
				var success = false, nm, row, gi, si, ni,sind, i, v, prp="", aradd, cnm, cn, data, cm, id;
				if(rdata) {
					if($.isArray(rdata)) {
						aradd=true;
						pos = "last";
						cnm = rowid;
					} else {
						rdata = [rdata];
						aradd = false;
					}
					this.each(function() {
						var t = this, datalen = rdata.length;
						ni = t.p.rownumbers===true ? 1 :0;
						gi = t.p.multiselect ===true ? 1 :0;
						si = t.p.subGrid===true ? 1 :0;
						if(!aradd) {
							if(rowid !== undefined) { rowid = String(rowid);}
							else {
								rowid = $.jgrid.randId();
								if(t.p.keyIndex !== false) {
									cnm = t.p.colModel[t.p.keyIndex+gi+si+ni].name;
									if(rdata[0][cnm] !== undefined) { rowid = rdata[0][cnm]; }
								}
							}
						}
						cn = t.p.altclass;
						var k = 0, cna ="", lcdata = {},
							air = $.isFunction(t.p.afterInsertRow) ? true : false;
						while(k < datalen) {
							data = rdata[k];
							row=[];
							if(aradd) {
								try {
									rowid = data[cnm];
									if(rowid===undefined) {
										rowid = $.jgrid.randId();
									}
								}
								catch (e) {rowid = $.jgrid.randId();}
								cna = t.p.altRows === true ?  (t.rows.length-1)%2 === 0 ? cn : "" : "";
							}
							id = rowid;
							rowid  = t.p.idPrefix + rowid;
							if(ni){
								prp = t.formatCol(0,1,'',null,rowid, true);
								row[row.length] = "<td role=\"gridcell\" class=\"ui-state-default jqgrid-rownum\" "+prp+">0</td>";
							}
							if(gi) {
								v = "<input role=\"checkbox\" type=\"checkbox\""+" id=\"jqg_"+t.p.id+"_"+rowid+"\" class=\"cbox\"/>";
								prp = t.formatCol(ni,1,'', null, rowid, true);
								row[row.length] = "<td role=\"gridcell\" "+prp+">"+v+"</td>";
							}
							if(si) {
								row[row.length] = $(t).jqGrid("addSubGridCell",gi+ni,1);
							}
							for(i = gi+si+ni; i < t.p.colModel.length;i++){
								cm = t.p.colModel[i];
								nm = cm.name;
								lcdata[nm] = data[nm];
								v = t.formatter( rowid, $.jgrid.getAccessor(data,nm), i, data );
								prp = t.formatCol(i,1,v, data, rowid, lcdata);
								row[row.length] = "<td role=\"gridcell\" "+prp+">"+v+"</td>";
							}
							row.unshift( t.constructTr(rowid, false, cna, lcdata, data, false ) );
							row[row.length] = "</tr>";
							if(t.rows.length === 0){
								$("table:first",t.grid.bDiv).append(row.join(''));
							} else {
								switch (pos) {
									case 'last':
										$(t.rows[t.rows.length-1]).after(row.join(''));
										sind = t.rows.length-1;
										break;
									case 'first':
										$(t.rows[0]).after(row.join(''));
										sind = 1;
										break;
									case 'after':
										sind = t.rows.namedItem(src);
										if (sind) {
											if($(t.rows[sind.rowIndex+1]).hasClass("ui-subgrid")) { $(t.rows[sind.rowIndex+1]).after(row); }
											else { $(sind).after(row.join('')); }
										}
										sind++;
										break;
									case 'before':
										sind = t.rows.namedItem(src);
										if(sind) {$(sind).before(row.join(''));sind=sind.rowIndex;}
										sind--;
										break;
								}
							}
							if(t.p.subGrid===true) {
								$(t).jqGrid("addSubGrid",gi+ni, sind);
							}
							t.p.records++;
							t.p.reccount++;
							$(t).triggerHandler("jqGridAfterInsertRow", [rowid,data,data]);
							if(air) { t.p.afterInsertRow.call(t,rowid,data,data); }
							k++;
							if(t.p.datatype == 'local') {
								lcdata[t.p.localReader.id] = id;
								t.p._index[id] = t.p.data.length;
								t.p.data.push(lcdata);
								lcdata = {};
							}
						}
						if( t.p.altRows === true && !aradd) {
							if (pos == "last") {
								if ((t.rows.length-1)%2 == 1)  {$(t.rows[t.rows.length-1]).addClass(cn);}
							} else {
								$(t.rows).each(function(i){
									if(i % 2 ==1) { $(this).addClass(cn); }
									else { $(this).removeClass(cn); }
								});
							}
						}
						t.updatepager(true,true);
						success = true;
					});
				}
				return success;
			},
			footerData : function(action,data, format) {
				var nm, success=false, res={}, title;
				function isEmpty(obj) {
					var i;
					for(i in obj) {
						if (obj.hasOwnProperty(i)) { return false; }
					}
					return true;
				}
				if(action === undefined) { action = "get"; }
				if(typeof format !== "boolean") { format  = true; }
				action = action.toLowerCase();
				this.each(function(){
					var t = this, vl;
					if(!t.grid || !t.p.footerrow) {return false;}
					if(action == "set") { if(isEmpty(data)) { return false; } }
					success=true;
					$(this.p.colModel).each(function(i){
						nm = this.name;
						if(action == "set") {
							if( data[nm] !== undefined) {
								vl = format ? t.formatter( "", data[nm], i, data, 'edit') : data[nm];
								title = this.title ? {"title":$.jgrid.stripHtml(vl)} : {};
								$("tr.footrow td:eq("+i+")",t.grid.sDiv).html(vl).attr(title);
								success = true;
							}
						} else if(action == "get") {
							res[nm] = $("tr.footrow td:eq("+i+")",t.grid.sDiv).html();
						}
					});
				});
				return action == "get" ? res : success;
			},
			showHideCol : function(colname,show) {
				return this.each(function() {
					var $t = this, fndh=false, brd=$.jgrid.cell_width ? 0: $t.p.cellLayout, cw;
					if (!$t.grid ) {return;}
					if( typeof colname === 'string') {colname=[colname];}
					show = show != "none" ? "" : "none";
					var sw = show === "" ? true :false,
						gh = $t.p.groupHeader && (typeof $t.p.groupHeader === 'object' || $.isFunction($t.p.groupHeader) );
					if(gh) { $($t).jqGrid('destroyGroupHeader', false); }
					$(this.p.colModel).each(function(i) {
						if ($.inArray(this.name,colname) !== -1 && this.hidden === sw) {
							if($t.p.frozenColumns === true && this.frozen === true) {
								return true;
							}
							$("tr",$t.grid.hDiv).each(function(){
								$(this.cells[i]).css("display", show);
							});
							$($t.rows).each(function(){
								if (!$(this).hasClass("jqgroup")) {
									$(this.cells[i]).css("display", show);
								}
							});
							if($t.p.footerrow) { $("tr.footrow td:eq("+i+")", $t.grid.sDiv).css("display", show); }
							cw =  parseInt(this.width,10);
							if(show === "none") {
								$t.p.tblwidth -= cw+brd;
							} else {
								$t.p.tblwidth += cw+brd;
							}
							this.hidden = !sw;
							fndh=true;
							$($t).triggerHandler("jqGridShowHideCol", [sw,this.name,i]);
						}
					});
					if(fndh===true) {
						if($t.p.shrinkToFit === true && !isNaN($t.p.height)) { $t.p.tblwidth += parseInt($t.p.scrollOffset,10);}
						$($t).jqGrid("setGridWidth",$t.p.shrinkToFit === true ? $t.p.tblwidth : $t.p.width );
					}
					if( gh )  {
						$($t).jqGrid('setGroupHeaders',$t.p.groupHeader);
					}
				});
			},
			hideCol : function (colname) {
				return this.each(function(){$(this).jqGrid("showHideCol",colname,"none");});
			},
			showCol : function(colname) {
				return this.each(function(){$(this).jqGrid("showHideCol",colname,"");});
			},
			remapColumns : function(permutation, updateCells, keepHeader)
			{
				function resortArray(a) {
					var ac;
					if (a.length) {
						ac = $.makeArray(a);
					} else {
						ac = $.extend({}, a);
					}
					$.each(permutation, function(i) {
						a[i] = ac[this];
					});
				}
				var ts = this.get(0);
				function resortRows(parent, clobj) {
					$(">tr"+(clobj||""), parent).each(function() {
						var row = this;
						var elems = $.makeArray(row.cells);
						$.each(permutation, function() {
							var e = elems[this];
							if (e) {
								row.appendChild(e);
							}
						});
					});
				}
				resortArray(ts.p.colModel);
				resortArray(ts.p.colNames);
				resortArray(ts.grid.headers);
				resortRows($("thead:first", ts.grid.hDiv), keepHeader && ":not(.ui-jqgrid-labels)");
				if (updateCells) {
					resortRows($("#"+$.jgrid.jqID(ts.p.id)+" tbody:first"), ".jqgfirstrow, tr.jqgrow, tr.jqfoot");
				}
				if (ts.p.footerrow) {
					resortRows($("tbody:first", ts.grid.sDiv));
				}
				if (ts.p.remapColumns) {
					if (!ts.p.remapColumns.length){
						ts.p.remapColumns = $.makeArray(permutation);
					} else {
						resortArray(ts.p.remapColumns);
					}
				}
				ts.p.lastsort = $.inArray(ts.p.lastsort, permutation);
				if(ts.p.treeGrid) { ts.p.expColInd = $.inArray(ts.p.expColInd, permutation); }
				$(ts).triggerHandler("jqGridRemapColumns", [permutation, updateCells, keepHeader]);
			},
			setGridWidth : function(nwidth, shrink) {
				return this.each(function(){
					if (!this.grid ) {return;}
					var $t = this, cw,
						initwidth = 0, brd=$.jgrid.cell_width ? 0: $t.p.cellLayout, lvc, vc=0, hs=false, scw=$t.p.scrollOffset, aw, gw=0,
						cl = 0,cr;
					if(typeof shrink !== 'boolean') {
						shrink=$t.p.shrinkToFit;
					}
					if(isNaN(nwidth)) {return;}
					nwidth = parseInt(nwidth,10);
					$t.grid.width = $t.p.width = nwidth;
					$("#gbox_"+$.jgrid.jqID($t.p.id)).css("width",nwidth+"px");
					$("#gview_"+$.jgrid.jqID($t.p.id)).css("width",nwidth+"px");
					$($t.grid.bDiv).css("width",nwidth+"px");
					$($t.grid.hDiv).css("width",nwidth+"px");
					if($t.p.pager ) {$($t.p.pager).css("width",nwidth+"px");}
					if($t.p.toppager ) {$($t.p.toppager).css("width",nwidth+"px");}
					if($t.p.toolbar[0] === true){
						$($t.grid.uDiv).css("width",nwidth+"px");
						if($t.p.toolbar[1]=="both") {$($t.grid.ubDiv).css("width",nwidth+"px");}
					}
					if($t.p.footerrow) { $($t.grid.sDiv).css("width",nwidth+"px"); }
					if(shrink ===false && $t.p.forceFit === true) {$t.p.forceFit=false;}
					if(shrink===true) {
						$.each($t.p.colModel, function() {
							if(this.hidden===false){
								cw = this.widthOrg;
								initwidth += cw+brd;
								if(this.fixed) {
									gw += cw+brd;
								} else {
									vc++;
								}
								cl++;
							}
						});
						if(vc  === 0) { return; }
						$t.p.tblwidth = initwidth;
						aw = nwidth-brd*vc-gw;
						if(!isNaN($t.p.height)) {
							if($($t.grid.bDiv)[0].clientHeight < $($t.grid.bDiv)[0].scrollHeight || $t.rows.length === 1){
								hs = true;
								aw -= scw;
							}
						}
						initwidth =0;
						var cle = $t.grid.cols.length >0;
						$.each($t.p.colModel, function(i) {
							if(this.hidden === false && !this.fixed){
								cw = this.widthOrg;
								cw = Math.round(aw*cw/($t.p.tblwidth-brd*vc-gw));
								if (cw < 0) { return; }
								this.width =cw;
								initwidth += cw;
								$t.grid.headers[i].width=cw;
								$t.grid.headers[i].el.style.width=cw+"px";
								if($t.p.footerrow) { $t.grid.footers[i].style.width = cw+"px"; }
								if(cle) { $t.grid.cols[i].style.width = cw+"px"; }
								lvc = i;
							}
						});

						if (!lvc) { return; }

						cr =0;
						if (hs) {
							if(nwidth-gw-(initwidth+brd*vc) !== scw){
								cr = nwidth-gw-(initwidth+brd*vc)-scw;
							}
						} else if( Math.abs(nwidth-gw-(initwidth+brd*vc)) !== 1) {
							cr = nwidth-gw-(initwidth+brd*vc);
						}
						$t.p.colModel[lvc].width += cr;
						$t.p.tblwidth = initwidth+cr+brd*vc+gw;
						if($t.p.tblwidth > nwidth) {
							var delta = $t.p.tblwidth - parseInt(nwidth,10);
							$t.p.tblwidth = nwidth;
							cw = $t.p.colModel[lvc].width = $t.p.colModel[lvc].width-delta;
						} else {
							cw= $t.p.colModel[lvc].width;
						}
						$t.grid.headers[lvc].width = cw;
						$t.grid.headers[lvc].el.style.width=cw+"px";
						if(cle) { $t.grid.cols[lvc].style.width = cw+"px"; }
						if($t.p.footerrow) {
							$t.grid.footers[lvc].style.width = cw+"px";
						}
					}
					if($t.p.tblwidth) {
						$('table:first',$t.grid.bDiv).css("width",$t.p.tblwidth+"px");
						$('table:first',$t.grid.hDiv).css("width",$t.p.tblwidth+"px");
						$t.grid.hDiv.scrollLeft = $t.grid.bDiv.scrollLeft;
						if($t.p.footerrow) {
							$('table:first',$t.grid.sDiv).css("width",$t.p.tblwidth+"px");
						}
					}
				});
			},
			setGridHeight : function (nh) {
				return this.each(function (){
					var $t = this;
					if(!$t.grid) {return;}
					var bDiv = $($t.grid.bDiv);
					bDiv.css({height: nh+(isNaN(nh)?"":"px")});
					if($t.p.frozenColumns === true){
						//follow the original set height to use 16, better scrollbar width detection
						$('#'+$.jgrid.jqID($t.p.id)+"_frozen").parent().css("height", (parseInt(bDiv.css("height")) - 16)+"px");
					}
					$t.p.height = nh;
					if ($t.p.scroll) { $t.grid.populateVisible(); }
				});
			},
			setCaption : function (newcap){
				return this.each(function(){
					this.p.caption=newcap;
					$("span.ui-jqgrid-title, span.ui-jqgrid-title-rtl",this.grid.cDiv).html(newcap);
					$(this.grid.cDiv).show();
				});
			},
			setLabel : function(colname, nData, prop, attrp ){
				return this.each(function(){
					var $t = this, pos=-1;
					if(!$t.grid) {return;}
					if(colname !== undefined) {
						$($t.p.colModel).each(function(i){
							if (this.name == colname) {
								pos = i;return false;
							}
						});
					} else { return; }
					if(pos>=0) {
						var thecol = $("tr.ui-jqgrid-labels th:eq("+pos+")",$t.grid.hDiv);
						if (nData){
							var ico = $(".s-ico",thecol);
							$("[id^=jqgh_]",thecol).empty().html(nData).append(ico);
							$t.p.colNames[pos] = nData;
						}
						if (prop) {
							if(typeof prop === 'string') {$(thecol).addClass(prop);} else {$(thecol).css(prop);}
						}
						if(typeof attrp === 'object') {$(thecol).attr(attrp);}
					}
				});
			},
			setCell : function(rowid,colname,nData,cssp,attrp, forceupd) {
				return this.each(function(){
					var $t = this, pos =-1,v, title;
					if(!$t.grid) {return;}
					if(isNaN(colname)) {
						$($t.p.colModel).each(function(i){
							if (this.name == colname) {
								pos = i;return false;
							}
						});
					} else {pos = parseInt(colname,10);}
					if(pos>=0) {
						var ind = $t.rows.namedItem(rowid);
						if (ind){
							var tcell = $("td:eq("+pos+")",ind);
							if(nData !== "" || forceupd === true) {
								v = $t.formatter(rowid, nData, pos,ind,'edit');
								title = $t.p.colModel[pos].title ? {"title":$.jgrid.stripHtml(v)} : {};
								if($t.p.treeGrid && $(".tree-wrap",$(tcell)).length>0) {
									$("span",$(tcell)).html(v).attr(title);
								} else {
									$(tcell).html(v).attr(title);
								}
								if($t.p.datatype == "local") {
									var cm = $t.p.colModel[pos], index;
									nData = cm.formatter && typeof cm.formatter === 'string' && cm.formatter == 'date' ? $.unformat.date.call($t,nData,cm) : nData;
									index = $t.p._index[rowid];
									if(index !== undefined) {
										$t.p.data[index][cm.name] = nData;
									}
								}
							}
							if(typeof cssp === 'string'){
								$(tcell).addClass(cssp);
							} else if(cssp) {
								$(tcell).css(cssp);
							}
							if(typeof attrp === 'object') {$(tcell).attr(attrp);}
						}
					}
				});
			},
			getCell : function(rowid,col) {
				var ret = false;
				this.each(function(){
					var $t=this, pos=-1;
					if(!$t.grid) {return;}
					if(isNaN(col)) {
						$($t.p.colModel).each(function(i){
							if (this.name === col) {
								pos = i;return false;
							}
						});
					} else {pos = parseInt(col,10);}
					if(pos>=0) {
						var ind = $t.rows.namedItem(rowid);
						if(ind) {
							try {
								ret = $.unformat.call($t,$("td:eq("+pos+")",ind),{rowId:ind.id, colModel:$t.p.colModel[pos]},pos);
							} catch (e){
								ret = $.jgrid.htmlDecode($("td:eq("+pos+")",ind).html());
							}
						}
					}
				});
				return ret;
			},
			getCol : function (col, obj, mathopr) {
				var ret = [], val, sum=0, min, max, v;
				obj = typeof obj !== 'boolean' ? false : obj;
				if(mathopr === undefined) { mathopr = false; }
				this.each(function(){
					var $t=this, pos=-1;
					if(!$t.grid) {return;}
					if(isNaN(col)) {
						$($t.p.colModel).each(function(i){
							if (this.name === col) {
								pos = i;return false;
							}
						});
					} else {pos = parseInt(col,10);}
					if(pos>=0) {
						var ln = $t.rows.length, i =0;
						if (ln && ln>0){
							while(i<ln){
								if($($t.rows[i]).hasClass('jqgrow')) {
									try {
										val = $.unformat.call($t,$($t.rows[i].cells[pos]),{rowId:$t.rows[i].id, colModel:$t.p.colModel[pos]},pos);
									} catch (e) {
										val = $.jgrid.htmlDecode($t.rows[i].cells[pos].innerHTML);
									}
									if(mathopr) {
										v = parseFloat(val);
										sum += v;
										if (max === undefined) {max = min = v;}
										min = Math.min(min, v);
										max = Math.max(max, v);
									}
									else if(obj) { ret.push( {id:$t.rows[i].id,value:val} ); }
									else { ret.push( val ); }
								}
								i++;
							}
							if(mathopr) {
								switch(mathopr.toLowerCase()){
									case 'sum': ret =sum; break;
									case 'avg': ret = sum/ln; break;
									case 'count': ret = ln; break;
									case 'min': ret = min; break;
									case 'max': ret = max; break;
								}
							}
						}
					}
				});
				return ret;
			},
			clearGridData : function(clearfooter) {
				return this.each(function(){
					var $t = this;
					if(!$t.grid) {return;}
					if(typeof clearfooter !== 'boolean') { clearfooter = false; }
					if($t.p.deepempty) {$("#"+$.jgrid.jqID($t.p.id)+" tbody:first tr:gt(0)").remove();}
					else {
						var trf = $("#"+$.jgrid.jqID($t.p.id)+" tbody:first tr:first")[0];
						$("#"+$.jgrid.jqID($t.p.id)+" tbody:first").empty().append(trf);
					}
					if($t.p.footerrow && clearfooter) { $(".ui-jqgrid-ftable td",$t.grid.sDiv).html("&#160;"); }
					$t.p.selrow = null; $t.p.selarrrow= []; $t.p.savedRow = [];
					$t.p.records = 0;$t.p.page=1;$t.p.lastpage=0;$t.p.reccount=0;
					$t.p.data = []; $t.p._index = {};
					$t.updatepager(true,false);
				});
			},
			getInd : function(rowid,rc){
				var ret =false,rw;
				this.each(function(){
					rw = this.rows.namedItem(rowid);
					if(rw) {
						ret = rc===true ? rw: rw.rowIndex;
					}
				});
				return ret;
			},
			bindKeys : function( settings ){
				var o = $.extend({
					onEnter: null,
					onSpace: null,
					onLeftKey: null,
					onRightKey: null,
					scrollingRows : true
				},settings || {});
				return this.each(function(){
					var $t = this;
					if( !$('body').is('[role]') ){$('body').attr('role','application');}
					$t.p.scrollrows = o.scrollingRows;
					$($t).keydown(function(event){
						var target = $($t).find('tr[tabindex=0]')[0], id, r, mind,
							expanded = $t.p.treeReader.expanded_field;
						//check for arrow keys
						if(target) {
							mind = $t.p._index[target.id];
							if(event.keyCode === 37 || event.keyCode === 38 || event.keyCode === 39 || event.keyCode === 40){
								// up key
								if(event.keyCode === 38 ){
									r = target.previousSibling;
									id = "";
									if(r) {
										if($(r).is(":hidden")) {
											while(r) {
												r = r.previousSibling;
												if(!$(r).is(":hidden") && $(r).hasClass('jqgrow')) {id = r.id;break;}
											}
										} else {
											id = r.id;
										}
									}
									$($t).jqGrid('setSelection', id, true, event);
									event.preventDefault();
								}
								//if key is down arrow
								if(event.keyCode === 40){
									r = target.nextSibling;
									id ="";
									if(r) {
										if($(r).is(":hidden")) {
											while(r) {
												r = r.nextSibling;
												if(!$(r).is(":hidden") && $(r).hasClass('jqgrow') ) {id = r.id;break;}
											}
										} else {
											id = r.id;
										}
									}
									$($t).jqGrid('setSelection', id, true, event);
									event.preventDefault();
								}
								// left
								if(event.keyCode === 37 ){
									if($t.p.treeGrid && $t.p.data[mind][expanded]) {
										$(target).find("div.treeclick").trigger('click');
									}
									$($t).triggerHandler("jqGridKeyLeft", [$t.p.selrow]);
									if($.isFunction(o.onLeftKey)) {
										o.onLeftKey.call($t, $t.p.selrow);
									}
								}
								// right
								if(event.keyCode === 39 ){
									if($t.p.treeGrid && !$t.p.data[mind][expanded]) {
										$(target).find("div.treeclick").trigger('click');
									}
									$($t).triggerHandler("jqGridKeyRight", [$t.p.selrow]);
									if($.isFunction(o.onRightKey)) {
										o.onRightKey.call($t, $t.p.selrow);
									}
								}
							}
							//check if enter was pressed on a grid or treegrid node
							else if( event.keyCode === 13 ){
								$($t).triggerHandler("jqGridKeyEnter", [$t.p.selrow]);
								if($.isFunction(o.onEnter)) {
									o.onEnter.call($t, $t.p.selrow);
								}
							} else if(event.keyCode === 32) {
								$($t).triggerHandler("jqGridKeySpace", [$t.p.selrow]);
								if($.isFunction(o.onSpace)) {
									o.onSpace.call($t, $t.p.selrow);
								}
							}
						}
					});
				});
			},
			unbindKeys : function(){
				return this.each(function(){
					$(this).unbind('keydown');
				});
			},
			getLocalRow : function (rowid) {
				var ret = false, ind;
				this.each(function(){
					if(rowid !== undefined) {
						ind = this.p._index[rowid];
						if(ind >= 0 ) {
							ret = this.p.data[ind];
						}
					}
				});
				return ret;
			}
		});
	})(jQuery);
	/*jshint eqeqeq:false */
	/*global jQuery */
	(function($){
		/**
		 * jqGrid extension for custom methods
		 * Tony Tomov tony@trirand.com
		 * http://trirand.com/blog/
		 *
		 * Wildraid wildraid@mail.ru
		 * Oleg Kiriljuk oleg.kiriljuk@ok-soft-gmbh.com
		 * Dual licensed under the MIT and GPL licenses:
		 * http://www.opensource.org/licenses/mit-license.php
		 * http://www.gnu.org/licenses/gpl-2.0.html
		 **/
		"use strict";
		$.jgrid.extend({
			getColProp : function(colname){
				var ret ={}, $t = this[0];
				if ( !$t.grid ) { return false; }
				var cM = $t.p.colModel, i;
				for ( i=0;i<cM.length;i++ ) {
					if ( cM[i].name == colname ) {
						ret = cM[i];
						break;
					}
				}
				return ret;
			},
			setColProp : function(colname, obj){
				//do not set width will not work
				return this.each(function(){
					if ( this.grid ) {
						if ( obj ) {
							var cM = this.p.colModel, i;
							for ( i=0;i<cM.length;i++ ) {
								if ( cM[i].name == colname ) {
									$.extend(true, this.p.colModel[i],obj);
									break;
								}
							}
						}
					}
				});
			},
			sortGrid : function(colname,reload, sor){
				return this.each(function(){
					var $t=this,idx=-1,i;
					if ( !$t.grid ) { return;}
					if ( !colname ) { colname = $t.p.sortname; }
					for ( i=0;i<$t.p.colModel.length;i++ ) {
						if ( $t.p.colModel[i].index == colname || $t.p.colModel[i].name==colname ) {
							idx = i;
							break;
						}
					}
					if ( idx!=-1 ){
						var sort = $t.p.colModel[idx].sortable;
						if ( typeof sort !== 'boolean' ) { sort =  true; }
						if ( typeof reload !=='boolean' ) { reload = false; }
						if ( sort ) { $t.sortData("jqgh_"+$t.p.id+"_" + colname, idx, reload, sor); }
					}
				});
			},
			clearBeforeUnload : function () {
				return this.each(function(){
					var grid = this.grid;
					grid.emptyRows.call(this, true, true); // this work quick enough and reduce the size of memory leaks if we have someone

					//$(document).unbind("mouseup"); // TODO add namespace
					$(grid.hDiv).unbind("mousemove"); // TODO add namespace
					$(this).unbind();

					grid.dragEnd = null;
					grid.dragMove = null;
					grid.dragStart = null;
					grid.emptyRows = null;
					grid.populate = null;
					grid.populateVisible = null;
					grid.scrollGrid = null;
					grid.selectionPreserver = null;

					grid.bDiv = null;
					grid.cDiv = null;
					grid.hDiv = null;
					grid.cols = null;
					var i, l = grid.headers.length;
					for (i = 0; i < l; i++) {
						grid.headers[i].el = null;
					}

					this.formatCol = null;
					this.sortData = null;
					this.updatepager = null;
					this.refreshIndex = null;
					this.setHeadCheckBox = null;
					this.constructTr = null;
					this.formatter = null;
					this.addXmlData = null;
					this.addJSONData = null;
				});
			},
			GridDestroy : function () {
				return this.each(function(){
					if ( this.grid ) {
						if ( this.p.pager ) { // if not part of grid
							$(this.p.pager).remove();
						}
						try {
							$(this).jqGrid('clearBeforeUnload');
							$("#gbox_"+$.jgrid.jqID(this.id)).remove();
						} catch (_) {}
					}
				});
			},
			GridUnload : function(){
				return this.each(function(){
					if ( !this.grid ) {return;}
					var defgrid = {id: $(this).attr('id'),cl: $(this).attr('class')};
					if (this.p.pager) {
						$(this.p.pager).empty().removeClass("ui-state-default ui-jqgrid-pager corner-bottom");
					}
					var newtable = document.createElement('table');
					$(newtable).attr({id:defgrid.id});
					newtable.className = defgrid.cl;
					var gid = $.jgrid.jqID(this.id);
					$(newtable).removeClass("ui-jqgrid-btable");
					if( $(this.p.pager).parents("#gbox_"+gid).length === 1 ) {
						$(newtable).insertBefore("#gbox_"+gid).show();
						$(this.p.pager).insertBefore("#gbox_"+gid);
					} else {
						$(newtable).insertBefore("#gbox_"+gid).show();
					}
					$(this).jqGrid('clearBeforeUnload');
					$("#gbox_"+gid).remove();
				});
			},
			setGridState : function(state) {
				return this.each(function(){
					if ( !this.grid ) {return;}
					var $t = this;
					if(state == 'hidden'){
						$(".ui-jqgrid-bdiv, .ui-jqgrid-hdiv","#gview_"+$.jgrid.jqID($t.p.id)).slideUp("fast");
						if($t.p.pager) {$($t.p.pager).slideUp("fast");}
						if($t.p.toppager) {$($t.p.toppager).slideUp("fast");}
						if($t.p.toolbar[0]===true) {
							if( $t.p.toolbar[1]=='both') {
								$($t.grid.ubDiv).slideUp("fast");
							}
							$($t.grid.uDiv).slideUp("fast");
						}
						if($t.p.footerrow) { $(".ui-jqgrid-sdiv","#gbox_"+$.jgrid.jqID($t.p.id)).slideUp("fast"); }
						$(".ui-jqgrid-titlebar-close span",$t.grid.cDiv).removeClass("ui-icon-circle-triangle-n").addClass("ui-icon-circle-triangle-s");
						$t.p.gridstate = 'hidden';
					} else if(state=='visible') {
						$(".ui-jqgrid-hdiv, .ui-jqgrid-bdiv","#gview_"+$.jgrid.jqID($t.p.id)).slideDown("fast");
						if($t.p.pager) {$($t.p.pager).slideDown("fast");}
						if($t.p.toppager) {$($t.p.toppager).slideDown("fast");}
						if($t.p.toolbar[0]===true) {
							if( $t.p.toolbar[1]=='both') {
								$($t.grid.ubDiv).slideDown("fast");
							}
							$($t.grid.uDiv).slideDown("fast");
						}
						if($t.p.footerrow) { $(".ui-jqgrid-sdiv","#gbox_"+$.jgrid.jqID($t.p.id)).slideDown("fast"); }
						$(".ui-jqgrid-titlebar-close span",$t.grid.cDiv).removeClass("ui-icon-circle-triangle-s").addClass("ui-icon-circle-triangle-n");
						$t.p.gridstate = 'visible';
					}

				});
			},
			filterToolbar : function(p){
				p = $.extend({
					autosearch: true,
					searchOnEnter : true,
					beforeSearch: null,
					afterSearch: null,
					beforeClear: null,
					afterClear: null,
					searchurl : '',
					stringResult: false,
					groupOp: 'AND',
					defaultSearch : "bw"
				},p  || {});
				return this.each(function(){
					var $t = this;
					if(this.ftoolbar) { return; }
					var triggerToolbar = function() {
						var sdata={}, j=0, v, nm, sopt={},so;
						$.each($t.p.colModel,function(){
							nm = this.index || this.name;
							so  = (this.searchoptions && this.searchoptions.sopt) ? this.searchoptions.sopt[0] : this.stype=='select'?  'eq' : p.defaultSearch;
							v = $("#gs_"+$.jgrid.jqID(this.name), (this.frozen===true && $t.p.frozenColumns === true) ?  $t.grid.fhDiv : $t.grid.hDiv).val();
							if(v) {
								sdata[nm] = v;
								sopt[nm] = so;
								j++;
							} else {
								try {
									delete $t.p.postData[nm];
								} catch (z) {}
							}
						});
						var sd =  j>0 ? true : false;
						if(p.stringResult === true || $t.p.datatype == "local") {
							var ruleGroup = "{\"groupOp\":\"" + p.groupOp + "\",\"rules\":[";
							var gi=0;
							$.each(sdata,function(i,n){
								if (gi > 0) {ruleGroup += ",";}
								ruleGroup += "{\"field\":\"" + i + "\",";
								ruleGroup += "\"op\":\"" + sopt[i] + "\",";
								n+="";
								ruleGroup += "\"data\":\"" + n.replace(/\\/g,'\\\\').replace(/\"/g,'\\"') + "\"}";
								gi++;
							});
							ruleGroup += "]}";
							$.extend($t.p.postData,{filters:ruleGroup});
							$.each(['searchField', 'searchString', 'searchOper'], function(i, n){
								if($t.p.postData.hasOwnProperty(n)) { delete $t.p.postData[n];}
							});
						} else {
							$.extend($t.p.postData,sdata);
						}
						var saveurl;
						if($t.p.searchurl) {
							saveurl = $t.p.url;
							$($t).jqGrid("setGridParam",{url:$t.p.searchurl});
						}
						var bsr = $($t).triggerHandler("jqGridToolbarBeforeSearch") === 'stop' ? true : false;
						if(!bsr && $.isFunction(p.beforeSearch)){bsr = p.beforeSearch.call($t);}
						if(!bsr) { $($t).jqGrid("setGridParam",{search:sd}).trigger("reloadGrid",[{page:1}]); }
						if(saveurl) {$($t).jqGrid("setGridParam",{url:saveurl});}
						$($t).triggerHandler("jqGridToolbarAfterSearch");
						if($.isFunction(p.afterSearch)){p.afterSearch.call($t);}
					};
					var clearToolbar = function(trigger){
						var sdata={}, j=0, nm;
						trigger = (typeof trigger !== 'boolean') ? true : trigger;
						$.each($t.p.colModel,function(){
							var v;
							if(this.searchoptions && this.searchoptions.defaultValue !== undefined) { v = this.searchoptions.defaultValue; }
							nm = this.index || this.name;
							switch (this.stype) {
								case 'select' :
									$("#gs_"+$.jgrid.jqID(this.name)+" option",(this.frozen===true && $t.p.frozenColumns === true) ?  $t.grid.fhDiv : $t.grid.hDiv).each(function (i){
										if(i===0) { this.selected = true; }
										if ($(this).val() == v) {
											this.selected = true;
											return false;
										}
									});
									if ( v !== undefined ) {
										// post the key and not the text
										sdata[nm] = v;
										j++;
									} else {
										try {
											delete $t.p.postData[nm];
										} catch(e) {}
									}
									break;
								case 'text':
									$("#gs_"+$.jgrid.jqID(this.name),(this.frozen===true && $t.p.frozenColumns === true) ?  $t.grid.fhDiv : $t.grid.hDiv).val(v);
									if(v !== undefined) {
										sdata[nm] = v;
										j++;
									} else {
										try {
											delete $t.p.postData[nm];
										} catch (y){}
									}
									break;
							}
						});
						var sd =  j>0 ? true : false;
						if(p.stringResult === true || $t.p.datatype == "local") {
							var ruleGroup = "{\"groupOp\":\"" + p.groupOp + "\",\"rules\":[";
							var gi=0;
							$.each(sdata,function(i,n){
								if (gi > 0) {ruleGroup += ",";}
								ruleGroup += "{\"field\":\"" + i + "\",";
								ruleGroup += "\"op\":\"" + "eq" + "\",";
								n+="";
								ruleGroup += "\"data\":\"" + n.replace(/\\/g,'\\\\').replace(/\"/g,'\\"') + "\"}";
								gi++;
							});
							ruleGroup += "]}";
							$.extend($t.p.postData,{filters:ruleGroup});
							$.each(['searchField', 'searchString', 'searchOper'], function(i, n){
								if($t.p.postData.hasOwnProperty(n)) { delete $t.p.postData[n];}
							});
						} else {
							$.extend($t.p.postData,sdata);
						}
						var saveurl;
						if($t.p.searchurl) {
							saveurl = $t.p.url;
							$($t).jqGrid("setGridParam",{url:$t.p.searchurl});
						}
						var bcv = $($t).triggerHandler("jqGridToolbarBeforeClear") === 'stop' ? true : false;
						if(!bcv && $.isFunction(p.beforeClear)){bcv = p.beforeClear.call($t);}
						if(!bcv) {
							if(trigger) {
								$($t).jqGrid("setGridParam",{search:sd}).trigger("reloadGrid",[{page:1}]);
							}
						}
						if(saveurl) {$($t).jqGrid("setGridParam",{url:saveurl});}
						$($t).triggerHandler("jqGridToolbarAfterClear");
						if($.isFunction(p.afterClear)){p.afterClear();}
					};
					var toggleToolbar = function(){
						var trow = $("tr.ui-search-toolbar",$t.grid.hDiv),
							trow2 = $t.p.frozenColumns === true ?  $("tr.ui-search-toolbar",$t.grid.fhDiv) : false;
						if(trow.css("display")=='none') {
							trow.show();
							if(trow2) {
								trow2.show();
							}
						} else {
							trow.hide();
							if(trow2) {
								trow2.hide();
							}
						}
					};
					// create the row
					var tr = $("<tr class='ui-search-toolbar' role='rowheader'></tr>");
					var timeoutHnd;
					$.each($t.p.colModel,function(){
						var cm=this, thd , th, soptions,surl,self;
						th = $("<th role='columnheader' class='ui-state-default ui-th-column ui-th-"+$t.p.direction+"'></th>");
						thd = $("<div style='position:relative;height:100%;padding-right:0.3em;'></div>");
						if(this.hidden===true) { $(th).css("display","none");}
						this.search = this.search === false ? false : true;
						if(this.stype === undefined) {this.stype='text';}
						soptions = $.extend({},this.searchoptions || {});
						if(this.search){
							switch (this.stype)
							{
								case "select":
									surl = this.surl || soptions.dataUrl;
									if(surl) {
										// data returned should have already constructed html select
										// primitive jQuery load
										self = thd;
										$.ajax($.extend({
											url: surl,
											dataType: "html",
											success: function(res) {
												if(soptions.buildSelect !== undefined) {
													var d = soptions.buildSelect(res);
													if (d) { $(self).append(d); }
												} else {
													$(self).append(res);
												}
												if(soptions.defaultValue !== undefined) { $("select",self).val(soptions.defaultValue); }
												$("select",self).attr({name:cm.index || cm.name, id: "gs_"+cm.name});
												if(soptions.attr) {$("select",self).attr(soptions.attr);}
												$("select",self).css({width: "100%"});
												// preserve autoserch
												$.jgrid.bindEv( $("select",self)[0], soptions, $t);
												if(p.autosearch===true){
													$("select",self).change(function(){
														triggerToolbar();
														return false;
													});
												}
												res=null;
											}
										}, $.jgrid.ajaxOptions, $t.p.ajaxSelectOptions || {} ));
									} else {
										var oSv, sep, delim;
										if(cm.searchoptions) {
											oSv = cm.searchoptions.value === undefined ? "" : cm.searchoptions.value;
											sep = cm.searchoptions.separator === undefined ? ":" : cm.searchoptions.separator;
											delim = cm.searchoptions.delimiter === undefined ? ";" : cm.searchoptions.delimiter;
										} else if(cm.editoptions) {
											oSv = cm.editoptions.value === undefined ? "" : cm.editoptions.value;
											sep = cm.editoptions.separator === undefined ? ":" : cm.editoptions.separator;
											delim = cm.editoptions.delimiter === undefined ? ";" : cm.editoptions.delimiter;
										}
										if (oSv) {
											var elem = document.createElement("select");
											elem.style.width = "100%";
											$(elem).attr({name:cm.index || cm.name, id: "gs_"+cm.name});
											var so, sv, ov, key, k;
											if(typeof oSv === "string") {
												so = oSv.split(delim);
												for(k=0; k<so.length;k++){
													sv = so[k].split(sep);
													ov = document.createElement("option");
													ov.value = sv[0]; ov.innerHTML = sv[1];
													elem.appendChild(ov);
												}
											} else if(typeof oSv === "object" ) {
												for (key in oSv) {
													if(oSv.hasOwnProperty(key)) {
														ov = document.createElement("option");
														ov.value = key; ov.innerHTML = oSv[key];
														elem.appendChild(ov);
													}
												}
											}
											if(soptions.defaultValue !== undefined) { $(elem).val(soptions.defaultValue); }
											if(soptions.attr) {$(elem).attr(soptions.attr);}
											$.jgrid.bindEv( elem , soptions, $t);
											$(thd).append(elem);
											if(p.autosearch===true){
												$(elem).change(function(){
													triggerToolbar();
													return false;
												});
											}
										}
									}
									break;
								case 'text':
									var df = soptions.defaultValue !== undefined ? soptions.defaultValue: "";
									$(thd).append("<input type='text' style='width:95%;padding:0px;' name='"+(cm.index || cm.name)+"' id='gs_"+cm.name+"' value='"+df+"'/>");
									if(soptions.attr) {$("input",thd).attr(soptions.attr);}
									$.jgrid.bindEv( $("input",thd)[0], soptions, $t);
									if(p.autosearch===true){
										if(p.searchOnEnter) {
											$("input",thd).keypress(function(e){
												var key = e.charCode || e.keyCode || 0;
												if(key == 13){
													triggerToolbar();
													return false;
												}
												return this;
											});
										} else {
											$("input",thd).keydown(function(e){
												var key = e.which;
												switch (key) {
													case 13:
														return false;
													case 9 :
													case 16:
													case 37:
													case 38:
													case 39:
													case 40:
													case 27:
														break;
													default :
														if(timeoutHnd) { clearTimeout(timeoutHnd); }
														timeoutHnd = setTimeout(function(){triggerToolbar();},500);
												}
											});
										}
									}
									break;
							}
						}
						$(th).append(thd);
						$(tr).append(th);
					});
					$("table thead",$t.grid.hDiv).append(tr);
					this.ftoolbar = true;
					this.triggerToolbar = triggerToolbar;
					this.clearToolbar = clearToolbar;
					this.toggleToolbar = toggleToolbar;
				});
			},
			destroyFilterToolbar: function () {
				return this.each(function () {
					if (!this.ftoolbar) {
						return;
					}
					this.triggerToolbar = null;
					this.clearToolbar = null;
					this.toggleToolbar = null;
					this.ftoolbar = false;
					$(this.grid.hDiv).find("table thead tr.ui-search-toolbar").remove();
				});
			},
			destroyGroupHeader : function(nullHeader)
			{
				if(nullHeader === undefined) {
					nullHeader = true;
				}
				return this.each(function()
				{
					var $t = this, $tr, i, l, headers, $th, $resizing, grid = $t.grid,
						thead = $("table.ui-jqgrid-htable thead", grid.hDiv), cm = $t.p.colModel, hc;
					if(!grid) { return; }

					$(this).unbind('.setGroupHeaders');
					$tr = $("<tr>", {role: "rowheader"}).addClass("ui-jqgrid-labels");
					headers = grid.headers;
					for (i = 0, l = headers.length; i < l; i++) {
						hc = cm[i].hidden ? "none" : "";
						$th = $(headers[i].el)
							.css("width", headers[i].width+"px")
							.css('display',hc);
						try {
							$th.removeAttr("rowSpan");
						} catch (rs) {
							//IE 6/7
							$th.attr("rowSpan",1);
						}
						$tr.append($th);
						$resizing = $th.children("span.ui-jqgrid-resize");
						if ($resizing.length>0) {// resizable column
							$resizing[0].style.height = "";
						}
						$th.children("div")[0].style.top = "";
					}
					$(thead).children('tr.ui-jqgrid-labels').remove();
					$(thead).prepend($tr);

					if(nullHeader === true) {
						$($t).jqGrid('setGridParam',{ 'groupHeader': null});
					}
				});
			},
			setGroupHeaders : function ( o ) {
				o = $.extend({
					useColSpanStyle :  false,
					groupHeaders: []
				},o  || {});
				return this.each(function(){
					this.p.groupHeader = o;
					var ts = this,
						i, cmi, skip = 0, $tr, $colHeader, th, $th, thStyle,
						iCol,
						cghi,
						//startColumnName,
						numberOfColumns,
						titleText,
						cVisibleColumns,
						colModel = ts.p.colModel,
						cml = colModel.length,
						ths = ts.grid.headers,
						$htable = $("table.ui-jqgrid-htable", ts.grid.hDiv),
						$trLabels = $htable.children("thead").children("tr.ui-jqgrid-labels:last").addClass("jqg-second-row-header"),
						$thead = $htable.children("thead"),
						$theadInTable,
						$firstHeaderRow = $htable.find(".jqg-first-row-header");
					if($firstHeaderRow[0] === undefined) {
						$firstHeaderRow = $('<tr>', {role: "row", "aria-hidden": "true"}).addClass("jqg-first-row-header").css("height", "auto");
					} else {
						$firstHeaderRow.empty();
					}
					var $firstRow,
						inColumnHeader = function (text, columnHeaders) {
							var length = columnHeaders.length, i;
							for (i = 0; i < length; i++) {
								if (columnHeaders[i].startColumnName === text) {
									return i;
								}
							}
							return -1;
						};

					$(ts).prepend($thead);
					$tr = $('<tr>', {role: "rowheader"}).addClass("ui-jqgrid-labels jqg-third-row-header");
					for (i = 0; i < cml; i++) {
						th = ths[i].el;
						$th = $(th);
						cmi = colModel[i];
						// build the next cell for the first header row
						thStyle = { height: '0px', width: ths[i].width + 'px', display: (cmi.hidden ? 'none' : '')};
						$("<th>", {role: 'gridcell'}).css(thStyle).addClass("ui-first-th-"+ts.p.direction).appendTo($firstHeaderRow);

						th.style.width = ""; // remove unneeded style
						iCol = inColumnHeader(cmi.name, o.groupHeaders);
						if (iCol >= 0) {
							cghi = o.groupHeaders[iCol];
							numberOfColumns = cghi.numberOfColumns;
							titleText = cghi.titleText;

							// caclulate the number of visible columns from the next numberOfColumns columns
							for (cVisibleColumns = 0, iCol = 0; iCol < numberOfColumns && (i + iCol < cml); iCol++) {
								if (!colModel[i + iCol].hidden) {
									cVisibleColumns++;
								}
							}

							// The next numberOfColumns headers will be moved in the next row
							// in the current row will be placed the new column header with the titleText.
							// The text will be over the cVisibleColumns columns
							$colHeader = $('<th>').attr({role: "columnheader"})
								.addClass("ui-state-default ui-th-column-header ui-th-"+ts.p.direction)
								.css({'height':'22px', 'border-top': '0px none'})
								.html(titleText);
							if(cVisibleColumns > 0) {
								$colHeader.attr("colspan", String(cVisibleColumns));
							}
							if (ts.p.headertitles) {
								$colHeader.attr("title", $colHeader.text());
							}
							// hide if not a visible cols
							if( cVisibleColumns === 0) {
								$colHeader.hide();
							}

							$th.before($colHeader); // insert new column header before the current
							$tr.append(th);         // move the current header in the next row

							// set the coumter of headers which will be moved in the next row
							skip = numberOfColumns - 1;
						} else {
							if (skip === 0) {
								if (o.useColSpanStyle) {
									// expand the header height to two rows
									$th.attr("rowspan", "2");
								} else {
									$('<th>', {role: "columnheader"})
										.addClass("ui-state-default ui-th-column-header ui-th-"+ts.p.direction)
										.css({"display": cmi.hidden ? 'none' : '', 'border-top': '0px none'})
										.insertBefore($th);
									$tr.append(th);
								}
							} else {
								// move the header to the next row
								//$th.css({"padding-top": "2px", height: "19px"});
								$tr.append(th);
								skip--;
							}
						}
					}
					$theadInTable = $(ts).children("thead");
					$theadInTable.prepend($firstHeaderRow);
					$tr.insertAfter($trLabels);
					$htable.append($theadInTable);

					if (o.useColSpanStyle) {
						// Increase the height of resizing span of visible headers
						$htable.find("span.ui-jqgrid-resize").each(function () {
							var $parent = $(this).parent();
							if ($parent.is(":visible")) {
								this.style.cssText = 'height: ' + parseInt($parent.css("height")) + 'px !important; cursor: col-resize;';
							}
						});

						// Set position of the sortable div (the main lable)
						// with the column header text to the middle of the cell.
						// One should not do this for hidden headers.
						$htable.find("div.ui-jqgrid-sortable").each(function () {
							var $ts = $(this), $parent = $ts.parent();
							if ($parent.is(":visible") && $parent.is(":has(span.ui-jqgrid-resize)")) {
								$ts.css('top', (parseInt($parent.css("height")) - parseInt($ts.css("height"))+parseInt($ts.css("padding-top"))+parseInt($ts.css("padding-bottom"))) / 2 + 'px');
							}
						});
					}

					$firstRow = $theadInTable.find("tr.jqg-first-row-header");
					$(ts).on('jqGridResizeStop.setGroupHeaders', function (e, nw, idx) {
						$firstRow.find('th').eq(idx).css("width", nw+"px");
					});
				});
			},
			setFrozenColumns : function () {
				return this.each(function() {
					if ( !this.grid ) {return;}
					var $t = this, cm = $t.p.colModel,i=0, len = cm.length, maxfrozen = -1, frozen= false;
					// TODO treeGrid and grouping  Support
					if($t.p.subGrid === true || $t.p.treeGrid === true || $t.p.cellEdit === true || $t.p.sortable || $t.p.scroll || $t.p.grouping )
					{
						return;
					}
					if($t.p.rownumbers) { i++; }
					if($t.p.multiselect) { i++; }

					// get the max index of frozen col
					while(i<len)
					{
						// from left, no breaking frozen
						if(cm[i].frozen === true)
						{
							frozen = true;
							maxfrozen = i;
						} else {
							break;
						}
						i++;
					}
					if( maxfrozen>=0 && frozen) {
						var top = $t.p.caption ? parseInt($(t.grid.cDiv).css("height"))+parseInt($(t.grid.cDiv).css("padding-top"))+parseInt($(t.grid.cDiv).css("padding-bottom")) : 0,
							hth = $(".ui-jqgrid-htable","#gview_"+ parseInt($.jgrid.jqID($t.p.id)).css("height"));
						//headers
						if($t.p.toppager) {
							top = top + parseInt($(t.grid.topDiv).css("height"))+parseInt($(t.grid.topDiv).css("padding-top"))+parseInt($(t.grid.topDiv).css("padding-bottom"));
						}
						if($t.p.toolbar[0] === true) {
							if($t.p.toolbar[1] != "bottom") {
								top = top + parseInt($(t.grid.uDiv).css("height"))+parseInt($(t.grid.uDiv).css("padding-top"))+parseInt($(t.grid.uDiv).css("padding-bottom"));
							}
						}
						$t.grid.fhDiv = $('<div style="position:absolute;left:0px;top:'+top+'px;height:'+hth+'px;" class="frozen-div ui-state-default ui-jqgrid-hdiv"></div>');
						$t.grid.fbDiv = $('<div style="position:absolute;left:0px;top:'+(parseInt(top,10)+parseInt(hth,10) + 1)+'px;overflow-y:hidden" class="frozen-bdiv ui-jqgrid-bdiv"></div>');
						$("#gview_"+$.jgrid.jqID($t.p.id)).append($t.grid.fhDiv);
						var htbl = $(".ui-jqgrid-htable","#gview_"+$.jgrid.jqID($t.p.id)).clone(true);
						// groupheader support - only if useColSpanstyle is false
						if($t.p.groupHeader) {
							$("tr.jqg-first-row-header, tr.jqg-third-row-header", htbl).each(function(){
								$("th:gt("+maxfrozen+")",this).remove();
							});
							var swapfroz = -1, fdel = -1;
							$("tr.jqg-second-row-header th", htbl).each(function(){
								var cs= parseInt($(this).attr("colspan"),10);
								if(cs) {
									swapfroz = swapfroz+cs;
									fdel++;
								}
								if(swapfroz === maxfrozen) {
									return false;
								}
							});
							if(swapfroz !== maxfrozen) {
								fdel = maxfrozen;
							}
							$("tr.jqg-second-row-header", htbl).each(function(){
								$("th:gt("+fdel+")",this).remove();
							});
						} else {
							$("tr",htbl).each(function(){
								$("th:gt("+maxfrozen+")",this).remove();
							});
						}
						$(htbl).css("width", 1 + "px");
						// resizing stuff
						$($t.grid.fhDiv).append(htbl)
							.mousemove(function (e) {
								if($t.grid.resizing){ $t.grid.dragMove(e);return false; }
							});
						$($t).on('jqGridResizeStop.setFrozenColumns', function (e, w, index) {
							var rhth = $(".ui-jqgrid-htable",$t.grid.fhDiv);
							$("th:eq("+index+")",rhth).css("width", w+"px" );
							var btd = $(".ui-jqgrid-btable",$t.grid.fbDiv);
							$("tr:first td:eq("+index+")",btd).css("width", w+"px" );
						});
						// sorting stuff
						$($t).on('jqGridOnSortCol.setFrozenColumns', function (index, idxcol) {

							var previousSelectedTh = $("tr.ui-jqgrid-labels:last th:eq("+$t.p.lastsort+")",$t.grid.fhDiv), newSelectedTh = $("tr.ui-jqgrid-labels:last th:eq("+idxcol+")",$t.grid.fhDiv);

							$("span.ui-grid-ico-sort",previousSelectedTh).addClass('ui-state-disabled');
							$(previousSelectedTh).attr("aria-selected","false");
							$("span.ui-icon-"+$t.p.sortorder,newSelectedTh).removeClass('ui-state-disabled');
							$(newSelectedTh).attr("aria-selected","true");
							if(!$t.p.viewsortcols[0]) {
								if($t.p.lastsort != idxcol) {
									$("span.s-ico",previousSelectedTh).hide();
									$("span.s-ico",newSelectedTh).show();
								}
							}
						});

						// data stuff
						//TODO support for setRowData
						$("#gview_"+$.jgrid.jqID($t.p.id)).append($t.grid.fbDiv);
						$($t.grid.bDiv).scroll(function () {
							$($t.grid.fbDiv).scrollTop($(this).scrollTop());
						});
						if($t.p.hoverrows === true) {
							$("#"+$.jgrid.jqID($t.p.id)).unbind('mouseover').unbind('mouseout');
						}
						$($t).on('jqGridAfterGridComplete.setFrozenColumns', function () {
							$("#"+$.jgrid.jqID($t.p.id)+"_frozen").remove();
							$($t.grid.fbDiv).css("height", (parseInt($($t.grid.bDiv).css("height"))-16)+"px");
							var btbl = $("#"+$.jgrid.jqID($t.p.id)).clone(true);
							$("tr",btbl).each(function(){
								$("td:gt("+maxfrozen+")",this).remove();
							});

							$(btbl).css("width",1+"px").attr("id",$t.p.id+"_frozen");
							$($t.grid.fbDiv).append(btbl);
							if($t.p.hoverrows === true) {
								$("tr.jqgrow", btbl).hover(
									function(){ $(this).addClass("ui-state-hover"); $("#"+$.jgrid.jqID(this.id), "#"+$.jgrid.jqID($t.p.id)).addClass("ui-state-hover"); },
									function(){ $(this).removeClass("ui-state-hover"); $("#"+$.jgrid.jqID(this.id), "#"+$.jgrid.jqID($t.p.id)).removeClass("ui-state-hover"); }
								);
								$("tr.jqgrow", "#"+$.jgrid.jqID($t.p.id)).hover(
									function(){ $(this).addClass("ui-state-hover"); $("#"+$.jgrid.jqID(this.id), "#"+$.jgrid.jqID($t.p.id)+"_frozen").addClass("ui-state-hover");},
									function(){ $(this).removeClass("ui-state-hover"); $("#"+$.jgrid.jqID(this.id), "#"+$.jgrid.jqID($t.p.id)+"_frozen").removeClass("ui-state-hover"); }
								);
							}
							btbl=null;
						});
						$t.p.frozenColumns = true;
					}
				});
			},
			destroyFrozenColumns :  function() {
				return this.each(function() {
					if ( !this.grid ) {return;}
					if(this.p.frozenColumns === true) {
						var $t = this;
						$($t.grid.fhDiv).remove();
						$($t.grid.fbDiv).remove();
						$t.grid.fhDiv = null; $t.grid.fbDiv=null;
						$(this).unbind('.setFrozenColumns');
						if($t.p.hoverrows === true) {
							var ptr;
							$("#"+$.jgrid.jqID($t.p.id)).on('mouseover',function(e) {
								ptr = $(e.target).closest("tr.jqgrow");
								if($(ptr).attr("class") !== "ui-subgrid") {
									$(ptr).addClass("ui-state-hover");
								}
							}).on('mouseout',function(e) {
								ptr = $(e.target).closest("tr.jqgrow");
								$(ptr).removeClass("ui-state-hover");
							});
						}
						this.p.frozenColumns = false;
					}
				});
			}
		});
	})(jQuery);
	/*
 * jqModal - Minimalist Modaling with jQuery
 *   (http://dev.iceburg.net/jquery/jqmodal/)
 *
 * Copyright (c) 2007,2008 Brice Burgess <bhb@iceburg.net>
 * Dual licensed under the MIT and GPL licenses:
 *   http://www.opensource.org/licenses/mit-license.php
 *   http://www.gnu.org/licenses/gpl.html
 *
 * $Version: 07/06/2008 +r13
 */
	(function($) {
		$.fn.jqm=function(o){
			var p={
				overlay: 50,
				closeoverlay : true,
				overlayClass: 'jqmOverlay',
				closeClass: 'jqmClose',
				trigger: '.jqModal',
				ajax: F,
				ajaxText: '',
				target: F,
				modal: F,
				toTop: F,
				onShow: F,
				onHide: F,
				onLoad: F
			};
			return this.each(function(){if(this._jqm)return H[this._jqm].c=$.extend({},H[this._jqm].c,o);s++;this._jqm=s;
				H[s]={c:$.extend(p,$.jqm.params,o),a:F,w:$(this).addClass('jqmID'+s),s:s};
				if(p.trigger)$(this).jqmAddTrigger(p.trigger);
			});};

		$.fn.jqmAddClose=function(e){return hs(this,e,'jqmHide');};
		$.fn.jqmAddTrigger=function(e){return hs(this,e,'jqmShow');};
		$.fn.jqmShow=function(t){return this.each(function(){$.jqm.open(this._jqm,t);});};
		$.fn.jqmHide=function(t){return this.each(function(){$.jqm.close(this._jqm,t)});};

		$.jqm = {
			hash:{},
			open:function(s,t){var h=H[s],c=h.c,cc='.'+c.closeClass,z=(parseInt(h.w.css('z-index')));z=(z>0)?z:3000;var o=$('<div></div>').css({height:'100%',width:'100%',position:'fixed',left:0,top:0,'z-index':z-1,opacity:c.overlay/100});if(h.a)return F;h.t=t;h.a=true;h.w.css('z-index',z);
				if(c.modal) {if(!A[0])setTimeout(function(){L('bind');},1);A.push(s);}
				else if(c.overlay > 0) {if(c.closeoverlay) h.w.jqmAddClose(o);}
				else o=F;

				h.o=(o)?o.addClass(c.overlayClass).prependTo('body'):F;
				if(ie6){try{$('html,body').css({height:'100%',width:'100%'});if(o){o=o.css({position:'absolute'})[0];for(var y in {Top:1,Left:1})o.style.setExpression(y.toLowerCase(),"(_=(document.documentElement.scroll"+y+" || document.body.scroll"+y+"))+'px'");}}catch(__){}}

				if(c.ajax) {var r=c.target||h.w,u=c.ajax;r=(typeof r == 'string')?$(r,h.w):$(r);u=(u.substr(0,1) == '@')?$(t).attr(u.substring(1)):u;
					r.html(c.ajaxText).on("load",u,function(){if(c.onLoad)c.onLoad.call(this,h);if(cc)h.w.jqmAddClose($(cc,h.w));e(h);});}
				else if(cc)h.w.jqmAddClose($(cc,h.w));

				if(c.toTop&&h.o)h.w.before('<span id="jqmP'+h.w[0]._jqm+'"></span>').insertAfter(h.o);
				(c.onShow)?c.onShow(h):h.w.show();e(h);return F;
			},
			close:function(s){var h=H[s];if(!h.a)return F;h.a=F;
				if(A[0]){A.pop();if(!A[0])L('unbind');}
				if(h.c.toTop&&h.o)$('#jqmP'+h.w[0]._jqm).after(h.w).remove();
				if(h.c.onHide)h.c.onHide(h);else{h.w.hide();if(h.o)h.o.remove();} return F;
			},
			params:{}};
		var s=0,H=$.jqm.hash,A=[],ie6=$.browser.msie&&($.browser.version == "6.0"),F=false,
			e=function(h){var i=$('<iframe src="javascript:false;document.write(\'\');" class="jqm"></iframe>').css({opacity:0});if(ie6)if(h.o)h.o.html('<p style="width:100%;height:100%"/>').prepend(i);else if(!$('iframe.jqm',h.w)[0])h.w.prepend(i); f(h);},
			f=function(h){try{$(':input:visible',h.w)[0].focus();}catch(_){}},
			L=function(t){$(document)[t]("keypress",m)[t]("keydown",m)[t]("mousedown",m);},
			m=function(e){var h=H[A[A.length-1]],r=(!$(e.target).parents('.jqmID'+h.s)[0]);if(r)f(h);return !r;},
			hs=function(w,t,c){return w.each(function(){var s=this._jqm;$(t).each(function() {
				if(!this[c]){this[c]=[];$(this).click(function(){for(var i in {jqmShow:1,jqmHide:1})for(var s in this[i])if(H[this[i][s]])H[this[i][s]].w[i](this);return F;});}this[c].push(s);});});};
	})(jQuery);/*
 * jqDnR - Minimalistic Drag'n'Resize for jQuery.
 *
 * Copyright (c) 2007 Brice Burgess <bhb@iceburg.net>, http://www.iceburg.net
 * Licensed under the MIT License:
 * http://www.opensource.org/licenses/mit-license.php
 *
 * $Version: 2007.08.19 +r2
 */

	(function($){
		$.fn.jqDrag=function(h){return i(this,h,'d');};
		$.fn.jqResize=function(h,ar){return i(this,h,'r',ar);};
		$.jqDnR={
			dnr:{},
			e:0,
			drag:function(v){
				if(M.k == 'd'){E.css({left:M.X+v.pageX-M.pX,top:M.Y+v.pageY-M.pY});}
				else {
					E.css({width:Math.max(v.pageX-M.pX+M.W,0),height:Math.max(v.pageY-M.pY+M.H,0)});
					if(M1){E1.css({width:Math.max(v.pageX-M1.pX+M1.W,0),height:Math.max(v.pageY-M1.pY+M1.H,0)});}
				}
				return false;
			},
			stop:function(){
				//E.css('opacity',M.o);
				$(document).unbind('mousemove',J.drag).unbind('mouseup',J.stop);
			}
		};
		var J=$.jqDnR,M=J.dnr,E=J.e,E1,M1,
			i=function(e,h,k,aR){
				return e.each(function(){
					h=(h)?$(h,e):e;
					h.on('mousedown',{e:e,k:k},function(v){
						var d=v.data,p={};E=d.e;E1 = aR ? $(aR) : false;
						// attempt utilization of dimensions plugin to fix IE issues
						if(E.css('position') != 'relative'){try{E.position(p);}catch(e){}}
						M={
							X:p.left||f('left')||0,
							Y:p.top||f('top')||0,
							W:f('width')||E[0].scrollWidth||0,
							H:f('height')||E[0].scrollHeight||0,
							pX:v.pageX,
							pY:v.pageY,
							k:d.k
							//o:E.css('opacity')
						};
						// also resize
						if(E1 && d.k != 'd'){
							M1={
								X:p.left||f1('left')||0,
								Y:p.top||f1('top')||0,
								W:E1[0].offsetWidth||f1('width')||0,
								H:E1[0].offsetHeight||f1('height')||0,
								pX:v.pageX,
								pY:v.pageY,
								k:d.k
							};
						} else {M1 = false;}
						//E.css({opacity:0.8});
						if($("input.hasDatepicker",E[0])[0]) {
							try {$("input.hasDatepicker",E[0]).datepicker('hide');}catch (dpe){}
						}
						$(document).mousemove($.jqDnR.drag).mouseup($.jqDnR.stop);
						return false;
					});
				});
			},
			f=function(k){return parseInt(E.css(k),10)||false;},
			f1=function(k){return parseInt(E1.css(k),10)||false;};
	})(jQuery);/*
	The below work is licensed under Creative Commons GNU LGPL License.

	Original work:

	License:     http://creativecommons.org/licenses/LGPL/2.1/
	Author:      Stefan Goessner/2006
	Web:         http://goessner.net/

	Modifications made:

	Version:     0.9-p5
	Description: Restructured code, JSLint validated (no strict whitespaces),
	             added handling of empty arrays, empty strings, and int/floats values.
	Author:      Michael Schøler/2008-01-29
	Web:         http://michael.hinnerup.net/blog/2008/01/26/converting-json-to-xml-and-xml-to-json/

	Description: json2xml added support to convert functions as CDATA
	             so it will be easy to write characters that cause some problems when convert
	Author:      Tony Tomov
*/

	/*global alert */
	var xmlJsonClass = {
		// Param "xml": Element or document DOM node.
		// Param "tab": Tab or indent string for pretty output formatting omit or use empty string "" to supress.
		// Returns:     JSON string
		xml2json: function(xml, tab) {
			if (xml.nodeType === 9) {
				// document node
				xml = xml.documentElement;
			}
			var nws = this.removeWhite(xml);
			var obj = this.toObj(nws);
			var json = this.toJson(obj, xml.nodeName, "\t");
			return "{\n" + tab + (tab ? json.replace(/\t/g, tab) : json.replace(/\t|\n/g, "")) + "\n}";
		},

		// Param "o":   JavaScript object
		// Param "tab": tab or indent string for pretty output formatting omit or use empty string "" to supress.
		// Returns:     XML string
		json2xml: function(o, tab) {
			var toXml = function(v, name, ind) {
				var xml = "";
				var i, n;
				if (v instanceof Array) {
					if (v.length === 0) {
						xml += ind + "<"+name+">__EMPTY_ARRAY_</"+name+">\n";
					}
					else {
						for (i = 0, n = v.length; i < n; i += 1) {
							var sXml = ind + toXml(v[i], name, ind+"\t") + "\n";
							xml += sXml;
						}
					}
				}
				else if (typeof(v) === "object") {
					var hasChild = false;
					xml += ind + "<" + name;
					var m;
					for (m in v) if (v.hasOwnProperty(m)) {
						if (m.charAt(0) === "@") {
							xml += " " + m.substr(1) + "=\"" + v[m].toString() + "\"";
						}
						else {
							hasChild = true;
						}
					}
					xml += hasChild ? ">" : "/>";
					if (hasChild) {
						for (m in v) if (v.hasOwnProperty(m)) {
							if (m === "#text") {
								xml += v[m];
							}
							else if (m === "#cdata") {
								xml += "<![CDATA[" + v[m] + "]]>";
							}
							else if (m.charAt(0) !== "@") {
								xml += toXml(v[m], m, ind+"\t");
							}
						}
						xml += (xml.charAt(xml.length - 1) === "\n" ? ind : "") + "</" + name + ">";
					}
				}
				else if (typeof(v) === "function") {
					xml += ind + "<" + name + ">" + "<![CDATA[" + v + "]]>" + "</" + name + ">";
				}
				else {
					if (v === undefined ) { v = ""; }
					if (v.toString() === "\"\"" || v.toString().length === 0) {
						xml += ind + "<" + name + ">__EMPTY_STRING_</" + name + ">";
					}
					else {
						xml += ind + "<" + name + ">" + v.toString() + "</" + name + ">";
					}
				}
				return xml;
			};
			var xml = "";
			var m;
			for (m in o) if (o.hasOwnProperty(m)) {
				xml += toXml(o[m], m, "");
			}
			return tab ? xml.replace(/\t/g, tab) : xml.replace(/\t|\n/g, "");
		},
		// Internal methods
		toObj: function(xml) {
			var o = {};
			var FuncTest = /function/i;
			if (xml.nodeType === 1) {
				// element node ..
				if (xml.attributes.length) {
					// element with attributes ..
					var i;
					for (i = 0; i < xml.attributes.length; i += 1) {
						o["@" + xml.attributes[i].nodeName] = (xml.attributes[i].nodeValue || "").toString();
					}
				}
				if (xml.firstChild) {
					// element has child nodes ..
					var textChild = 0, cdataChild = 0, hasElementChild = false;
					var n;
					for (n = xml.firstChild; n; n = n.nextSibling) {
						if (n.nodeType === 1) {
							hasElementChild = true;
						}
						else if (n.nodeType === 3 && n.nodeValue.match(/[^ \f\n\r\t\v]/)) {
							// non-whitespace text
							textChild += 1;
						}
						else if (n.nodeType === 4) {
							// cdata section node
							cdataChild += 1;
						}
					}
					if (hasElementChild) {
						if (textChild < 2 && cdataChild < 2) {
							// structured element with evtl. a single text or/and cdata node ..
							this.removeWhite(xml);
							for (n = xml.firstChild; n; n = n.nextSibling) {
								if (n.nodeType === 3) {
									// text node
									o["#text"] = this.escape(n.nodeValue);
								}
								else if (n.nodeType === 4) {
									// cdata node
									if (FuncTest.test(n.nodeValue)) {
										o[n.nodeName] = [o[n.nodeName], n.nodeValue];
									} else {
										o["#cdata"] = this.escape(n.nodeValue);
									}
								}
								else if (o[n.nodeName]) {
									// multiple occurence of element ..
									if (o[n.nodeName] instanceof Array) {
										o[n.nodeName][o[n.nodeName].length] = this.toObj(n);
									}
									else {
										o[n.nodeName] = [o[n.nodeName], this.toObj(n)];
									}
								}
								else {
									// first occurence of element ..
									o[n.nodeName] = this.toObj(n);
								}
							}
						}
						else {
							// mixed content
							if (!xml.attributes.length) {
								o = this.escape(this.innerXml(xml));
							}
							else {
								o["#text"] = this.escape(this.innerXml(xml));
							}
						}
					}
					else if (textChild) {
						// pure text
						if (!xml.attributes.length) {
							o = this.escape(this.innerXml(xml));
							if (o === "__EMPTY_ARRAY_") {
								o = "[]";
							} else if (o === "__EMPTY_STRING_") {
								o = "";
							}
						}
						else {
							o["#text"] = this.escape(this.innerXml(xml));
						}
					}
					else if (cdataChild) {
						// cdata
						if (cdataChild > 1) {
							o = this.escape(this.innerXml(xml));
						}
						else {
							for (n = xml.firstChild; n; n = n.nextSibling) {
								if(FuncTest.test(xml.firstChild.nodeValue)) {
									o = xml.firstChild.nodeValue;
									break;
								} else {
									o["#cdata"] = this.escape(n.nodeValue);
								}
							}
						}
					}
				}
				if (!xml.attributes.length && !xml.firstChild) {
					o = null;
				}
			}
			else if (xml.nodeType === 9) {
				// document.node
				o = this.toObj(xml.documentElement);
			}
			else {
				alert("unhandled node type: " + xml.nodeType);
			}
			return o;
		},
		toJson: function(o, name, ind, wellform) {
			if(wellform === undefined) wellform = true;
			var json = name ? ("\"" + name + "\"") : "", tab = "\t", newline = "\n";
			if(!wellform) {
				tab= ""; newline= "";
			}

			if (o === "[]") {
				json += (name ? ":[]" : "[]");
			}
			else if (o instanceof Array) {
				var n, i, ar=[];
				for (i = 0, n = o.length; i < n; i += 1) {
					ar[i] = this.toJson(o[i], "", ind + tab, wellform);
				}
				json += (name ? ":[" : "[") + (ar.length > 1 ? (newline + ind + tab + ar.join(","+newline + ind + tab) + newline + ind) : ar.join("")) + "]";
			}
			else if (o === null) {
				json += (name && ":") + "null";
			}
			else if (typeof(o) === "object") {
				var arr = [], m;
				for (m in o) {
					if (o.hasOwnProperty(m)) {
						arr[arr.length] = this.toJson(o[m], m, ind + tab, wellform);
					}
				}
				json += (name ? ":{" : "{") + (arr.length > 1 ? (newline + ind + tab + arr.join(","+newline + ind + tab) + newline + ind) : arr.join("")) + "}";
			}
			else if (typeof(o) === "string") {
				/*
			var objRegExp  = /(^-?\d+\.?\d*$)/;
			var FuncTest = /function/i;
			var os = o.toString();
			if (objRegExp.test(os) || FuncTest.test(os) || os==="false" || os==="true") {
				// int or float
				json += (name && ":")  + "\"" +os + "\"";
			}
			else {
			*/
				json += (name && ":") + "\"" + o.replace(/\\/g,'\\\\').replace(/\"/g,'\\"') + "\"";
				//}
			}
			else {
				json += (name && ":") +  o.toString();
			}
			return json;
		},
		innerXml: function(node) {
			var s = "";
			if ("innerHTML" in node) {
				s = node.innerHTML;
			}
			else {
				var asXml = function(n) {
					var s = "", i;
					if (n.nodeType === 1) {
						s += "<" + n.nodeName;
						for (i = 0; i < n.attributes.length; i += 1) {
							s += " " + n.attributes[i].nodeName + "=\"" + (n.attributes[i].nodeValue || "").toString() + "\"";
						}
						if (n.firstChild) {
							s += ">";
							for (var c = n.firstChild; c; c = c.nextSibling) {
								s += asXml(c);
							}
							s += "</" + n.nodeName + ">";
						}
						else {
							s += "/>";
						}
					}
					else if (n.nodeType === 3) {
						s += n.nodeValue;
					}
					else if (n.nodeType === 4) {
						s += "<![CDATA[" + n.nodeValue + "]]>";
					}
					return s;
				};
				for (var c = node.firstChild; c; c = c.nextSibling) {
					s += asXml(c);
				}
			}
			return s;
		},
		escape: function(txt) {
			return txt.replace(/[\\]/g, "\\\\").replace(/[\"]/g, '\\"').replace(/[\n]/g, '\\n').replace(/[\r]/g, '\\r');
		},
		removeWhite: function(e) {
			e.normalize();
			var n;
			for (n = e.firstChild; n; ) {
				if (n.nodeType === 3) {
					// text node
					if (!n.nodeValue.match(/[^ \f\n\r\t\v]/)) {
						// pure whitespace text node
						var nxt = n.nextSibling;
						e.removeChild(n);
						n = nxt;
					}
					else {
						n = n.nextSibling;
					}
				}
				else if (n.nodeType === 1) {
					// element node
					this.removeWhite(n);
					n = n.nextSibling;
				}
				else {
					// any other node
					n = n.nextSibling;
				}
			}
			return e;
		}
	};/*
**
 * formatter for values but most of the values if for jqGrid
 * Some of this was inspired and based on how YUI does the table datagrid but in jQuery fashion
 * we are trying to keep it as light as possible
 * Joshua Burnett josh@9ci.com
 * http://www.greenbill.com
 *
 * Changes from Tony Tomov tony@trirand.com
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
 *
**/
	/*jshint eqeqeq:false */
	/*global jQuery */

	(function($) {
		"use strict";
		$.fmatter = {};
		//opts can be id:row id for the row, rowdata:the data for the row, colmodel:the column model for this column
		//example {id:1234,}
		$.extend($.fmatter,{
			isBoolean : function(o) {
				return typeof o === 'boolean';
			},
			isObject : function(o) {
				return (o && (typeof o === 'object' || $.isFunction(o))) || false;
			},
			isString : function(o) {
				return typeof o === 'string';
			},
			isNumber : function(o) {
				return typeof o === 'number' && isFinite(o);
			},
			isNull : function(o) {
				return o === null;
			},
			isUndefined : function(o) {
				return o === undefined;
			},
			isValue : function (o) {
				return (this.isObject(o) || this.isString(o) || this.isNumber(o) || this.isBoolean(o));
			},
			isEmpty : function(o) {
				if(!this.isString(o) && this.isValue(o)) {
					return false;
				}
				if (!this.isValue(o)){
					return true;
				}
				o = $.trim(o).replace(/\&nbsp\;/ig,'').replace(/\&#160\;/ig,'');
				return o==="";
			}
		});
		$.fn.fmatter = function(formatType, cellval, opts, rwd, act) {
			// build main options before element iteration
			var v=cellval;
			opts = $.extend({}, $.jgrid.formatter, opts);

			try {
				v = $.fn.fmatter[formatType].call(this, cellval, opts, rwd, act);
			} catch(fe){}
			return v;
		};
		$.fmatter.util = {
			// Taken from YAHOO utils
			NumberFormat : function(nData,opts) {
				if(!$.fmatter.isNumber(nData)) {
					nData *= 1;
				}
				if($.fmatter.isNumber(nData)) {
					var bNegative = (nData < 0);
					var sOutput = String(nData);
					var sDecimalSeparator = opts.decimalSeparator || ".";
					var nDotIndex;
					if($.fmatter.isNumber(opts.decimalPlaces)) {
						// Round to the correct decimal place
						var nDecimalPlaces = opts.decimalPlaces;
						var nDecimal = Math.pow(10, nDecimalPlaces);
						sOutput = String(Math.round(nData*nDecimal)/nDecimal);
						nDotIndex = sOutput.lastIndexOf(".");
						if(nDecimalPlaces > 0) {
							// Add the decimal separator
							if(nDotIndex < 0) {
								sOutput += sDecimalSeparator;
								nDotIndex = sOutput.length-1;
							}
							// Replace the "."
							else if(sDecimalSeparator !== "."){
								sOutput = sOutput.replace(".",sDecimalSeparator);
							}
							// Add missing zeros
							while((sOutput.length - 1 - nDotIndex) < nDecimalPlaces) {
								sOutput += "0";
							}
						}
					}
					if(opts.thousandsSeparator) {
						var sThousandsSeparator = opts.thousandsSeparator;
						nDotIndex = sOutput.lastIndexOf(sDecimalSeparator);
						nDotIndex = (nDotIndex > -1) ? nDotIndex : sOutput.length;
						var sNewOutput = sOutput.substring(nDotIndex);
						var nCount = -1, i;
						for (i=nDotIndex; i>0; i--) {
							nCount++;
							if ((nCount%3 === 0) && (i !== nDotIndex) && (!bNegative || (i > 1))) {
								sNewOutput = sThousandsSeparator + sNewOutput;
							}
							sNewOutput = sOutput.charAt(i-1) + sNewOutput;
						}
						sOutput = sNewOutput;
					}
					// Prepend prefix
					sOutput = (opts.prefix) ? opts.prefix + sOutput : sOutput;
					// Append suffix
					sOutput = (opts.suffix) ? sOutput + opts.suffix : sOutput;
					return sOutput;

				}
				return nData;
			},
			// Tony Tomov
			// PHP implementation. Sorry not all options are supported.
			// Feel free to add them if you want
			DateFormat : function (format, date, newformat, opts)  {
				var	token = /\\.|[dDjlNSwzWFmMntLoYyaABgGhHisueIOPTZcrU]/g,
					timezone = /\b(?:[PMCEA][SDP]T|(?:Pacific|Mountain|Central|Eastern|Atlantic) (?:Standard|Daylight|Prevailing) Time|(?:GMT|UTC)(?:[-+]\d{4})?)\b/g,
					timezoneClip = /[^-+\dA-Z]/g,
					msDateRegExp = new RegExp("^\/Date\\((([-+])?[0-9]+)(([-+])([0-9]{2})([0-9]{2}))?\\)\/$"),
					msMatch = ((typeof date === 'string') ? date.match(msDateRegExp): null),
					pad = function (value, length) {
						value = String(value);
						length = parseInt(length,10) || 2;
						while (value.length < length)  { value = '0' + value; }
						return value;
					},
					ts = {m : 1, d : 1, y : 1970, h : 0, i : 0, s : 0, u:0},
					timestamp=0, dM, k,hl,
					dateFormat=["i18n"];
				// Internationalization strings
				dateFormat.i18n = {
					dayNames: opts.dayNames,
					monthNames: opts.monthNames
				};
				if( opts.masks.hasOwnProperty(format) ) { format = opts.masks[format]; }
				if( !isNaN( date - 0 ) && String(format).toLowerCase() == "u") {
					//Unix timestamp
					timestamp = new Date( parseFloat(date)*1000 );
				} else if(date.constructor === Date) {
					timestamp = date;
					// Microsoft date format support
				} else if( msMatch !== null ) {
					timestamp = new Date(parseInt(msMatch[1], 10));
					if (msMatch[3]) {
						var offset = Number(msMatch[5]) * 60 + Number(msMatch[6]);
						offset *= ((msMatch[4] == '-') ? 1 : -1);
						offset -= timestamp.getTimezoneOffset();
						timestamp.setTime(Number(Number(timestamp) + (offset * 60 * 1000)));
					}
				} else {
					date = String(date).split(/[\\\/:_;.,\t\T\s-]/);
					format = format.split(/[\\\/:_;.,\t\T\s-]/);
					// parsing for month names
					for(k=0,hl=format.length;k<hl;k++){
						if(format[k] == 'M') {
							dM = $.inArray(date[k],dateFormat.i18n.monthNames);
							if(dM !== -1 && dM < 12){date[k] = dM+1;}
						}
						if(format[k] == 'F') {
							dM = $.inArray(date[k],dateFormat.i18n.monthNames);
							if(dM !== -1 && dM > 11){date[k] = dM+1-12;}
						}
						if(date[k]) {
							ts[format[k].toLowerCase()] = parseInt(date[k],10);
						}
					}
					if(ts.f) {ts.m = ts.f;}
					if( ts.m === 0 && ts.y === 0 && ts.d === 0) {
						return "&#160;" ;
					}
					ts.m = parseInt(ts.m,10)-1;
					var ty = ts.y;
					if (ty >= 70 && ty <= 99) {ts.y = 1900+ts.y;}
					else if (ty >=0 && ty <=69) {ts.y= 2000+ts.y;}
					timestamp = new Date(ts.y, ts.m, ts.d, ts.h, ts.i, ts.s, ts.u);
				}

				if( opts.masks.hasOwnProperty(newformat) )  {
					newformat = opts.masks[newformat];
				} else if ( !newformat ) {
					newformat = 'Y-m-d';
				}
				var
					G = timestamp.getHours(),
					i = timestamp.getMinutes(),
					j = timestamp.getDate(),
					n = timestamp.getMonth() + 1,
					o = timestamp.getTimezoneOffset(),
					s = timestamp.getSeconds(),
					u = timestamp.getMilliseconds(),
					w = timestamp.getDay(),
					Y = timestamp.getFullYear(),
					N = (w + 6) % 7 + 1,
					z = (new Date(Y, n - 1, j) - new Date(Y, 0, 1)) / 86400000,
					flags = {
						// Day
						d: pad(j),
						D: dateFormat.i18n.dayNames[w],
						j: j,
						l: dateFormat.i18n.dayNames[w + 7],
						N: N,
						S: opts.S(j),
						//j < 11 || j > 13 ? ['st', 'nd', 'rd', 'th'][Math.min((j - 1) % 10, 3)] : 'th',
						w: w,
						z: z,
						// Week
						W: N < 5 ? Math.floor((z + N - 1) / 7) + 1 : Math.floor((z + N - 1) / 7) || ((new Date(Y - 1, 0, 1).getDay() + 6) % 7 < 4 ? 53 : 52),
						// Month
						F: dateFormat.i18n.monthNames[n - 1 + 12],
						m: pad(n),
						M: dateFormat.i18n.monthNames[n - 1],
						n: n,
						t: '?',
						// Year
						L: '?',
						o: '?',
						Y: Y,
						y: String(Y).substring(2),
						// Time
						a: G < 12 ? opts.AmPm[0] : opts.AmPm[1],
						A: G < 12 ? opts.AmPm[2] : opts.AmPm[3],
						B: '?',
						g: G % 12 || 12,
						G: G,
						h: pad(G % 12 || 12),
						H: pad(G),
						i: pad(i),
						s: pad(s),
						u: u,
						// Timezone
						e: '?',
						I: '?',
						O: (o > 0 ? "-" : "+") + pad(Math.floor(Math.abs(o) / 60) * 100 + Math.abs(o) % 60, 4),
						P: '?',
						T: (String(timestamp).match(timezone) || [""]).pop().replace(timezoneClip, ""),
						Z: '?',
						// Full Date/Time
						c: '?',
						r: '?',
						U: Math.floor(timestamp / 1000)
					};
				return newformat.replace(token, function ($0) {
					return flags.hasOwnProperty($0) ? flags[$0] : $0.substring(1);
				});
			}
		};
		$.fn.fmatter.defaultFormat = function(cellval, opts) {
			return ($.fmatter.isValue(cellval) && cellval!=="" ) ?  cellval : opts.defaultValue || "&#160;";
		};
		$.fn.fmatter.email = function(cellval, opts) {
			if(!$.fmatter.isEmpty(cellval)) {
				return "<a href=\"mailto:" + cellval + "\">" + cellval + "</a>";
			}
			return $.fn.fmatter.defaultFormat(cellval,opts );
		};
		$.fn.fmatter.checkbox =function(cval, opts) {
			var op = $.extend({},opts.checkbox), ds;
			if(opts.colModel !== undefined && !$.fmatter.isUndefined(opts.colModel.formatoptions)) {
				op = $.extend({},op,opts.colModel.formatoptions);
			}
			if(op.disabled===true) {ds = "disabled=\"disabled\"";} else {ds="";}
			if($.fmatter.isEmpty(cval) || $.fmatter.isUndefined(cval) ) {cval = $.fn.fmatter.defaultFormat(cval,op);}
			cval=String(cval);
			cval=cval.toLowerCase();
			var bchk = cval.search(/(false|0|no|n|off)/i)<0 ? " checked='checked' " : "";
			return "<input type=\"checkbox\" " + bchk  + " value=\""+ cval+"\" offval=\"no\" "+ds+ "/>";
		};
		$.fn.fmatter.link = function(cellval, opts) {
			var op = {target:opts.target};
			var target = "";
			if(opts.colModel !== undefined && !$.fmatter.isUndefined(opts.colModel.formatoptions)) {
				op = $.extend({},op,opts.colModel.formatoptions);
			}
			if(op.target) {target = 'target=' + op.target;}
			if(!$.fmatter.isEmpty(cellval)) {
				return "<a "+target+" href=\"" + cellval + "\">" + cellval + "</a>";
			}
			return $.fn.fmatter.defaultFormat(cellval,opts);
		};
		$.fn.fmatter.showlink = function(cellval, opts) {
			var op = {baseLinkUrl: opts.baseLinkUrl,showAction:opts.showAction, addParam: opts.addParam || "", target: opts.target, idName: opts.idName},
				target = "", idUrl;
			if(opts.colModel !== undefined && !$.fmatter.isUndefined(opts.colModel.formatoptions)) {
				op = $.extend({},op,opts.colModel.formatoptions);
			}
			if(op.target) {target = 'target=' + op.target;}
			idUrl = op.baseLinkUrl+op.showAction + '?'+ op.idName+'='+opts.rowId+op.addParam;
			if($.fmatter.isString(cellval) || $.fmatter.isNumber(cellval)) {	//add this one even if its blank string
				return "<a "+target+" href=\"" + idUrl + "\">" + cellval + "</a>";
			}
			return $.fn.fmatter.defaultFormat(cellval,opts);
		};
		$.fn.fmatter.integer = function(cellval, opts) {
			var op = $.extend({},opts.integer);
			if(opts.colModel !== undefined && !$.fmatter.isUndefined(opts.colModel.formatoptions)) {
				op = $.extend({},op,opts.colModel.formatoptions);
			}
			if($.fmatter.isEmpty(cellval)) {
				return op.defaultValue;
			}
			return $.fmatter.util.NumberFormat(cellval,op);
		};
		$.fn.fmatter.number = function (cellval, opts) {
			var op = $.extend({},opts.number);
			if(opts.colModel !== undefined && !$.fmatter.isUndefined(opts.colModel.formatoptions)) {
				op = $.extend({},op,opts.colModel.formatoptions);
			}
			if($.fmatter.isEmpty(cellval)) {
				return op.defaultValue;
			}
			return $.fmatter.util.NumberFormat(cellval,op);
		};
		$.fn.fmatter.currency = function (cellval, opts) {
			var op = $.extend({},opts.currency);
			if(opts.colModel !== undefined && !$.fmatter.isUndefined(opts.colModel.formatoptions)) {
				op = $.extend({},op,opts.colModel.formatoptions);
			}
			if($.fmatter.isEmpty(cellval)) {
				return op.defaultValue;
			}
			return $.fmatter.util.NumberFormat(cellval,op);
		};
		$.fn.fmatter.date = function (cellval, opts, rwd, act) {
			var op = $.extend({},opts.date);
			if(opts.colModel !== undefined && !$.fmatter.isUndefined(opts.colModel.formatoptions)) {
				op = $.extend({},op,opts.colModel.formatoptions);
			}
			if(!op.reformatAfterEdit && act=='edit'){
				return $.fn.fmatter.defaultFormat(cellval, opts);
			}
			if(!$.fmatter.isEmpty(cellval)) {
				return $.fmatter.util.DateFormat(op.srcformat,cellval,op.newformat,op);
			}
			return $.fn.fmatter.defaultFormat(cellval, opts);
		};
		$.fn.fmatter.select = function (cellval,opts) {
			// jqGrid specific
			cellval = String(cellval);
			var oSelect = false, ret=[], sep, delim;
			if(!$.fmatter.isUndefined(opts.colModel.formatoptions)){
				oSelect= opts.colModel.formatoptions.value;
				sep = opts.colModel.formatoptions.separator === undefined ? ":" : opts.colModel.formatoptions.separator;
				delim = opts.colModel.formatoptions.delimiter === undefined ? ";" : opts.colModel.formatoptions.delimiter;
			} else if(!$.fmatter.isUndefined(opts.colModel.editoptions)){
				oSelect= opts.colModel.editoptions.value;
				sep = opts.colModel.editoptions.separator === undefined ? ":" : opts.colModel.editoptions.separator;
				delim = opts.colModel.editoptions.delimiter === undefined ? ";" : opts.colModel.editoptions.delimiter;
			}
			if (oSelect) {
				var	msl =  opts.colModel.editoptions.multiple === true ? true : false,
					scell = [], sv;
				if(msl) {scell = cellval.split(",");scell = $.map(scell,function(n){return $.trim(n);});}
				if ($.fmatter.isString(oSelect)) {
					// mybe here we can use some caching with care ????
					var so = oSelect.split(delim), j=0, i;
					for(i=0; i<so.length;i++){
						sv = so[i].split(sep);
						if(sv.length > 2 ) {
							sv[1] = $.map(sv,function(n,i){if(i>0) {return n;}}).join(sep);
						}
						if(msl) {
							if($.inArray(sv[0],scell)>-1) {
								ret[j] = sv[1];
								j++;
							}
						} else if($.trim(sv[0])==$.trim(cellval)) {
							ret[0] = sv[1];
							break;
						}
					}
				} else if($.fmatter.isObject(oSelect)) {
					// this is quicker
					if(msl) {
						ret = $.map(scell, function(n){
							return oSelect[n];
						});
					} else {
						ret[0] = oSelect[cellval] || "";
					}
				}
			}
			cellval = ret.join(", ");
			return  cellval === "" ? $.fn.fmatter.defaultFormat(cellval,opts) : cellval;
		};
		$.fn.fmatter.rowactions = function(act) {
			var $tr = $(this).closest("tr.jqgrow"),
				$actionsDiv = $(this).parent(),
				rid = $tr.attr("id"),
				$grid = $(this).closest("table.ui-jqgrid-btable"),
				$t = $grid[0],
				p = $t.p,
				cm = p.colModel[$.jgrid.getCellIndex(this)],
				op = {
					keys: false,
					onEdit: null,
					onSuccess: null,
					afterSave: null,
					onError: null,
					afterRestore: null,
					extraparam: {},
					url: null,
					restoreAfterError: true,
					mtype: "POST",
					delOptions: {},
					editOptions: {}
				},
				saverow = function(rowid, res) {
					if($.isFunction(op.afterSave)) { op.afterSave.call($t, rowid, res); }
					$actionsDiv.find("div.ui-inline-edit,div.ui-inline-del").show();
					$actionsDiv.find("div.ui-inline-save,div.ui-inline-cancel").hide();
				},
				restorerow = function(rowid) {
					if($.isFunction(op.afterRestore)) { op.afterRestore.call($t, rowid); }
					$actionsDiv.find("div.ui-inline-edit,div.ui-inline-del").show();
					$actionsDiv.find("div.ui-inline-save,div.ui-inline-cancel").hide();
				};

			if (!$.fmatter.isUndefined(cm.formatoptions)) {
				op = $.extend(op,cm.formatoptions);
			}
			if (!$.fmatter.isUndefined(p.editOptions)) {
				op.editOptions = p.editOptions;
			}
			if (!$.fmatter.isUndefined(p.delOptions)) {
				op.delOptions = p.delOptions;
			}
			if ($tr.hasClass("jqgrid-new-row")){
				op.extraparam[p.prmNames.oper] = p.prmNames.addoper;
			}
			var actop = {
				keys: op.keys,
				oneditfunc: op.onEdit,
				successfunc: op.onSuccess,
				url: op.url,
				extraparam: op.extraparam,
				aftersavefunc: saverow,
				errorfunc: op.onError,
				afterrestorefunc: restorerow,
				restoreAfterError: op.restoreAfterError,
				mtype: op.mtype
			};
			switch(act)
			{
				case 'edit':
					$grid.jqGrid('editRow', rid, actop);
					$actionsDiv.find("div.ui-inline-edit,div.ui-inline-del").hide();
					$actionsDiv.find("div.ui-inline-save,div.ui-inline-cancel").show();
					$grid.triggerHandler("jqGridAfterGridComplete");
					break;
				case 'save':
					if ($grid.jqGrid('saveRow', rid, actop)) {
						$actionsDiv.find("div.ui-inline-edit,div.ui-inline-del").show();
						$actionsDiv.find("div.ui-inline-save,div.ui-inline-cancel").hide();
						$grid.triggerHandler("jqGridAfterGridComplete");
					}
					break;
				case 'cancel' :
					$grid.jqGrid('restoreRow', rid, restorerow);
					$actionsDiv.find("div.ui-inline-edit,div.ui-inline-del").show();
					$actionsDiv.find("div.ui-inline-save,div.ui-inline-cancel").hide();
					$grid.triggerHandler("jqGridAfterGridComplete");
					break;
				case 'del':
					$grid.jqGrid('delGridRow', rid, op.delOptions);
					break;
				case 'formedit':
					$grid.jqGrid('setSelection', rid);
					$grid.jqGrid('editGridRow', rid, op.editOptions);
					break;
			}
		};
		$.fn.fmatter.actions = function(cellval,opts) {
			var op={keys:false, editbutton:true, delbutton:true, editformbutton: false},
				rowid=opts.rowId, str="",ocl;
			if(!$.fmatter.isUndefined(opts.colModel.formatoptions)) {
				op = $.extend(op,opts.colModel.formatoptions);
			}
			if(rowid === undefined || $.fmatter.isEmpty(rowid)) {return "";}
			if(op.editformbutton){
				ocl = "onclick=jQuery.fn.fmatter.rowactions.call(this,'formedit'); onmouseover=jQuery(this).addClass('ui-state-hover'); onmouseout=jQuery(this).removeClass('ui-state-hover'); ";
				str += "<div title='"+$.jgrid.nav.edittitle+"' style='float:left;cursor:pointer;' class='ui-pg-div ui-inline-edit' "+ocl+"><span class='ui-icon ui-icon-pencil'></span></div>";
			} else if(op.editbutton){
				ocl = "onclick=jQuery.fn.fmatter.rowactions.call(this,'edit'); onmouseover=jQuery(this).addClass('ui-state-hover'); onmouseout=jQuery(this).removeClass('ui-state-hover') ";
				str += "<div title='"+$.jgrid.nav.edittitle+"' style='float:left;cursor:pointer;' class='ui-pg-div ui-inline-edit' "+ocl+"><span class='ui-icon ui-icon-pencil'></span></div>";
			}
			if(op.delbutton) {
				ocl = "onclick=jQuery.fn.fmatter.rowactions.call(this,'del'); onmouseover=jQuery(this).addClass('ui-state-hover'); onmouseout=jQuery(this).removeClass('ui-state-hover'); ";
				str += "<div title='"+$.jgrid.nav.deltitle+"' style='float:left;margin-left:5px;' class='ui-pg-div ui-inline-del' "+ocl+"><span class='ui-icon ui-icon-trash'></span></div>";
			}
			ocl = "onclick=jQuery.fn.fmatter.rowactions.call(this,'save'); onmouseover=jQuery(this).addClass('ui-state-hover'); onmouseout=jQuery(this).removeClass('ui-state-hover'); ";
			str += "<div title='"+$.jgrid.edit.bSubmit+"' style='float:left;display:none' class='ui-pg-div ui-inline-save' "+ocl+"><span class='ui-icon ui-icon-disk'></span></div>";
			ocl = "onclick=jQuery.fn.fmatter.rowactions.call(this,'cancel'); onmouseover=jQuery(this).addClass('ui-state-hover'); onmouseout=jQuery(this).removeClass('ui-state-hover'); ";
			str += "<div title='"+$.jgrid.edit.bCancel+"' style='float:left;display:none;margin-left:5px;' class='ui-pg-div ui-inline-cancel' "+ocl+"><span class='ui-icon ui-icon-cancel'></span></div>";
			return "<div style='margin-left:8px;'>" + str + "</div>";
		};
		$.unformat = function (cellval,options,pos,cnt) {
			// specific for jqGrid only
			var ret, formatType = options.colModel.formatter,
				op =options.colModel.formatoptions || {}, sep,
				re = /([\.\*\_\'\(\)\{\}\+\?\\])/g,
				unformatFunc = options.colModel.unformat||($.fn.fmatter[formatType] && $.fn.fmatter[formatType].unformat);
			if(unformatFunc !== undefined && $.isFunction(unformatFunc) ) {
				ret = unformatFunc.call(this, $(cellval).text(), options, cellval);
			} else if(!$.fmatter.isUndefined(formatType) && $.fmatter.isString(formatType) ) {
				var opts = $.jgrid.formatter || {}, stripTag;
				switch(formatType) {
					case 'integer' :
						op = $.extend({},opts.integer,op);
						sep = op.thousandsSeparator.replace(re,"\\$1");
						stripTag = new RegExp(sep, "g");
						ret = $(cellval).text().replace(stripTag,'');
						break;
					case 'number' :
						op = $.extend({},opts.number,op);
						sep = op.thousandsSeparator.replace(re,"\\$1");
						stripTag = new RegExp(sep, "g");
						ret = $(cellval).text().replace(stripTag,"").replace(op.decimalSeparator,'.');
						break;
					case 'currency':
						op = $.extend({},opts.currency,op);
						sep = op.thousandsSeparator.replace(re,"\\$1");
						stripTag = new RegExp(sep, "g");
						ret = $(cellval).text();
						if (op.prefix && op.prefix.length) {
							ret = ret.substr(op.prefix.length);
						}
						if (op.suffix && op.suffix.length) {
							ret = ret.substr(0, ret.length - op.suffix.length);
						}
						ret = ret.replace(stripTag,'').replace(op.decimalSeparator,'.');
						break;
					case 'checkbox':
						var cbv = (options.colModel.editoptions) ? options.colModel.editoptions.value.split(":") : ["Yes","No"];
						ret = $('input',cellval).is(":checked") ? cbv[0] : cbv[1];
						break;
					case 'select' :
						ret = $.unformat.select(cellval,options,pos,cnt);
						break;
					case 'actions':
						return "";
					default:
						ret= $(cellval).text();
				}
			}
			return ret !== undefined ? ret : cnt===true ? $(cellval).text() : $.jgrid.htmlDecode($(cellval).html());
		};
		$.unformat.select = function (cellval,options,pos,cnt) {
			// Spacial case when we have local data and perform a sort
			// cnt is set to true only in sortDataArray
			var ret = [];
			var cell = $(cellval).text();
			if(cnt===true) {return cell;}
			var op = $.extend({}, !$.fmatter.isUndefined(options.colModel.formatoptions) ? options.colModel.formatoptions: options.colModel.editoptions),
				sep = op.separator === undefined ? ":" : op.separator,
				delim = op.delimiter === undefined ? ";" : op.delimiter;

			if(op.value){
				var oSelect = op.value,
					msl =  op.multiple === true ? true : false,
					scell = [], sv;
				if(msl) {scell = cell.split(",");scell = $.map(scell,function(n){return $.trim(n);});}
				if ($.fmatter.isString(oSelect)) {
					var so = oSelect.split(delim), j=0, i;
					for(i=0; i<so.length;i++){
						sv = so[i].split(sep);
						if(sv.length > 2 ) {
							sv[1] = $.map(sv,function(n,i){if(i>0) {return n;}}).join(sep);
						}
						if(msl) {
							if($.inArray(sv[1],scell)>-1) {
								ret[j] = sv[0];
								j++;
							}
						} else if($.trim(sv[1])==$.trim(cell)) {
							ret[0] = sv[0];
							break;
						}
					}
				} else if($.fmatter.isObject(oSelect) || $.isArray(oSelect) ){
					if(!msl) {scell[0] =  cell;}
					ret = $.map(scell, function(n){
						var rv;
						$.each(oSelect, function(i,val){
							if (val == n) {
								rv = i;
								return false;
							}
						});
						if( rv !== undefined ) {return rv;}
					});
				}
				return ret.join(", ");
			}
			return cell || "";
		};
		$.unformat.date = function (cellval, opts) {
			var op = $.jgrid.formatter.date || {};
			if(!$.fmatter.isUndefined(opts.formatoptions)) {
				op = $.extend({},op,opts.formatoptions);
			}
			if(!$.fmatter.isEmpty(cellval)) {
				return $.fmatter.util.DateFormat(op.newformat,cellval,op.srcformat,op);
			}
			return $.fn.fmatter.defaultFormat(cellval, opts);
		};
	})(jQuery);
	/*jshint eqeqeq:false */
	/*global jQuery */
	(function($){
		/*
 * jqGrid common function
 * Tony Tomov tony@trirand.com
 * http://trirand.com/blog/
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
*/
		"use strict";
		$.extend($.jgrid,{
// Modal functions
			showModal : function(h) {
				h.w.show();
			},
			closeModal : function(h) {
				h.w.hide().attr("aria-hidden","true");
				if(h.o) {h.o.remove();}
			},
			hideModal : function (selector,o) {
				o = $.extend({jqm : true, gb :''}, o || {});
				if(o.onClose) {
					var oncret = o.gb && typeof o.gb === "string" && o.gb.substr(0,6) === "#gbox_" ? o.onClose.call($("#" + o.gb.substr(6))[0], selector) : o.onClose(selector);
					if (typeof oncret === 'boolean'  && !oncret ) { return; }
				}
				if ($.fn.jqm && o.jqm === true) {
					$(selector).attr("aria-hidden","true").jqmHide();
				} else {
					if(o.gb !== '') {
						try {$(".jqgrid-overlay:first",o.gb).hide();} catch (e){}
					}
					$(selector).hide().attr("aria-hidden","true");
				}
			},
//Helper functions
			findPos : function(obj) {
				var curleft = 0, curtop = 0;
				if (obj.offsetParent) {
					do {
						curleft += obj.offsetLeft;
						curtop += obj.offsetTop;
					} while (obj = obj.offsetParent);
					//do not change obj == obj.offsetParent
				}
				return [curleft,curtop];
			},
			createModal : function(aIDs, content, p, insertSelector, posSelector, appendsel, css) {
				p = $.extend(true, {}, $.jgrid.jqModal || {}, p);
				var mw  = document.createElement('div'), rtlsup, self = this;
				css = $.extend({}, css || {});
				rtlsup = $(p.gbox).attr("dir") == "rtl" ? true : false;
				mw.className= "ui-widget ui-widget-content ui-corner-all ui-jqdialog";
				mw.id = aIDs.themodal;
				var mh = document.createElement('div');
				mh.className = "ui-jqdialog-titlebar ui-widget-header ui-corner-all ui-helper-clearfix";
				mh.id = aIDs.modalhead;
				$(mh).append("<span class='ui-jqdialog-title'>"+p.caption+"</span>");
				var ahr= $("<a href='javascript:void(0)' class='ui-jqdialog-titlebar-close ui-corner-all'></a>")
					.hover(function(){ahr.addClass('ui-state-hover');},
						function(){ahr.removeClass('ui-state-hover');})
					.append("<span class='ui-icon ui-icon-closethick'></span>");
				$(mh).append(ahr);
				if(rtlsup) {
					mw.dir = "rtl";
					$(".ui-jqdialog-title",mh).css("float","right");
					$(".ui-jqdialog-titlebar-close",mh).css("left",0.3+"em");
				} else {
					mw.dir = "ltr";
					$(".ui-jqdialog-title",mh).css("float","left");
					$(".ui-jqdialog-titlebar-close",mh).css("right",0.3+"em");
				}
				var mc = document.createElement('div');
				$(mc).addClass("ui-jqdialog-content ui-widget-content").attr("id",aIDs.modalcontent);
				$(mc).append(content);
				mw.appendChild(mc);
				$(mw).prepend(mh);
				if(appendsel===true) { $('body').append(mw); } //append as first child in body -for alert dialog
				else if (typeof appendsel === "string") {
					$(appendsel).append(mw);
				} else {$(mw).insertBefore(insertSelector);}
				$(mw).css(css);
				if(p.jqModal === undefined) {p.jqModal = true;} // internal use
				var coord = {};
				if ( $.fn.jqm && p.jqModal === true) {
					if(p.left ===0 && p.top===0 && p.overlay) {
						var pos = [];
						pos = $.jgrid.findPos(posSelector);
						p.left = pos[0] + 4;
						p.top = pos[1] + 4;
					}
					coord.top = p.top+"px";
					coord.left = p.left;
				} else if(p.left !==0 || p.top!==0) {
					coord.left = p.left;
					coord.top = p.top+"px";
				}
				$("a.ui-jqdialog-titlebar-close",mh).click(function(){
					var oncm = $("#"+$.jgrid.jqID(aIDs.themodal)).data("onClose") || p.onClose;
					var gboxclose = $("#"+$.jgrid.jqID(aIDs.themodal)).data("gbox") || p.gbox;
					self.hideModal("#"+$.jgrid.jqID(aIDs.themodal),{gb:gboxclose,jqm:p.jqModal,onClose:oncm});
					return false;
				});
				if (p.width === 0 || !p.width) {p.width = 300;}
				if(p.height === 0 || !p.height) {p.height =200;}
				if(!p.zIndex) {
					var parentZ = $(insertSelector).parents("*[role=dialog]").filter(':first').css("z-index");
					if(parentZ) {
						p.zIndex = parseInt(parentZ,10)+2;
					} else {
						p.zIndex = 950;
					}
				}
				var rtlt = 0;
				if( rtlsup && coord.left && !appendsel) {
					rtlt = parseInt($(p.gbox).css("width"))- (!isNaN(p.width) ? parseInt(p.width,10) :0) - 8; // to do
					// just in case
					coord.left = parseInt(coord.left,10) + parseInt(rtlt,10);
				}
				if(coord.left) { coord.left += "px"; }
				$(mw).css($.extend({
					width: isNaN(p.width) ? "auto": p.width+"px",
					height:isNaN(p.height) ? "auto" : p.height + "px",
					zIndex:p.zIndex,
					overflow: 'hidden'
				},coord))
					.attr({tabIndex: "-1","role":"dialog","aria-labelledby":aIDs.modalhead,"aria-hidden":"true"});
				if(p.drag === undefined) { p.drag=true;}
				if(p.resize === undefined) {p.resize=true;}
				if (p.drag) {
					$(mh).css('cursor','move');
					if($.fn.jqDrag) {
						$(mw).jqDrag(mh);
					} else {
						try {
							$(mw).draggable({handle: $("#"+$.jgrid.jqID(mh.id))});
						} catch (e) {}
					}
				}
				if(p.resize) {
					if($.fn.jqResize) {
						$(mw).append("<div class='jqResize ui-resizable-handle ui-resizable-se ui-icon ui-icon-gripsmall-diagonal-se'></div>");
						$("#"+$.jgrid.jqID(aIDs.themodal)).jqResize(".jqResize",aIDs.scrollelm ? "#"+$.jgrid.jqID(aIDs.scrollelm) : false);
					} else {
						try {
							$(mw).resizable({handles: 'se, sw',alsoResize: aIDs.scrollelm ? "#"+$.jgrid.jqID(aIDs.scrollelm) : false});
						} catch (r) {}
					}
				}
				if(p.closeOnEscape === true){
					$(mw).keydown( function( e ) {
						if( e.which == 27 ) {
							var cone = $("#"+$.jgrid.jqID(aIDs.themodal)).data("onClose") || p.onClose;
							self.hideModal("#"+$.jgrid.jqID(aIDs.themodal),{gb:p.gbox,jqm:p.jqModal,onClose: cone});
						}
					});
				}
			},
			viewModal : function (selector,o){
				o = $.extend({
					toTop: true,
					overlay: 10,
					modal: false,
					overlayClass : 'ui-widget-overlay',
					onShow: $.jgrid.showModal,
					onHide: $.jgrid.closeModal,
					gbox: '',
					jqm : true,
					jqM : true
				}, o || {});
				if ($.fn.jqm && o.jqm === true) {
					if(o.jqM) { $(selector).attr("aria-hidden","false").jqm(o).jqmShow(); }
					else {$(selector).attr("aria-hidden","false").jqmShow();}
				} else {
					if(o.gbox !== '') {
						$(".jqgrid-overlay:first",o.gbox).show();
						$(selector).data("gbox",o.gbox);
					}
					$(selector).show().attr("aria-hidden","false");
					try{$(':input:visible',selector)[0].focus();}catch(_){}
				}
			},
			info_dialog : function(caption, content,c_b, modalopt) {
				var mopt = {
					width:290,
					height:'auto',
					dataheight: 'auto',
					drag: true,
					resize: false,
					left:250,
					top:170,
					zIndex : 1000,
					jqModal : true,
					modal : false,
					closeOnEscape : true,
					align: 'center',
					buttonalign : 'center',
					buttons : []
					// {text:'textbutt', id:"buttid", onClick : function(){...}}
					// if the id is not provided we set it like info_button_+ the index in the array - i.e info_button_0,info_button_1...
				};
				$.extend(true, mopt, $.jgrid.jqModal || {}, {caption:"<b>"+caption+"</b>"}, modalopt || {});
				var jm = mopt.jqModal, self = this;
				if($.fn.jqm && !jm) { jm = false; }
				// in case there is no jqModal
				var buttstr ="", i;
				if(mopt.buttons.length > 0) {
					for(i=0;i<mopt.buttons.length;i++) {
						if(mopt.buttons[i].id === undefined) { mopt.buttons[i].id = "info_button_"+i; }
						buttstr += "<a href='javascript:void(0)' id='"+mopt.buttons[i].id+"' class='fm-button ui-state-default ui-corner-all'>"+mopt.buttons[i].text+"</a>";
					}
				}
				var dh = isNaN(mopt.dataheight) ? mopt.dataheight : mopt.dataheight+"px",
					cn = "text-align:"+mopt.align+";";
				var cnt = "<div id='info_id'>";
				cnt += "<div id='infocnt' style='margin:0px;padding-bottom:1em;width:100%;overflow:auto;position:relative;height:"+dh+";"+cn+"'>"+content+"</div>";
				cnt += c_b ? "<div class='ui-widget-content ui-helper-clearfix' style='text-align:"+mopt.buttonalign+";padding-bottom:0.8em;padding-top:0.5em;background-image: none;border-width: 1px 0 0 0;'><a href='javascript:void(0)' id='closedialog' class='fm-button ui-state-default ui-corner-all'>"+c_b+"</a>"+buttstr+"</div>" :
					buttstr !== ""  ? "<div class='ui-widget-content ui-helper-clearfix' style='text-align:"+mopt.buttonalign+";padding-bottom:0.8em;padding-top:0.5em;background-image: none;border-width: 1px 0 0 0;'>"+buttstr+"</div>" : "";
				cnt += "</div>";

				try {
					if($("#info_dialog").attr("aria-hidden") == "false") {
						$.jgrid.hideModal("#info_dialog",{jqm:jm});
					}
					$("#info_dialog").remove();
				} catch (e){}
				$.jgrid.createModal({
						themodal:'info_dialog',
						modalhead:'info_head',
						modalcontent:'info_content',
						scrollelm: 'infocnt'},
					cnt,
					mopt,
					'','',true
				);
				// attach onclick after inserting into the dom
				if(buttstr) {
					$.each(mopt.buttons,function(i){
						$("#"+$.jgrid.jqID(this.id),"#info_id").on('click',function(){mopt.buttons[i].onClick.call($("#info_dialog")); return false;});
					});
				}
				$("#closedialog", "#info_id").click(function(){
					self.hideModal("#info_dialog",{jqm:jm});
					return false;
				});
				$(".fm-button","#info_dialog").hover(
					function(){$(this).addClass('ui-state-hover');},
					function(){$(this).removeClass('ui-state-hover');}
				);
				if($.isFunction(mopt.beforeOpen) ) { mopt.beforeOpen(); }
				$.jgrid.viewModal("#info_dialog",{
					onHide: function(h) {
						h.w.hide().remove();
						if(h.o) { h.o.remove(); }
					},
					modal :mopt.modal,
					jqm:jm
				});
				if($.isFunction(mopt.afterOpen) ) { mopt.afterOpen(); }
				try{ $("#info_dialog").focus();} catch (m){}
			},
			bindEv: function  (el, opt, $t) {
				if($.isFunction(opt.dataInit)) {
					opt.dataInit.call($t,el);
				}
				if(opt.dataEvents) {
					$.each(opt.dataEvents, function() {
						if (this.data !== undefined) {
							$(el).on(this.type, this.data, this.fn);
						} else {
							$(el).on(this.type, this.fn);
						}
					});
				}
			},
// Form Functions
			createEl : function(eltype,options,vl,autowidth, ajaxso) {
				var elem = "", $t = this;
				function setAttributes(elm, atr, exl ) {
					var exclude = ['dataInit','dataEvents','dataUrl', 'buildSelect','sopt', 'searchhidden', 'defaultValue', 'attr', 'custom_element', 'custom_value'];
					if(exl !== undefined && $.isArray(exl)) {
						$.merge(exclude, exl);
					}
					$.each(atr, function(key, value){
						if($.inArray(key, exclude) === -1) {
							$(elm).attr(key,value);
						}
					});
					if(!atr.hasOwnProperty('id')) {
						$(elm).attr('id', $.jgrid.randId());
					}
				}
				switch (eltype)
				{
					case "textarea" :
						elem = document.createElement("textarea");
						if(autowidth) {
							if(!options.cols) { $(elem).css({width:"98%"});}
						} else if (!options.cols) { options.cols = 20; }
						if(!options.rows) { options.rows = 2; }
						if(vl=='&nbsp;' || vl=='&#160;' || (vl.length==1 && vl.charCodeAt(0)==160)) {vl="";}
						elem.value = vl;
						setAttributes(elem, options);
						$(elem).attr({"role":"textbox","multiline":"true"});
						break;
					case "checkbox" : //what code for simple checkbox
						elem = document.createElement("input");
						elem.type = "checkbox";
						if( !options.value ) {
							var vl1 = vl.toLowerCase();
							if(vl1.search(/(false|0|no|off|undefined)/i)<0 && vl1!=="") {
								elem.checked=true;
								elem.defaultChecked=true;
								elem.value = vl;
							} else {
								elem.value = "on";
							}
							$(elem).attr("offval","off");
						} else {
							var cbval = options.value.split(":");
							if(vl === cbval[0]) {
								elem.checked=true;
								elem.defaultChecked=true;
							}
							elem.value = cbval[0];
							$(elem).attr("offval",cbval[1]);
						}
						setAttributes(elem, options, ['value']);
						$(elem).attr("role","checkbox");
						break;
					case "select" :
						elem = document.createElement("select");
						elem.setAttribute("role","select");
						var msl, ovm = [];
						if(options.multiple===true) {
							msl = true;
							elem.multiple="multiple";
							$(elem).attr("aria-multiselectable","true");
						} else { msl = false; }
						if(options.dataUrl !== undefined) {
							var rowid = options.name ? String(options.id).substring(0, String(options.id).length - String(options.name).length - 1) : String(options.id),
								postData = options.postData || ajaxso.postData;

							if ($t.p && $t.p.idPrefix) {
								rowid = $.jgrid.stripPref($t.p.idPrefix, rowid);
							} else {
								postData = undefined; // don't use postData for searching from jqFilter. One can implement the feature in the future if required.
							}
							$.ajax($.extend({
								url: options.dataUrl,
								type : "GET",
								dataType: "html",
								data: $.isFunction(postData) ? postData.call($t, rowid, vl, String(options.name)) : postData,
								context: {elem:elem, options:options, vl:vl},
								success: function(data){
									var a,	ovm = [], elem = this.elem, vl = this.vl,
										options = $.extend({},this.options),
										msl = options.multiple===true;
									if($.isFunction(options.buildSelect)) {
										var b = options.buildSelect.call($t,data);
										a = $(b).html();
									} else {
										a = $(data).html();
									}
									if(a) {
										$(elem).append(a);
										setAttributes(elem, options);
										if(options.size === undefined) { options.size =  msl ? 3 : 1;}
										if(msl) {
											ovm = vl.split(",");
											ovm = $.map(ovm,function(n){return $.trim(n);});
										} else {
											ovm[0] = $.trim(vl);
										}
										//$(elem).attr(options);
										setTimeout(function(){
											$("option",elem).each(function(i){
												//if(i===0) { this.selected = ""; }
												// fix IE8/IE7 problem with selecting of the first item on multiple=true
												if (i === 0 && elem.multiple) { this.selected = false; }
												$(this).attr("role","option");
												if($.inArray($.trim($(this).text()),ovm) > -1 || $.inArray($.trim($(this).val()),ovm) > -1 ) {
													this.selected= "selected";
												}
											});
										},0);
									}
								}
							},ajaxso || {}));
						} else if(options.value) {
							var i;
							if(options.size === undefined) {
								options.size = msl ? 3 : 1;
							}
							if(msl) {
								ovm = vl.split(",");
								ovm = $.map(ovm,function(n){return $.trim(n);});
							}
							if(typeof options.value === 'function') { options.value = options.value(); }
							var so,sv, ov,
								sep = options.separator === undefined ? ":" : options.separator,
								delim = options.delimiter === undefined ? ";" : options.delimiter;
							if(typeof options.value === 'string') {
								so = options.value.split(delim);
								for(i=0; i<so.length;i++){
									sv = so[i].split(sep);
									if(sv.length > 2 ) {
										sv[1] = $.map(sv,function(n,ii){if(ii>0) { return n;} }).join(sep);
									}
									ov = document.createElement("option");
									ov.setAttribute("role","option");
									ov.value = sv[0]; ov.innerHTML = sv[1];
									elem.appendChild(ov);
									if (!msl &&  ($.trim(sv[0]) == $.trim(vl) || $.trim(sv[1]) == $.trim(vl))) { ov.selected ="selected"; }
									if (msl && ($.inArray($.trim(sv[1]), ovm)>-1 || $.inArray($.trim(sv[0]), ovm)>-1)) {ov.selected ="selected";}
								}
							} else if (typeof options.value === 'object') {
								var oSv = options.value, key;
								for (key in oSv) {
									if (oSv.hasOwnProperty(key ) ){
										ov = document.createElement("option");
										ov.setAttribute("role","option");
										ov.value = key; ov.innerHTML = oSv[key];
										elem.appendChild(ov);
										if (!msl &&  ( $.trim(key) == $.trim(vl) || $.trim(oSv[key]) == $.trim(vl)) ) { ov.selected ="selected"; }
										if (msl && ($.inArray($.trim(oSv[key]),ovm)>-1 || $.inArray($.trim(key),ovm)>-1)) { ov.selected ="selected"; }
									}
								}
							}
							setAttributes(elem, options, ['value']);
						}
						break;
					case "text" :
					case "password" :
					case "button" :
						var role;
						if(eltype=="button") { role = "button"; }
						else { role = "textbox"; }
						elem = document.createElement("input");
						elem.type = eltype;
						elem.value = vl;
						setAttributes(elem, options);
						if(eltype != "button"){
							if(autowidth) {
								if(!options.size) { $(elem).css({width:"98%"}); }
							} else if (!options.size) { options.size = 20; }
						}
						$(elem).attr("role",role);
						break;
					case "image" :
					case "file" :
						elem = document.createElement("input");
						elem.type = eltype;
						setAttributes(elem, options);
						break;
					case "custom" :
						elem = document.createElement("span");
						try {
							if($.isFunction(options.custom_element)) {
								var celm = options.custom_element.call($t,vl,options);
								if(celm) {
									celm = $(celm).addClass("customelement").attr({id:options.id,name:options.name});
									$(elem).empty().append(celm);
								} else {
									throw "e2";
								}
							} else {
								throw "e1";
							}
						} catch (e) {
							if (e=="e1") { $.jgrid.info_dialog($.jgrid.errors.errcap,"function 'custom_element' "+$.jgrid.edit.msg.nodefined, $.jgrid.edit.bClose);}
							if (e=="e2") { $.jgrid.info_dialog($.jgrid.errors.errcap,"function 'custom_element' "+$.jgrid.edit.msg.novalue,$.jgrid.edit.bClose);}
							else { $.jgrid.info_dialog($.jgrid.errors.errcap,typeof e==="string"?e:e.message,$.jgrid.edit.bClose); }
						}
						break;
				}
				return elem;
			},
// Date Validation Javascript
			checkDate : function (format, date) {
				var daysInFebruary = function(year){
						// February has 29 days in any year evenly divisible by four,
						// EXCEPT for centurial years which are not also divisible by 400.
						return (((year % 4 === 0) && ( year % 100 !== 0 || (year % 400 === 0))) ? 29 : 28 );
					},
					daysArray = function(n) {
						var i;
						for (i = 1; i <= n; i++) {
							this[i] = 31;
							if (i==4 || i==6 || i==9 || i==11) {this[i] = 30;}
							if (i==2) {this[i] = 29;}
						}
						return this;
					};

				var tsp = {}, sep;
				format = format.toLowerCase();
				//we search for /,-,. for the date separator
				if(format.indexOf("/") != -1) {
					sep = "/";
				} else if(format.indexOf("-") != -1) {
					sep = "-";
				} else if(format.indexOf(".") != -1) {
					sep = ".";
				} else {
					sep = "/";
				}
				format = format.split(sep);
				date = date.split(sep);
				if (date.length != 3) { return false; }
				var j=-1,yln, dln=-1, mln=-1, i;
				for(i=0;i<format.length;i++){
					var dv =  isNaN(date[i]) ? 0 : parseInt(date[i],10);
					tsp[format[i]] = dv;
					yln = format[i];
					if(yln.indexOf("y") != -1) { j=i; }
					if(yln.indexOf("m") != -1) { mln=i; }
					if(yln.indexOf("d") != -1) { dln=i; }
				}
				if (format[j] == "y" || format[j] == "yyyy") {
					yln=4;
				} else if(format[j] =="yy"){
					yln = 2;
				} else {
					yln = -1;
				}
				var daysInMonth = daysArray(12),
					strDate;
				if (j === -1) {
					return false;
				}
				strDate = tsp[format[j]].toString();
				if(yln == 2 && strDate.length == 1) {yln = 1;}
				if (strDate.length != yln || (tsp[format[j]]===0 && date[j]!="00")){
					return false;
				}
				if(mln === -1) {
					return false;
				}
				strDate = tsp[format[mln]].toString();
				if (strDate.length<1 || tsp[format[mln]]<1 || tsp[format[mln]]>12){
					return false;
				}
				if(dln === -1) {
					return false;
				}
				strDate = tsp[format[dln]].toString();
				if (strDate.length<1 || tsp[format[dln]]<1 || tsp[format[dln]]>31 || (tsp[format[mln]]==2 && tsp[format[dln]]>daysInFebruary(tsp[format[j]])) || tsp[format[dln]] > daysInMonth[tsp[format[mln]]]){
					return false;
				}
				return true;
			},
			isEmpty : function(val)
			{
				if (val.match(/^\s+$/) || val === "")	{
					return true;
				}
				return false;
			},
			checkTime : function(time){
				// checks only hh:ss (and optional am/pm)
				var re = /^(\d{1,2}):(\d{2})([ap]m)?$/,regs;
				if(!$.jgrid.isEmpty(time))
				{
					regs = time.match(re);
					if(regs) {
						if(regs[3]) {
							if(regs[1] < 1 || regs[1] > 12) { return false; }
						} else {
							if(regs[1] > 23) { return false; }
						}
						if(regs[2] > 59) {
							return false;
						}
					} else {
						return false;
					}
				}
				return true;
			},
			checkValues : function(val, valref,g, customobject, nam) {
				var edtrul,i, nm, dft, len;
				if(customobject === undefined) {
					if(typeof valref==='string'){
						for( i =0, len=g.p.colModel.length;i<len; i++){
							if(g.p.colModel[i].name==valref) {
								edtrul = g.p.colModel[i].editrules;
								valref = i;
								try { nm = g.p.colModel[i].formoptions.label; } catch (e) {}
								break;
							}
						}
					} else if(valref >=0) {
						edtrul = g.p.colModel[valref].editrules;
					}
				} else {
					edtrul = customobject;
					nm = nam===undefined ? "_" : nam;
				}
				if(edtrul) {
					if(!nm) { nm = g.p.colNames[valref]; }
					if(edtrul.required === true) {
						if( $.jgrid.isEmpty(val) )  { return [false,nm+": "+$.jgrid.edit.msg.required,""]; }
					}
					// force required
					var rqfield = edtrul.required === false ? false : true;
					if(edtrul.number === true) {
						if( !(rqfield === false && $.jgrid.isEmpty(val)) ) {
							if(isNaN(val)) { return [false,nm+": "+$.jgrid.edit.msg.number,""]; }
						}
					}
					if(edtrul.minValue !== undefined && !isNaN(edtrul.minValue)) {
						if (parseFloat(val) < parseFloat(edtrul.minValue) ) { return [false,nm+": "+$.jgrid.edit.msg.minValue+" "+edtrul.minValue,""];}
					}
					if(edtrul.maxValue !== undefined && !isNaN(edtrul.maxValue)) {
						if (parseFloat(val) > parseFloat(edtrul.maxValue) ) { return [false,nm+": "+$.jgrid.edit.msg.maxValue+" "+edtrul.maxValue,""];}
					}
					var filter;
					if(edtrul.email === true) {
						if( !(rqfield === false && $.jgrid.isEmpty(val)) ) {
							// taken from $ Validate plugin
							filter = /^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i;
							if(!filter.test(val)) {return [false,nm+": "+$.jgrid.edit.msg.email,""];}
						}
					}
					if(edtrul.integer === true) {
						if( !(rqfield === false && $.jgrid.isEmpty(val)) ) {
							if(isNaN(val)) { return [false,nm+": "+$.jgrid.edit.msg.integer,""]; }
							if ((val % 1 !== 0) || (val.indexOf('.') != -1)) { return [false,nm+": "+$.jgrid.edit.msg.integer,""];}
						}
					}
					if(edtrul.date === true) {
						if( !(rqfield === false && $.jgrid.isEmpty(val)) ) {
							if(g.p.colModel[valref].formatoptions && g.p.colModel[valref].formatoptions.newformat) {
								dft = g.p.colModel[valref].formatoptions.newformat;
							} else {
								dft = g.p.colModel[valref].datefmt || "Y-m-d";
							}
							if(!$.jgrid.checkDate (dft, val)) { return [false,nm+": "+$.jgrid.edit.msg.date+" - "+dft,""]; }
						}
					}
					if(edtrul.time === true) {
						if( !(rqfield === false && $.jgrid.isEmpty(val)) ) {
							if(!$.jgrid.checkTime (val)) { return [false,nm+": "+$.jgrid.edit.msg.date+" - hh:mm (am/pm)",""]; }
						}
					}
					if(edtrul.url === true) {
						if( !(rqfield === false && $.jgrid.isEmpty(val)) ) {
							filter = /^(((https?)|(ftp)):\/\/([\-\w]+\.)+\w{2,3}(\/[%\-\w]+(\.\w{2,})?)*(([\w\-\.\?\\\/+@&#;`~=%!]*)(\.\w{2,})?)*\/?)/i;
							if(!filter.test(val)) {return [false,nm+": "+$.jgrid.edit.msg.url,""];}
						}
					}
					if(edtrul.custom === true) {
						if( !(rqfield === false && $.jgrid.isEmpty(val)) ) {
							if($.isFunction(edtrul.custom_func)) {
								var ret = edtrul.custom_func.call(g,val,nm);
								return $.isArray(ret) ? ret : [false,$.jgrid.edit.msg.customarray,""];
							}
							return [false,$.jgrid.edit.msg.customfcheck,""];
						}
					}
				}
				return [true,"",""];
			}
		});
	})(jQuery);
	/*
 * jqFilter  jQuery jqGrid filter addon.
 * Copyright (c) 2011, Tony Tomov, tony@trirand.com
 * Dual licensed under the MIT and GPL licenses
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
 *
 * The work is inspired from this Stefan Pirvu
 * http://www.codeproject.com/KB/scripting/json-filtering.aspx
 *
 * The filter uses JSON entities to hold filter rules and groups. Here is an example of a filter:

{ "groupOp": "AND",
      "groups" : [
        { "groupOp": "OR",
            "rules": [
                { "field": "name", "op": "eq", "data": "England" },
                { "field": "id", "op": "le", "data": "5"}
             ]
        }
      ],
      "rules": [
        { "field": "name", "op": "eq", "data": "Romania" },
        { "field": "id", "op": "le", "data": "1"}
      ]
}
*/
	/*jshint eqeqeq:false, eqnull:true, devel:true */
	/*global jQuery */

	(function ($) {
		"use strict";

		$.fn.jqFilter = function( arg ) {
			if (typeof arg === 'string') {

				var fn = $.fn.jqFilter[arg];
				if (!fn) {
					throw ("jqFilter - No such method: " + arg);
				}
				var args = $.makeArray(arguments).slice(1);
				return fn.apply(this,args);
			}

			var p = $.extend(true,{
				filter: null,
				columns: [],
				onChange : null,
				afterRedraw : null,
				checkValues : null,
				error: false,
				errmsg : "",
				errorcheck : true,
				showQuery : true,
				sopt : null,
				ops : [
					{"name": "eq", "description": "equal", "operator":"="},
					{"name": "ne", "description": "not equal", "operator":"<>"},
					{"name": "lt", "description": "less", "operator":"<"},
					{"name": "le", "description": "less or equal","operator":"<="},
					{"name": "gt", "description": "greater", "operator":">"},
					{"name": "ge", "description": "greater or equal", "operator":">="},
					{"name": "bw", "description": "begins with", "operator":"LIKE"},
					{"name": "bn", "description": "does not begin with", "operator":"NOT LIKE"},
					{"name": "in", "description": "in", "operator":"IN"},
					{"name": "ni", "description": "not in", "operator":"NOT IN"},
					{"name": "ew", "description": "ends with", "operator":"LIKE"},
					{"name": "en", "description": "does not end with", "operator":"NOT LIKE"},
					{"name": "cn", "description": "contains", "operator":"LIKE"},
					{"name": "nc", "description": "does not contain", "operator":"NOT LIKE"},
					{"name": "nu", "description": "is null", "operator":"IS NULL"},
					{"name": "nn", "description": "is not null", "operator":"IS NOT NULL"}
				],
				numopts : ['eq','ne', 'lt', 'le', 'gt', 'ge', 'nu', 'nn', 'in', 'ni'],
				stropts : ['eq', 'ne', 'bw', 'bn', 'ew', 'en', 'cn', 'nc', 'nu', 'nn', 'in', 'ni'],
				strarr : ['text', 'string', 'blob'],
				_gridsopt : [], // grid translated strings, do not tuch
				groupOps : [{ op: "AND", text: "AND" },	{ op: "OR",  text: "OR" }],
				groupButton : true,
				ruleButtons : true,
				direction : "ltr"
			}, $.jgrid.filter, arg || {});
			return this.each( function() {
				if (this.filter) {return;}
				this.p = p;
				// setup filter in case if they is not defined
				if (this.p.filter === null || this.p.filter === undefined) {
					this.p.filter = {
						groupOp: this.p.groupOps[0].op,
						rules: [],
						groups: []
					};
				}
				var i, len = this.p.columns.length, cl,
					isIE = /msie/i.test(navigator.userAgent) && !window.opera;

				// translating the options
				if(this.p._gridsopt.length) {
					// ['eq','ne','lt','le','gt','ge','bw','bn','in','ni','ew','en','cn','nc']
					for(i=0;i<this.p._gridsopt.length;i++) {
						this.p.ops[i].description = this.p._gridsopt[i];
					}
				}
				this.p.initFilter = $.extend(true,{},this.p.filter);

				// set default values for the columns if they are not set
				if( !len ) {return;}
				for(i=0; i < len; i++) {
					cl = this.p.columns[i];
					if( cl.stype ) {
						// grid compatibility
						cl.inputtype = cl.stype;
					} else if(!cl.inputtype) {
						cl.inputtype = 'text';
					}
					if( cl.sorttype ) {
						// grid compatibility
						cl.searchtype = cl.sorttype;
					} else if (!cl.searchtype) {
						cl.searchtype = 'string';
					}
					if(cl.hidden === undefined) {
						// jqGrid compatibility
						cl.hidden = false;
					}
					if(!cl.label) {
						cl.label = cl.name;
					}
					if(cl.index) {
						cl.name = cl.index;
					}
					if(!cl.hasOwnProperty('searchoptions')) {
						cl.searchoptions = {};
					}
					if(!cl.hasOwnProperty('searchrules')) {
						cl.searchrules = {};
					}

				}
				if(this.p.showQuery) {
					$(this).append("<table class='queryresult ui-widget ui-widget-content' style='display:block;max-width:440px;border:0px none;' dir='"+this.p.direction+"'><tbody><tr><td class='query'></td></tr></tbody></table>");
				}
				/*
		 *Perform checking.
		 *
		*/
				var checkData = function(val, colModelItem) {
					var ret = [true,""];
					if($.isFunction(colModelItem.searchrules)) {
						ret = colModelItem.searchrules(val, colModelItem);
					} else if($.jgrid && $.jgrid.checkValues) {
						try {
							ret = $.jgrid.checkValues(val, -1, null, colModelItem.searchrules, colModelItem.label);
						} catch (e) {}
					}
					if(ret && ret.length && ret[0] === false) {
						p.error = !ret[0];
						p.errmsg = ret[1];
					}
				};
				/* moving to common
		randId = function() {
			return Math.floor(Math.random()*10000).toString();
		};
		*/

				this.onchange = function (  ){
					// clear any error
					this.p.error = false;
					this.p.errmsg="";
					return $.isFunction(this.p.onChange) ? this.p.onChange.call( this, this.p ) : false;
				};
				/*
		 * Redraw the filter every time when new field is added/deleted
		 * and field is  changed
		 */
				this.reDraw = function() {
					$("table.group:first",this).remove();
					var t = this.createTableForGroup(p.filter, null);
					$(this).append(t);
					if($.isFunction(this.p.afterRedraw) ) {
						this.p.afterRedraw.call(this, this.p);
					}
				};
				/*
		 * Creates a grouping data for the filter
		 * @param group - object
		 * @param parentgroup - object
		 */
				this.createTableForGroup = function(group, parentgroup) {
					var that = this,  i;
					// this table will hold all the group (tables) and rules (rows)
					var table = $("<table class='group ui-widget ui-widget-content' style='border:0px none;'><tbody></tbody></table>"),
						// create error message row
						align = "left";
					if(this.p.direction == "rtl") {
						align = "right";
						table.attr("dir","rtl");
					}
					if(parentgroup === null) {
						table.append("<tr class='error' style='display:none;'><th colspan='5' class='ui-state-error' align='"+align+"'></th></tr>");
					}

					var tr = $("<tr></tr>");
					table.append(tr);
					// this header will hold the group operator type and group action buttons for
					// creating subgroup "+ {}", creating rule "+" or deleting the group "-"
					var th = $("<th colspan='5' align='"+align+"'></th>");
					tr.append(th);

					if(this.p.ruleButtons === true) {
						// dropdown for: choosing group operator type
						var groupOpSelect = $("<select class='opsel'></select>");
						th.append(groupOpSelect);
						// populate dropdown with all posible group operators: or, and
						var str= "", selected;
						for (i = 0; i < p.groupOps.length; i++) {
							selected =  group.groupOp === that.p.groupOps[i].op ? " selected='selected'" :"";
							str += "<option value='"+that.p.groupOps[i].op+"'" + selected+">"+that.p.groupOps[i].text+"</option>";
						}

						groupOpSelect
							.append(str)
							.on('change',function() {
								group.groupOp = $(groupOpSelect).val();
								that.onchange(); // signals that the filter has changed
							});
					}
					// button for adding a new subgroup
					var inputAddSubgroup ="<span></span>";
					if(this.p.groupButton) {
						inputAddSubgroup = $("<input type='button' value='+ {}' title='Add subgroup' class='add-group'/>");
						inputAddSubgroup.on('click',function() {
							if (group.groups === undefined ) {
								group.groups = [];
							}

							group.groups.push({
								groupOp: p.groupOps[0].op,
								rules: [],
								groups: []
							}); // adding a new group

							that.reDraw(); // the html has changed, force reDraw

							that.onchange(); // signals that the filter has changed
							return false;
						});
					}
					th.append(inputAddSubgroup);
					if(this.p.ruleButtons === true) {
						// button for adding a new rule
						var inputAddRule = $("<input type='button' value='+' title='Add rule' class='add-rule ui-add'/>"), cm;
						inputAddRule.on('click',function() {
							//if(!group) { group = {};}
							if (group.rules === undefined) {
								group.rules = [];
							}
							for (i = 0; i < that.p.columns.length; i++) {
								// but show only serchable and serchhidden = true fields
								var searchable = (that.p.columns[i].search === undefined) ?  true: that.p.columns[i].search ,
									hidden = (that.p.columns[i].hidden === true),
									ignoreHiding = (that.p.columns[i].searchoptions.searchhidden === true);
								if ((ignoreHiding && searchable) || (searchable && !hidden)) {
									cm = that.p.columns[i];
									break;
								}
							}

							var opr;
							if( cm.searchoptions.sopt ) {opr = cm.searchoptions.sopt;}
							else if(that.p.sopt) { opr= that.p.sopt; }
							else if  ( $.inArray(cm.searchtype, that.p.strarr) !== -1 ) {opr = that.p.stropts;}
							else {opr = that.p.numopts;}

							group.rules.push({
								field: cm.name,
								op: opr[0],
								data: ""
							}); // adding a new rule

							that.reDraw(); // the html has changed, force reDraw
							// for the moment no change have been made to the rule, so
							// this will not trigger onchange event
							return false;
						});
						th.append(inputAddRule);
					}

					// button for delete the group
					if (parentgroup !== null) { // ignore the first group
						var inputDeleteGroup = $("<input type='button' value='-' title='Delete group' class='delete-group'/>");
						th.append(inputDeleteGroup);
						inputDeleteGroup.on('click',function() {
							// remove group from parent
							for (i = 0; i < parentgroup.groups.length; i++) {
								if (parentgroup.groups[i] === group) {
									parentgroup.groups.splice(i, 1);
									break;
								}
							}

							that.reDraw(); // the html has changed, force reDraw

							that.onchange(); // signals that the filter has changed
							return false;
						});
					}

					// append subgroup rows
					if (group.groups !== undefined) {
						for (i = 0; i < group.groups.length; i++) {
							var trHolderForSubgroup = $("<tr></tr>");
							table.append(trHolderForSubgroup);

							var tdFirstHolderForSubgroup = $("<td class='first'></td>");
							trHolderForSubgroup.append(tdFirstHolderForSubgroup);

							var tdMainHolderForSubgroup = $("<td colspan='4'></td>");
							tdMainHolderForSubgroup.append(this.createTableForGroup(group.groups[i], group));
							trHolderForSubgroup.append(tdMainHolderForSubgroup);
						}
					}
					if(group.groupOp === undefined) {
						group.groupOp = that.p.groupOps[0].op;
					}

					// append rules rows
					if (group.rules !== undefined) {
						for (i = 0; i < group.rules.length; i++) {
							table.append(
								this.createTableRowForRule(group.rules[i], group)
							);
						}
					}

					return table;
				};
				/*
		 * Create the rule data for the filter
		 */
				this.createTableRowForRule = function(rule, group ) {
					// save current entity in a variable so that it could
					// be referenced in anonimous method calls

					var that=this, tr = $("<tr></tr>"),
						//document.createElement("tr"),

						// first column used for padding
						//tdFirstHolderForRule = document.createElement("td"),
						i, op, trpar, cm, str="", selected;
					//tdFirstHolderForRule.setAttribute("class", "first");
					tr.append("<td class='first'></td>");


					// create field container
					var ruleFieldTd = $("<td class='columns'></td>");
					tr.append(ruleFieldTd);


					// dropdown for: choosing field
					var ruleFieldSelect = $("<select></select>"), ina, aoprs = [];
					ruleFieldTd.append(ruleFieldSelect);
					ruleFieldSelect.on('change',function() {
						rule.field = $(ruleFieldSelect).val();

						trpar = $(this).parents("tr:first");
						for (i=0;i<that.p.columns.length;i++) {
							if(that.p.columns[i].name ===  rule.field) {
								cm = that.p.columns[i];
								break;
							}
						}
						if(!cm) {return;}
						cm.searchoptions.id = $.jgrid.randId();
						if(isIE && cm.inputtype === "text") {
							if(!cm.searchoptions.size) {
								cm.searchoptions.size = 10;
							}
						}
						var elm = $.jgrid.createEl(cm.inputtype,cm.searchoptions, "", true, that.p.ajaxSelectOptions, true);
						$(elm).addClass("input-elm");
						//that.createElement(rule, "");

						if( cm.searchoptions.sopt ) {op = cm.searchoptions.sopt;}
						else if(that.p.sopt) { op= that.p.sopt; }
						else if  ($.inArray(cm.searchtype, that.p.strarr) !== -1) {op = that.p.stropts;}
						else {op = that.p.numopts;}
						// operators
						var s ="", so = 0;
						aoprs = [];
						$.each(that.p.ops, function() { aoprs.push(this.name); });
						for ( i = 0 ; i < op.length; i++) {
							ina = $.inArray(op[i],aoprs);
							if(ina !== -1) {
								if(so===0) {
									rule.op = that.p.ops[ina].name;
								}
								s += "<option value='"+that.p.ops[ina].name+"'>"+that.p.ops[ina].description+"</option>";
								so++;
							}
						}
						$(".selectopts",trpar).empty().append( s );
						$(".selectopts",trpar)[0].selectedIndex = 0;
						if( $.browser.msie && $.browser.version < 9) {
							var sw = parseInt($("select.selectopts",trpar)[0].offsetWidth, 10) + 1;
							$(".selectopts",trpar).css("width", sw + "px" );
							$(".selectopts",trpar).css("width","auto");
						}
						// data
						$(".data",trpar).empty().append( elm );
						$.jgrid.bindEv( elm, cm.searchoptions, that);
						$(".input-elm",trpar).on('change',function( e ) {
							var tmo = $(this).hasClass("ui-autocomplete-input") ? 200 :0;
							setTimeout(function(){
								var elem = e.target;
								rule.data = elem.nodeName.toUpperCase() === "SPAN" && cm.searchoptions && $.isFunction(cm.searchoptions.custom_value) ?
									cm.searchoptions.custom_value($(elem).children(".customelement:first"), 'get') : elem.value;
								that.onchange(); // signals that the filter has changed
							}, tmo);
						});
						setTimeout(function(){ //IE, Opera, Chrome
							rule.data = $(elm).val();
							that.onchange();  // signals that the filter has changed
						}, 0);
					});

					// populate drop down with user provided column definitions
					var j=0;
					for (i = 0; i < that.p.columns.length; i++) {
						// but show only serchable and serchhidden = true fields
						var searchable = (that.p.columns[i].search === undefined) ? true: that.p.columns[i].search,
							hidden = (that.p.columns[i].hidden === true),
							ignoreHiding = (that.p.columns[i].searchoptions.searchhidden === true);
						if ((ignoreHiding && searchable) || (searchable && !hidden)) {
							selected = "";
							if(rule.field === that.p.columns[i].name) {
								selected = " selected='selected'";
								j=i;
							}
							str += "<option value='"+that.p.columns[i].name+"'" +selected+">"+that.p.columns[i].label+"</option>";
						}
					}
					ruleFieldSelect.append( str );


					// create operator container
					var ruleOperatorTd = $("<td class='operators'></td>");
					tr.append(ruleOperatorTd);
					cm = p.columns[j];
					// create it here so it can be referentiated in the onchange event
					//var RD = that.createElement(rule, rule.data);
					cm.searchoptions.id = $.jgrid.randId();
					if(isIE && cm.inputtype === "text") {
						if(!cm.searchoptions.size) {
							cm.searchoptions.size = 10;
						}
					}
					var ruleDataInput = $.jgrid.createEl(cm.inputtype,cm.searchoptions, rule.data, true, that.p.ajaxSelectOptions, true);
					if(rule.op == 'nu' || rule.op == 'nn') {
						$(ruleDataInput).attr('readonly','true');
						$(ruleDataInput).attr('disabled','true');
					} //retain the state of disabled text fields in case of null ops
					// dropdown for: choosing operator
					var ruleOperatorSelect = $("<select class='selectopts'></select>");
					ruleOperatorTd.append(ruleOperatorSelect);
					ruleOperatorSelect.on('change',function() {
						rule.op = $(ruleOperatorSelect).val();
						trpar = $(this).parents("tr:first");
						var rd = $(".input-elm",trpar)[0];
						if (rule.op === "nu" || rule.op === "nn") { // disable for operator "is null" and "is not null"
							rule.data = "";
							rd.value = "";
							rd.setAttribute("readonly", "true");
							rd.setAttribute("disabled", "true");
						} else {
							rd.removeAttribute("readonly");
							rd.removeAttribute("disabled");
						}

						that.onchange();  // signals that the filter has changed
					});

					// populate drop down with all available operators
					if( cm.searchoptions.sopt ) {op = cm.searchoptions.sopt;}
					else if(that.p.sopt) { op= that.p.sopt; }
					else if  ($.inArray(cm.searchtype, that.p.strarr) !== -1) {op = that.p.stropts;}
					else {op = that.p.numopts;}
					str="";
					$.each(that.p.ops, function() { aoprs.push(this.name); });
					for ( i = 0; i < op.length; i++) {
						ina = $.inArray(op[i],aoprs);
						if(ina !== -1) {
							selected = rule.op === that.p.ops[ina].name ? " selected='selected'" : "";
							str += "<option value='"+that.p.ops[ina].name+"'"+selected+">"+that.p.ops[ina].description+"</option>";
						}
					}
					ruleOperatorSelect.append( str );
					// create data container
					var ruleDataTd = $("<td class='data'></td>");
					tr.append(ruleDataTd);

					// textbox for: data
					// is created previously
					//ruleDataInput.setAttribute("type", "text");
					ruleDataTd.append(ruleDataInput);
					$.jgrid.bindEv( ruleDataInput, cm.searchoptions, that);
					$(ruleDataInput)
						.addClass("input-elm")
						.on('change', function() {
							rule.data = cm.inputtype === 'custom' ? cm.searchoptions.custom_value($(this).children(".customelement:first"),'get') : $(this).val();
							that.onchange(); // signals that the filter has changed
						});

					// create action container
					var ruleDeleteTd = $("<td></td>");
					tr.append(ruleDeleteTd);

					// create button for: delete rule
					if(this.p.ruleButtons === true) {
						var ruleDeleteInput = $("<input type='button' value='-' title='Delete rule' class='delete-rule ui-del'/>");
						ruleDeleteTd.append(ruleDeleteInput);
						//$(ruleDeleteInput).html("").css("height",20+"px").css("width", 30+ "px").button({icons: {  primary: "ui-icon-minus", text:false}});
						ruleDeleteInput.on('click',function() {
							// remove rule from group
							for (i = 0; i < group.rules.length; i++) {
								if (group.rules[i] === rule) {
									group.rules.splice(i, 1);
									break;
								}
							}

							that.reDraw(); // the html has changed, force reDraw

							that.onchange(); // signals that the filter has changed
							return false;
						});
					}
					return tr;
				};

				this.getStringForGroup = function(group) {
					var s = "(", index;
					if (group.groups !== undefined) {
						for (index = 0; index < group.groups.length; index++) {
							if (s.length > 1) {
								s += " " + group.groupOp + " ";
							}
							try {
								s += this.getStringForGroup(group.groups[index]);
							} catch (eg) {alert(eg);}
						}
					}

					if (group.rules !== undefined) {
						try{
							for (index = 0; index < group.rules.length; index++) {
								if (s.length > 1) {
									s += " " + group.groupOp + " ";
								}
								s += this.getStringForRule(group.rules[index]);
							}
						} catch (e) {alert(e);}
					}

					s += ")";

					if (s === "()") {
						return ""; // ignore groups that don't have rules
					}
					return s;
				};
				this.getStringForRule = function(rule) {
					var opUF = "",opC="", i, cm, ret, val,
						numtypes = ['int', 'integer', 'float', 'number', 'currency']; // jqGrid
					for (i = 0; i < this.p.ops.length; i++) {
						if (this.p.ops[i].name === rule.op) {
							opUF = this.p.ops[i].operator;
							opC = this.p.ops[i].name;
							break;
						}
					}
					for (i=0; i<this.p.columns.length; i++) {
						if(this.p.columns[i].name === rule.field) {
							cm = this.p.columns[i];
							break;
						}
					}
					if (cm == null) { return ""; }
					val = rule.data;
					if(opC === 'bw' || opC === 'bn') { val = val+"%"; }
					if(opC === 'ew' || opC === 'en') { val = "%"+val; }
					if(opC === 'cn' || opC === 'nc') { val = "%"+val+"%"; }
					if(opC === 'in' || opC === 'ni') { val = " ("+val+")"; }
					if(p.errorcheck) { checkData(rule.data, cm); }
					if($.inArray(cm.searchtype, numtypes) !== -1 || opC === 'nn' || opC === 'nu') { ret = rule.field + " " + opUF + " " + val; }
					else { ret = rule.field + " " + opUF + " \"" + val + "\""; }
					return ret;
				};
				this.resetFilter = function () {
					this.p.filter = $.extend(true,{},this.p.initFilter);
					this.reDraw();
					this.onchange();
				};
				this.hideError = function() {
					$("th.ui-state-error", this).html("");
					$("tr.error", this).hide();
				};
				this.showError = function() {
					$("th.ui-state-error", this).html(this.p.errmsg);
					$("tr.error", this).show();
				};
				this.toUserFriendlyString = function() {
					return this.getStringForGroup(p.filter);
				};
				this.toString = function() {
					// this will obtain a string that can be used to match an item.
					var that = this;
					function getStringRule(rule) {
						if(that.p.errorcheck) {
							var i, cm;
							for (i=0; i<that.p.columns.length; i++) {
								if(that.p.columns[i].name === rule.field) {
									cm = that.p.columns[i];
									break;
								}
							}
							if(cm) {checkData(rule.data, cm);}
						}
						return rule.op + "(item." + rule.field + ",'" + rule.data + "')";
					}

					function getStringForGroup(group) {
						var s = "(", index;

						if (group.groups !== undefined) {
							for (index = 0; index < group.groups.length; index++) {
								if (s.length > 1) {
									if (group.groupOp === "OR") {
										s += " || ";
									}
									else {
										s += " && ";
									}
								}
								s += getStringForGroup(group.groups[index]);
							}
						}

						if (group.rules !== undefined) {
							for (index = 0; index < group.rules.length; index++) {
								if (s.length > 1) {
									if (group.groupOp === "OR") {
										s += " || ";
									}
									else  {
										s += " && ";
									}
								}
								s += getStringRule(group.rules[index]);
							}
						}

						s += ")";

						if (s === "()") {
							return ""; // ignore groups that don't have rules
						}
						return s;
					}

					return getStringForGroup(this.p.filter);
				};

				// Here we init the filter
				this.reDraw();

				if(this.p.showQuery) {
					this.onchange();
				}
				// mark is as created so that it will not be created twice on this element
				this.filter = true;
			});
		};
		$.extend($.fn.jqFilter,{
			/*
	 * Return SQL like string. Can be used directly
	 */
			toSQLString : function()
			{
				var s ="";
				this.each(function(){
					s = this.toUserFriendlyString();
				});
				return s;
			},
			/*
	 * Return filter data as object.
	 */
			filterData : function()
			{
				var s;
				this.each(function(){
					s = this.p.filter;
				});
				return s;

			},
			getParameter : function (param) {
				if(param !== undefined) {
					if (this.p.hasOwnProperty(param) ) {
						return this.p[param];
					}
				}
				return this.p;
			},
			resetFilter: function() {
				return this.each(function(){
					this.resetFilter();
				});
			},
			addFilter: function (pfilter) {
				if (typeof pfilter === "string") {
					pfilter = $.jgrid.parse( pfilter );
				}
				this.each(function(){
					this.p.filter = pfilter;
					this.reDraw();
					this.onchange();
				});
			}

		});
	})(jQuery);
	/*jshint eqeqeq:false, eqnull:true, devel:true */
	/*global xmlJsonClass, jQuery */
	(function($){
		/**
		 * jqGrid extension for form editing Grid Data
		 * Tony Tomov tony@trirand.com
		 * http://trirand.com/blog/
		 * Dual licensed under the MIT and GPL licenses:
		 * http://www.opensource.org/licenses/mit-license.php
		 * http://www.gnu.org/licenses/gpl-2.0.html
		 **/
		"use strict";
		var rp_ge = {};
		$.jgrid.extend({
			searchGrid : function (p) {
				p = $.extend(true, {
					recreateFilter: false,
					drag: true,
					sField:'searchField',
					sValue:'searchString',
					sOper: 'searchOper',
					sFilter: 'filters',
					loadDefaults: true, // this options activates loading of default filters from grid's postData for Multipe Search only.
					beforeShowSearch: null,
					afterShowSearch : null,
					onInitializeSearch: null,
					afterRedraw : null,
					afterChange: null,
					closeAfterSearch : false,
					closeAfterReset: false,
					closeOnEscape : false,
					searchOnEnter : false,
					multipleSearch : false,
					multipleGroup : false,
					//cloneSearchRowOnAdd: true,
					top : 0,
					left: 0,
					jqModal : true,
					modal: false,
					resize : true,
					width: 450,
					height: 'auto',
					dataheight: 'auto',
					showQuery: false,
					errorcheck : true,
					// translation
					// if you want to change or remove the order change it in sopt
					// ['eq','ne','lt','le','gt','ge','bw','bn','in','ni','ew','en','cn','nc'],
					sopt: null,
					stringResult: undefined,
					onClose : null,
					onSearch : null,
					onReset : null,
					toTop : true,
					overlay : 30,
					columns : [],
					tmplNames : null,
					tmplFilters : null,
					// translations - later in lang file
					tmplLabel : ' Template: ',
					showOnLoad: false,
					layer: null
				}, $.jgrid.search, p || {});
				return this.each(function() {
					var $t = this;
					if(!$t.grid) {return;}
					var fid = "fbox_"+$t.p.id,
						showFrm = true,
						IDs = {themodal:'searchmod'+fid,modalhead:'searchhd'+fid,modalcontent:'searchcnt'+fid, scrollelm : fid},
						defaultFilters  = $t.p.postData[p.sFilter];
					if(typeof defaultFilters === "string") {
						defaultFilters = $.jgrid.parse( defaultFilters );
					}
					if(p.recreateFilter === true) {
						$("#"+$.jgrid.jqID(IDs.themodal)).remove();
					}
					function showFilter(_filter) {
						showFrm = $($t).triggerHandler("jqGridFilterBeforeShow", [_filter]);
						if(showFrm === undefined) {
							showFrm = true;
						}
						if(showFrm && $.isFunction(p.beforeShowSearch)) {
							showFrm = p.beforeShowSearch.call($t,_filter);
						}
						if(showFrm) {
							$.jgrid.viewModal("#"+$.jgrid.jqID(IDs.themodal),{gbox:"#gbox_"+$.jgrid.jqID(fid),jqm:p.jqModal, modal:p.modal, overlay: p.overlay, toTop: p.toTop});
							$($t).triggerHandler("jqGridFilterAfterShow", [_filter]);
							if($.isFunction(p.afterShowSearch)) {
								p.afterShowSearch.call($t, _filter);
							}
						}
					}
					if ( $("#"+$.jgrid.jqID(IDs.themodal))[0] !== undefined ) {
						showFilter($("#fbox_"+$.jgrid.jqID(+$t.p.id)));
					} else {
						var fil = $("<div><div id='"+fid+"' class='searchFilter' style='overflow:auto'></div></div>").insertBefore("#gview_"+$.jgrid.jqID($t.p.id)),
							align = "left", butleft ="";
						if($t.p.direction == "rtl") {
							align = "right";
							butleft = " style='text-align:left'";
							fil.attr("dir","rtl");
						}
						var columns = $.extend([],$t.p.colModel),
							bS  ="<a href='javascript:void(0)' id='"+fid+"_search' class='fm-button ui-state-default ui-corner-all fm-button-icon-right ui-reset'><span class='ui-icon ui-icon-search'></span>"+p.Find+"</a>",
							bC  ="<a href='javascript:void(0)' id='"+fid+"_reset' class='fm-button ui-state-default ui-corner-all fm-button-icon-left ui-search'><span class='ui-icon ui-icon-arrowreturnthick-1-w'></span>"+p.Reset+"</a>",
							bQ = "", tmpl="", colnm, found = false, bt, cmi=-1;
						if(p.showQuery) {
							bQ ="<a href='javascript:void(0)' id='"+fid+"_query' class='fm-button ui-state-default ui-corner-all fm-button-icon-left'><span class='ui-icon ui-icon-comment'></span>Query</a>";
						}
						if(!p.columns.length) {
							$.each(columns, function(i,n){
								if(!n.label) {
									n.label = $t.p.colNames[i];
								}
								// find first searchable column and set it if no default filter
								if(!found) {
									var searchable = (n.search === undefined) ?  true: n.search ,
										hidden = (n.hidden === true),
										ignoreHiding = (n.searchoptions && n.searchoptions.searchhidden === true);
									if ((ignoreHiding && searchable) || (searchable && !hidden)) {
										found = true;
										colnm = n.index || n.name;
										cmi =i;
									}
								}
							});
						} else {
							columns = p.columns;
						}
						// old behaviour
						if( (!defaultFilters && colnm) || p.multipleSearch === false  ) {
							var cmop = "eq";
							if(cmi >=0 && columns[cmi].searchoptions && columns[cmi].searchoptions.sopt) {
								cmop = columns[cmi].searchoptions.sopt[0];
							} else if(p.sopt && p.sopt.length) {
								cmop = p.sopt[0];
							}
							defaultFilters = {"groupOp": "AND",rules:[{"field":colnm,"op":cmop,"data":""}]};
						}
						found = false;
						if(p.tmplNames && p.tmplNames.length) {
							found = true;
							tmpl = p.tmplLabel;
							tmpl += "<select class='ui-template'>";
							tmpl += "<option value='default'>Default</option>";
							$.each(p.tmplNames, function(i,n){
								tmpl += "<option value='"+i+"'>"+n+"</option>";
							});
							tmpl += "</select>";
						}

						bt = "<table class='EditTable' style='border:0px none;margin-top:5px' id='"+fid+"_2'><tbody><tr><td colspan='2'><hr class='ui-widget-content' style='margin:1px'/></td></tr><tr><td class='EditButton' style='text-align:"+align+"'>"+bC+tmpl+"</td><td class='EditButton' "+butleft+">"+bQ+bS+"</td></tr></tbody></table>";
						fid = $.jgrid.jqID( fid);
						$("#"+fid).jqFilter({
							columns : columns,
							filter: p.loadDefaults ? defaultFilters : null,
							showQuery: p.showQuery,
							errorcheck : p.errorcheck,
							sopt: p.sopt,
							groupButton : p.multipleGroup,
							ruleButtons : p.multipleSearch,
							afterRedraw : p.afterRedraw,
							_gridsopt : $.jgrid.search.odata,
							ajaxSelectOptions: $t.p.ajaxSelectOptions,
							groupOps: p.groupOps,
							onChange : function() {
								if(this.p.showQuery) {
									$('.query',this).html(this.toUserFriendlyString());
								}
								if ($.isFunction(p.afterChange)) {
									p.afterChange.call($t, $("#"+fid), p);
								}
							},
							direction : $t.p.direction
						});
						fil.append( bt );
						if(found && p.tmplFilters && p.tmplFilters.length) {
							$(".ui-template", fil).on('change', function(){
								var curtempl = $(this).val();
								if(curtempl=="default") {
									$("#"+fid).jqFilter('addFilter', defaultFilters);
								} else {
									$("#"+fid).jqFilter('addFilter', p.tmplFilters[parseInt(curtempl,10)]);
								}
								return false;
							});
						}
						if(p.multipleGroup === true) {p.multipleSearch = true;}
						$($t).triggerHandler("jqGridFilterInitialize", [$("#"+fid)]);
						if($.isFunction(p.onInitializeSearch) ) {
							p.onInitializeSearch.call($t, $("#"+fid));
						}
						p.gbox = "#gbox_"+fid;
						if (p.layer) {
							$.jgrid.createModal(IDs ,fil,p,"#gview_"+$.jgrid.jqID($t.p.id),$("#gbox_"+$.jgrid.jqID($t.p.id))[0], "#"+$.jgrid.jqID(p.layer), {position: "relative"});
						} else {
							$.jgrid.createModal(IDs ,fil,p,"#gview_"+$.jgrid.jqID($t.p.id),$("#gbox_"+$.jgrid.jqID($t.p.id))[0]);
						}
						if (p.searchOnEnter || p.closeOnEscape) {
							$("#"+$.jgrid.jqID(IDs.themodal)).keydown(function (e) {
								var $target = $(e.target);
								if (p.searchOnEnter && e.which === 13 && // 13 === $.ui.keyCode.ENTER
									!$target.hasClass('add-group') && !$target.hasClass('add-rule') &&
									!$target.hasClass('delete-group') && !$target.hasClass('delete-rule') &&
									(!$target.hasClass("fm-button") || !$target.is("[id$=_query]"))) {
									$("#"+fid+"_search").focus().click();
									return false;
								}
								if (p.closeOnEscape && e.which === 27) { // 27 === $.ui.keyCode.ESCAPE
									$("#"+$.jgrid.jqID(IDs.modalhead)).find(".ui-jqdialog-titlebar-close").focus().click();
									return false;
								}
							});
						}
						if(bQ) {
							$("#"+fid+"_query").on('click', function(){
								$(".queryresult", fil).toggle();
								return false;
							});
						}
						if (p.stringResult===undefined) {
							// to provide backward compatibility, inferring stringResult value from multipleSearch
							p.stringResult = p.multipleSearch;
						}
						$("#"+fid+"_search").on('click', function(){
							var fl = $("#"+fid),
								sdata={}, res ,
								filters = fl.jqFilter('filterData');
							if(p.errorcheck) {
								fl[0].hideError();
								if(!p.showQuery) {fl.jqFilter('toSQLString');}
								if(fl[0].p.error) {
									fl[0].showError();
									return false;
								}
							}

							if(p.stringResult) {
								try {
									// xmlJsonClass or JSON.stringify
									res = xmlJsonClass.toJson(filters, '', '', false);
								} catch (e) {
									try {
										res = JSON.stringify(filters);
									} catch (e2) { }
								}
								if(typeof res==="string") {
									sdata[p.sFilter] = res;
									$.each([p.sField,p.sValue, p.sOper], function() {sdata[this] = "";});
								}
							} else {
								if(p.multipleSearch) {
									sdata[p.sFilter] = filters;
									$.each([p.sField,p.sValue, p.sOper], function() {sdata[this] = "";});
								} else {
									sdata[p.sField] = filters.rules[0].field;
									sdata[p.sValue] = filters.rules[0].data;
									sdata[p.sOper] = filters.rules[0].op;
									sdata[p.sFilter] = "";
								}
							}
							$t.p.search = true;
							$.extend($t.p.postData,sdata);
							$($t).triggerHandler("jqGridFilterSearch");
							if($.isFunction(p.onSearch) ) {
								p.onSearch.call($t);
							}
							$($t).trigger("reloadGrid",[{page:1}]);
							if(p.closeAfterSearch) {
								$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:"#gbox_"+$.jgrid.jqID($t.p.id),jqm:p.jqModal,onClose: p.onClose});
							}
							return false;
						});
						$("#"+fid+"_reset").on('click', function(){
							var sdata={},
								fl = $("#"+fid);
							$t.p.search = false;
							if(p.multipleSearch===false) {
								sdata[p.sField] = sdata[p.sValue] = sdata[p.sOper] = "";
							} else {
								sdata[p.sFilter] = "";
							}
							fl[0].resetFilter();
							if(found) {
								$(".ui-template", fil).val("default");
							}
							$.extend($t.p.postData,sdata);
							$($t).triggerHandler("jqGridFilterReset");
							if($.isFunction(p.onReset) ) {
								p.onReset.call($t);
							}
							$($t).trigger("reloadGrid",[{page:1}]);
							return false;
						});
						showFilter($("#"+fid));
						$(".fm-button:not(.ui-state-disabled)",fil).hover(
							function(){$(this).addClass('ui-state-hover');},
							function(){$(this).removeClass('ui-state-hover');}
						);
					}
				});
			},
			editGridRow : function(rowid, p){
				p = $.extend(true, {
					top : 0,
					left: 0,
					width: 300,
					height: 'auto',
					dataheight: 'auto',
					modal: false,
					overlay : 30,
					drag: true,
					resize: true,
					url: null,
					mtype : "POST",
					clearAfterAdd :true,
					closeAfterEdit : false,
					reloadAfterSubmit : true,
					onInitializeForm: null,
					beforeInitData: null,
					beforeShowForm: null,
					afterShowForm: null,
					beforeSubmit: null,
					afterSubmit: null,
					onclickSubmit: null,
					afterComplete: null,
					onclickPgButtons : null,
					afterclickPgButtons: null,
					editData : {},
					recreateForm : false,
					jqModal : true,
					closeOnEscape : false,
					addedrow : "first",
					topinfo : '',
					bottominfo: '',
					saveicon : [],
					closeicon : [],
					savekey: [false,13],
					navkeys: [false,38,40],
					checkOnSubmit : false,
					checkOnUpdate : false,
					_savedData : {},
					processing : false,
					onClose : null,
					ajaxEditOptions : {},
					serializeEditData : null,
					viewPagerButtons : true
				}, $.jgrid.edit, p || {});
				rp_ge[$(this)[0].p.id] = p;
				return this.each(function(){
					var $t = this;
					if (!$t.grid || !rowid) {return;}
					var gID = $t.p.id,
						frmgr = "FrmGrid_"+gID, frmtborg = "TblGrid_"+gID, frmtb = "#"+$.jgrid.jqID(frmtborg),
						IDs = {themodal:'editmod'+gID,modalhead:'edithd'+gID,modalcontent:'editcnt'+gID, scrollelm : frmgr},
						onBeforeShow = $.isFunction(rp_ge[$t.p.id].beforeShowForm) ? rp_ge[$t.p.id].beforeShowForm : false,
						onAfterShow = $.isFunction(rp_ge[$t.p.id].afterShowForm) ? rp_ge[$t.p.id].afterShowForm : false,
						onBeforeInit = $.isFunction(rp_ge[$t.p.id].beforeInitData) ? rp_ge[$t.p.id].beforeInitData : false,
						onInitializeForm = $.isFunction(rp_ge[$t.p.id].onInitializeForm) ? rp_ge[$t.p.id].onInitializeForm : false,
						showFrm = true,
						maxCols = 1, maxRows=0,	postdata, extpost, newData, diff, frmoper;
					frmgr = $.jgrid.jqID(frmgr);
					if (rowid === "new") {
						rowid = "_empty";
						frmoper = "add";
						p.caption=rp_ge[$t.p.id].addCaption;
					} else {
						p.caption=rp_ge[$t.p.id].editCaption;
						frmoper = "edit";
					}
					if(p.recreateForm===true && $("#"+$.jgrid.jqID(IDs.themodal))[0] !== undefined) {
						$("#"+$.jgrid.jqID(IDs.themodal)).remove();
					}
					var closeovrl = true;
					if(p.checkOnUpdate && p.jqModal && !p.modal) {
						closeovrl = false;
					}
					function getFormData(){
						$(frmtb+" > tbody > tr > td > .FormElement").each(function() {
							var celm = $(".customelement", this);
							if (celm.length) {
								var  elem = celm[0], nm = $(elem).attr('name');
								$.each($t.p.colModel, function(){
									if(this.name === nm && this.editoptions && $.isFunction(this.editoptions.custom_value)) {
										try {
											postdata[nm] = this.editoptions.custom_value.call($t, $("#"+$.jgrid.jqID(nm),frmtb),'get');
											if (postdata[nm] === undefined) {throw "e1";}
										} catch (e) {
											if (e==="e1") {$.jgrid.info_dialog($.jgrid.errors.errcap,"function 'custom_value' "+$.jgrid.edit.msg.novalue,$.jgrid.edit.bClose);}
											else {$.jgrid.info_dialog($.jgrid.errors.errcap,e.message,$.jgrid.edit.bClose);}
										}
										return true;
									}
								});
							} else {
								switch ($(this).get(0).type) {
									case "checkbox":
										if($(this).is(":checked")) {
											postdata[this.name]= $(this).val();
										}else {
											var ofv = $(this).attr("offval");
											postdata[this.name]= ofv;
										}
										break;
									case "select-one":
										postdata[this.name]= $("option:selected",this).val();
										extpost[this.name]= $("option:selected",this).text();
										break;
									case "select-multiple":
										postdata[this.name]= $(this).val();
										if(postdata[this.name]) {postdata[this.name] = postdata[this.name].join(",");}
										else {postdata[this.name] ="";}
										var selectedText = [];
										$("option:selected",this).each(
											function(i,selected){
												selectedText[i] = $(selected).text();
											}
										);
										extpost[this.name]= selectedText.join(",");
										break;
									case "password":
									case "text":
									case "textarea":
									case "button":
										postdata[this.name] = $(this).val();

										break;
								}
								if($t.p.autoencode) {postdata[this.name] = $.jgrid.htmlEncode(postdata[this.name]);}
							}
						});
						return true;
					}
					function createData(rowid,obj,tb,maxcols){
						var nm, hc,trdata, cnt=0,tmp, dc,elc, retpos=[], ind=false,
							tdtmpl = "<td class='CaptionTD'>&#160;</td><td class='DataTD'>&#160;</td>", tmpl="", i; //*2
						for (i =1; i<=maxcols;i++) {
							tmpl += tdtmpl;
						}
						if(rowid != '_empty') {
							ind = $(obj).jqGrid("getInd",rowid);
						}
						$(obj.p.colModel).each( function(i) {
							nm = this.name;
							// hidden fields are included in the form
							if(this.editrules && this.editrules.edithidden === true) {
								hc = false;
							} else {
								hc = this.hidden === true ? true : false;
							}
							dc = hc ? "style='display:none'" : "";
							if ( nm !== 'cb' && nm !== 'subgrid' && this.editable===true && nm !== 'rn') {
								if(ind === false) {
									tmp = "";
								} else {
									if(nm == obj.p.ExpandColumn && obj.p.treeGrid === true) {
										tmp = $("td[role='gridcell']:eq("+i+")",obj.rows[ind]).text();
									} else {
										try {
											tmp =  $.unformat.call(obj, $("td[role='gridcell']:eq("+i+")",obj.rows[ind]),{rowId:rowid, colModel:this},i);
										} catch (_) {
											tmp =  (this.edittype && this.edittype == "textarea") ? $("td[role='gridcell']:eq("+i+")",obj.rows[ind]).text() : $("td[role='gridcell']:eq("+i+")",obj.rows[ind]).html();
										}
										if(!tmp || tmp == "&nbsp;" || tmp == "&#160;" || (tmp.length==1 && tmp.charCodeAt(0)==160) ) {tmp='';}
									}
								}
								var opt = $.extend({}, this.editoptions || {} ,{id:nm,name:nm}),
									frmopt = $.extend({}, {elmprefix:'',elmsuffix:'',rowabove:false,rowcontent:''}, this.formoptions || {}),
									rp = parseInt(frmopt.rowpos,10) || cnt+1,
									cp = parseInt((parseInt(frmopt.colpos,10) || 1)*2,10);
								if(rowid == "_empty" && opt.defaultValue ) {
									tmp = $.isFunction(opt.defaultValue) ? opt.defaultValue.call($t) : opt.defaultValue;
								}
								if(!this.edittype) {this.edittype = "text";}
								if($t.p.autoencode) {tmp = $.jgrid.htmlDecode(tmp);}
								elc = $.jgrid.createEl.call($t,this.edittype,opt,tmp,false,$.extend({},$.jgrid.ajaxOptions,obj.p.ajaxSelectOptions || {}));
								if(tmp === "" && this.edittype == "checkbox") {tmp = $(elc).attr("offval");}
								if(tmp === "" && this.edittype == "select") {tmp = $("option:eq(0)",elc).text();}
								if(rp_ge[$t.p.id].checkOnSubmit || rp_ge[$t.p.id].checkOnUpdate) {rp_ge[$t.p.id]._savedData[nm] = tmp;}
								$(elc).addClass("FormElement");
								if(this.edittype == 'text' || this.edittype == 'textarea') {
									$(elc).addClass("ui-widget-content ui-corner-all");
								}
								trdata = $(tb).find("tr[rowpos="+rp+"]");
								if(frmopt.rowabove) {
									var newdata = $("<tr><td class='contentinfo' colspan='"+(maxcols*2)+"'>"+frmopt.rowcontent+"</td></tr>");
									$(tb).append(newdata);
									newdata[0].rp = rp;
								}
								if ( trdata.length===0 ) {
									trdata = $("<tr "+dc+" rowpos='"+rp+"'></tr>").addClass("FormData").attr("id","tr_"+nm);
									$(trdata).append(tmpl);
									$(tb).append(trdata);
									trdata[0].rp = rp;
								}
								$("td:eq("+(cp-2)+")",trdata[0]).html(frmopt.label === undefined ? obj.p.colNames[i]: frmopt.label);
								$("td:eq("+(cp-1)+")",trdata[0]).append(frmopt.elmprefix).append(elc).append(frmopt.elmsuffix);
								if($.isFunction(opt.custom_value) && rowid !== "_empty" ) {
									opt.custom_value.call($t, $("#"+nm,"#"+frmgr),'set',tmp);
								}
								$.jgrid.bindEv( elc, opt, $t);
								retpos[cnt] = i;
								cnt++;
							}
						});
						if( cnt > 0) {
							var idrow = $("<tr class='FormData' style='display:none'><td class='CaptionTD'></td><td colspan='"+ (maxcols*2-1)+"' class='DataTD'><input class='FormElement' id='id_g' type='text' name='"+obj.p.id+"_id' value='"+rowid+"'/></td></tr>");
							idrow[0].rp = cnt+999;
							$(tb).append(idrow);
							if(rp_ge[$t.p.id].checkOnSubmit || rp_ge[$t.p.id].checkOnUpdate) {rp_ge[$t.p.id]._savedData[obj.p.id+"_id"] = rowid;}
						}
						return retpos;
					}
					function fillData(rowid,obj,fmid){
						var nm,cnt=0,tmp, fld,opt,vl,vlc;
						if(rp_ge[$t.p.id].checkOnSubmit || rp_ge[$t.p.id].checkOnUpdate) {rp_ge[$t.p.id]._savedData = {};rp_ge[$t.p.id]._savedData[obj.p.id+"_id"]=rowid;}
						var cm = obj.p.colModel;
						if(rowid == '_empty') {
							$(cm).each(function(){
								nm = this.name;
								opt = $.extend({}, this.editoptions || {} );
								fld = $("#"+$.jgrid.jqID(nm),"#"+fmid);
								if(fld && fld.length && fld[0] !== null) {
									vl = "";
									if(opt.defaultValue ) {
										vl = $.isFunction(opt.defaultValue) ? opt.defaultValue.call($t) : opt.defaultValue;
										if(fld[0].type=='checkbox') {
											vlc = vl.toLowerCase();
											if(vlc.search(/(false|0|no|off|undefined)/i)<0 && vlc!=="") {
												fld[0].checked = true;
												fld[0].defaultChecked = true;
												fld[0].value = vl;
											} else {
												fld[0].checked = false;
												fld[0].defaultChecked = false;
											}
										} else {fld.val(vl);}
									} else {
										if( fld[0].type=='checkbox' ) {
											fld[0].checked = false;
											fld[0].defaultChecked = false;
											vl = $(fld).attr("offval");
										} else if (fld[0].type && fld[0].type.substr(0,6)=='select') {
											fld[0].selectedIndex = 0;
										} else {
											fld.val(vl);
										}
									}
									if(rp_ge[$t.p.id].checkOnSubmit===true || rp_ge[$t.p.id].checkOnUpdate) {rp_ge[$t.p.id]._savedData[nm] = vl;}
								}
							});
							$("#id_g","#"+fmid).val(rowid);
							return;
						}
						var tre = $(obj).jqGrid("getInd",rowid,true);
						if(!tre) {return;}
						$('td[role="gridcell"]',tre).each( function(i) {
							nm = cm[i].name;
							// hidden fields are included in the form
							if ( nm !== 'cb' && nm !== 'subgrid' && nm !== 'rn' && cm[i].editable===true) {
								if(nm == obj.p.ExpandColumn && obj.p.treeGrid === true) {
									tmp = $(this).text();
								} else {
									try {
										tmp =  $.unformat.call(obj, $(this),{rowId:rowid, colModel:cm[i]},i);
									} catch (_) {
										tmp = cm[i].edittype=="textarea" ? $(this).text() : $(this).html();
									}
								}
								if($t.p.autoencode) {tmp = $.jgrid.htmlDecode(tmp);}
								if(rp_ge[$t.p.id].checkOnSubmit===true || rp_ge[$t.p.id].checkOnUpdate) {rp_ge[$t.p.id]._savedData[nm] = tmp;}
								nm = $.jgrid.jqID(nm);
								switch (cm[i].edittype) {
									case "password":
									case "text":
									case "button" :
									case "image":
									case "textarea":
										if(tmp == "&nbsp;" || tmp == "&#160;" || (tmp.length==1 && tmp.charCodeAt(0)==160) ) {tmp='';}
										$("#"+nm,"#"+fmid).val(tmp);
										break;
									case "select":
										var opv = tmp.split(",");
										opv = $.map(opv,function(n){return $.trim(n);});
										$("#"+nm+" option","#"+fmid).each(function(){
											if (!cm[i].editoptions.multiple && ($.trim(tmp) == $.trim($(this).text()) || opv[0] == $.trim($(this).text()) || opv[0] == $.trim($(this).val())) ){
												this.selected= true;
											} else if (cm[i].editoptions.multiple){
												if(  $.inArray($.trim($(this).text()), opv ) > -1 || $.inArray($.trim($(this).val()), opv ) > -1  ){
													this.selected = true;
												}else{
													this.selected = false;
												}
											} else {
												this.selected = false;
											}
										});
										break;
									case "checkbox":
										tmp = String(tmp);
										if(cm[i].editoptions && cm[i].editoptions.value) {
											var cb = cm[i].editoptions.value.split(":");
											if(cb[0] == tmp) {
												$("#"+nm,"#"+fmid)[$t.p.useProp ? 'prop': 'attr']("checked",true);
												$("#"+nm,"#"+fmid)[$t.p.useProp ? 'prop': 'attr']("defaultChecked",true); //ie
											} else {
												$("#"+nm,"#"+fmid)[$t.p.useProp ? 'prop': 'attr']("checked", false);
												$("#"+nm,"#"+fmid)[$t.p.useProp ? 'prop': 'attr']("defaultChecked", false); //ie
											}
										} else {
											tmp = tmp.toLowerCase();
											if(tmp.search(/(false|0|no|off|undefined)/i)<0 && tmp!=="") {
												$("#"+nm,"#"+fmid)[$t.p.useProp ? 'prop': 'attr']("checked",true);
												$("#"+nm,"#"+fmid)[$t.p.useProp ? 'prop': 'attr']("defaultChecked",true); //ie
											} else {
												$("#"+nm,"#"+fmid)[$t.p.useProp ? 'prop': 'attr']("checked", false);
												$("#"+nm,"#"+fmid)[$t.p.useProp ? 'prop': 'attr']("defaultChecked", false); //ie
											}
										}
										break;
									case 'custom' :
										try {
											if(cm[i].editoptions && $.isFunction(cm[i].editoptions.custom_value)) {
												cm[i].editoptions.custom_value.call($t, $("#"+nm,"#"+fmid),'set',tmp);
											} else {throw "e1";}
										} catch (e) {
											if (e=="e1") {$.jgrid.info_dialog($.jgrid.errors.errcap,"function 'custom_value' "+$.jgrid.edit.msg.nodefined,$.jgrid.edit.bClose);}
											else {$.jgrid.info_dialog($.jgrid.errors.errcap,e.message,$.jgrid.edit.bClose);}
										}
										break;
								}
								cnt++;
							}
						});
						if(cnt>0) {$("#id_g",frmtb).val(rowid);}
					}
					function setNulls() {
						$.each($t.p.colModel, function(i,n){
							if(n.editoptions && n.editoptions.NullIfEmpty === true) {
								if(postdata.hasOwnProperty(n.name) && postdata[n.name] === "") {
									postdata[n.name] = 'null';
								}
							}
						});
					}
					function postIt() {
						var copydata, ret=[true,"",""], onCS = {}, opers = $t.p.prmNames, idname, oper, key, selr, i;

						var retvals = $($t).triggerHandler("jqGridAddEditBeforeCheckValues", [$("#"+frmgr), frmoper]);
						if(retvals && typeof retvals === 'object') {postdata = retvals;}

						if($.isFunction(rp_ge[$t.p.id].beforeCheckValues)) {
							retvals = rp_ge[$t.p.id].beforeCheckValues.call($t, postdata,$("#"+frmgr),postdata[$t.p.id+"_id"] == "_empty" ? opers.addoper : opers.editoper);
							if(retvals && typeof retvals === 'object') {postdata = retvals;}
						}
						for( key in postdata ){
							if(postdata.hasOwnProperty(key)) {
								ret = $.jgrid.checkValues.call($t,postdata[key],key,$t);
								if(ret[0] === false) {break;}
							}
						}
						setNulls();
						if(ret[0]) {
							onCS = $($t).triggerHandler("jqGridAddEditClickSubmit", [rp_ge[$t.p.id], postdata, frmoper]);
							if( onCS === undefined && $.isFunction( rp_ge[$t.p.id].onclickSubmit)) {
								onCS = rp_ge[$t.p.id].onclickSubmit.call($t, rp_ge[$t.p.id], postdata) || {};
							}
							ret = $($t).triggerHandler("jqGridAddEditBeforeSubmit", [postdata, $("#"+frmgr), frmoper]);
							if(ret === undefined) {
								ret = [true,"",""];
							}
							if( ret[0] && $.isFunction(rp_ge[$t.p.id].beforeSubmit))  {
								ret = rp_ge[$t.p.id].beforeSubmit.call($t,postdata,$("#"+frmgr));
							}
						}

						if(ret[0] && !rp_ge[$t.p.id].processing) {
							rp_ge[$t.p.id].processing = true;
							$("#sData", frmtb+"_2").addClass('ui-state-active');
							oper = opers.oper;
							idname = opers.id;
							// we add to pos data array the action - the name is oper
							postdata[oper] = ($.trim(postdata[$t.p.id+"_id"]) == "_empty") ? opers.addoper : opers.editoper;
							if(postdata[oper] != opers.addoper) {
								postdata[idname] = postdata[$t.p.id+"_id"];
							} else {
								// check to see if we have allredy this field in the form and if yes lieve it
								if( postdata[idname] === undefined ) {postdata[idname] = postdata[$t.p.id+"_id"];}
							}
							delete postdata[$t.p.id+"_id"];
							postdata = $.extend(postdata,rp_ge[$t.p.id].editData,onCS);
							if($t.p.treeGrid === true)  {
								if(postdata[oper] == opers.addoper) {
									selr = $($t).jqGrid("getGridParam", 'selrow');
									var tr_par_id = $t.p.treeGridModel == 'adjacency' ? $t.p.treeReader.parent_id_field : 'parent_id';
									postdata[tr_par_id] = selr;
								}
								for(i in $t.p.treeReader){
									if($t.p.treeReader.hasOwnProperty(i)) {
										var itm = $t.p.treeReader[i];
										if(postdata.hasOwnProperty(itm)) {
											if(postdata[oper] == opers.addoper && i === 'parent_id_field') {continue;}
											delete postdata[itm];
										}
									}
								}
							}

							postdata[idname] = $.jgrid.stripPref($t.p.idPrefix, postdata[idname]);
							var ajaxOptions = $.extend({
								url: rp_ge[$t.p.id].url || $($t).jqGrid('getGridParam','editurl'),
								type: rp_ge[$t.p.id].mtype,
								data: $.isFunction(rp_ge[$t.p.id].serializeEditData) ? rp_ge[$t.p.id].serializeEditData.call($t,postdata) :  postdata,
								complete:function(data,status){
									var key;
									postdata[idname] = $t.p.idPrefix + postdata[idname];
									if(status != "success") {
										ret[0] = false;
										ret[1] = $($t).triggerHandler("jqGridAddEditErrorTextFormat", [data, frmoper]);
										if ($.isFunction(rp_ge[$t.p.id].errorTextFormat)) {
											ret[1] = rp_ge[$t.p.id].errorTextFormat.call($t, data);
										} else {
											ret[1] = status + " Status: '" + data.statusText + "'. Error code: " + data.status;
										}
									} else {
										// data is posted successful
										// execute aftersubmit with the returned data from server
										ret = $($t).triggerHandler("jqGridAddEditAfterSubmit", [data, postdata, frmoper]);
										if(ret === undefined) {
											ret = [true,"",""];
										}
										if( ret[0] && $.isFunction(rp_ge[$t.p.id].afterSubmit) ) {
											ret = rp_ge[$t.p.id].afterSubmit.call($t, data,postdata);
										}
									}
									if(ret[0] === false) {
										$("#FormError>td",frmtb).html(ret[1]);
										$("#FormError",frmtb).show();
									} else {
										// remove some values if formattaer select or checkbox
										$.each($t.p.colModel, function(){
											if(extpost[this.name] && this.formatter && this.formatter=='select') {
												try {delete extpost[this.name];} catch (e) {}
											}
										});
										postdata = $.extend(postdata,extpost);
										if($t.p.autoencode) {
											$.each(postdata,function(n,v){
												postdata[n] = $.jgrid.htmlDecode(v);
											});
										}
										//rp_ge[$t.p.id].reloadAfterSubmit = rp_ge[$t.p.id].reloadAfterSubmit && $t.p.datatype != "local";
										// the action is add
										if(postdata[oper] == opers.addoper ) {
											//id processing
											// user not set the id ret[2]
											if(!ret[2]) {ret[2] = $.jgrid.randId();}
											postdata[idname] = ret[2];
											if(rp_ge[$t.p.id].closeAfterAdd) {
												if(rp_ge[$t.p.id].reloadAfterSubmit) {$($t).trigger("reloadGrid");}
												else {
													if($t.p.treeGrid === true){
														$($t).jqGrid("addChildNode",ret[2],selr,postdata );
													} else {
														$($t).jqGrid("addRowData",ret[2],postdata,p.addedrow);
														$($t).jqGrid("setSelection",ret[2]);
													}
												}
												$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal,onClose: rp_ge[$t.p.id].onClose});
											} else if (rp_ge[$t.p.id].clearAfterAdd) {
												if(rp_ge[$t.p.id].reloadAfterSubmit) {$($t).trigger("reloadGrid");}
												else {
													if($t.p.treeGrid === true){
														$($t).jqGrid("addChildNode",ret[2],selr,postdata );
													} else {
														$($t).jqGrid("addRowData",ret[2],postdata,p.addedrow);
													}
												}
												fillData("_empty",$t,frmgr);
											} else {
												if(rp_ge[$t.p.id].reloadAfterSubmit) {$($t).trigger("reloadGrid");}
												else {
													if($t.p.treeGrid === true){
														$($t).jqGrid("addChildNode",ret[2],selr,postdata );
													} else {
														$($t).jqGrid("addRowData",ret[2],postdata,p.addedrow);
													}
												}
											}
										} else {
											// the action is update
											if(rp_ge[$t.p.id].reloadAfterSubmit) {
												$($t).trigger("reloadGrid");
												if( !rp_ge[$t.p.id].closeAfterEdit ) {setTimeout(function(){$($t).jqGrid("setSelection",postdata[idname]);},1000);}
											} else {
												if($t.p.treeGrid === true) {
													$($t).jqGrid("setTreeRow", postdata[idname],postdata);
												} else {
													$($t).jqGrid("setRowData", postdata[idname],postdata);
												}
											}
											if(rp_ge[$t.p.id].closeAfterEdit) {$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal,onClose: rp_ge[$t.p.id].onClose});}
										}
										if($.isFunction(rp_ge[$t.p.id].afterComplete)) {
											copydata = data;
											setTimeout(function(){
												$($t).triggerHandler("jqGridAddEditAfterComplete", [copydata, postdata, $("#"+frmgr), frmoper]);
												rp_ge[$t.p.id].afterComplete.call($t, copydata, postdata, $("#"+frmgr));
												copydata=null;
											},500);
										}
										if(rp_ge[$t.p.id].checkOnSubmit || rp_ge[$t.p.id].checkOnUpdate) {
											$("#"+frmgr).data("disabled",false);
											if(rp_ge[$t.p.id]._savedData[$t.p.id+"_id"] !="_empty"){
												for(key in rp_ge[$t.p.id]._savedData) {
													if(rp_ge[$t.p.id]._savedData.hasOwnProperty(key) && postdata[key]) {
														rp_ge[$t.p.id]._savedData[key] = postdata[key];
													}
												}
											}
										}
									}
									rp_ge[$t.p.id].processing=false;
									$("#sData", frmtb+"_2").removeClass('ui-state-active');
									try{$(':input:visible',"#"+frmgr)[0].focus();} catch (e){}
								}
							}, $.jgrid.ajaxOptions, rp_ge[$t.p.id].ajaxEditOptions );

							if (!ajaxOptions.url && !rp_ge[$t.p.id].useDataProxy) {
								if ($.isFunction($t.p.dataProxy)) {
									rp_ge[$t.p.id].useDataProxy = true;
								} else {
									ret[0]=false;ret[1] += " "+$.jgrid.errors.nourl;
								}
							}
							if (ret[0]) {
								if (rp_ge[$t.p.id].useDataProxy) {
									var dpret = $t.p.dataProxy.call($t, ajaxOptions, "set_"+$t.p.id);
									if(dpret === undefined) {
										dpret = [true, ""];
									}
									if(dpret[0] === false ) {
										ret[0] = false;
										ret[1] = dpret[1] || "Error deleting the selected row!" ;
									} else {
										if(ajaxOptions.data.oper == opers.addoper && rp_ge[$t.p.id].closeAfterAdd ) {
											$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal, onClose: rp_ge[$t.p.id].onClose});
										}
										if(ajaxOptions.data.oper == opers.editoper && rp_ge[$t.p.id].closeAfterEdit ) {
											$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal, onClose: rp_ge[$t.p.id].onClose});
										}
									}
								} else {
									$.ajax(ajaxOptions);
								}
							}
						}
						if(ret[0] === false) {
							$("#FormError>td",frmtb).html(ret[1]);
							$("#FormError",frmtb).show();
							// return;
						}
					}
					function compareData(nObj, oObj ) {
						var ret = false,key;
						for (key in nObj) {
							if(nObj.hasOwnProperty(key) && nObj[key] != oObj[key]) {
								ret = true;
								break;
							}
						}
						return ret;
					}
					function checkUpdates () {
						var stat = true;
						$("#FormError",frmtb).hide();
						if(rp_ge[$t.p.id].checkOnUpdate) {
							postdata = {};extpost={};
							getFormData();
							newData = $.extend({},postdata,extpost);
							diff = compareData(newData,rp_ge[$t.p.id]._savedData);
							if(diff) {
								$("#"+frmgr).data("disabled",true);
								$(".confirm","#"+IDs.themodal).show();
								stat = false;
							}
						}
						return stat;
					}
					function restoreInline()
					{
						var i;
						if (rowid !== "_empty" && $t.p.savedRow !== undefined && $t.p.savedRow.length > 0 && $.isFunction($.fn.jqGrid.restoreRow)) {
							for (i=0;i<$t.p.savedRow.length;i++) {
								if ($t.p.savedRow[i].id == rowid) {
									$($t).jqGrid('restoreRow',rowid);
									break;
								}
							}
						}
					}
					function updateNav(cr, posarr){
						var totr = posarr[1].length-1;
						if (cr===0) {
							$("#pData",frmtb+"_2").addClass('ui-state-disabled');
						} else if( posarr[1][cr-1] !== undefined && $("#"+$.jgrid.jqID(posarr[1][cr-1])).hasClass('ui-state-disabled')) {
							$("#pData",frmtb+"_2").addClass('ui-state-disabled');
						} else {
							$("#pData",frmtb+"_2").removeClass('ui-state-disabled');
						}

						if (cr==totr) {
							$("#nData",frmtb+"_2").addClass('ui-state-disabled');
						} else if( posarr[1][cr+1] !== undefined && $("#"+$.jgrid.jqID(posarr[1][cr+1])).hasClass('ui-state-disabled')) {
							$("#nData",frmtb+"_2").addClass('ui-state-disabled');
						} else {
							$("#nData",frmtb+"_2").removeClass('ui-state-disabled');
						}
					}
					function getCurrPos() {
						var rowsInGrid = $($t).jqGrid("getDataIDs"),
							selrow = $("#id_g",frmtb).val(),
							pos = $.inArray(selrow,rowsInGrid);
						return [pos,rowsInGrid];
					}

					if ( $("#"+$.jgrid.jqID(IDs.themodal))[0] !== undefined ) {
						showFrm = $($t).triggerHandler("jqGridAddEditBeforeInitData", [$("#"+$.jgrid.jqID(frmgr)), frmoper]);
						if(showFrm === undefined) {
							showFrm = true;
						}
						if(showFrm && onBeforeInit) {
							showFrm = onBeforeInit.call($t,$("#"+frmgr));
						}
						if(showFrm === false) {return;}
						restoreInline();
						$(".ui-jqdialog-title","#"+$.jgrid.jqID(IDs.modalhead)).html(p.caption);
						$("#FormError",frmtb).hide();
						if(rp_ge[$t.p.id].topinfo) {
							$(".topinfo",frmtb).html(rp_ge[$t.p.id].topinfo);
							$(".tinfo",frmtb).show();
						} else {
							$(".tinfo",frmtb).hide();
						}
						if(rp_ge[$t.p.id].bottominfo) {
							$(".bottominfo",frmtb+"_2").html(rp_ge[$t.p.id].bottominfo);
							$(".binfo",frmtb+"_2").show();
						} else {
							$(".binfo",frmtb+"_2").hide();
						}
						// filldata
						fillData(rowid,$t,frmgr);
						///
						if(rowid=="_empty" || !rp_ge[$t.p.id].viewPagerButtons) {
							$("#pData, #nData",frmtb+"_2").hide();
						} else {
							$("#pData, #nData",frmtb+"_2").show();
						}
						if(rp_ge[$t.p.id].processing===true) {
							rp_ge[$t.p.id].processing=false;
							$("#sData", frmtb+"_2").removeClass('ui-state-active');
						}
						if($("#"+frmgr).data("disabled")===true) {
							$(".confirm","#"+$.jgrid.jqID(IDs.themodal)).hide();
							$("#"+frmgr).data("disabled",false);
						}
						$($t).triggerHandler("jqGridAddEditBeforeShowForm", [$("#"+frmgr), frmoper]);
						if(onBeforeShow) { onBeforeShow.call($t, $("#"+frmgr)); }
						$("#"+$.jgrid.jqID(IDs.themodal)).data("onClose",rp_ge[$t.p.id].onClose);
						$.jgrid.viewModal("#"+$.jgrid.jqID(IDs.themodal),{gbox:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal, jqM: false, overlay: p.overlay, modal:p.modal});
						if(!closeovrl) {
							$(".jqmOverlay").click(function(){
								if(!checkUpdates()) {return false;}
								$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal, onClose: rp_ge[$t.p.id].onClose});
								return false;
							});
						}
						$($t).triggerHandler("jqGridAddEditAfterShowForm", [$("#"+frmgr), frmoper]);
						if(onAfterShow) { onAfterShow.call($t, $("#"+frmgr)); }
					} else {
						var dh = isNaN(p.dataheight) ? p.dataheight : p.dataheight+"px",
							frm = $("<form name='FormPost' id='"+frmgr+"' class='FormGrid' onSubmit='return false;' style='width:100%;overflow:auto;position:relative;height:"+dh+";'></form>").data("disabled",false),
							tbl = $("<table id='"+frmtborg+"' class='EditTable' cellspacing='0' cellpadding='0' border='0'><tbody></tbody></table>");
						showFrm = $($t).triggerHandler("jqGridAddEditBeforeInitData", [$("#"+frmgr), frmoper]);
						if(showFrm === undefined) {
							showFrm = true;
						}
						if(showFrm && onBeforeInit) {
							showFrm = onBeforeInit.call($t,$("#"+frmgr));
						}
						if(showFrm === false) {return;}
						restoreInline();
						$($t.p.colModel).each( function() {
							var fmto = this.formoptions;
							maxCols = Math.max(maxCols, fmto ? fmto.colpos || 0 : 0 );
							maxRows = Math.max(maxRows, fmto ? fmto.rowpos || 0 : 0 );
						});
						$(frm).append(tbl);
						var flr = $("<tr id='FormError' style='display:none'><td class='ui-state-error' colspan='"+(maxCols*2)+"'></td></tr>");
						flr[0].rp = 0;
						$(tbl).append(flr);
						//topinfo
						flr = $("<tr style='display:none' class='tinfo'><td class='topinfo' colspan='"+(maxCols*2)+"'>"+rp_ge[$t.p.id].topinfo+"</td></tr>");
						flr[0].rp = 0;
						$(tbl).append(flr);
						// set the id.
						// use carefull only to change here colproperties.
						// create data
						var rtlb = $t.p.direction == "rtl" ? true :false,
							bp = rtlb ? "nData" : "pData",
							bn = rtlb ? "pData" : "nData";
						createData(rowid,$t,tbl,maxCols);
						// buttons at footer
						var bP = "<a href='javascript:void(0)' id='"+bp+"' class='fm-button ui-state-default ui-corner-left'><span class='ui-icon ui-icon-triangle-1-w'></span></a>",
							bN = "<a href='javascript:void(0)' id='"+bn+"' class='fm-button ui-state-default ui-corner-right'><span class='ui-icon ui-icon-triangle-1-e'></span></a>",
							bS  ="<a href='javascript:void(0)' id='sData' class='fm-button ui-state-default ui-corner-all'>"+p.bSubmit+"</a>",
							bC  ="<a href='javascript:void(0)' id='cData' class='fm-button ui-state-default ui-corner-all'>"+p.bCancel+"</a>";
						var bt = "<table border='0' cellspacing='0' cellpadding='0' class='EditTable' id='"+frmtborg+"_2'><tbody><tr><td colspan='2'><hr class='ui-widget-content' style='margin:1px'/></td></tr><tr id='Act_Buttons'><td class='navButton'>"+(rtlb ? bN+bP : bP+bN)+"</td><td class='EditButton'>"+bS+bC+"</td></tr>";
						bt += "<tr style='display:none' class='binfo'><td class='bottominfo' colspan='2'>"+rp_ge[$t.p.id].bottominfo+"</td></tr>";
						bt += "</tbody></table>";
						if(maxRows >  0) {
							var sd=[];
							$.each($(tbl)[0].rows,function(i,r){
								sd[i] = r;
							});
							sd.sort(function(a,b){
								if(a.rp > b.rp) {return 1;}
								if(a.rp < b.rp) {return -1;}
								return 0;
							});
							$.each(sd, function(index, row) {
								$('tbody',tbl).append(row);
							});
						}
						p.gbox = "#gbox_"+$.jgrid.jqID(gID);
						var cle = false;
						if(p.closeOnEscape===true){
							p.closeOnEscape = false;
							cle = true;
						}
						var tms = $("<span></span>").append(frm).append(bt);
						$.jgrid.createModal(IDs,tms,p,"#gview_"+$.jgrid.jqID($t.p.id),$("#gbox_"+$.jgrid.jqID($t.p.id))[0]);
						if(rtlb) {
							$("#pData, #nData",frmtb+"_2").css("float","right");
							$(".EditButton",frmtb+"_2").css("text-align","left");
						}
						if(rp_ge[$t.p.id].topinfo) {$(".tinfo",frmtb).show();}
						if(rp_ge[$t.p.id].bottominfo) {$(".binfo",frmtb+"_2").show();}
						tms = null;bt=null;
						$("#"+$.jgrid.jqID(IDs.themodal)).keydown( function( e ) {
							var wkey = e.target;
							if ($("#"+frmgr).data("disabled")===true ) {return false;}//??
							if(rp_ge[$t.p.id].savekey[0] === true && e.which == rp_ge[$t.p.id].savekey[1]) { // save
								if(wkey.tagName != "TEXTAREA") {
									$("#sData", frmtb+"_2").trigger("click");
									return false;
								}
							}
							if(e.which === 27) {
								if(!checkUpdates()) {return false;}
								if(cle)	{$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:p.gbox,jqm:p.jqModal, onClose: rp_ge[$t.p.id].onClose});}
								return false;
							}
							if(rp_ge[$t.p.id].navkeys[0]===true) {
								if($("#id_g",frmtb).val() == "_empty") {return true;}
								if(e.which == rp_ge[$t.p.id].navkeys[1]){ //up
									$("#pData", frmtb+"_2").trigger("click");
									return false;
								}
								if(e.which == rp_ge[$t.p.id].navkeys[2]){ //down
									$("#nData", frmtb+"_2").trigger("click");
									return false;
								}
							}
						});
						if(p.checkOnUpdate) {
							$("a.ui-jqdialog-titlebar-close span","#"+$.jgrid.jqID(IDs.themodal)).removeClass("jqmClose");
							$("a.ui-jqdialog-titlebar-close","#"+$.jgrid.jqID(IDs.themodal)).unbind("click")
								.click(function(){
									if(!checkUpdates()) {return false;}
									$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal,onClose: rp_ge[$t.p.id].onClose});
									return false;
								});
						}
						p.saveicon = $.extend([true,"left","ui-icon-disk"],p.saveicon);
						p.closeicon = $.extend([true,"left","ui-icon-close"],p.closeicon);
						// beforeinitdata after creation of the form
						if(p.saveicon[0]===true) {
							$("#sData",frmtb+"_2").addClass(p.saveicon[1] == "right" ? 'fm-button-icon-right' : 'fm-button-icon-left')
								.append("<span class='ui-icon "+p.saveicon[2]+"'></span>");
						}
						if(p.closeicon[0]===true) {
							$("#cData",frmtb+"_2").addClass(p.closeicon[1] == "right" ? 'fm-button-icon-right' : 'fm-button-icon-left')
								.append("<span class='ui-icon "+p.closeicon[2]+"'></span>");
						}
						if(rp_ge[$t.p.id].checkOnSubmit || rp_ge[$t.p.id].checkOnUpdate) {
							bS  ="<a href='javascript:void(0)' id='sNew' class='fm-button ui-state-default ui-corner-all' style='z-index:1002'>"+p.bYes+"</a>";
							bN  ="<a href='javascript:void(0)' id='nNew' class='fm-button ui-state-default ui-corner-all' style='z-index:1002'>"+p.bNo+"</a>";
							bC  ="<a href='javascript:void(0)' id='cNew' class='fm-button ui-state-default ui-corner-all' style='z-index:1002'>"+p.bExit+"</a>";
							var ii, zI = p.zIndex  || 999;zI ++;
							if ($.browser.msie && $.browser.version ==6) {
								ii = '<iframe style="display:block;position:absolute;z-index:-1;filter:Alpha(Opacity=\'0\');" src="javascript:false;"></iframe>';
							} else {ii="";}
							$("<div class='ui-widget-overlay jqgrid-overlay confirm' style='z-index:"+zI+";display:none;'>&#160;"+ii+"</div><div class='confirm ui-widget-content ui-jqconfirm' style='z-index:"+(zI+1)+"'>"+p.saveData+"<br/><br/>"+bS+bN+bC+"</div>").insertAfter("#"+frmgr);
							$("#sNew","#"+$.jgrid.jqID(IDs.themodal)).click(function(){
								postIt();
								$("#"+frmgr).data("disabled",false);
								$(".confirm","#"+$.jgrid.jqID(IDs.themodal)).hide();
								return false;
							});
							$("#nNew","#"+$.jgrid.jqID(IDs.themodal)).click(function(){
								$(".confirm","#"+$.jgrid.jqID(IDs.themodal)).hide();
								$("#"+frmgr).data("disabled",false);
								setTimeout(function(){$(":input","#"+frmgr)[0].focus();},0);
								return false;
							});
							$("#cNew","#"+$.jgrid.jqID(IDs.themodal)).click(function(){
								$(".confirm","#"+$.jgrid.jqID(IDs.themodal)).hide();
								$("#"+frmgr).data("disabled",false);
								$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal,onClose: rp_ge[$t.p.id].onClose});
								return false;
							});
						}
						// here initform - only once
						$($t).triggerHandler("jqGridAddEditInitializeForm", [$("#"+frmgr), frmoper]);
						if(onInitializeForm) {onInitializeForm.call($t,$("#"+frmgr));}
						if(rowid=="_empty" || !rp_ge[$t.p.id].viewPagerButtons) {$("#pData,#nData",frmtb+"_2").hide();} else {$("#pData,#nData",frmtb+"_2").show();}
						$($t).triggerHandler("jqGridAddEditBeforeShowForm", [$("#"+frmgr), frmoper]);
						if(onBeforeShow) { onBeforeShow.call($t, $("#"+frmgr));}
						$("#"+$.jgrid.jqID(IDs.themodal)).data("onClose",rp_ge[$t.p.id].onClose);
						$.jgrid.viewModal("#"+$.jgrid.jqID(IDs.themodal),{gbox:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal, overlay: p.overlay,modal:p.modal});
						if(!closeovrl) {
							$(".jqmOverlay").click(function(){
								if(!checkUpdates()) {return false;}
								$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal, onClose: rp_ge[$t.p.id].onClose});
								return false;
							});
						}
						$($t).triggerHandler("jqGridAddEditAfterShowForm", [$("#"+frmgr), frmoper]);
						if(onAfterShow) { onAfterShow.call($t, $("#"+frmgr)); }
						$(".fm-button","#"+$.jgrid.jqID(IDs.themodal)).hover(
							function(){$(this).addClass('ui-state-hover');},
							function(){$(this).removeClass('ui-state-hover');}
						);
						$("#sData", frmtb+"_2").click(function(){
							postdata = {};extpost={};
							$("#FormError",frmtb).hide();
							// all depend on ret array
							//ret[0] - succes
							//ret[1] - msg if not succes
							//ret[2] - the id  that will be set if reload after submit false
							getFormData();
							if(postdata[$t.p.id+"_id"] == "_empty")	{postIt();}
							else if(p.checkOnSubmit===true ) {
								newData = $.extend({},postdata,extpost);
								diff = compareData(newData,rp_ge[$t.p.id]._savedData);
								if(diff) {
									$("#"+frmgr).data("disabled",true);
									$(".confirm","#"+$.jgrid.jqID(IDs.themodal)).show();
								} else {
									postIt();
								}
							} else {
								postIt();
							}
							return false;
						});
						$("#cData", frmtb+"_2").click(function(){
							if(!checkUpdates()) {return false;}
							$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal,onClose: rp_ge[$t.p.id].onClose});
							return false;
						});
						$("#nData", frmtb+"_2").click(function(){
							if(!checkUpdates()) {return false;}
							$("#FormError",frmtb).hide();
							var npos = getCurrPos();
							npos[0] = parseInt(npos[0],10);
							if(npos[0] != -1 && npos[1][npos[0]+1]) {
								$($t).triggerHandler("jqGridAddEditClickPgButtons", ['next',$("#"+frmgr),npos[1][npos[0]]]);
								var nposret;
								if($.isFunction(p.onclickPgButtons)) {
									nposret = p.onclickPgButtons.call($t, 'next',$("#"+frmgr),npos[1][npos[0]]);
									if( nposret !== undefined && nposret === false ) {return false;}
								}
								if( $("#"+$.jgrid.jqID(npos[1][npos[0]+1])).hasClass('ui-state-disabled')) {return false;}
								fillData(npos[1][npos[0]+1],$t,frmgr);
								$($t).jqGrid("setSelection",npos[1][npos[0]+1]);
								$($t).triggerHandler("jqGridAddEditAfterClickPgButtons", ['next',$("#"+frmgr),npos[1][npos[0]]]);
								if($.isFunction(p.afterclickPgButtons)) {
									p.afterclickPgButtons.call($t, 'next',$("#"+frmgr),npos[1][npos[0]+1]);
								}
								updateNav(npos[0]+1,npos);
							}
							return false;
						});
						$("#pData", frmtb+"_2").click(function(){
							if(!checkUpdates()) {return false;}
							$("#FormError",frmtb).hide();
							var ppos = getCurrPos();
							if(ppos[0] != -1 && ppos[1][ppos[0]-1]) {
								$($t).triggerHandler("jqGridAddEditClickPgButtons", ['prev',$("#"+frmgr),ppos[1][ppos[0]]]);
								var pposret;
								if($.isFunction(p.onclickPgButtons)) {
									pposret = p.onclickPgButtons.call($t, 'prev',$("#"+frmgr),ppos[1][ppos[0]]);
									if( pposret !== undefined && pposret === false ) {return false;}
								}
								if( $("#"+$.jgrid.jqID(ppos[1][ppos[0]-1])).hasClass('ui-state-disabled')) {return false;}
								fillData(ppos[1][ppos[0]-1],$t,frmgr);
								$($t).jqGrid("setSelection",ppos[1][ppos[0]-1]);
								$($t).triggerHandler("jqGridAddEditAfterClickPgButtons", ['prev',$("#"+frmgr),ppos[1][ppos[0]]]);
								if($.isFunction(p.afterclickPgButtons)) {
									p.afterclickPgButtons.call($t, 'prev',$("#"+frmgr),ppos[1][ppos[0]-1]);
								}
								updateNav(ppos[0]-1,ppos);
							}
							return false;
						});
					}
					var posInit =getCurrPos();
					updateNav(posInit[0],posInit);

				});
			},
			viewGridRow : function(rowid, p){
				p = $.extend(true, {
					top : 0,
					left: 0,
					width: 0,
					height: 'auto',
					dataheight: 'auto',
					modal: false,
					overlay: 30,
					drag: true,
					resize: true,
					jqModal: true,
					closeOnEscape : false,
					labelswidth: '30%',
					closeicon: [],
					navkeys: [false,38,40],
					onClose: null,
					beforeShowForm : null,
					beforeInitData : null,
					viewPagerButtons : true
				}, $.jgrid.view, p || {});
				rp_ge[$(this)[0].p.id] = p;
				return this.each(function(){
					var $t = this;
					if (!$t.grid || !rowid) {return;}
					var gID = $t.p.id,
						frmgr = "ViewGrid_"+$.jgrid.jqID( gID  ), frmtb = "ViewTbl_" + $.jgrid.jqID( gID ),
						frmgr_id = "ViewGrid_"+gID, frmtb_id = "ViewTbl_"+gID,
						IDs = {themodal:'viewmod'+gID,modalhead:'viewhd'+gID,modalcontent:'viewcnt'+gID, scrollelm : frmgr},
						onBeforeInit = $.isFunction(rp_ge[$t.p.id].beforeInitData) ? rp_ge[$t.p.id].beforeInitData : false,
						showFrm = true,
						maxCols = 1, maxRows=0;
					function focusaref(){ //Sfari 3 issues
						if(rp_ge[$t.p.id].closeOnEscape===true || rp_ge[$t.p.id].navkeys[0]===true) {
							setTimeout(function(){$(".ui-jqdialog-titlebar-close","#"+$.jgrid.jqID(IDs.modalhead)).focus();},0);
						}
					}
					function createData(rowid,obj,tb,maxcols){
						var nm, hc,trdata, cnt=0,tmp, dc, retpos=[], ind=false, i,
							tdtmpl = "<td class='CaptionTD form-view-label ui-widget-content' width='"+p.labelswidth+"'>&#160;</td><td class='DataTD form-view-data ui-helper-reset ui-widget-content'>&#160;</td>", tmpl="",
							tdtmpl2 = "<td class='CaptionTD form-view-label ui-widget-content'>&#160;</td><td class='DataTD form-view-data ui-widget-content'>&#160;</td>",
							fmtnum = ['integer','number','currency'],max1 =0, max2=0 ,maxw,setme, viewfld;
						for (i=1;i<=maxcols;i++) {
							tmpl += i == 1 ? tdtmpl : tdtmpl2;
						}
						// find max number align rigth with property formatter
						$(obj.p.colModel).each( function() {
							if(this.editrules && this.editrules.edithidden === true) {
								hc = false;
							} else {
								hc = this.hidden === true ? true : false;
							}
							if(!hc && this.align==='right') {
								if(this.formatter && $.inArray(this.formatter,fmtnum) !== -1 ) {
									max1 = Math.max(max1,parseInt(this.width,10));
								} else {
									max2 = Math.max(max2,parseInt(this.width,10));
								}
							}
						});
						maxw  = max1 !==0 ? max1 : max2 !==0 ? max2 : 0;
						ind = $(obj).jqGrid("getInd",rowid);
						$(obj.p.colModel).each( function(i) {
							nm = this.name;
							setme = false;
							// hidden fields are included in the form
							if(this.editrules && this.editrules.edithidden === true) {
								hc = false;
							} else {
								hc = this.hidden === true ? true : false;
							}
							dc = hc ? "style='display:none'" : "";
							viewfld = (typeof this.viewable !== 'boolean') ? true : this.viewable;
							if ( nm !== 'cb' && nm !== 'subgrid' && nm !== 'rn' && viewfld) {
								if(ind === false) {
									tmp = "";
								} else {
									if(nm == obj.p.ExpandColumn && obj.p.treeGrid === true) {
										tmp = $("td:eq("+i+")",obj.rows[ind]).text();
									} else {
										tmp = $("td:eq("+i+")",obj.rows[ind]).html();
									}
								}
								setme = this.align === 'right' && maxw !==0 ? true : false;
								var frmopt = $.extend({},{rowabove:false,rowcontent:''}, this.formoptions || {}),
									rp = parseInt(frmopt.rowpos,10) || cnt+1,
									cp = parseInt((parseInt(frmopt.colpos,10) || 1)*2,10);
								if(frmopt.rowabove) {
									var newdata = $("<tr><td class='contentinfo' colspan='"+(maxcols*2)+"'>"+frmopt.rowcontent+"</td></tr>");
									$(tb).append(newdata);
									newdata[0].rp = rp;
								}
								trdata = $(tb).find("tr[rowpos="+rp+"]");
								if ( trdata.length===0 ) {
									trdata = $("<tr "+dc+" rowpos='"+rp+"'></tr>").addClass("FormData").attr("id","trv_"+nm);
									$(trdata).append(tmpl);
									$(tb).append(trdata);
									trdata[0].rp = rp;
								}
								$("td:eq("+(cp-2)+")",trdata[0]).html('<b>'+ (frmopt.label === undefined ? obj.p.colNames[i]: frmopt.label)+'</b>');
								$("td:eq("+(cp-1)+")",trdata[0]).append("<span>"+tmp+"</span>").attr("id","v_"+nm);
								if(setme){
									$("td:eq("+(cp-1)+") span",trdata[0]).css({'text-align':'right',width:maxw+"px"});
								}
								retpos[cnt] = i;
								cnt++;
							}
						});
						if( cnt > 0) {
							var idrow = $("<tr class='FormData' style='display:none'><td class='CaptionTD'></td><td colspan='"+ (maxcols*2-1)+"' class='DataTD'><input class='FormElement' id='id_g' type='text' name='id' value='"+rowid+"'/></td></tr>");
							idrow[0].rp = cnt+99;
							$(tb).append(idrow);
						}
						return retpos;
					}
					function fillData(rowid,obj){
						var nm, hc,cnt=0,tmp, opt,trv;
						trv = $(obj).jqGrid("getInd",rowid,true);
						if(!trv) {return;}
						$('td',trv).each( function(i) {
							nm = obj.p.colModel[i].name;
							// hidden fields are included in the form
							if(obj.p.colModel[i].editrules && obj.p.colModel[i].editrules.edithidden === true) {
								hc = false;
							} else {
								hc = obj.p.colModel[i].hidden === true ? true : false;
							}
							if ( nm !== 'cb' && nm !== 'subgrid' && nm !== 'rn') {
								if(nm == obj.p.ExpandColumn && obj.p.treeGrid === true) {
									tmp = $(this).text();
								} else {
									tmp = $(this).html();
								}
								opt = $.extend({},obj.p.colModel[i].editoptions || {});
								nm = $.jgrid.jqID("v_"+nm);
								$("#"+nm+" span","#"+frmtb).html(tmp);
								if (hc) {$("#"+nm,"#"+frmtb).parents("tr:first").hide();}
								cnt++;
							}
						});
						if(cnt>0) {$("#id_g","#"+frmtb).val(rowid);}
					}
					function updateNav(cr,posarr){
						var totr = posarr[1].length-1;
						if (cr===0) {
							$("#pData","#"+frmtb+"_2").addClass('ui-state-disabled');
						} else if( posarr[1][cr-1] !== undefined && $("#"+$.jgrid.jqID(posarr[1][cr-1])).hasClass('ui-state-disabled')) {
							$("#pData",frmtb+"_2").addClass('ui-state-disabled');
						} else {
							$("#pData","#"+frmtb+"_2").removeClass('ui-state-disabled');
						}
						if (cr==totr) {
							$("#nData","#"+frmtb+"_2").addClass('ui-state-disabled');
						} else if( posarr[1][cr+1] !== undefined && $("#"+$.jgrid.jqID(posarr[1][cr+1])).hasClass('ui-state-disabled')) {
							$("#nData",frmtb+"_2").addClass('ui-state-disabled');
						} else {
							$("#nData","#"+frmtb+"_2").removeClass('ui-state-disabled');
						}
					}
					function getCurrPos() {
						var rowsInGrid = $($t).jqGrid("getDataIDs"),
							selrow = $("#id_g","#"+frmtb).val(),
							pos = $.inArray(selrow,rowsInGrid);
						return [pos,rowsInGrid];
					}

					if ( $("#"+$.jgrid.jqID(IDs.themodal))[0] !== undefined ) {
						if(onBeforeInit) {
							showFrm = onBeforeInit.call($t,$("#"+frmgr));
							if(showFrm === undefined) {
								showFrm = true;
							}
						}
						if(showFrm === false) {return;}
						$(".ui-jqdialog-title","#"+$.jgrid.jqID(IDs.modalhead)).html(p.caption);
						$("#FormError","#"+frmtb).hide();
						fillData(rowid,$t);
						if($.isFunction(rp_ge[$t.p.id].beforeShowForm)) {rp_ge[$t.p.id].beforeShowForm.call($t,$("#"+frmgr));}
						$.jgrid.viewModal("#"+$.jgrid.jqID(IDs.themodal),{gbox:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal, jqM: false, overlay: p.overlay, modal:p.modal});
						focusaref();
					} else {
						var dh = isNaN(p.dataheight) ? p.dataheight : p.dataheight+"px";
						var frm = $("<form name='FormPost' id='"+frmgr_id+"' class='FormGrid' style='width:100%;overflow:auto;position:relative;height:"+dh+";'></form>"),
							tbl =$("<table id='"+frmtb_id+"' class='EditTable' cellspacing='1' cellpadding='2' border='0' style='table-layout:fixed'><tbody></tbody></table>");
						if(onBeforeInit) {
							showFrm = onBeforeInit.call($t,$("#"+frmgr));
							if(showFrm === undefined) {
								showFrm = true;
							}
						}
						if(showFrm === false) {return;}
						$($t.p.colModel).each( function() {
							var fmto = this.formoptions;
							maxCols = Math.max(maxCols, fmto ? fmto.colpos || 0 : 0 );
							maxRows = Math.max(maxRows, fmto ? fmto.rowpos || 0 : 0 );
						});
						// set the id.
						$(frm).append(tbl);
						createData(rowid, $t, tbl, maxCols);
						var rtlb = $t.p.direction == "rtl" ? true :false,
							bp = rtlb ? "nData" : "pData",
							bn = rtlb ? "pData" : "nData",

							// buttons at footer
							bP = "<a href='javascript:void(0)' id='"+bp+"' class='fm-button ui-state-default ui-corner-left'><span class='ui-icon ui-icon-triangle-1-w'></span></a>",
							bN = "<a href='javascript:void(0)' id='"+bn+"' class='fm-button ui-state-default ui-corner-right'><span class='ui-icon ui-icon-triangle-1-e'></span></a>",
							bC  ="<a href='javascript:void(0)' id='cData' class='fm-button ui-state-default ui-corner-all'>"+p.bClose+"</a>";
						if(maxRows >  0) {
							var sd=[];
							$.each($(tbl)[0].rows,function(i,r){
								sd[i] = r;
							});
							sd.sort(function(a,b){
								if(a.rp > b.rp) {return 1;}
								if(a.rp < b.rp) {return -1;}
								return 0;
							});
							$.each(sd, function(index, row) {
								$('tbody',tbl).append(row);
							});
						}
						p.gbox = "#gbox_"+$.jgrid.jqID(gID);
						var bt = $("<span></span>").append(frm).append("<table border='0' class='EditTable' id='"+frmtb+"_2'><tbody><tr id='Act_Buttons'><td class='navButton' width='"+p.labelswidth+"'>"+(rtlb ? bN+bP : bP+bN)+"</td><td class='EditButton'>"+bC+"</td></tr></tbody></table>");
						$.jgrid.createModal(IDs,bt,p,"#gview_"+$.jgrid.jqID($t.p.id),$("#gview_"+$.jgrid.jqID($t.p.id))[0]);
						if(rtlb) {
							$("#pData, #nData","#"+frmtb+"_2").css("float","right");
							$(".EditButton","#"+frmtb+"_2").css("text-align","left");
						}
						if(!p.viewPagerButtons) {$("#pData, #nData","#"+frmtb+"_2").hide();}
						bt = null;
						$("#"+IDs.themodal).keydown( function( e ) {
							if(e.which === 27) {
								if(rp_ge[$t.p.id].closeOnEscape) {$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:p.gbox,jqm:p.jqModal, onClose: p.onClose});}
								return false;
							}
							if(p.navkeys[0]===true) {
								if(e.which === p.navkeys[1]){ //up
									$("#pData", "#"+frmtb+"_2").trigger("click");
									return false;
								}
								if(e.which === p.navkeys[2]){ //down
									$("#nData", "#"+frmtb+"_2").trigger("click");
									return false;
								}
							}
						});
						p.closeicon = $.extend([true,"left","ui-icon-close"],p.closeicon);
						if(p.closeicon[0]===true) {
							$("#cData","#"+frmtb+"_2").addClass(p.closeicon[1] == "right" ? 'fm-button-icon-right' : 'fm-button-icon-left')
								.append("<span class='ui-icon "+p.closeicon[2]+"'></span>");
						}
						if($.isFunction(p.beforeShowForm)) {p.beforeShowForm.call($t,$("#"+frmgr));}
						$.jgrid.viewModal("#"+$.jgrid.jqID(IDs.themodal),{gbox:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal, modal:p.modal});
						$(".fm-button:not(.ui-state-disabled)","#"+frmtb+"_2").hover(
							function(){$(this).addClass('ui-state-hover');},
							function(){$(this).removeClass('ui-state-hover');}
						);
						focusaref();
						$("#cData", "#"+frmtb+"_2").click(function(){
							$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal, onClose: p.onClose});
							return false;
						});
						$("#nData", "#"+frmtb+"_2").click(function(){
							$("#FormError","#"+frmtb).hide();
							var npos = getCurrPos();
							npos[0] = parseInt(npos[0],10);
							if(npos[0] != -1 && npos[1][npos[0]+1]) {
								if($.isFunction(p.onclickPgButtons)) {
									p.onclickPgButtons.call($t,'next',$("#"+frmgr),npos[1][npos[0]]);
								}
								fillData(npos[1][npos[0]+1],$t);
								$($t).jqGrid("setSelection",npos[1][npos[0]+1]);
								if($.isFunction(p.afterclickPgButtons)) {
									p.afterclickPgButtons.call($t,'next',$("#"+frmgr),npos[1][npos[0]+1]);
								}
								updateNav(npos[0]+1,npos);
							}
							focusaref();
							return false;
						});
						$("#pData", "#"+frmtb+"_2").click(function(){
							$("#FormError","#"+frmtb).hide();
							var ppos = getCurrPos();
							if(ppos[0] != -1 && ppos[1][ppos[0]-1]) {
								if($.isFunction(p.onclickPgButtons)) {
									p.onclickPgButtons.call($t,'prev',$("#"+frmgr),ppos[1][ppos[0]]);
								}
								fillData(ppos[1][ppos[0]-1],$t);
								$($t).jqGrid("setSelection",ppos[1][ppos[0]-1]);
								if($.isFunction(p.afterclickPgButtons)) {
									p.afterclickPgButtons.call($t,'prev',$("#"+frmgr),ppos[1][ppos[0]-1]);
								}
								updateNav(ppos[0]-1,ppos);
							}
							focusaref();
							return false;
						});
					}
					var posInit =getCurrPos();
					updateNav(posInit[0],posInit);
				});
			},
			delGridRow : function(rowids,p) {
				p = $.extend(true, {
					top : 0,
					left: 0,
					width: 240,
					height: 'auto',
					dataheight : 'auto',
					modal: false,
					overlay: 30,
					drag: true,
					resize: true,
					url : '',
					mtype : "POST",
					reloadAfterSubmit: true,
					beforeShowForm: null,
					beforeInitData : null,
					afterShowForm: null,
					beforeSubmit: null,
					onclickSubmit: null,
					afterSubmit: null,
					jqModal : true,
					closeOnEscape : false,
					delData: {},
					delicon : [],
					cancelicon : [],
					onClose : null,
					ajaxDelOptions : {},
					processing : false,
					serializeDelData : null,
					useDataProxy : false
				}, $.jgrid.del, p ||{});
				rp_ge[$(this)[0].p.id] = p;
				return this.each(function(){
					var $t = this;
					if (!$t.grid ) {return;}
					if(!rowids) {return;}
					var onBeforeShow = $.isFunction( rp_ge[$t.p.id].beforeShowForm  ),
						onAfterShow = $.isFunction( rp_ge[$t.p.id].afterShowForm ),
						onBeforeInit = $.isFunction(rp_ge[$t.p.id].beforeInitData) ? rp_ge[$t.p.id].beforeInitData : false,
						gID = $t.p.id, onCS = {},
						showFrm = true,
						dtbl = "DelTbl_"+$.jgrid.jqID(gID),postd, idname, opers, oper,
						dtbl_id = "DelTbl_" + gID,
						IDs = {themodal:'delmod'+gID,modalhead:'delhd'+gID,modalcontent:'delcnt'+gID, scrollelm: dtbl};
					if ($.isArray(rowids)) {rowids = rowids.join();}
					if ( $("#"+$.jgrid.jqID(IDs.themodal))[0] !== undefined ) {
						if(onBeforeInit) {
							showFrm = onBeforeInit.call($t,$("#"+dtbl));
							if(showFrm === undefined) {
								showFrm = true;
							}
						}
						if(showFrm === false) {return;}
						$("#DelData>td","#"+dtbl).text(rowids);
						$("#DelError","#"+dtbl).hide();
						if( rp_ge[$t.p.id].processing === true) {
							rp_ge[$t.p.id].processing=false;
							$("#dData", "#"+dtbl).removeClass('ui-state-active');
						}
						if(onBeforeShow) {rp_ge[$t.p.id].beforeShowForm.call($t,$("#"+dtbl));}
						$.jgrid.viewModal("#"+$.jgrid.jqID(IDs.themodal),{gbox:"#gbox_"+$.jgrid.jqID(gID),jqm:rp_ge[$t.p.id].jqModal,jqM: false, overlay: rp_ge[$t.p.id].overlay, modal:rp_ge[$t.p.id].modal});
						if(onAfterShow) {rp_ge[$t.p.id].afterShowForm.call($t,$("#"+dtbl));}
					} else {
						var dh = isNaN(rp_ge[$t.p.id].dataheight) ? rp_ge[$t.p.id].dataheight : rp_ge[$t.p.id].dataheight+"px";
						var tbl = "<div id='"+dtbl_id+"' class='formdata' style='width:100%;overflow:auto;position:relative;height:"+dh+";'>";
						tbl += "<table class='DelTable'><tbody>";
						// error data
						tbl += "<tr id='DelError' style='display:none'><td class='ui-state-error'></td></tr>";
						tbl += "<tr id='DelData' style='display:none'><td >"+rowids+"</td></tr>";
						tbl += "<tr><td class=\"delmsg\" style=\"white-space:pre;\">"+rp_ge[$t.p.id].msg+"</td></tr><tr><td >&#160;</td></tr>";
						// buttons at footer
						tbl += "</tbody></table></div>";
						var bS  = "<a href='javascript:void(0)' id='dData' class='fm-button ui-state-default ui-corner-all'>"+p.bSubmit+"</a>",
							bC  = "<a href='javascript:void(0)' id='eData' class='fm-button ui-state-default ui-corner-all'>"+p.bCancel+"</a>";
						tbl += "<table cellspacing='0' cellpadding='0' border='0' class='EditTable' id='"+dtbl+"_2'><tbody><tr><td><hr class='ui-widget-content' style='margin:1px'/></td></tr><tr><td class='DelButton EditButton'>"+bS+"&#160;"+bC+"</td></tr></tbody></table>";
						p.gbox = "#gbox_"+$.jgrid.jqID(gID);
						$.jgrid.createModal(IDs,tbl,p,"#gview_"+$.jgrid.jqID($t.p.id),$("#gview_"+$.jgrid.jqID($t.p.id))[0]);

						if(onBeforeInit) {
							showFrm = onBeforeInit.call($t,$("#"+dtbl));
							if(showFrm === undefined) {
								showFrm = true;
							}
						}
						if(showFrm === false) {return;}

						$(".fm-button","#"+dtbl+"_2").hover(
							function(){$(this).addClass('ui-state-hover');},
							function(){$(this).removeClass('ui-state-hover');}
						);
						p.delicon = $.extend([true,"left","ui-icon-scissors"],rp_ge[$t.p.id].delicon);
						p.cancelicon = $.extend([true,"left","ui-icon-cancel"],rp_ge[$t.p.id].cancelicon);
						if(p.delicon[0]===true) {
							$("#dData","#"+dtbl+"_2").addClass(p.delicon[1] == "right" ? 'fm-button-icon-right' : 'fm-button-icon-left')
								.append("<span class='ui-icon "+p.delicon[2]+"'></span>");
						}
						if(p.cancelicon[0]===true) {
							$("#eData","#"+dtbl+"_2").addClass(p.cancelicon[1] == "right" ? 'fm-button-icon-right' : 'fm-button-icon-left')
								.append("<span class='ui-icon "+p.cancelicon[2]+"'></span>");
						}
						$("#dData","#"+dtbl+"_2").click(function(){
							var ret=[true,""], pk,
								postdata = $("#DelData>td","#"+dtbl).text(); //the pair is name=val1,val2,...
							onCS = {};
							if( $.isFunction( rp_ge[$t.p.id].onclickSubmit ) ) {onCS = rp_ge[$t.p.id].onclickSubmit.call($t,rp_ge[$t.p.id], postdata) || {};}
							if( $.isFunction( rp_ge[$t.p.id].beforeSubmit ) ) {ret = rp_ge[$t.p.id].beforeSubmit.call($t,postdata);}
							if(ret[0] && !rp_ge[$t.p.id].processing) {
								rp_ge[$t.p.id].processing = true;
								opers = $t.p.prmNames;
								postd = $.extend({},rp_ge[$t.p.id].delData, onCS);
								oper = opers.oper;
								postd[oper] = opers.deloper;
								idname = opers.id;
								postdata = String(postdata).split(",");
								if(!postdata.length) { return false; }
								for(pk in postdata) {
									if(postdata.hasOwnProperty(pk)) {
										postdata[pk] = $.jgrid.stripPref($t.p.idPrefix, postdata[pk]);
									}
								}
								postd[idname] = postdata.join();
								$(this).addClass('ui-state-active');
								var ajaxOptions = $.extend({
									url: rp_ge[$t.p.id].url || $($t).jqGrid('getGridParam','editurl'),
									type: rp_ge[$t.p.id].mtype,
									data: $.isFunction(rp_ge[$t.p.id].serializeDelData) ? rp_ge[$t.p.id].serializeDelData.call($t,postd) : postd,
									complete:function(data,status){
										var i;
										if(status != "success") {
											ret[0] = false;
											if ($.isFunction(rp_ge[$t.p.id].errorTextFormat)) {
												ret[1] = rp_ge[$t.p.id].errorTextFormat.call($t,data);
											} else {
												ret[1] = status + " Status: '" + data.statusText + "'. Error code: " + data.status;
											}
										} else {
											// data is posted successful
											// execute aftersubmit with the returned data from server
											if( $.isFunction( rp_ge[$t.p.id].afterSubmit ) ) {
												ret = rp_ge[$t.p.id].afterSubmit.call($t,data,postd);
											}
										}
										if(ret[0] === false) {
											$("#DelError>td","#"+dtbl).html(ret[1]);
											$("#DelError","#"+dtbl).show();
										} else {
											if(rp_ge[$t.p.id].reloadAfterSubmit && $t.p.datatype != "local") {
												$($t).trigger("reloadGrid");
											} else {
												if($t.p.treeGrid===true){
													try {$($t).jqGrid("delTreeNode",$t.p.idPrefix+postdata[0]);} catch(e){}
												} else {
													for(i=0;i<postdata.length;i++) {
														$($t).jqGrid("delRowData",$t.p.idPrefix+ postdata[i]);
													}
												}
												$t.p.selrow = null;
												$t.p.selarrrow = [];
											}
											if($.isFunction(rp_ge[$t.p.id].afterComplete)) {
												setTimeout(function(){rp_ge[$t.p.id].afterComplete.call($t,data,postdata);},500);
											}
										}
										rp_ge[$t.p.id].processing=false;
										$("#dData", "#"+dtbl+"_2").removeClass('ui-state-active');
										if(ret[0]) {$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal, onClose: rp_ge[$t.p.id].onClose});}
									}
								}, $.jgrid.ajaxOptions, rp_ge[$t.p.id].ajaxDelOptions);


								if (!ajaxOptions.url && !rp_ge[$t.p.id].useDataProxy) {
									if ($.isFunction($t.p.dataProxy)) {
										rp_ge[$t.p.id].useDataProxy = true;
									} else {
										ret[0]=false;ret[1] += " "+$.jgrid.errors.nourl;
									}
								}
								if (ret[0]) {
									if (rp_ge[$t.p.id].useDataProxy) {
										var dpret = $t.p.dataProxy.call($t, ajaxOptions, "del_"+$t.p.id);
										if(dpret === undefined) {
											dpret = [true, ""];
										}
										if(dpret[0] === false ) {
											ret[0] = false;
											ret[1] = dpret[1] || "Error deleting the selected row!" ;
										} else {
											$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:"#gbox_"+$.jgrid.jqID(gID),jqm:p.jqModal, onClose: rp_ge[$t.p.id].onClose});
										}
									}
									else {$.ajax(ajaxOptions);}
								}
							}

							if(ret[0] === false) {
								$("#DelError>td","#"+dtbl).html(ret[1]);
								$("#DelError","#"+dtbl).show();
							}
							return false;
						});
						$("#eData", "#"+dtbl+"_2").click(function(){
							$.jgrid.hideModal("#"+$.jgrid.jqID(IDs.themodal),{gb:"#gbox_"+$.jgrid.jqID(gID),jqm:rp_ge[$t.p.id].jqModal, onClose: rp_ge[$t.p.id].onClose});
							return false;
						});
						if(onBeforeShow) {rp_ge[$t.p.id].beforeShowForm.call($t,$("#"+dtbl));}
						$.jgrid.viewModal("#"+$.jgrid.jqID(IDs.themodal),{gbox:"#gbox_"+$.jgrid.jqID(gID),jqm:rp_ge[$t.p.id].jqModal, overlay: rp_ge[$t.p.id].overlay, modal:rp_ge[$t.p.id].modal});
						if(onAfterShow) {rp_ge[$t.p.id].afterShowForm.call($t,$("#"+dtbl));}
					}
					if(rp_ge[$t.p.id].closeOnEscape===true) {
						setTimeout(function(){$(".ui-jqdialog-titlebar-close","#"+$.jgrid.jqID(IDs.modalhead)).focus();},0);
					}
				});
			},
			navGrid : function (elem, o, pEdit,pAdd,pDel,pSearch, pView) {
				o = $.extend({
					edit: true,
					editicon: "ui-icon-pencil",
					add: true,
					addicon:"ui-icon-plus",
					del: true,
					delicon:"ui-icon-trash",
					search: true,
					searchicon:"ui-icon-search",
					refresh: true,
					refreshicon:"ui-icon-refresh",
					refreshstate: 'firstpage',
					view: false,
					viewicon : "ui-icon-document",
					position : "left",
					closeOnEscape : true,
					beforeRefresh : null,
					afterRefresh : null,
					cloneToTop : false,
					alertwidth : 200,
					alertheight : 'auto',
					alerttop: null,
					alertleft: null,
					alertzIndex : null
				}, $.jgrid.nav, o ||{});
				return this.each(function() {
					if(this.nav) {return;}
					var alertIDs = {themodal: 'alertmod_' + this.p.id, modalhead: 'alerthd_' + this.p.id,modalcontent: 'alertcnt_' + this.p.id},
						$t = this, twd, tdw;
					if(!$t.grid || typeof elem !== 'string') {return;}
					if ($("#"+alertIDs.themodal)[0] === undefined) {
						if(!o.alerttop && !o.alertleft) {
							if (window.innerWidth !== undefined) {
								o.alertleft = window.innerWidth;
								o.alerttop = parseInt(window.css("height"))-parseInt(window.css("padding-top"))-parseInt(window.css("padding-bottom"));
							} else if (document.documentElement !== undefined && document.documentElement.clientWidth !== undefined && document.documentElement.clientWidth !== 0) {
								o.alertleft = document.documentElement.clientWidth;
								o.alerttop = document.documentElement.clientHeight;
							} else {
								o.alertleft=1024;
								o.alerttop=768;
							}
							o.alertleft = o.alertleft/2 - parseInt(o.alertwidth,10)/2;
							o.alerttop = o.alerttop/2-25;
						}
						$.jgrid.createModal(alertIDs,
							"<div>"+o.alerttext+"</div><span tabindex='0'><span tabindex='-1' id='jqg_alrt'></span></span>",
							{
								gbox:"#gbox_"+$.jgrid.jqID($t.p.id),
								jqModal:true,
								drag:true,
								resize:true,
								caption:o.alertcap,
								top:o.alerttop,
								left:o.alertleft,
								width:o.alertwidth,
								height: o.alertheight,
								closeOnEscape:o.closeOnEscape,
								zIndex: o.alertzIndex
							},
							"#gview_"+$.jgrid.jqID($t.p.id),
							$("#gbox_"+$.jgrid.jqID($t.p.id))[0],
							true
						);
					}
					var clone = 1, i,
						onHoverIn = function () {
							if (!$(this).hasClass('ui-state-disabled')) {
								$(this).addClass("ui-state-hover");
							}
						},
						onHoverOut = function () {
							$(this).removeClass("ui-state-hover");
						};
					if(o.cloneToTop && $t.p.toppager) {clone = 2;}
					for(i = 0; i<clone; i++) {
						var tbd,
							navtbl = $("<table cellspacing='0' cellpadding='0' border='0' class='ui-pg-table navtable' style='float:left;table-layout:auto;'><tbody><tr></tr></tbody></table>"),
							sep = "<td class='ui-pg-button ui-state-disabled' style='width:4px;'><span class='ui-separator'></span></td>",
							pgid, elemids;
						if(i===0) {
							pgid = elem;
							elemids = $t.p.id;
							if(pgid == $t.p.toppager) {
								elemids += "_top";
								clone = 1;
							}
						} else {
							pgid = $t.p.toppager;
							elemids = $t.p.id+"_top";
						}
						if($t.p.direction == "rtl") {$(navtbl).attr("dir","rtl").css("float","right");}
						if (o.add) {
							pAdd = pAdd || {};
							tbd = $("<td class='ui-pg-button ui-corner-all'></td>");
							$(tbd).append("<div class='ui-pg-div'><span class='ui-icon "+o.addicon+"'></span>"+o.addtext+"</div>");
							$("tr",navtbl).append(tbd);
							$(tbd,navtbl)
								.attr({"title":o.addtitle || "",id : pAdd.id || "add_"+elemids})
								.click(function(){
									if (!$(this).hasClass('ui-state-disabled')) {
										if ($.isFunction( o.addfunc )) {
											o.addfunc.call($t);
										} else {
											$($t).jqGrid("editGridRow","new",pAdd);
										}
									}
									return false;
								}).hover(onHoverIn, onHoverOut);
							tbd = null;
						}
						if (o.edit) {
							tbd = $("<td class='ui-pg-button ui-corner-all'></td>");
							pEdit = pEdit || {};
							$(tbd).append("<div class='ui-pg-div'><span class='ui-icon "+o.editicon+"'></span>"+o.edittext+"</div>");
							$("tr",navtbl).append(tbd);
							$(tbd,navtbl)
								.attr({"title":o.edittitle || "",id: pEdit.id || "edit_"+elemids})
								.click(function(){
									if (!$(this).hasClass('ui-state-disabled')) {
										var sr = $t.p.selrow;
										if (sr) {
											if($.isFunction( o.editfunc ) ) {
												o.editfunc.call($t, sr);
											} else {
												$($t).jqGrid("editGridRow",sr,pEdit);
											}
										} else {
											$.jgrid.viewModal("#"+alertIDs.themodal,{gbox:"#gbox_"+$.jgrid.jqID($t.p.id),jqm:true});
											$("#jqg_alrt").focus();
										}
									}
									return false;
								}).hover(onHoverIn, onHoverOut);
							tbd = null;
						}
						if (o.view) {
							tbd = $("<td class='ui-pg-button ui-corner-all'></td>");
							pView = pView || {};
							$(tbd).append("<div class='ui-pg-div'><span class='ui-icon "+o.viewicon+"'></span>"+o.viewtext+"</div>");
							$("tr",navtbl).append(tbd);
							$(tbd,navtbl)
								.attr({"title":o.viewtitle || "",id: pView.id || "view_"+elemids})
								.click(function(){
									if (!$(this).hasClass('ui-state-disabled')) {
										var sr = $t.p.selrow;
										if (sr) {
											if($.isFunction( o.viewfunc ) ) {
												o.viewfunc.call($t, sr);
											} else {
												$($t).jqGrid("viewGridRow",sr,pView);
											}
										} else {
											$.jgrid.viewModal("#"+alertIDs.themodal,{gbox:"#gbox_"+$.jgrid.jqID($t.p.id),jqm:true});
											$("#jqg_alrt").focus();
										}
									}
									return false;
								}).hover(onHoverIn, onHoverOut);
							tbd = null;
						}
						if (o.del) {
							tbd = $("<td class='ui-pg-button ui-corner-all'></td>");
							pDel = pDel || {};
							$(tbd).append("<div class='ui-pg-div'><span class='ui-icon "+o.delicon+"'></span>"+o.deltext+"</div>");
							$("tr",navtbl).append(tbd);
							$(tbd,navtbl)
								.attr({"title":o.deltitle || "",id: pDel.id || "del_"+elemids})
								.click(function(){
									if (!$(this).hasClass('ui-state-disabled')) {
										var dr;
										if($t.p.multiselect) {
											dr = $t.p.selarrrow;
											if(dr.length===0) {dr = null;}
										} else {
											dr = $t.p.selrow;
										}
										if(dr){
											if($.isFunction( o.delfunc )){
												o.delfunc.call($t, dr);
											}else{
												$($t).jqGrid("delGridRow",dr,pDel);
											}
										} else  {
											$.jgrid.viewModal("#"+alertIDs.themodal,{gbox:"#gbox_"+$.jgrid.jqID($t.p.id),jqm:true});$("#jqg_alrt").focus();
										}
									}
									return false;
								}).hover(onHoverIn, onHoverOut);
							tbd = null;
						}
						if(o.add || o.edit || o.del || o.view) {$("tr",navtbl).append(sep);}
						if (o.search) {
							tbd = $("<td class='ui-pg-button ui-corner-all'></td>");
							pSearch = pSearch || {};
							$(tbd).append("<div class='ui-pg-div'><span class='ui-icon "+o.searchicon+"'></span>"+o.searchtext+"</div>");
							$("tr",navtbl).append(tbd);
							$(tbd,navtbl)
								.attr({"title":o.searchtitle  || "",id:pSearch.id || "search_"+elemids})
								.click(function(){
									if (!$(this).hasClass('ui-state-disabled')) {
										if($.isFunction( o.searchfunc )) {
											o.searchfunc.call($t, pSearch);
										} else {
											$($t).jqGrid("searchGrid",pSearch);
										}
									}
									return false;
								}).hover(onHoverIn, onHoverOut);
							if (pSearch.showOnLoad && pSearch.showOnLoad === true) {
								$(tbd,navtbl).click();
							}
							tbd = null;
						}
						if (o.refresh) {
							tbd = $("<td class='ui-pg-button ui-corner-all'></td>");
							$(tbd).append("<div class='ui-pg-div'><span class='ui-icon "+o.refreshicon+"'></span>"+o.refreshtext+"</div>");
							$("tr",navtbl).append(tbd);
							$(tbd,navtbl)
								.attr({"title":o.refreshtitle  || "",id: "refresh_"+elemids})
								.click(function(){
									if (!$(this).hasClass('ui-state-disabled')) {
										if($.isFunction(o.beforeRefresh)) {o.beforeRefresh.call($t);}
										$t.p.search = false;
										try {
											var gID = $t.p.id;
											$t.p.postData.filters ="";
											$("#fbox_"+$.jgrid.jqID(gID)).jqFilter('resetFilter');
											if($.isFunction($t.clearToolbar)) {$t.clearToolbar.call($t,false);}
										} catch (e) {}
										switch (o.refreshstate) {
											case 'firstpage':
												$($t).trigger("reloadGrid", [{page:1}]);
												break;
											case 'current':
												$($t).trigger("reloadGrid", [{current:true}]);
												break;
										}
										if($.isFunction(o.afterRefresh)) {o.afterRefresh.call($t);}
									}
									return false;
								}).hover(onHoverIn, onHoverOut);
							tbd = null;
						}
						tdw = $(".ui-jqgrid").css("font-size") || "11px";
						$('body').append("<div id='testpg2' class='ui-jqgrid ui-widget ui-widget-content' style='font-size:"+tdw+";visibility:hidden;' ></div>");
						twd = parseInt($(navtbl).clone().appendTo("#testpg2").css("width"));
						$("#testpg2").remove();
						$(pgid+"_"+o.position,pgid).append(navtbl);
						if($t.p._nvtd) {
							if(twd > $t.p._nvtd[0] ) {
								$(pgid+"_"+o.position,pgid).css("width",twd + "px");
								$t.p._nvtd[0] = twd;
							}
							$t.p._nvtd[1] = twd;
						}
						tdw =null;twd=null;navtbl =null;
						this.nav = true;
					}
				});
			},
			navButtonAdd : function (elem, p) {
				p = $.extend({
					caption : "newButton",
					title: '',
					buttonicon : 'ui-icon-newwin',
					onClickButton: null,
					position : "last",
					cursor : 'pointer'
				}, p ||{});
				return this.each(function() {
					if( !this.grid)  {return;}
					if( typeof elem === "string" && elem.indexOf("#") !== 0) {elem = "#"+$.jgrid.jqID(elem);}
					var findnav = $(".navtable",elem)[0], $t = this;
					if (findnav) {
						if( p.id && $("#"+$.jgrid.jqID(p.id), findnav)[0] !== undefined )  {return;}
						var tbd = $("<td></td>");
						if(p.buttonicon.toString().toUpperCase() == "NONE") {
							$(tbd).addClass('ui-pg-button ui-corner-all').append("<div class='ui-pg-div'>"+p.caption+"</div>");
						} else	{
							$(tbd).addClass('ui-pg-button ui-corner-all').append("<div class='ui-pg-div'><span class='ui-icon "+p.buttonicon+"'></span>"+p.caption+"</div>");
						}
						if(p.id) {$(tbd).attr("id",p.id);}
						if(p.position=='first'){
							if(findnav.rows[0].cells.length ===0 ) {
								$("tr",findnav).append(tbd);
							} else {
								$("tr td:eq(0)",findnav).before(tbd);
							}
						} else {
							$("tr",findnav).append(tbd);
						}
						$(tbd,findnav)
							.attr("title",p.title  || "")
							.click(function(e){
								if (!$(this).hasClass('ui-state-disabled')) {
									if ($.isFunction(p.onClickButton) ) {p.onClickButton.call($t,e);}
								}
								return false;
							})
							.hover(
								function () {
									if (!$(this).hasClass('ui-state-disabled')) {
										$(this).addClass('ui-state-hover');
									}
								},
								function () {$(this).removeClass("ui-state-hover");}
							);
					}
				});
			},
			navSeparatorAdd:function (elem,p) {
				p = $.extend({
					sepclass : "ui-separator",
					sepcontent: '',
					position : "last"
				}, p ||{});
				return this.each(function() {
					if( !this.grid)  {return;}
					if( typeof elem === "string" && elem.indexOf("#") !== 0) {elem = "#"+$.jgrid.jqID(elem);}
					var findnav = $(".navtable",elem)[0];
					if(findnav) {
						var sep = "<td class='ui-pg-button ui-state-disabled' style='width:4px;'><span class='"+p.sepclass+"'></span>"+p.sepcontent+"</td>";
						if (p.position === 'first') {
							if (findnav.rows[0].cells.length === 0) {
								$("tr", findnav).append(sep);
							} else {
								$("tr td:eq(0)", findnav).before(sep);
							}
						} else {
							$("tr", findnav).append(sep);
						}
					}
				});
			},
			GridToForm : function( rowid, formid ) {
				return this.each(function(){
					var $t = this, i;
					if (!$t.grid) {return;}
					var rowdata = $($t).jqGrid("getRowData",rowid);
					if (rowdata) {
						for(i in rowdata) {
							if(rowdata.hasOwnProperty(i)) {
								if ( $("[name="+$.jgrid.jqID(i)+"]",formid).is("input:radio") || $("[name="+$.jgrid.jqID(i)+"]",formid).is("input:checkbox"))  {
									$("[name="+$.jgrid.jqID(i)+"]",formid).each( function() {
										if( $(this).val() == rowdata[i] ) {
											$(this)[$t.p.useProp ? 'prop': 'attr']("checked",true);
										} else {
											$(this)[$t.p.useProp ? 'prop': 'attr']("checked", false);
										}
									});
								} else {
									// this is very slow on big table and form.
									$("[name="+$.jgrid.jqID(i)+"]",formid).val(rowdata[i]);
								}
							}
						}
					}
				});
			},
			FormToGrid : function(rowid, formid, mode, position){
				return this.each(function() {
					var $t = this;
					if(!$t.grid) {return;}
					if(!mode) {mode = 'set';}
					if(!position) {position = 'first';}
					var fields = $(formid).serializeArray();
					var griddata = {};
					$.each(fields, function(i, field){
						griddata[field.name] = field.value;
					});
					if(mode=='add') {$($t).jqGrid("addRowData",rowid,griddata, position);}
					else if(mode=='set') {$($t).jqGrid("setRowData",rowid,griddata);}
				});
			}
		});
	})(jQuery);
	/*jshint eqeqeq:false, eqnull:true, devel:true */
	/*global jQuery */
	(function($){
		/**
		 * jqGrid extension for manipulating Grid Data
		 * Tony Tomov tony@trirand.com
		 * http://trirand.com/blog/
		 * Dual licensed under the MIT and GPL licenses:
		 * http://www.opensource.org/licenses/mit-license.php
		 * http://www.gnu.org/licenses/gpl-2.0.html
		 **/
		"use strict";
		$.jgrid.inlineEdit = $.jgrid.inlineEdit || {};
		$.jgrid.extend({
//Editing
			editRow : function(rowid,keys,oneditfunc,successfunc, url, extraparam, aftersavefunc,errorfunc, afterrestorefunc) {
				// Compatible mode old versions
				var o={}, args = $.makeArray(arguments).slice(1);

				if( $.type(args[0]) === "object" ) {
					o = args[0];
				} else {
					if (keys !== undefined) { o.keys = keys; }
					if ($.isFunction(oneditfunc)) { o.oneditfunc = oneditfunc; }
					if ($.isFunction(successfunc)) { o.successfunc = successfunc; }
					if (url !== undefined) { o.url = url; }
					if (extraparam !== undefined) { o.extraparam = extraparam; }
					if ($.isFunction(aftersavefunc)) { o.aftersavefunc = aftersavefunc; }
					if ($.isFunction(errorfunc)) { o.errorfunc = errorfunc; }
					if ($.isFunction(afterrestorefunc)) { o.afterrestorefunc = afterrestorefunc; }
					// last two not as param, but as object (sorry)
					//if (restoreAfterError !== undefined) { o.restoreAfterError = restoreAfterError; }
					//if (mtype !== undefined) { o.mtype = mtype || "POST"; }
				}
				o = $.extend(true, {
					keys : false,
					oneditfunc: null,
					successfunc: null,
					url: null,
					extraparam: {},
					aftersavefunc: null,
					errorfunc: null,
					afterrestorefunc: null,
					restoreAfterError: true,
					mtype: "POST"
				}, $.jgrid.inlineEdit, o );

				// End compatible
				return this.each(function(){
					var $t = this, nm, tmp, editable, cnt=0, focus=null, svr={}, ind,cm;
					if (!$t.grid ) { return; }
					ind = $($t).jqGrid("getInd",rowid,true);
					if( ind === false ) {return;}
					editable = $(ind).attr("editable") || "0";
					if (editable == "0" && !$(ind).hasClass("not-editable-row")) {
						cm = $t.p.colModel;
						$('td[role="gridcell"]',ind).each( function(i) {
							nm = cm[i].name;
							var treeg = $t.p.treeGrid===true && nm == $t.p.ExpandColumn;
							if(treeg) { tmp = $("span:first",this).html();}
							else {
								try {
									tmp = $.unformat.call($t,this,{rowId:rowid, colModel:cm[i]},i);
								} catch (_) {
									tmp =  ( cm[i].edittype && cm[i].edittype == 'textarea' ) ? $(this).text() : $(this).html();
								}
							}
							if ( nm != 'cb' && nm != 'subgrid' && nm != 'rn') {
								if($t.p.autoencode) { tmp = $.jgrid.htmlDecode(tmp); }
								svr[nm]=tmp;
								if(cm[i].editable===true) {
									if(focus===null) { focus = i; }
									if (treeg) { $("span:first",this).html(""); }
									else { $(this).html(""); }
									var opt = $.extend({},cm[i].editoptions || {},{id:rowid+"_"+nm,name:nm});
									if(!cm[i].edittype) { cm[i].edittype = "text"; }
									if(tmp == "&nbsp;" || tmp == "&#160;" || (tmp.length==1 && tmp.charCodeAt(0)==160) ) {tmp='';}
									var elc = $.jgrid.createEl.call($t,cm[i].edittype,opt,tmp,true,$.extend({},$.jgrid.ajaxOptions,$t.p.ajaxSelectOptions || {}));
									$(elc).addClass("editable");
									if(treeg) { $("span:first",this).append(elc); }
									else { $(this).append(elc); }
									$.jgrid.bindEv( elc, opt, $t);
									//Again IE
									if(cm[i].edittype == "select" && cm[i].editoptions!==undefined && cm[i].editoptions.multiple===true  && cm[i].editoptions.dataUrl===undefined && $.browser.msie) {
										$(elc).css("width", parseInt($(elc).css("width"))+"px");
									}
									cnt++;
								}
							}
						});
						if(cnt > 0) {
							svr.id = rowid; $t.p.savedRow.push(svr);
							$(ind).attr("editable","1");
							$("td:eq("+focus+") input",ind).focus();
							if(o.keys===true) {
								$(ind).on("keydown",function(e) {
									if (e.keyCode === 27) {
										$($t).jqGrid("restoreRow",rowid, o.afterrestorefunc);
										if($t.p._inlinenav) {
											try {
												$($t).jqGrid('showAddEditButtons');
											} catch (eer1) {}
										}
										return false;
									}
									if (e.keyCode === 13) {
										var ta = e.target;
										if(ta.tagName == 'TEXTAREA') { return true; }
										if( $($t).jqGrid("saveRow", rowid, o ) ) {
											if($t.p._inlinenav) {
												try {
													$($t).jqGrid('showAddEditButtons');
												} catch (eer2) {}
											}
										}
										return false;
									}
								});
							}
							$($t).triggerHandler("jqGridInlineEditRow", [rowid, o]);
							if( $.isFunction(o.oneditfunc)) { o.oneditfunc.call($t, rowid); }
						}
					}
				});
			},
			saveRow : function(rowid, successfunc, url, extraparam, aftersavefunc,errorfunc, afterrestorefunc) {
				// Compatible mode old versions
				var args = $.makeArray(arguments).slice(1), o = {};

				if( $.type(args[0]) === "object" ) {
					o = args[0];
				} else {
					if ($.isFunction(successfunc)) { o.successfunc = successfunc; }
					if (url !== undefined) { o.url = url; }
					if (extraparam !== undefined) { o.extraparam = extraparam; }
					if ($.isFunction(aftersavefunc)) { o.aftersavefunc = aftersavefunc; }
					if ($.isFunction(errorfunc)) { o.errorfunc = errorfunc; }
					if ($.isFunction(afterrestorefunc)) { o.afterrestorefunc = afterrestorefunc; }
				}
				o = $.extend(true, {
					successfunc: null,
					url: null,
					extraparam: {},
					aftersavefunc: null,
					errorfunc: null,
					afterrestorefunc: null,
					restoreAfterError: true,
					mtype: "POST"
				}, $.jgrid.inlineEdit, o );
				// End compatible

				var success = false;
				var $t = this[0], nm, tmp={}, tmp2={}, tmp3= {}, editable, fr, cv, ind;
				if (!$t.grid ) { return success; }
				ind = $($t).jqGrid("getInd",rowid,true);
				if(ind === false) {return success;}
				editable = $(ind).attr("editable");
				o.url = o.url || $t.p.editurl;
				if (editable==="1") {
					var cm;
					$('td[role="gridcell"]',ind).each(function(i) {
						cm = $t.p.colModel[i];
						nm = cm.name;
						if ( nm != 'cb' && nm != 'subgrid' && cm.editable===true && nm != 'rn' && !$(this).hasClass('not-editable-cell')) {
							switch (cm.edittype) {
								case "checkbox":
									var cbv = ["Yes","No"];
									if(cm.editoptions ) {
										cbv = cm.editoptions.value.split(":");
									}
									tmp[nm]=  $("input",this).is(":checked") ? cbv[0] : cbv[1];
									break;
								case 'text':
								case 'password':
								case 'textarea':
								case "button" :
									tmp[nm]=$("input, textarea",this).val();
									break;
								case 'select':
									if(!cm.editoptions.multiple) {
										tmp[nm] = $("select option:selected",this).val();
										tmp2[nm] = $("select option:selected", this).text();
									} else {
										var sel = $("select",this), selectedText = [];
										tmp[nm] = $(sel).val();
										if(tmp[nm]) { tmp[nm]= tmp[nm].join(","); } else { tmp[nm] =""; }
										$("select option:selected",this).each(
											function(i,selected){
												selectedText[i] = $(selected).text();
											}
										);
										tmp2[nm] = selectedText.join(",");
									}
									if(cm.formatter && cm.formatter == 'select') { tmp2={}; }
									break;
								case 'custom' :
									try {
										if(cm.editoptions && $.isFunction(cm.editoptions.custom_value)) {
											tmp[nm] = cm.editoptions.custom_value.call($t, $(".customelement",this),'get');
											if (tmp[nm] === undefined) { throw "e2"; }
										} else { throw "e1"; }
									} catch (e) {
										if (e=="e1") { $.jgrid.info_dialog($.jgrid.errors.errcap,"function 'custom_value' "+$.jgrid.edit.msg.nodefined,$.jgrid.edit.bClose); }
										if (e=="e2") { $.jgrid.info_dialog($.jgrid.errors.errcap,"function 'custom_value' "+$.jgrid.edit.msg.novalue,$.jgrid.edit.bClose); }
										else { $.jgrid.info_dialog($.jgrid.errors.errcap,e.message,$.jgrid.edit.bClose); }
									}
									break;
							}
							cv = $.jgrid.checkValues(tmp[nm],i,$t);
							if(cv[0] === false) {
								cv[1] = tmp[nm] + " " + cv[1];
								return false;
							}
							if($t.p.autoencode) { tmp[nm] = $.jgrid.htmlEncode(tmp[nm]); }
							if(o.url !== 'clientArray' && cm.editoptions && cm.editoptions.NullIfEmpty === true) {
								if(tmp[nm] === "") {
									tmp3[nm] = 'null';
								}
							}
						}
					});
					if (cv[0] === false){
						try {
							var positions = $.jgrid.findPos($("#"+$.jgrid.jqID(rowid), $t.grid.bDiv)[0]);
							$.jgrid.info_dialog($.jgrid.errors.errcap,cv[1],$.jgrid.edit.bClose,{left:positions[0],top:positions[1]});
						} catch (e) {
							alert(cv[1]);
						}
						return success;
					}
					var idname, opers = $t.p.prmNames, oldRowId = rowid;
					if ($t.p.keyIndex === false) {
						idname = opers.id;
					} else {
						idname = $t.p.colModel[$t.p.keyIndex +
						($t.p.rownumbers === true ? 1 : 0) +
						($t.p.multiselect === true ? 1 : 0) +
						($t.p.subGrid === true ? 1 : 0)].name;
					}
					if(tmp) {
						tmp[opers.oper] = opers.editoper;
						if (tmp[idname] === undefined) {
							tmp[idname] = rowid;
						} else if (ind.id !== $t.p.idPrefix + tmp[idname]) {
							// rename rowid
							var oldid = $.jgrid.stripPref($t.p.idPrefix, rowid);
							if ($t.p._index[oldid] !== undefined) {
								$t.p._index[tmp[idname]] = $t.p._index[oldid];
								delete $t.p._index[oldid];
							}
							rowid = $t.p.idPrefix + tmp[idname];
							$(ind).attr("id", rowid);
							if ($t.p.selrow === oldRowId) {
								$t.p.selrow = rowid;
							}
							if ($.isArray($t.p.selarrrow)) {
								var i = $.inArray(oldRowId, $t.p.selarrrow);
								if (i>=0) {
									$t.p.selarrrow[i] = rowid;
								}
							}
							if ($t.p.multiselect) {
								var newCboxId = "jqg_" + $t.p.id + "_" + rowid;
								$("input.cbox",ind)
									.attr("id", newCboxId)
									.attr("name", newCboxId);
							}
							// TODO: to test the case of frozen columns
						}
						if($t.p.inlineData === undefined) { $t.p.inlineData ={}; }
						tmp = $.extend({},tmp,$t.p.inlineData,o.extraparam);
					}
					if (o.url == 'clientArray') {
						tmp = $.extend({},tmp, tmp2);
						if($t.p.autoencode) {
							$.each(tmp,function(n,v){
								tmp[n] = $.jgrid.htmlDecode(v);
							});
						}
						var k, resp = $($t).jqGrid("setRowData",rowid,tmp);
						$(ind).attr("editable","0");
						for(k=0;k<$t.p.savedRow.length;k++) {
							if( $t.p.savedRow[k].id == oldRowId) {fr = k; break;}
						}
						if(fr >= 0) { $t.p.savedRow.splice(fr,1); }
						$($t).triggerHandler("jqGridInlineAfterSaveRow", [rowid, resp, tmp, o]);
						if( $.isFunction(o.aftersavefunc) ) { o.aftersavefunc.call($t, rowid,resp, o); }
						success = true;
						$(ind).unbind("keydown");
					} else {
						$("#lui_"+$.jgrid.jqID($t.p.id)).show();
						tmp3 = $.extend({},tmp,tmp3);
						tmp3[idname] = $.jgrid.stripPref($t.p.idPrefix, tmp3[idname]);
						$.ajax($.extend({
							url:o.url,
							data: $.isFunction($t.p.serializeRowData) ? $t.p.serializeRowData.call($t, tmp3) : tmp3,
							type: o.mtype,
							async : false, //?!?
							complete: function(res,stat){
								$("#lui_"+$.jgrid.jqID($t.p.id)).hide();
								if (stat === "success"){
									var ret = true, sucret, k;
									sucret = $($t).triggerHandler("jqGridInlineSuccessSaveRow", [res, rowid, o]);
									if (!$.isArray(sucret)) {sucret = [true, tmp];}
									if (sucret[0] && $.isFunction(o.successfunc)) {sucret = o.successfunc.call($t, res);}
									if($.isArray(sucret)) {
										// expect array - status, data, rowid
										ret = sucret[0];
										tmp = sucret[1] || tmp;
									} else {
										ret = sucret;
									}
									if (ret===true) {
										if($t.p.autoencode) {
											$.each(tmp,function(n,v){
												tmp[n] = $.jgrid.htmlDecode(v);
											});
										}
										tmp = $.extend({},tmp, tmp2);
										$($t).jqGrid("setRowData",rowid,tmp);
										$(ind).attr("editable","0");
										for(k=0;k<$t.p.savedRow.length;k++) {
											if( $t.p.savedRow[k].id == rowid) {fr = k; break;}
										}
										if(fr >= 0) { $t.p.savedRow.splice(fr,1); }
										$($t).triggerHandler("jqGridInlineAfterSaveRow", [rowid, res, tmp, o]);
										if( $.isFunction(o.aftersavefunc) ) { o.aftersavefunc.call($t, rowid,res); }
										success = true;
										$(ind).unbind("keydown");
									} else {
										$($t).triggerHandler("jqGridInlineErrorSaveRow", [rowid, res, stat, null, o]);
										if($.isFunction(o.errorfunc) ) {
											o.errorfunc.call($t, rowid, res, stat, null);
										}
										if(o.restoreAfterError === true) {
											$($t).jqGrid("restoreRow",rowid, o.afterrestorefunc);
										}
									}
								}
							},
							error:function(res,stat,err){
								$("#lui_"+$.jgrid.jqID($t.p.id)).hide();
								$($t).triggerHandler("jqGridInlineErrorSaveRow", [rowid, res, stat, err, o]);
								if($.isFunction(o.errorfunc) ) {
									o.errorfunc.call($t, rowid, res, stat, err);
								} else {
									var rT = res.responseText || res.statusText;
									try {
										$.jgrid.info_dialog($.jgrid.errors.errcap,'<div class="ui-state-error">'+ rT +'</div>', $.jgrid.edit.bClose,{buttonalign:'right'});
									} catch(e) {
										alert(rT);
									}
								}
								if(o.restoreAfterError === true) {
									$($t).jqGrid("restoreRow",rowid, o.afterrestorefunc);
								}
							}
						}, $.jgrid.ajaxOptions, $t.p.ajaxRowOptions || {}));
					}
				}
				return success;
			},
			restoreRow : function(rowid, afterrestorefunc) {
				// Compatible mode old versions
				var args = $.makeArray(arguments).slice(1), o={};

				if( $.type(args[0]) === "object" ) {
					o = args[0];
				} else {
					if ($.isFunction(afterrestorefunc)) { o.afterrestorefunc = afterrestorefunc; }
				}
				o = $.extend(true, $.jgrid.inlineEdit, o );

				// End compatible

				return this.each(function(){
					var $t= this, fr, ind, ares={}, k;
					if (!$t.grid ) { return; }
					ind = $($t).jqGrid("getInd",rowid,true);
					if(ind === false) {return;}
					for(k=0;k<$t.p.savedRow.length;k++) {
						if( $t.p.savedRow[k].id == rowid) {fr = k; break;}
					}
					if(fr >= 0) {
						if($.isFunction($.fn.datepicker)) {
							try {
								$("input.hasDatepicker","#"+$.jgrid.jqID(ind.id)).datepicker('hide');
							} catch (e) {}
						}
						$.each($t.p.colModel, function(){
							if(this.editable === true && $t.p.savedRow[fr].hasOwnProperty(this.name)) {
								ares[this.name] = $t.p.savedRow[fr][this.name];
							}
						});
						$($t).jqGrid("setRowData",rowid,ares);
						$(ind).attr("editable","0").unbind("keydown");
						$t.p.savedRow.splice(fr,1);
						if($("#"+$.jgrid.jqID(rowid), "#"+$.jgrid.jqID($t.p.id)).hasClass("jqgrid-new-row")){
							setTimeout(function(){$($t).jqGrid("delRowData",rowid);},0);
						}
					}
					$($t).triggerHandler("jqGridInlineAfterRestoreRow", [rowid]);
					if ($.isFunction(o.afterrestorefunc))
					{
						o.afterrestorefunc.call($t, rowid);
					}
				});
			},
			addRow : function ( p ) {
				p = $.extend(true, {
					rowID : null,
					initdata : {},
					position :"first",
					useDefValues : true,
					useFormatter : false,
					addRowParams : {extraparam:{}}
				},p  || {});
				return this.each(function(){
					if (!this.grid ) { return; }
					var $t = this;
					p.rowID = $.isFunction(p.rowID) ? p.rowID.call($t, p) : ( (p.rowID != null) ? p.rowID : $.jgrid.randId());
					if(p.useDefValues === true) {
						$($t.p.colModel).each(function(){
							if( this.editoptions && this.editoptions.defaultValue ) {
								var opt = this.editoptions.defaultValue,
									tmp = $.isFunction(opt) ? opt.call($t) : opt;
								p.initdata[this.name] = tmp;
							}
						});
					}
					$($t).jqGrid('addRowData', p.rowID, p.initdata, p.position);
					p.rowID = $t.p.idPrefix + p.rowID;
					$("#"+$.jgrid.jqID(p.rowID), "#"+$.jgrid.jqID($t.p.id)).addClass("jqgrid-new-row");
					if(p.useFormatter) {
						$("#"+$.jgrid.jqID(p.rowID)+" .ui-inline-edit", "#"+$.jgrid.jqID($t.p.id)).click();
					} else {
						var opers = $t.p.prmNames,
							oper = opers.oper;
						p.addRowParams.extraparam[oper] = opers.addoper;
						$($t).jqGrid('editRow', p.rowID, p.addRowParams);
						$($t).jqGrid('setSelection', p.rowID);
					}
				});
			},
			inlineNav : function (elem, o) {
				o = $.extend({
					edit: true,
					editicon: "ui-icon-pencil",
					add: true,
					addicon:"ui-icon-plus",
					save: true,
					saveicon:"ui-icon-disk",
					cancel: true,
					cancelicon:"ui-icon-cancel",
					addParams : {},
					editParams : {},
					restoreAfterSelect : true
				}, $.jgrid.nav, o ||{});
				return this.each(function(){
					if (!this.grid ) { return; }
					var $t = this, onSelect, gID = $.jgrid.jqID($t.p.id);
					$t.p._inlinenav = true;
					// detect the formatactions column
					if(o.addParams.useFormatter === true) {
						var cm = $t.p.colModel,i;
						for (i = 0; i<cm.length; i++) {
							if(cm[i].formatter && cm[i].formatter === "actions" ) {
								if(cm[i].formatoptions) {
									var defaults =  {
											keys:false,
											onEdit : null,
											onSuccess: null,
											afterSave:null,
											onError: null,
											afterRestore: null,
											extraparam: {},
											url: null
										},
										ap = $.extend( defaults, cm[i].formatoptions );
									o.addParams.addRowParams = {
										"keys" : ap.keys,
										"oneditfunc" : ap.onEdit,
										"successfunc" : ap.onSuccess,
										"url" : ap.url,
										"extraparam" : ap.extraparam,
										"aftersavefunc" : ap.afterSavef,
										"errorfunc": ap.onError,
										"afterrestorefunc" : ap.afterRestore
									};
								}
								break;
							}
						}
					}
					if(o.add) {
						$($t).jqGrid('navButtonAdd', elem,{
							caption : o.addtext,
							title : o.addtitle,
							buttonicon : o.addicon,
							id : $t.p.id+"_iladd",
							onClickButton : function () {
								$($t).jqGrid('addRow', o.addParams);
								if(!o.addParams.useFormatter) {
									$("#"+gID+"_ilsave").removeClass('ui-state-disabled');
									$("#"+gID+"_ilcancel").removeClass('ui-state-disabled');
									$("#"+gID+"_iladd").addClass('ui-state-disabled');
									$("#"+gID+"_iledit").addClass('ui-state-disabled');
								}
							}
						});
					}
					if(o.edit) {
						$($t).jqGrid('navButtonAdd', elem,{
							caption : o.edittext,
							title : o.edittitle,
							buttonicon : o.editicon,
							id : $t.p.id+"_iledit",
							onClickButton : function () {
								var sr = $($t).jqGrid('getGridParam','selrow');
								if(sr) {
									$($t).jqGrid('editRow', sr, o.editParams);
									$("#"+gID+"_ilsave").removeClass('ui-state-disabled');
									$("#"+gID+"_ilcancel").removeClass('ui-state-disabled');
									$("#"+gID+"_iladd").addClass('ui-state-disabled');
									$("#"+gID+"_iledit").addClass('ui-state-disabled');
								} else {
									$.jgrid.viewModal("#alertmod",{gbox:"#gbox_"+gID,jqm:true});$("#jqg_alrt").focus();
								}
							}
						});
					}
					if(o.save) {
						$($t).jqGrid('navButtonAdd', elem,{
							caption : o.savetext || '',
							title : o.savetitle || 'Save row',
							buttonicon : o.saveicon,
							id : $t.p.id+"_ilsave",
							onClickButton : function () {
								var sr = $t.p.savedRow[0].id;
								if(sr) {
									var opers = $t.p.prmNames,
										oper = opers.oper;
									if(!o.editParams.extraparam) {
										o.editParams.extraparam = {};
									}
									if($("#"+$.jgrid.jqID(sr), "#"+gID ).hasClass("jqgrid-new-row")) {
										o.editParams.extraparam[oper] = opers.addoper;
									} else {
										o.editParams.extraparam[oper] = opers.editoper;
									}
									if( $($t).jqGrid('saveRow', sr, o.editParams) ) {
										$($t).jqGrid('showAddEditButtons');
									}
								} else {
									$.jgrid.viewModal("#alertmod",{gbox:"#gbox_"+gID,jqm:true});$("#jqg_alrt").focus();
								}
							}
						});
						$("#"+gID+"_ilsave").addClass('ui-state-disabled');
					}
					if(o.cancel) {
						$($t).jqGrid('navButtonAdd', elem,{
							caption : o.canceltext || '',
							title : o.canceltitle || 'Cancel row editing',
							buttonicon : o.cancelicon,
							id : $t.p.id+"_ilcancel",
							onClickButton : function () {
								var sr = $t.p.savedRow[0].id;
								if(sr) {
									$($t).jqGrid('restoreRow', sr, o.editParams);
									$($t).jqGrid('showAddEditButtons');
								} else {
									$.jgrid.viewModal("#alertmod",{gbox:"#gbox_"+gID,jqm:true});$("#jqg_alrt").focus();
								}
							}
						});
						$("#"+gID+"_ilcancel").addClass('ui-state-disabled');
					}
					if(o.restoreAfterSelect === true) {
						if($.isFunction($t.p.beforeSelectRow)) {
							onSelect = $t.p.beforeSelectRow;
						} else {
							onSelect =  false;
						}
						$t.p.beforeSelectRow = function(id, stat) {
							var ret = true;
							if($t.p.savedRow.length > 0 && $t.p._inlinenav===true && ( id !== $t.p.selrow && $t.p.selrow !==null) ) {
								if($t.p.selrow == o.addParams.rowID ) {
									$($t).jqGrid('delRowData', $t.p.selrow);
								} else {
									$($t).jqGrid('restoreRow', $t.p.selrow, o.editParams);
								}
								$($t).jqGrid('showAddEditButtons');
							}
							if(onSelect) {
								ret = onSelect.call($t, id, stat);
							}
							return ret;
						};
					}

				});
			},
			showAddEditButtons : function()  {
				return this.each(function(){
					if (!this.grid ) { return; }
					var gID = $.jgrid.jqID(this.p.id);
					$("#"+gID+"_ilsave").addClass('ui-state-disabled');
					$("#"+gID+"_ilcancel").addClass('ui-state-disabled');
					$("#"+gID+"_iladd").removeClass('ui-state-disabled');
					$("#"+gID+"_iledit").removeClass('ui-state-disabled');
				});
			}
//end inline edit
		});
	})(jQuery);
	/*jshint eqeqeq:false */
	/*global jQuery */
	(function($){
		/*
**
 * jqGrid extension for cellediting Grid Data
 * Tony Tomov tony@trirand.com
 * http://trirand.com/blog/
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
**/
		/**
		 * all events and options here are aded anonynous and not in the base grid
		 * since the array is to big. Here is the order of execution.
		 * From this point we use jQuery isFunction
		 * formatCell
		 * beforeEditCell,
		 * onSelectCell (used only for noneditable cels)
		 * afterEditCell,
		 * beforeSaveCell, (called before validation of values if any)
		 * beforeSubmitCell (if cellsubmit remote (ajax))
		 * afterSubmitCell(if cellsubmit remote (ajax)),
		 * afterSaveCell,
		 * errorCell,
		 * serializeCellData - new
		 * Options
		 * cellsubmit (remote,clientArray) (added in grid options)
		 * cellurl
		 * ajaxCellOptions
		 * */
		"use strict";
		$.jgrid.extend({
			editCell : function (iRow,iCol, ed){
				return this.each(function (){
					var $t = this, nm, tmp,cc, cm;
					if (!$t.grid || $t.p.cellEdit !== true) {return;}
					iCol = parseInt(iCol,10);
					// select the row that can be used for other methods
					$t.p.selrow = $t.rows[iRow].id;
					if (!$t.p.knv) {$($t).jqGrid("GridNav");}
					// check to see if we have already edited cell
					if ($t.p.savedRow.length>0) {
						// prevent second click on that field and enable selects
						if (ed===true ) {
							if(iRow == $t.p.iRow && iCol == $t.p.iCol){
								return;
							}
						}
						// save the cell
						$($t).jqGrid("saveCell",$t.p.savedRow[0].id,$t.p.savedRow[0].ic);
					} else {
						window.setTimeout(function () { $("#"+$.jgrid.jqID($t.p.knv)).attr("tabindex","-1").focus();},0);
					}
					cm = $t.p.colModel[iCol];
					nm = cm.name;
					if (nm=='subgrid' || nm=='cb' || nm=='rn') {return;}
					cc = $("td:eq("+iCol+")",$t.rows[iRow]);
					if (cm.editable===true && ed===true && !cc.hasClass("not-editable-cell")) {
						if(parseInt($t.p.iCol,10)>=0  && parseInt($t.p.iRow,10)>=0) {
							$("td:eq("+$t.p.iCol+")",$t.rows[$t.p.iRow]).removeClass("edit-cell ui-state-highlight");
							$($t.rows[$t.p.iRow]).removeClass("selected-row ui-state-hover");
						}
						$(cc).addClass("edit-cell ui-state-highlight");
						$($t.rows[iRow]).addClass("selected-row ui-state-hover");
						try {
							tmp =  $.unformat.call($t,cc,{rowId: $t.rows[iRow].id, colModel:cm},iCol);
						} catch (_) {
							tmp = ( cm.edittype && cm.edittype == 'textarea' ) ? $(cc).text() : $(cc).html();
						}
						if($t.p.autoencode) { tmp = $.jgrid.htmlDecode(tmp); }
						if (!cm.edittype) {cm.edittype = "text";}
						$t.p.savedRow.push({id:iRow,ic:iCol,name:nm,v:tmp});
						if(tmp === "&nbsp;" || tmp === "&#160;" || (tmp.length===1 && tmp.charCodeAt(0)===160) ) {tmp='';}
						if($.isFunction($t.p.formatCell)) {
							var tmp2 = $t.p.formatCell.call($t, $t.rows[iRow].id,nm,tmp,iRow,iCol);
							if(tmp2 !== undefined ) {tmp = tmp2;}
						}
						var opt = $.extend({}, cm.editoptions || {} ,{id:iRow+"_"+nm,name:nm});
						var elc = $.jgrid.createEl.call($t,cm.edittype,opt,tmp,true,$.extend({},$.jgrid.ajaxOptions,$t.p.ajaxSelectOptions || {}));
						$($t).triggerHandler("jqGridBeforeEditCell", [$t.rows[iRow].id, nm, tmp, iRow, iCol]);
						if ($.isFunction($t.p.beforeEditCell)) {
							$t.p.beforeEditCell.call($t, $t.rows[iRow].id,nm,tmp,iRow,iCol);
						}
						$(cc).html("").append(elc).attr("tabindex","0");
						$.jgrid.bindEv( elc, opt, $t);
						window.setTimeout(function () { $(elc).focus();},0);
						$("input, select, textarea",cc).on("keydown",function(e) {
							if (e.keyCode === 27) {
								if($("input.hasDatepicker",cc).length >0) {
									if( $(".ui-datepicker").is(":hidden") )  { $($t).jqGrid("restoreCell",iRow,iCol); }
									else { $("input.hasDatepicker",cc).datepicker('hide'); }
								} else {
									$($t).jqGrid("restoreCell",iRow,iCol);
								}
							} //ESC
							if (e.keyCode === 13) {
								$($t).jqGrid("saveCell",iRow,iCol);
								// Prevent default action
								return false;
							} //Enter
							if (e.keyCode === 9)  {
								if(!$t.grid.hDiv.loading ) {
									if (e.shiftKey) {$($t).jqGrid("prevCell",iRow,iCol);} //Shift TAb
									else {$($t).jqGrid("nextCell",iRow,iCol);} //Tab
								} else {
									return false;
								}
							}
							e.stopPropagation();
						});
						$($t).triggerHandler("jqGridAfterEditCell", [$t.rows[iRow].id, nm, tmp, iRow, iCol]);
						if ($.isFunction($t.p.afterEditCell)) {
							$t.p.afterEditCell.call($t, $t.rows[iRow].id,nm,tmp,iRow,iCol);
						}
					} else {
						if (parseInt($t.p.iCol,10)>=0  && parseInt($t.p.iRow,10)>=0) {
							$("td:eq("+$t.p.iCol+")",$t.rows[$t.p.iRow]).removeClass("edit-cell ui-state-highlight");
							$($t.rows[$t.p.iRow]).removeClass("selected-row ui-state-hover");
						}
						cc.addClass("edit-cell ui-state-highlight");
						$($t.rows[iRow]).addClass("selected-row ui-state-hover");
						tmp = cc.html().replace(/\&#160\;/ig,'');
						$($t).triggerHandler("jqGridSelectCell", [$t.rows[iRow].id, nm, tmp, iRow, iCol]);
						if ($.isFunction($t.p.onSelectCell)) {
							$t.p.onSelectCell.call($t, $t.rows[iRow].id,nm,tmp,iRow,iCol);
						}
					}
					$t.p.iCol = iCol; $t.p.iRow = iRow;
				});
			},
			saveCell : function (iRow, iCol){
				return this.each(function(){
					var $t= this, fr;
					if (!$t.grid || $t.p.cellEdit !== true) {return;}
					if ( $t.p.savedRow.length >= 1) {fr = 0;} else {fr=null;}
					if(fr !== null) {
						var cc = $("td:eq("+iCol+")",$t.rows[iRow]),v,v2,
							cm = $t.p.colModel[iCol], nm = cm.name, nmjq = $.jgrid.jqID(nm) ;
						switch (cm.edittype) {
							case "select":
								if(!cm.editoptions.multiple) {
									v = $("#"+iRow+"_"+nmjq+" option:selected",$t.rows[iRow]).val();
									v2 = $("#"+iRow+"_"+nmjq+" option:selected",$t.rows[iRow]).text();
								} else {
									var sel = $("#"+iRow+"_"+nmjq,$t.rows[iRow]), selectedText = [];
									v = $(sel).val();
									if(v) { v.join(",");} else { v=""; }
									$("option:selected",sel).each(
										function(i,selected){
											selectedText[i] = $(selected).text();
										}
									);
									v2 = selectedText.join(",");
								}
								if(cm.formatter) { v2 = v; }
								break;
							case "checkbox":
								var cbv  = ["Yes","No"];
								if(cm.editoptions){
									cbv = cm.editoptions.value.split(":");
								}
								v = $("#"+iRow+"_"+nmjq,$t.rows[iRow]).is(":checked") ? cbv[0] : cbv[1];
								v2=v;
								break;
							case "password":
							case "text":
							case "textarea":
							case "button" :
								v = $("#"+iRow+"_"+nmjq,$t.rows[iRow]).val();
								v2=v;
								break;
							case 'custom' :
								try {
									if(cm.editoptions && $.isFunction(cm.editoptions.custom_value)) {
										v = cm.editoptions.custom_value.call($t, $(".customelement",cc),'get');
										if (v===undefined) { throw "e2";} else { v2=v; }
									} else { throw "e1"; }
								} catch (e) {
									if (e=="e1") { $.jgrid.info_dialog($.jgrid.errors.errcap,"function 'custom_value' "+$.jgrid.edit.msg.nodefined,$.jgrid.edit.bClose); }
									if (e=="e2") { $.jgrid.info_dialog($.jgrid.errors.errcap,"function 'custom_value' "+$.jgrid.edit.msg.novalue,$.jgrid.edit.bClose); }
									else {$.jgrid.info_dialog($.jgrid.errors.errcap,e.message,$.jgrid.edit.bClose); }
								}
								break;
						}
						// The common approach is if nothing changed do not do anything
						if (v2 !== $t.p.savedRow[fr].v){
							var vvv = $($t).triggerHandler("jqGridBeforeSaveCell", [$t.rows[iRow].id, nm, v, iRow, iCol]);
							if (vvv) {v = vvv; v2=vvv;}
							if ($.isFunction($t.p.beforeSaveCell)) {
								var vv = $t.p.beforeSaveCell.call($t, $t.rows[iRow].id,nm, v, iRow,iCol);
								if (vv) {v = vv; v2=vv;}
							}
							var cv = $.jgrid.checkValues(v,iCol,$t);
							if(cv[0] === true) {
								var addpost = $($t).triggerHandler("jqGridBeforeSubmitCell", [$t.rows[iRow].id, nm, v, iRow, iCol]) || {};
								if ($.isFunction($t.p.beforeSubmitCell)) {
									addpost = $t.p.beforeSubmitCell.call($t, $t.rows[iRow].id,nm, v, iRow,iCol);
									if (!addpost) {addpost={};}
								}
								if( $("input.hasDatepicker",cc).length >0) { $("input.hasDatepicker",cc).datepicker('hide'); }
								if ($t.p.cellsubmit == 'remote') {
									if ($t.p.cellurl) {
										var postdata = {};
										if($t.p.autoencode) { v = $.jgrid.htmlEncode(v); }
										postdata[nm] = v;
										var idname,oper, opers;
										opers = $t.p.prmNames;
										idname = opers.id;
										oper = opers.oper;
										postdata[idname] = $.jgrid.stripPref($t.p.idPrefix, $t.rows[iRow].id);
										postdata[oper] = opers.editoper;
										postdata = $.extend(addpost,postdata);
										$("#lui_"+$.jgrid.jqID($t.p.id)).show();
										$t.grid.hDiv.loading = true;
										$.ajax( $.extend( {
											url: $t.p.cellurl,
											data :$.isFunction($t.p.serializeCellData) ? $t.p.serializeCellData.call($t, postdata) : postdata,
											type: "POST",
											complete: function (result, stat) {
												$("#lui_"+$t.p.id).hide();
												$t.grid.hDiv.loading = false;
												if (stat == 'success') {
													var ret = $($t).triggerHandler("jqGridAfterSubmitCell", [$t, result, postdata.id, nm, v, iRow, iCol]) || [true, ''];
													if (ret[0] === true && $.isFunction($t.p.afterSubmitCell)) {
														ret = $t.p.afterSubmitCell.call($t, result,postdata.id,nm,v,iRow,iCol);
													}
													if(ret[0] === true){
														$(cc).empty();
														$($t).jqGrid("setCell",$t.rows[iRow].id, iCol, v2, false, false, true);
														$(cc).addClass("dirty-cell");
														$($t.rows[iRow]).addClass("edited");
														$($t).triggerHandler("jqGridAfterSaveCell", [$t.rows[iRow].id, nm, v, iRow, iCol]);
														if ($.isFunction($t.p.afterSaveCell)) {
															$t.p.afterSaveCell.call($t, $t.rows[iRow].id,nm, v, iRow,iCol);
														}
														$t.p.savedRow.splice(0,1);
													} else {
														$.jgrid.info_dialog($.jgrid.errors.errcap,ret[1],$.jgrid.edit.bClose);
														$($t).jqGrid("restoreCell",iRow,iCol);
													}
												}
											},
											error:function(res,stat,err) {
												$("#lui_"+$.jgrid.jqID($t.p.id)).hide();
												$t.grid.hDiv.loading = false;
												$($t).triggerHandler("jqGridErrorCell", [res, stat, err]);
												if ($.isFunction($t.p.errorCell)) {
													$t.p.errorCell.call($t, res,stat,err);
													$($t).jqGrid("restoreCell",iRow,iCol);
												} else {
													$.jgrid.info_dialog($.jgrid.errors.errcap,res.status+" : "+res.statusText+"<br/>"+stat,$.jgrid.edit.bClose);
													$($t).jqGrid("restoreCell",iRow,iCol);
												}
											}
										}, $.jgrid.ajaxOptions, $t.p.ajaxCellOptions || {}));
									} else {
										try {
											$.jgrid.info_dialog($.jgrid.errors.errcap,$.jgrid.errors.nourl,$.jgrid.edit.bClose);
											$($t).jqGrid("restoreCell",iRow,iCol);
										} catch (e) {}
									}
								}
								if ($t.p.cellsubmit == 'clientArray') {
									$(cc).empty();
									$($t).jqGrid("setCell",$t.rows[iRow].id,iCol, v2, false, false, true);
									$(cc).addClass("dirty-cell");
									$($t.rows[iRow]).addClass("edited");
									$($t).triggerHandler("jqGridAfterSaveCell", [$t.rows[iRow].id, nm, v, iRow, iCol]);
									if ($.isFunction($t.p.afterSaveCell)) {
										$t.p.afterSaveCell.call($t, $t.rows[iRow].id,nm, v, iRow,iCol);
									}
									$t.p.savedRow.splice(0,1);
								}
							} else {
								try {
									window.setTimeout(function(){$.jgrid.info_dialog($.jgrid.errors.errcap,v+" "+cv[1],$.jgrid.edit.bClose);},100);
									$($t).jqGrid("restoreCell",iRow,iCol);
								} catch (e) {}
							}
						} else {
							$($t).jqGrid("restoreCell",iRow,iCol);
						}
					}
					if ($.browser.opera) {
						$("#"+$.jgrid.jqID($t.p.knv)).attr("tabindex","-1").focus();
					} else {
						window.setTimeout(function () { $("#"+$.jgrid.jqID($t.p.knv)).attr("tabindex","-1").focus();},0);
					}
				});
			},
			restoreCell : function(iRow, iCol) {
				return this.each(function(){
					var $t= this, fr;
					if (!$t.grid || $t.p.cellEdit !== true ) {return;}
					if ( $t.p.savedRow.length >= 1) {fr = 0;} else {fr=null;}
					if(fr !== null) {
						var cc = $("td:eq("+iCol+")",$t.rows[iRow]);
						// datepicker fix
						if($.isFunction($.fn.datepicker)) {
							try {
								$("input.hasDatepicker",cc).datepicker('hide');
							} catch (e) {}
						}
						$(cc).empty().attr("tabindex","-1");
						$($t).jqGrid("setCell",$t.rows[iRow].id, iCol, $t.p.savedRow[fr].v, false, false, true);
						$($t).triggerHandler("jqGridAfterRestoreCell", [$t.rows[iRow].id, $t.p.savedRow[fr].v, iRow, iCol]);
						if ($.isFunction($t.p.afterRestoreCell)) {
							$t.p.afterRestoreCell.call($t, $t.rows[iRow].id, $t.p.savedRow[fr].v, iRow, iCol);
						}
						$t.p.savedRow.splice(0,1);
					}
					window.setTimeout(function () { $("#"+$t.p.knv).attr("tabindex","-1").focus();},0);
				});
			},
			nextCell : function (iRow,iCol) {
				return this.each(function (){
					var $t = this, nCol=false, i;
					if (!$t.grid || $t.p.cellEdit !== true) {return;}
					// try to find next editable cell
					for (i=iCol+1; i<$t.p.colModel.length; i++) {
						if ( $t.p.colModel[i].editable ===true) {
							nCol = i; break;
						}
					}
					if(nCol !== false) {
						$($t).jqGrid("editCell",iRow,nCol,true);
					} else {
						if ($t.p.savedRow.length >0) {
							$($t).jqGrid("saveCell",iRow,iCol);
						}
					}
				});
			},
			prevCell : function (iRow,iCol) {
				return this.each(function (){
					var $t = this, nCol=false, i;
					if (!$t.grid || $t.p.cellEdit !== true) {return;}
					// try to find next editable cell
					for (i=iCol-1; i>=0; i--) {
						if ( $t.p.colModel[i].editable ===true) {
							nCol = i; break;
						}
					}
					if(nCol !== false) {
						$($t).jqGrid("editCell",iRow,nCol,true);
					} else {
						if ($t.p.savedRow.length >0) {
							$($t).jqGrid("saveCell",iRow,iCol);
						}
					}
				});
			},
			GridNav : function() {
				return this.each(function () {
					var  $t = this;
					if (!$t.grid || $t.p.cellEdit !== true ) {return;}
					// trick to process keydown on non input elements
					$t.p.knv = $t.p.id + "_kn";
					var selection = $("<div style='position:fixed;top:-1000000px;width:1px;height:1px;' tabindex='0'><div tabindex='-1' style='width:1px;height:1px;' id='"+$t.p.knv+"'></div></div>"),
						i, kdir;
					function scrollGrid(iR, iC, tp){
						if (tp.substr(0,1)=='v') {
							var ch = $($t.grid.bDiv)[0].clientHeight,
								st = $($t.grid.bDiv)[0].scrollTop,
								nROT = $t.rows[iR].offsetTop+$t.rows[iR].clientHeight,
								pROT = $t.rows[iR].offsetTop;
							if(tp == 'vd') {
								if(nROT >= ch) {
									$($t.grid.bDiv)[0].scrollTop = $($t.grid.bDiv)[0].scrollTop + $t.rows[iR].clientHeight;
								}
							}
							if(tp == 'vu'){
								if (pROT < st ) {
									$($t.grid.bDiv)[0].scrollTop = $($t.grid.bDiv)[0].scrollTop - $t.rows[iR].clientHeight;
								}
							}
						}
						if(tp=='h') {
							var cw = $($t.grid.bDiv)[0].clientWidth,
								sl = $($t.grid.bDiv)[0].scrollLeft,
								nCOL = $t.rows[iR].cells[iC].offsetLeft+$t.rows[iR].cells[iC].clientWidth,
								pCOL = $t.rows[iR].cells[iC].offsetLeft;
							if(nCOL >= cw+parseInt(sl,10)) {
								$($t.grid.bDiv)[0].scrollLeft = $($t.grid.bDiv)[0].scrollLeft + $t.rows[iR].cells[iC].clientWidth;
							} else if (pCOL < sl) {
								$($t.grid.bDiv)[0].scrollLeft = $($t.grid.bDiv)[0].scrollLeft - $t.rows[iR].cells[iC].clientWidth;
							}
						}
					}
					function findNextVisible(iC,act){
						var ind, i;
						if(act == 'lft') {
							ind = iC+1;
							for (i=iC;i>=0;i--){
								if ($t.p.colModel[i].hidden !== true) {
									ind = i;
									break;
								}
							}
						}
						if(act == 'rgt') {
							ind = iC-1;
							for (i=iC; i<$t.p.colModel.length;i++){
								if ($t.p.colModel[i].hidden !== true) {
									ind = i;
									break;
								}
							}
						}
						return ind;
					}

					$(selection).insertBefore($t.grid.cDiv);
					$("#"+$t.p.knv)
						.focus()
						.keydown(function (e){
							kdir = e.keyCode;
							if($t.p.direction == "rtl") {
								if(kdir===37) { kdir = 39;}
								else if (kdir===39) { kdir = 37; }
							}
							switch (kdir) {
								case 38:
									if ($t.p.iRow-1 >0 ) {
										scrollGrid($t.p.iRow-1,$t.p.iCol,'vu');
										$($t).jqGrid("editCell",$t.p.iRow-1,$t.p.iCol,false);
									}
									break;
								case 40 :
									if ($t.p.iRow+1 <=  $t.rows.length-1) {
										scrollGrid($t.p.iRow+1,$t.p.iCol,'vd');
										$($t).jqGrid("editCell",$t.p.iRow+1,$t.p.iCol,false);
									}
									break;
								case 37 :
									if ($t.p.iCol -1 >=  0) {
										i = findNextVisible($t.p.iCol-1,'lft');
										scrollGrid($t.p.iRow, i,'h');
										$($t).jqGrid("editCell",$t.p.iRow, i,false);
									}
									break;
								case 39 :
									if ($t.p.iCol +1 <=  $t.p.colModel.length-1) {
										i = findNextVisible($t.p.iCol+1,'rgt');
										scrollGrid($t.p.iRow,i,'h');
										$($t).jqGrid("editCell",$t.p.iRow,i,false);
									}
									break;
								case 13:
									if (parseInt($t.p.iCol,10)>=0 && parseInt($t.p.iRow,10)>=0) {
										$($t).jqGrid("editCell",$t.p.iRow,$t.p.iCol,true);
									}
									break;
								default :
									return true;
							}
							return false;
						});
				});
			},
			getChangedCells : function (mthd) {
				var ret=[];
				if (!mthd) {mthd='all';}
				this.each(function(){
					var $t= this,nm;
					if (!$t.grid || $t.p.cellEdit !== true ) {return;}
					$($t.rows).each(function(j){
						var res = {};
						if ($(this).hasClass("edited")) {
							$('td',this).each( function(i) {
								nm = $t.p.colModel[i].name;
								if ( nm !== 'cb' && nm !== 'subgrid') {
									if (mthd=='dirty') {
										if ($(this).hasClass('dirty-cell')) {
											try {
												res[nm] = $.unformat.call($t,this,{rowId:$t.rows[j].id, colModel:$t.p.colModel[i]},i);
											} catch (e){
												res[nm] = $.jgrid.htmlDecode($(this).html());
											}
										}
									} else {
										try {
											res[nm] = $.unformat.call($t,this,{rowId:$t.rows[j].id,colModel:$t.p.colModel[i]},i);
										} catch (e) {
											res[nm] = $.jgrid.htmlDecode($(this).html());
										}
									}
								}
							});
							res.id = this.id;
							ret.push(res);
						}
					});
				});
				return ret;
			}
/// end  cell editing
		});
	})(jQuery);
	/*jshint eqeqeq:false */
	/*global jQuery */
	(function($){
		/**
		 * jqGrid extension for SubGrid Data
		 * Tony Tomov tony@trirand.com
		 * http://trirand.com/blog/
		 * Dual licensed under the MIT and GPL licenses:
		 * http://www.opensource.org/licenses/mit-license.php
		 * http://www.gnu.org/licenses/gpl-2.0.html
		 **/
		"use strict";
		$.jgrid.extend({
			setSubGrid : function () {
				return this.each(function (){
					var $t = this, cm, i,
						suboptions = {
							plusicon : "ui-icon-plus",
							minusicon : "ui-icon-minus",
							openicon: "ui-icon-carat-1-sw",
							expandOnLoad:  false,
							delayOnLoad : 50,
							selectOnExpand : false,
							reloadOnExpand : true
						};
					$t.p.subGridOptions = $.extend(suboptions, $t.p.subGridOptions || {});
					$t.p.colNames.unshift("");
					$t.p.colModel.unshift({name:'subgrid',width: ($.browser.safari || $.browser.webkit) ?  $t.p.subGridWidth+$t.p.cellLayout : $t.p.subGridWidth,sortable: false,resizable:false,hidedlg:true,search:false,fixed:true});
					cm = $t.p.subGridModel;
					if(cm[0]) {
						cm[0].align = $.extend([],cm[0].align || []);
						for(i=0;i<cm[0].name.length;i++) { cm[0].align[i] = cm[0].align[i] || 'left';}
					}
				});
			},
			addSubGridCell :function (pos,iRow) {
				var prp='',ic,sid;
				this.each(function(){
					prp = this.formatCol(pos,iRow);
					sid= this.p.id;
					ic = this.p.subGridOptions.plusicon;
				});
				return "<td role=\"gridcell\" aria-describedby=\""+sid+"_subgrid\" class=\"ui-sgcollapsed sgcollapsed\" "+prp+"><a href='javascript:void(0);'><span class='ui-icon "+ic+"'></span></a></td>";
			},
			addSubGrid : function( pos, sind ) {
				return this.each(function(){
					var ts = this;
					if (!ts.grid ) { return; }
					//-------------------------
					var subGridCell = function(trdiv,cell,pos)
					{
						var tddiv = $("<td align='"+ts.p.subGridModel[0].align[pos]+"'></td>").html(cell);
						$(trdiv).append(tddiv);
					};
					var subGridXml = function(sjxml, sbid){
						var tddiv, i,  sgmap,
							dummy = $("<table cellspacing='0' cellpadding='0' border='0'><tbody></tbody></table>"),
							trdiv = $("<tr></tr>");
						for (i = 0; i<ts.p.subGridModel[0].name.length; i++) {
							tddiv = $("<th class='ui-state-default ui-th-subgrid ui-th-column ui-th-"+ts.p.direction+"'></th>");
							$(tddiv).html(ts.p.subGridModel[0].name[i]);
							$(tddiv).css( "width", ts.p.subGridModel[0].width[i] +"px");
							$(trdiv).append(tddiv);
						}
						$(dummy).append(trdiv);
						if (sjxml){
							sgmap = ts.p.xmlReader.subgrid;
							$(sgmap.root+" "+sgmap.row, sjxml).each( function(){
								trdiv = $("<tr class='ui-widget-content ui-subtblcell'></tr>");
								if(sgmap.repeatitems === true) {
									$(sgmap.cell,this).each( function(i) {
										subGridCell(trdiv, $(this).text() || '&#160;',i);
									});
								} else {
									var f = ts.p.subGridModel[0].mapping || ts.p.subGridModel[0].name;
									if (f) {
										for (i=0;i<f.length;i++) {
											subGridCell(trdiv, $(f[i],this).text() || '&#160;',i);
										}
									}
								}
								$(dummy).append(trdiv);
							});
						}
						var pID = $("table:first",ts.grid.bDiv).attr("id")+"_";
						$("#"+$.jgrid.jqID(pID+sbid)).append(dummy);
						ts.grid.hDiv.loading = false;
						$("#load_"+$.jgrid.jqID(ts.p.id)).hide();
						return false;
					};
					var subGridJson = function(sjxml, sbid){
						var tddiv,result,i,cur, sgmap,j,
							dummy = $("<table cellspacing='0' cellpadding='0' border='0'><tbody></tbody></table>"),
							trdiv = $("<tr></tr>");
						for (i = 0; i<ts.p.subGridModel[0].name.length; i++) {
							tddiv = $("<th class='ui-state-default ui-th-subgrid ui-th-column ui-th-"+ts.p.direction+"'></th>");
							$(tddiv).html(ts.p.subGridModel[0].name[i]);
							$(tddiv).css( "width", ts.p.subGridModel[0].width[i]+"px");
							$(trdiv).append(tddiv);
						}
						$(dummy).append(trdiv);
						if (sjxml){
							sgmap = ts.p.jsonReader.subgrid;
							result = $.jgrid.getAccessor(sjxml, sgmap.root);
							if ( result !== undefined ) {
								for (i=0;i<result.length;i++) {
									cur = result[i];
									trdiv = $("<tr class='ui-widget-content ui-subtblcell'></tr>");
									if(sgmap.repeatitems === true) {
										if(sgmap.cell) { cur=cur[sgmap.cell]; }
										for (j=0;j<cur.length;j++) {
											subGridCell(trdiv, cur[j] || '&#160;',j);
										}
									} else {
										var f = ts.p.subGridModel[0].mapping || ts.p.subGridModel[0].name;
										if(f.length) {
											for (j=0;j<f.length;j++) {
												subGridCell(trdiv, cur[f[j]] || '&#160;',j);
											}
										}
									}
									$(dummy).append(trdiv);
								}
							}
						}
						var pID = $("table:first",ts.grid.bDiv).attr("id")+"_";
						$("#"+$.jgrid.jqID(pID+sbid)).append(dummy);
						ts.grid.hDiv.loading = false;
						$("#load_"+$.jgrid.jqID(ts.p.id)).hide();
						return false;
					};
					var populatesubgrid = function( rd )
					{
						var sid,dp, i, j;
						sid = $(rd).attr("id");
						dp = {nd_: (new Date().getTime())};
						dp[ts.p.prmNames.subgridid]=sid;
						if(!ts.p.subGridModel[0]) { return false; }
						if(ts.p.subGridModel[0].params) {
							for(j=0; j < ts.p.subGridModel[0].params.length; j++) {
								for(i=0; i<ts.p.colModel.length; i++) {
									if(ts.p.colModel[i].name === ts.p.subGridModel[0].params[j]) {
										dp[ts.p.colModel[i].name]= $("td:eq("+i+")",rd).text().replace(/\&#160\;/ig,'');
									}
								}
							}
						}
						if(!ts.grid.hDiv.loading) {
							ts.grid.hDiv.loading = true;
							$("#load_"+$.jgrid.jqID(ts.p.id)).show();
							if(!ts.p.subgridtype) { ts.p.subgridtype = ts.p.datatype; }
							if($.isFunction(ts.p.subgridtype)) {
								ts.p.subgridtype.call(ts, dp);
							} else {
								ts.p.subgridtype = ts.p.subgridtype.toLowerCase();
							}
							switch(ts.p.subgridtype) {
								case "xml":
								case "json":
									$.ajax($.extend({
										type:ts.p.mtype,
										url: ts.p.subGridUrl,
										dataType:ts.p.subgridtype,
										data: $.isFunction(ts.p.serializeSubGridData)? ts.p.serializeSubGridData.call(ts, dp) : dp,
										complete: function(sxml) {
											if(ts.p.subgridtype === "xml") {
												subGridXml(sxml.responseXML, sid);
											} else {
												subGridJson($.jgrid.parse(sxml.responseText),sid);
											}
											sxml=null;
										}
									}, $.jgrid.ajaxOptions, ts.p.ajaxSubgridOptions || {}));
									break;
							}
						}
						return false;
					};
					var _id, pID,atd, nhc=0, bfsc, r;
					$.each(ts.p.colModel,function(){
						if(this.hidden === true || this.name === 'rn' || this.name === 'cb') {
							nhc++;
						}
					});
					var len = ts.rows.length, i=1;
					if( sind !== undefined && sind > 0) {
						i = sind;
						len = sind+1;
					}
					while(i < len) {
						if($(ts.rows[i]).hasClass('jqgrow')) {
							$(ts.rows[i].cells[pos]).on('click', function() {
								var tr = $(this).parent("tr")[0];
								r = tr.nextSibling;
								if($(this).hasClass("sgcollapsed")) {
									pID = ts.p.id;
									_id = tr.id;
									if(ts.p.subGridOptions.reloadOnExpand === true || ( ts.p.subGridOptions.reloadOnExpand === false && !$(r).hasClass('ui-subgrid') ) ) {
										atd = pos >=1 ? "<td colspan='"+pos+"'>&#160;</td>":"";
										bfsc = $(ts).triggerHandler("jqGridSubGridBeforeExpand", [pID + "_" + _id, _id]);
										bfsc = (bfsc === false || bfsc === 'stop') ? false : true;
										if(bfsc && $.isFunction(ts.p.subGridBeforeExpand)) {
											bfsc = ts.p.subGridBeforeExpand.call(ts, pID+"_"+_id,_id);
										}
										if(bfsc === false) {return false;}
										$(tr).after( "<tr role='row' class='ui-subgrid'>"+atd+"<td class='ui-widget-content subgrid-cell'><span class='ui-icon "+ts.p.subGridOptions.openicon+"'></span></td><td colspan='"+parseInt(ts.p.colNames.length-1-nhc,10)+"' class='ui-widget-content subgrid-data'><div id="+pID+"_"+_id+" class='tablediv'></div></td></tr>" );
										$(ts).triggerHandler("jqGridSubGridRowExpanded", [pID + "_" + _id, _id]);
										if( $.isFunction(ts.p.subGridRowExpanded)) {
											ts.p.subGridRowExpanded.call(ts, pID+"_"+ _id,_id);
										} else {
											populatesubgrid(tr);
										}
									} else {
										$(r).show();
									}
									$(this).html("<a href='javascript:void(0);'><span class='ui-icon "+ts.p.subGridOptions.minusicon+"'></span></a>").removeClass("sgcollapsed").addClass("sgexpanded");
									if(ts.p.subGridOptions.selectOnExpand) {
										$(ts).jqGrid('setSelection',_id);
									}
								} else if($(this).hasClass("sgexpanded")) {
									bfsc = $(ts).triggerHandler("jqGridSubGridRowColapsed", [pID + "_" + _id, _id]);
									bfsc = (bfsc === false || bfsc === 'stop') ? false : true;
									if( bfsc &&  $.isFunction(ts.p.subGridRowColapsed)) {
										_id = tr.id;
										bfsc = ts.p.subGridRowColapsed.call(ts, pID+"_"+_id,_id );
									}
									if(bfsc===false) {return false;}
									if(ts.p.subGridOptions.reloadOnExpand === true) {
										$(r).remove(".ui-subgrid");
									} else if($(r).hasClass('ui-subgrid')) { // incase of dynamic deleting
										$(r).hide();
									}
									$(this).html("<a href='javascript:void(0);'><span class='ui-icon "+ts.p.subGridOptions.plusicon+"'></span></a>").removeClass("sgexpanded").addClass("sgcollapsed");
								}
								return false;
							});
						}
						i++;
					}
					if(ts.p.subGridOptions.expandOnLoad === true) {
						$(ts.rows).filter('.jqgrow').each(function(index,row){
							$(row.cells[0]).click();
						});
					}
					ts.subGridXml = function(xml,sid) {subGridXml(xml,sid);};
					ts.subGridJson = function(json,sid) {subGridJson(json,sid);};
				});
			},
			expandSubGridRow : function(rowid) {
				return this.each(function () {
					var $t = this;
					if(!$t.grid && !rowid) {return;}
					if($t.p.subGrid===true) {
						var rc = $(this).jqGrid("getInd",rowid,true);
						if(rc) {
							var sgc = $("td.sgcollapsed",rc)[0];
							if(sgc) {
								$(sgc).trigger("click");
							}
						}
					}
				});
			},
			collapseSubGridRow : function(rowid) {
				return this.each(function () {
					var $t = this;
					if(!$t.grid && !rowid) {return;}
					if($t.p.subGrid===true) {
						var rc = $(this).jqGrid("getInd",rowid,true);
						if(rc) {
							var sgc = $("td.sgexpanded",rc)[0];
							if(sgc) {
								$(sgc).trigger("click");
							}
						}
					}
				});
			},
			toggleSubGridRow : function(rowid) {
				return this.each(function () {
					var $t = this;
					if(!$t.grid && !rowid) {return;}
					if($t.p.subGrid===true) {
						var rc = $(this).jqGrid("getInd",rowid,true);
						if(rc) {
							var sgc = $("td.sgcollapsed",rc)[0];
							if(sgc) {
								$(sgc).trigger("click");
							} else {
								sgc = $("td.sgexpanded",rc)[0];
								if(sgc) {
									$(sgc).trigger("click");
								}
							}
						}
					}
				});
			}
		});
	})(jQuery);
	/**
	 * jqGrid extension - Tree Grid
	 * Tony Tomov tony@trirand.com
	 * http://trirand.com/blog/
	 * Dual licensed under the MIT and GPL licenses:
	 * http://www.opensource.org/licenses/mit-license.php
	 * http://www.gnu.org/licenses/gpl.html
	 **/

	/*jshint eqeqeq:false */
	/*global jQuery */
	(function($) {
		"use strict";
		$.jgrid.extend({
			setTreeNode : function(i, len){
				return this.each(function(){
					var $t = this;
					if( !$t.grid || !$t.p.treeGrid ) {return;}
					var expCol = $t.p.expColInd,
						expanded = $t.p.treeReader.expanded_field,
						isLeaf = $t.p.treeReader.leaf_field,
						level = $t.p.treeReader.level_field,
						icon = $t.p.treeReader.icon_field,
						loaded = $t.p.treeReader.loaded,  lft, rgt, curLevel, ident,lftpos, twrap,
						ldat, lf;
					while(i<len) {
						var ind = $t.rows[i].id, dind = $t.p._index[ind], expan;
						ldat = $t.p.data[dind];
						//$t.rows[i].level = ldat[level];
						if($t.p.treeGridModel == 'nested') {
							if(!ldat[isLeaf]) {
								lft = parseInt(ldat[$t.p.treeReader.left_field],10);
								rgt = parseInt(ldat[$t.p.treeReader.right_field],10);
								// NS Model
								ldat[isLeaf] = (rgt === lft+1) ? 'true' : 'false';
								$t.rows[i].cells[$t.p._treeleafpos].innerHTML = ldat[isLeaf];
							}
						}
						//else {
						//row.parent_id = rd[$t.p.treeReader.parent_id_field];
						//}
						curLevel = parseInt(ldat[level],10);
						if($t.p.tree_root_level === 0) {
							ident = curLevel+1;
							lftpos = curLevel;
						} else {
							ident = curLevel;
							lftpos = curLevel -1;
						}
						twrap = "<div class='tree-wrap tree-wrap-"+$t.p.direction+"' style='width:"+(ident*18)+"px;'>";
						twrap += "<div style='"+($t.p.direction=="rtl" ? "right:" : "left:")+(lftpos*18)+"px;' class='ui-icon ";


						if(ldat[loaded] !== undefined) {
							if(ldat[loaded]=="true" || ldat[loaded]===true) {
								ldat[loaded] = true;
							} else {
								ldat[loaded] = false;
							}
						}
						if(ldat[isLeaf] == "true" || ldat[isLeaf] === true) {
							twrap += ((ldat[icon] !== undefined && ldat[icon] !== "") ? ldat[icon] : $t.p.treeIcons.leaf)+" tree-leaf treeclick";
							ldat[isLeaf] = true;
							lf="leaf";
						} else {
							ldat[isLeaf] = false;
							lf="";
						}
						ldat[expanded] = ((ldat[expanded] == "true" || ldat[expanded] === true) ? true : false) && (ldat[loaded] || ldat[loaded] === undefined);
						if(ldat[expanded] === false) {
							twrap += ((ldat[isLeaf] === true) ? "'" : $t.p.treeIcons.plus+" tree-plus treeclick'");
						} else {
							twrap += ((ldat[isLeaf] === true) ? "'" : $t.p.treeIcons.minus+" tree-minus treeclick'");
						}

						twrap += "></div></div>";
						$($t.rows[i].cells[expCol]).wrapInner("<span class='cell-wrapper"+lf+"'></span>").prepend(twrap);

						if(curLevel !== parseInt($t.p.tree_root_level,10)) {
							var pn = $($t).jqGrid('getNodeParent',ldat);
							expan = pn && pn.hasOwnProperty(expanded) ? pn[expanded] : true;
							if( !expan ){
								$($t.rows[i]).css("display","none");
							}
						}
						$($t.rows[i].cells[expCol])
							.find("div.treeclick")
							.on("click",function(e){
								var target = e.target || e.srcElement,
									ind2 =$(target,$t.rows).closest("tr.jqgrow")[0].id,
									pos = $t.p._index[ind2];
								if(!$t.p.data[pos][isLeaf]){
									if($t.p.data[pos][expanded]){
										$($t).jqGrid("collapseRow",$t.p.data[pos]);
										$($t).jqGrid("collapseNode",$t.p.data[pos]);
									} else {
										$($t).jqGrid("expandRow",$t.p.data[pos]);
										$($t).jqGrid("expandNode",$t.p.data[pos]);
									}
								}
								return false;
							});
						if($t.p.ExpandColClick === true) {
							$($t.rows[i].cells[expCol])
								.find("span.cell-wrapper")
								.css("cursor","pointer")
								.on("click",function(e) {
									var target = e.target || e.srcElement,
										ind2 =$(target,$t.rows).closest("tr.jqgrow")[0].id,
										pos = $t.p._index[ind2];
									if(!$t.p.data[pos][isLeaf]){
										if($t.p.data[pos][expanded]){
											$($t).jqGrid("collapseRow",$t.p.data[pos]);
											$($t).jqGrid("collapseNode",$t.p.data[pos]);
										} else {
											$($t).jqGrid("expandRow",$t.p.data[pos]);
											$($t).jqGrid("expandNode",$t.p.data[pos]);
										}
									}
									$($t).jqGrid("setSelection",ind2);
									return false;
								});
						}
						i++;
					}

				});
			},
			setTreeGrid : function() {
				return this.each(function (){
					var $t = this, i=0, pico, ecol = false, nm, key, tkey, dupcols=[];
					if(!$t.p.treeGrid) {return;}
					if(!$t.p.treedatatype ) {$.extend($t.p,{treedatatype: $t.p.datatype});}
					$t.p.subGrid = false;$t.p.altRows =false;
					$t.p.pgbuttons = false;$t.p.pginput = false;
					$t.p.gridview =  true;
					if($t.p.rowTotal === null ) { $t.p.rowNum = 10000; }
					$t.p.multiselect = false;$t.p.rowList = [];
					$t.p.expColInd = 0;
					pico = 'ui-icon-triangle-1-' + ($t.p.direction=="rtl" ? 'w' : 'e');
					$t.p.treeIcons = $.extend({plus:pico,minus:'ui-icon-triangle-1-s',leaf:'ui-icon-radio-off'},$t.p.treeIcons || {});
					if($t.p.treeGridModel == 'nested') {
						$t.p.treeReader = $.extend({
							level_field: "level",
							left_field:"lft",
							right_field: "rgt",
							leaf_field: "isLeaf",
							expanded_field: "expanded",
							loaded: "loaded",
							icon_field: "icon"
						},$t.p.treeReader);
					} else if($t.p.treeGridModel == 'adjacency') {
						$t.p.treeReader = $.extend({
							level_field: "level",
							parent_id_field: "parent",
							leaf_field: "isLeaf",
							expanded_field: "expanded",
							loaded: "loaded",
							icon_field: "icon"
						},$t.p.treeReader );
					}
					for ( key in $t.p.colModel){
						if($t.p.colModel.hasOwnProperty(key)) {
							nm = $t.p.colModel[key].name;
							if( nm == $t.p.ExpandColumn && !ecol ) {
								ecol = true;
								$t.p.expColInd = i;
							}
							i++;
							//
							for(tkey in $t.p.treeReader) {
								if($t.p.treeReader.hasOwnProperty(tkey) && $t.p.treeReader[tkey] == nm) {
									dupcols.push(nm);
								}
							}
						}
					}
					$.each($t.p.treeReader,function(j,n){
						if(n && $.inArray(n, dupcols) === -1){
							if(j==='leaf_field') { $t.p._treeleafpos= i; }
							i++;
							$t.p.colNames.push(n);
							$t.p.colModel.push({name:n,width:1,hidden:true,sortable:false,resizable:false,hidedlg:true,editable:true,search:false});
						}
					});
				});
			},
			expandRow: function (record){
				this.each(function(){
					var $t = this;
					if(!$t.grid || !$t.p.treeGrid) {return;}
					var childern = $($t).jqGrid("getNodeChildren",record),
						//if ($($t).jqGrid("isVisibleNode",record)) {
						expanded = $t.p.treeReader.expanded_field,
						rows = $t.rows;
					$(childern).each(function(){
						var id  = $.jgrid.getAccessor(this,$t.p.localReader.id);
						$(rows.namedItem(id)).css("display","");
						if(this[expanded]) {
							$($t).jqGrid("expandRow",this);
						}
					});
					//}
				});
			},
			collapseRow : function (record) {
				this.each(function(){
					var $t = this;
					if(!$t.grid || !$t.p.treeGrid) {return;}
					var childern = $($t).jqGrid("getNodeChildren",record),
						expanded = $t.p.treeReader.expanded_field,
						rows = $t.rows;
					$(childern).each(function(){
						var id  = $.jgrid.getAccessor(this,$t.p.localReader.id);
						$(rows.namedItem(id)).css("display","none");
						if(this[expanded]){
							$($t).jqGrid("collapseRow",this);
						}
					});
				});
			},
			// NS ,adjacency models
			getRootNodes : function() {
				var result = [];
				this.each(function(){
					var $t = this;
					if(!$t.grid || !$t.p.treeGrid) {return;}
					switch ($t.p.treeGridModel) {
						case 'nested' :
							var level = $t.p.treeReader.level_field;
							$($t.p.data).each(function(){
								if(parseInt(this[level],10) === parseInt($t.p.tree_root_level,10)) {
									result.push(this);
								}
							});
							break;
						case 'adjacency' :
							var parent_id = $t.p.treeReader.parent_id_field;
							$($t.p.data).each(function(){
								if(this[parent_id] === null || String(this[parent_id]).toLowerCase() == "null") {
									result.push(this);
								}
							});
							break;
					}
				});
				return result;
			},
			getNodeDepth : function(rc) {
				var ret = null;
				this.each(function(){
					if(!this.grid || !this.p.treeGrid) {return;}
					var $t = this;
					switch ($t.p.treeGridModel) {
						case 'nested' :
							var level = $t.p.treeReader.level_field;
							ret = parseInt(rc[level],10) - parseInt($t.p.tree_root_level,10);
							break;
						case 'adjacency' :
							ret = $($t).jqGrid("getNodeAncestors",rc).length;
							break;
					}
				});
				return ret;
			},
			getNodeParent : function(rc) {
				var result = null;
				this.each(function(){
					var $t = this;
					if(!$t.grid || !$t.p.treeGrid) {return;}
					switch ($t.p.treeGridModel) {
						case 'nested' :
							var lftc = $t.p.treeReader.left_field,
								rgtc = $t.p.treeReader.right_field,
								levelc = $t.p.treeReader.level_field,
								lft = parseInt(rc[lftc],10), rgt = parseInt(rc[rgtc],10), level = parseInt(rc[levelc],10);
							$(this.p.data).each(function(){
								if(parseInt(this[levelc],10) === level-1 && parseInt(this[lftc],10) < lft && parseInt(this[rgtc],10) > rgt) {
									result = this;
									return false;
								}
							});
							break;
						case 'adjacency' :
							var parent_id = $t.p.treeReader.parent_id_field,
								dtid = $t.p.localReader.id;
							$(this.p.data).each(function(){
								if(this[dtid] == rc[parent_id] ) {
									result = this;
									return false;
								}
							});
							break;
					}
				});
				return result;
			},
			getNodeChildren : function(rc) {
				var result = [];
				this.each(function(){
					var $t = this;
					if(!$t.grid || !$t.p.treeGrid) {return;}
					switch ($t.p.treeGridModel) {
						case 'nested' :
							var lftc = $t.p.treeReader.left_field,
								rgtc = $t.p.treeReader.right_field,
								levelc = $t.p.treeReader.level_field,
								lft = parseInt(rc[lftc],10), rgt = parseInt(rc[rgtc],10), level = parseInt(rc[levelc],10);
							$(this.p.data).each(function(){
								if(parseInt(this[levelc],10) === level+1 && parseInt(this[lftc],10) > lft && parseInt(this[rgtc],10) < rgt) {
									result.push(this);
								}
							});
							break;
						case 'adjacency' :
							var parent_id = $t.p.treeReader.parent_id_field,
								dtid = $t.p.localReader.id;
							$(this.p.data).each(function(){
								if(this[parent_id] == rc[dtid]) {
									result.push(this);
								}
							});
							break;
					}
				});
				return result;
			},
			getFullTreeNode : function(rc) {
				var result = [];
				this.each(function(){
					var $t = this, len;
					if(!$t.grid || !$t.p.treeGrid) {return;}
					switch ($t.p.treeGridModel) {
						case 'nested' :
							var lftc = $t.p.treeReader.left_field,
								rgtc = $t.p.treeReader.right_field,
								levelc = $t.p.treeReader.level_field,
								lft = parseInt(rc[lftc],10), rgt = parseInt(rc[rgtc],10), level = parseInt(rc[levelc],10);
							$(this.p.data).each(function(){
								if(parseInt(this[levelc],10) >= level && parseInt(this[lftc],10) >= lft && parseInt(this[lftc],10) <= rgt) {
									result.push(this);
								}
							});
							break;
						case 'adjacency' :
							if(rc) {
								result.push(rc);
								var parent_id = $t.p.treeReader.parent_id_field,
									dtid = $t.p.localReader.id;
								$(this.p.data).each(function(i){
									len = result.length;
									for (i = 0; i < len; i++) {
										if (result[i][dtid] == this[parent_id]) {
											result.push(this);
											break;
										}
									}
								});
							}
							break;
					}
				});
				return result;
			},
			// End NS, adjacency Model
			getNodeAncestors : function(rc) {
				var ancestors = [];
				this.each(function(){
					if(!this.grid || !this.p.treeGrid) {return;}
					var parent = $(this).jqGrid("getNodeParent",rc);
					while (parent) {
						ancestors.push(parent);
						parent = $(this).jqGrid("getNodeParent",parent);
					}
				});
				return ancestors;
			},
			isVisibleNode : function(rc) {
				var result = true;
				this.each(function(){
					var $t = this;
					if(!$t.grid || !$t.p.treeGrid) {return;}
					var ancestors = $($t).jqGrid("getNodeAncestors",rc),
						expanded = $t.p.treeReader.expanded_field;
					$(ancestors).each(function(){
						result = result && this[expanded];
						if(!result) {return false;}
					});
				});
				return result;
			},
			isNodeLoaded : function(rc) {
				var result;
				this.each(function(){
					var $t = this;
					if(!$t.grid || !$t.p.treeGrid) {return;}
					var isLeaf = $t.p.treeReader.leaf_field;
					if(rc !== undefined ) {
						if(rc.loaded !== undefined) {
							result = rc.loaded;
						} else if( rc[isLeaf] || $($t).jqGrid("getNodeChildren",rc).length > 0){
							result = true;
						} else {
							result = false;
						}
					} else {
						result = false;
					}
				});
				return result;
			},
			expandNode : function(rc) {
				return this.each(function(){
					if(!this.grid || !this.p.treeGrid) {return;}
					var expanded = this.p.treeReader.expanded_field,
						parent = this.p.treeReader.parent_id_field,
						loaded = this.p.treeReader.loaded,
						level = this.p.treeReader.level_field,
						lft = this.p.treeReader.left_field,
						rgt = this.p.treeReader.right_field;

					if(!rc[expanded]) {
						var id = $.jgrid.getAccessor(rc,this.p.localReader.id);
						var rc1 = $("#"+$.jgrid.jqID(id),this.grid.bDiv)[0];
						var position = this.p._index[id];
						if( $(this).jqGrid("isNodeLoaded",this.p.data[position]) ) {
							rc[expanded] = true;
							$("div.treeclick",rc1).removeClass(this.p.treeIcons.plus+" tree-plus").addClass(this.p.treeIcons.minus+" tree-minus");
						} else if (!this.grid.hDiv.loading) {
							rc[expanded] = true;
							$("div.treeclick",rc1).removeClass(this.p.treeIcons.plus+" tree-plus").addClass(this.p.treeIcons.minus+" tree-minus");
							this.p.treeANode = rc1.rowIndex;
							this.p.datatype = this.p.treedatatype;
							if(this.p.treeGridModel == 'nested') {
								$(this).jqGrid("setGridParam",{postData:{nodeid:id,n_left:rc[lft],n_right:rc[rgt],n_level:rc[level]}});
							} else {
								$(this).jqGrid("setGridParam",{postData:{nodeid:id,parentid:rc[parent],n_level:rc[level]}} );
							}
							$(this).trigger("reloadGrid");
							rc[loaded] = true;
							if(this.p.treeGridModel == 'nested') {
								$(this).jqGrid("setGridParam",{postData:{nodeid:'',n_left:'',n_right:'',n_level:''}});
							} else {
								$(this).jqGrid("setGridParam",{postData:{nodeid:'',parentid:'',n_level:''}});
							}
						}
					}
				});
			},
			collapseNode : function(rc) {
				return this.each(function(){
					if(!this.grid || !this.p.treeGrid) {return;}
					var expanded = this.p.treeReader.expanded_field;
					if(rc[expanded]) {
						rc[expanded] = false;
						var id = $.jgrid.getAccessor(rc,this.p.localReader.id);
						var rc1 = $("#"+$.jgrid.jqID(id),this.grid.bDiv)[0];
						$("div.treeclick",rc1).removeClass(this.p.treeIcons.minus+" tree-minus").addClass(this.p.treeIcons.plus+" tree-plus");
					}
				});
			},
			SortTree : function( sortname, newDir, st, datefmt) {
				return this.each(function(){
					if(!this.grid || !this.p.treeGrid) {return;}
					var i, len,
						rec, records = [], $t = this, query, roots,
						rt = $(this).jqGrid("getRootNodes");
					// Sorting roots
					query = $.jgrid.from(rt);
					query.orderBy(sortname,newDir,st, datefmt);
					roots = query.select();

					// Sorting children
					for (i = 0, len = roots.length; i < len; i++) {
						rec = roots[i];
						records.push(rec);
						$(this).jqGrid("collectChildrenSortTree",records, rec, sortname, newDir,st, datefmt);
					}
					$.each(records, function(index) {
						var id  = $.jgrid.getAccessor(this,$t.p.localReader.id);
						$('#'+$.jgrid.jqID($t.p.id)+ ' tbody tr:eq('+index+')').after($('tr#'+$.jgrid.jqID(id),$t.grid.bDiv));
					});
					query = null;roots=null;records=null;
				});
			},
			collectChildrenSortTree : function(records, rec, sortname, newDir,st, datefmt) {
				return this.each(function(){
					if(!this.grid || !this.p.treeGrid) {return;}
					var i, len,
						child, ch, query, children;
					ch = $(this).jqGrid("getNodeChildren",rec);
					query = $.jgrid.from(ch);
					query.orderBy(sortname, newDir, st, datefmt);
					children = query.select();
					for (i = 0, len = children.length; i < len; i++) {
						child = children[i];
						records.push(child);
						$(this).jqGrid("collectChildrenSortTree",records, child, sortname, newDir, st, datefmt);
					}
				});
			},
			// experimental
			setTreeRow : function(rowid, data) {
				var success=false;
				this.each(function(){
					var t = this;
					if(!t.grid || !t.p.treeGrid) {return;}
					success = $(t).jqGrid("setRowData",rowid,data);
				});
				return success;
			},
			delTreeNode : function (rowid) {
				return this.each(function () {
					var $t = this, rid = $t.p.localReader.id, i,
						left = $t.p.treeReader.left_field,
						right = $t.p.treeReader.right_field, myright, width, res, key;
					if(!$t.grid || !$t.p.treeGrid) {return;}
					var rc = $t.p._index[rowid];
					if (rc !== undefined) {
						// nested
						myright = parseInt($t.p.data[rc][right],10);
						width = myright -  parseInt($t.p.data[rc][left],10) + 1;
						var dr = $($t).jqGrid("getFullTreeNode",$t.p.data[rc]);
						if(dr.length>0){
							for (i=0;i<dr.length;i++){
								$($t).jqGrid("delRowData",dr[i][rid]);
							}
						}
						if( $t.p.treeGridModel === "nested") {
							// ToDo - update grid data
							res = $.jgrid.from($t.p.data)
								.greater(left,myright,{stype:'integer'})
								.select();
							if(res.length) {
								for( key in res) {
									if(res.hasOwnProperty(key)) {
										res[key][left] = parseInt(res[key][left],10) - width ;
									}
								}
							}
							res = $.jgrid.from($t.p.data)
								.greater(right,myright,{stype:'integer'})
								.select();
							if(res.length) {
								for( key in res) {
									if(res.hasOwnProperty(key)) {
										res[key][right] = parseInt(res[key][right],10) - width ;
									}
								}
							}
						}
					}
				});
			},
			addChildNode : function( nodeid, parentid, data, expandData ) {
				//return this.each(function(){
				var $t = this[0];
				if(data) {
					// we suppose tha the id is autoincremet and
					var expanded = $t.p.treeReader.expanded_field,
						isLeaf = $t.p.treeReader.leaf_field,
						level = $t.p.treeReader.level_field,
						//icon = $t.p.treeReader.icon_field,
						parent = $t.p.treeReader.parent_id_field,
						left = $t.p.treeReader.left_field,
						right = $t.p.treeReader.right_field,
						loaded = $t.p.treeReader.loaded,
						method, parentindex, parentdata, parentlevel, i, len, max=0, rowind = parentid, leaf, maxright;
					if(expandData===undefined) {expandData = false;}
					if ( nodeid === undefined || nodeid === null ) {
						i = $t.p.data.length-1;
						if(	i>= 0 ) {
							while(i>=0){max = Math.max(max, parseInt($t.p.data[i][$t.p.localReader.id],10)); i--;}
						}
						nodeid = max+1;
					}
					var prow = $($t).jqGrid('getInd', parentid);
					leaf = false;
					// if not a parent we assume root
					if ( parentid === undefined  || parentid === null || parentid==="") {
						parentid = null;
						rowind = null;
						method = 'last';
						parentlevel = $t.p.tree_root_level;
						i = $t.p.data.length+1;
					} else {
						method = 'after';
						parentindex = $t.p._index[parentid];
						parentdata = $t.p.data[parentindex];
						parentid = parentdata[$t.p.localReader.id];
						parentlevel = parseInt(parentdata[level],10)+1;
						var childs = $($t).jqGrid('getFullTreeNode', parentdata);
						// if there are child nodes get the last index of it
						if(childs.length) {
							i = childs[childs.length-1][$t.p.localReader.id];
							rowind = i;
							i = $($t).jqGrid('getInd',rowind)+1;
						} else {
							i = $($t).jqGrid('getInd', parentid)+1;
						}
						// if the node is leaf
						if(parentdata[isLeaf]) {
							leaf = true;
							parentdata[expanded] = true;
							//var prow = $($t).jqGrid('getInd', parentid);
							$($t.rows[prow])
								.find("span.cell-wrapperleaf").removeClass("cell-wrapperleaf").addClass("cell-wrapper")
								.end()
								.find("div.tree-leaf").removeClass($t.p.treeIcons.leaf+" tree-leaf").addClass($t.p.treeIcons.minus+" tree-minus");
							$t.p.data[parentindex][isLeaf] = false;
							parentdata[loaded] = true;
						}
					}
					len = i+1;

					if( data[expanded]===undefined)  {data[expanded]= false;}
					if( data[loaded]===undefined )  { data[loaded] = false;}
					data[level] = parentlevel;
					if( data[isLeaf]===undefined) {data[isLeaf]= true;}
					if( $t.p.treeGridModel === "adjacency") {
						data[parent] = parentid;
					}
					if( $t.p.treeGridModel === "nested") {
						// this method requiere more attention
						var query, res, key;
						//maxright = parseInt(maxright,10);
						// ToDo - update grid data
						if(parentid !== null) {
							maxright = parseInt(parentdata[right],10);
							query = $.jgrid.from($t.p.data);
							query = query.greaterOrEquals(right,maxright,{stype:'integer'});
							res = query.select();
							if(res.length) {
								for( key in res) {
									if(res.hasOwnProperty(key)) {
										res[key][left] = res[key][left] > maxright ? parseInt(res[key][left],10) +2 : res[key][left];
										res[key][right] = res[key][right] >= maxright ? parseInt(res[key][right],10) +2 : res[key][right];
									}
								}
							}
							data[left] = maxright;
							data[right]= maxright+1;
						} else {
							maxright = parseInt( $($t).jqGrid('getCol', right, false, 'max'), 10);
							res = $.jgrid.from($t.p.data)
								.greater(left,maxright,{stype:'integer'})
								.select();
							if(res.length) {
								for( key in res) {
									if(res.hasOwnProperty(key)) {
										res[key][left] = parseInt(res[key][left],10) +2 ;
									}
								}
							}
							res = $.jgrid.from($t.p.data)
								.greater(right,maxright,{stype:'integer'})
								.select();
							if(res.length) {
								for( key in res) {
									if(res.hasOwnProperty(key)) {
										res[key][right] = parseInt(res[key][right],10) +2 ;
									}
								}
							}
							data[left] = maxright+1;
							data[right] = maxright + 2;
						}
					}
					if( parentid === null || $($t).jqGrid("isNodeLoaded",parentdata) || leaf ) {
						$($t).jqGrid('addRowData', nodeid, data, method, rowind);
						$($t).jqGrid('setTreeNode', i, len);
					}
					if(parentdata && !parentdata[expanded] && expandData) {
						$($t.rows[prow])
							.find("div.treeclick")
							.click();
					}
				}
				//});
			}
		});
	})(jQuery);
	/*jshint eqeqeq:false, eqnull:true */
	/*global jQuery */
// Grouping module
	(function($){
		"use strict";
		$.extend($.jgrid,{
			template : function(format){ //jqgformat
				var args = $.makeArray(arguments).slice(1), j, al = args.length;
				if(format==null) { format = ""; }
				return format.replace(/\{([\w\-]+)(?:\:([\w\.]*)(?:\((.*?)?\))?)?\}/g, function(m,i){
					if(!isNaN(parseInt(i,10))) {
						return args[parseInt(i,10)];
					}
					for(j=0; j < al;j++) {
						if($.isArray(args[j])) {
							var nmarr = args[ j ],
								k = nmarr.length;
							while(k--) {
								if(i===nmarr[k].nm) {
									return nmarr[k].v;
								}
							}
						}
					}
				});
			}
		});
		$.jgrid.extend({
			groupingSetup : function () {
				return this.each(function (){
					var $t = this, i, j, cml, cm = $t.p.colModel, grp = $t.p.groupingView;
					if(grp !== null && ( (typeof grp === 'object') || $.isFunction(grp) ) ) {
						if(!grp.groupField.length) {
							$t.p.grouping = false;
						} else {
							if (grp.visibiltyOnNextGrouping === undefined) {
								grp.visibiltyOnNextGrouping = [];
							}

							grp.lastvalues=[];
							grp.groups =[];
							grp.counters =[];
							for(i=0;i<grp.groupField.length;i++) {
								if(!grp.groupOrder[i]) {
									grp.groupOrder[i] = 'asc';
								}
								if(!grp.groupText[i]) {
									grp.groupText[i] = '{0}';
								}
								if( typeof grp.groupColumnShow[i] !== 'boolean') {
									grp.groupColumnShow[i] = true;
								}
								if( typeof grp.groupSummary[i] !== 'boolean') {
									grp.groupSummary[i] = false;
								}
								if(grp.groupColumnShow[i] === true) {
									grp.visibiltyOnNextGrouping[i] = true;
									$($t).jqGrid('showCol',grp.groupField[i]);
								} else {
									grp.visibiltyOnNextGrouping[i] = $("#"+$.jgrid.jqID($t.p.id+"_"+grp.groupField[i])).is(":visible");
									$($t).jqGrid('hideCol',grp.groupField[i]);
								}
							}
							grp.summary =[];
							for(j=0, cml = cm.length; j < cml; j++) {
								if(cm[j].summaryType) {
									grp.summary.push({nm:cm[j].name,st:cm[j].summaryType, v: '', sr: cm[j].summaryRound, srt: cm[j].summaryRoundType || 'round'});
								}
							}
						}
					} else {
						$t.p.grouping = false;
					}
				});
			},
			groupingPrepare : function (rData, gdata, record, irow) {
				this.each(function(){
					var grp = this.p.groupingView, $t= this, i,
						grlen = grp.groupField.length,
						fieldName,
						v,
						displayName,
						displayValue,
						changed = 0;
					for(i=0;i<grlen;i++) {
						fieldName = grp.groupField[i];
						displayName = grp.displayField[i];
						v = record[fieldName];
						displayValue = displayName == null ? null : record[displayName];

						if( displayValue == null ) {
							displayValue = v;
						}
						if( v !== undefined ) {
							if(irow === 0 ) {
								// First record always starts a new group
								grp.groups.push({idx:i,dataIndex:fieldName,value:v, displayValue: displayValue, startRow: irow, cnt:1, summary : [] } );
								grp.lastvalues[i] = v;
								grp.counters[i] = {cnt:1, pos:grp.groups.length-1, summary: $.extend(true,[],grp.summary)};
								$.each(grp.counters[i].summary,function() {
									if ($.isFunction(this.st)) {
										this.v = this.st.call($t, this.v, this.nm, record);
									} else {
										this.v = $($t).jqGrid('groupingCalculations.handler',this.st, this.v, this.nm, this.sr, this.srt, record);
									}
								});
								grp.groups[grp.counters[i].pos].summary = grp.counters[i].summary;
							} else {
								if( typeof v !== "object" && grp.lastvalues[i] !== v ) {
									// This record is not in same group as previous one
									grp.groups.push({idx:i,dataIndex:fieldName,value:v, displayValue: displayValue, startRow: irow, cnt:1, summary : [] } );
									grp.lastvalues[i] = v;
									changed = 1;
									grp.counters[i] = {cnt:1, pos:grp.groups.length-1, summary: $.extend(true,[],grp.summary)};
									$.each(grp.counters[i].summary,function() {
										if ($.isFunction(this.st)) {
											this.v = this.st.call($t, this.v, this.nm, record);
										} else {
											this.v = $($t).jqGrid('groupingCalculations.handler',this.st, this.v, this.nm, this.sr, this.srt, record);
										}
									});
									grp.groups[grp.counters[i].pos].summary = grp.counters[i].summary;
								} else {
									if (changed === 1) {
										// This group has changed because an earlier group changed.
										grp.groups.push({idx:i,dataIndex:fieldName,value:v, displayValue: displayValue, startRow: irow, cnt:1, summary : [] } );
										grp.lastvalues[i] = v;
										grp.counters[i] = {cnt:1, pos:grp.groups.length-1, summary: $.extend(true,[],grp.summary)};
										$.each(grp.counters[i].summary,function() {
											if ($.isFunction(this.st)) {
												this.v = this.st.call($t, this.v, this.nm, record);
											} else {
												this.v = $($t).jqGrid('groupingCalculations.handler',this.st, this.v, this.nm, this.sr, this.srt, record);
											}
										});
										grp.groups[grp.counters[i].pos].summary = grp.counters[i].summary;
									} else {
										grp.counters[i].cnt += 1;
										grp.groups[grp.counters[i].pos].cnt = grp.counters[i].cnt;
										$.each(grp.counters[i].summary,function() {
											if ($.isFunction(this.st)) {
												this.v = this.st.call($t, this.v, this.nm, record);
											} else {
												this.v = $($t).jqGrid('groupingCalculations.handler',this.st, this.v, this.nm, this.sr, this.srt, record);
											}
										});
										grp.groups[grp.counters[i].pos].summary = grp.counters[i].summary;
									}
								}
							}
						}
					}
					gdata.push( rData );
				});
				return gdata;
			},
			groupingToggle : function(hid){
				this.each(function(){
					var $t = this,
						grp = $t.p.groupingView,
						strpos = hid.split('_'),
						//uid = hid.substring(0,strpos+1),
						num = parseInt(strpos[strpos.length-2], 10);
					strpos.splice(strpos.length-2,2);
					var uid = strpos.join("_"),
						minus = grp.minusicon,
						plus = grp.plusicon,
						tar = $("#"+$.jgrid.jqID(hid)),
						r = tar.length ? tar[0].nextSibling : null,
						tarspan = $("#"+$.jgrid.jqID(hid)+" span."+"tree-wrap-"+$t.p.direction),
						collapsed = false, tspan;
					if( tarspan.hasClass(minus) ) {
						if(grp.showSummaryOnHide) {
							if(r){
								while(r) {
									if($(r).hasClass('jqfoot') ) {
										var lv = parseInt($(r).attr("jqfootlevel"),10);
										if(  lv <= num) {
											break;
										}
									}
									$(r).hide();
									r = r.nextSibling;
								}
							}
						} else  {
							if(r){
								while(r) {
									if( $(r).hasClass(uid+"_"+String(num) ) || $(r).hasClass(uid+"_"+String(num-1))) { break; }
									$(r).hide();
									r = r.nextSibling;
								}
							}
						}
						tarspan.removeClass(minus).addClass(plus);
						collapsed = true;
					} else {
						if(r){
							while(r) {
								if($(r).hasClass(uid+"_"+String(num)) || $(r).hasClass(uid+"_"+String(num-1)) ) { break; }
								$(r).show();
								tspan = $(r).find("span."+"tree-wrap-"+$t.p.direction);
								if( tspan && $(tspan).hasClass(plus) ) {
									$(tspan).removeClass(plus).addClass(minus);
								}
								r = r.nextSibling;
							}
						}
						tarspan.removeClass(plus).addClass(minus);
					}
					$($t).triggerHandler("jqGridGroupingClickGroup", [hid , collapsed]);
					if( $.isFunction($t.p.onClickGroup)) { $t.p.onClickGroup.call($t, hid , collapsed); }

				});
				return false;
			},
			groupingRender : function (grdata, colspans ) {
				return this.each(function(){
					var $t = this,
						grp = $t.p.groupingView,
						str = "", icon = "", hid, clid, pmrtl = grp.groupCollapse ? grp.plusicon : grp.minusicon, gv, cp=[], len =grp.groupField.length;
					pmrtl += " tree-wrap-"+$t.p.direction;
					$.each($t.p.colModel, function (i,n){
						var ii;
						for(ii=0;ii<len;ii++) {
							if(grp.groupField[ii] === n.name ) {
								cp[ii] = i;
								break;
							}
						}
					});
					var toEnd = 0;
					function findGroupIdx( ind , offset, grp) {
						var ret = false, i;
						if(offset===0) {
							ret = grp[ind];
						} else {
							var id = grp[ind].idx;
							if(id===0) {
								ret = grp[ind];
							}  else {
								for(i=ind;i >= 0; i--) {
									if(grp[i].idx === id-offset) {
										ret = grp[i];
										break;
									}
								}
							}
						}
						return ret;
					}
					var sumreverse = $.makeArray(grp.groupSummary);
					sumreverse.reverse();
					$.each(grp.groups,function(i,n){
						toEnd++;
						clid = $t.p.id+"ghead_"+n.idx;
						hid = clid+"_"+i;
						icon = "<span style='cursor:pointer;' class='ui-icon "+pmrtl+"' onclick=\"jQuery('#"+$.jgrid.jqID($t.p.id)+"').jqGrid('groupingToggle','"+hid+"');return false;\"></span>";
						try {
							gv = $t.formatter(hid, n.displayValue, cp[n.idx], n.value );
						} catch (egv) {
							gv = n.displayValue;
						}
						str += "<tr id=\""+hid+"\" role=\"row\" class= \"ui-widget-content jqgroup ui-row-"+$t.p.direction+" "+clid+"\"><td style=\"padding-left:"+(n.idx * 12) + "px;"+"\" colspan=\""+colspans+"\">"+icon+$.jgrid.template(grp.groupText[n.idx], gv, n.cnt, n.summary)+"</td></tr>";
						var leaf = len-1 === n.idx;
						if( leaf ) {
							var gg = grp.groups[i+1], k, kk, ik;
							var end = gg !== undefined ?  grp.groups[i+1].startRow : grdata.length;
							for(kk=n.startRow;kk<end;kk++) {
								str += grdata[kk].join('');
							}
							var jj;
							if (gg !== undefined) {
								for (jj = 0; jj < grp.groupField.length; jj++) {
									if (gg.dataIndex === grp.groupField[jj]) {
										break;
									}
								}
								toEnd = grp.groupField.length - jj;
							}
							for (ik = 0; ik < toEnd; ik++) {
								if(!sumreverse[ik]) { continue; }
								var hhdr = "";
								if(grp.groupCollapse && !grp.showSummaryOnHide) {
									hhdr = " style=\"display:none;\"";
								}
								str += "<tr"+hhdr+" jqfootlevel=\""+(n.idx-ik)+"\" role=\"row\" class=\"ui-widget-content jqfoot ui-row-"+$t.p.direction+"\">";
								var fdata = findGroupIdx(i, ik, grp.groups),
									cm = $t.p.colModel,
									vv, grlen = fdata.cnt;
								for(k=0; k<colspans;k++) {
									var tmpdata = "<td "+$t.formatCol(k,1,'')+">&#160;</td>",
										tplfld = "{0}";
									$.each(fdata.summary,function(){
										if(this.nm === cm[k].name) {
											if(cm[k].summaryTpl)  {
												tplfld = cm[k].summaryTpl;
											}
											if(typeof this.st === 'string' && this.st.toLowerCase() === 'avg') {
												if(this.v && grlen > 0) {
													this.v = (this.v/grlen);
												}
											}
											try {
												vv = $t.formatter('', this.v, k, this);
											} catch (ef) {
												vv = this.v;
											}
											tmpdata= "<td "+$t.formatCol(k,1,'')+">"+$.jgrid.format(tplfld,vv)+ "</td>";
											return false;
										}
									});
									str += tmpdata;
								}
								str += "</tr>";
							}
							toEnd = jj;
						}
					});
					$("#"+$.jgrid.jqID($t.p.id)+" tbody:first").append(str);
					// free up memory
					str = null;
				});
			},
			groupingGroupBy : function (name, options ) {
				return this.each(function(){
					var $t = this;
					if(typeof name === "string") {
						name = [name];
					}
					var grp = $t.p.groupingView;
					$t.p.grouping = true;

					//Set default, in case visibilityOnNextGrouping is undefined
					if (grp.visibiltyOnNextGrouping === undefined) {
						grp.visibiltyOnNextGrouping = [];
					}
					var i;
					// show previous hidden groups if they are hidden and weren't removed yet
					for(i=0;i<grp.groupField.length;i++) {
						if(!grp.groupColumnShow[i] && grp.visibiltyOnNextGrouping[i]) {
							$($t).jqGrid('showCol',grp.groupField[i]);
						}
					}
					// set visibility status of current group columns on next grouping
					for(i=0;i<name.length;i++) {
						grp.visibiltyOnNextGrouping[i] = $("#"+$.jgrid.jqID($t.p.id)+"_"+$.jgrid.jqID(name[i])).is(":visible");
					}
					$t.p.groupingView = $.extend($t.p.groupingView, options || {});
					grp.groupField = name;
					$($t).trigger("reloadGrid");
				});
			},
			groupingRemove : function (current) {
				return this.each(function(){
					var $t = this;
					if(current === undefined) {
						current = true;
					}
					$t.p.grouping = false;
					if(current===true) {
						var grp = $t.p.groupingView, i;
						// show previous hidden groups if they are hidden and weren't removed yet
						for(i=0;i<grp.groupField.length;i++) {
							if (!grp.groupColumnShow[i] && grp.visibiltyOnNextGrouping[i]) {
								$($t).jqGrid('showCol', grp.groupField);
							}
						}
						$("tr.jqgroup, tr.jqfoot","#"+$.jgrid.jqID($t.p.id)+" tbody:first").remove();
						$("tr.jqgrow:hidden","#"+$.jgrid.jqID($t.p.id)+" tbody:first").show();
					} else {
						$($t).trigger("reloadGrid");
					}
				});
			},
			groupingCalculations : {
				handler: function(fn, v, field, round, roundType, rc) {
					var funcs = {
						sum: function() {
							return parseFloat(v||0) + parseFloat((rc[field]||0));
						},

						min: function() {
							if(v==="") {
								return parseFloat(rc[field]||0);
							}
							return Math.min(parseFloat(v),parseFloat(rc[field]||0));
						},

						max: function() {
							if(v==="") {
								return parseFloat(rc[field]||0);
							}
							return Math.max(parseFloat(v),parseFloat(rc[field]||0));
						},

						count: function() {
							if(v==="") {v=0;}
							if(rc.hasOwnProperty(field)) {
								return v+1;
							}
							return 0;
						},

						avg: function() {
							// the same as sum, but at end we divide it
							// so use sum instead of duplicating the code (?)
							return funcs.sum();
						}
					};

					if(!funcs[fn]) {
						throw ("jqGrid Grouping No such method: " + fn);
					}
					var res = funcs[fn]();

					if (round != null) {
						if (roundType == 'fixed') {
							res = res.toFixed(round);
						} else {
							var mul = Math.pow(10, round);
							res = Math.round(res * mul) / mul;
						}
					}

					return res;
				}
			}
		});
	})(jQuery);
	/*jshint eqeqeq:false, eqnull:true, devel:true */
	/*global jQuery, xmlJsonClass */
	(function($){
		/*
 * jqGrid extension for constructing Grid Data from external file
 * Tony Tomov tony@trirand.com
 * http://trirand.com/blog/
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
**/

		"use strict";
		$.jgrid.extend({
			jqGridImport : function(o) {
				o = $.extend({
					imptype : "xml", // xml, json, xmlstring, jsonstring
					impstring: "",
					impurl: "",
					mtype: "GET",
					impData : {},
					xmlGrid :{
						config : "roots>grid",
						data: "roots>rows"
					},
					jsonGrid :{
						config : "grid",
						data: "data"
					},
					ajaxOptions :{}
				}, o || {});
				return this.each(function(){
					var $t = this;
					var xmlConvert = function (xml,o) {
						var cnfg = $(o.xmlGrid.config,xml)[0];
						var xmldata = $(o.xmlGrid.data,xml)[0], jstr, jstr1, key;
						if(xmlJsonClass.xml2json && $.jgrid.parse) {
							jstr = xmlJsonClass.xml2json(cnfg," ");
							jstr = $.jgrid.parse(jstr);
							for(key in jstr) {
								if(jstr.hasOwnProperty(key)) {
									jstr1=jstr[key];
								}
							}
							if(xmldata) {
								// save the datatype
								var svdatatype = jstr.grid.datatype;
								jstr.grid.datatype = 'xmlstring';
								jstr.grid.datastr = xml;
								$($t).jqGrid( jstr1 ).jqGrid("setGridParam",{datatype:svdatatype});
							} else {
								$($t).jqGrid( jstr1 );
							}
							jstr = null;jstr1=null;
						} else {
							alert("xml2json or parse are not present");
						}
					};
					var jsonConvert = function (jsonstr,o){
						if (jsonstr && typeof jsonstr == 'string') {
							var _jsonparse = false;
							if($.jgrid.useJSON) {
								$.jgrid.useJSON = false;
								_jsonparse = true;
							}
							var json = $.jgrid.parse(jsonstr);
							if(_jsonparse) { $.jgrid.useJSON = true; }
							var gprm = json[o.jsonGrid.config];
							var jdata = json[o.jsonGrid.data];
							if(jdata) {
								var svdatatype = gprm.datatype;
								gprm.datatype = 'jsonstring';
								gprm.datastr = jdata;
								$($t).jqGrid( gprm ).jqGrid("setGridParam",{datatype:svdatatype});
							} else {
								$($t).jqGrid( gprm );
							}
						}
					};
					switch (o.imptype){
						case 'xml':
							$.ajax($.extend({
								url:o.impurl,
								type:o.mtype,
								data: o.impData,
								dataType:"xml",
								complete: function(xml,stat) {
									if(stat == 'success') {
										xmlConvert(xml.responseXML,o);
										$($t).triggerHandler("jqGridImportComplete", [xml, o]);
										if($.isFunction(o.importComplete)) {
											o.importComplete(xml);
										}
									}
									xml=null;
								}
							}, o.ajaxOptions));
							break;
						case 'xmlstring' :
							// we need to make just the conversion and use the same code as xml
							if(o.impstring && typeof o.impstring == 'string') {
								var xmld = $.jgrid.stringToDoc(o.impstring);
								if(xmld) {
									xmlConvert(xmld,o);
									$($t).triggerHandler("jqGridImportComplete", [xmld, o]);
									if($.isFunction(o.importComplete)) {
										o.importComplete(xmld);
									}
									o.impstring = null;
								}
								xmld = null;
							}
							break;
						case 'json':
							$.ajax($.extend({
								url:o.impurl,
								type:o.mtype,
								data: o.impData,
								dataType:"json",
								complete: function(json) {
									try {
										jsonConvert(json.responseText,o );
										$($t).triggerHandler("jqGridImportComplete", [json, o]);
										if($.isFunction(o.importComplete)) {
											o.importComplete(json);
										}
									} catch (ee){}
									json=null;
								}
							}, o.ajaxOptions ));
							break;
						case 'jsonstring' :
							if(o.impstring && typeof o.impstring == 'string') {
								jsonConvert(o.impstring,o );
								$($t).triggerHandler("jqGridImportComplete", [o.impstring, o]);
								if($.isFunction(o.importComplete)) {
									o.importComplete(o.impstring);
								}
								o.impstring = null;
							}
							break;
					}
				});
			},
			jqGridExport : function(o) {
				o = $.extend({
					exptype : "xmlstring",
					root: "grid",
					ident: "\t"
				}, o || {});
				var ret = null;
				this.each(function () {
					if(!this.grid) { return;}
					var key, gprm = $.extend(true, {},$(this).jqGrid("getGridParam"));
					// we need to check for:
					// 1.multiselect, 2.subgrid  3. treegrid and remove the unneded columns from colNames
					if(gprm.rownumbers) {
						gprm.colNames.splice(0,1);
						gprm.colModel.splice(0,1);
					}
					if(gprm.multiselect) {
						gprm.colNames.splice(0,1);
						gprm.colModel.splice(0,1);
					}
					if(gprm.subGrid) {
						gprm.colNames.splice(0,1);
						gprm.colModel.splice(0,1);
					}
					gprm.knv = null;
					if(gprm.treeGrid) {
						for (key in gprm.treeReader) {
							if(gprm.treeReader.hasOwnProperty(key)) {
								gprm.colNames.splice(gprm.colNames.length-1);
								gprm.colModel.splice(gprm.colModel.length-1);
							}
						}
					}
					switch (o.exptype) {
						case 'xmlstring' :
							ret = "<"+o.root+">"+xmlJsonClass.json2xml(gprm,o.ident)+"</"+o.root+">";
							break;
						case 'jsonstring' :
							ret = "{"+ xmlJsonClass.toJson(gprm,o.root,o.ident,false)+"}";
							if(gprm.postData.filters !== undefined) {
								ret=ret.replace(/filters":"/,'filters":');
								ret=ret.replace(/}]}"/,'}]}');
							}
							break;
					}
				});
				return ret;
			},
			excelExport : function(o) {
				o = $.extend({
					exptype : "remote",
					url : null,
					oper: "oper",
					tag: "excel",
					exportOptions : {}
				}, o || {});
				return this.each(function(){
					if(!this.grid) { return;}
					var url;
					if(o.exptype == "remote") {
						var pdata = $.extend({},this.p.postData);
						pdata[o.oper] = o.tag;
						var params = jQuery.param(pdata);
						if(o.url.indexOf("?") != -1) { url = o.url+"&"+params; }
						else { url = o.url+"?"+params; }
						window.location = url;
					}
				});
			}
		});
	})(jQuery);
	/*jshint evil:true, eqeqeq:false, eqnull:true, devel:true */
	/*global jQuery */
	(function($){
		/*
**
 * jqGrid addons using jQuery UI
 * Author: Mark Williams
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
 * depends on jQuery UI
**/
		"use strict";
		if ($.browser.msie && $.browser.version==8) {
			$.expr[":"].hidden = function(elem) {
				return elem.offsetWidth === 0 || elem.offsetHeight === 0 ||
					elem.style.display == "none";
			};
		}
// requiere load multiselect before grid
		$.jgrid._multiselect = false;
		if($.ui) {
			if ($.ui.multiselect ) {
				if($.ui.multiselect.prototype._setSelected) {
					var setSelected = $.ui.multiselect.prototype._setSelected;
					$.ui.multiselect.prototype._setSelected = function(item,selected) {
						var ret = setSelected.call(this,item,selected);
						if (selected && this.selectedList) {
							var elt = this.element;
							this.selectedList.find('li').each(function() {
								if ($(this).data('optionLink')) {
									$(this).data('optionLink').remove().appendTo(elt);
								}
							});
						}
						return ret;
					};
				}
				if($.ui.multiselect.prototype.destroy) {
					$.ui.multiselect.prototype.destroy = function() {
						this.element.show();
						this.container.remove();
						if ($.Widget === undefined) {
							$.widget.prototype.destroy.apply(this, arguments);
						} else {
							$.Widget.prototype.destroy.apply(this, arguments);
						}
					};
				}
				$.jgrid._multiselect = true;
			}
		}

		$.jgrid.extend({
			sortableColumns : function (tblrow)
			{
				return this.each(function (){
					var ts = this, tid= $.jgrid.jqID( ts.p.id );
					function start() {ts.p.disableClick = true;}
					var sortable_opts = {
						"tolerance" : "pointer",
						"axis" : "x",
						"scrollSensitivity": "1",
						"items": '>th:not(:has(#jqgh_'+tid+'_cb'+',#jqgh_'+tid+'_rn'+',#jqgh_'+tid+'_subgrid),:hidden)',
						"placeholder": {
							element: function(item) {
								var el = $(document.createElement(item[0].nodeName))
									.addClass(item[0].className+" ui-sortable-placeholder ui-state-highlight")
									.removeClass("ui-sortable-helper")[0];
								return el;
							},
							update: function(self, p) {
								p.css("height", ((parseInt(self.currentItem.css("height"))-parseInt(self.currentItem.css("padding-top"))-parseInt(self.currentItem.css("padding-bottom")) - parseInt(self.currentItem.css('paddingTop')||0, 10) - parseInt(self.currentItem.css('paddingBottom')))+"px"||0, 10));
								p.css("width", ((parseInt(self.currentItem.css("width"))-parseInt(self.currentItem.css("padding-left"))-parseInt(self.currentItem.css("padding-right")) - parseInt(self.currentItem.css('paddingLeft')||0, 10) - parseInt(self.currentItem.css('paddingRight')))+"px"||0, 10));
							}
						},
						"update": function(event, ui) {
							var p = $(ui.item).parent(),
								th = $(">th", p),
								colModel = ts.p.colModel,
								cmMap = {}, tid= ts.p.id+"_";
							$.each(colModel, function(i) { cmMap[this.name]=i; });
							var permutation = [];
							th.each(function() {
								var id = $(">div", this).get(0).id.replace(/^jqgh_/, "").replace(tid,"");
								if (cmMap.hasOwnProperty(id)) {
									permutation.push(cmMap[id]);
								}
							});

							$(ts).jqGrid("remapColumns",permutation, true, true);
							if ($.isFunction(ts.p.sortable.update)) {
								ts.p.sortable.update(permutation);
							}
							setTimeout(function(){ts.p.disableClick=false;}, 50);
						}
					};
					if (ts.p.sortable.options) {
						$.extend(sortable_opts, ts.p.sortable.options);
					} else if ($.isFunction(ts.p.sortable)) {
						ts.p.sortable = { "update" : ts.p.sortable };
					}
					if (sortable_opts.start) {
						var s = sortable_opts.start;
						sortable_opts.start = function(e,ui) {
							start();
							s.call(this,e,ui);
						};
					} else {
						sortable_opts.start = start;
					}
					if (ts.p.sortable.exclude) {
						sortable_opts.items += ":not("+ts.p.sortable.exclude+")";
					}
					tblrow.sortable(sortable_opts).data("sortable").floating = true;
				});
			},
			columnChooser : function(opts) {
				var self = this;
				if($("#colchooser_"+$.jgrid.jqID(self[0].p.id)).length ) { return; }
				var selector = $('<div id="colchooser_'+self[0].p.id+'" style="position:relative;overflow:hidden"><div><select multiple="multiple"></select></div></div>');
				var select = $('select', selector);

				function insert(perm,i,v) {
					if(i>=0){
						var a = perm.slice();
						var b = a.splice(i,Math.max(perm.length-i,i));
						if(i>perm.length) { i = perm.length; }
						a[i] = v;
						return a.concat(b);
					}
				}
				opts = $.extend({
					"width" : 420,
					"height" : 240,
					"classname" : null,
					"done" : function(perm) { if (perm) { self.jqGrid("remapColumns", perm, true); } },
					/* msel is either the name of a ui widget class that
               extends a multiselect, or a function that supports
               creating a multiselect object (with no argument,
               or when passed an object), and destroying it (when
               passed the string "destroy"). */
					"msel" : "multiselect",
					/* "msel_opts" : {}, */

					/* dlog is either the name of a ui widget class that
               behaves in a dialog-like way, or a function, that
               supports creating a dialog (when passed dlog_opts)
               or destroying a dialog (when passed the string
               "destroy")
               */
					"dlog" : "dialog",
					"dialog_opts" : {
						"minWidth": 470
					},
					/* dlog_opts is either an option object to be passed
               to "dlog", or (more likely) a function that creates
               the options object.
               The default produces a suitable options object for
               ui.dialog */
					"dlog_opts" : function(opts) {
						var buttons = {};
						buttons[opts.bSubmit] = function() {
							opts.apply_perm();
							opts.cleanup(false);
						};
						buttons[opts.bCancel] = function() {
							opts.cleanup(true);
						};
						return $.extend(true, {
							"buttons": buttons,
							"close": function() {
								opts.cleanup(true);
							},
							"modal" : opts.modal || false,
							"resizable": opts.resizable || true,
							"width": opts.width+20
						}, opts.dialog_opts || {});
					},
					/* Function to get the permutation array, and pass it to the
               "done" function */
					"apply_perm" : function() {
						$('option',select).each(function() {
							if (this.selected) {
								self.jqGrid("showCol", colModel[this.value].name);
							} else {
								self.jqGrid("hideCol", colModel[this.value].name);
							}
						});

						var perm = [];
						//fixedCols.slice(0);
						$('option:selected',select).each(function() { perm.push(parseInt(this.value,10)); });
						$.each(perm, function() { delete colMap[colModel[parseInt(this,10)].name]; });
						$.each(colMap, function() {
							var ti = parseInt(this,10);
							perm = insert(perm,ti,ti);
						});
						if (opts.done) {
							opts.done.call(self, perm);
						}
					},
					/* Function to cleanup the dialog, and select. Also calls the
               done function with no permutation (to indicate that the
               columnChooser was aborted */
					"cleanup" : function(calldone) {
						call(opts.dlog, selector, 'destroy');
						call(opts.msel, select, 'destroy');
						selector.remove();
						if (calldone && opts.done) {
							opts.done.call(self);
						}
					},
					"msel_opts" : {}
				}, $.jgrid.col, opts || {});
				if($.ui) {
					if ($.ui.multiselect ) {
						if(opts.msel == "multiselect") {
							if(!$.jgrid._multiselect) {
								// should be in language file
								alert("Multiselect plugin loaded after jqGrid. Please load the plugin before the jqGrid!");
								return;
							}
							opts.msel_opts = $.extend($.ui.multiselect.defaults,opts.msel_opts);
						}
					}
				}
				if (opts.caption) {
					selector.attr("title", opts.caption);
				}
				if (opts.classname) {
					selector.addClass(opts.classname);
					select.addClass(opts.classname);
				}
				if (opts.width) {
					$(">div",selector).css({"width": opts.width,"margin":"0 auto"});
					select.css("width", opts.width);
				}
				if (opts.height) {
					$(">div",selector).css("height", opts.height);
					select.css("height", opts.height - 10);
				}
				var colModel = self.jqGrid("getGridParam", "colModel");
				var colNames = self.jqGrid("getGridParam", "colNames");
				var colMap = {}, fixedCols = [];

				select.empty();
				$.each(colModel, function(i) {
					colMap[this.name] = i;
					if (this.hidedlg) {
						if (!this.hidden) {
							fixedCols.push(i);
						}
						return;
					}

					select.append("<option value='"+i+"' "+
						(this.hidden?"":"selected='selected'")+">"+$.jgrid.stripHtml(colNames[i])+"</option>");
				});
				function call(fn, obj) {
					if (!fn) { return; }
					if (typeof fn == 'string') {
						if ($.fn[fn]) {
							$.fn[fn].apply(obj, $.makeArray(arguments).slice(2));
						}
					} else if ($.isFunction(fn)) {
						fn.apply(obj, $.makeArray(arguments).slice(2));
					}
				}

				var dopts = $.isFunction(opts.dlog_opts) ? opts.dlog_opts.call(self, opts) : opts.dlog_opts;
				call(opts.dlog, selector, dopts);
				var mopts = $.isFunction(opts.msel_opts) ? opts.msel_opts.call(self, opts) : opts.msel_opts;
				call(opts.msel, select, mopts);
			},
			sortableRows : function (opts) {
				// Can accept all sortable options and events
				return this.each(function(){
					var $t = this;
					if(!$t.grid) { return; }
					// Currently we disable a treeGrid sortable
					if($t.p.treeGrid) { return; }
					if($.fn.sortable) {
						opts = $.extend({
								"cursor":"move",
								"axis" : "y",
								"items": ".jqgrow"
							},
							opts || {});
						if(opts.start && $.isFunction(opts.start)) {
							opts._start_ = opts.start;
							delete opts.start;
						} else {opts._start_=false;}
						if(opts.update && $.isFunction(opts.update)) {
							opts._update_ = opts.update;
							delete opts.update;
						} else {opts._update_ = false;}
						opts.start = function(ev,ui) {
							$(ui.item).css("border-width","0px");
							$("td",ui.item).each(function(i){
								this.style.width = $t.grid.cols[i].style.width;
							});
							if($t.p.subGrid) {
								var subgid = $(ui.item).attr("id");
								try {
									$($t).jqGrid('collapseSubGridRow',subgid);
								} catch (e) {}
							}
							if(opts._start_) {
								opts._start_.apply(this,[ev,ui]);
							}
						};
						opts.update = function (ev,ui) {
							$(ui.item).css("border-width","");
							if($t.p.rownumbers === true) {
								$("td.jqgrid-rownum",$t.rows).each(function( i ){
									$(this).html( i+1+(parseInt($t.p.page,10)-1)*parseInt($t.p.rowNum,10) );
								});
							}
							if(opts._update_) {
								opts._update_.apply(this,[ev,ui]);
							}
						};
						$("tbody:first",$t).sortable(opts);
						$("tbody:first",$t).disableSelection();
					}
				});
			},
			gridDnD : function(opts) {
				return this.each(function(){
					var $t = this, i, cn;
					if(!$t.grid) { return; }
					// Currently we disable a treeGrid drag and drop
					if($t.p.treeGrid) { return; }
					if(!$.fn.draggable || !$.fn.droppable) { return; }
					function updateDnD ()
					{
						var datadnd = $.data($t,"dnd");
						$("tr.jqgrow:not(.ui-draggable)",$t).draggable($.isFunction(datadnd.drag) ? datadnd.drag.call($($t),datadnd) : datadnd.drag);
					}
					var appender = "<table id='jqgrid_dnd' class='ui-jqgrid-dnd'></table>";
					if($("#jqgrid_dnd")[0] === undefined) {
						$('body').append(appender);
					}

					if(typeof opts == 'string' && opts == 'updateDnD' && $t.p.jqgdnd===true) {
						updateDnD();
						return;
					}
					opts = $.extend({
						"drag" : function (opts) {
							return $.extend({
								start : function (ev, ui) {
									var i, subgid;
									// if we are in subgrid mode try to collapse the node
									if($t.p.subGrid) {
										subgid = $(ui.helper).attr("id");
										try {
											$($t).jqGrid('collapseSubGridRow',subgid);
										} catch (e) {}
									}
									// hack
									// drag and drop does not insert tr in table, when the table has no rows
									// we try to insert new empty row on the target(s)
									for (i=0;i<$.data($t,"dnd").connectWith.length;i++){
										if($($.data($t,"dnd").connectWith[i]).jqGrid('getGridParam','reccount') == "0" ){
											$($.data($t,"dnd").connectWith[i]).jqGrid('addRowData','jqg_empty_row',{});
										}
									}
									ui.helper.addClass("ui-state-highlight");
									$("td",ui.helper).each(function(i) {
										this.style.width = $t.grid.headers[i].width+"px";
									});
									if(opts.onstart && $.isFunction(opts.onstart) ) { opts.onstart.call($($t),ev,ui); }
								},
								stop :function(ev,ui) {
									var i, ids;
									if(ui.helper.dropped && !opts.dragcopy) {
										ids = $(ui.helper).attr("id");
										if(ids === undefined) { ids = $(this).attr("id"); }
										$($t).jqGrid('delRowData',ids );
									}
									// if we have a empty row inserted from start event try to delete it
									for (i=0;i<$.data($t,"dnd").connectWith.length;i++){
										$($.data($t,"dnd").connectWith[i]).jqGrid('delRowData','jqg_empty_row');
									}
									if(opts.onstop && $.isFunction(opts.onstop) ) { opts.onstop.call($($t),ev,ui); }
								}
							},opts.drag_opts || {});
						},
						"drop" : function (opts) {
							return $.extend({
								accept: function(d) {
									if (!$(d).hasClass('jqgrow')) { return d;}
									var tid = $(d).closest("table.ui-jqgrid-btable");
									if(tid.length > 0 && $.data(tid[0],"dnd") !== undefined) {
										var cn = $.data(tid[0],"dnd").connectWith;
										return $.inArray('#'+$.jgrid.jqID(this.id),cn) != -1 ? true : false;
									}
									return false;
								},
								drop: function(ev, ui) {
									if (!$(ui.draggable).hasClass('jqgrow')) { return; }
									var accept = $(ui.draggable).attr("id");
									var getdata = ui.draggable.parent().parent().jqGrid('getRowData',accept);
									if(!opts.dropbyname) {
										var j =0, tmpdata = {}, nm, key;
										var dropmodel = $("#"+$.jgrid.jqID(this.id)).jqGrid('getGridParam','colModel');
										try {
											for (key in getdata) {
												if (getdata.hasOwnProperty(key)) {
													nm = dropmodel[j].name;
													if( !(nm == 'cb' || nm =='rn' || nm == 'subgrid' )) {
														if(getdata.hasOwnProperty(key) && dropmodel[j]) {
															tmpdata[nm] = getdata[key];
														}
													}
													j++;
												}
											}
											getdata = tmpdata;
										} catch (e) {}
									}
									ui.helper.dropped = true;
									if(opts.beforedrop && $.isFunction(opts.beforedrop) ) {
										//parameters to this callback - event, element, data to be inserted, sender, reciever
										// should return object which will be inserted into the reciever
										var datatoinsert = opts.beforedrop.call(this,ev,ui,getdata,$('#'+$.jgrid.jqID($t.p.id)),$(this));
										if (datatoinsert !== undefined && datatoinsert !== null && typeof datatoinsert == "object") { getdata = datatoinsert; }
									}
									if(ui.helper.dropped) {
										var grid;
										if(opts.autoid) {
											if($.isFunction(opts.autoid)) {
												grid = opts.autoid.call(this,getdata);
											} else {
												grid = Math.ceil(Math.random()*1000);
												grid = opts.autoidprefix+grid;
											}
										}
										// NULL is interpreted as undefined while null as object
										$("#"+$.jgrid.jqID(this.id)).jqGrid('addRowData',grid,getdata,opts.droppos);
									}
									if(opts.ondrop && $.isFunction(opts.ondrop) ) { opts.ondrop.call(this,ev,ui, getdata); }
								}}, opts.drop_opts || {});
						},
						"onstart" : null,
						"onstop" : null,
						"beforedrop": null,
						"ondrop" : null,
						"drop_opts" : {
							"activeClass": "ui-state-active",
							"hoverClass": "ui-state-hover"
						},
						"drag_opts" : {
							"revert": "invalid",
							"helper": "clone",
							"cursor": "move",
							"appendTo" : "#jqgrid_dnd",
							"zIndex": 5000
						},
						"dragcopy": false,
						"dropbyname" : false,
						"droppos" : "first",
						"autoid" : true,
						"autoidprefix" : "dnd_"
					}, opts || {});

					if(!opts.connectWith) { return; }
					opts.connectWith = opts.connectWith.split(",");
					opts.connectWith = $.map(opts.connectWith,function(n){return $.trim(n);});
					$.data($t,"dnd",opts);

					if($t.p.reccount != "0" && !$t.p.jqgdnd) {
						updateDnD();
					}
					$t.p.jqgdnd = true;
					for (i=0;i<opts.connectWith.length;i++){
						cn =opts.connectWith[i];
						$(cn).droppable($.isFunction(opts.drop) ? opts.drop.call($($t),opts) : opts.drop);
					}
				});
			},
			gridResize : function(opts) {
				return this.each(function(){
					var $t = this, gID = $.jgrid.jqID($t.p.id);
					if(!$t.grid || !$.fn.resizable) { return; }
					opts = $.extend({}, opts || {});
					if(opts.alsoResize ) {
						opts._alsoResize_ = opts.alsoResize;
						delete opts.alsoResize;
					} else {
						opts._alsoResize_ = false;
					}
					if(opts.stop && $.isFunction(opts.stop)) {
						opts._stop_ = opts.stop;
						delete opts.stop;
					} else {
						opts._stop_ = false;
					}
					opts.stop = function (ev, ui) {
						$($t).jqGrid('setGridParam',{height: parseInt($("#gview_"+gID+" .ui-jqgrid-bdiv").css("height"))});
						$($t).jqGrid('setGridWidth',ui.size.width,opts.shrinkToFit);
						if(opts._stop_) { opts._stop_.call($t,ev,ui); }
					};
					if(opts._alsoResize_) {
						var optstest = "{\'#gview_"+gID+" .ui-jqgrid-bdiv\':true,'" +opts._alsoResize_+"':true}";
						opts.alsoResize = eval('('+optstest+')'); // the only way that I found to do this
					} else {
						opts.alsoResize = $(".ui-jqgrid-bdiv","#gview_"+gID);
					}
					delete opts._alsoResize_;
					$("#gbox_"+gID).resizable(opts);
				});
			}
		});
	})(jQuery);
	/*
 Transform a table to a jqGrid.
 Peter Romianowski <peter.romianowski@optivo.de>
 If the first column of the table contains checkboxes or
 radiobuttons then the jqGrid is made selectable.
*/
// Addition - selector can be a class or id
	function tableToGrid(selector, options) {
		jQuery(selector).each(function() {
			if(this.grid) {return;} //Adedd from Tony Tomov
			// This is a small "hack" to make the width of the jqGrid 100%
			jQuery(this).css("width", "99%");
			var w = parseInt(jQuery(this).css("width"));

			// Text whether we have single or multi select
			var inputCheckbox = jQuery('tr td:first-child input[type=checkbox]:first', jQuery(this));
			var inputRadio = jQuery('tr td:first-child input[type=radio]:first', jQuery(this));
			var selectMultiple = inputCheckbox.length > 0;
			var selectSingle = !selectMultiple && inputRadio.length > 0;
			var selectable = selectMultiple || selectSingle;
			//var inputName = inputCheckbox.attr("name") || inputRadio.attr("name");

			// Build up the columnModel and the data
			var colModel = [];
			var colNames = [];
			jQuery('th', jQuery(this)).each(function() {
				if (colModel.length === 0 && selectable) {
					colModel.push({
						name: '__selection__',
						index: '__selection__',
						width: 0,
						hidden: true
					});
					colNames.push('__selection__');
				} else {
					colModel.push({
						name: jQuery(this).attr("id") || jQuery.trim(jQuery.jgrid.stripHtml(jQuery(this).html())).split(' ').join('_'),
						index: jQuery(this).attr("id") || jQuery.trim(jQuery.jgrid.stripHtml(jQuery(this).html())).split(' ').join('_'),
						width: parseInt(jQuery(this).css("width")) || 150
					});
					colNames.push(jQuery(this).html());
				}
			});
			var data = [];
			var rowIds = [];
			var rowChecked = [];
			jQuery('tbody > tr', jQuery(this)).each(function() {
				var row = {};
				var rowPos = 0;
				jQuery('td', jQuery(this)).each(function() {
					if (rowPos === 0 && selectable) {
						var input = jQuery('input', jQuery(this));
						var rowId = input.attr("value");
						rowIds.push(rowId || data.length);
						if (input.is(":checked")) {
							rowChecked.push(rowId);
						}
						row[colModel[rowPos].name] = input.attr("value");
					} else {
						row[colModel[rowPos].name] = jQuery(this).html();
					}
					rowPos++;
				});
				if(rowPos >0) { data.push(row); }
			});

			// Clear the original HTML table
			jQuery(this).empty();

			// Mark it as jqGrid
			jQuery(this).addClass("scroll");

			jQuery(this).jqGrid(jQuery.extend({
				datatype: "local",
				width: w,
				colNames: colNames,
				colModel: colModel,
				multiselect: selectMultiple
				//inputName: inputName,
				//inputValueCol: imputName != null ? "__selection__" : null
			}, options || {}));

			// Add data
			var a;
			for (a = 0; a < data.length; a++) {
				var id = null;
				if (rowIds.length > 0) {
					id = rowIds[a];
					if (id && id.replace) {
						// We have to do this since the value of a checkbox
						// or radio button can be anything
						id = encodeURIComponent(id).replace(/[.\-%]/g, "_");
					}
				}
				if (id === null) {
					id = a + 1;
				}
				jQuery(this).jqGrid("addRowData",id, data[a]);
			}

			// Set the selection
			for (a = 0; a < rowChecked.length; a++) {
				jQuery(this).jqGrid("setSelection",rowChecked[a]);
			}
		});
	};


}); // define()
;
/**	jQuery.browser
 *	@author	J.D. McKinstry (2014)
 *	@description	Made to replicate older jQuery.browser command in jQuery versions 1.9+
 *	@see http://jsfiddle.net/SpYk3/wsqfbe4s/
 *
 *	@extends	jQuery
 *	@namespace	jQuery.browser
 *	@example	jQuery.browser.browser == 'browserNameInLowerCase'
 *	@example	jQuery.browser.version
 *	@example	jQuery.browser.mobile	@returns	BOOLEAN
 *	@example	jQuery.browser['browserNameInLowerCase']
 *	@example	jQuery.browser.chrome	@returns	BOOLEAN
 *	@example	jQuery.browser.safari	@returns	BOOLEAN
 *	@example	jQuery.browser.opera	@returns	BOOLEAN
 *	@example	jQuery.browser.msie	@returns	BOOLEAN
 *	@example	jQuery.browser.mozilla	@returns	BOOLEAN
 *	@example	jQuery.browser.webkit	@returns	BOOLEAN
 *	@example	jQuery.browser.ua	@returns	navigator.userAgent String
 */
;;(function($){var a=$.fn.jquery.split("."),b;for(b in a)a[b]=parseInt(a[b]);if(!$.browser&&(1<a[0]||9<=a[1])){a={browser:void 0,version:void 0,mobile:!1};navigator&&navigator.userAgent&&(a.ua=navigator.userAgent,a.webkit=/WebKit/i.test(a.ua),a.browserArray="MSIE Chrome Opera Kindle Silk BlackBerry PlayBook Android Safari Mozilla Nokia".split(" "),/Sony[^ ]*/i.test(a.ua)?a.mobile="Sony":/RIM Tablet/i.test(a.ua)?a.mobile="RIM Tablet":/BlackBerry/i.test(a.ua)?a.mobile="BlackBerry":/iPhone/i.test(a.ua)?
	a.mobile="iPhone":/iPad/i.test(a.ua)?a.mobile="iPad":/iPod/i.test(a.ua)?a.mobile="iPod":/Opera Mini/i.test(a.ua)?a.mobile="Opera Mini":/IEMobile/i.test(a.ua)?a.mobile="IEMobile":/BB[0-9]{1,}; Touch/i.test(a.ua)?a.mobile="BlackBerry":/Nokia/i.test(a.ua)?a.mobile="Nokia":/Android/i.test(a.ua)&&(a.mobile="Android"),/MSIE|Trident/i.test(a.ua)?(a.browser="MSIE",a.version=/MSIE/i.test(navigator.userAgent)&&0<parseFloat(a.ua.split("MSIE")[1].match(/[0-9\.]{1,}/)[0])?parseFloat(a.ua.split("MSIE")[1].match(/[0-9\.]{1,}/)[0]):
	"Edge",/Trident/i.test(a.ua)&&/rv:([0-9]{1,}[\.0-9]{0,})/.test(a.ua)&&(a.version=parseFloat(a.ua.match(/rv:([0-9]{1,}[\.0-9]{0,})/)[1].match(/[0-9\.]{1,}/)[0]))):/Chrome/.test(a.ua)?(a.browser="Chrome",a.version=parseFloat(a.ua.split("Chrome/")[1].split("Safari")[0].match(/[0-9\.]{1,}/)[0])):/Opera/.test(a.ua)?(a.browser="Opera",a.version=parseFloat(a.ua.split("Version/")[1].match(/[0-9\.]{1,}/)[0])):/Kindle|Silk|KFTT|KFOT|KFJWA|KFJWI|KFSOWI|KFTHWA|KFTHWI|KFAPWA|KFAPWI/i.test(a.ua)?(a.mobile="Kindle",
	/Silk/i.test(a.ua)?(a.browser="Silk",a.version=parseFloat(a.ua.split("Silk/")[1].split("Safari")[0].match(/[0-9\.]{1,}/)[0])):/Kindle/i.test(a.ua)&&/Version/i.test(a.ua)&&(a.browser="Kindle",a.version=parseFloat(a.ua.split("Version/")[1].split("Safari")[0].match(/[0-9\.]{1,}/)[0]))):/BlackBerry/.test(a.ua)?(a.browser="BlackBerry",a.version=parseFloat(a.ua.split("/")[1].match(/[0-9\.]{1,}/)[0])):/PlayBook/.test(a.ua)?(a.browser="PlayBook",a.version=parseFloat(a.ua.split("Version/")[1].split("Safari")[0].match(/[0-9\.]{1,}/)[0])):
	/BB[0-9]{1,}; Touch/.test(a.ua)?(a.browser="Blackberry",a.version=parseFloat(a.ua.split("Version/")[1].split("Safari")[0].match(/[0-9\.]{1,}/)[0])):/Android/.test(a.ua)?(a.browser="Android",a.version=parseFloat(a.ua.split("Version/")[1].split("Safari")[0].match(/[0-9\.]{1,}/)[0])):/Safari/.test(a.ua)?(a.browser="Safari",a.version=parseFloat(a.ua.split("Version/")[1].split("Safari")[0].match(/[0-9\.]{1,}/)[0])):/Firefox/.test(a.ua)?(a.browser="Mozilla",a.version=parseFloat(a.ua.split("Firefox/")[1].match(/[0-9\.]{1,}/)[0])):
		/Nokia/.test(a.ua)&&(a.browser="Nokia",a.version=parseFloat(a.ua.split("Browser")[1].match(/[0-9\.]{1,}/)[0])));if(a.browser)for(var c in a.browserArray)a[a.browserArray[c].toLowerCase()]=a.browser==a.browserArray[c];$.extend(!0,$.browser={},a)}})(jQuery);
/* - - - - - - - - - - - - - - - - - - - */

define('jquery-layout', ['jquery'], function(jQuery) {

	/**
	 * @preserve
	 * jquery.layout 1.8.5
	 * $Date: 2020-08-22 $
	 * $Rev: 1.8.5 $
	 *
	 * Copyright (c) 2014 Kevin Dalman (http://jquery-dev.com)
	 * Based on work by Fabrizio Balliano (http://www.fabrizioballiano.net)
	 *
	 * Dual licensed under the GPL (http://www.gnu.org/licenses/gpl.html)
	 * and MIT (http://www.opensource.org/licenses/mit-license.php) licenses.
	 *
	 * SEE: http://layout.jquery-dev.com/LICENSE.txt
	 *
	 * Changelog: http://layout.jquery-dev.com/changelog.cfm
	 *
	 * Docs: http://layout.jquery-dev.com/documentation.html
	 * Tips: http://layout.jquery-dev.com/tips.html
	 * Help: http://groups.google.com/group/jquery-ui-layout
	 *
	 * History
	 * 2016/28/10 - Added responsiveness - marc magon
	 * 2018/01/27 - Updated the toggler class and responsive properties
	 * 2018/04/02 - Switch unbinds to .off() as recommended
	 *
	 * 2019/02/09 - @rsprinkle      Add AMD Support,
	 *              @alexsielicki   Fixing issue with running under webpack with jQuery 3.3.1 and jQuery Migrate plugin
	 *
	 * 2019/03/25 - @rsprinkle      AMD Support - Return JQuery
	 */

	/* JavaDoc Info: http://code.google.com/closure/compiler/docs/js-for-compiler.html
 * {!Object} non-nullable type (never NULL)
 * {?string} nullable type (sometimes NULL) - default for {Object}
 * {number=} optional parameter
 * {*}   ALL types
 */
// NOTE: For best readability, view with a fixed-width font and tabs equal to 4-chars
	(function(jQuery)
	{
		(function ($) {
// alias Math methods - used a lot!
				var min = Math.min, max = Math.max, round = Math.floor, isStr = function (v) {
						return typeof(v) === "string";
					}

					/**
					 * @param {!Object}   Instance
					 * @param {Array.<string>} a_fn
					 */
					, runPluginCallbacks = function (Instance, a_fn) {
						if (Array.isArray(a_fn))
							for (var i = 0, c = a_fn.length; i < c; i++) {
								var fn = a_fn[i];
								try {
									if (isStr(fn)) // 'name' of a function
										fn = eval(fn);
									if (typeof fn === "function")
										g(fn)(Instance);
								} catch (ex) {
								}
							}

						function g(f) {
							return f;
						}

						// compiler hack
					}
				;

				/*
     * GENERIC $.layout METHODS - used by all layouts
     */
				$.layout = {
					version: "1.8.4"
					, revision: 1.8004 // eg: ver 1.4.4 = rev 1.0404 - major(n+).minor(nn)+patch(nn+)

					// $.layout.browser REPLACES $.browser
					, browser: {} // set below

					// *PREDEFINED* EFFECTS & DEFAULTS
					// MUST list effect here - OR MUST set an fxSettings option (can be an empty hash: {})
					, effects: {
						// Pane Open/Close Animations
						slide: {
							all: {duration: "fast"} // eg: duration: 1000, easing: "easeOutBounce"
							, north: {direction: "up"}
							, south: {direction: "down"}
							, east: {direction: "right"}
							, west: {direction: "left"}
						}
						, drop: {
							all: {duration: "slow"}
							, north: {direction: "up"}
							, south: {direction: "down"}
							, east: {direction: "right"}
							, west: {direction: "left"}
						}
						, scale: {
							all: {duration: "fast"}
						}
						// these are not recommended, but can be used
						, blind: {}
						, clip: {}
						, explode: {}
						, fade: {}
						, fold: {}
						, puff: {}

						// Pane Resize Animations
						, size: {
							all: {easing: "swing"}
						}
					}

					// INTERNAL CONFIG DATA - DO NOT CHANGE THIS!
					, config: {
						optionRootKeys: "effects,panes,north,south,west,east,center".split(",")
						, allPanes: "north,south,west,east,center".split(",")
						, borderPanes: "north,south,west,east".split(",")
						, oppositeEdge: {
							north: "south"
							, south: "north"
							, east: "west"
							, west: "east"
						}
						// offscreen data
						, offscreenCSS: {left: "-99999px", right: "auto"} // used by hide/close if useOffscreenClose=true
						, offscreenReset: "offscreenReset" // key used for data
						// CSS used in multiple places
						, hidden: {visibility: "hidden"}
						, visible: {visibility: "visible"}
						// layout element settings
						, resizers: {
							cssReq: {
								position: "absolute"
								, padding: 0
								, margin: 0
								, fontSize: "1px"
								, textAlign: "left" // to counter-act "center" alignment!
								, overflow: "hidden" // prevent toggler-button from overflowing
								// SEE $.layout.defaults.zIndexes.resizer_normal
							}
							, cssDemo: {// DEMO CSS - applied if: options.PANE.applyDemoStyles=true
								background: "#DDD"
								, border: "none"
							}
						}
						, togglers: {
							cssReq: {
								position: "absolute"
								, display: "block"
								, padding: 0
								, margin: 0
								, overflow: "hidden"
								, textAlign: "center"
								, fontSize: "1px"
								, cursor: "pointer"
								, zIndex: 1
							}
							, cssDemo: {// DEMO CSS - applied if: options.PANE.applyDemoStyles=true
								background: "#AAA"
							}
						}
						, content: {
							cssReq: {
								position: "relative" /* contain floated or positioned elements */
							}
							, cssDemo: {// DEMO CSS - applied if: options.PANE.applyDemoStyles=true
								overflow: "auto"
								, padding: "10px"
							}
							, cssDemoPane: {// DEMO CSS - REMOVE scrolling from 'pane' when it has a content-div
								overflow: "hidden"
								, padding: 0
							}
						}
						, panes: {// defaults for ALL panes - overridden by 'per-pane settings' below
							cssReq: {
								position: "absolute"
								, margin: 0
								// $.layout.defaults.zIndexes.pane_normal
							}
							, cssDemo: {// DEMO CSS - applied if: options.PANE.applyDemoStyles=true
								padding: "10px"
								, background: "#FFF"
								, border: "1px solid #BBB"
								, overflow: "auto"
							}
						}
						, north: {
							side: "top"
							, sizeType: "Height"
							, dir: "horz"
							, cssReq: {
								top: 0
								, bottom: "auto"
								, left: 0
								, right: 0
								, width: "auto"
								// height:  DYNAMIC
							}
						}
						, south: {
							side: "bottom"
							, sizeType: "Height"
							, dir: "horz"
							, cssReq: {
								top: "auto"
								, bottom: 0
								, left: 0
								, right: 0
								, width: "auto"
								// height:  DYNAMIC
							}
						}
						, east: {
							side: "right"
							, sizeType: "Width"
							, dir: "vert"
							, cssReq: {
								left: "auto"
								, right: 0
								, top: "auto" // DYNAMIC
								, bottom: "auto" // DYNAMIC
								, height: "auto"
								// width:   DYNAMIC
							}
						}
						, west: {
							side: "left"
							, sizeType: "Width"
							, dir: "vert"
							, cssReq: {
								left: 0
								, right: "auto"
								, top: "auto" // DYNAMIC
								, bottom: "auto" // DYNAMIC
								, height: "auto"
								// width:   DYNAMIC
							}
						}
						, center: {
							dir: "center"
							, cssReq: {
								left: "auto" // DYNAMIC
								, right: "auto" // DYNAMIC
								, top: "auto" // DYNAMIC
								, bottom: "auto" // DYNAMIC
								, height: "auto"
								, width: "auto"
							}
						}
					}

					// CALLBACK FUNCTION NAMESPACE - used to store reusable callback functions
					, callbacks: {}

					, getParentPaneElem: function (el) {
						// must pass either a container or pane element
						var $el = $(el)
							, layout = $el.data("layout") || $el.data("parentLayout");
						if (layout) {
							var $cont = layout.container;
							// see if this container is directly-nested inside an outer-pane
							if ($cont.data("layoutPane"))
								return $cont;
							var $pane = $cont.closest("." + $.layout.defaults.panes.paneClass);
							// if a pane was found, return it
							if ($pane.data("layoutPane"))
								return $pane;
						}
						return null;
					}

					, getParentPaneInstance: function (el) {
						// must pass either a container or pane element
						var $pane = $.layout.getParentPaneElem(el);
						return $pane ? $pane.data("layoutPane") : null;
					}

					, getParentLayoutInstance: function (el) {
						// must pass either a container or pane element
						var $pane = $.layout.getParentPaneElem(el);
						return $pane ? $pane.data("parentLayout") : null;
					}

					, getEventObject: function (evt) {
						return typeof evt === "object" && evt.stopPropagation ? evt : null;
					}
					, parsePaneName: function (evt_or_pane) {
						var evt = $.layout.getEventObject(evt_or_pane)
							, pane = evt_or_pane;
						if (evt) {
							// ALWAYS stop propagation of events triggered in Layout!
							evt.stopPropagation();
							pane = $(this).data("layoutEdge");
						}
						if (pane && !/^(west|east|north|south|center)$/.test(pane)) {
							$.layout.msg('LAYOUT ERROR - Invalid pane-name: "' + pane + '"');
							pane = "error";
						}
						return pane;
					}


					// LAYOUT-PLUGIN REGISTRATION
					// more plugins can added beyond this default list
					, plugins: {
						draggable: !!$.fn.draggable // resizing
						, effects: {
							core: !!$.effects  // animimations (specific effects tested by initOptions)
							, slide: $.effects && ($.effects.slide || ($.effects.effect && $.effects.effect.slide)) // default effect
						}
					}

// arrays of plugin or other methods to be triggered for events in *each layout* - will be passed 'Instance'
					, onCreate: [] // runs when layout is just starting to be created - right after options are set
					, onLoad: [] // runs after layout container and global events init, but before initPanes is called
					, onReady: [] // runs after initialization *completes* - ie, after initPanes completes successfully
					, onDestroy: [] // runs after layout is destroyed
					, onUnload: [] // runs after layout is destroyed OR when page unloads
					, afterOpen: [] // runs after setAsOpen() completes
					, afterClose: [] // runs after setAsClosed() completes

					/*
                 * GENERIC UTILITY METHODS
                 */

					// calculate and return the scrollbar width, as an integer
					, scrollbarWidth: function () {
						return window.scrollbarWidth || $.layout.getScrollbarSize('width');
					}
					, scrollbarHeight: function () {
						return window.scrollbarHeight || $.layout.getScrollbarSize('height');
					}
					, getScrollbarSize: function (dim) {
						var $c = $('<div style="position: absolute; top: -10000px; left: -10000px; width: 100px; height: 100px; border: 0; overflow: scroll;"></div>').appendTo("body")
							, d = {width: $c.outerWidth - $c[0].clientWidth, height: 100 - $c[0].clientHeight};
						$c.remove();
						window.scrollbarWidth = d.width;
						window.scrollbarHeight = d.height;
						return dim.match(/^(width|height)$/) ? d[dim] : d;
					}


					, disableTextSelection: function () {
						var $d = $(document)
							, s = 'textSelectionDisabled'
							, x = 'textSelectionInitialized'
						;
						if ($.fn.disableSelection) {
							if (!$d.data(x)) // document hasn't been initialized yet
								$d.on('mouseup', $.layout.enableTextSelection).data(x, true);
							if (!$d.data(s))
								$d.disableSelection().data(s, true);
						}
					}
					, enableTextSelection: function () {
						var $d = $(document)
							, s = 'textSelectionDisabled';
						if ($.fn.enableSelection && $d.data(s))
							$d.enableSelection().data(s, false);
					}


					/**
					 * Returns hash container 'display' and 'visibility'
					 *
					 * @param  {!Object}  $E    jQuery element
					 * @param  {boolean=} [force=false] Run even if display != none
					 * @return {!Object}      Returns current style props, if applicable
					 */
					, showInvisibly: function ($E, force) {
						if ($E && $E.length && (force || $E.css("display") === "none")) { // only if not *already hidden*
							var s = $E[0].style
								// save ONLY the 'style' props because that is what we must restore
								, CSS = {display: s.display || '', visibility: s.visibility || ''};
							// show element 'invisibly' so can be measured
							$E.css({display: "block", visibility: "hidden"});
							return CSS;
						}
						return {};
					}

					/**
					 * Returns data for setting size of an element (container or a pane).
					 *
					 * @see  _create(), onWindowResize() for container, plus others for pane
					 * @return JSON  Returns a hash of all dimensions: top, bottom, left, right, outerWidth, innerHeight, etc
					 */
					, getElementDimensions: function ($E, inset) {
						var
							// dimensions hash - start with current data IF passed
							d = {css: {}, inset: {}}
							, x = d.css   // CSS hash
							, i = {bottom: 0} // TEMP insets (bottom = complier hack)
							, N = $.layout.cssNum
							, R = Math.round
							, off = $E.offset()
							, b, p, ei   // TEMP border, padding
						;
						d.offsetLeft = off.left;
						d.offsetTop = off.top;

						if (!inset)
							inset = {}; // simplify logic below

						$.each("Left,Right,Top,Bottom".split(","), function (idx, e) { // e = edge
							b = x["border" + e] = $.layout.borderWidth($E, e);
							p = x["padding" + e] = $.layout.cssNum($E, "padding" + e);
							ei = e.toLowerCase();
							d.inset[ei] = inset[ei] >= 0 ? inset[ei] : p; // any missing insetX value = paddingX
							i[ei] = d.inset[ei] + b; // total offset of content from outer side
						});

						x.width = R(parseInt($E.css("width")));
						x.height = R(parseInt($E.css("height")));
						x.top = N($E, "top", true);
						x.bottom = N($E, "bottom", true);
						x.left = N($E, "left", true);
						x.right = N($E, "right", true);

						d.outerWidth = R(parseInt($E.css("width")) + parseInt($E.css("padding-left")) + parseInt($E.css("padding-right")));
						d.outerHeight = R(parseInt($E.css("height"))+parseInt($E.css("padding-top"))+parseInt($E.css("padding-bottom")));
						// calc the TRUE inner-dimensions, even in quirks-mode!
						d.innerWidth = max(0, d.outerWidth - i.left - i.right);
						d.innerHeight = max(0, d.outerHeight - i.top - i.bottom);
						// layoutWidth/Height is used in calcs for manual resizing
						// layoutW/H only differs from innerW/H when in quirks-mode - then is like outerW/H
						d.layoutWidth = R(parseInt($E.css("width"))-parseInt($E.css("padding-left"))-parseInt($E.css("padding-right")));
						d.layoutHeight = R(parseInt($E.css("height"))-parseInt($E.css("padding-top"))-parseInt($E.css("padding-bottom")));

						//if ($E.prop('tagName') === 'BODY') { debugData( d, $E.prop('tagName') ); } // DEBUG

						//d.visible = $E.is(":visible");// && x.width > 0 && x.height > 0;

						return d;
					}

					, getElementStyles: function ($E, list) {
						var
							CSS = {}
							, style = $E[0].style
							, props = list.split(",")
							, sides = "Top,Bottom,Left,Right".split(",")
							, attrs = "Color,Style,Width".split(",")
							, p, s, a, i, j, k
						;
						for (i = 0; i < props.length; i++) {
							p = props[i];
							if (p.match(/(border|padding|margin)$/))
								for (j = 0; j < 4; j++) {
									s = sides[j];
									if (p === "border")
										for (k = 0; k < 3; k++) {
											a = attrs[k];
											CSS[p + s + a] = style[p + s + a];
										}
									else
										CSS[p + s] = style[p + s];
								}
							else
								CSS[p] = style[p];
						}
						return CSS
					}

					/**
					 * Return the innerWidth for the current browser/doctype
					 *
					 * @see  initPanes(), sizeMidPanes(), initHandles(), sizeHandles()
					 * @param  {Array.<Object>} $E  Must pass a jQuery object - first element is processed
					 * @param  {number=}   outerWidth (optional) Can pass a width, allowing calculations BEFORE element is resized
					 * @return {number}   Returns the innerWidth of the elem by subtracting padding and borders
					 */
					, cssWidth: function ($E, outerWidth) {
						// a 'calculated' outerHeight can be passed so borders and/or padding are removed if needed
						if (outerWidth <= 0)
							return 0;

						var lb = $.layout.browser
							, bs = !lb.boxModel ? "border-box" : lb.boxSizing ? $E.css("boxSizing") : "content-box"
							, b = $.layout.borderWidth
							, n = $.layout.cssNum
							, W = outerWidth
						;
						// strip border and/or padding from outerWidth to get CSS Width
						if (bs !== "border-box")
							W -= (b($E, "Left") + b($E, "Right"));
						if (bs === "content-box")
							W -= (n($E, "paddingLeft") + n($E, "paddingRight"));
						return max(0, W);
					}

					/**
					 * Return the innerHeight for the current browser/doctype
					 *
					 * @see  initPanes(), sizeMidPanes(), initHandles(), sizeHandles()
					 * @param  {Array.<Object>} $E  Must pass a jQuery object - first element is processed
					 * @param  {number=}   outerHeight  (optional) Can pass a width, allowing calculations BEFORE element is resized
					 * @return {number}   Returns the innerHeight of the elem by subtracting padding and borders
					 */
					, cssHeight: function ($E, outerHeight) {
						// a 'calculated' outerHeight can be passed so borders and/or padding are removed if needed
						if (outerHeight <= 0)
							return 0;

						var lb = $.layout.browser
							, bs = !lb.boxModel ? "border-box" : lb.boxSizing ? $E.css("boxSizing") : "content-box"
							, b = $.layout.borderWidth
							, n = $.layout.cssNum
							, H = outerHeight
						;
						// strip border and/or padding from outerHeight to get CSS Height
						if (bs !== "border-box")
							H -= (b($E, "Top") + b($E, "Bottom"));
						if (bs === "content-box")
							H -= (n($E, "paddingTop") + n($E, "paddingBottom"));
						return max(0, H);
					}

					/**
					 * Returns the 'current CSS numeric value' for a CSS property - 0 if property does not exist
					 *
					 * @see  Called by many methods
					 * @param {Array.<Object>} $E     Must pass a jQuery object - first element is processed
					 * @param {string}   prop    The name of the CSS property, eg: top, width, etc.
					 * @param {boolean=}   [allowAuto=false] true = return 'auto' if that is value; false = return 0
					 * @return {(string|number)}      Usually used to get an integer value for position (top, left) or size (height, width)
					 */
					, cssNum: function ($E, prop, allowAuto) {
						if (!$E.jquery)
							$E = $($E);
						var CSS = $.layout.showInvisibly($E)
							, p = $.css($E[0], prop, true)
							, v = allowAuto && p == "auto" ? p : Math.round(parseFloat(p) || 0);
						$E.css(CSS); // RESET
						return v;
					}

					, borderWidth: function (el, side) {
						if (el.jquery)
							el = el[0];
						var b = "border" + side.substr(0, 1).toUpperCase() + side.substr(1); // left => Left
						return $.css(el, b + "Style", true) === "none" ? 0 : Math.round(parseFloat($.css(el, b + "Width", true)) || 0);
					}

					/**
					 * Mouse-tracking utility - FUTURE REFERENCE
					 *
					 * init: if (!window.mouse) {
					 *   window.mouse = { x: 0, y: 0 };
					 *   $(document).mousemove( $.layout.trackMouse );
					 *  }
					 *
					 * @param {Object}  evt
					 *
                 , trackMouse: function (evt) {
         window.mouse = { x: evt.clientX, y: evt.clientY };
         }
					 */

					/**
					 * SUBROUTINE for preventPrematureSlideClose option
					 *
					 * @param {Object}  evt
					 * @param {Object=}  el
					 */
					, isMouseOverElem: function (evt, el) {
						var
							$E = $(el || this)
							, d = $E.offset()
							, T = d.top
							, L = d.left
							, R = L + parseInt($E.css("width")) + parseInt($E.css("padding-left")) + parseInt($E.css("padding-right"))
							, B = T + parseInt($E.css("height"))+parseInt($E.css("padding-top"))+parseInt($E.css("padding-bottom"))
							, x = evt.pageX // evt.clientX ?
							, y = evt.pageY // evt.clientY ?
						;
						// if X & Y are < 0, probably means is over an open SELECT
						return ($.layout.browser.msie && x < 0 && y < 0) || ((x >= L && x <= R) && (y >= T && y <= B));
					}

					/**
					 * Message/Logging Utility
					 *
					 * @example $.layout.msg("My message");    // log text
					 * @example $.layout.msg("My message", true);  // alert text
					 * @example $.layout.msg({ foo: "bar" }, "Title"); // log hash-data, with custom title
					 * @example $.layout.msg({ foo: "bar" }, true, "Title", { sort: false }); -OR-
					 * @example $.layout.msg({ foo: "bar" }, "Title", { sort: false, display: true }); // alert hash-data
					 *
					 * @param {(Object|string)}   info   String message OR Hash/Array
					 * @param {(Boolean|string|Object)=} [popup=false] True means alert-box - can be skipped
					 * @param {(Object|string)=}   [debugTitle=""] Title for Hash data - can be skipped
					 * @param {Object=}     [debugOpts]  Extra options for debug output
					 */
					, msg: function (info, popup, debugTitle, debugOpts) {
						if ($.isPlainObject(info) && window.debugData) {
							if (typeof popup === "string") {
								debugOpts = debugTitle;
								debugTitle = popup;
							} else if (typeof debugTitle === "object") {
								debugOpts = debugTitle;
								debugTitle = null;
							}
							var t = debugTitle || "log( <object> )"
								, o = $.extend({sort: false, returnHTML: false, display: false}, debugOpts);
							if (popup === true || o.display)
								debugData(info, t, o);
							else if (window.console)
								console.log(debugData(info, t, o));
						} else if (popup)
							alert(info);
						else if (window.console)
							console.log(info);
						else {
							var id = "#layoutLogger"
								, $l = $(id);
							if (!$l.length)
								$l = createLog();
							$l.children("ul").append('<li style="padding: 4px 10px; margin: 0; border-top: 1px solid #CCC;">' + info.replace(/\</g, "&lt;").replace(/\>/g, "&gt;") + '</li>');
						}

						function createLog() {
							var pos = $.support.fixedPosition ? 'fixed' : 'absolute'
								, $e = $('<div id="layoutLogger" style="position: ' + pos + '; top: 5px; z-index: 999999; max-width: 25%; overflow: hidden; border: 1px solid #000; border-radius: 5px; background: #FBFBFB; box-shadow: 0 2px 10px rgba(0,0,0,0.3);">'
								+ '<div style="font-size: 13px; font-weight: bold; padding: 5px 10px; background: #F6F6F6; border-radius: 5px 5px 0 0; cursor: move;">'
								+ '<span style="float: right; padding-left: 7px; cursor: pointer;" title="Remove Console" onclick="$(this).closest(\'#layoutLogger\').remove()">X</span>Layout console.log</div>'
								+ '<ul style="font-size: 13px; font-weight: none; list-style: none; margin: 0; padding: 0 0 2px;"></ul>'
								+ '</div>'
							).appendTo("body");
							$e.css('left', parseInt($(window).css("width")) - (parseInt($e.css("width")) + parseInt($e.css("padding-left")) + parseInt($e.css("padding-right"))) - 5);
							if ($.ui.draggable)
								$e.draggable({handle: ':first-child'});
							return $e;
						}
					}

				};


				/*
     * $.layout.browser REPLACES removed $.browser, with extra data
     * Parsing code here adapted from jQuery 1.8 $.browse
     */
				(function () {
					var u = navigator.userAgent.toLowerCase()
						, m = /(chrome)[ \/]([\w.]+)/.exec(u)
						|| /(webkit)[ \/]([\w.]+)/.exec(u)
						|| /(opera)(?:.*version|)[ \/]([\w.]+)/.exec(u)
						|| /(msie) ([\w.]+)/.exec(u)
						|| u.indexOf("compatible") < 0 && /(mozilla)(?:.*? rv:([\w.]+)|)/.exec(u)
						|| []
						, b = m[1] || ""
						, v = m[2] || 0
						, ie = b === "msie"
						, cm = document.compatMode
						, $s = $.support
						, bs = $s.boxSizing !== undefined ? $s.boxSizing : $s.boxSizingReliable
						, bm = !ie || !cm || cm === "CSS1Compat" || $s.boxModel || false
						, lb = $.layout.browser = {
						version: v
						, safari: b === "webkit" // webkit (NOT chrome) = safari
						, webkit: b === "chrome" // chrome = webkit
						, msie: ie
						, isIE6: ie && v == 6
						// ONLY IE reverts to old box-model - Note that compatMode was deprecated as of IE8
						, boxModel: bm
						, boxSizing: !!(typeof bs === "function" ? bs() : bs)
					};
					if (b)
						lb[b] = true; // set CURRENT browser
					/* OLD versions of jQuery only set $.support.boxModel after page is loaded
         * so if this is IE, use support.boxModel to test for quirks-mode (ONLY IE changes boxModel) */
					if (!bm && !cm)
						$(function () {
							lb.boxModel = $s.boxModel;
						});
				})();


// DEFAULT OPTIONS
				$.layout.defaults = {
					/*
         * LAYOUT & LAYOUT-CONTAINER OPTIONS
         * - none of these options are applicable to individual panes
         */
					name: ""   // Not required, but useful for buttons and used for the state-cookie
					, containerClass: "ui-layout-container" // layout-container element
					, inset: null  // custom container-inset values (override padding)
					, scrollToBookmarkOnLoad: true  // after creating a layout, scroll to bookmark in URL (.../page.htm#myBookmark)
					, resizeWithWindow: true  // bind thisLayout.resizeAll() to the window.resize event
					, resizeWithWindowDelay: 200   // delay calling resizeAll because makes window resizing very jerky
					, resizeWithWindowMaxDelay: 0   // 0 = none - force resize every XX ms while window is being resized
					, maskPanesEarly: false  // true = create pane-masks on resizer.mouseDown instead of waiting for resizer.dragstart
					, onresizeall_start: null  // CALLBACK when resizeAll() STARTS - NOT pane-specific
					, onresizeall_end: null  // CALLBACK when resizeAll() ENDS - NOT pane-specific
					, onload_start: null  // CALLBACK when Layout inits - after options initialized, but before elements
					, onload_end: null  // CALLBACK when Layout inits - after EVERYTHING has been initialized
					, onunload_start: null  // CALLBACK when Layout is destroyed OR onWindowUnload
					, onunload_end: null  // CALLBACK when Layout is destroyed OR onWindowUnload
					, initPanes: true  // false = DO NOT initialize the panes onLoad - will init later
					, showErrorMessages: true  // enables fatal error messages to warn developers of common errors
					, showDebugMessages: false  // display console-and-alert debug msgs - IF this Layout version _has_ debugging code!
// Changing this zIndex value will cause other zIndex values to automatically change
					, zIndex: null  // the PANE zIndex - resizers and masks will be +1
// DO NOT CHANGE the zIndex values below unless you clearly understand their relationships
					, zIndexes: {// set _default_ z-index values here...
						pane_normal: 0   // normal z-index for panes
						, content_mask: 1   // applied to overlays used to mask content INSIDE panes during resizing
						, resizer_normal: 2   // normal z-index for resizer-bars
						, pane_sliding: 100   // applied to *BOTH* the pane and its resizer when a pane is 'slid open'
						, pane_animate: 1000  // applied to the pane when being animated - not applied to the resizer
						, resizer_drag: 10000  // applied to the CLONED resizer-bar when being 'dragged'
					}
					, errors: {
						pane: "pane"  // description of "layout pane element" - used only in error messages
						, selector: "selector" // description of "jQuery-selector" - used only in error messages
						, addButtonError: "Error Adding Button\nInvalid "
						, containerMissing: "UI Layout Initialization Error\nThe specified layout-container does not exist."
						, centerPaneMissing: "UI Layout Initialization Error\nThe center-pane element does not exist.\nThe center-pane is a required element."
						, noContainerHeight: "UI Layout Initialization Warning\nThe layout-container \"CONTAINER\" has no height.\nTherefore the layout is 0-height and hence 'invisible'!"
						, callbackError: "UI Layout Callback Error\nThe EVENT callback is not a valid function."
					}
					/*
         * PANE DEFAULT SETTINGS
         * - settings under the 'panes' key become the default settings for *all panes*
         * - ALL pane-options can also be set specifically for each panes, which will override these 'default values'
         */
					, panes: {// default options for 'all panes' - will be overridden by 'per-pane settings'
						applyDemoStyles: false  // NOTE: renamed from applyDefaultStyles for clarity

						//Add responsiveness
						, responsive:
							{
								enabled: false,
								when: 'md'
								, sizes: {
									xl: 1140,
									lg: 992,
									md: 768,
									sm: 576,
									xs: 0
								}
							}
						, closable: true  // pane can open & close
						, resizable: true  // when open, pane can be resized
						, slidable: true  // when closed, pane can 'slide open' over other panes - closes on mouse-out
						, initClosed: false  // true = init pane as 'closed'
						, initHidden: false   // true = init pane as 'hidden' - no resizer-bar/spacing
						// SELECTORS
						//, paneSelector:   ""   // MUST be pane-specific - jQuery selector for pane
						, contentSelector: ".ui-layout-content" // INNER div/element to auto-size so only it scrolls, not the entire pane!
						, contentIgnoreSelector: ".ui-layout-ignore" // element(s) to 'ignore' when measuring 'content'
						, findNestedContent: false  // true = $P.find(contentSelector), false = $P.children(contentSelector)
						// GENERIC ROOT-CLASSES - for auto-generated classNames
						, paneClass: "ui-layout-pane" // Layout Pane
						, resizerClass: "ui-layout-resizer" // Resizer Bar
						, togglerClass: "ui-layout-toggler" // Toggler Button
						, buttonClass: "ui-layout-button" // CUSTOM Buttons - eg: '[ui-layout-button]-toggle/-open/-close/-pin'
						// ELEMENT SIZE & SPACING
						//, size:     100   // MUST be pane-specific -initial size of pane
						, minSize: 0   // when manually resizing a pane
						, maxSize: 0   // ditto, 0 = no limit
						, spacing_open: 6   // space between pane and adjacent panes - when pane is 'open'
						, spacing_closed: 6   // ditto - when pane is 'closed'
						, togglerLength_open: 50   // Length = WIDTH of toggler button on north/south sides - HEIGHT on east/west sides
						, togglerLength_closed: 50   // 100% OR -1 means 'full height/width of resizer bar' - 0 means 'hidden'
						, togglerAlign_open: "center" // top/left, bottom/right, center, OR...
						, togglerAlign_closed: "center" // 1 => nn = offset from top/left, -1 => -nn == offset from bottom/right
						, togglerContent_open: ""   // text or HTML to put INSIDE the toggler
						, togglerContent_closed: ""   // ditto
						// RESIZING OPTIONS
						, resizerDblClickToggle: true  //
						, autoResize: true  // IF size is 'auto' or a percentage, then recalc 'pixel size' whenever the layout resizes
						, autoReopen: true  // IF a pane was auto-closed due to noRoom, reopen it when there is room? False = leave it closed
						, resizerDragOpacity: 1   // option for ui.draggable
						, draggableIframeFix: false //use the jquery ui 1.11.1 ifame fix for draggable elements
						//, resizerCursor:   ""   // MUST be pane-specific - cursor when over resizer-bar
						, maskContents: false  // true = add DIV-mask over-or-inside this pane so can 'drag' over IFRAMES
						, maskObjects: false  // true = add IFRAME-mask over-or-inside this pane to cover objects/applets - content-mask will overlay this mask
						, maskZindex: null  // will override zIndexes.content_mask if specified - not applicable to iframe-panes
						, resizingGrid: false  // grid size that the resizers will snap-to during resizing, eg: [20,20]
						, livePaneResizing: false  // true = LIVE Resizing as resizer is dragged
						, liveContentResizing: false  // true = re-measure header/footer heights as resizer is dragged
						, liveResizingTolerance: 1   // how many px change before pane resizes, to control performance
						// SLIDING OPTIONS
						, sliderCursor: "pointer" // cursor when resizer-bar will trigger 'sliding'
						, slideTrigger_open: "click"  // click, dblclick, mouseenter
						, slideTrigger_close: "mouseleave"// click, mouseleave
						, slideDelay_open: 300   // applies only for mouseenter event - 0 = instant open
						, slideDelay_close: 300   // applies only for mouseleave event (300ms is the minimum!)
						, hideTogglerOnSlide: false  // when pane is slid-open, should the toggler show?
						, preventQuickSlideClose: $.layout.browser.webkit // Chrome triggers slideClosed as it is opening
						, preventPrematureSlideClose: false // handle incorrect mouseleave trigger, like when over a SELECT-list in IE
						// PANE-SPECIFIC TIPS & MESSAGES
						, tips: {
							Open: "Open"  // eg: "Open Pane"
							, Close: "Close"
							, Resize: "Resize"
							, Slide: "Slide Open"
							, Pin: "Pin"
							, Unpin: "Un-Pin"
							, noRoomToOpen: "Not enough room to show this panel." // alert if user tries to open a pane that cannot
							, minSizeWarning: "Panel has reached its minimum size" // displays in browser statusbar
							, maxSizeWarning: "Panel has reached its maximum size" // ditto
						}
						// HOT-KEYS & MISC
						, showOverflowOnHover: false  // will bind allowOverflow() utility to pane.onMouseOver
						, enableCursorHotkey: true  // enabled 'cursor' hotkeys
						//, customHotkey:   ""   // MUST be pane-specific - EITHER a charCode OR a character
						, customHotkeyModifier: "SHIFT"  // either 'SHIFT', 'CTRL' or 'CTRL+SHIFT' - NOT 'ALT'
						// PANE ANIMATION
						// NOTE: fxSss_open, fxSss_close & fxSss_size options (eg: fxName_open) are auto-generated if not passed
						, fxName: "slide"  // ('none' or blank), slide, drop, scale -- only relevant to 'open' & 'close', NOT 'size'
						, fxSpeed: null  // slow, normal, fast, 200, nnn - if passed, will OVERRIDE fxSettings.duration
						, fxSettings: {}   // can be passed, eg: { easing: "easeOutBounce", duration: 1500 }
						, fxOpacityFix: true  // tries to fix opacity in IE to restore anti-aliasing after animation
						, animatePaneSizing: false  // true = animate resizing after dragging resizer-bar OR sizePane() is called
						/*  NOTE: Action-specific FX options are auto-generated from the options above if not specifically set:
                     fxName_open:   "slide"  // 'Open' pane animation
                     fnName_close:   "slide"  // 'Close' pane animation
                     fxName_size:   "slide"  // 'Size' pane animation - when animatePaneSizing = true
                     fxSpeed_open:   null
                     fxSpeed_close:   null
                     fxSpeed_size:   null
                     fxSettings_open:  {}
                     fxSettings_close:  {}
                     fxSettings_size:  {}
                     */
						// CHILD/NESTED LAYOUTS
						, children: null  // Layout-options for nested/child layout - even {} is valid as options
						, containerSelector: ''   // if child is NOT 'directly nested', a selector to find it/them (can have more than one child layout!)
						, initChildren: true  // true = child layout will be created as soon as _this_ layout completes initialization
						, destroyChildren: true  // true = destroy child-layout if this pane is destroyed
						, resizeChildren: true  // true = trigger child-layout.resizeAll() when this pane is resized
						// EVENT TRIGGERING
						, triggerEventsOnLoad: false  // true = trigger onopen OR onclose callbacks when layout initializes
						, triggerEventsDuringLiveResize: true // true = trigger onresize callback REPEATEDLY if livePaneResizing==true
						// PANE CALLBACKS
						, onshow_start: null  // CALLBACK when pane STARTS to Show - BEFORE onopen/onhide_start
						, onshow_end: null  // CALLBACK when pane ENDS being Shown - AFTER  onopen/onhide_end
						, onhide_start: null  // CALLBACK when pane STARTS to Close - BEFORE onclose_start
						, onhide_end: null  // CALLBACK when pane ENDS being Closed - AFTER  onclose_end
						, onopen_start: null  // CALLBACK when pane STARTS to Open
						, onopen_end: null  // CALLBACK when pane ENDS being Opened
						, onclose_start: null  // CALLBACK when pane STARTS to Close
						, onclose_end: null  // CALLBACK when pane ENDS being Closed
						, onresize_start: null  // CALLBACK when pane STARTS being Resized ***FOR ANY REASON***
						, onresize_end: function () {
						}  // CALLBACK when pane ENDS being Resized ***FOR ANY REASON***
						, onsizecontent_start: null  // CALLBACK when sizing of content-element STARTS
						, onsizecontent_end: null  // CALLBACK when sizing of content-element ENDS
						, onswap_start: null  // CALLBACK when pane STARTS to Swap
						, onswap_end: null  // CALLBACK when pane ENDS being Swapped
						, ondrag_start: null  // CALLBACK when pane STARTS being ***MANUALLY*** Resized
						, ondrag_end: null  // CALLBACK when pane ENDS being ***MANUALLY*** Resized
					}
					/*
         * PANE-SPECIFIC SETTINGS
         * - options listed below MUST be specified per-pane - they CANNOT be set under 'panes'
         * - all options under the 'panes' key can also be set specifically for any pane
         * - most options under the 'panes' key apply only to 'border-panes' - NOT the the center-pane
         */
					, north: {
						paneSelector: ".ui-layout-north"
						, size: "auto"  // eg: "auto", "30%", .30, 200
						, resizerCursor: "n-resize" // custom = url(myCursor.cur)
						, customHotkey: ""   // EITHER a charCode (43) OR a character ("o")
					}
					, south: {
						paneSelector: ".ui-layout-south"
						, size: "auto"
						, resizerCursor: "s-resize"
						, customHotkey: ""
					}
					, east: {
						paneSelector: ".ui-layout-east"
						, size: 200
						, resizerCursor: "e-resize"
						, customHotkey: ""
					}
					, west: {
						paneSelector: ".ui-layout-west"
						, size: 200
						, resizerCursor: "w-resize"
						, customHotkey: ""
					}
					, center: {
						paneSelector: ".ui-layout-center"
						, minWidth: 0
						, minHeight: 0
					}
				};

				$.layout.optionsMap = {
					// layout/global options - NOT pane-options
					layout: ("name,instanceKey,stateManagement,effects,inset,zIndexes,errors,"
						+ "zIndex,scrollToBookmarkOnLoad,showErrorMessages,maskPanesEarly,"
						+ "outset,resizeWithWindow,resizeWithWindowDelay,resizeWithWindowMaxDelay,"
						+ "onresizeall,onresizeall_start,onresizeall_end,onload,onload_start,onload_end,onunload,onunload_start,onunload_end").split(",")
// borderPanes: [ ALL options that are NOT specified as 'layout' ]
					// default.panes options that apply to the center-pane (most options apply _only_ to border-panes)
					, center: ("paneClass,contentSelector,contentIgnoreSelector,findNestedContent,applyDemoStyles,triggerEventsOnLoad,"
						+ "showOverflowOnHover,maskContents,maskObjects,liveContentResizing,"
						+ "containerSelector,children,initChildren,resizeChildren,destroyChildren,"
						+ "onresize,onresize_start,onresize_end,onsizecontent,onsizecontent_start,onsizecontent_end").split(",")
					// options that MUST be specifically set 'per-pane' - CANNOT set in the panes (defaults) key
					, noDefault: ("paneSelector,resizerCursor,customHotkey").split(",")
				};

				/**
				 * Processes options passed in converts flat-format data into subkey (JSON) format
				 * In flat-format, subkeys are _currently_ separated with 2 underscores, like north__optName
				 * Plugins may also call this method so they can transform their own data
				 *
				 * @param  {!Object} hash   Data/options passed by user - may be a single level or nested levels
				 * @param  {boolean=} [addKeys=false] Should the primary layout.options keys be added if they do not exist?
				 * @return {Object}      Returns hash of minWidth & minHeight
				 */
				$.layout.transformData = function (hash, addKeys) {
					var json = addKeys ? {panes: {}, center: {}} : {} // init return object
						, branch, optKey, keys, key, val, i, c;

					if (typeof hash !== "object")
						return json; // no options passed

					// convert all 'flat-keys' to 'sub-key' format
					for (optKey in hash) {
						branch = json;
						val = hash[optKey];
						keys = optKey.split("__"); // eg: west__size or north__fxSettings__duration
						c = keys.length - 1;
						// convert underscore-delimited to subkeys
						for (i = 0; i <= c; i++) {
							key = keys[i];
							if (i === c) { // last key = value
								if ($.isPlainObject(val))
									branch[key] = $.layout.transformData(val); // RECURSE
								else
									branch[key] = val;
							} else {
								if (!branch[key])
									branch[key] = {}; // create the subkey
								// recurse to sub-key for next loop - if not done
								branch = branch[key];
							}
						}
					}
					return json;
				};

// INTERNAL CONFIG DATA - DO NOT CHANGE THIS!
				$.layout.backwardCompatibility = {
					// data used by renameOldOptions()
					map: {
						// OLD Option Name:   NEW Option Name
						applyDefaultStyles: "applyDemoStyles"
						// CHILD/NESTED LAYOUTS
						, childOptions: "children"
						, initChildLayout: "initChildren"
						, destroyChildLayout: "destroyChildren"
						, resizeChildLayout: "resizeChildren"
						, resizeNestedLayout: "resizeChildren"
						// MISC Options
						, resizeWhileDragging: "livePaneResizing"
						, resizeContentWhileDragging: "liveContentResizing"
						, triggerEventsWhileDragging: "triggerEventsDuringLiveResize"
						, maskIframesOnResize: "maskContents"
						// STATE MANAGEMENT
						, useStateCookie: "stateManagement.enabled"
						, "cookie.autoLoad": "stateManagement.autoLoad"
						, "cookie.autoSave": "stateManagement.autoSave"
						, "cookie.keys": "stateManagement.stateKeys"
						, "cookie.name": "stateManagement.cookie.name"
						, "cookie.domain": "stateManagement.cookie.domain"
						, "cookie.path": "stateManagement.cookie.path"
						, "cookie.expires": "stateManagement.cookie.expires"
						, "cookie.secure": "stateManagement.cookie.secure"
						// OLD Language options
						, noRoomToOpenTip: "tips.noRoomToOpen"
						, togglerTip_open: "tips.Close" // open   = Close
						, togglerTip_closed: "tips.Open"  // closed = Open
						, resizerTip: "tips.Resize"
						, sliderTip: "tips.Slide"
					}

					/**
					 * @param {Object} opts
					 */
					, renameOptions: function (opts) {
						var map = $.layout.backwardCompatibility.map
							, oldData, newData, value
						;
						for (var itemPath in map) {
							oldData = getBranch(itemPath);
							value = oldData.branch[oldData.key];
							if (value !== undefined) {
								newData = getBranch(map[itemPath], true);
								newData.branch[newData.key] = value;
								delete oldData.branch[oldData.key];
							}
						}

						/**
						 * @param {string} path
						 * @param {boolean=} [create=false] Create path if does not exist
						 */
						function getBranch(path, create) {
							var a = path.split(".") // split keys into array
								, c = a.length - 1
								, D = {branch: opts, key: a[c]} // init branch at top & set key (last item)
								, i = 0, k, undef;
							for (; i < c; i++) { // skip the last key (data)
								k = a[i];
								if (D.branch[k] === undefined) { // child-key does not exist
									if (create) {
										D.branch = D.branch[k] = {}; // create child-branch
									} else // can't go any farther
										D.branch = {}; // branch is undefined
								} else
									D.branch = D.branch[k]; // get child-branch
							}
							return D;
						}
					}

					/**
					 * @param {Object} opts
					 */
					, renameAllOptions: function (opts) {
						var ren = $.layout.backwardCompatibility.renameOptions;
						// rename root (layout) options
						ren(opts);
						// rename 'defaults' to 'panes'
						if (opts.defaults) {
							if (typeof opts.panes !== "object")
								opts.panes = {};
							$.extend(true, opts.panes, opts.defaults);
							delete opts.defaults;
						}
						// rename options in the the options.panes key
						if (opts.panes)
							ren(opts.panes);
						// rename options inside *each pane key*, eg: options.west
						$.each($.layout.config.allPanes, function (i, pane) {
							if (opts[pane])
								ren(opts[pane]);
						});
						return opts;
					}
				};


				/* ============================================================
     * BEGIN WIDGET: $( selector ).layout( {options} );
     * ============================================================
     */
				$.fn.layout = function (opts) {
					var
						// local aliases to global data
						browser = $.layout.browser
						, _c = $.layout.config

						// local aliases to utlity methods
						, cssW = $.layout.cssWidth
						, cssH = $.layout.cssHeight
						, elDims = $.layout.getElementDimensions
						, styles = $.layout.getElementStyles
						, evtObj = $.layout.getEventObject
						, evtPane = $.layout.parsePaneName

						/**
						 * options - populated by initOptions()
						 */
						, options = $.extend(true, {}, $.layout.defaults)
						, effects = options.effects = $.extend(true, {}, $.layout.effects)

						/**
						 * layout-state object
						 */
						, state = {
							// generate unique ID to use for event.namespace so can unbind only events added by 'this layout'
							id: "layout" + $.now() // code uses alias: sID
							, initialized: false
							, paneResizing: false
							, panesSliding: {}
							, container: {// list all keys referenced in code to avoid compiler error msgs
								innerWidth: 0
								, innerHeight: 0
								, outerWidth: 0
								, outerHeight: 0
								, layoutWidth: 0
								, layoutHeight: 0
							}
							, north: {childIdx: 0}
							, south: {childIdx: 0}
							, east: {childIdx: 0}
							, west: {childIdx: 0}
							, center: {childIdx: 0}
						}

						/**
						 * parent/child-layout pointers
						 */
//, hasParentLayout = false - exists ONLY inside Instance so can be set externally
						, children = {
							north: null
							, south: null
							, east: null
							, west: null
							, center: null
						}

						/*
         * ###########################
         *  INTERNAL HELPER FUNCTIONS
         * ###########################
         */

						/**
						 * Manages all internal timers
						 */
						, timer = {
							data: {}
							, set: function (s, fn, ms) {
								timer.clear(s);
								timer.data[s] = setTimeout(fn, ms);
							}
							, clear: function (s) {
								var t = timer.data;
								if (t[s]) {
									clearTimeout(t[s]);
									delete t[s];
								}
							}
						}

						/**
						 * Alert or console.log a message - IF option is enabled.
						 *
						 * @param {(string|!Object)} msg    Message (or debug-data) to display
						 * @param {boolean=}   [popup=false] True by default, means 'alert', false means use console.log
						 * @param {boolean=}   [debug=false] True means is a widget debugging message
						 */
						, _log = function (msg, popup, debug) {
							var o = options;
							if ((o.showErrorMessages && !debug) || (debug && o.showDebugMessages))
								$.layout.msg(o.name + ' / ' + msg, (popup !== false));
							return false;
						}

						/**
						 * Executes a Callback function after a trigger event, like resize, open or close
						 *
						 * @param {string}    evtName     Name of the layout callback, eg "onresize_start"
						 * @param {(string|boolean)=} [pane=""]    This is passed only so we can pass the 'pane object' to the callback
						 * @param {(string|boolean)=} [skipBoundEvents=false] True = do not run events bound to the elements - only the callbacks set in options
						 */
						, _runCallbacks = function (evtName, pane, skipBoundEvents) {
							var hasPane = pane && isStr(pane)
								, s = hasPane ? state[pane] : state
								, o = hasPane ? options[pane] : options
								, lName = options.name
								// names like onopen and onopen_end separate are interchangeable in options...
								, lng = evtName + (evtName.match(/_/) ? "" : "_end")
								, shrt = lng.match(/_end$/) ? lng.substr(0, lng.length - 4) : ""
								, fn = o[lng] || o[shrt]
								, retVal = "NC" // NC = No Callback
								, args = []
								, $P = hasPane ? $Ps[pane] : 0
							;
							if (hasPane && !$P) // a pane is specified, but does not exist!
								return retVal;
							if (!hasPane && typeof(pane) === "boolean") {
								skipBoundEvents = pane; // allow pane param to be skipped for Layout callback
								pane = "";
							}

							// first trigger the callback set in the options
							if (fn) {
								try {
									// convert function name (string) to function object
									if (isStr(fn)) {
										if (fn.match(/,/)) {
											// function name cannot contain a comma,
											// so must be a function name AND a parameter to pass
											args = fn.split(",")
												, fn = eval(args[0]);
										} else // just the name of an external function?
											fn = eval(fn);
									}
									// execute the callback, if exists
									if (typeof fn === "function") {
										if (args.length)
											retVal = g(fn)(args[1]); // pass the argument parsed from 'list'
										else if (hasPane)
											// pass data: pane-name, pane-element, pane-state, pane-options, and layout-name
											retVal = g(fn)(pane, $Ps[pane], s, o, lName);
										else // must be a layout/container callback - pass suitable info
											retVal = g(fn)(Instance, s, o, lName);
									}
								} catch (ex) {
									_log(options.errors.callbackError.replace(/EVENT/, String.prototype.trim((pane || "") + " " + lng)), false);
									if (typeof(ex) === "string" && string.length)
										_log("Exception:  " + ex, false);
								}
							}

							// trigger additional events bound directly to the pane
							if (!skipBoundEvents && retVal !== false) {
								if (hasPane) { // PANE events can be bound to each pane-elements
									o = options[pane];
									s = state[pane];
									$P.triggerHandler("layoutpane" + lng, [pane, $P, s, o, lName]);
									if (shrt)
										$P.triggerHandler("layoutpane" + shrt, [pane, $P, s, o, lName]);
								} else { // LAYOUT events can be bound to the container-element
									$N.triggerHandler("layout" + lng, [Instance, s, o, lName]);
									if (shrt)
										$N.triggerHandler("layout" + shrt, [Instance, s, o, lName]);
								}
							}

							// ALWAYS resizeChildren after an onresize_end event - even during initialization
							// IGNORE onsizecontent_end event because causes child-layouts to resize TWICE
							if (hasPane && evtName === "onresize_end") // BAD: || evtName === "onsizecontent_end"
								resizeChildren(pane + "", true); // compiler hack -force string

							return retVal;

							function g(f) {
								return f;
							}

							// compiler hack
						}


						/**
						 * cure iframe display issues in IE & other browsers
						 */
						, _fixIframe = function (pane) {
							if (browser.mozilla)
								return; // skip FireFox - it auto-refreshes iframes onShow
							var $P = $Ps[pane];
							// if the 'pane' is an iframe, do it
							if (state[pane].tagName === "IFRAME")
								$P.css(_c.hidden).css(_c.visible);
							else // ditto for any iframes INSIDE the pane
								$P.find('IFRAME').css(_c.hidden).css(_c.visible);
						}

						/**
						 * @param  {string}  pane  Can accept ONLY a 'pane' (east, west, etc)
						 * @param  {number=}  outerSize (optional) Can pass a width, allowing calculations BEFORE element is resized
						 * @return {number}  Returns the innerHeight/Width of el by subtracting padding and borders
						 */
						, cssSize = function (pane, outerSize) {
							var fn = _c[pane].dir == "horz" ? cssH : cssW;
							return fn($Ps[pane], outerSize);
						}

						/**
						 * @param  {string}  pane  Can accept ONLY a 'pane' (east, west, etc)
						 * @return {Object}  Returns hash of minWidth & minHeight
						 */
						, cssMinDims = function (pane) {
							// minWidth/Height means CSS width/height = 1px
							var $P = $Ps[pane]
								, dir = _c[pane].dir
								, d = {
									minWidth: 1001 - cssW($P, 1000)
									, minHeight: 1001 - cssH($P, 1000)
								}
							;
							if (dir === "horz")
								d.minSize = d.minHeight;
							if (dir === "vert")
								d.minSize = d.minWidth;
							return d;
						}

						// TODO: see if these methods can be made more useful...
						// TODO: *maybe* return cssW/H from these so caller can use this info

						/**
						 * @param {(string|!Object)}  el
						 * @param {number=}    outerWidth
						 * @param {boolean=}    [autoHide=false]
						 */
						, setOuterWidth = function (el, outerWidth, autoHide) {
							var $E = el, w;
							if (isStr(el))
								$E = $Ps[el]; // west
							else if (!el.jquery)
								$E = $(el);
							w = cssW($E, outerWidth);
							$E.css({width: w});
							if (w > 0) {
								if (autoHide && $E.data('autoHidden') && parseInt($E.css("height"))-parseInt($E.css("padding-top"))-parseInt($E.css("padding-bottom")) > 0) {
									$E.show().data('autoHidden', false);
									if (!browser.mozilla) // FireFox refreshes iframes - IE does not
										// make hidden, then visible to 'refresh' display after animation
										$E.css(_c.hidden).css(_c.visible);
								}
							} else if (autoHide && !$E.data('autoHidden'))
								$E.hide().data('autoHidden', true);
						}

						/**
						 * @param {(string|!Object)}  el
						 * @param {number=}    outerHeight
						 * @param {boolean=}    [autoHide=false]
						 */
						, setOuterHeight = function (el, outerHeight, autoHide) {
							var $E = el, h;
							if (isStr(el))
								$E = $Ps[el]; // west
							else if (!el.jquery)
								$E = $(el);
							h = cssH($E, outerHeight);
							$E.css({height: h, visibility: "visible"}); // may have been 'hidden' by sizeContent
							if (h > 0 && parseInt($E.css("width"))-parseInt($E.css("padding-left"))-parseInt($E.css("padding-right")) > 0) {
								if (autoHide && $E.data('autoHidden')) {
									$E.show().data('autoHidden', false);
									if (!browser.mozilla) // FireFox refreshes iframes - IE does not
										$E.css(_c.hidden).css(_c.visible);
								}
							} else if (autoHide && !$E.data('autoHidden'))
								$E.hide().data('autoHidden', true);
						}


						/**
						 * Converts any 'size' params to a pixel/integer size, if not already
						 * If 'auto' or a decimal/percentage is passed as 'size', a pixel-size is calculated
						 *
                     /**
						 * @param  {string}    pane
						 * @param  {(string|number)=} size
						 * @param  {string=}    [dir]
						 * @return {number}
						 */
						, _parseSize = function (pane, size, dir) {
							if (!dir)
								dir = _c[pane].dir;

							if (isStr(size) && size.match(/%/))
								size = (size === '100%') ? -1 : parseInt(size, 10) / 100; // convert % to decimal

							if (size === 0)
								return 0;
							else if (size >= 1)
								return parseInt(size, 10);

							var o = options, avail = 0;
							if (dir == "horz") // north or south or center.minHeight
								avail = sC.innerHeight - ($Ps.north ? o.north.spacing_open : 0) - ($Ps.south ? o.south.spacing_open : 0);
							else if (dir == "vert") // east or west or center.minWidth
								avail = sC.innerWidth - ($Ps.west ? o.west.spacing_open : 0) - ($Ps.east ? o.east.spacing_open : 0);

							if (size === -1) // -1 == 100%
								return avail;
							else if (size > 0) // percentage, eg: .25
								return round(avail * size);
							else if (pane == "center")
								return 0;
							else { // size < 0 || size=='auto' || size==Missing || size==Invalid
								// auto-size the pane
								var dim = (dir === "horz" ? "height" : "width")
									, $P = $Ps[pane]
									, $C = dim === 'height' ? $Cs[pane] : false
									, vis = $.layout.showInvisibly($P) // show pane invisibly if hidden
									, szP = $P.css(dim) // SAVE current pane size
									, szC = $C ? $C.css(dim) : 0 // SAVE current content size
								;
								$P.css(dim, "auto");
								if ($C)
									$C.css(dim, "auto");
								size = (dim === "height") ? parseInt($P.css("height"))+parseInt($P.css("padding-top"))+parseInt($P.css("padding-bottom")) : parseInt($P.css("width")) + parseInt($P.css("padding-left")) + parseInt($P.css("padding-right")); // MEASURE
								$P.css(dim, szP).css(vis); // RESET size & visibility
								if ($C)
									$C.css(dim, szC);
								return size;
							}
						}

						/**
						 * Calculates current 'size' (outer-width or outer-height) of a border-pane - optionally with 'pane-spacing' added
						 *
						 * @param  {(string|!Object)} pane
						 * @param  {boolean=}   [inclSpace=false]
						 * @return {number}    Returns EITHER Width for east/west panes OR Height for north/south panes
						 */
						, getPaneSize = function (pane, inclSpace) {
							var
								$P = $Ps[pane]
								, o = options[pane]
								, s = state[pane]
								, oSp = (inclSpace ? o.spacing_open : 0)
								, cSp = (inclSpace ? o.spacing_closed : 0)
							;
							if (!$P || s.isHidden)
								return 0;
							else if (s.isClosed || (s.isSliding && inclSpace))
								return cSp;
							else if (_c[pane].dir === "horz")
								return parseInt($P.css("height"))+parseInt($P.css("padding-top"))+parseInt($P.css("padding-bottom")) + oSp;
							else // dir === "vert"
								return parseInt($P.css("width")) + parseInt($P.css("padding-left")) + parseInt($P.css("padding-right")) + oSp;
						}

						/**
						 * Calculate min/max pane dimensions and limits for resizing
						 *
						 * @param  {string}  pane
						 * @param  {boolean=} [slide=false]
						 */
						, setSizeLimits = function (pane, slide) {
							if (!isInitialized())
								return;
							var
								o = options[pane]
								, s = state[pane]
								, c = _c[pane]
								, dir = c.dir
								, type = c.sizeType.toLowerCase()
								, isSliding = (slide != undefined ? slide : s.isSliding) // only open() passes 'slide' param
								, $P = $Ps[pane]
								, paneSpacing = o.spacing_open
								// measure the pane on the *opposite side* from this pane
								, altPane = _c.oppositeEdge[pane]
								, altS = state[altPane]
								, $altP = $Ps[altPane]
								, altPaneSize = (!$altP || altS.isVisible === false || altS.isSliding ? 0 : (dir == "horz" ? parseInt($altP.css("height"))+parseInt($altP.css("padding-top"))+parseInt($altP.css("padding-bottom")) : parseInt($altP.css("width")) + parseInt($altP.css("padding-left")) + parseInt($altP.css("padding-right"))))
								, altPaneSpacing = ((!$altP || altS.isHidden ? 0 : options[altPane][altS.isClosed !== false ? "spacing_closed" : "spacing_open"]) || 0)
								// limitSize prevents this pane from 'overlapping' opposite pane
								, containerSize = (dir == "horz" ? sC.innerHeight : sC.innerWidth)
								, minCenterDims = cssMinDims("center")
								, minCenterSize = dir == "horz" ? max(options.center.minHeight, minCenterDims.minHeight) : max(options.center.minWidth, minCenterDims.minWidth)
								// if pane is 'sliding', then ignore center and alt-pane sizes - because 'overlays' them
								, limitSize = (containerSize - paneSpacing - (isSliding ? 0 : (_parseSize("center", minCenterSize, dir) + altPaneSize + altPaneSpacing)))
								, minSize = s.minSize = max(_parseSize(pane, o.minSize), cssMinDims(pane).minSize)
								, maxSize = s.maxSize = min((o.maxSize ? _parseSize(pane, o.maxSize) : 100000), limitSize)
								, r = s.resizerPosition = {} // used to set resizing limits
								, top = sC.inset.top
								, left = sC.inset.left
								, W = sC.innerWidth
								, H = sC.innerHeight
								, rW = o.spacing_open // subtract resizer-width to get top/left position for south/east
							;
							switch (pane) {
								case "north":
									r.min = top + minSize;
									r.max = top + maxSize;
									break;
								case "west":
									r.min = left + minSize;
									r.max = left + maxSize;
									break;
								case "south":
									r.min = top + H - maxSize - rW;
									r.max = top + H - minSize - rW;
									break;
								case "east":
									r.min = left + W - maxSize - rW;
									r.max = left + W - minSize - rW;
									break;
							}
						}

						/**
						 * Returns data for setting the size/position of center pane. Also used to set Height for east/west panes
						 *
						 * @return JSON  Returns a hash of all dimensions: top, bottom, left, right, (outer) width and (outer) height
						 */
						, calcNewCenterPaneDims = function () {
							var d = {
								top: getPaneSize("north", true) // true = include 'spacing' value for pane
								, bottom: getPaneSize("south", true)
								, left: getPaneSize("west", true)
								, right: getPaneSize("east", true)
								, width: 0
								, height: 0
							};

							// NOTE: sC = state.container
							// calc center-pane outer dimensions
							d.width = sC.innerWidth - d.left - d.right;  // outerWidth
							d.height = sC.innerHeight - d.bottom - d.top; // outerHeight
							// add the 'container border/padding' to get final positions relative to the container
							d.top += sC.inset.top;
							d.bottom += sC.inset.bottom;
							d.left += sC.inset.left;
							d.right += sC.inset.right;

							return d;
						}


						/**
						 * @param {!Object}  el
						 * @param {boolean=}  [allStates=false]
						 */
						, getHoverClasses = function (el, allStates) {
							var
								$El = $(el)
								, type = $El.data("layoutRole")
								, pane = $El.data("layoutEdge")
								, o = options[pane]
								, root = o[type + "Class"]
								, _pane = "-" + pane // eg: "-west"
								, _open = "-open"
								, _closed = "-closed"
								, _slide = "-sliding"
								, _hover = "-hover " // NOTE the trailing space
								, _state = $El.hasClass(root + _closed) ? _closed : _open
								, _alt = _state === _closed ? _open : _closed
								, classes = (root + _hover) + (root + _pane + _hover) + (root + _state + _hover) + (root + _pane + _state + _hover)
							;
							if (allStates) // when 'removing' classes, also remove alternate-state classes
								classes += (root + _alt + _hover) + (root + _pane + _alt + _hover);

							if (type == "resizer" && $El.hasClass(root + _slide))
								classes += (root + _slide + _hover) + (root + _pane + _slide + _hover);

							return String.prototype.trim.call(classes);
						}
						, addHover = function (evt, el) {
							var $E = $(el || this);
							if (evt && $E.data("layoutRole") === "toggler")
								evt.stopPropagation(); // prevent triggering 'slide' on Resizer-bar
							$E.addClass(getHoverClasses($E));
						}
						, removeHover = function (evt, el) {
							var $E = $(el || this);
							$E.removeClass(getHoverClasses($E, true));
						}

						, onResizerEnter = function (evt) { // ALSO called by toggler.mouseenter
							var pane = $(this).data("layoutEdge")
								, s = state[pane]
								, $d = $(document)
							;
							// ignore closed-panes and mouse moving back & forth over resizer!
							// also ignore if ANY pane is currently resizing
							if (s.isResizing || state.paneResizing)
								return;

							if (options.maskPanesEarly)
								showMasks(pane, {resizing: true});
						}
						, onResizerLeave = function (evt, el) {
							var e = el || this // el is only passed when called by the timer
								, pane = $(e).data("layoutEdge")
								, name = pane + "ResizerLeave"
								, $d = $(document)
							;
							timer.clear(pane + "_openSlider"); // cancel slideOpen timer, if set
							timer.clear(name); // cancel enableSelection timer - may re/set below
							// this method calls itself on a timer because it needs to allow
							// enough time for dragging to kick-in and set the isResizing flag
							// dragging has a 100ms delay set, so this delay must be >100
							if (!el) // 1st call - mouseleave event
								timer.set(name, function () {
									onResizerLeave(evt, e);
								}, 200);
							// if user is resizing, dragStop will reset everything, so skip it here
							else if (options.maskPanesEarly && !state.paneResizing) // 2nd call - by timer
								hideMasks();
						}

						/*
         * ###########################
         *   INITIALIZATION METHODS
         * ###########################
         */

						/**
						 * Initialize the layout - called automatically whenever an instance of layout is created
						 *
						 * @see  none - triggered onInit
						 * @return  mixed true = fully initialized | false = panes not initialized (yet) | 'cancel' = abort
						 */
						, _create = function () {
							// initialize config/options
							initOptions();
							var o = options
								, s = state;

							// TEMP state so isInitialized returns true during init process
							s.creatingLayout = true;

							// init plugins for this layout, if there are any (eg: stateManagement)
							runPluginCallbacks(Instance, $.layout.onCreate);

							// options & state have been initialized, so now run beforeLoad callback
							// onload will CANCEL layout creation if it returns false
							if (false === _runCallbacks("onload_start"))
								return 'cancel';

							// initialize the container element
							_initContainer();

							// bind hotkey function - keyDown - if required
							initHotkeys();

							// bind window.onunload
							$(window).on("unload." + sID, unload);

							// init plugins for this layout, if there are any (eg: customButtons)
							runPluginCallbacks(Instance, $.layout.onLoad);

							// if layout elements are hidden, then layout WILL NOT complete initialization!
							// initLayoutElements will set initialized=true and run the onload callback IF successful
							if (o.initPanes)
								_initLayoutElements();

							delete s.creatingLayout;

							resizeAll();

							$.each(["south", "north", "east", "west"], function (i, pane) {
								if (!$Ps[pane])
									return; // no pane - SKIP
								o = options[pane];
								s = state[pane];

								var $P = $Ps[pane];
								if (o.initHidden) {
									hide(pane);
								} else if (o.initClosed) {
									close(pane);
								}
							});

							return state.initialized;
						}

						/**
						 * Initialize the layout IF not already
						 *
						 * @see  All methods in Instance run this test
						 * @return  boolean true = layoutElements have been initialized | false = panes are not initialized (yet)
						 */
						, isInitialized = function () {
							if (state.initialized || state.creatingLayout)
								return true; // already initialized
							else
								return _initLayoutElements(); // try to init panes NOW
						}

						/**
						 * Initialize the layout - called automatically whenever an instance of layout is created
						 *
						 * @see  _create() & isInitialized
						 * @param {boolean=}  [retry=false] // indicates this is a 2nd try
						 * @return  An object pointer to the instance created
						 */
						, _initLayoutElements = function (retry) {
							// initialize config/options
							var o = options;
							// CANNOT init panes inside a hidden container!
							if (!$N.is(":visible")) {
								// handle Chrome bug where popup window 'has no height'
								// if layout is BODY element, try again in 50ms
								// SEE: http://layout.jquery-dev.com/samples/test_popup_window.html
								if (!retry && browser.webkit && $N[0].tagName === "BODY")
									setTimeout(function () {
										_initLayoutElements(true);
									}, 50);
								return false;
							}

							// a center pane is required, so make sure it exists
							if (!getPane("center").length) {
								return _log(o.errors.centerPaneMissing);
							}

							// TEMP state so isInitialized returns true during init process
							state.creatingLayout = true;

							// update Container dims
							$.extend(sC, elDims($N, o.inset)); // passing inset means DO NOT include insetX values

							// initialize all layout elements
							initPanes(); // size & position panes - calls initHandles() - which calls initResizable()

							if (o.scrollToBookmarkOnLoad) {
								var l = self.location;
								if (l.hash)
									l.replace(l.hash); // scrollTo Bookmark
							}

							// check to see if this layout 'nested' inside a pane
							if (Instance.hasParentLayout)
								o.resizeWithWindow = false;
							// bind resizeAll() for 'this layout instance' to window.resize event
							else if (o.resizeWithWindow)
								$(window).on("resize." + sID, windowResize);

							delete state.creatingLayout;
							state.initialized = true;

							// init plugins for this layout, if there are any
							runPluginCallbacks(Instance, $.layout.onReady);

							// now run the onload callback, if exists
							_runCallbacks("onload_end");

							return true; // elements initialized successfully
						}

						/**
						 * Initialize nested layouts for a specific pane - can optionally pass layout-options
						 *
						 * @param {(string|Object)} evt_or_pane The pane being opened, ie: north, south, east, or west
						 * @param {Object=}   [opts]  Layout-options - if passed, will OVERRRIDE options[pane].children
						 * @return  An object pointer to the layout instance created - or null
						 */
						, createChildren = function (evt_or_pane, opts) {
							var pane = evtPane.call(this, evt_or_pane)
								, $P = $Ps[pane]
							;
							if (!$P)
								return;
							var $C = $Cs[pane]
								, s = state[pane]
								, o = options[pane]
								, sm = options.stateManagement || {}
								, cos = opts ? (o.children = opts) : o.children
							;
							if ($.isPlainObject(cos))
								cos = [cos]; // convert a hash to a 1-elem array
							else if (!cos || !Array.isArray(cos))
								return;

							$.each(cos, function (idx, co) {
								if (!$.isPlainObject(co))
									return;

								// determine which element is supposed to be the 'child container'
								// if pane has a 'containerSelector' OR a 'content-div', use those instead of the pane
								var $containers = co.containerSelector ? $P.find(co.containerSelector) : ($C || $P);

								$containers.each(function () {
									var $cont = $(this)
										, child = $cont.data("layout") // see if a child-layout ALREADY exists on this element
									;
									// if no layout exists, but children are set, try to create the layout now
									if (!child) {
										// TODO: see about moving this to the stateManagement plugin, as a method
										// set a unique child-instance key for this layout, if not already set
										setInstanceKey({container: $cont, options: co}, s);
										// If THIS layout has a hash in stateManagement.autoLoad,
										// then see if it also contains state-data for this child-layout
										// If so, copy the stateData to child.options.stateManagement.autoLoad
										if (sm.includeChildren && state.stateData[pane]) {
											// THIS layout's state was cached when its state was loaded
											var paneChildren = state.stateData[pane].children || {}
												, childState = paneChildren[co.instanceKey]
												, co_sm = co.stateManagement || (co.stateManagement = {autoLoad: true})
											;
											// COPY the stateData into the autoLoad key
											if (co_sm.autoLoad === true && childState) {
												co_sm.autoSave = false; // disable autoSave because saving handled by parent-layout
												co_sm.includeChildren = true;  // cascade option - FOR NOW
												co_sm.autoLoad = $.extend(true, {}, childState); // COPY the state-hash
											}
										}

										// create the layout
										child = $cont.layout(co);

										// if successful, update data
										if (child) {
											// add the child and update all layout-pointers
											// MAY have already been done by child-layout calling parent.refreshChildren()
											refreshChildren(pane, child);
										}
									}
								});
							});
						}

						, setInstanceKey = function (child, parentPaneState) {
							// create a named key for use in state and instance branches
							var $c = child.container
								, o = child.options
								, sm = o.stateManagement
								, key = o.instanceKey || $c.data("layoutInstanceKey")
							;
							if (!key)
								key = (sm && sm.cookie ? sm.cookie.name : '') || o.name; // look for a name/key
							if (!key)
								key = "layout" + (++parentPaneState.childIdx); // if no name/key found, generate one
							else
								key = key.replace(/[^\w-]/gi, '_').replace(/_{2,}/g, '_');  // ensure is valid as a hash key
							o.instanceKey = key;
							$c.data("layoutInstanceKey", key); // useful if layout is destroyed and then recreated
							return key;
						}

						/**
						 * @param {string}  pane  The pane being opened, ie: north, south, east, or west
						 * @param {Object=}  newChild New child-layout Instance to add to this pane
						 */
						, refreshChildren = function (pane, newChild) {
							var $P = $Ps[pane]
								, pC = children[pane]
								, s = state[pane]
								, o
							;
							// check for destroy()ed layouts and update the child pointers & arrays
							if ($.isPlainObject(pC)) {
								$.each(pC, function (key, child) {
									if (child.destroyed)
										delete pC[key]
								});
								// if no more children, remove the children hash
								if ($.isEmptyObject(pC))
									pC = children[pane] = null; // clear children hash
							}

							// see if there is a directly-nested layout inside this pane
							// if there is, then there can be only ONE child-layout, so check that...
							if (!newChild && !pC) {
								newChild = $P.data("layout");
							}

							// if a newChild instance was passed, add it to children[pane]
							if (newChild) {
								// update child.state
								newChild.hasParentLayout = true; // set parent-flag in child
								// instanceKey is a key-name used in both state and children
								o = newChild.options;
								// set a unique child-instance key for this layout, if not already set
								setInstanceKey(newChild, s);
								// add pointer to pane.children hash
								if (!pC)
									pC = children[pane] = {}; // create an empty children hash
								pC[o.instanceKey] = newChild.container.data("layout"); // add childLayout instance
							}

							// ALWAYS refresh the pane.children alias, even if null
							Instance[pane].children = children[pane];

							// if newChild was NOT passed - see if there is a child layout NOW
							if (!newChild) {
								createChildren(pane); // MAY create a child and re-call this method
							}
						}

						, windowResize = function () {
							var o = options
								, delay = Number(o.resizeWithWindowDelay);
							if (delay < 10)
								delay = 100; // MUST have a delay!
							// resizing uses a delay-loop because the resize event fires repeatly - except in FF, but delay anyway
							timer.clear("winResize"); // if already running
							timer.set("winResize", function () {
								timer.clear("winResize");
								timer.clear("winResizeRepeater");
								var dims = elDims($N, o.inset);
								// only trigger resizeAll() if container has changed size
								if (dims.innerWidth !== sC.innerWidth || dims.innerHeight !== sC.innerHeight)
									resizeAll();
							}, delay);
							// ALSO set fixed-delay timer, if not already running
							if (!timer.data["winResizeRepeater"])
								setWindowResizeRepeater();
						}

						, setWindowResizeRepeater = function () {
							var delay = Number(options.resizeWithWindowMaxDelay);
							if (delay > 0)
								timer.set("winResizeRepeater", function () {
									setWindowResizeRepeater();
									resizeAll();
								}, delay);
						}

						, unload = function () {
							var o = options;

							_runCallbacks("onunload_start");

							// trigger plugin callabacks for this layout (eg: stateManagement)
							runPluginCallbacks(Instance, $.layout.onUnload);

							_runCallbacks("onunload_end");
						}

						/**
						 * Validate and initialize container CSS and events
						 *
						 * @see  _create()
						 */
						, _initContainer = function () {
							var
								N = $N[0]
								, $H = $("html")
								, tag = sC.tagName = N.tagName
								, id = sC.id = N.id
								, cls = sC.className = N.className
								, o = options
								, name = o.name
								, props = "position,margin,padding,border"
								, css = "layoutCSS"
								, CSS = {}
								, hid = "hidden" // used A LOT!
								// see if this container is a 'pane' inside an outer-layout
								, parent = $N.data("parentLayout") // parent-layout Instance
								, pane = $N.data("layoutEdge")  // pane-name in parent-layout
								, isChild = parent && pane
								, num = $.layout.cssNum
								, $parent, n
							;
							// sC = state.container
							//sC.selector = $N.selector.split(".slice")[0];
							sC.ref = (o.name ? o.name + ' layout / ' : '') + tag + (id ? "#" + id : cls ? '.[' + cls + ']' : ''); // used in messages
							sC.isBody = (tag === "BODY");

							// try to find a parent-layout
							if (!isChild && !sC.isBody) {
								$parent = $N.closest("." + $.layout.defaults.panes.paneClass);
								parent = $parent.data("parentLayout");
								pane = $parent.data("layoutEdge");
								isChild = parent && pane;
							}

							$N.data({
								layout: Instance
								, layoutContainer: sID // FLAG to indicate this is a layout-container - contains unique internal ID
							})
								.addClass(o.containerClass)
							;
							var layoutMethods = {
								destroy: ''
								, initPanes: ''
								, resizeAll: 'resizeAll'
								, resize: 'resizeAll'
							};
							// loop hash and bind all methods - include layoutID namespacing
							for (name in layoutMethods) {
								$N.on("layout" + name.toLowerCase() + "." + sID, Instance[layoutMethods[name] || name]);
							}

							// if this container is another layout's 'pane', then set child/parent pointers
							if (isChild) {
								// update parent flag
								Instance.hasParentLayout = true;
								// set pointers to THIS child-layout (Instance) in parent-layout
								parent.refreshChildren(pane, Instance);
							}

							// SAVE original container CSS for use in destroy()
							if (!$N.data(css)) {
								// handle props like overflow different for BODY & HTML - has 'system default' values
								if (sC.isBody) {
									// SAVE <BODY> CSS
									$N.data(css, $.extend(styles($N, props), {
										height: $N.css("height")
										, overflow: $N.css("overflow")
										, overflowX: $N.css("overflowX")
										, overflowY: $N.css("overflowY")
									}));
									// ALSO SAVE <HTML> CSS
									$H.data(css, $.extend(styles($H, 'padding'), {
										height: "auto" // FF would return a fixed px-size!
										, overflow: $H.css("overflow")
										, overflowX: $H.css("overflowX")
										, overflowY: $H.css("overflowY")
									}));
								} else // handle props normally for non-body elements
									$N.data(css, styles($N, props + ",top,bottom,left,right,width,height,overflow,overflowX,overflowY"));
							}

							try {
								// common container CSS
								CSS = {
									overflow: hid
									, overflowX: hid
									, overflowY: hid
								};
								$N.css(CSS);

								if (o.inset && !$.isPlainObject(o.inset)) {
									// can specify a single number for equal outset all-around
									n = parseInt(o.inset, 10) || 0;
									o.inset = {
										top: n
										, bottom: n
										, left: n
										, right: n
									};
								}

								// format html & body if this is a full page layout
								if (sC.isBody) {
									// if HTML has padding, use this as an outer-spacing around BODY
									if (!o.outset) {
										// use padding from parent-elem (HTML) as outset
										o.outset = {
											top: num($H, "paddingTop")
											, bottom: num($H, "paddingBottom")
											, left: num($H, "paddingLeft")
											, right: num($H, "paddingRight")
										};
									} else if (!$.isPlainObject(o.outset)) {
										// can specify a single number for equal outset all-around
										n = parseInt(o.outset, 10) || 0;
										o.outset = {
											top: n
											, bottom: n
											, left: n
											, right: n
										};
									}
									// HTML
									$H.css(CSS).css({
										height: "100%"
										, border: "none" // no border or padding allowed when using height = 100%
										, padding: 0  // ditto
										, margin: 0
									});
									// BODY
									if (browser.isIE6) {
										// IE6 CANNOT use the trick of setting absolute positioning on all 4 sides - must have 'height'
										$N.css({
											width: "100%"
											, height: "100%"
											, border: "none" // no border or padding allowed when using height = 100%
											, padding: 0  // ditto
											, margin: 0
											, position: "relative"
										});
										// convert body padding to an inset option - the border cannot be measured in IE6!
										if (!o.inset)
											o.inset = elDims($N).inset;
									} else { // use absolute positioning for BODY to allow borders & padding without overflow
										$N.css({
											width: "auto"
											, height: "auto"
											, margin: 0
											, position: "absolute" // allows for border and padding on BODY
										});
										// apply edge-positioning created above
										$N.css(o.outset);
									}
									// set current layout-container dimensions
									$.extend(sC, elDims($N, o.inset)); // passing inset means DO NOT include insetX values
								} else {
									// container MUST have 'position'
									var p = $N.css("position");
									if (!p || !p.match(/(fixed|absolute|relative)/))
										$N.css("position", "relative");

									// set current layout-container dimensions
									if ($N.is(":visible")) {
										$.extend(sC, elDims($N, o.inset)); // passing inset means DO NOT change insetX (padding) values
										if (sC.innerHeight < 1) // container has no 'height' - warn developer
											_log(o.errors.noContainerHeight.replace(/CONTAINER/, sC.ref));
									}
								}

								// if container has min-width/height, then enable scrollbar(s)
								if (num($N, "minWidth"))
									$N.parent().css("overflowX", "auto");
								if (num($N, "minHeight"))
									$N.parent().css("overflowY", "auto");

							} catch (ex) {
							}
						}

						/**
						 * Bind layout hotkeys - if options enabled
						 *
						 * @see  _create() and addPane()
						 * @param {string=} [panes=""] The edge(s) to process
						 */
						, initHotkeys = function (panes) {
							panes = panes ? panes.split(",") : _c.borderPanes;
							// bind keyDown to capture hotkeys, if option enabled for ANY pane
							$.each(panes, function (i, pane) {
								var o = options[pane];
								if (o.enableCursorHotkey || o.customHotkey) {
									$(document).on("keydown." + sID, keyDown); // only need to bind this ONCE
									return false; // BREAK - binding was done
								}
							});
						}

						/**
						 * Build final OPTIONS data
						 *
						 * @see  _create()
						 */
						, initOptions = function () {
							var data, d, pane, key, val, i, c, o;

							// reprocess user's layout-options to have correct options sub-key structure
							opts = $.layout.transformData(opts, true); // panes = default subkey

							// auto-rename old options for backward compatibility
							opts = $.layout.backwardCompatibility.renameAllOptions(opts);

							// if user-options has 'panes' key (pane-defaults), clean it...
							if (!$.isEmptyObject(opts.panes)) {
								// REMOVE any pane-defaults that MUST be set per-pane
								data = $.layout.optionsMap.noDefault;
								for (i = 0, c = data.length; i < c; i++) {
									key = data[i];
									delete opts.panes[key]; // OK if does not exist
								}
								// REMOVE any layout-options specified under opts.panes
								data = $.layout.optionsMap.layout;
								for (i = 0, c = data.length; i < c; i++) {
									key = data[i];
									delete opts.panes[key]; // OK if does not exist
								}
							}

							// MOVE any NON-layout-options from opts-root to opts.panes
							data = $.layout.optionsMap.layout;
							var rootKeys = $.layout.config.optionRootKeys;
							for (key in opts) {
								val = opts[key];
								if ($.inArray(key, rootKeys) < 0 && $.inArray(key, data) < 0) {
									if (!opts.panes[key])
										opts.panes[key] = $.isPlainObject(val) ? $.extend(true, {}, val) : val;
									delete opts[key]
								}
							}

							// START by updating ALL options from opts
							$.extend(true, options, opts);

							// CREATE final options (and config) for EACH pane
							$.each(_c.allPanes, function (i, pane) {

								// apply 'pane-defaults' to CONFIG.[PANE]
								_c[pane] = $.extend(true, {}, _c.panes, _c[pane]);

								d = options.panes;
								o = options[pane];

								// center-pane uses SOME keys in defaults.panes branch
								if (pane === 'center') {
									// ONLY copy keys from opts.panes listed in: $.layout.optionsMap.center
									data = $.layout.optionsMap.center;  // list of 'center-pane keys'
									for (i = 0, c = data.length; i < c; i++) { // loop the list...
										key = data[i];
										// only need to use pane-default if pane-specific value not set
										if (!opts.center[key] && (opts.panes[key] || !o[key]))
											o[key] = d[key]; // pane-default
									}
								} else {
									// border-panes use ALL keys in defaults.panes branch
									o = options[pane] = $.extend(true, {}, d, o); // re-apply pane-specific opts AFTER pane-defaults
									createFxOptions(pane);
									// ensure all border-pane-specific base-classes exist
									if (!o.resizerClass)
										o.resizerClass = "ui-layout-resizer";
									if (!o.togglerClass)
										o.togglerClass = "ui-layout-toggler";
								}
								// ensure we have base pane-class (ALL panes)
								if (!o.paneClass)
									o.paneClass = "ui-layout-pane";
							});

							// update options.zIndexes if a zIndex-option specified
							var zo = opts.zIndex
								, z = options.zIndexes;
							if (zo > 0) {
								z.pane_normal = zo;
								z.content_mask = max(zo + 1, z.content_mask); // MIN = +1
								z.resizer_normal = max(zo + 2, z.resizer_normal); // MIN = +2
							}

							// DELETE 'panes' key now that we are done - values were copied to EACH pane
							delete options.panes;


							function createFxOptions(pane) {
								var o = options[pane]
									, d = options.panes;
								// ensure fxSettings key to avoid errors
								if (!o.fxSettings)
									o.fxSettings = {};
								if (!d.fxSettings)
									d.fxSettings = {};

								$.each(["_open", "_close", "_size"], function (i, n) {
									var
										sName = "fxName" + n
										, sSpeed = "fxSpeed" + n
										, sSettings = "fxSettings" + n
										// recalculate fxName according to specificity rules
										, fxName = o[sName] =
											o[sName] // options.west.fxName_open
											|| d[sName] // options.panes.fxName_open
											|| o.fxName // options.west.fxName
											|| d.fxName // options.panes.fxName
											|| "none"  // MEANS $.layout.defaults.panes.fxName == "" || false || null || 0
										, fxExists = $.effects && ($.effects[fxName] || ($.effects.effect && $.effects.effect[fxName]))
									;
									// validate fxName to ensure is valid effect - MUST have effect-config data in options.effects
									if (fxName === "none" || !options.effects[fxName] || !fxExists)
										fxName = o[sName] = "none"; // effect not loaded OR unrecognized fxName

									// set vars for effects subkeys to simplify logic
									var fx = options.effects[fxName] || {} // effects.slide
										, fx_all = fx.all || null    // effects.slide.all
										, fx_pane = fx[pane] || null    // effects.slide.west
									;
									// create fxSpeed[_open|_close|_size]
									o[sSpeed] =
										o[sSpeed]    // options.west.fxSpeed_open
										|| d[sSpeed]    // options.west.fxSpeed_open
										|| o.fxSpeed    // options.west.fxSpeed
										|| d.fxSpeed    // options.panes.fxSpeed
										|| null     // DEFAULT - let fxSetting.duration control speed
									;
									// create fxSettings[_open|_close|_size]
									o[sSettings] = $.extend(
										true
										, {}
										, fx_all     // effects.slide.all
										, fx_pane     // effects.slide.west
										, d.fxSettings   // options.panes.fxSettings
										, o.fxSettings   // options.west.fxSettings
										, d[sSettings]   // options.panes.fxSettings_open
										, o[sSettings]   // options.west.fxSettings_open
									);
								});

								// DONE creating action-specific-settings for this pane,
								// so DELETE generic options - are no longer meaningful
								delete o.fxName;
								delete o.fxSpeed;
								delete o.fxSettings;
							}
						}

						/**
						 * Initialize module objects, styling, size and position for all panes
						 *
						 * @see  _initElements()
						 * @param {string} pane  The pane to process
						 */
						, getPane = function (pane) {
							var sel = options[pane].paneSelector;
							if (sel.substr(0, 1) === "#") // ID selector
								// NOTE: elements selected 'by ID' DO NOT have to be 'children'
								return $N.find(sel).eq(0);
							else { // class or other selector
								var $P = $N.children(sel).eq(0);
								// look for the pane nested inside a 'form' element
								return $P.length ? $P : $N.children("form:first").children(sel).eq(0);
							}
						}

						/**
						 * @param {Object=}  evt
						 */
						, initPanes = function (evt) {
							// stopPropagation if called by trigger("layoutinitpanes") - use evtPane utility
							evtPane(evt);

							// NOTE: do north & south FIRST so we can measure their height - do center LAST
							$.each(_c.allPanes, function (idx, pane) {
								addPane(pane, true);
							});

							// init the pane-handles NOW in case we have to hide or close the pane below
							initHandles();

							// now that all panes have been initialized and initially-sized,
							// make sure there is really enough space available for each pane
							$.each(_c.borderPanes, function (i, pane) {
								if ($Ps[pane] && state[pane].isVisible) { // pane is OPEN
									setSizeLimits(pane);
									makePaneFit(pane); // pane may be Closed, Hidden or Resized by makePaneFit()
								}
							});
							// size center-pane AGAIN in case we 'closed' a border-pane in loop above
							sizeMidPanes("center");

							// Chrome/Webkit sometimes fires callbacks BEFORE it completes resizing!
							// Before RC30.3, there was a 10ms delay here, but that caused layout
							// to load asynchrously, which is BAD, so try skipping delay for now

							// process pane contents and callbacks, and init/resize child-layout if exists
							$.each(_c.allPanes, function (idx, pane) {
								afterInitPane(pane);
							});
						}

						/**
						 * Add a pane to the layout - subroutine of initPanes()
						 *
						 * @see  initPanes()
						 * @param {string} pane   The pane to process
						 * @param {boolean=} [force=false] Size content after init
						 */
						, addPane = function (pane, force) {
							if (!force && !isInitialized())
								return;
							var
								o = options[pane]
								, s = state[pane]
								, c = _c[pane]
								, dir = c.dir
								, fx = s.fx
								, spacing = o.spacing_open || 0
								, isCenter = (pane === "center")
								, CSS = {}
								, $P = $Ps[pane]
								, size, minSize, maxSize, child
							;
							// if pane-pointer already exists, remove the old one first
							if ($P)
								removePane(pane, false, true, false);
							else
								$Cs[pane] = false; // init

							$P = $Ps[pane] = getPane(pane);
							if (!$P.length) {
								$Ps[pane] = false; // logic
								return;
							}

							// SAVE original Pane CSS
							if (!$P.data("layoutCSS")) {
								var props = "position,top,left,bottom,right,width,height,overflow,zIndex,display,backgroundColor,padding,margin,border";
								$P.data("layoutCSS", styles($P, props));
							}

							// create alias for pane data in Instance - initHandles will add more
							Instance[pane] = {
								name: pane
								, pane: $Ps[pane]
								, content: $Cs[pane]
								, options: options[pane]
								, state: state[pane]
								, children: children[pane]
							};

							// add classes, attributes & events
							$P.data({
								parentLayout: Instance  // pointer to Layout Instance
								, layoutPane: Instance[pane] // NEW pointer to pane-alias-object
								, layoutEdge: pane
								, layoutRole: "pane"
							})
								.css(c.cssReq).css("zIndex", new String(options.zIndexes.pane_normal))
								.css(o.applyDemoStyles ? c.cssDemo : {}) // demo styles
								.addClass(o.paneClass + " " + o.paneClass + "-" + pane) // default = "ui-layout-pane ui-layout-pane-west" - may be a dupe of 'paneSelector'
								.on("mouseenter." + sID, addHover)
								.on("mouseleave." + sID, removeHover)
							;
							var paneMethods = {
								hide: ''
								, show: ''
								, toggle: ''
								, close: ''
								, open: ''
								, slideOpen: ''
								, slideClose: ''
								, slideToggle: ''
								, size: 'sizePane'
								, sizePane: 'sizePane'
								, sizeContent: ''
								, sizeHandles: ''
								, enableClosable: ''
								, disableClosable: ''
								, enableSlideable: ''
								, disableSlideable: ''
								, enableResizable: ''
								, disableResizable: ''
								, swapPanes: 'swapPanes'
								, swap: 'swapPanes'
								, move: 'swapPanes'
								, removePane: 'removePane'
								, remove: 'removePane'
								, createChildren: ''
								, resizeChildren: ''
								, resizeAll: 'resizeAll'
								, resizeLayout: 'resizeAll'
							}
								, name;
							// loop hash and bind all methods - include layoutID namespacing
							for (name in paneMethods) {
								$P.on("layoutpane" + name.toLowerCase() + "." + sID, Instance[paneMethods[name] || name]);
							}

							// see if this pane has a 'scrolling-content element'
							initContent(pane, false); // false = do NOT sizeContent() - called later

							if (!isCenter) {
								// call _parseSize AFTER applying pane classes & styles - but before making visible (if hidden)
								// if o.size is auto or not valid, then MEASURE the pane and use that as its 'size'
								size = s.size = _parseSize(pane, o.size);
								minSize = _parseSize(pane, o.minSize) || 1;
								maxSize = _parseSize(pane, o.maxSize) || 100000;
								if (size > 0)
									size = max(min(size, maxSize), minSize);
								s.autoResize = o.autoResize; // used with percentage sizes

								// state for border-panes
								s.isClosed = false; // true = pane is closed
								s.isSliding = false; // true = pane is currently open by 'sliding' over adjacent panes
								s.isResizing = false; // true = pane is in process of being resized
								s.isHidden = false; // true = pane is hidden - no spacing, resizer or toggler is visible!

								// array for 'pin buttons' whose classNames are auto-updated on pane-open/-close
								if (!s.pins)
									s.pins = [];
							}
							// states common to ALL panes
							s.tagName = $P[0].tagName;
							s.edge = pane;  // useful if pane is (or about to be) 'swapped' - easy find out where it is (or is going)
							s.noRoom = false; // true = pane 'automatically' hidden due to insufficient room - will unhide automatically
							s.isVisible = true;  // false = pane is invisible - closed OR hidden - simplify logic

							// init pane positioning
							setPanePosition(pane);

							// if pane is not visible,
							if (dir === "horz") // north or south pane
								CSS.height = cssH($P, size);
							else if (dir === "vert") // east or west pane
								CSS.width = cssW($P, size);
							//else if (isCenter) {}

							$P.css(CSS); // apply size -- top, bottom & height will be set by sizeMidPanes
							if (dir != "horz")
								sizeMidPanes(pane, true); // true = skipCallback

							// if manually adding a pane AFTER layout initialization, then...
							if (state.initialized) {
								initHandles(pane);
								initHotkeys(pane);
							}

							// close or hide the pane if specified in settings
							if (o.initClosed && o.closable && !o.initHidden)
								close(pane, true, true); // true, true = force, noAnimation
							else if (o.initHidden || o.initClosed)
								hide(pane); // will be completely invisible - no resizer or spacing
							else if (!s.noRoom)
								// make the pane visible - in case was initially hidden
								$P.css("display", "block");
							// ELSE setAsOpen() - called later by initHandles()

							// RESET visibility now - pane will appear IF display:block
							$P.css("visibility", "visible");

							// check option for auto-handling of pop-ups & drop-downs
							if (o.showOverflowOnHover)
								$P.on('hover',allowOverflow, resetOverflow);

							// if manually adding a pane AFTER layout initialization, then...
							if (state.initialized) {
								afterInitPane(pane);
							}
						}

						, afterInitPane = function (pane) {
							var $P = $Ps[pane]
								, s = state[pane]
								, o = options[pane]
							;
							if (!$P)
								return;

							// see if there is a directly-nested layout inside this pane
							if ($P.data("layout"))
								refreshChildren(pane, $P.data("layout"));

							// process pane contents and callbacks, and init/resize child-layout if exists
							if (s.isVisible) { // pane is OPEN
								if (state.initialized) // this pane was added AFTER layout was created
									resizeAll(); // will also sizeContent
								else
									sizeContent(pane);

								if (o.triggerEventsOnLoad)
									_runCallbacks("onresize_end", pane);
								else // automatic if onresize called, otherwise call it specifically
									// resize child - IF inner-layout already exists (created before this layout)
									resizeChildren(pane, true); // a previously existing childLayout
							}

							// init childLayouts - even if pane is not visible
							if (o.initChildren && o.children)
								createChildren(pane);
						}

						/**
						 * @param {string=} panes  The pane(s) to process
						 */
						, setPanePosition = function (panes) {
							panes = panes ? panes.split(",") : _c.borderPanes;

							// create toggler DIVs for each pane, and set object pointers for them, eg: $R.north = north toggler DIV
							$.each(panes, function (i, pane) {
								var $P = $Ps[pane]
									, $R = $Rs[pane]
									, o = options[pane]
									, s = state[pane]
									, side = _c[pane].side
									, CSS = {}
								;
								if (!$P)
									return; // pane does not exist - skip

								// set css-position to account for container borders & padding
								switch (pane) {
									case "north":
										CSS.top = sC.inset.top;
										CSS.left = sC.inset.left;
										CSS.right = sC.inset.right;
										break;
									case "south":
										CSS.bottom = sC.inset.bottom;
										CSS.left = sC.inset.left;
										CSS.right = sC.inset.right;
										break;
									case "west":
										CSS.left = sC.inset.left; // top, bottom & height set by sizeMidPanes()
										break;
									case "east":
										CSS.right = sC.inset.right; // ditto
										break;
									case "center": // top, left, width & height set by sizeMidPanes()
								}
								// apply position
								$P.css(CSS);

								// update resizer position
								if ($R && s.isClosed)
									$R.css(side, sC.inset[side]);
								else if ($R && !s.isHidden)
									$R.css(side, sC.inset[side] + getPaneSize(pane));
							});
						}

						/**
						 * Initialize module objects, styling, size and position for all resize bars and toggler buttons
						 *
						 * @see  _create()
						 * @param {string=} [panes=""] The edge(s) to process
						 */
						, initHandles = function (panes) {
							panes = panes ? panes.split(",") : _c.borderPanes;

							// create toggler DIVs for each pane, and set object pointers for them, eg: $R.north = north toggler DIV
							$.each(panes, function (i, pane) {
								var $P = $Ps[pane];
								$Rs[pane] = false; // INIT
								$Ts[pane] = false;
								if (!$P)
									return; // pane does not exist - skip

								var o = options[pane]
									, s = state[pane]
									, c = _c[pane]
									, paneId = o.paneSelector.substr(0, 1) === "#" ? o.paneSelector.substr(1) : ""
									, rClass = o.resizerClass
									, tClass = o.togglerClass
									, spacing = (s.isVisible ? o.spacing_open : o.spacing_closed)
									, _pane = "-" + pane // used for classNames
									, _state = (s.isVisible ? "-open" : "-closed") // used for classNames
									, I = Instance[pane]
									// INIT RESIZER BAR
									, $R = I.resizer = $Rs[pane] = $("<div></div>")
									// INIT TOGGLER BUTTON
									, $T = I.toggler = (o.closable ? $Ts[pane] = $("<div></div>") : false)
								;

								//if (s.isVisible && o.resizable) ... handled by initResizable
								if (!s.isVisible && o.slidable)
									$R.attr("title", o.tips.Slide).css("cursor", o.sliderCursor);

								$R // if paneSelector is an ID, then create a matching ID for the resizer, eg: "#paneLeft" => "paneLeft-resizer"
									.attr("id", paneId ? paneId + "-resizer" : "")
									.data({
										parentLayout: Instance
										, layoutPane: Instance[pane] // NEW pointer to pane-alias-object
										, layoutEdge: pane
										, layoutRole: "resizer"
									})
									.css(_c.resizers.cssReq).css("zIndex", new String(options.zIndexes.resizer_normal))
									.css(o.applyDemoStyles ? _c.resizers.cssDemo : {}) // add demo styles
									.addClass(rClass + " " + rClass + _pane)
									.on('hover',addHover, removeHover) // ALWAYS add hover-classes, even if resizing is not enabled - handle with CSS instead
									.on('hover',onResizerEnter, onResizerLeave) // ALWAYS NEED resizer.mouseleave to balance toggler.mouseenter
									.on('mousedown',$.layout.disableTextSelection) // prevent text-selection OUTSIDE resizer
									.on('mouseup',$.layout.enableTextSelection)  // not really necessary, but just in case
									.appendTo($N) // append DIV to container
								;
								if ($.fn.disableSelection)
									$R.disableSelection(); // prevent text-selection INSIDE resizer
								if (o.resizerDblClickToggle)
									$R.on("dblclick." + sID, toggle);

								if ($T) {
									$T // if paneSelector is an ID, then create a matching ID for the resizer, eg: "#paneLeft" => "#paneLeft-toggler"
										.attr("id", paneId ? paneId + "-toggler" : "")
										.data({
											parentLayout: Instance
											, layoutPane: Instance[pane] // NEW pointer to pane-alias-object
											, layoutEdge: pane
											, layoutRole: "toggler"
										})
										.css(_c.togglers.cssReq) // add base/required styles
										.css(o.applyDemoStyles ? _c.togglers.cssDemo : {}) // add demo styles
										.addClass(tClass + " " + tClass + _pane)
										.on('hover',addHover, removeHover) // ALWAYS add hover-classes, even if toggling is not enabled - handle with CSS instead
										.on("mouseenter", onResizerEnter) // NEED toggler.mouseenter because mouseenter MAY NOT fire on resizer
										.appendTo($R) // append SPAN to resizer DIV
									;
									// ADD INNER-SPANS TO TOGGLER
									if (o.togglerContent_open) // ui-layout-open
										$("<span>" + o.togglerContent_open + "</span>")
											.data({
												layoutEdge: pane
												, layoutRole: "togglerContent"
											})
											.data("layoutRole", "togglerContent")
											.data("layoutEdge", pane)
											.addClass("content content-open")
											.css("display", "none")
											.appendTo($T)
										//.hover( addHover, removeHover ) // use ui-layout-toggler-west-hover .content-open instead!
										;
									if (o.togglerContent_closed) // ui-layout-closed
										$("<span>" + o.togglerContent_closed + "</span>")
											.data({
												layoutEdge: pane
												, layoutRole: "togglerContent"
											})
											.addClass("content content-closed")
											.css("display", "none")
											.appendTo($T)
										//.hover( addHover, removeHover ) // use ui-layout-toggler-west-hover .content-closed instead!
										;
									// ADD TOGGLER.click/.hover
									enableClosable(pane);
								}

								// add Draggable events
								initResizable(pane);

								// ADD CLASSNAMES & SLIDE-BINDINGS - eg: class="resizer resizer-west resizer-open"
								if (s.isVisible)
									setAsOpen(pane); // onOpen will be called, but NOT onResize
								else {
									setAsClosed(pane); // onClose will be called
									bindStartSlidingEvents(pane, true); // will enable events IF option is set
								}

							});

							// SET ALL HANDLE DIMENSIONS
							sizeHandles();
						}


						/**
						 * Initialize scrolling ui-layout-content div - if exists
						 *
						 * @see  initPane() - or externally after an Ajax injection
						 * @param {string} pane   The pane to process
						 * @param {boolean=} [resize=true] Size content after init
						 */
						, initContent = function (pane, resize) {
							if (!isInitialized())
								return;
							var
								o = options[pane]
								, sel = o.contentSelector
								, I = Instance[pane]
								, $P = $Ps[pane]
								, $C
							;
							if (sel)
								$C = I.content = $Cs[pane] = (o.findNestedContent)
									? $P.find(sel).eq(0) // match 1-element only
									: $P.children(sel).eq(0)
								;
							if ($C && $C.length) {
								$C.data("layoutRole", "content");
								// SAVE original Content CSS
								if (!$C.data("layoutCSS"))
									$C.data("layoutCSS", styles($C, "height"));
								$C.css(_c.content.cssReq);
								if (o.applyDemoStyles) {
									$C.css(_c.content.cssDemo); // add padding & overflow: auto to content-div
									$P.css(_c.content.cssDemoPane); // REMOVE padding/scrolling from pane
								}
								// ensure no vertical scrollbar on pane - will mess up measurements
								if ($P.css("overflowX").match(/(scroll|auto)/)) {
									$P.css("overflow", "hidden");
								}
								state[pane].content = {}; // init content state
								if (resize !== false)
									sizeContent(pane);
								// sizeContent() is called AFTER init of all elements
							} else
								I.content = $Cs[pane] = false;
						}


						/**
						 * Add resize-bars to all panes that specify it in options
						 * -dependancy: $.fn.resizable - will skip if not found
						 *
						 * @see  _create()
						 * @param {string=} [panes=""] The edge(s) to process
						 */
						, initResizable = function (panes) {
							var draggingAvailable = $.layout.plugins.draggable
								, side // set in start()
							;
							panes = panes ? panes.split(",") : _c.borderPanes;

							$.each(panes, function (idx, pane) {
								var o = options[pane];
								if (!draggingAvailable || !$Ps[pane] || !o.resizable) {
									o.resizable = false;
									return true; // skip to next
								}

								var s = state[pane]
									, z = options.zIndexes
									, c = _c[pane]
									, side = c.dir == "horz" ? "top" : "left"
									, $P = $Ps[pane]
									, $R = $Rs[pane]
									, base = o.resizerClass
									, lastPos = 0 // used when live-resizing
									, r, live // set in start because may change
									// 'drag' classes are applied to the ORIGINAL resizer-bar while dragging is in process
									, resizerClass = base + "-drag"    // resizer-drag
									, resizerPaneClass = base + "-" + pane + "-drag"  // resizer-north-drag
									// 'helper' class is applied to the CLONED resizer-bar while it is being dragged
									, helperClass = base + "-dragging"   // resizer-dragging
									, helperPaneClass = base + "-" + pane + "-dragging" // resizer-north-dragging
									, helperLimitClass = base + "-dragging-limit" // resizer-drag
									, helperPaneLimitClass = base + "-" + pane + "-dragging-limit" // resizer-north-drag
									, helperClassesSet = false      // logic var
								;

								if (!s.isClosed)
									$R.attr("title", o.tips.Resize)
										.css("cursor", o.resizerCursor); // n-resize, s-resize, etc

								$R.draggable({
									containment: $N[0] // limit resizing to layout container
									, axis: (c.dir == "horz" ? "y" : "x") // limit resizing to horz or vert axis
									, delay: 0
									, distance: 1
									, grid: o.resizingGrid
									// basic format for helper - style it using class: .ui-draggable-dragging
									, helper: "clone"
									, opacity: o.resizerDragOpacity
									, addClasses: false // avoid ui-state-disabled class when disabled
									, iframeFix:  o.draggableIframeFix
									, zIndex: z.resizer_drag

									, start: function (e, ui) {
										// REFRESH options & state pointers in case we used swapPanes
										o = options[pane];
										s = state[pane];
										// re-read options
										live = o.livePaneResizing;

										// ondrag_start callback - will CANCEL hide if returns false
										// TODO: dragging CANNOT be cancelled like this, so see if there is a way?
										if (false === _runCallbacks("ondrag_start", pane))
											return false;

										s.isResizing = true; // prevent pane from closing while resizing
										state.paneResizing = pane; // easy to see if ANY pane is resizing
										timer.clear(pane + "_closeSlider"); // just in case already triggered

										// SET RESIZER LIMITS - used in drag()
										setSizeLimits(pane); // update pane/resizer state
										r = s.resizerPosition;
										lastPos = ui.position[side];

										$R.addClass(resizerClass + " " + resizerPaneClass); // add drag classes
										helperClassesSet = false; // reset logic var - see drag()

										// MASK PANES CONTAINING IFRAMES, APPLETS OR OTHER TROUBLESOME ELEMENTS
										showMasks(pane, {resizing: true});
									}

									, drag: function (e, ui) {
										if (!helperClassesSet) { // can only add classes after clone has been added to the DOM
											//$(".ui-draggable-dragging")
											ui.helper
												.addClass(helperClass + " " + helperPaneClass) // add helper classes
												.css({right: "auto", bottom: "auto"}) // fix dir="rtl" issue
												.children().css("visibility", "hidden") // hide toggler inside dragged resizer-bar
											;
											helperClassesSet = true;
											// draggable bug!? RE-SET zIndex to prevent E/W resize-bar showing through N/S pane!
											if (s.isSliding)
												$Ps[pane].css("zIndex", z.pane_sliding);
										}
										// CONTAIN RESIZER-BAR TO RESIZING LIMITS
										var limit = 0;
										if (ui.position[side] < r.min) {
											ui.position[side] = r.min;
											limit = -1;
										} else if (ui.position[side] > r.max) {
											ui.position[side] = r.max;
											limit = 1;
										}
										// ADD/REMOVE dragging-limit CLASS
										if (limit) {
											ui.helper.addClass(helperLimitClass + " " + helperPaneLimitClass); // at dragging-limit
											window.defaultStatus = (limit > 0 && pane.match(/(north|west)/)) || (limit < 0 && pane.match(/(south|east)/)) ? o.tips.maxSizeWarning : o.tips.minSizeWarning;
										} else {
											ui.helper.removeClass(helperLimitClass + " " + helperPaneLimitClass); // not at dragging-limit
											window.defaultStatus = "";
										}
										// DYNAMICALLY RESIZE PANES IF OPTION ENABLED
										// won't trigger unless resizer has actually moved!
										if (live && Math.abs(ui.position[side] - lastPos) >= o.liveResizingTolerance) {
											lastPos = ui.position[side];
											resizePanes(e, ui, pane)
										}
									}

									, stop: function (e, ui) {
										$('body').enableSelection(); // RE-ENABLE TEXT SELECTION
										window.defaultStatus = ""; // clear 'resizing limit' message from statusbar
										$R.removeClass(resizerClass + " " + resizerPaneClass); // remove drag classes from Resizer
										s.isResizing = false;
										state.paneResizing = false; // easy to see if ANY pane is resizing
										resizePanes(e, ui, pane, true); // true = resizingDone
									}

								});
							});

							/**
							 * resizePanes
							 *
							 * Sub-routine called from stop() - and drag() if livePaneResizing
							 *
							 * @param {!Object}  evt
							 * @param {!Object}  ui
							 * @param {string}  pane
							 * @param {boolean=}  [resizingDone=false]
							 */
							var resizePanes = function (evt, ui, pane, resizingDone) {
								var dragPos = ui.position
									, c = _c[pane]
									, o = options[pane]
									, s = state[pane]
									, resizerPos
								;
								switch (pane) {
									case "north":
										resizerPos = dragPos.top;
										break;
									case "west":
										resizerPos = dragPos.left;
										break;
									case "south":
										resizerPos = sC.layoutHeight - dragPos.top - o.spacing_open;
										break;
									case "east":
										resizerPos = sC.layoutWidth - dragPos.left - o.spacing_open;
										break;
								}
								// remove container margin from resizer position to get the pane size
								var newSize = resizerPos - sC.inset[c.side];

								// Disable OR Resize Mask(s) created in drag.start
								if (!resizingDone) {
									// ensure we meet liveResizingTolerance criteria
									if (Math.abs(newSize - s.size) < o.liveResizingTolerance)
										return; // SKIP resize this time
									// resize the pane
									manualSizePane(pane, newSize, false, true); // true = noAnimation
									sizeMasks(); // resize all visible masks
								} else { // resizingDone
									// ondrag_end callback
									if (false !== _runCallbacks("ondrag_end", pane))
										manualSizePane(pane, newSize, false, true); // true = noAnimation
									hideMasks(true); // true = force hiding all masks even if one is 'sliding'
									if (s.isSliding) // RE-SHOW 'object-masks' so objects won't show through sliding pane
										showMasks(pane, {resizing: true});
								}
							};
						}

						/**
						 * sizeMask
						 *
						 * Needed to overlay a DIV over an IFRAME-pane because mask CANNOT be *inside* the pane
						 * Called when mask created, and during livePaneResizing
						 */
						, sizeMask = function () {
							var $M = $(this)
								, pane = $M.data("layoutMask") // eg: "west"
								, s = state[pane]
							;
							// only masks over an IFRAME-pane need manual resizing
							if (s.tagName == "IFRAME" && s.isVisible) // no need to mask closed/hidden panes
								$M.css({
									top: s.offsetTop
									, left: s.offsetLeft
									, width: s.outerWidth
									, height: s.outerHeight
								});
							/* ALT Method...
             var $P = $Ps[pane];
             $M.css( $P.position() ).css({ width: $P[0].offsetWidth, height: $P[0].offsetHeight });
             */
						}
						, sizeMasks = function () {
							$Ms.each(sizeMask); // resize all 'visible' masks
						}

						/**
						 * @param {string} pane  The pane being resized, animated or isSliding
						 * @param {Object=} [args]  (optional) Options: which masks to apply, and to which panes
						 */
						, showMasks = function (pane, args) {
							var c = _c[pane]
								, panes = ["center"]
								, z = options.zIndexes
								, a = $.extend({
									objectsOnly: false
									, animation: false
									, resizing: true
									, sliding: state[pane].isSliding
								}, args)
								, o, s
							;
							if (a.resizing)
								panes.push(pane);
							if (a.sliding)
								panes.push(_c.oppositeEdge[pane]); // ADD the oppositeEdge-pane

							if (c.dir === "horz") {
								panes.push("west");
								panes.push("east");
							}

							$.each(panes, function (i, p) {
								s = state[p];
								o = options[p];
								if (s.isVisible && (o.maskObjects || (!a.objectsOnly && o.maskContents))) {
									getMasks(p).each(function () {
										sizeMask.call(this);
										this.style.zIndex = s.isSliding ? z.pane_sliding + 1 : z.pane_normal + 1;
										this.style.display = "block";
									});
								}
							});
						}

						/**
						 * @param {boolean=} force  Hide masks even if a pane is sliding
						 */
						, hideMasks = function (force) {
							// ensure no pane is resizing - could be a timing issue
							if (force || !state.paneResizing) {
								$Ms.hide(); // hide ALL masks
							}
							// if ANY pane is sliding, then DO NOT remove masks from panes with maskObjects enabled
							else if (!force && !$.isEmptyObject(state.panesSliding)) {
								var i = $Ms.length - 1
									, p, $M;
								for (; i >= 0; i--) {
									$M = $Ms.eq(i);
									p = $M.data("layoutMask");
									if (!options[p].maskObjects) {
										$M.hide();
									}
								}
							}
						}

						/**
						 * @param {string} pane
						 */
						, getMasks = function (pane) {
							var $Masks = $([])
								, $M, i = 0, c = $Ms.length
							;
							for (; i < c; i++) {
								$M = $Ms.eq(i);
								if ($M.data("layoutMask") === pane)
									$Masks = $Masks.add($M);
							}
							if ($Masks.length)
								return $Masks;
							else
								return createMasks(pane);
						}

						/**
						 * createMasks
						 *
						 * Generates both DIV (ALWAYS used) and IFRAME (optional) elements as masks
						 * An IFRAME mask is created *under* the DIV when maskObjects=true, because a DIV cannot mask an applet
						 *
						 * @param {string} pane
						 */
						, createMasks = function (pane) {
							var
								$P = $Ps[pane]
								, s = state[pane]
								, o = options[pane]
								, z = options.zIndexes
								, isIframe, el, $M, css, i
							;
							if (!o.maskContents && !o.maskObjects)
								return $([]);
							// if o.maskObjects=true, then loop TWICE to create BOTH kinds of mask, else only create a DIV
							for (i = 0; i < (o.maskObjects ? 2 : 1); i++) {
								isIframe = o.maskObjects && i == 0;
								el = document.createElement(isIframe ? "iframe" : "div");
								$M = $(el).data("layoutMask", pane); // add data to relate mask to pane
								el.className = "ui-layout-mask ui-layout-mask-" + pane; // for user styling
								css = el.style;
								// Both DIVs and IFRAMES
								css.background = "#FFF";
								css.position = "absolute";
								css.display = "block";
								if (isIframe) { // IFRAME-only props
									el.src = "about:blank";
									el.frameborder = 0;
									css.border = 0;
									css.opacity = 0;
									css.filter = "Alpha(Opacity='0')";
									//el.allowTransparency = true; - for IE, but breaks masking ability!
								} else { // DIV-only props
									css.opacity = 0.001;
									css.filter = "Alpha(Opacity='1')";
								}
								// if pane IS an IFRAME, then must mask the pane itself
								if (s.tagName == "IFRAME") {
									// NOTE sizing done by a subroutine so can be called during live-resizing
									css.zIndex = z.pane_normal + 1; // 1-higher than pane
									$N.append(el); // append to LAYOUT CONTAINER
								}
								// otherwise put masks *inside the pane* to mask its contents
								else {
									$M.addClass("ui-layout-mask-inside-pane");
									css.zIndex = o.maskZindex || z.content_mask; // usually 1, but customizable
									css.top = 0;
									css.left = 0;
									css.width = "100%";
									css.height = "100%";
									$P.append(el); // append INSIDE pane element
								}
								// add Mask to cached array so can be resized & reused
								$Ms = $Ms.add(el);
							}
							return $Ms;
						}


						/**
						 * Destroy this layout and reset all elements
						 *
						 * @param {boolean=} [destroyChildren=false]  Destory Child-Layouts first?
						 */
						, destroy = function (evt_or_destroyChildren, destroyChildren) {
							// UNBIND layout events and remove global object
							$(window).off("." + sID);  // resize & unload
							$(document).off("." + sID); // keyDown (hotkeys)

							if (typeof evt_or_destroyChildren === "object")
								// stopPropagation if called by trigger("layoutdestroy") - use evtPane utility
								evtPane(evt_or_destroyChildren);
							else // no event, so transfer 1st param to destroyChildren param
								destroyChildren = evt_or_destroyChildren;

							// need to look for parent layout BEFORE we remove the container data, else skips a level
							//var parentPane = Instance.hasParentLayout ? $.layout.getParentPaneInstance( $N ) : null;

							// reset layout-container
							$N.clearQueue()
								.removeData("layout")
								.removeData("layoutContainer")
								.removeClass(options.containerClass)
								.off("." + sID) // remove ALL Layout events
							;

							// remove all mask elements that have been created
							$Ms.remove();

							// loop all panes to remove layout classes, attributes and bindings
							$.each(_c.allPanes, function (i, pane) {
								removePane(pane, false, true, destroyChildren); // true = skipResize
							});

							// do NOT reset container CSS if is a 'pane' (or 'content') in an outer-layout - ie, THIS layout is 'nested'
							var css = "layoutCSS";
							if ($N.data(css) && !$N.data("layoutRole")) // RESET CSS
								$N.css($N.data(css)).removeData(css);

							// for full-page layouts, also reset the <HTML> CSS
							if (sC.tagName === "BODY" && ($N = $("html")).data(css)) // RESET <HTML> CSS
								$N.css($N.data(css)).removeData(css);

							// trigger plugins for this layout, if there are any
							runPluginCallbacks(Instance, $.layout.onDestroy);

							// trigger state-management and onunload callback
							unload();

							// clear the Instance of everything except for container & options (so could recreate)
							// RE-CREATE: myLayout = myLayout.container.layout( myLayout.options );
							for (var n in Instance)
								if (!n.match(/^(container|options)$/))
									delete Instance[n];
							// add a 'destroyed' flag to make it easy to check
							Instance.destroyed = true;

							// if this is a child layout, CLEAR the child-pointer in the parent
							/* for now the pointer REMAINS, but with only container, options and destroyed keys
             if (parentPane) {
             var layout = parentPane.pane.data("parentLayout")
             , key  = layout.options.instanceKey || 'error';
             // THIS SYNTAX MAY BE WRONG!
             parentPane.children[key] = layout.children[ parentPane.name ].children[key] = null;
             }
             */

							return Instance; // for coding convenience
						}

						/**
						 * Remove a pane from the layout - subroutine of destroy()
						 *
						 * @see  destroy()
						 * @param {(string|Object)} evt_or_pane   The pane to process
						 * @param {boolean=}   [remove=false]  Remove the DOM element?
						 * @param {boolean=}   [skipResize=false] Skip calling resizeAll()?
						 * @param {boolean=}   [destroyChild=true] Destroy Child-layouts? If not passed, obeys options setting
						 */
						, removePane = function (evt_or_pane, remove, skipResize, destroyChild) {
							if (!isInitialized())
								return;
							var pane = evtPane.call(this, evt_or_pane)
								, $P = $Ps[pane]
								, $C = $Cs[pane]
								, $R = $Rs[pane]
								, $T = $Ts[pane]
							;
							// NOTE: elements can still exist even after remove()
							//  so check for missing data(), which is cleared by removed()
							if ($P && $.isEmptyObject($P.data()))
								$P = false;
							if ($C && $.isEmptyObject($C.data()))
								$C = false;
							if ($R && $.isEmptyObject($R.data()))
								$R = false;
							if ($T && $.isEmptyObject($T.data()))
								$T = false;

							if ($P)
								$P.stop(true, true);

							var o = options[pane]
								, s = state[pane]
								, d = "layout"
								, css = "layoutCSS"
								, pC = children[pane]
								, hasChildren = $.isPlainObject(pC) && !$.isEmptyObject(pC)
								, destroy = destroyChild !== undefined ? destroyChild : o.destroyChildren
							;
							// FIRST destroy the child-layout(s)
							if (hasChildren && destroy) {
								$.each(pC, function (key, child) {
									if (!child.destroyed)
										child.destroy(true);// tell child-layout to destroy ALL its child-layouts too
									if (child.destroyed) // destroy was successful
										delete pC[key];
								});
								// if no more children, remove the children hash
								if ($.isEmptyObject(pC)) {
									pC = children[pane] = null; // clear children hash
									hasChildren = false;
								}
							}

							// Note: can't 'remove' a pane element with non-destroyed children
							if ($P && remove && !hasChildren)
								$P.remove(); // remove the pane-element and everything inside it
							else if ($P && $P[0]) {
								// create list of ALL pane-classes that need to be removed
								var root = o.paneClass // default="ui-layout-pane"
									, pRoot = root + "-" + pane // eg: "ui-layout-pane-west"
									, _open = "-open"
									, _sliding = "-sliding"
									, _closed = "-closed"
									, classes = [root, root + _open, root + _closed, root + _sliding, // generic classes
									pRoot, pRoot + _open, pRoot + _closed, pRoot + _sliding] // pane-specific classes
								;
								$.merge(classes, getHoverClasses($P, true)); // ADD hover-classes
								// remove all Layout classes from pane-element
								$P.removeClass(classes.join(" ")) // remove ALL pane-classes
									.removeData("parentLayout")
									.removeData("layoutPane")
									.removeData("layoutRole")
									.removeData("layoutEdge")
									.removeData("autoHidden") // in case set
									.off("." + sID) // remove ALL Layout events
								// TODO: remove these extra unbind commands when jQuery is fixed
								//.unbind("mouseenter"+ sID)
								//.unbind("mouseleave"+ sID)
								;
								// do NOT reset CSS if this pane/content is STILL the container of a nested layout!
								// the nested layout will reset its 'container' CSS when/if it is destroyed
								if (hasChildren && $C) {
									// a content-div may not have a specific width, so give it one to contain the Layout
									$C.css("width", parseInt($C.css("width"))+"px");
									$.each(pC, function (key, child) {
										child.resizeAll(); // resize the Layout
									});
								} else if ($C)
									$C.css($C.data(css)).removeData(css).removeData("layoutRole");
								// remove pane AFTER content in case there was a nested layout
								if (!$P.data(d))
									$P.css($P.data(css)).removeData(css);
							}

							// REMOVE pane resizer and toggler elements
							if ($T)
								$T.remove();
							if ($R)
								$R.remove();

							// CLEAR all pointers and state data
							Instance[pane] = $Ps[pane] = $Cs[pane] = $Rs[pane] = $Ts[pane] = false;
							s = {removed: true};

							if (!skipResize)
								resizeAll();
						}


						/*
         * ###########################
         *    ACTION METHODS
         * ###########################
         */

						/**
						 * @param {string} pane
						 */
						, _hidePane = function (pane) {
							var $P = $Ps[pane]
								, o = options[pane]
								, s = $P[0].style
							;
							if (o.useOffscreenClose) {
								if (!$P.data(_c.offscreenReset))
									$P.data(_c.offscreenReset, {left: s.left, right: s.right});
								$P.css(_c.offscreenCSS);
							} else
								$P.hide().removeData(_c.offscreenReset);
						}

						/**
						 * @param {string} pane
						 */
						, _showPane = function (pane) {
							var $P = $Ps[pane]
								, o = options[pane]
								, off = _c.offscreenCSS
								, old = $P.data(_c.offscreenReset)
								, s = $P[0].style
							;
							$P.show() // ALWAYS show, just in case
								.removeData(_c.offscreenReset);
							if (o.useOffscreenClose && old) {
								if (s.left == off.left)
									s.left = old.left;
								if (s.right == off.right)
									s.right = old.right;
							}
						}


						/**
						 * Completely 'hides' a pane, including its spacing - as if it does not exist
						 * The pane is not actually 'removed' from the source, so can use 'show' to un-hide it
						 *
						 * @param {(string|Object)} evt_or_pane   The pane being hidden, ie: north, south, east, or west
						 * @param {boolean=}   [noAnimation=false]
						 */
						, hide = function (evt_or_pane, noAnimation) {
							if (!isInitialized())
								return;
							var pane = evtPane.call(this, evt_or_pane)
								, o = options[pane]
								, s = state[pane]
								, $P = $Ps[pane]
								, $R = $Rs[pane]
							;
							if (pane === "center" || !$P || s.isHidden)
								return; // pane does not exist OR is already hidden

							// onhide_start callback - will CANCEL hide if returns false
							if (state.initialized && false === _runCallbacks("onhide_start", pane))
								return;

							s.isSliding = false; // just in case
							delete state.panesSliding[pane];

							// now hide the elements
							if ($R)
								$R.hide(); // hide resizer-bar
							if (!state.initialized || s.isClosed) {
								s.isClosed = true; // to trigger open-animation on show()
								s.isHidden = true;
								s.isVisible = false;
								if (!state.initialized)
									_hidePane(pane); // no animation when loading page
								sizeMidPanes(_c[pane].dir === "horz" ? "" : "center");
								if (state.initialized || o.triggerEventsOnLoad)
									_runCallbacks("onhide_end", pane);
							} else {
								s.isHiding = true; // used by onclose
								close(pane, false, noAnimation); // adjust all panes to fit
							}
						}

						/**
						 * Show a hidden pane - show as 'closed' by default unless openPane = true
						 *
						 * @param {(string|Object)} evt_or_pane   The pane being opened, ie: north, south, east, or west
						 * @param {boolean=}   [openPane=false]
						 * @param {boolean=}   [noAnimation=false]
						 * @param {boolean=}   [noAlert=false]
						 */
						, show = function (evt_or_pane, openPane, noAnimation, noAlert) {
							if (!isInitialized())
								return;
							var pane = evtPane.call(this, evt_or_pane)
								, o = options[pane]
								, s = state[pane]
								, $P = $Ps[pane]
								, $R = $Rs[pane]
							;
							if (pane === "center" || !$P || !s.isHidden)
								return; // pane does not exist OR is not hidden

							// onshow_start callback - will CANCEL show if returns false
							if (false === _runCallbacks("onshow_start", pane))
								return;

							s.isShowing = true; // used by onopen/onclose
							//s.isHidden  = false; - will be set by open/close - if not cancelled
							s.isSliding = false; // just in case
							delete state.panesSliding[pane];

							// now show the elements
							//if ($R) $R.show(); - will be shown by open/close
							if (openPane === false)
								close(pane, true); // true = force
							else
								open(pane, false, noAnimation, noAlert); // adjust all panes to fit
						}


						/**
						 * Toggles a pane open/closed by calling either open or close
						 *
						 * @param {(string|Object)} evt_or_pane  The pane being toggled, ie: north, south, east, or west
						 * @param {boolean=}   [slide=false]
						 */
						, toggle = function (evt_or_pane, slide) {
							if (!isInitialized())
								return;
							var evt = evtObj(evt_or_pane)
								, pane = evtPane.call(this, evt_or_pane)
								, s = state[pane]
							;
							if (evt) // called from to $R.dblclick OR triggerPaneEvent
								evt.stopImmediatePropagation();
							if (s.isHidden)
								show(pane); // will call 'open' after unhiding it
							else if (s.isClosed)
								open(pane, !!slide);
							else
								close(pane);
						}


						/**
						 * Utility method used during init or other auto-processes
						 *
						 * @param {string} pane   The pane being closed
						 * @param {boolean=} [setHandles=false]
						 */
						, _closePane = function (pane, setHandles) {
							var
								$P = $Ps[pane]
								, s = state[pane]
							;
							_hidePane(pane);
							s.isClosed = true;
							s.isVisible = false;
							if (setHandles)
								setAsClosed(pane);
						}

						/**
						 * Close the specified pane (animation optional), and resize all other panes as needed
						 *
						 * @param {(string|Object)} evt_or_pane   The pane being closed, ie: north, south, east, or west
						 * @param {boolean=}   [force=false]
						 * @param {boolean=}   [noAnimation=false]
						 * @param {boolean=}   [skipCallback=false]
						 */
						, close = function (evt_or_pane, force, noAnimation, skipCallback) {
							var pane = evtPane.call(this, evt_or_pane);
							if (pane === "center")
								return; // validate
							// if pane has been initialized, but NOT the complete layout, close pane instantly
							if (!state.initialized && $Ps[pane]) {
								_closePane(pane, true); // INIT pane as closed
								return;
							}
							if (!isInitialized())
								return;

							var
								$P = $Ps[pane]
								, $R = $Rs[pane]
								, $T = $Ts[pane]
								, o = options[pane]
								, s = state[pane]
								, c = _c[pane]
								, doFX, isShowing, isHiding, wasSliding;

							// QUEUE in case another action/animation is in progress
							$N.queue(function (queueNext) {

								if (!$P
									|| (!o.closable && !s.isShowing && !s.isHiding) // invalid request // (!o.resizable && !o.closable) ???
									|| (!force && s.isClosed && !s.isShowing)   // already closed
								)
									return queueNext();

								// onclose_start callback - will CANCEL hide if returns false
								// SKIP if just 'showing' a hidden pane as 'closed'
								var abort = !s.isShowing && false === _runCallbacks("onclose_start", pane);

								// transfer logic vars to temp vars
								isShowing = s.isShowing;
								isHiding = s.isHiding;
								wasSliding = s.isSliding;
								// now clear the logic vars (REQUIRED before aborting)
								delete s.isShowing;
								delete s.isHiding;

								if (abort)
									return queueNext();

								doFX = !noAnimation && !s.isClosed && (o.fxName_close != "none");
								s.isMoving = true;
								s.isClosed = true;
								s.isVisible = false;
								// update isHidden BEFORE sizing panes
								if (isHiding)
									s.isHidden = true;
								else if (isShowing)
									s.isHidden = false;

								if (s.isSliding) // pane is being closed, so UNBIND trigger events
									bindStopSlidingEvents(pane, false); // will set isSliding=false
								else // resize panes adjacent to this one
									sizeMidPanes(_c[pane].dir === "horz" ? "" : "center", false); // false = NOT skipCallback

								// if this pane has a resizer bar, move it NOW - before animation
								setAsClosed(pane);

								// CLOSE THE PANE
								if (doFX) { // animate the close
									lockPaneForFX(pane, true); // need to set left/top so animation will work
									$P.hide(o.fxName_close, o.fxSettings_close, o.fxSpeed_close, function () {
										lockPaneForFX(pane, false); // undo
										if (s.isClosed)
											close_2();
										queueNext();
									});
								} else { // hide the pane without animation
									_hidePane(pane);
									close_2();
									queueNext();
								}
							});

							// SUBROUTINE
							function close_2() {
								s.isMoving = false;
								bindStartSlidingEvents(pane, true); // will enable if o.slidable = true

								// if opposite-pane was autoClosed, see if it can be autoOpened now
								var altPane = _c.oppositeEdge[pane];
								if (state[altPane].noRoom) {
									setSizeLimits(altPane);
									makePaneFit(altPane);
								}

								if (!skipCallback && (state.initialized || o.triggerEventsOnLoad)) {
									// onclose callback - UNLESS just 'showing' a hidden pane as 'closed'
									if (!isShowing)
										_runCallbacks("onclose_end", pane);
									// onhide OR onshow callback
									if (isShowing)
										_runCallbacks("onshow_end", pane);
									if (isHiding)
										_runCallbacks("onhide_end", pane);
								}
							}
						}

						/**
						 * @param {string} pane The pane just closed, ie: north, south, east, or west
						 */
						, setAsClosed = function (pane) {
							if (!$Rs[pane])
								return; // handles not initialized yet!
							var
								$P = $Ps[pane]
								, $R = $Rs[pane]
								, $T = $Ts[pane]
								, o = options[pane]
								, s = state[pane]
								, side = _c[pane].side
								, rClass = o.resizerClass
								, tClass = o.togglerClass
								, _pane = "-" + pane // used for classNames
								, _open = "-open"
								, _sliding = "-sliding"
								, _closed = "-closed"
							;
							$R
								.css(side, sC.inset[side]) // move the resizer
								.removeClass(rClass + _open + " " + rClass + _pane + _open)
								.removeClass(rClass + _sliding + " " + rClass + _pane + _sliding)
								.addClass(rClass + _closed + " " + rClass + _pane + _closed)
							;
							// handle already-hidden panes in case called by swap() or a similar method
							if (s.isHidden)
								$R.hide(); // hide resizer-bar

							// DISABLE 'resizing' when closed - do this BEFORE bindStartSlidingEvents?
							if (o.resizable && $.layout.plugins.draggable)
								$R
									.draggable("disable")
									.removeClass("ui-state-disabled") // do NOT apply disabled styling - not suitable here
									.css("cursor", "default")
									.attr("title", "")
								;

							// if pane has a toggler button, adjust that too
							if ($T) {
								$T
									.removeClass(tClass + _open + " " + tClass + _pane + _open)
									.addClass(tClass + _closed + " " + tClass + _pane + _closed)
									.attr("title", o.tips.Open) // may be blank
								;
								// toggler-content - if exists
								$T.children(".content-open").hide();
								$T.children(".content-closed").css("display", "block");
							}

							// sync any 'pin buttons'
							syncPinBtns(pane, false);

							if (state.initialized) {
								// resize 'length' and position togglers for adjacent panes
								sizeHandles();
							}
						}

						/**
						 * Open the specified pane (animation optional), and resize all other panes as needed
						 *
						 * @param {(string|Object)} evt_or_pane   The pane being opened, ie: north, south, east, or west
						 * @param {boolean=}   [slide=false]
						 * @param {boolean=}   [noAnimation=false]
						 * @param {boolean=}   [noAlert=false]
						 */
						, open = function (evt_or_pane, slide, noAnimation, noAlert) {
							if (!isInitialized())
								return;
							var pane = evtPane.call(this, evt_or_pane)
								, $P = $Ps[pane]
								, $R = $Rs[pane]
								, $T = $Ts[pane]
								, o = options[pane]
								, s = state[pane]
								, c = _c[pane]
								, doFX, isShowing
							;
							if (pane === "center")
								return; // validate
							// QUEUE in case another action/animation is in progress
							$N.queue(function (queueNext) {

								if (!$P
									|| (!o.resizable && !o.closable && !s.isShowing) // invalid request
									|| (s.isVisible && !s.isSliding)     // already open
								)
									return queueNext();

								// pane can ALSO be unhidden by just calling show(), so handle this scenario
								if (s.isHidden && !s.isShowing) {
									queueNext(); // call before show() because it needs the queue free
									show(pane, true);
									return;
								}

								if (s.autoResize && s.size != o.size) // resize pane to original size set in options
									sizePane(pane, o.size, true, true, true); // true=skipCallback/noAnimation/forceResize
								else
									// make sure there is enough space available to open the pane
									setSizeLimits(pane, slide);

								// onopen_start callback - will CANCEL open if returns false
								var cbReturn = _runCallbacks("onopen_start", pane);

								if (cbReturn === "abort")
									return queueNext();

								// update pane-state again in case options were changed in onopen_start
								if (cbReturn !== "NC") // NC = "No Callback"
									setSizeLimits(pane, slide);

								if (s.minSize > s.maxSize) { // INSUFFICIENT ROOM FOR PANE TO OPEN!
									syncPinBtns(pane, false); // make sure pin-buttons are reset
									if (!noAlert && o.tips.noRoomToOpen)
										alert(o.tips.noRoomToOpen);
									return queueNext(); // ABORT
								}

								if (slide) // START Sliding - will set isSliding=true
									bindStopSlidingEvents(pane, true); // BIND trigger events to close sliding-pane
								else if (s.isSliding) // PIN PANE (stop sliding) - open pane 'normally' instead
									bindStopSlidingEvents(pane, false); // UNBIND trigger events - will set isSliding=false
								else if (o.slidable)
									bindStartSlidingEvents(pane, false); // UNBIND trigger events

								s.noRoom = false; // will be reset by makePaneFit if 'noRoom'
								makePaneFit(pane);

								// transfer logic var to temp var
								isShowing = s.isShowing;
								// now clear the logic var
								delete s.isShowing;

								doFX = !noAnimation && s.isClosed && (o.fxName_open != "none");
								s.isMoving = true;
								s.isVisible = true;
								s.isClosed = false;
								// update isHidden BEFORE sizing panes - WHY??? Old?
								if (isShowing)
									s.isHidden = false;

								if (doFX) { // ANIMATE
									// mask adjacent panes with objects
									lockPaneForFX(pane, true); // need to set left/top so animation will work
									$P.show(o.fxName_open, o.fxSettings_open, o.fxSpeed_open, function () {
										lockPaneForFX(pane, false); // undo
										if (s.isVisible)
											open_2(); // continue
										queueNext();
									});
								} else { // no animation
									_showPane(pane);// just show pane and...
									open_2();  // continue
									queueNext();
								}
							});

							// SUBROUTINE
							function open_2() {
								s.isMoving = false;

								// cure iframe display issues
								_fixIframe(pane);

								// NOTE: if isSliding, then other panes are NOT 'resized'
								if (!s.isSliding) { // resize all panes adjacent to this one
									sizeMidPanes(_c[pane].dir == "vert" ? "center" : "", false); // false = NOT skipCallback
								}

								// set classes, position handles and execute callbacks...
								setAsOpen(pane);
							}
						}

						/**
						 * @param {string} pane  The pane just opened, ie: north, south, east, or west
						 * @param {boolean=} [skipCallback=false]
						 */
						, setAsOpen = function (pane, skipCallback) {
							var
								$P = $Ps[pane]
								, $R = $Rs[pane]
								, $T = $Ts[pane]
								, o = options[pane]
								, s = state[pane]
								, side = _c[pane].side
								, rClass = o.resizerClass
								, tClass = o.togglerClass
								, _pane = "-" + pane // used for classNames
								, _open = "-open"
								, _closed = "-closed"
								, _sliding = "-sliding"
							;
							$R
								.css(side, sC.inset[side] + getPaneSize(pane)) // move the resizer
								.removeClass(rClass + _closed + " " + rClass + _pane + _closed)
								.addClass(rClass + _open + " " + rClass + _pane + _open)
							;
							if (s.isSliding)
								$R.addClass(rClass + _sliding + " " + rClass + _pane + _sliding);
							else // in case 'was sliding'
								$R.removeClass(rClass + _sliding + " " + rClass + _pane + _sliding);

							removeHover(0, $R); // remove hover classes
							if (o.resizable && $.layout.plugins.draggable)
								$R.draggable("enable")
									.css("cursor", o.resizerCursor)
									.attr("title", o.tips.Resize);
							else if (!s.isSliding)
								$R.css("cursor", "default"); // n-resize, s-resize, etc

							// if pane also has a toggler button, adjust that too
							if ($T) {
								$T.removeClass(tClass + _closed + " " + tClass + _pane + _closed)
									.addClass(tClass + _open + " " + tClass + _pane + _open)
									.attr("title", o.tips.Close); // may be blank
								removeHover(0, $T); // remove hover classes
								// toggler-content - if exists
								$T.children(".content-closed").hide();
								$T.children(".content-open").css("display", "block");
							}

							// sync any 'pin buttons'
							syncPinBtns(pane, !s.isSliding);

							// update pane-state dimensions - BEFORE resizing content
							$.extend(s, elDims($P));

							if (state.initialized) {
								// resize resizer & toggler sizes for all panes
								sizeHandles();
								// resize content every time pane opens - to be sure
								sizeContent(pane, true); // true = remeasure headers/footers, even if 'pane.isMoving'
							}

							if (!skipCallback && (state.initialized || o.triggerEventsOnLoad) && $P.is(":visible")) {
								// onopen callback
								_runCallbacks("onopen_end", pane);
								// onshow callback - TODO: should this be here?
								if (s.isShowing)
									_runCallbacks("onshow_end", pane);

								// ALSO call onresize because layout-size *may* have changed while pane was closed
								if (state.initialized)
									_runCallbacks("onresize_end", pane);
							}

							// TODO: Somehow sizePane("north") is being called after this point???
						}


						/**
						 * slideOpen / slideClose / slideToggle
						 *
						 * Pass-though methods for sliding
						 */
						, slideOpen = function (evt_or_pane) {
							if (!isInitialized())
								return;
							var evt = evtObj(evt_or_pane)
								, pane = evtPane.call(this, evt_or_pane)
								, s = state[pane]
								, delay = options[pane].slideDelay_open
							;
							if (pane === "center")
								return; // validate
							// prevent event from triggering on NEW resizer binding created below
							if (evt)
								evt.stopImmediatePropagation();

							if (s.isClosed && evt && evt.type === "mouseenter" && delay > 0)
								// trigger = mouseenter - use a delay
								timer.set(pane + "_openSlider", open_NOW, delay);
							else
								open_NOW(); // will unbind events if is already open

							/**
							 * SUBROUTINE for timed open
							 */
							function open_NOW() {
								if (!s.isClosed) // skip if no longer closed!
									bindStopSlidingEvents(pane, true); // BIND trigger events to close sliding-pane
								else if (!s.isMoving)
									open(pane, true); // true = slide - open() will handle binding
							}
						}

						, slideClose = function (evt_or_pane) {
							if (!isInitialized())
								return;
							var evt = evtObj(evt_or_pane)
								, pane = evtPane.call(this, evt_or_pane)
								, o = options[pane]
								, s = state[pane]
								, delay = s.isMoving ? 1000 : 300 // MINIMUM delay - option may override
							;
							if (pane === "center")
								return; // validate
							if (s.isClosed || s.isResizing) {
								// skip if already closed OR in process of resizing
							}
							else if (o.slideTrigger_close === "click")
								close_NOW(); // close immediately onClick
							else if (o.preventQuickSlideClose && s.isMoving) {
								// handle Chrome quick-close on slide-open
							}
							else if (o.preventPrematureSlideClose && evt && $.layout.isMouseOverElem(evt, $Ps[pane])) {
								// handle incorrect mouseleave trigger, like when over a SELECT-list in IE
							}
							else if (evt) // trigger = mouseleave - use a delay
								// 1 sec delay if 'opening', else .3 sec
								timer.set(pane + "_closeSlider", close_NOW, max(o.slideDelay_close, delay));
							else // called programically
								close_NOW();

							/**
							 * SUBROUTINE for timed close
							 */
							function close_NOW() {
								if (s.isClosed) // skip 'close' if already closed!
									bindStopSlidingEvents(pane, false); // UNBIND trigger events - TODO: is this needed here?
								else if (!s.isMoving)
									close(pane); // close will handle unbinding
							}
						}

						/**
						 * @param {(string|Object)} evt_or_pane  The pane being opened, ie: north, south, east, or west
						 */
						, slideToggle = function (evt_or_pane) {
							var pane = evtPane.call(this, evt_or_pane);
							toggle(pane, true);
						}


						/**
						 * Must set left/top on East/South panes so animation will work properly
						 *
						 * @param {string} pane The pane to lock, 'east' or 'south' - any other is ignored!
						 * @param {boolean} doLock  true = set left/top, false = remove
						 */
						, lockPaneForFX = function (pane, doLock) {
							var $P = $Ps[pane]
								, s = state[pane]
								, o = options[pane]
								, z = options.zIndexes
							;
							if (doLock) {
								showMasks(pane, {animation: true, objectsOnly: true});
								$P.css({zIndex: z.pane_animate}); // overlay all elements during animation
								if (pane == "south")
									$P.css({top: sC.inset.top + sC.innerHeight - (parseInt($P.css("height"))+parseInt($P.css("padding-top"))+parseInt($P.css("padding-bottom")))});
								else if (pane == "east")
									$P.css({left: sC.inset.left + sC.innerWidth - (parseInt($P.css("width")) + parseInt($P.css("padding-left")) + parseInt($P.css("padding-right")))});
							} else { // animation DONE - RESET CSS
								hideMasks();
								$P.css({zIndex: (s.isSliding ? z.pane_sliding : z.pane_normal)});
								if (pane == "south")
									$P.css({top: "auto"});
								// if pane is positioned 'off-screen', then DO NOT screw with it!
								else if (pane == "east" && !$P.css("left").match(/\-99999/))
									$P.css({left: "auto"});
								// fix anti-aliasing in IE - only needed for animations that change opacity
								if (browser.msie && o.fxOpacityFix && o.fxName_open != "slide" && $P.css("filter") && $P.css("opacity") == 1)
									$P[0].style.removeAttribute('filter');
							}
						}


						/**
						 * Toggle sliding functionality of a specific pane on/off by adding removing 'slide open' trigger
						 *
						 * @see  open(), close()
						 * @param {string} pane The pane to enable/disable, 'north', 'south', etc.
						 * @param {boolean} enable Enable or Disable sliding?
						 */
						, bindStartSlidingEvents = function (pane, enable) {
							var o = options[pane]
								, $P = $Ps[pane]
								, $R = $Rs[pane]
								, evtName = o.slideTrigger_open.toLowerCase()
							;
							if (!$R || (enable && !o.slidable))
								return;

							// make sure we have a valid event
							if (evtName.match(/mouseover/))
								evtName = o.slideTrigger_open = "mouseenter";
							else if (!evtName.match(/(click|dblclick|mouseenter)/))
								evtName = o.slideTrigger_open = "click";

							// must remove double-click-toggle when using dblclick-slide
							if (o.resizerDblClickToggle && evtName.match(/click/)) {
								$R[enable ? "off" : "on"]('dblclick.' + sID, toggle)
							}

							$R
								// add or remove event
								[enable ? "on" : "off"](evtName + '.' + sID, slideOpen)
								// set the appropriate cursor & title/tip
								.css("cursor", enable ? o.sliderCursor : "default")
								.attr("title", enable ? o.tips.Slide : "")
							;
						}

						/**
						 * Add or remove 'mouseleave' events to 'slide close' when pane is 'sliding' open or closed
						 * Also increases zIndex when pane is sliding open
						 * See bindStartSlidingEvents for code to control 'slide open'
						 *
						 * @see  slideOpen(), slideClose()
						 * @param {string} pane The pane to process, 'north', 'south', etc.
						 * @param {boolean} enable Enable or Disable events?
						 */
						, bindStopSlidingEvents = function (pane, enable) {
							var o = options[pane]
								, s = state[pane]
								, c = _c[pane]
								, z = options.zIndexes
								, evtName = o.slideTrigger_close.toLowerCase()
								, action = (enable ? "on" : "off")
								, $P = $Ps[pane]
								, $R = $Rs[pane]
							;
							timer.clear(pane + "_closeSlider"); // just in case

							if (enable) {
								s.isSliding = true;
								state.panesSliding[pane] = true;
								// remove 'slideOpen' event from resizer
								// ALSO will raise the zIndex of the pane & resizer
								bindStartSlidingEvents(pane, false);
							} else {
								s.isSliding = false;
								delete state.panesSliding[pane];
							}

							// RE/SET zIndex - increases when pane is sliding-open, resets to normal when not
							$P.css("zIndex", enable ? z.pane_sliding : z.pane_normal);
							$R.css("zIndex", enable ? z.pane_sliding + 2 : z.resizer_normal); // NOTE: mask = pane_sliding+1

							// make sure we have a valid event
							if (!evtName.match(/(click|mouseleave)/))
								evtName = o.slideTrigger_close = "mouseleave"; // also catches 'mouseout'

							// add/remove slide triggers
							$R[action](evtName, slideClose); // base event on resize
							// need extra events for mouseleave
							if (evtName === "mouseleave") {
								// also close on pane.mouseleave
								$P[action]("mouseleave." + sID, slideClose);
								// cancel timer when mouse moves between 'pane' and 'resizer'
								$R[action]("mouseenter." + sID, cancelMouseOut);
								$P[action]("mouseenter." + sID, cancelMouseOut);
							}

							if (!enable)
								timer.clear(pane + "_closeSlider");
							else if (evtName === "click" && !o.resizable) {
								// IF pane is not resizable (which already has a cursor and tip)
								// then set the a cursor & title/tip on resizer when sliding
								$R.css("cursor", enable ? o.sliderCursor : "default");
								$R.attr("title", enable ? o.tips.Close : ""); // use Toggler-tip, eg: "Close Pane"
							}

							// SUBROUTINE for mouseleave timer clearing
							function cancelMouseOut(evt) {
								timer.clear(pane + "_closeSlider");
								evt.stopPropagation();
							}
						}


						/**
						 * Hides/closes a pane if there is insufficient room - reverses this when there is room again
						 * MUST have already called setSizeLimits() before calling this method
						 *
						 * @param {string} pane     The pane being resized
						 * @param {boolean=} [isOpening=false]  Called from onOpen?
						 * @param {boolean=} [skipCallback=false] Should the onresize callback be run?
						 * @param {boolean=} [force=false]
						 */
						, makePaneFit = function (pane, isOpening, skipCallback, force) {
							var o = options[pane]
								, s = state[pane]
								, c = _c[pane]
								, $P = $Ps[pane]
								, $R = $Rs[pane]
								, isSidePane = c.dir === "vert"
								, hasRoom = false
							;
							// special handling for center & east/west panes
							if (pane === "center" || (isSidePane && s.noVerticalRoom)) {
								// see if there is enough room to display the pane
								// ERROR: hasRoom = s.minHeight <= s.maxHeight && (isSidePane || s.minWidth <= s.maxWidth);
								hasRoom = (s.maxHeight >= 0);
								if (hasRoom && s.noRoom) { // previously hidden due to noRoom, so show now
									_showPane(pane);
									if ($R)
										$R.show();
									s.isVisible = true;
									s.noRoom = false;
									if (isSidePane)
										s.noVerticalRoom = false;
									_fixIframe(pane);
								} else if (!hasRoom && !s.noRoom) { // not currently hidden, so hide now
									_hidePane(pane);
									if ($R)
										$R.hide();
									s.isVisible = false;
									s.noRoom = true;
								}
							}

							// see if there is enough room to fit the border-pane
							if (pane === "center") {
								// ignore center in this block
							} else if (s.minSize <= s.maxSize) { // pane CAN fit
								hasRoom = true;
								if (s.size > s.maxSize) // pane is too big - shrink it
									sizePane(pane, s.maxSize, skipCallback, true, force); // true = noAnimation
								else if (s.size < s.minSize) // pane is too small - enlarge it
									sizePane(pane, s.minSize, skipCallback, true, force); // true = noAnimation
								// need s.isVisible because new pseudoClose method keeps pane visible, but off-screen
								else if ($R && s.isVisible && $P.is(":visible")) {
									// make sure resizer-bar is positioned correctly
									// handles situation where nested layout was 'hidden' when initialized
									var pos = s.size + sC.inset[c.side];
									if ($.layout.cssNum($R, c.side) != pos)
										$R.css(c.side, pos);
								}

								// if was previously hidden due to noRoom, then RESET because NOW there is room
								if (s.noRoom) {
									// s.noRoom state will be set by open or show
									if (s.wasOpen && o.closable) {
										if (o.autoReopen)
											open(pane, false, true, true); // true = noAnimation, true = noAlert
										else // leave the pane closed, so just update state
											s.noRoom = false;
									} else
										show(pane, s.wasOpen, true, true); // true = noAnimation, true = noAlert
								}
							} else { // !hasRoom - pane CANNOT fit
								if (!s.noRoom) { // pane not set as noRoom yet, so hide or close it now...
									s.noRoom = true; // update state
									s.wasOpen = !s.isClosed && !s.isSliding;
									if (s.isClosed) {
									} // SKIP
									else if (o.closable) // 'close' if possible
										close(pane, true, true); // true = force, true = noAnimation
									else // 'hide' pane if cannot just be closed
										hide(pane, true); // true = noAnimation
								}
							}
						}


						/**
						 * manualSizePane is an exposed flow-through method allowing extra code when pane is 'manually resized'
						 *
						 * @param {(string|Object)} evt_or_pane    The pane being resized
						 * @param {number}   size     The *desired* new size for this pane - will be validated
						 * @param {boolean=}   [skipCallback=false] Should the onresize callback be run?
						 * @param {boolean=}   [noAnimation=false]
						 * @param {boolean=}   [force=false]   Force resizing even if does not seem necessary
						 */
						, manualSizePane = function (evt_or_pane, size, skipCallback, noAnimation, force) {
							if (!isInitialized())
								return;
							var pane = evtPane.call(this, evt_or_pane)
								, o = options[pane]
								, s = state[pane]
								// if resizing callbacks have been delayed and resizing is now DONE, force resizing to complete...
								, forceResize = force || (o.livePaneResizing && !s.isResizing)
							;
							if (pane === "center")
								return; // validate
							// ANY call to manualSizePane disables autoResize - ie, percentage sizing
							s.autoResize = false;
							// flow-through...
							sizePane(pane, size, skipCallback, noAnimation, forceResize); // will animate resize if option enabled
						}

						/**
						 * sizePane is called only by internal methods whenever a pane needs to be resized
						 *
						 * @param {(string|Object)} evt_or_pane    The pane being resized
						 * @param {number}   size     The *desired* new size for this pane - will be validated
						 * @param {boolean=}   [skipCallback=false] Should the onresize callback be run?
						 * @param {boolean=}   [noAnimation=false]
						 * @param {boolean=}   [force=false]   Force resizing even if does not seem necessary
						 */
						, sizePane = function (evt_or_pane, size, skipCallback, noAnimation, force) {
							if (!isInitialized())
								return;
							var pane = evtPane.call(this, evt_or_pane) // probably NEVER called from event?
								, o = options[pane]
								, s = state[pane]
								, $P = $Ps[pane]
								, $R = $Rs[pane]
								, side = _c[pane].side
								, dimName = _c[pane].sizeType.toLowerCase()
								, skipResizeWhileDragging = s.isResizing && !o.triggerEventsDuringLiveResize
								, doFX = noAnimation !== true && o.animatePaneSizing
								, oldSize, newSize
							;
							if (pane === "center")
								return; // validate
							// QUEUE in case another action/animation is in progress
							$N.queue(function (queueNext) {
								// calculate 'current' min/max sizes
								setSizeLimits(pane); // update pane-state
								oldSize = s.size;
								size = _parseSize(pane, size); // handle percentages & auto
								size = max(size, _parseSize(pane, o.minSize));
								size = min(size, s.maxSize);
								if (size < s.minSize) { // not enough room for pane!
									queueNext(); // call before makePaneFit() because it needs the queue free
									makePaneFit(pane, false, skipCallback); // will hide or close pane
									return;
								}

								// IF newSize is same as oldSize, then nothing to do - abort
								if (!force && size === oldSize)
									return queueNext();

								s.newSize = size;

								// onresize_start callback CANNOT cancel resizing because this would break the layout!
								if (!skipCallback && state.initialized && s.isVisible)
									_runCallbacks("onresize_start", pane);

								// resize the pane, and make sure its visible
								newSize = cssSize(pane, size);

								if (doFX && $P.is(":visible")) { // ANIMATE
									var fx = $.layout.effects.size[pane] || $.layout.effects.size.all
										, easing = o.fxSettings_size.easing || fx.easing
										, z = options.zIndexes
										, props = {};
									props[dimName] = newSize + 'px';
									s.isMoving = true;
									// overlay all elements during animation
									$P.css({zIndex: z.pane_animate})
										.show().animate(props, o.fxSpeed_size, easing, function () {
										// reset zIndex after animation
										$P.css({zIndex: (s.isSliding ? z.pane_sliding : z.pane_normal)});
										s.isMoving = false;
										delete s.newSize;
										sizePane_2(); // continue
										queueNext();
									});
								} else { // no animation
									$P.css(dimName, newSize); // resize pane
									delete s.newSize;
									// if pane is visible, then
									if ($P.is(":visible"))
										sizePane_2(); // continue
									else {
										// pane is NOT VISIBLE, so just update state data...
										// when pane is *next opened*, it will have the new size
										s.size = size;    // update state.size
										//$.extend(s, elDims($P)); // update state dimensions - CANNOT do this when not visible!    }
									}
									queueNext();
								}
							});

							// SUBROUTINE
							function sizePane_2() {
								/* Panes are sometimes not sized precisely in some browsers!?
                 * This code will resize the pane up to 3 times to nudge the pane to the correct size
                 */
								var actual = dimName === 'width' ? parseInt($P.css("width")) + parseInt($P.css("padding-left")) + parseInt($P.css("padding-right")) : parseInt($P.css("height"))+parseInt($P.css("padding-top"))+parseInt($P.css("padding-bottom"))
									, tries = [{
										pane: pane
										, count: 1
										, target: size
										, actual: actual
										, correct: (size === actual)
										, attempt: size
										, cssSize: newSize
									}]
									, lastTry = tries[0]
									, thisTry = {}
									, msg = 'Inaccurate size after resizing the ' + pane + '-pane.'
								;
								while (!lastTry.correct) {
									thisTry = {pane: pane, count: lastTry.count + 1, target: size};

									if (lastTry.actual > size)
										thisTry.attempt = max(0, lastTry.attempt - (lastTry.actual - size));
									else // lastTry.actual < size
										thisTry.attempt = max(0, lastTry.attempt + (size - lastTry.actual));

									thisTry.cssSize = cssSize(pane, thisTry.attempt);
									$P.css(dimName, thisTry.cssSize);

									thisTry.actual = dimName == 'width' ? parseInt($P.css("width")) + parseInt($P.css("padding-left")) + parseInt($P.css("padding-right")) : parseInt($P.css("height"))+parseInt($P.css("padding-top"))+parseInt($P.css("padding-bottom"));
									thisTry.correct = (size === thisTry.actual);

									// log attempts and alert the user of this *non-fatal error* (if showDebugMessages)
									if (tries.length === 1) {
										_log(msg, false, true);
										_log(lastTry, false, true);
									}
									_log(thisTry, false, true);
									// after 4 tries, is as close as its gonna get!
									if (tries.length > 3)
										break;

									tries.push(thisTry);
									lastTry = tries[tries.length - 1];
								}
								// END TESTING CODE

								// update pane-state dimensions
								s.size = size;
								$.extend(s, elDims($P));

								if (s.isVisible && $P.is(":visible")) {
									// reposition the resizer-bar
									if ($R)
										$R.css(side, size + sC.inset[side]);
									// resize the content-div
									sizeContent(pane);
								}

								if (!skipCallback && !skipResizeWhileDragging && state.initialized && s.isVisible)
									_runCallbacks("onresize_end", pane);

								// resize all the adjacent panes, and adjust their toggler buttons
								// when skipCallback passed, it means the controlling method will handle 'other panes'
								if (!skipCallback) {
									// also no callback if live-resize is in progress and NOT triggerEventsDuringLiveResize
									if (!s.isSliding)
										sizeMidPanes(_c[pane].dir == "horz" ? "" : "center", skipResizeWhileDragging, force);
									sizeHandles();
								}

								// if opposite-pane was autoClosed, see if it can be autoOpened now
								var altPane = _c.oppositeEdge[pane];
								if (size < oldSize && state[altPane].noRoom) {
									setSizeLimits(altPane);
									makePaneFit(altPane, false, skipCallback);
								}

								// DEBUG - ALERT user/developer so they know there was a sizing problem
								if (tries.length > 1)
									_log(msg + '\nSee the Error Console for details.', true, true);
							}
						}

						/**
						 * @see  initPanes(), sizePane(),  resizeAll(), open(), close(), hide()
						 * @param {(Array.<string>|string)} panes     The pane(s) being resized, comma-delmited string
						 * @param {boolean=}     [skipCallback=false] Should the onresize callback be run?
						 * @param {boolean=}     [force=false]
						 */
						, sizeMidPanes = function (panes, skipCallback, force) {
							panes = (panes ? panes : "east,west,center").split(",");

							$.each(panes, function (i, pane) {
								if (!$Ps[pane])
									return; // NO PANE - skip
								var
									o = options[pane]
									, s = state[pane]
									, $P = $Ps[pane]
									, $R = $Rs[pane]
									, isCenter = (pane == "center")
									, hasRoom = true
									, CSS = {}
									// if pane is not visible, show it invisibly NOW rather than for *each call* in this script
									, visCSS = $.layout.showInvisibly($P)

									, newCenter = calcNewCenterPaneDims()
								;

								// update pane-state dimensions
								$.extend(s, elDims($P));

								if (pane === "center") {
									if (!force && s.isVisible && newCenter.width === s.outerWidth && newCenter.height === s.outerHeight) {
										$P.css(visCSS);
										return true; // SKIP - pane already the correct size
									}
									// set state for makePaneFit() logic
									$.extend(s, cssMinDims(pane), {
										maxWidth: newCenter.width
										, maxHeight: newCenter.height
									});
									CSS = newCenter;
									s.newWidth = CSS.width;
									s.newHeight = CSS.height;
									// convert OUTER width/height to CSS width/height
									CSS.width = cssW($P, CSS.width);
									// NEW - allow pane to extend 'below' visible area rather than hide it
									CSS.height = cssH($P, CSS.height);
									hasRoom = CSS.width >= 0 && CSS.height >= 0; // height >= 0 = ALWAYS TRUE NOW

									// during layout init, try to shrink east/west panes to make room for center
									if (!state.initialized && o.minWidth > newCenter.width) {
										var
											reqPx = o.minWidth - s.outerWidth
											, minE = options.east.minSize || 0
											, minW = options.west.minSize || 0
											, sizeE = state.east.size
											, sizeW = state.west.size
											, newE = sizeE
											, newW = sizeW
										;
										if (reqPx > 0 && state.east.isVisible && sizeE > minE) {
											newE = max(sizeE - minE, sizeE - reqPx);
											reqPx -= sizeE - newE;
										}
										if (reqPx > 0 && state.west.isVisible && sizeW > minW) {
											newW = max(sizeW - minW, sizeW - reqPx);
											reqPx -= sizeW - newW;
										}
										// IF we found enough extra space, then resize the border panes as calculated
										if (reqPx === 0) {
											if (sizeE && sizeE != minE)
												sizePane('east', newE, true, true, force); // true = skipCallback/noAnimation - initPanes will handle when done
											if (sizeW && sizeW != minW)
												sizePane('west', newW, true, true, force); // true = skipCallback/noAnimation
											// now start over!
											sizeMidPanes('center', skipCallback, force);
											$P.css(visCSS);
											return; // abort this loop
										}
									}
								} else { // for east and west, set only the height, which is same as center height
									// set state.min/maxWidth/Height for makePaneFit() logic
									if (s.isVisible && !s.noVerticalRoom)
										$.extend(s, elDims($P), cssMinDims(pane));
									if (!force && !s.noVerticalRoom && newCenter.height === s.outerHeight) {
										$P.css(visCSS);
										return true; // SKIP - pane already the correct size
									}
									// east/west have same top, bottom & height as center
									CSS.top = newCenter.top;
									CSS.bottom = newCenter.bottom;
									s.newSize = newCenter.height;
									// NEW - allow pane to extend 'below' visible area rather than hide it
									CSS.height = cssH($P, newCenter.height);
									s.maxHeight = CSS.height;
									hasRoom = (s.maxHeight >= 0); // ALWAYS TRUE NOW
									if (!hasRoom)
										s.noVerticalRoom = true; // makePaneFit() logic
								}

								if (hasRoom) {
									// resizeAll passes skipCallback because it triggers callbacks after ALL panes are resized
									if (!skipCallback && state.initialized)
										_runCallbacks("onresize_start", pane);

									$P.css(CSS); // apply the CSS to pane
									if (pane !== "center")
										sizeHandles(pane); // also update resizer length
									if (s.noRoom && !s.isClosed && !s.isHidden)
										makePaneFit(pane); // will re-open/show auto-closed/hidden pane
									if (s.isVisible) {
										$.extend(s, elDims($P)); // update pane dimensions
										if (state.initialized)
											sizeContent(pane); // also resize the contents, if exists
									}
								} else if (!s.noRoom && s.isVisible) // no room for pane
									makePaneFit(pane); // will hide or close pane

								// reset visibility, if necessary
								$P.css(visCSS);

								delete s.newSize;
								delete s.newWidth;
								delete s.newHeight;

								if (!s.isVisible)
									return true; // DONE - next pane

								/*
                 * Extra CSS for IE6 or IE7 in Quirks-mode - add 'width' to NORTH/SOUTH panes
                 * Normally these panes have only 'left' & 'right' positions so pane auto-sizes
                 * ALSO required when pane is an IFRAME because will NOT default to 'full width'
                 * TODO: Can I use width:100% for a north/south iframe?
                 * TODO: Sounds like a job for $P.outerWidth( sC.innerWidth ) SETTER METHOD
                 */
								if (pane === "center") { // finished processing midPanes
									var fix = browser.isIE6 || !browser.boxModel;
									if ($Ps.north && (fix || state.north.tagName == "IFRAME"))
										$Ps.north.css("width", cssW($Ps.north, sC.innerWidth));
									if ($Ps.south && (fix || state.south.tagName == "IFRAME"))
										$Ps.south.css("width", cssW($Ps.south, sC.innerWidth));
								}

								// resizeAll passes skipCallback because it triggers callbacks after ALL panes are resized
								if (!skipCallback && state.initialized)
									_runCallbacks("onresize_end", pane);
							});
						}


						/**
						 * @see  window.onresize(), callbacks or custom code
						 * @param {(Object|boolean)=} evt_or_refresh If 'true', then also reset pane-positioning
						 */
						, resizeAll = function (evt_or_refresh) {
							var oldW = sC.innerWidth
								, oldH = sC.innerHeight
							;
							// stopPropagation if called by trigger("layoutdestroy") - use evtPane utility
							evtPane(evt_or_refresh);

							// cannot size layout when 'container' is hidden or collapsed
							if (!$N.is(":visible"))
								return;

							if (!state.initialized) {
								_initLayoutElements();
								return; // no need to resize since we just initialized!
							}

							if (evt_or_refresh === true && $.isPlainObject(options.outset)) {
								// update container CSS in case outset option has changed
								$N.css(options.outset);
							}
							// UPDATE container dimensions
							$.extend(sC, elDims($N, options.inset));
							if (!sC.outerHeight)
								return;

							// if 'true' passed, refresh pane & handle positioning too
							if (evt_or_refresh === true) {
								setPanePosition();
							}

							// onresizeall_start will CANCEL resizing if returns false
							// state.container has already been set, so user can access this info for calcuations
							if (false === _runCallbacks("onresizeall_start"))
								return false;

							var // see if container is now 'smaller' than before
								shrunkH = (sC.innerHeight < oldH)
								, shrunkW = (sC.innerWidth < oldW)
								, $P, o, s
							;

							var shrunk = shrunkH || shrunkW;

							// NOTE special order for sizing: S-N-E-W
							$.each(["south", "north", "east", "west"], function (i, pane) {
								if (!$Ps[pane])
									return; // no pane - SKIP
								o = options[pane];
								s = state[pane];

								var paneResponsive = false;
								var paneRespondedState = false;
								var windowWidth = parseInt($(window).css("width"));

								if ((o !== null && o !== 'undefined') && o.responsive && o.responsive.enabled) {
									//if(s.size >= o.responsive.sizes.lg)
									if (windowWidth >= o.responsive.sizes.lg)
										if (o.responsive.when === 'lg' || o.responsive.when === 'md' || o.responsive.when === 'sm' || o.responsive.when === 'xs') {
											paneResponsive = false;
										} else {
											paneResponsive = true;
										}

									//if(s.size >= o.responsive.sizes.md)
									if (windowWidth >= o.responsive.sizes.md && windowWidth < o.responsive.sizes.lg)
										if (o.responsive.when === 'md' || o.responsive.when === 'sm' || o.responsive.when === 'xs') {
											paneResponsive = false;
										} else {
											paneResponsive = true; //hide
										}

									if (windowWidth >= o.responsive.sizes.sm && windowWidth < o.responsive.sizes.md)
										//if(s.size >= o.responsive.sizes.sm)
										if (o.responsive.when === 'sm' || o.responsive.when === 'xs') {
											paneResponsive = false;
										} else {
											paneResponsive = true; //hide
										}

									//if(s.size >= o.responsive.sizes.xs)
									if (windowWidth >= o.responsive.sizes.xs && windowWidth < o.responsive.sizes.sm)
										if (o.responsive.when === 'xs') {
											paneResponsive = false;
										} else {
											paneResponsive = true; //hide
										}
								}
								if (s.autoResize && s.size !== o.size) // resize pane to original size set in options
								{
									if (paneResponsive && s.isVisible) {
										if (o.closable) {
											close(pane, true, !o.responsiveAnimate); // true = force, true = noAnimation
										} else {
											hide(pane, !o.responsiveAnimate); // true = noAnimation
										}
										s.responded = true;
									} else {
										if (s.responded) {
											if (o.closable) {
												open(pane, false, !o.responsiveAnimate); // true = force, true = noAnimation
											} else {
												show(pane, true, !o.responsiveAnimate); // true = open/NoAnimation/NoAlert
											}
											s.responded = false;
										}
									}
									sizePane(pane, o.size, true, true, true); // true=skipCallback/noAnimation/forceResize
								} else {
									setSizeLimits(pane);
									if (paneResponsive) {
										if (o.closable) {
											close(pane, true, !o.responsiveAnimate); // true = force, true = noAnimation
										} else {
											hide(pane, !o.responsiveAnimate); // true = noAnimation
										}
										s.responded = true;
									} else {
										if (s.responded) {
											if (o.closable) {
												open(pane, false, !o.responsiveAnimate); // true = force, true = noAnimation
											} else {
												show(pane, true, !o.responsiveAnimate); // true = open/NoAnimation/NoAlert
											}
											s.responded = false;
										}
									}
									makePaneFit(pane, false, true, true); // true=skipCallback/forceResize
								}
							});

							sizeMidPanes("", true, true); // true=skipCallback/forceResize
							sizeHandles(); // reposition the toggler elements

							// trigger all individual pane callbacks AFTER layout has finished resizing
							$.each(_c.allPanes, function (i, pane) {
								$P = $Ps[pane];
								if (!$P)
									return; // SKIP
								if (state[pane].isVisible) // undefined for non-existent panes
									_runCallbacks("onresize_end", pane); // callback - if exists
							});


							_runCallbacks("onresizeall_end");
							//_triggerLayoutEvent(pane, 'resizeall');
						}

						/**
						 * Whenever a pane resizes or opens that has a nested layout, trigger resizeAll
						 *
						 * @param {(string|Object)} evt_or_pane  The pane just resized or opened
						 */
						, resizeChildren = function (evt_or_pane, skipRefresh) {
							var pane = evtPane.call(this, evt_or_pane);

							if (!options[pane].resizeChildren)
								return;

							// ensure the pane-children are up-to-date
							if (!skipRefresh)
								refreshChildren(pane);
							var pC = children[pane];
							if ($.isPlainObject(pC)) {
								// resize one or more children
								$.each(pC, function (key, child) {
									if (!child.destroyed)
										child.resizeAll();
								});
							}
						}

						/**
						 * IF pane has a content-div, then resize all elements inside pane to fit pane-height
						 *
						 * @param {(string|Object)} evt_or_panes  The pane(s) being resized
						 * @param {boolean=}   [remeasure=false] Should the content (header/footer) be remeasured?
						 */
						, sizeContent = function (evt_or_panes, remeasure) {
							if (!isInitialized())
								return;

							var panes = evtPane.call(this, evt_or_panes);
							panes = panes ? panes.split(",") : _c.allPanes;

							$.each(panes, function (idx, pane) {
								var
									$P = $Ps[pane]
									, $C = $Cs[pane]
									, o = options[pane]
									, s = state[pane]
									, m = s.content // m = measurements
								;
								if (!$P || !$C || !$P.is(":visible"))
									return true; // NOT VISIBLE - skip

								// if content-element was REMOVED, update OR remove the pointer
								if (!$C.length) {
									initContent(pane, false); // false = do NOT sizeContent() - already there!
									if (!$C)
										return;   // no replacement element found - pointer have been removed
								}

								// onsizecontent_start will CANCEL resizing if returns false
								if (false === _runCallbacks("onsizecontent_start", pane))
									return;

								// skip re-measuring offsets if live-resizing
								if ((!s.isMoving && !s.isResizing) || o.liveContentResizing || remeasure || m.top == undefined) {
									_measure();
									// if any footers are below pane-bottom, they may not measure correctly,
									// so allow pane overflow and re-measure
									if (m.hiddenFooters > 0 && $P.css("overflow") === "hidden") {
										$P.css("overflow", "visible");
										_measure(); // remeasure while overflowing
										$P.css("overflow", "hidden");
									}
								}
								// NOTE: spaceAbove/Below *includes* the pane paddingTop/Bottom, but not pane.borders
								var newH = s.innerHeight - (m.spaceAbove - s.css.paddingTop) - (m.spaceBelow - s.css.paddingBottom);

								if (!$C.is(":visible") || m.height != newH) {
									// size the Content element to fit new pane-size - will autoHide if not enough room
									setOuterHeight($C, newH, true); // true=autoHide
									m.height = newH; // save new height
								}
								if (state.initialized)
									_runCallbacks("onsizecontent_end", pane);

								function _below($E) {
									return max(s.css.paddingBottom, (parseInt($E.css("marginBottom"), 10) || 0));
								}

								function _measure() {
									var
										ignore = options[pane].contentIgnoreSelector
										, $Fs = $C.nextAll().not(".ui-layout-mask").not(ignore || ":lt(0)") // not :lt(0) = ALL
										, $Fs_vis = $Fs.filter(':visible')
										, $F = $Fs_vis.filter(':last')
									;
									m = {
										top: $C[0].offsetTop
										, height: parseInt($C.css("height"))+parseInt($C.css("padding-top"))+parseInt($C.css("padding-bottom"))
										, numFooters: $Fs.length
										, hiddenFooters: $Fs.length - $Fs_vis.length
										, spaceBelow: 0 // correct if no content footer ($E)
									};
									m.spaceAbove = m.top; // just for state - not used in calc
									m.bottom = m.top + m.height;
									if ($F.length)
										//spaceBelow = (LastFooter.top + LastFooter.height) [footerBottom] - Content.bottom + max(LastFooter.marginBottom, pane.paddingBotom)
										m.spaceBelow = ($F[0].offsetTop + parseInt($F.css("height"))+parseInt($F.css("padding-top"))+parseInt($F.css("padding-bottom"))) - m.bottom + _below($F);
									else // no footer - check marginBottom on Content element itself
										m.spaceBelow = _below($C);
								}
							});
						}


						/**
						 * Called every time a pane is opened, closed, or resized to slide the togglers to 'center' and adjust their length if necessary
						 *
						 * @see  initHandles(), open(), close(), resizeAll()
						 * @param {(string|Object)=}  evt_or_panes The pane(s) being resized
						 */
						, sizeHandles = function (evt_or_panes) {
							var panes = evtPane.call(this, evt_or_panes);
							panes = panes ? panes.split(",") : _c.borderPanes;

							$.each(panes, function (i, pane) {
								var
									o = options[pane]
									, s = state[pane]
									, $P = $Ps[pane]
									, $R = $Rs[pane]
									, $T = $Ts[pane]
									, $TC
								;
								if (!$P || !$R)
									return;

								var
									dir = _c[pane].dir
									, _state = (s.isClosed ? "_closed" : "_open")
									, spacing = o["spacing" + _state]
									, togAlign = o["togglerAlign" + _state]
									, togLen = o["togglerLength" + _state]
									, paneLen
									, left
									, offset
									, CSS = {}
								;

								if (spacing === 0) {
									$R.hide();
									return;
								} else if (!s.noRoom && !s.isHidden) // skip if resizer was hidden for any reason
									$R.show(); // in case was previously hidden

								// Resizer Bar is ALWAYS same width/height of pane it is attached to
								if (dir === "horz") { // north/south
									//paneLen = $P.outerWidth(); // s.outerWidth ||
									paneLen = sC.innerWidth; // handle offscreen-panes
									s.resizerLength = paneLen;
									left = $.layout.cssNum($P, "left");
									$R.css({
										width: cssW($R, paneLen) // account for borders & padding
										, height: cssH($R, spacing) // ditto
										, left: left > -9999 ? left : sC.inset.left // handle offscreen-panes
									});
								} else { // east/west
									paneLen = parseInt($P.css("height"))+parseInt($P.css("padding-top"))+parseInt($P.css("padding-bottom")); // s.outerHeight ||
									s.resizerLength = paneLen;
									$R.css({
										height: cssH($R, paneLen) // account for borders & padding
										, width: cssW($R, spacing) // ditto
										, top: sC.inset.top + getPaneSize("north", true) // TODO: what if no North pane?
										//, top: $.layout.cssNum($Ps["center"], "top")
									});
								}

								// remove hover classes
								removeHover(o, $R);

								if ($T) {
									if (togLen === 0 || (s.isSliding && o.hideTogglerOnSlide)) {
										$T.hide(); // always HIDE the toggler when 'sliding'
										return;
									} else
										$T.show(); // in case was previously hidden

									if (!(togLen > 0) || togLen === "100%" || togLen > paneLen) {
										togLen = paneLen;
										offset = 0;
									} else { // calculate 'offset' based on options.PANE.togglerAlign_open/closed
										if (isStr(togAlign)) {
											switch (togAlign) {
												case "top":
												case "left":
													offset = 0;
													break;
												case "bottom":
												case "right":
													offset = paneLen - togLen;
													break;
												case "middle":
												case "center":
												default:
													offset = round((paneLen - togLen) / 2); // 'default' catches typos
											}
										} else { // togAlign = number
											var x = parseInt(togAlign, 10); //
											if (togAlign >= 0)
												offset = x;
											else
												offset = paneLen - togLen + x; // NOTE: x is negative!
										}
									}

									if (dir === "horz") { // north/south
										var width = cssW($T, togLen);
										$T.css({
											width: width  // account for borders & padding
											, height: cssH($T, spacing) // ditto
											, left: offset // TODO: VERIFY that toggler  positions correctly for ALL values
											, top: 0
										});
										// CENTER the toggler content SPAN
										$T.children(".content").each(function () {
											$TC = $(this);
											$TC.css("marginLeft", round((width - (parseInt($TC.css("width")) + parseInt($TC.css("padding-left")) + parseInt($TC.css("padding-right")))) / 2)); // could be negative
										});
									} else { // east/west
										var height = cssH($T, togLen);
										$T.css({
											height: height // account for borders & padding
											, width: cssW($T, spacing) // ditto
											, top: offset // POSITION the toggler
											, left: 0
										});
										// CENTER the toggler content SPAN
										$T.children(".content").each(function () {
											$TC = $(this);
											$TC.css("marginTop", round((height - (parseInt($TC.css("height"))+parseInt($TC.css("padding-top"))+parseInt($TC.css("padding-bottom")))) / 2)); // could be negative
										});
									}

									// remove ALL hover classes
									removeHover(0, $T);
								}

								// DONE measuring and sizing this resizer/toggler, so can be 'hidden' now
								if (!state.initialized && (o.initHidden || s.isHidden)) {
									$R.hide();
									if ($T)
										$T.hide();
								}
							});
						}


						/**
						 * @param {(string|Object)} evt_or_pane
						 */
						, enableClosable = function (evt_or_pane) {
							if (!isInitialized())
								return;
							var pane = evtPane.call(this, evt_or_pane)
								, $T = $Ts[pane]
								, o = options[pane]
							;
							if (!$T)
								return;
							o.closable = true;
							$T.on("click." + sID, function (evt) {
								evt.stopPropagation();
								toggle(pane);
							})
								.css("visibility", "visible")
								.css("cursor", "pointer")
								.attr("title", state[pane].isClosed ? o.tips.Open : o.tips.Close) // may be blank
								.show();
						}
						/**
						 * @param {(string|Object)} evt_or_pane
						 * @param {boolean=}   [hide=false]
						 */
						, disableClosable = function (evt_or_pane, hide) {
							if (!isInitialized())
								return;
							var pane = evtPane.call(this, evt_or_pane)
								, $T = $Ts[pane]
							;
							if (!$T)
								return;
							options[pane].closable = false;
							// is closable is disable, then pane MUST be open!
							if (state[pane].isClosed)
								open(pane, false, true);
							$T.off("." + sID)
								.css("visibility", hide ? "hidden" : "visible") // instead of hide(), which creates logic issues
								.css("cursor", "default")
								.attr("title", "");
						}


						/**
						 * @param {(string|Object)} evt_or_pane
						 */
						, enableSlidable = function (evt_or_pane) {
							if (!isInitialized())
								return;
							var pane = evtPane.call(this, evt_or_pane)
								, $R = $Rs[pane]
							;
							if (!$R || !$R.data('draggable'))
								return;
							options[pane].slidable = true;
							if (state[pane].isClosed)
								bindStartSlidingEvents(pane, true);
						}
						/**
						 * @param {(string|Object)} evt_or_pane
						 */
						, disableSlidable = function (evt_or_pane) {
							if (!isInitialized())
								return;
							var pane = evtPane.call(this, evt_or_pane)
								, $R = $Rs[pane]
							;
							if (!$R)
								return;
							options[pane].slidable = false;
							if (state[pane].isSliding)
								close(pane, false, true);
							else {
								bindStartSlidingEvents(pane, false);
								$R.css("cursor", "default")
									.attr("title", "");
								removeHover(null, $R[0]); // in case currently hovered
							}
						}


						/**
						 * @param {(string|Object)} evt_or_pane
						 */
						, enableResizable = function (evt_or_pane) {
							if (!isInitialized())
								return;
							var pane = evtPane.call(this, evt_or_pane)
								, $R = $Rs[pane]
								, o = options[pane]
							;
							if (!$R || !$R.data('draggable'))
								return;
							o.resizable = true;
							$R.draggable("enable");
							if (!state[pane].isClosed)
								$R.css("cursor", o.resizerCursor)
									.attr("title", o.tips.Resize);
						}
						/**
						 * @param {(string|Object)} evt_or_pane
						 */
						, disableResizable = function (evt_or_pane) {
							if (!isInitialized())
								return;
							var pane = evtPane.call(this, evt_or_pane)
								, $R = $Rs[pane]
							;
							if (!$R || !$R.data('draggable'))
								return;
							options[pane].resizable = false;
							$R.draggable("disable")
								.css("cursor", "default")
								.attr("title", "");
							removeHover(null, $R[0]); // in case currently hovered
						}


						/**
						 * Move a pane from source-side (eg, west) to target-side (eg, east)
						 * If pane exists on target-side, move that to source-side, ie, 'swap' the panes
						 *
						 * @param {(string|Object)} evt_or_pane1 The pane/edge being swapped
						 * @param {string}   pane2   ditto
						 */
						, swapPanes = function (evt_or_pane1, pane2) {
							if (!isInitialized())
								return;
							var pane1 = evtPane.call(this, evt_or_pane1);
							// change state.edge NOW so callbacks can know where pane is headed...
							state[pane1].edge = pane2;
							state[pane2].edge = pane1;
							// run these even if NOT state.initialized
							if (false === _runCallbacks("onswap_start", pane1)
								|| false === _runCallbacks("onswap_start", pane2)
							) {
								state[pane1].edge = pane1; // reset
								state[pane2].edge = pane2;
								return;
							}

							var
								oPane1 = copy(pane1)
								, oPane2 = copy(pane2)
								, sizes = {}
							;
							sizes[pane1] = oPane1 ? oPane1.state.size : 0;
							sizes[pane2] = oPane2 ? oPane2.state.size : 0;

							// clear pointers & state
							$Ps[pane1] = false;
							$Ps[pane2] = false;
							state[pane1] = {};
							state[pane2] = {};

							// ALWAYS remove the resizer & toggler elements
							if ($Ts[pane1])
								$Ts[pane1].remove();
							if ($Ts[pane2])
								$Ts[pane2].remove();
							if ($Rs[pane1])
								$Rs[pane1].remove();
							if ($Rs[pane2])
								$Rs[pane2].remove();
							$Rs[pane1] = $Rs[pane2] = $Ts[pane1] = $Ts[pane2] = false;

							// transfer element pointers and data to NEW Layout keys
							move(oPane1, pane2);
							move(oPane2, pane1);

							// cleanup objects
							oPane1 = oPane2 = sizes = null;

							// make panes 'visible' again
							if ($Ps[pane1])
								$Ps[pane1].css(_c.visible);
							if ($Ps[pane2])
								$Ps[pane2].css(_c.visible);

							// fix any size discrepancies caused by swap
							resizeAll();

							// run these even if NOT state.initialized
							_runCallbacks("onswap_end", pane1);
							_runCallbacks("onswap_end", pane2);


							function copy(n) { // n = pane
								var
									$P = $Ps[n]
									, $C = $Cs[n]
								;
								return !$P ? false : {
									pane: n
									, P: $P ? $P[0] : false
									, C: $C ? $C[0] : false
									, state: $.extend(true, {}, state[n])
									, options: $.extend(true, {}, options[n])
								}
							}

							function move(oPane, pane) {
								if (!oPane)
									return;
								var
									P = oPane.P
									, C = oPane.C
									, oldPane = oPane.pane
									, c = _c[pane]
									// save pane-options that should be retained
									, s = $.extend(true, {}, state[pane])
									, o = options[pane]
									// RETAIN side-specific FX Settings - more below
									, fx = {resizerCursor: o.resizerCursor}
									, re, size, pos
								;
								$.each("fxName,fxSpeed,fxSettings".split(","), function (i, k) {
									fx[k + "_open"] = o[k + "_open"];
									fx[k + "_close"] = o[k + "_close"];
									fx[k + "_size"] = o[k + "_size"];
								});

								// update object pointers and attributes
								$Ps[pane] = $(P)
									.data({
										layoutPane: Instance[pane] // NEW pointer to pane-alias-object
										, layoutEdge: pane
									})
									.css(_c.hidden)
									.css(c.cssReq)
								;
								$Cs[pane] = C ? $(C) : false;

								// set options and state
								options[pane] = $.extend(true, {}, oPane.options, fx);
								state[pane] = $.extend(true, {}, oPane.state);

								// change classNames on the pane, eg: ui-layout-pane-east ==> ui-layout-pane-west
								re = new RegExp(o.paneClass + "-" + oldPane, "g");
								P.className = P.className.replace(re, o.paneClass + "-" + pane);

								// ALWAYS regenerate the resizer & toggler elements
								initHandles(pane); // create the required resizer & toggler

								// if moving to different orientation, then keep 'target' pane size
								if (c.dir != _c[oldPane].dir) {
									size = sizes[pane] || 0;
									setSizeLimits(pane); // update pane-state
									size = max(size, state[pane].minSize);
									// use manualSizePane to disable autoResize - not useful after panes are swapped
									manualSizePane(pane, size, true, true); // true/true = skipCallback/noAnimation
								} else // move the resizer here
									$Rs[pane].css(c.side, sC.inset[c.side] + (state[pane].isVisible ? getPaneSize(pane) : 0));


								// ADD CLASSNAMES & SLIDE-BINDINGS
								if (oPane.state.isVisible && !s.isVisible)
									setAsOpen(pane, true); // true = skipCallback
								else {
									setAsClosed(pane);
									bindStartSlidingEvents(pane, true); // will enable events IF option is set
								}

								// DESTROY the object
								oPane = null;
							}
						}


						/**
						 * INTERNAL method to sync pin-buttons when pane is opened or closed
						 * Unpinned means the pane is 'sliding' - ie, over-top of the adjacent panes
						 *
						 * @see  open(), setAsOpen(), setAsClosed()
						 * @param {string} pane   These are the params returned to callbacks by layout()
						 * @param {boolean} doPin  True means set the pin 'down', False means 'up'
						 */
						, syncPinBtns = function (pane, doPin) {
							if ($.layout.plugins.buttons)
								$.each(state[pane].pins, function (i, selector) {
									$.layout.buttons.setPinState(Instance, $(selector), pane, doPin);
								});
						}

					; // END var DECLARATIONS

					/**
					 * Capture keys when enableCursorHotkey - toggle pane if hotkey pressed
					 *
					 * @see  document.keydown()
					 */
					function keyDown(evt) {
						if (!evt)
							return true;
						var code = evt.keyCode;
						if (code < 33)
							return true; // ignore special keys: ENTER, TAB, etc

						var
							PANE = {
								38: "north" // Up Cursor - $.ui.keyCode.UP
								, 40: "south" // Down Cursor - $.ui.keyCode.DOWN
								, 37: "west"  // Left Cursor - $.ui.keyCode.LEFT
								, 39: "east"  // Right Cursor - $.ui.keyCode.RIGHT
							}
							, ALT = evt.altKey // no worky!
							, SHIFT = evt.shiftKey
							, CTRL = evt.ctrlKey
							, CURSOR = (CTRL && code >= 37 && code <= 40)
							, o, k, m, pane
						;

						if (CURSOR && options[PANE[code]].enableCursorHotkey) // valid cursor-hotkey
							pane = PANE[code];
						else if (CTRL || SHIFT) // check to see if this matches a custom-hotkey
							$.each(_c.borderPanes, function (i, p) { // loop each pane to check its hotkey
								o = options[p];
								k = o.customHotkey;
								m = o.customHotkeyModifier; // if missing or invalid, treated as "CTRL+SHIFT"
								if ((SHIFT && m == "SHIFT") || (CTRL && m == "CTRL") || (CTRL && SHIFT)) { // Modifier matches
									if (k && code === (isNaN(k) || k <= 9 ? k.toUpperCase().charCodeAt(0) : k)) { // Key matches
										pane = p;
										return false; // BREAK
									}
								}
							});

						// validate pane
						if (!pane || !$Ps[pane] || !options[pane].closable || state[pane].isHidden)
							return true;

						toggle(pane);

						evt.stopPropagation();
						evt.returnValue = false; // CANCEL key
						return false;
					}

					/*
         * ######################################
         * UTILITY METHODS
         * called externally or by initButtons
         * ######################################
         */

					/**
					 * Change/reset a pane overflow setting & zIndex to allow popups/drop-downs to work
					 *
					 * @param {Object=}   [el] (optional) Can also be 'bound' to a click, mouseOver, or other event
					 */
					function allowOverflow(el) {
						if (!isInitialized())
							return;
						if (this && this.tagName)
							el = this; // BOUND to element
						var $P;
						if (isStr(el))
							$P = $Ps[el];
						else if ($(el).data("layoutRole"))
							$P = $(el);
						else
							$(el).parents().each(function () {
								if ($(this).data("layoutRole")) {
									$P = $(this);
									return false; // BREAK
								}
							});
						if (!$P || !$P.length)
							return; // INVALID

						var
							pane = $P.data("layoutEdge")
							, s = state[pane]
						;

						// if pane is already raised, then reset it before doing it again!
						// this would happen if allowOverflow is attached to BOTH the pane and an element
						if (s.cssSaved)
							resetOverflow(pane); // reset previous CSS before continuing

						// if pane is raised by sliding or resizing, or its closed, then abort
						if (s.isSliding || s.isResizing || s.isClosed) {
							s.cssSaved = false;
							return;
						}

						var
							newCSS = {zIndex: (options.zIndexes.resizer_normal + 1)}
							, curCSS = {}
							, of = $P.css("overflow")
							, ofX = $P.css("overflowX")
							, ofY = $P.css("overflowY")
						;
						// determine which, if any, overflow settings need to be changed
						if (of != "visible") {
							curCSS.overflow = of;
							newCSS.overflow = "visible";
						}
						if (ofX && !ofX.match(/(visible|auto)/)) {
							curCSS.overflowX = ofX;
							newCSS.overflowX = "visible";
						}
						if (ofY && !ofY.match(/(visible|auto)/)) {
							curCSS.overflowY = ofX;
							newCSS.overflowY = "visible";
						}

						// save the current overflow settings - even if blank!
						s.cssSaved = curCSS;

						// apply new CSS to raise zIndex and, if necessary, make overflow 'visible'
						$P.css(newCSS);

						// make sure the zIndex of all other panes is normal
						$.each(_c.allPanes, function (i, p) {
							if (p != pane)
								resetOverflow(p);
						});

					}

					/**
					 * @param {Object=}   [el] (optional) Can also be 'bound' to a click, mouseOver, or other event
					 */
					function resetOverflow(el) {
						if (!isInitialized())
							return;
						if (this && this.tagName)
							el = this; // BOUND to element
						var $P;
						if (isStr(el))
							$P = $Ps[el];
						else if ($(el).data("layoutRole"))
							$P = $(el);
						else
							$(el).parents().each(function () {
								if ($(this).data("layoutRole")) {
									$P = $(this);
									return false; // BREAK
								}
							});
						if (!$P || !$P.length)
							return; // INVALID

						var
							pane = $P.data("layoutEdge")
							, s = state[pane]
							, CSS = s.cssSaved || {}
						;
						// reset the zIndex
						if (!s.isSliding && !s.isResizing)
							$P.css("zIndex", options.zIndexes.pane_normal);

						// reset Overflow - if necessary
						$P.css(CSS);

						// clear var
						s.cssSaved = false;
					}

					/*
         * #####################
         * CREATE/RETURN LAYOUT
         * #####################
         */

					// validate that container exists
					var $N = $(this).eq(0); // FIRST matching Container element
					if (!$N.length) {
						return _log(options.errors.containerMissing);
					}
					// Users retrieve Instance of a layout with: $N.layout() OR $N.data("layout")
					// return the Instance-pointer if layout has already been initialized
					if ($N.data("layoutContainer") && $N.data("layout"))
						return $N.data("layout"); // cached pointer

					// init global vars
					var
						$Ps = {} // Panes x5  - set in initPanes()
						, $Cs = {} // Content x5 - set in initPanes()
						, $Rs = {} // Resizers x4 - set in initHandles()
						, $Ts = {} // Togglers x4 - set in initHandles()
						, $Ms = $([]) // Masks - up to 2 masks per pane (IFRAME + DIV)
						// aliases for code brevity
						, sC = state.container // alias for easy access to 'container dimensions'
						, sID = state.id // alias for unique layout ID/namespace - eg: "layout435"
					;

					// create Instance object to expose data & option Properties, and primary action Methods
					var Instance = {
						// layout data
						options: options   // property - options hash
						, state: state   // property - dimensions hash
						// object pointers
						, container: $N    // property - object pointers for layout container
						, panes: $Ps    // property - object pointers for ALL Panes: panes.north, panes.center
						, contents: $Cs    // property - object pointers for ALL Content: contents.north, contents.center
						, resizers: $Rs    // property - object pointers for ALL Resizers, eg: resizers.north
						, togglers: $Ts    // property - object pointers for ALL Togglers, eg: togglers.north
						// border-pane open/close
						, hide: hide   // method - ditto
						, show: show   // method - ditto
						, toggle: toggle   // method - pass a 'pane' ("north", "west", etc)
						, open: open   // method - ditto
						, close: close   // method - ditto
						, slideOpen: slideOpen  // method - ditto
						, slideClose: slideClose  // method - ditto
						, slideToggle: slideToggle  // method - ditto
						// pane actions
						, setSizeLimits: setSizeLimits // method - pass a 'pane' - update state min/max data
						, _sizePane: sizePane  // method -intended for user by plugins only!
						, sizePane: manualSizePane // method - pass a 'pane' AND an 'outer-size' in pixels or percent, or 'auto'
						, sizeContent: sizeContent  // method - pass a 'pane'
						, swapPanes: swapPanes  // method - pass TWO 'panes' - will swap them
						, showMasks: showMasks  // method - pass a 'pane' OR list of panes - default = all panes with mask option set
						, hideMasks: hideMasks  // method - ditto'
						// pane element methods
						, initContent: initContent  // method - ditto
						, addPane: addPane   // method - pass a 'pane'
						, removePane: removePane  // method - pass a 'pane' to remove from layout, add 'true' to delete the pane-elem
						, createChildren: createChildren // method - pass a 'pane' and (optional) layout-options (OVERRIDES options[pane].children
						, refreshChildren: refreshChildren // method - pass a 'pane' and a layout-instance
						// special pane option setting
						, enableClosable: enableClosable // method - pass a 'pane'
						, disableClosable: disableClosable // method - ditto
						, enableSlidable: enableSlidable // method - ditto
						, disableSlidable: disableSlidable // method - ditto
						, enableResizable: enableResizable // method - ditto
						, disableResizable: disableResizable// method - ditto
						// utility methods for panes
						, allowOverflow: allowOverflow // utility - pass calling element (this)
						, resetOverflow: resetOverflow // utility - ditto
						// layout control
						, destroy: destroy   // method - no parameters
						, initPanes: isInitialized // method - no parameters
						, resizeAll: resizeAll  // method - no parameters
						// callback triggering
						, runCallbacks: _runCallbacks // method - pass evtName & pane (if a pane-event), eg: trigger("onopen", "west")
						// alias collections of options, state and children - created in addPane and extended elsewhere
						, hasParentLayout: false   // set by initContainer()
						, children: children  // pointers to child-layouts, eg: Instance.children.west.layoutName
						, north: false   // alias group: { name: pane, pane: $Ps[pane], options: options[pane], state: state[pane], children: children[pane] }
						, south: false   // ditto
						, west: false   // ditto
						, east: false   // ditto
						, center: false   // ditto
					};

					// create the border layout NOW
					if (_create() === 'cancel') // onload_start callback returned false to CANCEL layout creation
						return null;
					else // true OR false -- if layout-elements did NOT init (hidden or do not exist), can auto-init later
						return Instance; // return the Instance object

				};
			}

		)(jQuery);


		/**
		 * Cookie plugin
		 *
		 * Copyright (c) 2006 Klaus Hartl (stilbuero.de)
		 * Dual licensed under the MIT and GPL licenses:
		 * http://www.opensource.org/licenses/mit-license.php
		 * http://www.gnu.org/licenses/gpl.html
		 *
		 */
		/*jQuery.cookie = function (name, value, options) {
        if (typeof value != 'undefined') { // name and value given, set cookie
            options = options || {};
            if (value === null) {
                value = '';
                options.expires = -1;
            }
            var expires = '';
            if (options.expires && (typeof options.expires == 'number' || options.expires.toUTCString)) {
                var date;
                if (typeof options.expires == 'number') {
                    date = new Date();
                    date.setTime(date.getTime() + (options.expires * 24 * 60 * 60 * 1000));
                } else {
                    date = options.expires;
                }
                expires = '; expires=' + date.toUTCString(); // use expires attribute, max-age is not supported by IE
            }
            // CAUTION: Needed to parenthesize options.path and options.domain
            // in the following expressions, otherwise they evaluate to undefined
            // in the packed version for some reason...
            var path = options.path ? '; path=' + (options.path) : '';
            var domain = options.domain ? '; domain=' + (options.domain) : '';
            var secure = options.secure ? '; secure; samesite=' + options.sameSite : '';
            var httpOnly = options.httpOnly ? '; HttpOnly' : '';
            document.cookie = [name, '=', encodeURIComponent(value), expires, path, domain, secure].join('');
        } else { // only name given, get cookie
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = String.prototype.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
    };
    */



		/**
		 * @preserve jquery.layout.state 1.0
		 * $Date: 2011-07-16 08:00:00 (Sat, 16 July 2011) $
		 *
		 * Copyright (c) 2010
		 *   Kevin Dalman (http://allpro.net)
		 *
		 * Dual licensed under the GPL (http://www.gnu.org/licenses/gpl.html)
		 * and MIT (http://www.opensource.org/licenses/mit-license.php) licenses.
		 *
		 * @dependancies: UI Layout 1.8.2 or higher
		 * @dependancies: Persist.js
		 *
		 * @support: http://groups.google.com/group/jquery-ui-layout
		 */
		/*
     *	State-management options stored in options.stateManagement, which includes a .cookie hash
     *	Default options saves ALL KEYS for ALL PANES, ie: pane.size, pane.isClosed, pane.isHidden
     *
     *	// STATE/COOKIE OPTIONS
     *	@example $(el).layout({
                    stateManagement: {
                        enabled:	true
                    ,	stateKeys:	"east.size,west.size,east.isClosed,west.isClosed"
                    ,	cookie:		{ name: "appLayout", path: "/" }
                    }
                })
     *	@example $(el).layout({ stateManagement__enabled: true }) // enable auto-state-management using cookies
     *	@example $(el).layout({ stateManagement__cookie: { name: "appLayout", path: "/" } })
     *	@example $(el).layout({ stateManagement__cookie__name: "appLayout", stateManagement__cookie__path: "/" })
     *
     *	// STATE/COOKIE METHODS
     *	@example myLayout.saveCookie( "west.isClosed,north.size,south.isHidden", {expires: 7} );
     *	@example myLayout.loadCookie();
     *	@example myLayout.deleteCookie();
     *	@example var JSON = myLayout.readState();	// CURRENT Layout State
     *	@example var JSON = myLayout.readCookie();	// SAVED Layout State (from cookie)
     *	@example var JSON = myLayout.state.stateData;	// LAST LOADED Layout State (cookie saved in layout.state hash)
     *
     *	CUSTOM STATE-MANAGEMENT (eg, saved in a database)
     *	@example var JSON = myLayout.readState( "west.isClosed,north.size,south.isHidden" );
     *	@example myLayout.loadState( JSON );
     */

// NOTE: For best readability, view with a fixed-width font and tabs equal to 4-chars

		;(function ($) {

		if (!$.layout) return;

		/**
     Persist-JS
		 */
		(function(){if(window.google&&google.gears){return}var a=null;if(typeof GearsFactory!="undefined"){a=new GearsFactory()}else{try{a=new ActiveXObject("Gears.Factory");if(a.getBuildInfo().indexOf("ie_mobile")!=-1){a.privateSetGlobalObject(this)}}catch(b){if((typeof navigator.mimeTypes!="undefined")&&navigator.mimeTypes["application/x-googlegears"]){a=document.createElement("object");a.style.display="none";a.width=0;a.height=0;a.type="application/x-googlegears";document.documentElement.appendChild(a)}}}if(!a){return}if(!window.google){google={}}if(!google.gears){google.gears={factory:a}}})();Persist=(function(){var i="0.3.1",d,b,g,h,e,f;f=(function(){var q="Thu, 01-Jan-1970 00:00:01 GMT",k=1000*60*60*24,r=["expires","path","domain"],m=escape,l=unescape,p=document,n;var s=function(){var t=new Date();t.setTime(t.getTime());return t};var j=function(x,A){var w,v,z,y=[],u=(arguments.length>2)?arguments[2]:{};y.push(m(x)+"="+m(A));for(var t=0;t<r.length;t++){v=r[t];z=u[v];if(z){y.push(v+"="+z)}}if(u.secure){y.push("secure")}return y.join("; ")};var o=function(){return navigator.cookieEnabled};n={set:function(B,x){var u=(arguments.length>2)?arguments[2]:{},v=s(),A,z={};if(u.expires){if(u.expires==-1){z.expires=-1}else{var w=u.expires*k;z.expires=new Date(v.getTime()+w);z.expires=z.expires.toGMTString()}}var C=["path","domain","secure"];for(var y=0;y<C.length;y++){if(u[C[y]]){z[C[y]]=u[C[y]]}}var t=j(B,x,z);p.cookie=t;return x},has:function(u){u=m(u);var x=p.cookie,w=x.indexOf(u+"="),t=w+u.length+1,v=x.substring(0,u.length);return((!w&&u!=v)||w<0)?false:true},get:function(v){v=m(v);var y=p.cookie,x=y.indexOf(v+"="),t=x+v.length+1,w=y.substring(0,v.length),u;if((!x&&v!=w)||x<0){return null}u=y.indexOf(";",t);if(u<0){u=y.length}return l(y.substring(t,u))},remove:function(t){var v=n.get(t),u={expires:q};p.cookie=j(t,"",u);return v},keys:function(){var y=p.cookie,x=y.split("; "),u,w,v=[];for(var t=0;t<x.length;t++){w=x[t].split("=");v.push(l(w[0]))}return v},all:function(){var y=p.cookie,x=y.split("; "),u,w,v=[];for(var t=0;t<x.length;t++){w=x[t].split("=");v.push([l(w[0]),l(w[1])])}return v},version:"0.2.1",enabled:false};n.enabled=o.call(n);return n}());var c=(function(){if(Array.prototype.indexOf){return function(j,k){return Array.prototype.indexOf.call(j,k)}}else{return function(o,p){var n,m;for(var k=0,j=o.length;k<j;k++){if(o[k]==p){return k}}return -1}}})();e=function(){};g=function(j){return"PS"+j.replace(/_/g,"__").replace(/ /g,"_s")};var a={search_order:["localstorage","globalstorage","gears","cookie","ie","flash"],name_re:/^[a-z][a-z0-9_ \-]+$/i,methods:["init","get","set","remove","load","save","iterate"],sql:{version:"1",create:"CREATE TABLE IF NOT EXISTS persist_data (k TEXT UNIQUE NOT NULL PRIMARY KEY, v TEXT NOT NULL)",get:"SELECT v FROM persist_data WHERE k = ?",set:"INSERT INTO persist_data(k, v) VALUES (?, ?)",remove:"DELETE FROM persist_data WHERE k = ?",keys:"SELECT * FROM persist_data"},flash:{div_id:"_persist_flash_wrap",id:"_persist_flash",path:"persist.swf",size:{w:1,h:1},params:{autostart:true}}};b={gears:{size:-1,test:function(){return(window.google&&window.google.gears)?true:false},methods:{init:function(){var j;j=this.db=google.gears.factory.create("beta.database");j.open(g(this.name));j.execute(a.sql.create).close()},get:function(l){var m,n=a.sql.get;var j=this.db;var k;j.execute("BEGIN").close();m=j.execute(n,[l]);k=m.isValidRow()?m.field(0):null;m.close();j.execute("COMMIT").close();return k},set:function(m,p){var k=a.sql.remove,o=a.sql.set,n;var j=this.db;var l;j.execute("BEGIN").close();j.execute(k,[m]).close();j.execute(o,[m,p]).close();j.execute("COMMIT").close();return p},remove:function(l){var n=a.sql.get,p=a.sql.remove,m,o=null,j=false;var k=this.db;k.execute("BEGIN").close();k.execute(p,[l]).close();k.execute("COMMIT").close();return true},iterate:function(m,l){var k=a.sql.keys;var n;var j=this.db;n=j.execute(k);while(n.isValidRow()){m.call(l||this,n.field(0),n.field(1));n.next()}n.close()}}},globalstorage:{size:5*1024*1024,test:function(){if(window.globalStorage){var j="127.0.0.1";if(this.o&&this.o.domain){j=this.o.domain}try{var l=globalStorage[j];return true}catch(k){if(window.console&&window.console.warn){console.warn("globalStorage exists, but couldn't use it because your browser is running on domain:",j)}return false}}else{return false}},methods:{key:function(j){return g(this.name)+g(j)},init:function(){this.store=globalStorage[this.o.domain]},get:function(j){j=this.key(j);return this.store.getItem(j)},set:function(j,k){j=this.key(j);this.store.setItem(j,k);return k},remove:function(j){var k;j=this.key(j);k=this.store.getItem[j];this.store.removeItem(j);return k}}},localstorage:{size:-1,test:function(){try{if(window.localStorage&&window.localStorage.setItem("persistjs_test_local_storage",null)==undefined){window.localStorage.removeItem("persistjs_test_local_storage");if(/Firefox[\/\s](\d+\.\d+)/.test(navigator.userAgent)){var k=RegExp.$1;if(k>=9){return true}if(window.location.protocol=="file:"){return false}}else{return true}}else{return false}return window.localStorage?true:false}catch(j){return false}},methods:{key:function(j){return this.name+">"+j},init:function(){this.store=localStorage},get:function(j){j=this.key(j);return this.store.getItem(j)},set:function(j,k){j=this.key(j);this.store.setItem(j,k);return k},remove:function(j){var k;j=this.key(j);k=this.store.getItem(j);this.store.removeItem(j);return k},iterate:function(o,n){var j=this.store,m,p;for(var k=0;k<j.length;k++){m=j.key(k);p=m.split(">");if((p.length==2)&&(p[0]==this.name)){o.call(n||this,p[1],j.getItem(m))}}}}},ie:{prefix:"_persist_data-",size:64*1024,test:function(){return window.ActiveXObject?true:false},make_userdata:function(k){var j=document.createElement("div");j.id=k;j.style.display="none";j.addBehavior("#default#userdata");document.body.appendChild(j);return j},methods:{init:function(){var j=b.ie.prefix+g(this.name);this.el=b.ie.make_userdata(j);if(this.o.defer){this.trigger("load")}},get:function(j){var k;j=g(j);if(!this.o.defer){this.trigger("load")}k=this.el.getAttribute(j);return k},set:function(j,k){j=g(j);this.el.setAttribute(j,k);if(!this.o.defer){this.save()}return k},remove:function(j){var k;j=g(j);if(!this.o.defer){this.trigger("load")}k=this.el.getAttribute(j);this.el.removeAttribute(j);if(!this.o.defer){this.save()}return k},load:function(){this.el.on("load",g(this.name))},save:function(){this.el.save(g(this.name))}}},cookie:{delim:":",size:4000,test:function(){return d.Cookie.enabled?true:false},methods:{key:function(j){return this.name+b.cookie.delim+j},get:function(j,k){var l;j=this.key(j);l=f.get(j);return l},set:function(j,l,k){j=this.key(j);f.set(j,l,this.o);return l},remove:function(j,k){var k;j=this.key(j);k=f.remove(j);return k}}},flash:{test:function(){try{if(!swfobject){return false}}catch(k){return false}var j=swfobject.getFlashPlayerVersion().major;return(j>=8)?true:false},methods:{init:function(){if(!b.flash.el){var l,m,k,j=a.flash;m=document.createElement("div");m.id=j.div_id;k=document.createElement("div");k.id=j.id;m.appendChild(k);document.body.appendChild(m);b.flash.el=swfobject.createSWF({id:j.id,data:this.o.swf_path||j.path,width:j.size.w,height:j.size.h},j.params,j.id)}this.el=b.flash.el},get:function(j){var k;j=g(j);k=this.el.get(this.name,j);return k},set:function(k,l){var j;k=g(k);j=this.el.set(this.name,k,l);return j},remove:function(j){var k;j=g(j);k=this.el.remove(this.name,j);return k}}}};h=function(){var n,j,p,r,s=a.methods,t=a.search_order;for(var q=0,o=s.length;q<o;q++){d.Store.prototype[s[q]]=e}d.type=null;d.size=-1;for(var m=0,k=t.length;!d.type&&m<k;m++){p=b[t[m]];if(p.test()){d.type=t[m];d.size=p.size;for(r in p.methods){d.Store.prototype[r]=p.methods[r]}}}d._init=true};d={VERSION:i,type:null,size:0,add:function(j){b[j.id]=j;a.search_order=[j.id].concat(a.search_order);h()},remove:function(k){var j=c(a.search_order,k);if(j<0){return}a.search_order.splice(j,1);delete b[k];h()},Cookie:f,Store:function(j,k){if(!a.name_re.exec(j)){throw new Error("Invalid name")}if(!d.type){throw new Error("No suitable storage found")}k=k||{};this.name=j;k.domain=k.domain||location.hostname||"localhost";k.domain=k.domain.replace(/:\d+$/,"");k.domain=(k.domain=="localhost")?"":k.domain;this.o=k;k.expires=k.expires||365*2;k.path=k.path||"/";if(this.o.search_order){a.search_order=this.o.search_order;h()}this.init()}};h();return d})();
		var layoutStore = new Persist.Store("LayoutProperties");
// tell Layout that the state plugin is available
		$.layout.plugins.stateManagement = true;

//	Add State-Management options to layout.defaults
		$.layout.defaults.stateManagement = {
			enabled:	false	// true = enable state-management, even if not using cookies
			,	autoSave:	true	// Save a state-cookie when page exits?
			,	autoLoad:	true	// Load the state-cookie when Layout inits?
			// List state-data to save - must be pane-specific
			,	stateKeys:	"north.size,south.size,east.size,west.size,"+
				"north.isClosed,south.isClosed,east.isClosed,west.isClosed,"+
				"north.isHidden,south.isHidden,east.isHidden,west.isHidden"
			, storeLocation: 'localstorage' //or globalStorage or sessionStorage or cookie or flash or
			,	cookie: {
				name:	""	// If not specified, will use Layout.name, else just "Layout". Now the Store Name
			}
		};
// Set stateManagement as a layout-option, NOT a pane-option
		$.layout.optionsMap.layout.push("stateManagement");

		/*
     *	State Managment methods
     */
		$.layout.state = {
			// set data used by multiple methods below
			config: {
				allPanes:	"north,south,west,east,center"
			}

			/**
			 * Get the current layout state and save it to a cookie
			 *
			 * myLayout.saveCookie( keys, cookieOpts )
			 *
			 * @param {Object}			inst
			 * @param {(string|Array)=}	keys
			 * @param {Object=}			opts
			 */
			,	saveCookie: function (inst, keys, cookieOpts) {
				var o	= inst.options
					,	oS	= o.stateManagement
					,	oC	= $.extend( {}, oS.cookie, cookieOpts || {} )
					,	data = inst.state.stateData = inst.readState( keys || oS.stateKeys ) // read current panes-state
				;
				var storeName = oC.name || o.name || "Layout";
				layoutStore.set(storeName,JSON.stringify(data));
				layoutStore.save();
				return $.extend( {}, data ); // return COPY of state.stateData data
			}

			/**
			 * Remove the state cookie
			 *
			 * @param {Object}	inst
			 */
			,	deleteCookie: function (inst) {
				var o = inst.options;
				layoutStore.remove( o.stateManagement.cookie.name || o.name || "Layout");
			}

			/**
			 * Read & return data from the cookie - as JSON
			 *
			 * @param {Object}	inst
			 */
			,	readCookie: function (inst) {
				var o = inst.options;
				var c = layoutStore.get(o.stateManagement.cookie.name || o.name || "Layout");
				// convert cookie string back to a hash and return it
				return c ? JSON.parse(c): {};
			}

			/**
			 * Get data from the cookie and USE IT to loadState
			 *
			 * @param {Object}	inst
			 */
			,	loadCookie: function (inst) {
				var c = $.layout.state.readCookie(inst); // READ the cookie
				if (c && !$.isEmptyObject( c )) {
					inst.state.stateData = $.extend({}, c); // SET state.stateData
					inst.loadState(c); // LOAD the retrieved state
				}
				return c;
			}

			/**
			 * Update layout options from the cookie, if one exists
			 *
			 * @param {Object}		inst
			 * @param {Object=}		stateData
			 * @param {boolean=}	animate
			 */
			,	loadState: function (inst, stateData, animate) {
				stateData = $.layout.transformData( stateData ); // panes = default subkey
				$.extend( true, inst.options, stateData ); // update layout options
				// if layout has already been initialized, then UPDATE layout state
				if (inst.state.initialized) {
					var pane, o, s, h, c
						,	noAnimate = (animate===false);
					$.each($.layout.state.config.allPanes.split(","), function (idx, pane) {
						o = stateData[ pane ];
						if (typeof o != 'object') return; // no key, continue
						s = o.size;
						c = o.initClosed;
						h = o.initHidden;
						if (s > 0 || s=="auto") inst.sizePane(pane, s, false, null, noAnimate); // will animate resize if option enabled
						if (h === true)			inst.hide(pane, a);
						else if (c === false)	inst.open (pane, false, noAnimate);
						else if (c === true)	inst.close(pane, false, noAnimate);
						else if (h === false)	inst.show (pane, false, noAnimate);
					});
				}
			}

			/**
			 * Get the *current layout state* and return it as a hash
			 *
			 * @param {Object=}			inst
			 * @param {(string|Array)=}	keys
			 */
			,	readState: function (inst, keys) {
				var
					data	= {}
					,	alt		= { isClosed: 'initClosed', isHidden: 'initHidden' }
					,	state	= inst.state
					,	pair, pane, key, val
				;
				if (!keys) keys = inst.options.stateManagement.stateKeys; // if called by user
				if (Array.isArray(keys)) keys = keys.join(",");
				// convert keys to an array and change delimiters from '__' to '.'
				keys = keys.replace(/__/g, ".").split(',');
				// loop keys and create a data hash
				for (var i=0, n=keys.length; i < n; i++) {
					pair = keys[i].split(".");
					pane = pair[0];
					key  = pair[1];
					if ($.layout.state.config.allPanes.indexOf(pane) < 0) continue; // bad pane!
					val = state[ pane ][ key ];
					if (val == undefined) continue;
					if (key=="isClosed" && state[pane]["isSliding"])
						val = true; // if sliding, then *really* isClosed
					( data[pane] || (data[pane]={}) )[ alt[key] ? alt[key] : key ] = val;
				}
				return data;
			}
			,	_create: function (inst) {
				//	ADD State-Management plugin methods to inst
				$.extend( inst, {
					//	readCookie - update options from cookie - returns hash of cookie data
					readCookie:		function () { return $.layout.state.readCookie(inst); }
					//	deleteCookie
					,	deleteCookie:	function () { $.layout.state.deleteCookie(inst); }
					//	saveCookie - optionally pass keys-list and cookie-options (hash)
					,	saveCookie:		function (keys, cookieOpts) { return $.layout.state.saveCookie(inst, keys, cookieOpts); }
					//	loadCookie - readCookie and use to loadState() - returns hash of cookie data
					,	loadCookie:		function () { return $.layout.state.loadCookie(inst); }
					//	loadState - pass a hash of state to use to update options
					,	loadState:		function (stateData, animate) { $.layout.state.loadState(inst, stateData, animate); }
					//	readState - returns hash of current layout-state
					,	readState:		function (keys) { return $.layout.state.readState(inst, keys); }
				});

				// init state.stateData key, even if plugin is initially disabled
				inst.state.stateData = {};

				// read and load cookie-data per options
				var oS = inst.options.stateManagement;
				if (oS.enabled) {
					if (oS.autoLoad) // update the options from the cookie
						inst.loadCookie();
					else // don't modify options - just store cookie data in state.stateData
						inst.state.stateData = inst.readCookie();
				}
			}

			,	_unload: function (inst) {
				var oS = inst.options.stateManagement;
				if (oS.enabled) {
					if (oS.autoSave) // save a state-cookie automatically
						inst.saveCookie();
					else // don't save a cookie, but do store state-data in state.stateData key
						inst.state.stateData = inst.readState();
				}
			}
		};

// add state initialization method to Layout's onCreate array of functions
		$.layout.onCreate.push( $.layout.state._create );
		$.layout.onUnload.push( $.layout.state._unload );

	})( jQuery );



		(function ($) {

			if (!$.layout)
				return;


// tell Layout that the state plugin is available
			$.layout.plugins.buttons = true;

// Add State-Management options to layout.defaults
			$.layout.defaults.autoBindCustomButtons = false;
// Set stateManagement as a layout-option, NOT a pane-option
			$.layout.optionsMap.layout.push("autoBindCustomButtons");

			/*
     * Button methods
     */
			$.layout.buttons = {
				// set data used by multiple methods below
				config: {
					borderPanes: "north,south,west,east"
				}

				/**
				 * Searches for .ui-layout-button-xxx elements and auto-binds them as layout-buttons
				 *
				 * @see  _create()
				 */
				, init: function (inst) {
					var pre = "ui-layout-button-"
						, layout = inst.options.name || ""
						, name;
					$.each("toggle,open,close,pin,toggle-slide,open-slide".split(","), function (i, action) {
						$.each($.layout.buttons.config.borderPanes.split(","), function (ii, pane) {
							$("." + pre + action + "-" + pane).each(function () {
								// if button was previously 'bound', data.layoutName was set, but is blank if layout has no 'name'
								name = $(this).data("layoutName") || $(this).attr("layoutName");
								if (name == undefined || name === layout)
									inst.onButton(this, action, pane);
							});
						});
					});
				}

				/**
				 * Helper function to validate params received by addButton utilities
				 *
				 * Two classes are added to the element, based on the buttonClass...
				 * The type of button is appended to create the 2nd className:
				 *  - ui-layout-button-pin
				 *  - ui-layout-pane-button-toggle
				 *  - ui-layout-pane-button-open
				 *  - ui-layout-pane-button-close
				 *
				 * @param  {(string|!Object)} selector jQuery selector (or element) for button, eg: ".ui-layout-north .toggle-button"
				 * @param  {string}      pane   Name of the pane the button is for: 'north', 'south', etc.
				 * @return {Array.<Object>}  If both params valid, the element matching 'selector' in a jQuery wrapper - otherwise returns null
				 */
				, get: function (inst, selector, pane, action) {
					var $E = $(selector)
						, o = inst.options
						//, err = o.showErrorMessages
					;
					if ($E.length && $.layout.buttons.config.borderPanes.indexOf(pane) >= 0) {
						var btn = o[pane].buttonClass + "-" + action;
						$E.addClass(btn + " " + btn + "-" + pane)
							.data("layoutName", o.name); // add layout identifier - even if blank!
					}
					return $E;
				}


				/**
				 * NEW syntax for binding layout-buttons - will eventually replace addToggle, addOpen, etc.
				 *
				 * @param {(string|!Object)} sel  jQuery selector (or element) for button, eg: ".ui-layout-north .toggle-button"
				 * @param {string}   action
				 * @param {string}   pane
				 */
				, bind: function (inst, sel, action, pane) {
					var _ = $.layout.buttons;
					switch (action.toLowerCase()) {
						case "toggle":
							_.addToggle(inst, sel, pane);
							break;
						case "open":
							_.addOpen(inst, sel, pane);
							break;
						case "close":
							_.addClose(inst, sel, pane);
							break;
						case "pin":
							_.addPin(inst, sel, pane);
							break;
						case "toggle-slide":
							_.addToggle(inst, sel, pane, true);
							break;
						case "open-slide":
							_.addOpen(inst, sel, pane, true);
							break;
					}
					return inst;
				}

				/**
				 * Add a custom Toggler button for a pane
				 *
				 * @param {(string|!Object)} selector jQuery selector (or element) for button, eg: ".ui-layout-north .toggle-button"
				 * @param {string}     pane   Name of the pane the button is for: 'north', 'south', etc.
				 * @param {boolean=}   slide   true = slide-open, false = pin-open
				 */
				, addToggle: function (inst, selector, pane, slide) {
					$.layout.buttons.get(inst, selector, pane, "toggle")
						.on('click',function (evt) {
							inst.toggle(pane, !!slide);
							evt.stopPropagation();
						});
					return inst;
				}
				/**
				 * Add a slide Toggler button for a pane
				 *
				 * @param {(string|!Object)} selector jQuery selector (or element) for button, eg: ".ui-layout-north .toggle-button"
				 * @param {string}     pane   Name of the pane the button is for: 'north', 'south', etc.
				 * @param {boolean=}   slide   true = slide-open, false = pin-open
				 */
				, addSlideToggle: function (inst, selector, pane, slide) {
					$.layout.buttons.get(inst, selector, pane, "slideToggle")
						.on('click',function (evt) {
							inst.slideToggle(pane, !!slide);
							evt.stopPropagation();
						});
					return inst;
				}

				/**
				 * Add a custom Open button for a pane
				 *
				 * @param {(string|!Object)} selector jQuery selector (or element) for button, eg: ".ui-layout-north .toggle-button"
				 * @param {string}   pane   Name of the pane the button is for: 'north', 'south', etc.
				 * @param {boolean=}   slide   true = slide-open, false = pin-open
				 */
				, addOpen: function (inst, selector, pane, slide) {
					$.layout.buttons.get(inst, selector, pane, "open")
						.attr("title", inst.options[pane].tips.Open)
						.on('click',function (evt) {
							inst.open(pane, !!slide);
							evt.stopPropagation();
						});
					return inst;
				}

				/**
				 * Add a custom Close button for a pane
				 *
				 * @param {(string|!Object)} selector jQuery selector (or element) for button, eg: ".ui-layout-north .toggle-button"
				 * @param {string}     pane   Name of the pane the button is for: 'north', 'south', etc.
				 */
				, addClose: function (inst, selector, pane) {
					$.layout.buttons.get(inst, selector, pane, "close")
						.attr("title", inst.options[pane].tips.Close)
						.on('click',function (evt) {
							inst.close(pane);
							evt.stopPropagation();
						});
					return inst;
				}

				/**
				 * Add a custom Pin button for a pane
				 *
				 * Four classes are added to the element, based on the paneClass for the associated pane...
				 * Assuming the default paneClass and the pin is 'up', these classes are added for a west-pane pin:
				 *  - ui-layout-pane-pin
				 *  - ui-layout-pane-west-pin
				 *  - ui-layout-pane-pin-up
				 *  - ui-layout-pane-west-pin-up
				 *
				 * @param {(string|!Object)} selector jQuery selector (or element) for button, eg: ".ui-layout-north .toggle-button"
				 * @param {string}     pane   Name of the pane the pin is for: 'north', 'south', etc.
				 */
				, addPin: function (inst, selector, pane) {
					var $E = $.layout.buttons.get(inst, selector, pane, "pin");
					if ($E.length) {
						var s = inst.state[pane];
						$E.on('click',function (evt) {
							$.layout.buttons.setPinState(inst, $(this), pane, (s.isSliding || s.isClosed));
							if (s.isSliding || s.isClosed)
								inst.open(pane); // change from sliding to open
							else
								inst.close(pane); // slide-closed
							evt.stopPropagation();
						});
						// add up/down pin attributes and classes
						$.layout.buttons.setPinState(inst, $E, pane, (!s.isClosed && !s.isSliding));
						// add this pin to the pane data so we can 'sync it' automatically
						// PANE.pins key is an array so we can store multiple pins for each pane
						s.pins.push(selector); // just save the selector string
					}
					return inst;
				}

				/**
				 * Change the class of the pin button to make it look 'up' or 'down'
				 *
				 * @see  addPin(), syncPins()
				 * @param {Array.<Object>} $Pin The pin-span element in a jQuery wrapper
				 * @param {string} pane These are the params returned to callbacks by layout()
				 * @param {boolean} doPin true = set the pin 'down', false = set it 'up'
				 */
				, setPinState: function (inst, $Pin, pane, doPin) {
					var updown = $Pin.attr("pin");
					if (updown && doPin === (updown == "down"))
						return; // already in correct state
					var
						po = inst.options[pane]
						, lang = po.tips
						, pin = po.buttonClass + "-pin"
						, side = pin + "-" + pane
						, UP = pin + "-up " + side + "-up"
						, DN = pin + "-down " + side + "-down"
					;
					$Pin
						.attr("pin", doPin ? "down" : "up") // logic
						.attr("title", doPin ? lang.Unpin : lang.Pin)
						.removeClass(doPin ? UP : DN)
						.addClass(doPin ? DN : UP)
					;
				}

				/**
				 * INTERNAL function to sync 'pin buttons' when pane is opened or closed
				 * Unpinned means the pane is 'sliding' - ie, over-top of the adjacent panes
				 *
				 * @see  open(), close()
				 * @param {string} pane   These are the params returned to callbacks by layout()
				 * @param {boolean} doPin  True means set the pin 'down', False means 'up'
				 */
				, syncPinBtns: function (inst, pane, doPin) {
					// REAL METHOD IS _INSIDE_ LAYOUT - THIS IS HERE JUST FOR REFERENCE
					$.each(state[pane].pins, function (i, selector) {
						$.layout.buttons.setPinState(inst, $(selector), pane, doPin);
					});
				}


				, _load: function (inst) {
					// ADD Button methods to Layout Instance
					$.extend(inst, {
						bindButton: function (selector, action, pane) {
							return $.layout.buttons.on(inst, selector, action, pane);
						}
						// DEPRECATED METHODS...
						, addToggleBtn: function (selector, pane, slide) {
							return $.layout.buttons.addToggle(inst, selector, pane, slide);
						}
						, addSlideToggleBtn: function (selector, pane, slide) {
							return $.layout.buttons.addSlideToggle(inst, selector, pane, slide);
						}
						, addOpenBtn: function (selector, pane, slide) {
							return $.layout.buttons.addOpen(inst, selector, pane, slide);
						}
						, addCloseBtn: function (selector, pane) {
							return $.layout.buttons.addClose(inst, selector, pane);
						}
						, addPinBtn: function (selector, pane) {
							return $.layout.buttons.addPin(inst, selector, pane);
						}
					});

					// init state array to hold pin-buttons
					for (var i = 0; i < 4; i++) {
						var pane = $.layout.buttons.config.borderPanes[i];
						inst.state[pane].pins = [];
					}

					// auto-init buttons onLoad if option is enabled
					if (inst.options.autoBindCustomButtons)
						$.layout.buttons.init(inst);
				}

				, _unload: function (inst) {
					// TODO: unbind all buttons???
				}

			};

// add initialization method to Layout's onLoad array of functions
			$.layout.onLoad.push($.layout.buttons._load);
//$.layout.onUnload.push( $.layout.buttons._unload );

		})(jQuery);


		/**
		 * jquery.layout.browserZoom 1.0
		 * $Date: 2011-12-29 08:00:00 (Thu, 29 Dec 2011) $
		 *
		 * Copyright (c) 2012
		 *   Kevin Dalman (http://allpro.net)
		 *
		 * Dual licensed under the GPL (http://www.gnu.org/licenses/gpl.html)
		 * and MIT (http://www.opensource.org/licenses/mit-license.php) licenses.
		 *
		 * @requires: UI Layout 1.3.0.rc30.1 or higher
		 *
		 * @see: http://groups.google.com/group/jquery-ui-layout
		 *
		 * TODO: Extend logic to handle other problematic zooming in browsers
		 * TODO: Add hotkey/mousewheel bindings to _instantly_ respond to these zoom event
		 */
		(function ($) {

// tell Layout that the plugin is available
			$.layout.plugins.browserZoom = true;

			$.layout.defaults.browserZoomCheckInterval = 1000;
			$.layout.optionsMap.layout.push("browserZoomCheckInterval");

			/*
     * browserZoom methods
     */
			$.layout.browserZoom = {
				_init: function (inst) {
					// abort if browser does not need this check
					if ($.layout.browserZoom.ratio() !== false)
						$.layout.browserZoom._setTimer(inst);
				}

				, _setTimer: function (inst) {
					// abort if layout destroyed or browser does not need this check
					if (inst.destroyed)
						return;
					var o = inst.options
						, s = inst.state
						// don't need check if inst has parentLayout, but check occassionally in case parent destroyed!
						// MINIMUM 100ms interval, for performance
						, ms = inst.hasParentLayout ? 5000 : Math.max(o.browserZoomCheckInterval, 100)
					;
					// set the timer
					setTimeout(function () {
							if (inst.destroyed || !o.resizeWithWindow)
								return;
							var d = $.layout.browserZoom.ratio();
							if (d !== s.browserZoom) {
								s.browserZoom = d;
								inst.resizeAll();
							}
							// set a NEW timeout
							$.layout.browserZoom._setTimer(inst);
						}
						, ms);
				}

				, ratio: function () {
					var w = window
						, s = screen
						, d = document
						, dE = d.documentElement || d.body
						, b = $.layout.browser
						, v = b.version
						, r, sW, cW
					;
					// we can ignore all browsers that fire window.resize event onZoom
					if (!b.msie || v > 8)
						return false; // don't need to track zoom
					if (s.deviceXDPI && s.systemXDPI) // syntax compiler hack
						return calc(s.deviceXDPI, s.systemXDPI);
					// everything below is just for future reference!
					if (b.webkit && (r = d.body.getBoundingClientRect))
						return calc((r.left - r.right), d.body.offsetWidth);
					if (b.webkit && (sW = w.outerWidth))
						return calc(sW, w.innerWidth);
					if ((sW = s.width) && (cW = dE.clientWidth))
						return calc(sW, cW);
					return false; // no match, so cannot - or don't need to - track zoom

					function calc(x, y) {
						return (parseInt(x, 10) / parseInt(y, 10) * 100).toFixed();
					}
				}

			};
// add initialization method to Layout's onLoad array of functions
			$.layout.onReady.push($.layout.browserZoom._init);


		})(jQuery);


		(function ($) {

// Add a new "slideOffscreen" effect
			if ($.effects) {

				// add an option so initClosed and initHidden will work
				$.layout.defaults.panes.useOffscreenClose = false; // user must enable when needed
				/* set the new animation as the default for all panes
         $.layout.defaults.panes.fxName = "slideOffscreen";
         */

				if ($.layout.plugins)
					$.layout.plugins.effects.slideOffscreen = true;

				// dupe 'slide' effect defaults as new effect defaults
				$.layout.effects.slideOffscreen = $.extend(true, {}, $.layout.effects.slide);

				// add new effect to jQuery UI
				$.effects.slideOffscreen = function (o) {
					return this.queue(function () {

						var fx = $.effects
							, opt = o.options
							, $el = $(this)
							, pane = $el.data('layoutEdge')
							, state = $el.data('parentLayout').state
							, dist = state[pane].size
							, s = this.style
							, props = ['top', 'bottom', 'left', 'right']
							// Set options
							, mode = fx.setMode($el, opt.mode || 'show') // Set Mode
							, show = (mode == 'show')
							, dir = opt.direction || 'left' // Default Direction
							, ref = (dir == 'up' || dir == 'down') ? 'top' : 'left'
							, pos = (dir == 'up' || dir == 'left')
							, offscrn = $.layout.config.offscreenCSS || {}
							, keyLR = $.layout.config.offscreenReset
							, keyTB = 'offscreenResetTop' // only used internally
							, animation = {}
						;
						// Animation settings
						animation[ref] = (show ? (pos ? '+=' : '-=') : (pos ? '-=' : '+=')) + dist;

						if (show) { // show() animation, so save top/bottom but retain left/right set when 'hidden'
							$el.data(keyTB, {top: s.top, bottom: s.bottom});

							// set the top or left offset in preparation for animation
							// Note: ALL animations work by shifting the top or left edges
							if (pos) { // top (north) or left (west)
								$el.css(ref, isNaN(dist) ? "-" + dist : -dist); // Shift outside the left/top edge
							} else { // bottom (south) or right (east) - shift all the way across container
								if (dir === 'right')
									$el.css({left: state.container.layoutWidth, right: 'auto'});
								else // dir === bottom
									$el.css({top: state.container.layoutHeight, bottom: 'auto'});
							}
							// restore the left/right setting if is a top/bottom animation
							if (ref === 'top')
								$el.css($el.data(keyLR) || {});
						} else { // hide() animation, so save ALL CSS
							$el.data(keyTB, {top: s.top, bottom: s.bottom});
							$el.data(keyLR, {left: s.left, right: s.right});
						}

						// Animate
						$el.show().animate(animation, {
							queue: false, duration: o.duration, easing: opt.easing, complete: function () {
								// Restore top/bottom
								if ($el.data(keyTB))
									$el.css($el.data(keyTB)).removeData(keyTB);
								if (show) // Restore left/right too
									$el.css($el.data(keyLR) || {}).removeData(keyLR);
								else // Move the pane off-screen (left: -99999, right: 'auto')
									$el.css(offscrn);

								if (o.callback)
									o.callback.apply(this, arguments); // Callback
								$el.dequeue();
							}
						});

					});
				};

			}

		})(jQuery);


		(function ($) {
			var _ = $.layout;

// make sure the callbacks branch exists
			if (!_.callbacks)
				_.callbacks = {};

			_.callbacks.resizePaneAccordions = function (x, ui) {
				// may be called EITHER from layout-pane.onresize OR tabs.show
				var $P = ui.jquery ? ui : $(ui.newPanel || ui.panel);
				// find all VISIBLE accordions inside this pane and resize them
				$P.find(".ui-accordion:visible").each(function () {
					var $E = $(this);
					if ($E.data("accordion"))  // jQuery < 1.9
						$E.accordion("resize");
					if ($E.data("ui-accordion")) // jQuery >= 1.9
						$E.accordion("refresh");
				});
			};
		})(jQuery);


		(function ($) {
			$.layout.callbacks.resizeDataTables = function (x, ui) {
				// may be called EITHER from layout-pane.onresize OR tabs.show
				var oPane = ui.jquery ? ui[0] : ui.panel;
				// cannot resize if the pane is currently closed or hidden
				if (!$(oPane).is(":visible"))
					return;
				// find all data tables inside this pane and resize them
				$($.fn.dataTable.fnTables(true)).each(function (i, table) {
					if ($.contains(oPane, table)) {
						$(table).dataTable().fnAdjustColumnSizing();
					}
				});
			};
		})(jQuery);


		(function ($) {
			var _ = $.layout;

// make sure the callbacks branch exists
			if (!_.callbacks)
				_.callbacks = {};

// this callback is bound to the tabs.show event OR to layout-pane.onresize event
			_.callbacks.resizeTabLayout = function (x, ui) {
				// may be called EITHER from layout-pane.onresize OR tabs.show/activate
				var $P = ui.jquery ? ui : $(ui.newPanel || ui.panel);
				// find all VISIBLE layouts inside this pane/panel and resize them
				$P.filter(":visible").find(".ui-layout-container:visible").addBack().each(function () {
					var layout = $(this).data("layout");
					if (layout) {
						layout.options.resizeWithWindow = false; // set option just in case not already set
						layout.resizeAll();
					}
				});
			};
		})
		(jQuery);

		return jQuery;
	})(jQuery);

});

/*!
 * Repository Browser (https://github.com/gentics/Repository-Browser)
 * Author & Copyright (c) 2012-2014 Gentics Software GmbH
 * aloha-sales@gentics.com
 * Licensed under the terms of http://www.aloha-editor.com/license.html
 */
(function () {
	'use strict';

	function initialize($, Class, PubSub, i18n) {
		var $window = $(window);

		/**
		 * A count of the number of opened repository browsers instances.
		 *
		 * @type {number}
		 */
		var numOpenedBrowsers = 0;

		/**
		 * A list of repository browser instances.
		 *
		 * @type {Array.<Browser>}
		 */
		var instances = [];

		/**
		 * The lowest CSS z-index on for the repository browser overlay and
		 * modals.
		 *
		 * @type {number}
		 */
		var BASE_ZINDEX = 99999;

		/**
		 * Default values from which each repository browser instance will be
		 * created.
		 *
		 * @type {Object}
		 */
		var DEFAULTS = {
			repositoryManager : null,
			repositoryFilter  : [],
			objectTypeFilter  : [],
			renditionFilter   : ['cmis:none'], // ['*']
			filter            : ['url'],
			element           : null,
			isFloating        : false,
			padding           : 50,
			maxHeight         : 1000,
			minHeight         : 400,
			minWidth          : 660,
			maxWidth          : 2000,
			treeWidth         : 300,
			listWidth         : 'auto',
			listShrinkToFit   : true,
			pageSize          : 10,
			adaptPageSize     : false,
			rowHeight         : 24,
			rootPath          : '',
			rootFolderId      : 'aloha',
			columns : {
				icon    : {title: '',        width: 30,  sortable: false, resizable: false},
				name    : {title: 'Name',    width: 200, sorttype: 'text'},
				url     : {title: 'URL',     width: 220, sorttype: 'text'},
				preview : {title: 'Preview', width: 150, sorttype: 'text'}
			},
			i18n: {
				'Browsing'             : 'Browsing',
				'Close'                : 'Close',
				'in'                   : 'in',
				'Input search text...' : 'Input search text...',
				'numerous'             : 'numerous',
				'of'                   : 'of',
				'Repository Browser'   : 'Repository Browser',
				'Search'               : 'Search',
				'Searching for'        : 'Searching for',
				'Viewing'              : 'Viewing'
			}
		};

		/**
		 * Unique identifier counter.
		 *
		 * @type {number}
		 */
		var uid = (new Date()).getTime();

		/**
		 * Returns a unique ID
		 *
		 * @return {number}
		 */
		function unique() {
			return ++uid;
		}

		/**
		 * Enables selection on the given element.
		 *
		 * @param {jQuery.<Element>} $elem
		 */
		function enableSelection($elem) {
			$elem.removeAttr('unselectable');
			$elem.css({
				'-webkit-user-select' : 'text',
//				'-moz-user-select'    : 'text',  // Because this feature is broken in Firefox
				'user-select'         : 'text'
			});
			$elem.onselectstart = null;
		}

		/**
		 * Disables selection on the given element.
		 *
		 * @param {jQuery.<Element>} $elem
		 */
		function disableSelection($elem) {
			$elem.attr('unselectable', 'on');
			$elem.css({
				'-webkit-user-select' : 'none',
//				'-moz-user-select'    : 'none', // Because this feature is broken in Firefox
				'user-select'         : 'none'
			});
			$elem.onselectstart = function () {
				return false;
			};
		}

		/**
		 * Brings the given browser to the top of the z-index.
		 *
		 * @param {Browser} browser
		 */
		function bringToFront(browser) {
			$.each(instances, function (index) {
				this.element.css('z-index', BASE_ZINDEX + index);
			});
			browser.element.css('z-index', BASE_ZINDEX + 1 + instances.length);
		}

		/**
		 * Creates a modal for a repository browser instance.
		 *
		 * @param  {Function}         close
		 * @return {jQuery.<Element>}
		 */
		function modal(close) {
			var $modal = $('<div class="repository-browser-modal-window" style="z-index: ' + BASE_ZINDEX + ';"></div>');
			$('body').append($modal);
			return $modal;
		}

		/**
		 * Creates an overlay element which when clicked will closes all opened
		 * browser instances.
		 */
		function createOverlay() {
			var $overlay = $('<div class="repository-browser-modal-overlay" style="z-index: ' + BASE_ZINDEX + ';"></div>');
			$('body').append($overlay);
			$overlay.click(function () {
				$.each(instances, function (i, browser) {
					browser.close();
				});
			});
		}

		/**
		 * Shows the overlay element.
		 */
		function showOverlay() {
			disableSelection($('body'));
			$('.repository-browser-modal-overlay')
				.stop().css({top: 0, left: 0}).show();
		}

		/**
		 * Hides the overlay element.
		 */
		function hideOverlay() {
			enableSelection($('body'));
			$('.repository-browser-modal-overlay').hide();
		}

		/**
		 * Preloads repository browser images.
		 *
		 * @param {string} path
		 */
		function preload(path) {
			$.each([
				'arrow-000-medium.png',
				'arrow-180.png',
				'arrow-315-medium.png',
				'arrow-stop-180.png',
				'arrow-stop.png',
				'arrow.png',
				'control-stop-square-small.png',
				'folder-horizontal-open.png',
				'folder-open.png',
				'magnifier-left.png',
				'page.png',
				'picture.png',
				'sort-alphabet-descending.png',
				'sort-alphabet.png'
			], function () {
				document.createElement('img').src = path + 'img/' + this;
			});
		}

		/**
		 * Creates the tree list view of a browser instance.
		 *
		 * @param  {Browser}          browser
		 * @param  {jQuery.<Element>} $container
		 * @param  {number}           height
		 * @return {jQuery.<Element>}
		 */
		function tree(browser, $container, height) {
			var $header = $('<div class="repository-browser-tree-header repository-browser-grab-handle">'
			            + browser._i18n('Repository Browser')
			            + '</div>');

			var $tree = $('<div class="repository-browser-tree"></div>');

			$container.append($header, $tree);

			$tree.css("height",(height - (parseInt($header.css("height"))+parseInt($header.css("padding-top"))+parseInt($header.css("padding-bottom"))+parseInt($header.css("margin-top"))+parseInt($header.css("margin-bottom"))))+"px");

			$tree.on('loaded.jstree', function (event, data) {
				$(this).find('>ul>li:first').css('padding-top', 5);
				// Because jstree `open_node' will add substree items to every
				// item matched by the selector, we need to ensure that
				// `open_node' is invoked for one item at a time.
				$(this).find('li[rel="repository"]:first').each(function (i, li) {
					$tree.jstree('open_node', li);
				});
			});

			$tree.on('select_node.jstree', function (event, data) {
				// Suppresses a bug in jsTree
				if (data.args[0].context) {
					return;
				}
				browser.treeNodeSelected(data.rslt.obj);
			});

			$tree.on('open_node.jstree', function ($event, data) {
				browser.folderOpened(data.rslt.obj);
			});

			$tree.on('close_node.jstree', function ($event, data) {
				browser.folderClosed(data.rslt.obj);
			});

			$tree.jstree({
				types        : browser.types,
				rootFolderId : browser.rootFolderId,
				plugins      : ['themes', 'json_data', 'ui', 'types'],
				core         : {animation: 250},
				ui           : {select_limit: 1},

				themes: {
					theme : 'browser',
					url   : browser.rootPath + 'css/jstree.css',
					dots  : true,
					icons : true
				},

				json_data: {
					correct_state: true,
					data: function (node, callback) {
						if (browser.manager) {
							browser.jstree_callback = callback;
							browser._fetchSubnodes.call(browser, node, callback);
						} else {
							callback();
						}
					}
				}
			});

			return $tree;
		}

		/**
		 * Creates the grid view of a browser instance.
		 *
		 * @param  {Browser}          browser
		 * @param  {jQuery.<Element>} $container
		 * @return {jQuery.<Element>}
		 */
		function grid(browser, $container) {
			var $grid = $('<div class="repository-browser-grid repository-browser-shadow repository-browser-top">'
			          + '<div class="ui-layout-west ui-layout-pane ui-layout-pane-west"></div>'
			          + '<div class="ui-layout-center ui-layout-pane ui-layout-pane-center"></div>'
					  + '<div class="ui-layout-resize ui-layout-resizer ui-layout-resizer-west ui-layout-resizer-open ui-layout-resizer-west-open" title="Resize">'
					  + '<div class="ui-layout-resize-close ui-layout-toggler ui-layout-toggler-west ui-layout-toggler-open ui-layout-toggler-west-open" title="Close">'
					  +'</div>'
			          + '</div>');
			$container.append($grid);
			return $grid;
		}

		/**
		 * Creates the title bar of a browser instance.
		 *
		 * @param  {Browser}          browser
		 * @param  {jQuery.<Element>} $container
		 * @return {jQuery.<Element>}
		 */
		function titlebar(browser, $container) {
			var $title  = $container.find('.ui-jqgrid-titlebar');

			var html = '<div class="repository-browser-btns">'
			         +		'<input type="text" class="repository-browser-search-field" />'
			         +		'<span class="repository-browser-btn repository-browser-search-btn">'
			         +			'<span class="repository-browser-search-icon"></span>'
			         +		'</span>'
			         +		'<span class="repository-browser-btn repository-browser-close-btn">'
			         +			browser._i18n('Close')
			         +		'</span>'
			         +		'<div class="repository-browser-clear"></div>'
			         + '</div>';

			$title.addClass('repository-browser-grab-handle').append(html);

			$title.find('.repository-browser-search-btn').click(function () {
				browser._triggerSearch();
			});

			var $search = $title.find('.repository-browser-search-field').keypress(function (event) {
				// ENTER ←┘
				if (13 === event.keyCode) {
					event.preventDefault();
					browser._triggerSearch();
				}
			});

			$search.val(browser._i18n('Input search text...'))
			       .addClass('repository-browser-search-field-empty');

			$search.focus(function () {
				if ($search.val() === browser._i18n('Input search text...')) {
					$search.val('').removeClass('repository-browser-search-field-empty');
				}
			});

			$search.blur(function () {
				if ('' === $search.val()) {
					$search.val(browser._i18n('Input search text...'))
					       .addClass('repository-browser-search-field-empty');
				}
			});

			$title.find('.repository-browser-close-btn').click(function () {
				browser.close();
			});

			$title.find('.repository-browser-btn')
				.mousedown(function () {
					$(this).addClass('repository-browser-pressed');
				})
				.mouseup(function () {
					$(this).removeClass('repository-browser-pressed');
				});

			return $title;
		}

		/**
		 * Creates the list view of a browser instance.
		 *
		 * @param  {Browser}          browser
		 * @param  {jQuery.<Element>} $container
		 * @param  {number}           height
		 * @return {jQuery.<Element>}
		 */
		function list(browser, $container, height) {
			var $list = $('<table id="list-' + unique() + '" class="repository-browser-list"></table>');

			// Because we need a hidden utility column to help us with auto
			// sorting
			var names = [''];
			var model = [{
				name	       : 'id',
				sorttype       : 'int',
				firstsortorder : 'asc',
				hidden	       : true
			}];

			var shrinkToFit = browser.listShrinkToFit;
			// check if the configured schrinkToFit value is a boolean or a number
			if (typeof shrinkToFit !== 'number' &&  typeof shrinkToFit !== 'boolean') {
				// if not try to convert it to a number
				shrinkToFit = parseInt(shrinkToFit, 10);
				// otherwise check if the original value is 'false' or default to true
				if (isNaN(shrinkToFit)) {
					shrinkToFit = browser.listShrinkToFit !== 'false';
				}
			}

			$.each(browser.columns, function (key, value) {
				names.push(value.title || '&nbsp;');
				model.push({
					name      : key,
					width     : value.width,
					sortable  : value.sortable,
					sorttype  : value.sorttype,
					resizable : value.resizable,
					fixed     : value.fixed
				});
			});

			/**
			 * jqGrid requires that we use an id, despite what the documentation says
			 * (http://www.trirand.com/jqgridwiki/doku.php?id=wiki:pager&s[]=pager):
			 * We need a unique id, however, in order to distinguish pager
			 * elements for each browser instance.
			 */
			var pagerId = 'repository-browser-list-page-' + unique();
			$container.append($list, '<div id="' + pagerId + '" class="repository-browser-grab-handle"></div>');

			$list.jqGrid({
				datatype      : 'local',
				width         : parseInt($container.css("width")),
				shrinkToFit   : shrinkToFit,
				colNames      : names,
				colModel      : model,
				caption       : '&nbsp;',
				altRows       : true,
				altclass      : 'repository-browser-list-altrow',
				resizeclass   : 'repository-browser-list-resizable',
				pager         : pagerId,
				viewrecords   : true,
				onPaging      : function (button) {},
				loadError     : function (xhr, status, error) {},
				ondblClickRow : function (rowid, iRow, iCol, e) {},
				gridComplete  : function () {},
				loadComplete  : function (data) {}
			});

			$container.find('.ui-jqgrid-bdiv').css("height", (height - (
				parseInt($container.find('.ui-jqgrid-titlebar').css("height")) +
				parseInt($container.find('.ui-jqgrid-hdiv').css("height")) +
				parseInt($container.find('.ui-jqgrid-pager').css("height"))
			))+"px");

			$list.click(function () {
				browser.rowClicked.apply(browser, arguments);
			});

			// Override jqGrid paging
			$container
				.find('.ui-pg-button').unbind()
				.find('>span.ui-icon').each(function () {
					var $icons = $(this).parent();
					var dir = this.className.match(/ui\-icon\-seek\-([a-z]+)/)[1];
					browser._pagingBtns[dir] = $icons;
					$icons.addClass('ui-state-disabled').click(function () {
						if (!$(this).hasClass('ui-state-disabled')) {
							browser._doPaging(dir);
						}
					});
				});

			$container.find('.ui-pg-input').parent().hide();
			$container.find('.ui-separator').parent().css('opacity', 0).first().hide();

			// Override jqGrid sorting
			var listProps = $list[0].p;
			$container.find('.ui-jqgrid-view tr:first th div').each(function (i) {
				if (false !== listProps.colModel[i].sortable) {
					$(this).css('cursor', 'pointer');
					$(this).unbind().click(function (event) {
						event.stopPropagation();
						browser._sortList(listProps.colModel[i], this);
					});
				}
			});

			titlebar(browser, $container);

			return $list;
		}

		/**
		 * Builds the UI elements for the given browser instance.
		 *
		 * @param  {Browser} browser
		 * @param  {!Object} opts
		 * @return {Object.<string, jQuery.<Element>>}
		 */
		function ui(browser, opts) {
			var $elem = browser.element.attr('data-repository-browser', unique());
			var $grid = grid(browser, $elem);

			$grid.resize();
			$elem.css('width', opts.maxWidth);
			$grid.css('width', opts.maxWidth); // Fix for IE7

			var $tree = tree(browser, $grid.find('.ui-layout-west'), $grid.height());
			var $list = list(browser, $grid.find('.ui-layout-center'), $grid.height());
			var $layout = $grid.layout({
				west__size               : opts.treeWidth - 1,
				west__minSize            : 0,
				west__maxSize            : opts.maxWidth,
				west__enableCursorHotkey : false,
				center__size             : 'auto',
				paneClass                : 'ui-layout-pane',
				resizerClass             : 'ui-layout-resizer',
				togglerClass             : 'ui-layout-toggler',
				onresize                 : function (name, elem) {
					if ('center' === name) {
						$list.setGridWidth(parseInt(elem.css("width")));
					}
				}
			});

			// Because otherwise IE scrolls the page to the right
			$elem.hide();
			hideOverlay();

			$layout.sizePane('west', opts.treeWidth); // Fix for a ui-layout bug in chrome

			$elem.resizable({
				autoHide  : true,
				minWidth  : opts.minWidth,
				minHeight : opts.minHeight,
				maxWidth  : opts.maxWidth,
				maxHeight : opts.maxHeight,
				handles   : 'all',
				resize    : function (e, ui) {
					browser._resizeHorizontal(opts.maxWidth - ui.size.width);
					browser._resizeVertical(opts.maxHeight - ui.size.height);
					browser._resizeInnerComponents();
				}
			});

			disableSelection($grid);

			$elem.mousedown(function () {
				bringToFront(browser);
			});

			return {
				$elem: $elem,
				$grid: $grid,
				$tree: $tree,
				$list: $list
			};
		}

		/**
		 * Repository Browser.
		 *
		 * Must be initialized with a configured repository manager.
		 *
		 * @class   Browser
		 * @extends Class
		 */
		var Browser = Class.extend({

			opened         : false,

			grid           : null,
			tree           : null,
			list           : null,

			_searchQuery   : null,
			_orderBy       : null,
			_currentFolder : null,

			/**
			 * A cache of repository objects that were queried through any of
			 * the repositories.
			 *
			 * This objec is shared between all instances of the repository
			 * browser! (TODO: we should change this)
			 *
			 * @type <Object.<string, Object>>
			 */
			_objs: {},

			/**
			 * Resize the components of the repository browser:
			 * <ul>
			 *     <li>jsTree</li>
			 *     <li>jqGrid</li>
			 *     <li>List of items inside of jqGrid</li>
			 * </ul>
			 */
			_resizeInnerComponents: function () {
				var $header = this.grid.find('.repository-browser-tree-header');
				var $container = this.grid.find('.ui-layout-center');

				this.tree.css("height", (parseInt(this.grid.css("height")) - (parseInt($header.css("height"))+parseInt($header.css("padding-top"))+parseInt($header.css("padding-bottom")+parseInt($header.css("margin-top"))+parseInt($header.css("margin-bottom")))))+"px");

				$container.find('.ui-jqgrid-bdiv').css("height", (parseInt(this.grid.css("height")) - (
					parseInt($container.find('.ui-jqgrid-titlebar').css("height")) +
					parseInt($container.find('.ui-jqgrid-hdiv').css("height")) +
					parseInt($container.find('.ui-jqgrid-pager').css("height"))
				))+"px");

				if (this._adaptPageSize() && this._currentFolder) {
					this._fetchItems(this._currentFolder);
				}
			},

			/**
			 * Resizes the browser element vertically.
			 *
			 * @param {number} overflow Vertical pixel overflow
			 */
			_resizeVertical: function (overflow) {
				var height = (overflow > 0)
				           ? Math.max(this.minHeight, this.maxHeight - overflow)
				           : this.maxHeight;
				this.element.css("height", height + "px");
				this.grid.css("height", height + "px");
			},

			/**
			 * Resizes the browser element horizontally.
			 *
			 * @param {number} overflow Horizantal pixel overflow
			 */
			_resizeHorizontal: function (overflow) {
				var width = (overflow > 0)
						  ? Math.max(this.minWidth, this.maxWidth - overflow)
						  : this.maxWidth;
				this.element.css("width", width + "px");
				this.grid.css("width", width+"px");
			},

			/**
			 * Check whether resizing is allowed right now.
			 * This acts as a guard against endless resize cycles, that might occur in IE7
			 *
			 * The function will check, whether resizing was called more than 10 times in the same second and
			 * will block any further calls by returning false.
			 *
			 * @return {boolean} true if resizing is allowed, false if not
			 */
			_isResizeAllowed: function () {
				this.callsThisSecond = this.callsThisSecond || 0;
				var now = Math.floor(new Date().getTime() / 1000);
				if (now === this.lastCall) {
					if (this.callsThisSecond >= 10) {
						return false;
					} else {
						this.callsThisSecond++;
						return true;
					}
				} else {
					this.lastCall = now;
					this.callsThisSecond = 1;
					return true;
				}
			},

			/**
			 * Automatically resizes the browser modal, constraining its
			 * dimensions between minWidth and maxWidth.
			 */
			_onWindowResized: function () {
				if (!this._isResizeAllowed()) {
					return;
				}
				this._resizeHorizontal(this.maxWidth - $window.width() + this.padding);
				this._resizeVertical(this.maxHeight - $window.height() + this.padding);
				this._resizeInnerComponents();
			},

			/**
			 * Clears the search field.
			 */
			_clearSearch: function () {
				var $search = this.grid.find('.repository-browser-search-field');
				$search.val(this._i18n('Input search text...'))
				       .addClass('repository-browser-search-field-empty');
				this._searchQuery = null;
			},

			/**
			 * Retrieves the corresponding internationalization string for the
			 * given keyword.
			 *
			 * @param  {string} key The key for which a full i18n string is
			 *                      retrieved
			 * @return {string} The return value is either the i18n value matched
			 *                  by the given key, or else the key
			 */
			_i18n: function (key) {
				return this.i18n[key] || key;
			},

			/**
			 * Adapt the page size.
			 *
			 * @return {boolean} True if the page size was actually changed, false
			 *                   if not
			 */
			_adaptPageSize: function () {
				// if this is off, don't do anything
				if (!this.adaptPageSize || !this.list || !this.rowHeight) {
					return false;
				}
				var $container = this.grid.find('.ui-jqgrid-bdiv');
				// reduce by 20 px to leave place for a scrollbar
				var height = parseInt($container.css("height"))-parseInt($container.css("padding-top"))-parseInt($container.css("padding-bottom")) - 20;
				if (height) {
					var newPageSize = Math.floor(height / this.rowHeight);
					if (newPageSize <= 0) {
						newPageSize = 1;
					}
					if (newPageSize !== this.pageSize) {
						this.pageSize = newPageSize;
						return true;
					}
					return false;
				}
				return false;
			},

			_constructor: function () {
				this.init.apply(this, arguments);
			},

			/**
			 * Initializes the browser instance based on the given configuration.
			 *
			 * @param {!Object} config
			 */
			init: function (config) {
				if (!config.repositoryManager) {
					$('body').trigger(
						'repository-browser-error',
						'Repository Manager not configured'
					);
				}

				var browser = this;
				var options = $.extend({}, DEFAULTS, config, {i18n: i18n});

				if (!options.element || 0 === options.element.length) {
					options.isFloating = true;
					options.element = modal();
				}

				browser.manager       = options.repositoryManager;
				browser._objs         = {};
				browser._searchQuery  = null;
				browser._orderBy      = null;
				browser._pagingOffset = 0;
				browser._pagingCount  = undefined; // Because isNaN(null) == false ! *sigh*
				browser._pagingBtns   = {
					first : null,
					end   : null,
					next  : null,
					prev  : null
				};

				$.extend(browser, options);

				preload(options.rootPath);

				var elements = ui(browser, options);

				browser.grid    = elements.$grid;
				browser.list    = elements.$list;
				browser.tree    = elements.$tree;
				browser.element = elements.$elem;

				// Because of legacy support
				browser.$_grid = browser.grid;
				browser.$_list = browser.list;
				browser._cachedRepositoryObjects = browser._objs;

				browser._adaptPageSize();
				browser.close();

				$window.resize(function () {
					browser._onWindowResized();
				});

				if (browser.manager) {
					browser._currentFolder = browser.getSelectedFolder();
					browser._fetchRepoRoot(browser.jstree_callback);
				}

				instances.push(this);

				PubSub.pub('repository-browser.initialized', {data: this});
			},

			/**
			 * Convert a repository object into an object that can be used with
			 * our tree component. Also add a reference to this object in our
			 * objs hash. According to the Repository specification, each object
			 * will at least have the following properties at least: id, name,
			 * url, and type. Any and all other attributes are optional.
			 *
			 * @param  {!Object} obj
			 * @return {Object}
			 */
			harvestRepoObject: function (obj) {
				var uid = unique();
				var resource = this._objs[uid] = $.extend(obj, {
					uid    : uid,
					loaded : false
				});
				return this.processRepoObject(resource);
			},

			/**
			 * Returns an object that is usable with your tree component.
			 *
			 * @param  {!Object} obj
			 * @return {Object}
			 */
			processRepoObject: function (obj) {
				var icon = '', attr, state, children, browser = this;

				switch (obj.baseType) {
				case 'folder':
					icon = 'folder';
					break;
				case 'document':
					icon = 'document';
					break;
				}

				// if the object has a type set, we set it as type to the node
				if (obj.type) {
					attr = {rel: obj.type, 'data-rep-oobj': obj.uid};
				}

				// set the node state
				state = (obj.hasMoreItems || 'folder' === obj.baseType) ? 'closed' : null;
				if (false === obj.hasMoreItems) {
					state = null;
				}

				// process children (if any)
				if (obj.children) {
					children = [];
					$.each(obj.children, function () {
						children.push(browser.harvestRepoObject(this));
						state = 'open';
					});
				}

				if (this._currentFolder && this._currentFolder.id === obj.id) {
					window.setTimeout(function () {
						browser.tree.jstree('select_node', 'li[data-rep-oobj="' + obj.uid + '"]');
					}, 0);
				}

				return {
					data: {
						title : obj.name,
						attr  : {'data-rep-oobj': obj.uid},
						icon  : icon
					},
					attr     : attr,
					state    : state,
					resource : obj,
					children : children
				};
			},

			/**
			 * Processes the repostiory manager response.
			 *
			 * @param {Array}    items
			 * @param {Object}   metainfo
			 * @param {function} callback
			 */
			_processRepoResponse: function (items, metainfo, callback) {
				var browser = this;
				var folderId = browser._currentFolder && browser._currentFolder.id;
				var data = [];
				var openedResource = null;
				// if the second parameter is a function, it is the callback
				if ('function' === typeof metainfo) {
					callback = metainfo;
					metainfo = undefined;
				}
				$.each(items, function () {
					data.push(browser.harvestRepoObject(this));
					if (folderId === this.id) {
						openedResource = this;
					}
				});
				if ('function' === typeof callback) {
					callback.call(browser, data, metainfo);
				}
				if (openedResource) {
					window.setTimeout(function () {
						browser.tree.jstree(
							'select_node',
							'li[data-repo-obj="' + openedResource.uid + '"]'
						);
					}, 0); // Is this timeout still necessary
				}
			},

			/**
			 * Retrieves a cached repository object that is associated with the
			 * given node element.
			 *
			 * @param  {jQuery.<Element>} $node
			 * @return {!Object} The cached repository object or null if none is
			 *                   found in the cache.
			 */
			_getObjectFromCache: function ($node) {
				if ('object' === typeof $node) {
					var uid = $node.find('a:first').attr('data-rep-oobj');
					return this._objs[uid];
				}
			},

			/**
			 * Queries repositories for items matching the given parameters.
			 *
			 * @param {Object}   params   Parameters for repository manager
			 * @param {function} callback Receives fetch results
			 */
			queryRepository: function (params, callback) {
				var browser = this;
				browser.manager.query(params, function (response) {
					var items = (response.results > 0) ? response.items : [];
					browser._processRepoResponse(items, {
						timeout      : response.timeout,
						numItems     : response.numItems,
						hasMoreItems : response.hasMoreItems
					}, callback);
				});
			},

			/**
			 * Lists the given items in the browser list view.
			 *
			 * @param {Array} items
			 */
			_listItems: function (items) {
				var browser = this;
				var $list = this.list.clearGridData();
				$.each(items, function () {
					var obj = this.resource;
					$list.addRowData(
						obj.uid,
						$.extend({id: obj.id}, browser.renderRowCols(obj))
					);
				});
			},

			/**
			 * Processes the items in the given data object.
			 *
			 * @param {Object} data
			 * @param {Object} metainfo
			 */
			_processItems: function (data, metainfo) {
				var $btns = this._pagingBtns;
				var disabled = 'ui-state-disabled';

				// if the total number of items is known, we can calculate the number of pages
				if (metainfo && ('number' === typeof metainfo.numItems)) {
					this._pagingCount = metainfo.numItems;
				} else {
					this._pagingCount = undefined;
				}

				this.grid.find('.loading').hide();
				this.list.show();
				this._listItems(data);

				if (this._pagingOffset <= 0) {
					$btns.first.add($btns.prev).addClass(disabled);
				} else {
					$btns.first.add($btns.prev).removeClass(disabled);
				}

				if (isNaN(this._pagingCount)) {
					$btns.end.addClass(disabled);
					if (data.length <= this.pageSize) {
						$btns.next.addClass(disabled);
					} else {
						$btns.next.removeClass(disabled);
					}
				} else if (this._pagingOffset + this.pageSize >= this._pagingCount) {
					$btns.end.add($btns.next).addClass(disabled);
				} else {
					$btns.end.add($btns.next).removeClass(disabled);
				}

				var from, to;

				if (0 === data.length && 0 === this._pagingOffset) {
					from = 0;
					to = 0;
				} else {
					from = this._pagingOffset + 1;
					to = from + data.length - 1;
				}

				var count = ('number' === typeof this._pagingCount)
				          ? this._pagingCount
				          : this._i18n('numerous');

				this.grid.find('.ui-paging-info')
				    .html(this._i18n('Viewing') + ' ' + from + ' - ' + to + ' '
							+ this._i18n('of') + ' ' + count);

				// when the repository manager reports a timeout, we handle it
				if (metainfo && metainfo.timeout) {
					this.handleTimeout();
				}
			},

			/**
			 * Fetches the sub nodes of the given nodes.
			 *
			 * @param {jQuery.<Element>} $nodes
			 * @param {function}         callback
			 */
			_fetchSubnodes: function ($nodes, callback) {
				var browser = this;
				if (-1 === $nodes) {
					browser._fetchRepoRoot(callback);
				} else {
					$nodes.each(function () {
						var obj = browser._getObjectFromCache($(this));
						if ('object' === typeof obj) {
							browser.fetchChildren(obj, callback);
						}
					});
				}
			},

			/**
			 * Fetches the root node.
			 *
			 * @param {function} callback
			 */
			_fetchRepoRoot: function (callback) {
				this.getRepoChildren({
					inFolderId       : this.rootFolderId,
					repositoryFilter : this.repositoryFilter
				}, function (data) {
					if ('function' === typeof callback) {
						callback(data);
					}
				});
			},

			/**
			 * Fetches items in the given folder.
			 *
			 * @param {Object} folder
			 */
			_fetchItems: function (folder) {
				if (!folder) {
					return;
				}

				var browser = this;
				var isSearching = 'string' === typeof this._searchQuery;

				// Because searching is should always be done recursively
				var recursive = isSearching;

				browser.list.setCaption(isSearching
					? browser._i18n('Searching for')
							+ ' ' + browser._searchQuery
							+ ' ' + browser._i18n('in')
							+ ' ' + folder.name
					: browser._i18n('Browsing') + ': ' + folder.name);

				browser.list.hide();
				browser.grid.find('.loading').show();

				browser.queryRepository({
					repositoryId     : folder.repositoryId,
					inFolderId       : folder.id,
					queryString      : browser._searchQuery,
					orderBy          : browser._orderBy,
					skipCount        : browser._pagingOffset,
					maxItems         : browser.pageSize,
					objectTypeFilter : browser.objectTypeFilter,
					renditionFilter  : browser.renditionFilter,
					filter           : browser.filter,
					recursive		 : recursive
				}, function (data, metainfo) {
					browser._processItems(data, metainfo);
				});
			},

			/**
			 * Fetches an object's children if we haven't already done so.
			 *
			 * @param {Object}   obj      A jsTree list item
			 * @param {function} callback Receives the fetched children
			 */
			fetchChildren: function (obj, callback) {
				var browser = this;
				var hasChildren = true === obj.hasMoreItems || 'folder' === obj.baseType;
				if (hasChildren && false === obj.loaded) {
					browser.getRepoChildren({
						inFolderId   : obj.id,
						repositoryId : obj.repositoryId
					}, function (data) {
						browser._objs[obj.uid].loaded = true;
						if ('function' === typeof callback) {
							callback(data);
						}
					});
				}
			},

			/**
			 * Gets child folders of a specified repository node.
			 *
			 * @param {Object}   params   Parameters for repository manager
			 * @param {function} callback Receives fetch results
			 */
			getRepoChildren: function (params, callback) {
				var browser = this;
				browser.manager.getChildren(params, function (items) {
					browser._processRepoResponse(items, callback);
				});
			},

			/**
			 * Pages the list according to the given direction.
			 *
			 * @param {string} dir
			 */
			_doPaging: function (dir) {
				switch (dir) {
				case 'first':
					this._pagingOffset = 0;
					break;
				case 'end':
					if ((this._pagingCount % this.pageSize) === 0) {
						// item count is exactly divisible by page size
						this._pagingOffset = this._pagingCount - this.pageSize;
					} else {
						this._pagingOffset = this._pagingCount - (this._pagingCount % this.pageSize);
					}
					break;
				case 'next':
					this._pagingOffset += this.pageSize;
					break;
				case 'prev':
					this._pagingOffset -= this.pageSize;
					// avoid "out of bounds" situation
					if (this._pagingOffset < 0) {
						this._pagingOffset = 0;
					}
					break;
				}
				this._fetchItems(this._currentFolder);
			},

			/**
			 * Builds a row that an be rendered in the grid layout from the
			 * given repository item.
			 *
			 * @param   {Object} resource Repository resource to render
			 * @returns {Object} Object representing the rendered row such that
			 *                   it can be used to populate the grid layout
			 */
			renderRowCols: function (resource) {
				var row = {};
				$.each(this.columns, function (colName) {
					switch (colName) {
					case 'icon':
						row.icon = '<div class="repository-browser-icon repository-browser-icon-' + resource.type + '"></div>';
						break;
					default:
						row[colName] = resource[colName] || '--';
					}
				});
				return row;
			},

			/**
			 * Sorts the browser item list.
			 *
			 * TODO: Fix this so that sorting does toggle between desc and asc
			 *		 when you click on a column on which we were not sorting.
			 *
			 * @param {Object}  colModel
			 * @param {Element} elem
			 */
			_sortList: function (colModel, elem) {
				// reset sort properties in all column headers
				this.grid.find('span.ui-grid-ico-sort').addClass('ui-state-disabled');

				colModel.sortorder = ('asc' === colModel.sortorder) ? 'desc' : 'asc';

				$(elem).find('span.s-ico').show()
				       .find('.ui-icon-' + colModel.sortorder)
				       .removeClass('ui-state-disabled');

				this._setSortOrder(colModel.name, colModel.sortorder)
				    ._fetchItems(this._currentFolder);
			},

			/**
			 * Adds new sort fields into the _orderBy array. If a field already
			 * exists, it will be spliced from where it is and unshifted to the
			 * end of the array.
			 *
			 * @param {string} by
			 * @param {string} order
			 */
			_setSortOrder: function (by, order) {
				var orderBy = this._orderBy || [];
				var field;
				var orderItem;
				var found = false;
				var i, j;
				var sortItem = {};
				sortItem[by] = order || 'asc';
				for (i = 0, j = orderBy.length; i < j; i++) {
					orderItem = orderBy[i];
					for (field in orderItem) {
						if (orderItem.hasOwnProperty(field) && field === by) {
							orderBy.splice(i, 1);
							orderBy.unshift(sortItem);
							found = true;
							break;
						}
					}
					if (found) {
						break;
					}
				}
				if (!found) {
					orderBy.unshift(sortItem);
				}
				this._orderBy = orderBy;
				return this;
			},

			/**
			 * Calls `onSelect()` when a list row is clicked.
			 *
			 * @param  {jQuery.<Event>}   event
			 * @return {jQuery.<Element>} Element at clicked row of null
			 */
			rowClicked: function (event) {
				var row = $(event.target).parent('tr');
				var item = null;
				if (row.length > 0) {
					var uid = row.attr('id');
					item = this._objs[uid];
					this.onSelect(item);
				}
				return item;
			},

			/**
			 * Queries the repository manager for items contained in folder that
			 * was clicked.
			 *
			 * @param {jQuery.<Element>} $node List item
			 */
			treeNodeSelected: function ($node) {
				var folder = this._getObjectFromCache($node);
				if (folder) {
					this._pagingOffset = 0;
					this._clearSearch();
					this._currentFolder = folder;
					this._fetchItems(folder);
					this.folderSelected(folder);
				}
			},

			/**
			 * Sends the search query to the server.
			 */
			_triggerSearch: function () {
				var $search = this.grid.find('input.repository-browser-search-field');
				var value = $search.val();
				if ('' === value || $search.hasClass('repository-browser-search-field-empty')) {
					value = null;
				} else if ('' === value) {
					value = null;
				}
				this._pagingOffset = 0;
				this._searchQuery = value;
				this._fetchItems(this._currentFolder);
			},

			/**
			 * Updates the object type filter option.
			 *
			 * @Obsolete?
			 * @param {Element} th
			 */
			getFieldOfHeader: function (th) {
				return th.find('div.ui-jqgrid-sortable').attr('id').replace('jqgh_', '');
			},

			/**
			 * Updates the object type filter option.
			 *
			 * @param {string} otf
			 */
			setObjectTypeFilter: function (otf) {
				this.objectTypeFilter = ('string' === typeof otf) ? [otf] : otf;
			},

			/**
			 * Returns the value of the object type filter.
			 */
			getObjectTypeFilter: function () {
				return this.objectTypeFilter;
			},

			/**
			 * Shows this repository browwser instance.
			 */
			show: function () {
				if (this.opened) {
					return;
				}
				this.opened = true;

				var browser = this;
				var $elem = browser.element;

				if (browser.isFloating) {
					showOverlay();

					$elem.stop().show().css({
						left : $window.scrollLeft() + (browser.padding / 2),
						top  : $window.scrollTop()  + (browser.padding / 2)
					}).draggable({
						handle : $elem.find('.repository-browser-grab-handle')
					});

					// Wake-up animation
					browser.grid.css({
						marginTop : 0,
						opacity   : 0
					}).animate({
						marginTop : 0,
						opacity   : 1
					}, 1500, 'easeOutExpo', function () {
						// Disable filter to prevent IE<=8 filter bug
						if ($.browser.msie) {
							$(this).add($elem).css(
								'filter',
								'progid:DXImageTransform.Microsoft.gradient(enabled = false)'
							);
						}
					});
				} else {
					$elem.stop().show().css({
						opacity : 1,
						filter  : 'progid:DXImageTransform.Microsoft.gradient(enabled = false)'
					});
				}
				browser._onWindowResized();
				browser.element.resize();
				numOpenedBrowsers++;
			},

			open: function () {
				this.show();
			},

			/**
			 * Hides this repository browser instance.
			 */
			close: function () {
				if (!this.opened) {
					return;
				}
				this.opened = false;
				this.element.fadeOut(250, function () {
					$(this).css('top', 0).hide();
					if (0 === numOpenedBrowsers || 0 === --numOpenedBrowsers) {
						hideOverlay();
					}
				});
			},

			/**
			 * Refreshes the browser's list by refetching the items of the
			 * current folder.
			 */
			refresh: function () {
				if (this._currentFolder) {
					this._fetchItems(this._currentFolder);
				}
			},

			/**
			 * This function gets called when a folder in the tree is opened.
			 *
			 * @param {Object} obj Folder data object
			 */
			folderOpened: function (obj) {
				var folder = this._getObjectFromCache(obj);
				if (folder) {
					this.manager.folderOpened(folder);
				}
			},

			/**
			 * This function gets called when a folder in the tree is closed.
			 *
			 * @param {Object} obj Folder data object
			 */
			folderClosed: function (obj) {
				var folder = this._getObjectFromCache(obj);
				if (folder) {
					this.manager.folderClosed(folder);
				}
			},

			/**
			 * This function gets called when a folder in the tree is selected.
			 *
			 * @param {object} obj Folder data object
			 */
			folderSelected: function (obj) {
				this.manager.folderSelected(obj);
			},

			/**
			 * Gets the selected folder.
			 *
			 * @return {object} selected Folder or undefined
			 */
			getSelectedFolder: function () {
				if ('function' === typeof this.manager.getSelectedFolder) {
					return this.manager.getSelectedFolder();
				}
			},

			destroy: function () {},

			/**
			 * User should implement this according to their needs
			 *
			 * @param {Object} item Repository resource for a row
			 */
			onSelect: function (item) {},

			/**
			 * Handle repository timeouts
			 */
			handleTimeout: function () {}
		});

		$(createOverlay);

		return Browser;
	}

	if ('function' === typeof define) {
		define('repository-browser-i18n-de', [], function () {
			return {
				'Browsing'                       : 'Durchsuchen',
				'Close'                          : 'Schließen',
				'in'                             : 'in',
				'Input search text...'           : 'Suchtext einfügen...',
				'numerous'                       : 'zahlreiche',
				'of'                             : 'von',
				'Repository Browser'             : 'Repository Browser',
				'Search'                         : 'Suchen',
				'Searching for'                  : 'Suche nach',
				'Viewing'                        : 'Anzeige',
				'button.switch-metaview.tooltip' : 'Zwischen Metaansicht und normaler Ansicht umschalten'
			};
		});
		define('repository-browser-i18n-en', [], function () {
			return {
				'Browsing'                       : 'Browsing',
				'Close'                          : 'Close',
				'in'                             : 'in',
				'Input search text...'           : 'Input search text...',
				'numerous'                       : 'numerous',
				'of'                             : 'of',
				'Repository Browser'             : 'Repository Browser',
				'Search'                         : 'Search',
				'Searching for'                  : 'Searching for',
				'Viewing'                        : 'Viewing',
				'button.switch-metaview.tooltip' : 'Switch between meta and normal view'
			};
		});
		define('RepositoryBrowser', [
			'jquery',
			'Class',
			'PubSub',
			'repository-browser-i18n-' + (
				(window && window.__DEPS__ && window.__DEPS__.lang) || 'en'
			),
			'jstree',
			'jqgrid',
			'jquery-layout'
		], initialize);
	} else {
		window.Browser = initialize(
			window.jQuery,
			window.Class,
			{pub: function () {}} // PubSub noop interface
		);
	}
}());

define('linkbrowser/nls/i18n',{
	"root":  {
		"button.addlink.tooltip": "Insert Link",
		"button.removelink.tooltip": "Remove Link",
		"newlink.defaulttext": "New Link",
		"floatingmenu.tab.link": "Link"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


define('linkbrowser/linkbrowser-plugin',[
	'aloha',
	'jquery',
	'aloha/plugin',
	'ui/ui',
	'ui/icons',
	'ui/button',
	'link/link-plugin',
	'RepositoryBrowser',
	'i18n!linkbrowser/nls/i18n',
	'i18n!aloha/nls/i18n'
], function(
	Aloha,
	jQuery,
	Plugin,
	Ui,
	Icons,
	Button,
	Links,
	RepositoryBrowser,
	i18n,
	i18nCore
) {
	'use strict';

	var LinkBrowser = RepositoryBrowser.extend({

		init: function (config) {
			this._super(config);

			// If the link plugin tries to display any special attributes
			// in the sidebar, make sure the repository does not filter
			// them out.
			if (Links.settings.sidebar && config.filter) {
				jQuery.each(Links.settings.sidebar, function (idx, val) {
					config.filter.push(val.attr);
				});
			}


			this.element.addClass('aloha-dialog');

			var that = this;

			this._linkBrowserButton = Ui.adopt('linkBrowser', Button, {
				tooltip: i18n.t('button.addlink.tooltip'),
				icon: Icons.TREE,
				click: function () {
					that.show();
				}
			});

			this._linkBrowserButton.hide();

			this.url = Aloha.getAlohaUrl() + '/../plugins/extra/linkbrowser/';

			Aloha.bind('aloha-link-selected', function (event, rangeObject) {
				that._linkBrowserButton.show();
			});

			Aloha.bind('aloha-link-unselected', function (event, rangeObject) {
				that._linkBrowserButton.hide();
			});
		},

		onSelect: function (item) {
			Links.hrefField.setItem(item);

			// Now create a selection within the editable since the user should
			// be able to type once the link has been created.

			// 1. We need to save the current cursor position since the a
			//    activate editable event will be fired and this will set the
			//    cursor in the upper left corner of the editable.
			var range = Aloha.Selection.getRangeObject();
			var currentStartContainer = range.startContainer = range.endContainer;
			var currentStartOffset = range.startOffset = range.endOffset;

			// 2. Do the first select - this will invoke the activate editable
			//    event.
			range.select();

			// 3. Restore the range.
			range.startContainer = range.endContainer = currentStartContainer;
			range.startOffset = range.endOffset = currentStartOffset;

			// 4. Invoke the final selection.
			range.select();

			Aloha.trigger('aloha-link-selected-in-linkbrowser', item);

			// Close the browser lightbox.
			this.close();
		},

		renderRowCols: function (item) {
			var row = {},
			    pluginUrl = this.url,
			    icon = '__page__',
			    idMatch = item.id.match(/(\d+)\./);

			jQuery.each(this.columns, function (colName, v) {
				switch (colName) {
				case 'icon':
					row.icon = '<div class="aloha-browser-icon\
						aloha-browser-icon-' + icon + '"></div>';
					break;
				case 'translations':
					if (!item.renditions) {
						break;
					}

					var rends = item.renditions,
					    i = rends.length,
					    strBldr = [],
					    r;

					for (; i > 0; --i) {
						r = rends[i];
						if (r.kind == 'translation') {
							strBldr.push(
								//'<a href="' + repo_host + r.url + '">' +
								'<img src="'   + pluginUrl  + 'img/flags/' + r.language + '.png"\
									  alt="'   + r.language + '"\
									  title="' + r.filename + '" />'
								//'</a>'
							);
						}
					}

					row.translations = strBldr.join('');
					break;
				case 'language':
					row.language = item.language;
					break;
				default:
					row[colName] = item[colName] || '--';
				}
			});

			return row;
		}

	});

	var LinkBrowserPlugin = Plugin.create('linkbrowser', {
		dependencies: ['link'],

		browser: null,

		init: function () {
			var config = {
				repositoryManager : Aloha.RepositoryManager,
				repositoryFilter  : [],
				objectTypeFilter  : ['website', 'file', 'image', 'language' /*, '*' */],
				renditionFilter	  : ['*'],
				filter			  : ['language'],
				columns : {
					icon         : {title: '',     width: 30,  sortable: false, resizable: false},
					name         : {title: 'Name', width: 320, sorttype: 'text'},
					language     : {title: '',     width: 30,  sorttype: 'text'},
					translations : {title: '',     width: 350, sorttype: 'text'}
				},
				rootPath : Aloha.settings.baseUrl + '/vendor/repository-browser/'
			};

			this.browser = new LinkBrowser(config);
		}
	});

	return LinkBrowserPlugin;
});

define('imagebrowser/nls/i18n',{
	"root":  {
		"button.addimage.tooltip": "Insert Image",
		"button.removeimage.tooltip": "Remove Image",
		"newimage.defaulttext": "New Image",
		"floatingmenu.tab.img": "Image"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/* imagebrowser-plugin.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('imagebrowser/imagebrowser-plugin',[
	// js
	'aloha',
	'jquery',
	'aloha/plugin',
	'ui/ui',
	'ui/icons',
	'ui/button',
	'image/image-plugin',
	'RepositoryBrowser',
	// i18n
	'i18n!imagebrowser/nls/i18n',
	'i18n!aloha/nls/i18n'
], function(
	Aloha,
    jQuery,
    Plugin,
    Ui,
	Icons,
    Button,
    Images,
    RepositoryBrowser,
    i18n,
    i18nCore
) {
	'use strict';

	var ImageBrowser = RepositoryBrowser.extend( {

		init: function ( config ) {
			this._super( config );

			this.element.addClass('aloha-dialog');

			var browser = this;

			this._imageBrowserButton = Ui.adopt('imageBrowser', Button, {
				tooltip: i18n.t('button.addimage.tooltip'),
				icon: Icons.TREE,
				'class': 'aloha-imagebrowser-button',
				click: function () { browser.open(); }
			});

			this._imageBrowserButton.show(false);

			this.url = Aloha.getAlohaUrl() + '/../plugins/extra/imagebrowser/';

			Aloha.bind( 'aloha-image-selected', function ( event, rangeObject ) {
				browser._imageBrowserButton.show(true);
			});
			Aloha.bind( 'aloha-image-unselected', function ( event, rangeObject ) {
				browser._imageBrowserButton.show(false);
			});
		},
		onSelect: function ( item ) {
			if ( item.type.match( 'image' ) !== null ) {
				Images.ui.imgSrcField.setItem( item );
				Images.resetSize(); // reset to original image size
				this.close();
			}
		},

		/**
		 * Overrides browser list items to show only images in the grid panel
		 */
		listItems: function ( items ) {
			var browser = this;
			var list = this.list.clearGridData();

			jQuery.each( items, function () {
				var obj = this.resource;
				if ( obj.type.match( 'image' ) !== null ) {
					list.addRowData(
						obj.uid,
						jQuery.extend( { id: obj.id }, browser.renderRowCols( obj ) )
					);
				}
			});
		},

		 /**
		  * Overrides column rendering
		  */
		renderRowCols: function ( item ) {
			var row = {},
			    pluginUrl = this.url,
			    icon = '__page__',
			    idMatch = item.id.match( /(\d+)\./ );

			jQuery.each( this.columns, function ( colName, v ) {
				switch ( colName ) {
				case 'icon':
					if ( !item.renditions ) {
						break;
					}
					if ( item.renditions.length === 1 ) {
						if ( item.renditions[ 0 ].kind === 'thumbnail' ) {
							row.icon = '<img width="' + item.renditions[ 0 ].width
							+ '" height="' + item.renditions[ 0 ].height
							+ ' " src="' + item.renditions[ 0 ].url + '"/>';
						}
					}
					break;
				default:
					row[ colName ] = item[ colName ] || '--';
				}
			});

			return row;
		}

	});

	var ImageBrowserPlugin = Plugin.create( 'imagebrowser', {
		dependencies: [ 'image' ],
		browser: null,
		init: function () {
			var config = {
				repositoryManager : Aloha.RepositoryManager,
				repositoryFilter  : [],
				objectTypeFilter  : [ 'image' /*, '*' */ ],
				renditionFilter	  : [ '*' ],
				filter			  : [ 'language' ],
				columns : {
					icon : { title: '',     width: 75,  sortable: false, resizable: false },
					name : { title: 'Name', width: 320, sorttype: 'text' }
				},
				rootPath : Aloha.settings.baseUrl + '/vendor/repository-browser/'
			};
			this.browser = new ImageBrowser( config );
		}
	});

	return ImageBrowserPlugin;
});

define('wai-lang/nls/i18n',{
	"root":  {
		"floatingmenu.tab.wai-lang": "Language annotation",
		"button.add-wai-lang-remove.tooltip": "Remove language annotation",
		"button.add-wai-lang.tooltip": "Add language annotation"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});




define(
		'extra/languages/iso639-1-de',[],
		function() {

			var iso = {
				"aa" : {
					"name" : "Afar"
				},
				"ab" : {
					"name" : "Abchasen"
				},
				"af" : {
					"name" : "Afrikaans"
				},
				"ak" : {
					"name" : "Akan"
				},
				"sq" : {
					"name" : "Albanisch"
				},
				"am" : {
					"name" : "Amharisch"
				},
				"ar" : {
					"name" : "Arabisch",
					"flag" : "ae"
				},
				"an" : {
					"name" : "Aragonesisch"
				},
				"hy" : {
					"name" : "Armenisch"
				},
				"as" : {
					"name" : "Assamesisch"
				},
				"av" : {
					"name" : "Avarisch"
				},
				"ae" : {
					"name" : "Avestan"
				},
				"ay" : {
					"name" : "Aymara"
				},
				"az" : {
					"name" : "Aserbaidschanisch"
				},
				"ba" : {
					"name" : "Baschkirisch"
				},
				"bm" : {
					"name" : "Bambara"
				},
				"eu" : {
					"name" : "Baskisch"
				},
				"be" : {
					"name" : "Weißrussisch",
					"flag" : "by"
				},
				"bn" : {
					"name" : "Bengalisch"
				},
				"bh" : {
					"name" : "Bihari Sprachen"
				},
				"bi" : {
					"name" : "Bislama"
				},
				"bs" : {
					"name" : "Bosnisch"
				},
				"br" : {
					"name" : "Bretonisch"
				},
				"bg" : {
					"name" : "Bulgarisch",
					"flag" : "bg"
				},
				"my" : {
					"name" : "Birmanisch"
				},
				"ca" : {
					"name" : "Katalanisch, Valencia",
					"flag" : "es"
				},
				"ch" : {
					"name" : "Chamorro"
				},
				"ce" : {
					"name" : "Tschetschenisch"
				},
				"zh" : {
					"name" : "Chinesisch"
				},
				"cu" : {
					"name" : "Kirchenslawisch; Altslawisch; Altbulgarisch; Altkirchenslawisch"
				},
				"cv" : {
					"name" : "Tschuwaschische Sprache"
				},
				"kw" : {
					"name" : "Cornish"
				},
				"co" : {
					"name" : "Korsisch"
				},
				"cr" : {
					"name" : "Cree"
				},
				"cs" : {
					"name" : "Tschechisch"
				},
				"da" : {
					"name" : "Dänisch",
					"flag" : "dk"
				},
				"dv" : {
					"name" : "Divehi; Dhivehi; maledivische"
				},
				"nl" : {
					"name" : "Niederländisch, Flämisch"
				},
				"dz" : {
					"name" : "Dzongkha"
				},
				"en" : {
					"name" : "Englisch",
					"flag" : "gb"
				},
				"eo" : {
					"name" : "Esperanto"
				},
				"et" : {
					"name" : "Estnisch",
					"flag" : "ee"
				},
				"ee" : {
					"name" : "Ewe"
				},
				"fo" : {
					"name" : "Färöisch"
				},
				"fj" : {
					"name" : "Fidschi"
				},
				"fi" : {
					"name" : "Finnisch",
					"flag" : "fi"
				},
				"fr" : {
					"name" : "Französisch"
				},
				"fy" : {
					"name" : "Westfriesisch"
				},
				"ff" : {
					"name" : "Fulah"
				},
				"ka" : {
					"name" : "Georgisch"
				},
				"de" : {
					"name" : "Deutsch",
					"flag" : "de"
				},
				"gd" : {
					"name" : "Gälisch, Schottisch-Gälisch"
				},
				"ga" : {
					"name" : "Irisch",
					"flag" : "ie"
				},
				"gl" : {
					"name" : "Galizisch"
				},
				"gv" : {
					"name" : "Manx"
				},
				"el" : {
					"name" : "Griechisch, Modern (1453 -)"
				},
				"gn" : {
					"name" : "Guarani"
				},
				"gu" : {
					"name" : "Gujarati"
				},
				"ht" : {
					"name" : "Haitianisch"
				},
				"ha" : {
					"name" : "Hausa"
				},
				"he" : {
					"name" : "Hebräisch",
					"flag" : "il"
				},
				"hz" : {
					"name" : "Herero"
				},
				"hi" : {
					"name" : "Hindi",
					"flag" : "in"
				},
				"ho" : {
					"name" : "Hiri Motu"
				},
				"hr" : {
					"name" : "Kroatisch",
					"flag" : "hr"
				},
				"hu" : {
					"name" : "Ungarisch",
					"flag" : "hu"
				},
				"ig" : {
					"name" : "Igbo"
				},
				"is" : {
					"name" : "Isländisch"
				},
				"io" : {
					"name" : "Ido"
				},
				"ii" : {
					"name" : "Sichuan Yi; Nuosu"
				},
				"iu" : {
					"name" : "Inuktitut"
				},
				"ie" : {
					"name" : "Interlingue; Okzidental"
				},
				"ia" : {
					"name" : "Interlingua (International Auxiliary Language Association)"
				},
				"id" : {
					"name" : "Indonesisch",
					"flag" : "id"
				},
				"ik" : {
					"name" : "Inupiaq"
				},
				"it" : {
					"name" : "Italienisch",
					"flag" : "it"
				},
				"jv" : {
					"name" : "Javaner"
				},
				"ja" : {
					"name" : "Japanisch",
					"flag" : "jp"
				},
				"kl" : {
					"name" : "Kalaallisut; Grönländisch"
				},
				"kn" : {
					"name" : "Kannada"
				},
				"ks" : {
					"name" : "Kashmiri"
				},
				"kr" : {
					"name" : "Kanuri"
				},
				"kk" : {
					"name" : "Kasachisch"
				},
				"km" : {
					"name" : "Mittel-Khmer"
				},
				"ki" : {
					"name" : "Kikuyu; Gikuyu"
				},
				"rw" : {
					"name" : "Kinyarwanda"
				},
				"ky" : {
					"name" : "Kirgisisch"
				},
				"kv" : {
					"name" : "Komi"
				},
				"kg" : {
					"name" : "Kongo"
				},
				"ko" : {
					"name" : "Koreanisch",
					"flag" : "kr"
				},
				"kj" : {
					"name" : "Kuanyama; Kwanyama"
				},
				"ku" : {
					"name" : "Kurdisch"
				},
				"lo" : {
					"name" : "Lao"
				},
				"la" : {
					"name" : "Latein"
				},
				"lv" : {
					"name" : "Lettisch",
					"flag" : "lv"
				},
				"li" : {
					"name" : "Limburgisch"
				},
				"ln" : {
					"name" : "Lingála"
				},
				"lt" : {
					"name" : "Litauisch",
					"flag" : "lt"
				},
				"lb" : {
					"name" : "Luxemburgisch, Lëtzebuergesch"
				},
				"lu" : {
					"name" : "Luba-Katanga"
				},
				"lg" : {
					"name" : "Ganda"
				},
				"mk" : {
					"name" : "Mazedonisch"
				},
				"mh" : {
					"name" : "Marshallese"
				},
				"ml" : {
					"name" : "Malayalam"
				},
				"mi" : {
					"name" : "Maori"
				},
				"mr" : {
					"name" : "Marathi"
				},
				"ms" : {
					"name" : "Malaiisch"
				},
				"mg" : {
					"name" : "Malagasy"
				},
				"mt" : {
					"name" : "Maltesisch",
					"flag" : "mt"
				},
				"mn" : {
					"name" : "Mongolisch"
				},
				"na" : {
					"name" : "Nauru"
				},
				"nv" : {
					"name" : "Navajo; Navaho"
				},
				"nr" : {
					"name" : "Ndebele, Süd, Süd-Ndebele"
				},
				"nd" : {
					"name" : "Ndebele, Nord, Nord-Ndebele"
				},
				"ng" : {
					"name" : "Ndonga"
				},
				"ne" : {
					"name" : "Nepali"
				},
				"nn" : {
					"name" : "Norwegisch Nynorsk"
				},
				"nb" : {
					"name" : "Bokmål, Norwegisch, Norwegisch Bokmål"
				},
				"no" : {
					"name" : "Norwegisch",
					"flag" : "no"
				},
				"ny" : {
					"name" : "Chichewa; Chewa; Nyanja"
				},
				"oc" : {
					"name" : "Occitan (post 1500); provenzalischen"
				},
				"oj" : {
					"name" : "Ojibwa"
				},
				"or" : {
					"name" : "Oriya"
				},
				"om" : {
					"name" : "Oromo"
				},
				"os" : {
					"name" : "Ossetisch"
				},
				"pa" : {
					"name" : "Panjabi, Punjabi"
				},
				"fa" : {
					"name" : "Persisch"
				},
				"pi" : {
					"name" : "Pali"
				},
				"pl" : {
					"name" : "Polnisch",
					"flag" : "pl"
				},
				"pt" : {
					"name" : "Portugiesisch",
					"flag" : "pt"
				},
				"ps" : {
					"name" : "Paschtu, Paschtu"
				},
				"qu" : {
					"name" : "Quechua"
				},
				"rm" : {
					"name" : "Rätoromanisch"
				},
				"ro" : {
					"name" : "Rumänisch; Moldawisch; Moldauisch"
				},
				"rn" : {
					"name" : "Rundi"
				},
				"ru" : {
					"name" : "Russisch",
					"flag" : "ru"
				},
				"sg" : {
					"name" : "Sango"
				},
				"sa" : {
					"name" : "Sanskrit"
				},
				"si" : {
					"name" : "Singhalesisch"
				},
				"sk" : {
					"name" : "Slowakisch"
				},
				"sl" : {
					"name" : "Slowenisch",
					"flag" : "si"
				},
				"se" : {
					"name" : "Nord Sami"
				},
				"sm" : {
					"name" : "Samoaner"
				},
				"sn" : {
					"name" : "Shona"
				},
				"sd" : {
					"name" : "Sindhi"
				},
				"so" : {
					"name" : "Somali"
				},
				"st" : {
					"name" : "Sotho, Südlich"
				},
				"es" : {
					"name" : "Spanisch, Kastilisch",
					"flag" : "es"
				},
				"sc" : {
					"name" : "Sardisch"
				},
				"sr" : {
					"name" : "Serbisch",
					"flag" : "rs"
				},
				"ss" : {
					"name" : "Swati"
				},
				"su" : {
					"name" : "Sundanesisch"
				},
				"sw" : {
					"name" : "Swahili"
				},
				"sv" : {
					"name" : "Schwedisch",
					"flag" : "se"
				},
				"ty" : {
					"name" : "Tahitianisch"
				},
				"ta" : {
					"name" : "Tamilisch"
				},
				"tt" : {
					"name" : "Tatar"
				},
				"te" : {
					"name" : "Telugu"
				},
				"tg" : {
					"name" : "Tadschikisch"
				},
				"tl" : {
					"name" : "Tagalog"
				},
				"th" : {
					"name" : "Thailändisch",
					"flag" : "th"
				},
				"bo" : {
					"name" : "Tibetisch"
				},
				"ti" : {
					"name" : "Tigrinya"
				},
				"to" : {
					"name" : "Tonga (Tonga-Inseln)"
				},
				"tn" : {
					"name" : "Tswana"
				},
				"ts" : {
					"name" : "Tsonga"
				},
				"tk" : {
					"name" : "Turkmenisch"
				},
				"tr" : {
					"name" : "Türkisch",
					"flag" : "tr"
				},
				"tw" : {
					"name" : "Twi"
				},
				"ug" : {
					"name" : "Uigurisch"
				},
				"uk" : {
					"name" : "Ukrainisch",
					"flag" : "ua"
				},
				"ur" : {
					"name" : "Urdu"
				},
				"uz" : {
					"name" : "Usbekisch"
				},
				"ve" : {
					"name" : "Venda"
				},
				"vi" : {
					"name" : "Vietnamesisch",
					"flag" : "vn"
				},
				"vo" : {
					"name" : "Volapük"
				},
				"cy" : {
					"name" : "Walisisch"
				},
				"wa" : {
					"name" : "Wallonisch"
				},
				"wo" : {
					"name" : "Wolof"
				},
				"xh" : {
					"name" : "Xhosa"
				},
				"yi" : {
					"name" : "Jiddisch"
				},
				"yo" : {
					"name" : "Yoruba"
				},
				"za" : {
					"name" : "Zhuang; Chuang"
				},
				"zu" : {
					"name" : "Zulu"
				}
			};
			
			return iso;
		});

define(
		'extra/languages/iso639-2-de',[],
		function() {

			var iso = {
				"aar" : {
					"name" : "Afar"
				},
				"abk" : {
					"name" : "Abchasen"
				},
				"ace" : {
					"name" : "Achinese"
				},
				"ach" : {
					"name" : "Acholi"
				},
				"ada" : {
					"name" : "Adangme"
				},
				"ady" : {
					"name" : "Adyghe; Adygei"
				},
				"afa" : {
					"name" : "Afro-Asiatische Sprachen"
				},
				"afh" : {
					"name" : "Afrihili"
				},
				"afr" : {
					"name" : "Afrikaans"
				},
				"ain" : {
					"name" : "Ainu"
				},
				"aka" : {
					"name" : "Akan"
				},
				"akk" : {
					"name" : "Akkadisch"
				},
				"alb" : {
					"name" : "Albanisch"
				},
				"sqi" : {
					"name" : "Albanisch",
					"flag" : "al"
				},
				"ale" : {
					"name" : "Aleutisch"
				},
				"alg" : {
					"name" : "Algonkin-Sprachen"
				},
				"alt" : {
					"name" : "Südaltai"
				},
				"amh" : {
					"name" : "Amharisch"
				},
				"ang" : {
					"name" : "Englisch, Alt (ca.450-1100)"
				},
				"anp" : {
					"name" : "Angika"
				},
				"apa" : {
					"name" : "Apache Sprachen"
				},
				"ara" : {
					"name" : "Arabisch",
					"flag" : "ae"
				},
				"arc" : {
					"name" : "Offizielles Aramäisch (700-300 v. Chr.); Reichsaramäisch (700-300 v. Chr.)"
				},
				"arg" : {
					"name" : "Aragonesisch"
				},
				"arm" : {
					"name" : "Armenisch"
				},
				"hye" : {
					"name" : "Armenisch"
				},
				"arn" : {
					"name" : "Mapudungun; Mapuche"
				},
				"arp" : {
					"name" : "Arapaho"
				},
				"art" : {
					"name" : "Künstliche Sprachen"
				},
				"arw" : {
					"name" : "Arawak"
				},
				"asm" : {
					"name" : "Assamesisch"
				},
				"ast" : {
					"name" : "Asturisch"
				},
				"ath" : {
					"name" : "Athapascan Sprachen"
				},
				"aus" : {
					"name" : "Australische Sprachen"
				},
				"ava" : {
					"name" : "Avarisch"
				},
				"ave" : {
					"name" : "Avestan"
				},
				"awa" : {
					"name" : "Awadhi"
				},
				"aym" : {
					"name" : "Aymara"
				},
				"aze" : {
					"name" : "Aserbaidschanisch"
				},
				"bad" : {
					"name" : "Banda Sprachen"
				},
				"bai" : {
					"name" : "Bamileke Sprachen"
				},
				"bak" : {
					"name" : "Baschkirisch"
				},
				"bal" : {
					"name" : "Baluchi"
				},
				"bam" : {
					"name" : "Bambara"
				},
				"ban" : {
					"name" : "Balinesisch"
				},
				"baq" : {
					"name" : "Baskisch"
				},
				"eus" : {
					"name" : "Baskisch"
				},
				"bas" : {
					"name" : "Basa"
				},
				"bat" : {
					"name" : "Baltische Sprachen"
				},
				"bej" : {
					"name" : "Beja; Bedawiyet"
				},
				"bel" : {
					"name" : "Weißrussisch",
					"flag" : "by"
				},
				"bem" : {
					"name" : "Bemba"
				},
				"ben" : {
					"name" : "Bengalisch"
				},
				"ber" : {
					"name" : "Berbersprachen"
				},
				"bho" : {
					"name" : "Bhojpuri"
				},
				"bih" : {
					"name" : "Bihari Sprachen"
				},
				"bik" : {
					"name" : "Bikol"
				},
				"bin" : {
					"name" : "Bini, Edo"
				},
				"bis" : {
					"name" : "Bislama"
				},
				"bla" : {
					"name" : "Siksika"
				},
				"bnt" : {
					"name" : "Bantusprachen"
				},
				"bos" : {
					"name" : "Bosnisch"
				},
				"bra" : {
					"name" : "Braj"
				},
				"bre" : {
					"name" : "Bretonisch"
				},
				"btk" : {
					"name" : "Batak Sprachen"
				},
				"bua" : {
					"name" : "Buriatisch"
				},
				"bug" : {
					"name" : "Buginesisch"
				},
				"bul" : {
					"name" : "Bulgarisch",
					"flag" : "bg"
				},
				"bur" : {
					"name" : "Birmanisch"
				},
				"mya" : {
					"name" : "Birmanisch"
				},
				"byn" : {
					"name" : "Blin; Bilin"
				},
				"cad" : {
					"name" : "Caddo"
				},
				"cai" : {
					"name" : "Zentralamerikanische indische Sprachen"
				},
				"car" : {
					"name" : "Galibi Carib"
				},
				"cat" : {
					"name" : "Katalanisch, Valencia",
					"flag" : "es"
				},
				"cau" : {
					"name" : "Kaukasische Sprachen"
				},
				"ceb" : {
					"name" : "Cebuano"
				},
				"cel" : {
					"name" : "Keltische Sprachen"
				},
				"cha" : {
					"name" : "Chamorro"
				},
				"chb" : {
					"name" : "Chibcha"
				},
				"che" : {
					"name" : "Tschetschenisch"
				},
				"chg" : {
					"name" : "Dschag."
				},
				"chi" : {
					"name" : "Chinesisch"
				},
				"zho" : {
					"name" : "Chinesisch",
					"flag" : "cn"
				},
				"chk" : {
					"name" : "Chuukese"
				},
				"chm" : {
					"name" : "Mari"
				},
				"chn" : {
					"name" : "Chinook-Jargon"
				},
				"cho" : {
					"name" : "Choctaw"
				},
				"chp" : {
					"name" : "Chipewyan; Dene Suline"
				},
				"chr" : {
					"name" : "Cherokee"
				},
				"chu" : {
					"name" : "Kirchenslawisch; Altslawisch; Altbulgarisch; Altkirchenslawisch"
				},
				"chv" : {
					"name" : "Tschuwaschische Sprache"
				},
				"chy" : {
					"name" : "Cheyenne"
				},
				"cmc" : {
					"name" : "Chamic Sprachen"
				},
				"cop" : {
					"name" : "Koptisch"
				},
				"cor" : {
					"name" : "Cornish"
				},
				"cos" : {
					"name" : "Korsisch"
				},
				"cpe" : {
					"name" : "Kreolsprachen, englisch-basiert"
				},
				"cpf" : {
					"name" : "Kreolsprachen, französisch-basiert"
				},
				"cpp" : {
					"name" : "Kreolsprachen, portugiesisch-basiert"
				},
				"cre" : {
					"name" : "Cree"
				},
				"crh" : {
					"name" : "Krimtatarisch; Krim-türkisch"
				},
				"crp" : {
					"name" : "Kreolsprachen"
				},
				"csb" : {
					"name" : "Kaschubisch"
				},
				"cus" : {
					"name" : "Kuschitische Sprachen"
				},
				"cze" : {
					"name" : "Tschechisch"
				},
				"ces" : {
					"name" : "Tschechisch",
					"flag" : "cz"
				},
				"dak" : {
					"name" : "Dakota"
				},
				"dan" : {
					"name" : "Dänisch",
					"flag" : "dk"
				},
				"dar" : {
					"name" : "Dargwa"
				},
				"day" : {
					"name" : "Land Dayak Sprachen"
				},
				"del" : {
					"name" : "Delaware"
				},
				"den" : {
					"name" : "Slave (Athapascan)"
				},
				"dgr" : {
					"name" : "Dogrib"
				},
				"din" : {
					"name" : "Dinka"
				},
				"div" : {
					"name" : "Divehi; Dhivehi; maledivische"
				},
				"doi" : {
					"name" : "Dogri"
				},
				"dra" : {
					"name" : "Dravidische Sprachen"
				},
				"dsb" : {
					"name" : "Niedersorbisch"
				},
				"dua" : {
					"name" : "Duala"
				},
				"dum" : {
					"name" : "Niederländisch, Mittel (ca.1050-1350)"
				},
				"dut" : {
					"name" : "Niederländisch, Flämisch"
				},
				"nld" : {
					"name" : "Niederländisch, Flämisch",
					"flag" : "nl"
				},
				"dyu" : {
					"name" : "Dyula"
				},
				"dzo" : {
					"name" : "Dzongkha"
				},
				"efi" : {
					"name" : "Efik"
				},
				"egy" : {
					"name" : "Ägyptisch (Altertümlich)"
				},
				"eka" : {
					"name" : "Ekajuk"
				},
				"elx" : {
					"name" : "Elamite"
				},
				"eng" : {
					"name" : "Englisch",
					"flag" : "gb"
				},
				"enm" : {
					"name" : "Englisch, Mittle (1100-1500)"
				},
				"epo" : {
					"name" : "Esperanto"
				},
				"est" : {
					"name" : "Estnisch",
					"flag" : "ee"
				},
				"ewe" : {
					"name" : "Ewe"
				},
				"ewo" : {
					"name" : "Ewondo"
				},
				"fan" : {
					"name" : "Fang"
				},
				"fao" : {
					"name" : "Färöisch"
				},
				"fat" : {
					"name" : "Fanti"
				},
				"fij" : {
					"name" : "Fidschi"
				},
				"fil" : {
					"name" : "Filipinisch"
				},
				"fin" : {
					"name" : "Finnisch",
					"flag" : "fi"
				},
				"fiu" : {
					"name" : "Finno-ugrischen Sprachen"
				},
				"fon" : {
					"name" : "Fon"
				},
				"fre" : {
					"name" : "Französisch"
				},
				"fra" : {
					"name" : "Französisch",
					"flag" : "fr"
				},
				"frm" : {
					"name" : "Französisch, Mittel (ca.1400-1600)"
				},
				"fro" : {
					"name" : "Französisch, Alt (842-ca.1400)"
				},
				"frr" : {
					"name" : "Nordfriesisch"
				},
				"frs" : {
					"name" : "Ostfriesisch"
				},
				"fry" : {
					"name" : "Westfriesisch"
				},
				"ful" : {
					"name" : "Fulah"
				},
				"fur" : {
					"name" : "Friaulisch"
				},
				"gaa" : {
					"name" : "Ga"
				},
				"gay" : {
					"name" : "Gayo"
				},
				"gba" : {
					"name" : "Gbaya"
				},
				"gem" : {
					"name" : "Germanische Sprachen"
				},
				"geo" : {
					"name" : "Georgisch"
				},
				"kat" : {
					"name" : "Georgisch"
				},
				"ger" : {
					"name" : "Deutsch",
					"flag" : "de"
				},
				"deu" : {
					"name" : "Deutsch",
					"flag" : "de"
				},
				"gez" : {
					"name" : "Geez"
				},
				"gil" : {
					"name" : "Gilbertesisch"
				},
				"gla" : {
					"name" : "Gälisch, Schottisch-Gälisch"
				},
				"gle" : {
					"name" : "Irisch",
					"flag" : "ie"
				},
				"glg" : {
					"name" : "Galizisch"
				},
				"glv" : {
					"name" : "Manx"
				},
				"gmh" : {
					"name" : "Deutsch, Mittlehoch (ca.1050-1500)"
				},
				"goh" : {
					"name" : "Deutsch, Althoch (ca.750-1050)"
				},
				"gon" : {
					"name" : "Gondi"
				},
				"gor" : {
					"name" : "Gorontalo"
				},
				"got" : {
					"name" : "Gotisch"
				},
				"grb" : {
					"name" : "Grebo"
				},
				"grc" : {
					"name" : "Altgriechisch (bis 1453)"
				},
				"gre" : {
					"name" : "Griechisch, Modern (1453 -)"
				},
				"ell" : {
					"name" : "Griechisch, Modern (1453 -)",
					"flag" : "gr"
				},
				"grn" : {
					"name" : "Guarani"
				},
				"gsw" : {
					"name" : "Schweizerdeutsch, Alemannisch, Elsässisch"
				},
				"guj" : {
					"name" : "Gujarati"
				},
				"gwi" : {
					"name" : "Gwich'in"
				},
				"hai" : {
					"name" : "Haida"
				},
				"hat" : {
					"name" : "Haitianisch"
				},
				"hau" : {
					"name" : "Hausa"
				},
				"haw" : {
					"name" : "Hawaii"
				},
				"heb" : {
					"name" : "Hebräisch",
					"flag" : "il"
				},
				"her" : {
					"name" : "Herero"
				},
				"hil" : {
					"name" : "Hiligaynon"
				},
				"him" : {
					"name" : "Himachali Sprachen; Pahari westliche Sprachen"
				},
				"hin" : {
					"name" : "Hindi",
					"flag" : "in"
				},
				"hit" : {
					"name" : "Hethitisch"
				},
				"hmn" : {
					"name" : "Hmong, Mong"
				},
				"hmo" : {
					"name" : "Hiri Motu"
				},
				"hrv" : {
					"name" : "Kroatisch",
					"flag" : "hr"
				},
				"hsb" : {
					"name" : "Obersorbisch"
				},
				"hun" : {
					"name" : "Ungarisch",
					"flag" : "hu"
				},
				"hup" : {
					"name" : "Hupa"
				},
				"iba" : {
					"name" : "Iban"
				},
				"ibo" : {
					"name" : "Igbo"
				},
				"ice" : {
					"name" : "Isländisch"
				},
				"isl" : {
					"name" : "Isländisch",
					"flag" : "is"
				},
				"ido" : {
					"name" : "Ido"
				},
				"iii" : {
					"name" : "Sichuan Yi; Nuosu"
				},
				"ijo" : {
					"name" : "Ijo Sprachen"
				},
				"iku" : {
					"name" : "Inuktitut"
				},
				"ile" : {
					"name" : "Interlingue; Okzidental"
				},
				"ilo" : {
					"name" : "Iloko"
				},
				"ina" : {
					"name" : "Interlingua (International Auxiliary Language Association)"
				},
				"inc" : {
					"name" : "Indische Sprachen"
				},
				"ind" : {
					"name" : "Indonesisch",
					"flag" : "id"
				},
				"ine" : {
					"name" : "Indoeuropäische Sprachen"
				},
				"inh" : {
					"name" : "Inguschisch"
				},
				"ipk" : {
					"name" : "Inupiaq"
				},
				"ira" : {
					"name" : "Iranische Sprachen"
				},
				"iro" : {
					"name" : "Irokesen Sprachen"
				},
				"ita" : {
					"name" : "Italienisch",
					"flag" : "it"
				},
				"jav" : {
					"name" : "Javaner"
				},
				"jbo" : {
					"name" : "Lojban"
				},
				"jpn" : {
					"name" : "Japanisch",
					"flag" : "jp"
				},
				"jpr" : {
					"name" : "Jüdisch-persisch"
				},
				"jrb" : {
					"name" : "Jüdisch-arabisch"
				},
				"kaa" : {
					"name" : "Kara-Kalpak"
				},
				"kab" : {
					"name" : "Kabyle"
				},
				"kac" : {
					"name" : "Kachin; Jingpho"
				},
				"kal" : {
					"name" : "Kalaallisut; Grönländisch"
				},
				"kam" : {
					"name" : "Kamba"
				},
				"kan" : {
					"name" : "Kannada"
				},
				"kar" : {
					"name" : "Karen Sprachen"
				},
				"kas" : {
					"name" : "Kashmiri"
				},
				"kau" : {
					"name" : "Kanuri"
				},
				"kaw" : {
					"name" : "Kawi"
				},
				"kaz" : {
					"name" : "Kasachisch"
				},
				"kbd" : {
					"name" : "Kabardinisch"
				},
				"kha" : {
					"name" : "Khasi"
				},
				"khi" : {
					"name" : "Khoisan-Sprache"
				},
				"khm" : {
					"name" : "Mittel-Khmer"
				},
				"kho" : {
					"name" : "Khotanesisch; Sakan"
				},
				"kik" : {
					"name" : "Kikuyu; Gikuyu"
				},
				"kin" : {
					"name" : "Kinyarwanda"
				},
				"kir" : {
					"name" : "Kirgisisch"
				},
				"kmb" : {
					"name" : "Kimbundu"
				},
				"kok" : {
					"name" : "Konkani"
				},
				"kom" : {
					"name" : "Komi"
				},
				"kon" : {
					"name" : "Kongo"
				},
				"kor" : {
					"name" : "Koreanisch",
					"flag" : "kr"
				},
				"kos" : {
					"name" : "Kosraeanisch"
				},
				"kpe" : {
					"name" : "Kpelle"
				},
				"krc" : {
					"name" : "Karatschai-Balkar"
				},
				"krl" : {
					"name" : "Karelisch"
				},
				"kro" : {
					"name" : "Kru Sprachen"
				},
				"kru" : {
					"name" : "Kurukh"
				},
				"kua" : {
					"name" : "Kuanyama; Kwanyama"
				},
				"kum" : {
					"name" : "Kumykisch"
				},
				"kur" : {
					"name" : "Kurdisch"
				},
				"kut" : {
					"name" : "Kutenai"
				},
				"lad" : {
					"name" : "Ladino"
				},
				"lah" : {
					"name" : "Lahnda"
				},
				"lam" : {
					"name" : "Lamba"
				},
				"lao" : {
					"name" : "Lao"
				},
				"lat" : {
					"name" : "Latein"
				},
				"lav" : {
					"name" : "Lettisch",
					"flag" : "lv"
				},
				"lez" : {
					"name" : "Lesgisch"
				},
				"lim" : {
					"name" : "Limburgisch"
				},
				"lin" : {
					"name" : "Lingála"
				},
				"lit" : {
					"name" : "Litauisch",
					"flag" : "lt"
				},
				"lol" : {
					"name" : "Mongo"
				},
				"loz" : {
					"name" : "Lozi"
				},
				"ltz" : {
					"name" : "Luxemburgisch, Lëtzebuergesch"
				},
				"lua" : {
					"name" : "Luba-Lulua"
				},
				"lub" : {
					"name" : "Luba-Katanga"
				},
				"lug" : {
					"name" : "Ganda"
				},
				"lui" : {
					"name" : "Luiseno"
				},
				"lun" : {
					"name" : "Lunda"
				},
				"luo" : {
					"name" : "Luo (Kenia und Tansania)"
				},
				"lus" : {
					"name" : "Lushai"
				},
				"mac" : {
					"name" : "Mazedonisch"
				},
				"mkd" : {
					"name" : "Mazedonisch",
					"flag" : "mk"
				},
				"mad" : {
					"name" : "Maduresisch"
				},
				"mag" : {
					"name" : "Magahi"
				},
				"mah" : {
					"name" : "Marshallese"
				},
				"mai" : {
					"name" : "Maithili"
				},
				"mak" : {
					"name" : "Makasar"
				},
				"mal" : {
					"name" : "Malayalam"
				},
				"man" : {
					"name" : "Mandingo"
				},
				"mao" : {
					"name" : "Maori"
				},
				"mri" : {
					"name" : "Maori"
				},
				"map" : {
					"name" : "Austronesische Sprachen"
				},
				"mar" : {
					"name" : "Marathi"
				},
				"mas" : {
					"name" : "Masai"
				},
				"may" : {
					"name" : "Malaiisch"
				},
				"msa" : {
					"name" : "Malaiisch",
					"flag" : "my"
				},
				"mdf" : {
					"name" : "Moksha"
				},
				"mdr" : {
					"name" : "Mandar"
				},
				"men" : {
					"name" : "Mende"
				},
				"mga" : {
					"name" : "Irisch, Mittel (900-1200)"
				},
				"mic" : {
					"name" : "Mi'kmaq; Micmac"
				},
				"min" : {
					"name" : "Minangkabau"
				},
				"mis" : {
					"name" : "Unkodierte Sprachen"
				},
				"mkh" : {
					"name" : "Mon-Khmer-Sprachen"
				},
				"mlg" : {
					"name" : "Malagasy"
				},
				"mlt" : {
					"name" : "Maltesisch",
					"flag" : "mt"
				},
				"mnc" : {
					"name" : "Manchu"
				},
				"mni" : {
					"name" : "Manipuri"
				},
				"mno" : {
					"name" : "Manobo Sprachen"
				},
				"moh" : {
					"name" : "Mohawk"
				},
				"mon" : {
					"name" : "Mongolisch"
				},
				"mos" : {
					"name" : "Mossi"
				},
				"mul" : {
					"name" : "Mehrere Sprachen"
				},
				"mun" : {
					"name" : "Munda-Sprachen"
				},
				"mus" : {
					"name" : "Bach"
				},
				"mwl" : {
					"name" : "Mirandesisch"
				},
				"mwr" : {
					"name" : "Marwari"
				},
				"myn" : {
					"name" : "Maya-Sprachen"
				},
				"myv" : {
					"name" : "Erzya"
				},
				"nah" : {
					"name" : "Nahuatl Sprachen"
				},
				"nai" : {
					"name" : "Nordamerikanische Indianer Sprachen"
				},
				"nap" : {
					"name" : "Neapolitanisch"
				},
				"nau" : {
					"name" : "Nauru"
				},
				"nav" : {
					"name" : "Navajo; Navaho"
				},
				"nbl" : {
					"name" : "Ndebele, Süd, Süd-Ndebele"
				},
				"nde" : {
					"name" : "Ndebele, Nord, Nord-Ndebele"
				},
				"ndo" : {
					"name" : "Ndonga"
				},
				"nds" : {
					"name" : "Plattdeutsch; Niedersächsisch, Deutsch"
				},
				"nep" : {
					"name" : "Nepali"
				},
				"new" : {
					"name" : "Nepal Bhasa; Newari"
				},
				"nia" : {
					"name" : "Nias"
				},
				"nic" : {
					"name" : "Niger-Kordofanianische Sprachen"
				},
				"niu" : {
					"name" : "Niuean"
				},
				"nno" : {
					"name" : "Norwegisch Nynorsk"
				},
				"nob" : {
					"name" : "Bokmål, Norwegisch, Norwegisch Bokmål"
				},
				"nog" : {
					"name" : "Nogai"
				},
				"non" : {
					"name" : "Norwegisch, Alt"
				},
				"nor" : {
					"name" : "Norwegisch",
					"flag" : "no"
				},
				"nqo" : {
					"name" : "N'Ko"
				},
				"nso" : {
					"name" : "Pedi; Sepedi; Nord Sotho"
				},
				"nub" : {
					"name" : "Nubische Sprachen"
				},
				"nwc" : {
					"name" : "Klassische Newari; Alt Newari; Klassische Nepal Bhasa"
				},
				"nya" : {
					"name" : "Chichewa; Chewa; Nyanja"
				},
				"nym" : {
					"name" : "Nyamwezi"
				},
				"nyn" : {
					"name" : "Nyankole"
				},
				"nyo" : {
					"name" : "Nyoro"
				},
				"nzi" : {
					"name" : "Nzima"
				},
				"oci" : {
					"name" : "Occitan (post 1500); provenzalischen"
				},
				"oji" : {
					"name" : "Ojibwa"
				},
				"ori" : {
					"name" : "Oriya"
				},
				"orm" : {
					"name" : "Oromo"
				},
				"osa" : {
					"name" : "Osage"
				},
				"oss" : {
					"name" : "Ossetisch"
				},
				"ota" : {
					"name" : "Türkisch, osmanische (1500-1928)"
				},
				"oto" : {
					"name" : "Otomian Sprachen"
				},
				"paa" : {
					"name" : "Papua-Sprachen"
				},
				"pag" : {
					"name" : "Pangasinan"
				},
				"pal" : {
					"name" : "Pahlavi"
				},
				"pam" : {
					"name" : "Pampanga; Kapampangan"
				},
				"pan" : {
					"name" : "Panjabi, Punjabi"
				},
				"pap" : {
					"name" : "Papiamento"
				},
				"pau" : {
					"name" : "Palau"
				},
				"peo" : {
					"name" : "Persisch, Alt (ca.600-400 v. Chr.)"
				},
				"per" : {
					"name" : "Persisch"
				},
				"fas" : {
					"name" : "Persisch"
				},
				"phi" : {
					"name" : "Philippinische Sprachen"
				},
				"phn" : {
					"name" : "Phönizisch"
				},
				"pli" : {
					"name" : "Pali"
				},
				"pol" : {
					"name" : "Polnisch",
					"flag" : "pl"
				},
				"pon" : {
					"name" : "Pohnpeian"
				},
				"por" : {
					"name" : "Portugiesisch",
					"flag" : "pt"
				},
				"pra" : {
					"name" : "Prakrit Sprachen"
				},
				"pro" : {
					"name" : "Provençal, Alt (bis 1500)"
				},
				"pus" : {
					"name" : "Paschtu, Paschtu"
				},
				"qaa-qtz" : {
					"name" : "Reserviert für den lokalen Gebrauch"
				},
				"que" : {
					"name" : "Quechua"
				},
				"raj" : {
					"name" : "Rajasthani"
				},
				"rap" : {
					"name" : "Rapanui"
				},
				"rar" : {
					"name" : "Rarotongan; Cook Islands Maori"
				},
				"roa" : {
					"name" : "Romanische Sprachen"
				},
				"roh" : {
					"name" : "Rätoromanisch"
				},
				"rom" : {
					"name" : "Roma"
				},
				"rum" : {
					"name" : "Rumänisch; Moldawisch; Moldauisch"
				},
				"ron" : {
					"name" : "Rumänisch; Moldawisch; Moldauisch",
					"flag" : "ro"
				},
				"run" : {
					"name" : "Rundi"
				},
				"rup" : {
					"name" : "Aromunischen; Arumanian; Macedo-Rumänischen"
				},
				"rus" : {
					"name" : "Russisch",
					"flag" : "ru"
				},
				"sad" : {
					"name" : "Sandawe"
				},
				"sag" : {
					"name" : "Sango"
				},
				"sah" : {
					"name" : "Yakut"
				},
				"sai" : {
					"name" : "Südamerikanische Indianer (Andere)"
				},
				"sal" : {
					"name" : "Salishan Sprachen"
				},
				"sam" : {
					"name" : "Samariter Aramäisch"
				},
				"san" : {
					"name" : "Sanskrit"
				},
				"sas" : {
					"name" : "Sasak"
				},
				"sat" : {
					"name" : "Santali"
				},
				"scn" : {
					"name" : "Sizilianisch"
				},
				"sco" : {
					"name" : "Schottisch"
				},
				"sel" : {
					"name" : "Selkupisch"
				},
				"sem" : {
					"name" : "Semitische Sprachen"
				},
				"sga" : {
					"name" : "Irisch, Alt (bis 900)"
				},
				"sgn" : {
					"name" : "Registrierte Sprachen"
				},
				"shn" : {
					"name" : "Shan"
				},
				"sid" : {
					"name" : "Sidamo"
				},
				"sin" : {
					"name" : "Singhalesisch"
				},
				"sio" : {
					"name" : "Sioux-Sprachen"
				},
				"sit" : {
					"name" : "Sino-tibetische Sprachen"
				},
				"sla" : {
					"name" : "Slawische Sprachen"
				},
				"slo" : {
					"name" : "Slowakisch"
				},
				"slk" : {
					"name" : "Slowakisch",
					"flag" : "sk"
				},
				"slv" : {
					"name" : "Slowenisch",
					"flag" : "si"
				},
				"sma" : {
					"name" : "Süd Sami"
				},
				"sme" : {
					"name" : "Nord Sami"
				},
				"smi" : {
					"name" : "Sami Sprachen"
				},
				"smj" : {
					"name" : "Lulesamisch"
				},
				"smn" : {
					"name" : "Inari-Samen"
				},
				"smo" : {
					"name" : "Samoaner"
				},
				"sms" : {
					"name" : "Skolt Sami"
				},
				"sna" : {
					"name" : "Shona"
				},
				"snd" : {
					"name" : "Sindhi"
				},
				"snk" : {
					"name" : "Soninke"
				},
				"sog" : {
					"name" : "Sogdisch"
				},
				"som" : {
					"name" : "Somali"
				},
				"son" : {
					"name" : "Songhai Sprachen"
				},
				"sot" : {
					"name" : "Sotho, Südlich"
				},
				"spa" : {
					"name" : "Spanisch, Kastilisch",
					"flag" : "es"
				},
				"srd" : {
					"name" : "Sardisch"
				},
				"srn" : {
					"name" : "Sranan Tongo"
				},
				"srp" : {
					"name" : "Serbisch",
					"flag" : "rs"
				},
				"srr" : {
					"name" : "Serer"
				},
				"ssa" : {
					"name" : "Nilosaharanische Sprachen"
				},
				"ssw" : {
					"name" : "Swati"
				},
				"suk" : {
					"name" : "Sukuma"
				},
				"sun" : {
					"name" : "Sundanesisch"
				},
				"sus" : {
					"name" : "Susu"
				},
				"sux" : {
					"name" : "Sumerisch"
				},
				"swa" : {
					"name" : "Swahili"
				},
				"swe" : {
					"name" : "Schwedisch",
					"flag" : "se"
				},
				"syc" : {
					"name" : "Klassisch Syrisch"
				},
				"syr" : {
					"name" : "Syrisch"
				},
				"tah" : {
					"name" : "Tahitianisch"
				},
				"tai" : {
					"name" : "Tai Sprachen"
				},
				"tam" : {
					"name" : "Tamilisch"
				},
				"tat" : {
					"name" : "Tatar"
				},
				"tel" : {
					"name" : "Telugu"
				},
				"tem" : {
					"name" : "Timne"
				},
				"ter" : {
					"name" : "Tereno"
				},
				"tet" : {
					"name" : "Tetum"
				},
				"tgk" : {
					"name" : "Tadschikisch"
				},
				"tgl" : {
					"name" : "Tagalog"
				},
				"tha" : {
					"name" : "Thailändisch",
					"flag" : "th"
				},
				"tib" : {
					"name" : "Tibetisch"
				},
				"bod" : {
					"name" : "Tibetisch"
				},
				"tig" : {
					"name" : "Tigre"
				},
				"tir" : {
					"name" : "Tigrinya"
				},
				"tiv" : {
					"name" : "Tiv"
				},
				"tkl" : {
					"name" : "Tokelau"
				},
				"tlh" : {
					"name" : "Klingonisch; tlhIngan-Hol"
				},
				"tli" : {
					"name" : "Tlingit"
				},
				"tmh" : {
					"name" : "Tamashek"
				},
				"tog" : {
					"name" : "Tonga (Nyasa)"
				},
				"ton" : {
					"name" : "Tonga (Tonga-Inseln)"
				},
				"tpi" : {
					"name" : "Tok Pisin"
				},
				"tsi" : {
					"name" : "Tsimshian"
				},
				"tsn" : {
					"name" : "Tswana"
				},
				"tso" : {
					"name" : "Tsonga"
				},
				"tuk" : {
					"name" : "Turkmenisch"
				},
				"tum" : {
					"name" : "Tumbuka"
				},
				"tup" : {
					"name" : "Tupi-Sprachen"
				},
				"tur" : {
					"name" : "Türkisch",
					"flag" : "tr"
				},
				"tut" : {
					"name" : "Altaische Sprachen"
				},
				"tvl" : {
					"name" : "Tuvalu"
				},
				"twi" : {
					"name" : "Twi"
				},
				"tyv" : {
					"name" : "Tuvinisch"
				},
				"udm" : {
					"name" : "Udmurtisch"
				},
				"uga" : {
					"name" : "Ugaritisch"
				},
				"uig" : {
					"name" : "Uigurisch"
				},
				"ukr" : {
					"name" : "Ukrainisch",
					"flag" : "ua"
				},
				"umb" : {
					"name" : "Umbundu"
				},
				"und" : {
					"name" : "Unbestimmt"
				},
				"urd" : {
					"name" : "Urdu"
				},
				"uzb" : {
					"name" : "Usbekisch"
				},
				"vai" : {
					"name" : "Vai"
				},
				"ven" : {
					"name" : "Venda"
				},
				"vie" : {
					"name" : "Vietnamesisch",
					"flag" : "vn"
				},
				"vol" : {
					"name" : "Volapük"
				},
				"vot" : {
					"name" : "Wotisch"
				},
				"wak" : {
					"name" : "Wakashan Sprachen"
				},
				"wal" : {
					"name" : "Walamo"
				},
				"war" : {
					"name" : "Waray"
				},
				"was" : {
					"name" : "Washo"
				},
				"wel" : {
					"name" : "Walisisch"
				},
				"cym" : {
					"name" : "Walisisch"
				},
				"wen" : {
					"name" : "Sorbische Sprachen"
				},
				"wln" : {
					"name" : "Wallonisch"
				},
				"wol" : {
					"name" : "Wolof"
				},
				"xal" : {
					"name" : "Kalmücken; Oirat"
				},
				"xho" : {
					"name" : "Xhosa"
				},
				"yao" : {
					"name" : "Yao"
				},
				"yap" : {
					"name" : "Yap"
				},
				"yid" : {
					"name" : "Jiddisch"
				},
				"yor" : {
					"name" : "Yoruba"
				},
				"ypk" : {
					"name" : "Yupik Sprachen"
				},
				"zap" : {
					"name" : "Zapoteken"
				},
				"zbl" : {
					"name" : "Bliss-Symbole; Blissymbolics; Bliss"
				},
				"zen" : {
					"name" : "Zenaga"
				},
				"zha" : {
					"name" : "Zhuang; Chuang"
				},
				"znd" : {
					"name" : "Zande Sprachen"
				},
				"zul" : {
					"name" : "Zulu"
				},
				"zun" : {
					"name" : "Zuni"
				},
				"zxx" : {
					"name" : "Kein sprachlicher Inhalt; Entfällt"
				},
				"zza" : {
					"name" : "Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki"
				}
			};
			
			return iso;
		});

define(
		'extra/languages/iso639-1-en',[],
		function() {

			var iso = {
				"aa" : {
					"name" : "Afar"
				},
				"ab" : {
					"name" : "Abkhazian"
				},
				"af" : {
					"name" : "Afrikaans"
				},
				"ak" : {
					"name" : "Akan"
				},
				"sq" : {
					"name" : "Albanian"
				},
				"am" : {
					"name" : "Amharic"
				},
				"ar" : {
					"name" : "Arabic",
					"flag" : "ae"
				},
				"an" : {
					"name" : "Aragonese"
				},
				"hy" : {
					"name" : "Armenian"
				},
				"as" : {
					"name" : "Assamese"
				},
				"av" : {
					"name" : "Avaric"
				},
				"ae" : {
					"name" : "Avestan"
				},
				"ay" : {
					"name" : "Aymara"
				},
				"az" : {
					"name" : "Azerbaijani"
				},
				"ba" : {
					"name" : "Bashkir"
				},
				"bm" : {
					"name" : "Bambara"
				},
				"eu" : {
					"name" : "Basque"
				},
				"be" : {
					"name" : "Belarusian",
					"flag" : "by"
				},
				"bn" : {
					"name" : "Bengali"
				},
				"bh" : {
					"name" : "Bihari languages"
				},
				"bi" : {
					"name" : "Bislama"
				},
				"bs" : {
					"name" : "Bosnian"
				},
				"br" : {
					"name" : "Breton"
				},
				"bg" : {
					"name" : "Bulgarian",
					"flag" : "bg"
				},
				"my" : {
					"name" : "Burmese"
				},
				"ca" : {
					"name" : "Catalan; Valencian",
					"flag" : "es"
				},
				"ch" : {
					"name" : "Chamorro"
				},
				"ce" : {
					"name" : "Chechen"
				},
				"zh" : {
					"name" : "Chinese"
				},
				"cu" : {
					"name" : "Church Slavic; Old Slavonic; Church Slavonic; Old Bulgarian; Old Church Slavonic"
				},
				"cv" : {
					"name" : "Chuvash"
				},
				"kw" : {
					"name" : "Cornish"
				},
				"co" : {
					"name" : "Corsican"
				},
				"cr" : {
					"name" : "Cree"
				},
				"cs" : {
					"name" : "Czech"
				},
				"da" : {
					"name" : "Danish",
					"flag" : "dk"
				},
				"dv" : {
					"name" : "Divehi; Dhivehi; Maldivian"
				},
				"nl" : {
					"name" : "Dutch; Flemish"
				},
				"dz" : {
					"name" : "Dzongkha"
				},
				"en" : {
					"name" : "English",
					"flag" : "gb"
				},
				"eo" : {
					"name" : "Esperanto"
				},
				"et" : {
					"name" : "Estonian",
					"flag" : "ee"
				},
				"ee" : {
					"name" : "Ewe"
				},
				"fo" : {
					"name" : "Faroese"
				},
				"fj" : {
					"name" : "Fijian"
				},
				"fi" : {
					"name" : "Finnish",
					"flag" : "fi"
				},
				"fr" : {
					"name" : "French"
				},
				"fy" : {
					"name" : "Western Frisian"
				},
				"ff" : {
					"name" : "Fulah"
				},
				"ka" : {
					"name" : "Georgian"
				},
				"de" : {
					"name" : "German",
					"flag" : "de"
				},
				"gd" : {
					"name" : "Gaelic; Scottish Gaelic"
				},
				"ga" : {
					"name" : "Irish",
					"flag" : "ie"
				},
				"gl" : {
					"name" : "Galician"
				},
				"gv" : {
					"name" : "Manx"
				},
				"el" : {
					"name" : "Greek, Modern (1453-)"
				},
				"gn" : {
					"name" : "Guarani"
				},
				"gu" : {
					"name" : "Gujarati"
				},
				"ht" : {
					"name" : "Haitian; Haitian Creole"
				},
				"ha" : {
					"name" : "Hausa"
				},
				"he" : {
					"name" : "Hebrew",
					"flag" : "il"
				},
				"hz" : {
					"name" : "Herero"
				},
				"hi" : {
					"name" : "Hindi",
					"flag" : "in"
				},
				"ho" : {
					"name" : "Hiri Motu"
				},
				"hr" : {
					"name" : "Croatian",
					"flag" : "hr"
				},
				"hu" : {
					"name" : "Hungarian",
					"flag" : "hu"
				},
				"ig" : {
					"name" : "Igbo"
				},
				"is" : {
					"name" : "Icelandic"
				},
				"io" : {
					"name" : "Ido"
				},
				"ii" : {
					"name" : "Sichuan Yi; Nuosu"
				},
				"iu" : {
					"name" : "Inuktitut"
				},
				"ie" : {
					"name" : "Interlingue; Occidental"
				},
				"ia" : {
					"name" : "Interlingua (International Auxiliary Language Association)"
				},
				"id" : {
					"name" : "Indonesian",
					"flag" : "id"
				},
				"ik" : {
					"name" : "Inupiaq"
				},
				"it" : {
					"name" : "Italian",
					"flag" : "it"
				},
				"jv" : {
					"name" : "Javanese"
				},
				"ja" : {
					"name" : "Japanese",
					"flag" : "jp"
				},
				"kl" : {
					"name" : "Kalaallisut; Greenlandic"
				},
				"kn" : {
					"name" : "Kannada"
				},
				"ks" : {
					"name" : "Kashmiri"
				},
				"kr" : {
					"name" : "Kanuri"
				},
				"kk" : {
					"name" : "Kazakh"
				},
				"km" : {
					"name" : "Central Khmer"
				},
				"ki" : {
					"name" : "Kikuyu; Gikuyu"
				},
				"rw" : {
					"name" : "Kinyarwanda"
				},
				"ky" : {
					"name" : "Kirghiz; Kyrgyz"
				},
				"kv" : {
					"name" : "Komi"
				},
				"kg" : {
					"name" : "Kongo"
				},
				"ko" : {
					"name" : "Korean",
					"flag" : "kr"
				},
				"kj" : {
					"name" : "Kuanyama; Kwanyama"
				},
				"ku" : {
					"name" : "Kurdish"
				},
				"lo" : {
					"name" : "Lao"
				},
				"la" : {
					"name" : "Latin"
				},
				"lv" : {
					"name" : "Latvian",
					"flag" : "lv"
				},
				"li" : {
					"name" : "Limburgan; Limburger; Limburgish"
				},
				"ln" : {
					"name" : "Lingala"
				},
				"lt" : {
					"name" : "Lithuanian",
					"flag" : "lt"
				},
				"lb" : {
					"name" : "Luxembourgish; Letzeburgesch"
				},
				"lu" : {
					"name" : "Luba-Katanga"
				},
				"lg" : {
					"name" : "Ganda"
				},
				"mk" : {
					"name" : "Macedonian"
				},
				"mh" : {
					"name" : "Marshallese"
				},
				"ml" : {
					"name" : "Malayalam"
				},
				"mi" : {
					"name" : "Maori"
				},
				"mr" : {
					"name" : "Marathi"
				},
				"ms" : {
					"name" : "Malay"
				},
				"mg" : {
					"name" : "Malagasy"
				},
				"mt" : {
					"name" : "Maltese",
					"flag" : "mt"
				},
				"mn" : {
					"name" : "Mongolian"
				},
				"na" : {
					"name" : "Nauru"
				},
				"nv" : {
					"name" : "Navajo; Navaho"
				},
				"nr" : {
					"name" : "Ndebele, South; South Ndebele"
				},
				"nd" : {
					"name" : "Ndebele, North; North Ndebele"
				},
				"ng" : {
					"name" : "Ndonga"
				},
				"ne" : {
					"name" : "Nepali"
				},
				"nn" : {
					"name" : "Norwegian Nynorsk; Nynorsk, Norwegian"
				},
				"nb" : {
					"name" : "Bokmål, Norwegian; Norwegian Bokmål"
				},
				"no" : {
					"name" : "Norwegian",
					"flag" : "no"
				},
				"ny" : {
					"name" : "Chichewa; Chewa; Nyanja"
				},
				"oc" : {
					"name" : "Occitan (post 1500); Provençal"
				},
				"oj" : {
					"name" : "Ojibwa"
				},
				"or" : {
					"name" : "Oriya"
				},
				"om" : {
					"name" : "Oromo"
				},
				"os" : {
					"name" : "Ossetian; Ossetic"
				},
				"pa" : {
					"name" : "Panjabi; Punjabi"
				},
				"fa" : {
					"name" : "Persian"
				},
				"pi" : {
					"name" : "Pali"
				},
				"pl" : {
					"name" : "Polish",
					"flag" : "pl"
				},
				"pt" : {
					"name" : "Portuguese",
					"flag" : "pt"
				},
				"ps" : {
					"name" : "Pushto; Pashto"
				},
				"qu" : {
					"name" : "Quechua"
				},
				"rm" : {
					"name" : "Romansh"
				},
				"ro" : {
					"name" : "Romanian; Moldavian; Moldovan"
				},
				"rn" : {
					"name" : "Rundi"
				},
				"ru" : {
					"name" : "Russian",
					"flag" : "ru"
				},
				"sg" : {
					"name" : "Sango"
				},
				"sa" : {
					"name" : "Sanskrit"
				},
				"si" : {
					"name" : "Sinhala; Sinhalese"
				},
				"sk" : {
					"name" : "Slovak"
				},
				"sl" : {
					"name" : "Slovenian",
					"flag" : "si"
				},
				"se" : {
					"name" : "Northern Sami"
				},
				"sm" : {
					"name" : "Samoan"
				},
				"sn" : {
					"name" : "Shona"
				},
				"sd" : {
					"name" : "Sindhi"
				},
				"so" : {
					"name" : "Somali"
				},
				"st" : {
					"name" : "Sotho, Southern"
				},
				"es" : {
					"name" : "Spanish; Castilian",
					"flag" : "es"
				},
				"sc" : {
					"name" : "Sardinian"
				},
				"sr" : {
					"name" : "Serbian",
					"flag" : "rs"
				},
				"ss" : {
					"name" : "Swati"
				},
				"su" : {
					"name" : "Sundanese"
				},
				"sw" : {
					"name" : "Swahili"
				},
				"sv" : {
					"name" : "Swedish",
					"flag" : "se"
				},
				"ty" : {
					"name" : "Tahitian"
				},
				"ta" : {
					"name" : "Tamil"
				},
				"tt" : {
					"name" : "Tatar"
				},
				"te" : {
					"name" : "Telugu"
				},
				"tg" : {
					"name" : "Tajik"
				},
				"tl" : {
					"name" : "Tagalog"
				},
				"th" : {
					"name" : "Thai",
					"flag" : "th"
				},
				"bo" : {
					"name" : "Tibetan"
				},
				"ti" : {
					"name" : "Tigrinya"
				},
				"to" : {
					"name" : "Tonga (Tonga Islands)"
				},
				"tn" : {
					"name" : "Tswana"
				},
				"ts" : {
					"name" : "Tsonga"
				},
				"tk" : {
					"name" : "Turkmen"
				},
				"tr" : {
					"name" : "Turkish",
					"flag" : "tr"
				},
				"tw" : {
					"name" : "Twi"
				},
				"ug" : {
					"name" : "Uighur; Uyghur"
				},
				"uk" : {
					"name" : "Ukrainian",
					"flag" : "ua"
				},
				"ur" : {
					"name" : "Urdu"
				},
				"uz" : {
					"name" : "Uzbek"
				},
				"ve" : {
					"name" : "Venda"
				},
				"vi" : {
					"name" : "Vietnamese",
					"flag" : "vn"
				},
				"vo" : {
					"name" : "Volapük"
				},
				"cy" : {
					"name" : "Welsh"
				},
				"wa" : {
					"name" : "Walloon"
				},
				"wo" : {
					"name" : "Wolof"
				},
				"xh" : {
					"name" : "Xhosa"
				},
				"yi" : {
					"name" : "Yiddish"
				},
				"yo" : {
					"name" : "Yoruba"
				},
				"za" : {
					"name" : "Zhuang; Chuang"
				},
				"zu" : {
					"name" : "Zulu"
				}
			};
			
			return iso;
		});

define(
		'extra/languages/iso639-2-en',[],
		function() {

			var iso = {
				"aar" : {
					"name" : "Afar"
				},
				"abk" : {
					"name" : "Abkhazian"
				},
				"ace" : {
					"name" : "Achinese"
				},
				"ach" : {
					"name" : "Acoli"
				},
				"ada" : {
					"name" : "Adangme"
				},
				"ady" : {
					"name" : "Adyghe; Adygei"
				},
				"afa" : {
					"name" : "Afro-Asiatic languages"
				},
				"afh" : {
					"name" : "Afrihili"
				},
				"afr" : {
					"name" : "Afrikaans"
				},
				"ain" : {
					"name" : "Ainu"
				},
				"aka" : {
					"name" : "Akan"
				},
				"akk" : {
					"name" : "Akkadian"
				},
				"alb" : {
					"name" : "Albanian"
				},
				"sqi" : {
					"name" : "Albanian",
					"flag" : "al"
				},
				"ale" : {
					"name" : "Aleut"
				},
				"alg" : {
					"name" : "Algonquian languages"
				},
				"alt" : {
					"name" : "Southern Altai"
				},
				"amh" : {
					"name" : "Amharic"
				},
				"ang" : {
					"name" : "English, Old (ca.450-1100)"
				},
				"anp" : {
					"name" : "Angika"
				},
				"apa" : {
					"name" : "Apache languages"
				},
				"ara" : {
					"name" : "Arabic",
					"flag" : "ae"
				},
				"arc" : {
					"name" : "Official Aramaic (700-300 BCE); Imperial Aramaic (700-300 BCE)"
				},
				"arg" : {
					"name" : "Aragonese"
				},
				"arm" : {
					"name" : "Armenian"
				},
				"hye" : {
					"name" : "Armenian"
				},
				"arn" : {
					"name" : "Mapudungun; Mapuche"
				},
				"arp" : {
					"name" : "Arapaho"
				},
				"art" : {
					"name" : "Artificial languages"
				},
				"arw" : {
					"name" : "Arawak"
				},
				"asm" : {
					"name" : "Assamese"
				},
				"ast" : {
					"name" : "Asturian; Bable; Leonese; Asturleonese"
				},
				"ath" : {
					"name" : "Athapascan languages"
				},
				"aus" : {
					"name" : "Australian languages"
				},
				"ava" : {
					"name" : "Avaric"
				},
				"ave" : {
					"name" : "Avestan"
				},
				"awa" : {
					"name" : "Awadhi"
				},
				"aym" : {
					"name" : "Aymara"
				},
				"aze" : {
					"name" : "Azerbaijani"
				},
				"bad" : {
					"name" : "Banda languages"
				},
				"bai" : {
					"name" : "Bamileke languages"
				},
				"bak" : {
					"name" : "Bashkir"
				},
				"bal" : {
					"name" : "Baluchi"
				},
				"bam" : {
					"name" : "Bambara"
				},
				"ban" : {
					"name" : "Balinese"
				},
				"baq" : {
					"name" : "Basque"
				},
				"eus" : {
					"name" : "Basque"
				},
				"bas" : {
					"name" : "Basa"
				},
				"bat" : {
					"name" : "Baltic languages"
				},
				"bej" : {
					"name" : "Beja; Bedawiyet"
				},
				"bel" : {
					"name" : "Belarusian",
					"flag" : "by"
				},
				"bem" : {
					"name" : "Bemba"
				},
				"ben" : {
					"name" : "Bengali"
				},
				"ber" : {
					"name" : "Berber languages"
				},
				"bho" : {
					"name" : "Bhojpuri"
				},
				"bih" : {
					"name" : "Bihari languages"
				},
				"bik" : {
					"name" : "Bikol"
				},
				"bin" : {
					"name" : "Bini; Edo"
				},
				"bis" : {
					"name" : "Bislama"
				},
				"bla" : {
					"name" : "Siksika"
				},
				"bnt" : {
					"name" : "Bantu (Other)"
				},
				"bos" : {
					"name" : "Bosnian"
				},
				"bra" : {
					"name" : "Braj"
				},
				"bre" : {
					"name" : "Breton"
				},
				"btk" : {
					"name" : "Batak languages"
				},
				"bua" : {
					"name" : "Buriat"
				},
				"bug" : {
					"name" : "Buginese"
				},
				"bul" : {
					"name" : "Bulgarian",
					"flag" : "bg"
				},
				"bur" : {
					"name" : "Burmese"
				},
				"mya" : {
					"name" : "Burmese"
				},
				"byn" : {
					"name" : "Blin; Bilin"
				},
				"cad" : {
					"name" : "Caddo"
				},
				"cai" : {
					"name" : "Central American Indian languages"
				},
				"car" : {
					"name" : "Galibi Carib"
				},
				"cat" : {
					"name" : "Catalan; Valencian",
					"flag" : "es"
				},
				"cau" : {
					"name" : "Caucasian languages"
				},
				"ceb" : {
					"name" : "Cebuano"
				},
				"cel" : {
					"name" : "Celtic languages"
				},
				"cha" : {
					"name" : "Chamorro"
				},
				"chb" : {
					"name" : "Chibcha"
				},
				"che" : {
					"name" : "Chechen"
				},
				"chg" : {
					"name" : "Chagatai"
				},
				"chi" : {
					"name" : "Chinese"
				},
				"zho" : {
					"name" : "Chinese",
					"flag" : "cn"
				},
				"chk" : {
					"name" : "Chuukese"
				},
				"chm" : {
					"name" : "Mari"
				},
				"chn" : {
					"name" : "Chinook jargon"
				},
				"cho" : {
					"name" : "Choctaw"
				},
				"chp" : {
					"name" : "Chipewyan; Dene Suline"
				},
				"chr" : {
					"name" : "Cherokee"
				},
				"chu" : {
					"name" : "Church Slavic; Old Slavonic; Church Slavonic; Old Bulgarian; Old Church Slavonic"
				},
				"chv" : {
					"name" : "Chuvash"
				},
				"chy" : {
					"name" : "Cheyenne"
				},
				"cmc" : {
					"name" : "Chamic languages"
				},
				"cop" : {
					"name" : "Coptic"
				},
				"cor" : {
					"name" : "Cornish"
				},
				"cos" : {
					"name" : "Corsican"
				},
				"cpe" : {
					"name" : "Creoles and pidgins, English based"
				},
				"cpf" : {
					"name" : "Creoles and pidgins, French-based "
				},
				"cpp" : {
					"name" : "Creoles and pidgins, Portuguese-based "
				},
				"cre" : {
					"name" : "Cree"
				},
				"crh" : {
					"name" : "Crimean Tatar; Crimean Turkish"
				},
				"crp" : {
					"name" : "Creoles and pidgins "
				},
				"csb" : {
					"name" : "Kashubian"
				},
				"cus" : {
					"name" : "Cushitic languages"
				},
				"cze" : {
					"name" : "Czech"
				},
				"ces" : {
					"name" : "Czech",
					"flag" : "cz"
				},
				"dak" : {
					"name" : "Dakota"
				},
				"dan" : {
					"name" : "Danish",
					"flag" : "dk"
				},
				"dar" : {
					"name" : "Dargwa"
				},
				"day" : {
					"name" : "Land Dayak languages"
				},
				"del" : {
					"name" : "Delaware"
				},
				"den" : {
					"name" : "Slave (Athapascan)"
				},
				"dgr" : {
					"name" : "Dogrib"
				},
				"din" : {
					"name" : "Dinka"
				},
				"div" : {
					"name" : "Divehi; Dhivehi; Maldivian"
				},
				"doi" : {
					"name" : "Dogri"
				},
				"dra" : {
					"name" : "Dravidian languages"
				},
				"dsb" : {
					"name" : "Lower Sorbian"
				},
				"dua" : {
					"name" : "Duala"
				},
				"dum" : {
					"name" : "Dutch, Middle (ca.1050-1350)"
				},
				"dut" : {
					"name" : "Dutch; Flemish"
				},
				"nld" : {
					"name" : "Dutch; Flemish",
					"flag" : "nl"
				},
				"dyu" : {
					"name" : "Dyula"
				},
				"dzo" : {
					"name" : "Dzongkha"
				},
				"efi" : {
					"name" : "Efik"
				},
				"egy" : {
					"name" : "Egyptian (Ancient)"
				},
				"eka" : {
					"name" : "Ekajuk"
				},
				"elx" : {
					"name" : "Elamite"
				},
				"eng" : {
					"name" : "English",
					"flag" : "gb"
				},
				"enm" : {
					"name" : "English, Middle (1100-1500)"
				},
				"epo" : {
					"name" : "Esperanto"
				},
				"est" : {
					"name" : "Estonian",
					"flag" : "ee"
				},
				"ewe" : {
					"name" : "Ewe"
				},
				"ewo" : {
					"name" : "Ewondo"
				},
				"fan" : {
					"name" : "Fang"
				},
				"fao" : {
					"name" : "Faroese"
				},
				"fat" : {
					"name" : "Fanti"
				},
				"fij" : {
					"name" : "Fijian"
				},
				"fil" : {
					"name" : "Filipino; Pilipino"
				},
				"fin" : {
					"name" : "Finnish",
					"flag" : "fi"
				},
				"fiu" : {
					"name" : "Finno-Ugrian languages"
				},
				"fon" : {
					"name" : "Fon"
				},
				"fre" : {
					"name" : "French"
				},
				"fra" : {
					"name" : "French",
					"flag" : "fr"
				},
				"frm" : {
					"name" : "French, Middle (ca.1400-1600)"
				},
				"fro" : {
					"name" : "French, Old (842-ca.1400)"
				},
				"frr" : {
					"name" : "Northern Frisian"
				},
				"frs" : {
					"name" : "Eastern Frisian"
				},
				"fry" : {
					"name" : "Western Frisian"
				},
				"ful" : {
					"name" : "Fulah"
				},
				"fur" : {
					"name" : "Friulian"
				},
				"gaa" : {
					"name" : "Ga"
				},
				"gay" : {
					"name" : "Gayo"
				},
				"gba" : {
					"name" : "Gbaya"
				},
				"gem" : {
					"name" : "Germanic languages"
				},
				"geo" : {
					"name" : "Georgian"
				},
				"kat" : {
					"name" : "Georgian"
				},
				"ger" : {
					"name" : "German",
					"flag" : "de"
				},
				"deu" : {
					"name" : "German",
					"flag" : "de"
				},
				"gez" : {
					"name" : "Geez"
				},
				"gil" : {
					"name" : "Gilbertese"
				},
				"gla" : {
					"name" : "Gaelic; Scottish Gaelic"
				},
				"gle" : {
					"name" : "Irish",
					"flag" : "ie"
				},
				"glg" : {
					"name" : "Galician"
				},
				"glv" : {
					"name" : "Manx"
				},
				"gmh" : {
					"name" : "German, Middle High (ca.1050-1500)"
				},
				"goh" : {
					"name" : "German, Old High (ca.750-1050)"
				},
				"gon" : {
					"name" : "Gondi"
				},
				"gor" : {
					"name" : "Gorontalo"
				},
				"got" : {
					"name" : "Gothic"
				},
				"grb" : {
					"name" : "Grebo"
				},
				"grc" : {
					"name" : "Greek, Ancient (to 1453)"
				},
				"gre" : {
					"name" : "Greek, Modern (1453-)"
				},
				"ell" : {
					"name" : "Greek, Modern (1453-)",
					"flag" : "gr"
				},
				"grn" : {
					"name" : "Guarani"
				},
				"gsw" : {
					"name" : "Swiss German; Alemannic; Alsatian"
				},
				"guj" : {
					"name" : "Gujarati"
				},
				"gwi" : {
					"name" : "Gwich'in"
				},
				"hai" : {
					"name" : "Haida"
				},
				"hat" : {
					"name" : "Haitian; Haitian Creole"
				},
				"hau" : {
					"name" : "Hausa"
				},
				"haw" : {
					"name" : "Hawaiian"
				},
				"heb" : {
					"name" : "Hebrew",
					"flag" : "il"
				},
				"her" : {
					"name" : "Herero"
				},
				"hil" : {
					"name" : "Hiligaynon"
				},
				"him" : {
					"name" : "Himachali languages; Western Pahari languages"
				},
				"hin" : {
					"name" : "Hindi",
					"flag" : "in"
				},
				"hit" : {
					"name" : "Hittite"
				},
				"hmn" : {
					"name" : "Hmong; Mong"
				},
				"hmo" : {
					"name" : "Hiri Motu"
				},
				"hrv" : {
					"name" : "Croatian",
					"flag" : "hr"
				},
				"hsb" : {
					"name" : "Upper Sorbian"
				},
				"hun" : {
					"name" : "Hungarian",
					"flag" : "hu"
				},
				"hup" : {
					"name" : "Hupa"
				},
				"iba" : {
					"name" : "Iban"
				},
				"ibo" : {
					"name" : "Igbo"
				},
				"ice" : {
					"name" : "Icelandic"
				},
				"isl" : {
					"name" : "Icelandic",
					"flag" : "is"
				},
				"ido" : {
					"name" : "Ido"
				},
				"iii" : {
					"name" : "Sichuan Yi; Nuosu"
				},
				"ijo" : {
					"name" : "Ijo languages"
				},
				"iku" : {
					"name" : "Inuktitut"
				},
				"ile" : {
					"name" : "Interlingue; Occidental"
				},
				"ilo" : {
					"name" : "Iloko"
				},
				"ina" : {
					"name" : "Interlingua (International Auxiliary Language Association)"
				},
				"inc" : {
					"name" : "Indic languages"
				},
				"ind" : {
					"name" : "Indonesian",
					"flag" : "id"
				},
				"ine" : {
					"name" : "Indo-European languages"
				},
				"inh" : {
					"name" : "Ingush"
				},
				"ipk" : {
					"name" : "Inupiaq"
				},
				"ira" : {
					"name" : "Iranian languages"
				},
				"iro" : {
					"name" : "Iroquoian languages"
				},
				"ita" : {
					"name" : "Italian",
					"flag" : "it"
				},
				"jav" : {
					"name" : "Javanese"
				},
				"jbo" : {
					"name" : "Lojban"
				},
				"jpn" : {
					"name" : "Japanese",
					"flag" : "jp"
				},
				"jpr" : {
					"name" : "Judeo-Persian"
				},
				"jrb" : {
					"name" : "Judeo-Arabic"
				},
				"kaa" : {
					"name" : "Kara-Kalpak"
				},
				"kab" : {
					"name" : "Kabyle"
				},
				"kac" : {
					"name" : "Kachin; Jingpho"
				},
				"kal" : {
					"name" : "Kalaallisut; Greenlandic"
				},
				"kam" : {
					"name" : "Kamba"
				},
				"kan" : {
					"name" : "Kannada"
				},
				"kar" : {
					"name" : "Karen languages"
				},
				"kas" : {
					"name" : "Kashmiri"
				},
				"kau" : {
					"name" : "Kanuri"
				},
				"kaw" : {
					"name" : "Kawi"
				},
				"kaz" : {
					"name" : "Kazakh"
				},
				"kbd" : {
					"name" : "Kabardian"
				},
				"kha" : {
					"name" : "Khasi"
				},
				"khi" : {
					"name" : "Khoisan languages"
				},
				"khm" : {
					"name" : "Central Khmer"
				},
				"kho" : {
					"name" : "Khotanese; Sakan"
				},
				"kik" : {
					"name" : "Kikuyu; Gikuyu"
				},
				"kin" : {
					"name" : "Kinyarwanda"
				},
				"kir" : {
					"name" : "Kirghiz; Kyrgyz"
				},
				"kmb" : {
					"name" : "Kimbundu"
				},
				"kok" : {
					"name" : "Konkani"
				},
				"kom" : {
					"name" : "Komi"
				},
				"kon" : {
					"name" : "Kongo"
				},
				"kor" : {
					"name" : "Korean",
					"flag" : "kr"
				},
				"kos" : {
					"name" : "Kosraean"
				},
				"kpe" : {
					"name" : "Kpelle"
				},
				"krc" : {
					"name" : "Karachay-Balkar"
				},
				"krl" : {
					"name" : "Karelian"
				},
				"kro" : {
					"name" : "Kru languages"
				},
				"kru" : {
					"name" : "Kurukh"
				},
				"kua" : {
					"name" : "Kuanyama; Kwanyama"
				},
				"kum" : {
					"name" : "Kumyk"
				},
				"kur" : {
					"name" : "Kurdish"
				},
				"kut" : {
					"name" : "Kutenai"
				},
				"lad" : {
					"name" : "Ladino"
				},
				"lah" : {
					"name" : "Lahnda"
				},
				"lam" : {
					"name" : "Lamba"
				},
				"lao" : {
					"name" : "Lao"
				},
				"lat" : {
					"name" : "Latin"
				},
				"lav" : {
					"name" : "Latvian",
					"flag" : "lv"
				},
				"lez" : {
					"name" : "Lezghian"
				},
				"lim" : {
					"name" : "Limburgan; Limburger; Limburgish"
				},
				"lin" : {
					"name" : "Lingala"
				},
				"lit" : {
					"name" : "Lithuanian",
					"flag" : "lt"
				},
				"lol" : {
					"name" : "Mongo"
				},
				"loz" : {
					"name" : "Lozi"
				},
				"ltz" : {
					"name" : "Luxembourgish; Letzeburgesch"
				},
				"lua" : {
					"name" : "Luba-Lulua"
				},
				"lub" : {
					"name" : "Luba-Katanga"
				},
				"lug" : {
					"name" : "Ganda"
				},
				"lui" : {
					"name" : "Luiseno"
				},
				"lun" : {
					"name" : "Lunda"
				},
				"luo" : {
					"name" : "Luo (Kenya and Tanzania)"
				},
				"lus" : {
					"name" : "Lushai"
				},
				"mac" : {
					"name" : "Macedonian"
				},
				"mkd" : {
					"name" : "Macedonian",
					"flag" : "mk"
				},
				"mad" : {
					"name" : "Madurese"
				},
				"mag" : {
					"name" : "Magahi"
				},
				"mah" : {
					"name" : "Marshallese"
				},
				"mai" : {
					"name" : "Maithili"
				},
				"mak" : {
					"name" : "Makasar"
				},
				"mal" : {
					"name" : "Malayalam"
				},
				"man" : {
					"name" : "Mandingo"
				},
				"mao" : {
					"name" : "Maori"
				},
				"mri" : {
					"name" : "Maori"
				},
				"map" : {
					"name" : "Austronesian languages"
				},
				"mar" : {
					"name" : "Marathi"
				},
				"mas" : {
					"name" : "Masai"
				},
				"may" : {
					"name" : "Malay"
				},
				"msa" : {
					"name" : "Malay",
					"flag" : "my"
				},
				"mdf" : {
					"name" : "Moksha"
				},
				"mdr" : {
					"name" : "Mandar"
				},
				"men" : {
					"name" : "Mende"
				},
				"mga" : {
					"name" : "Irish, Middle (900-1200)"
				},
				"mic" : {
					"name" : "Mi'kmaq; Micmac"
				},
				"min" : {
					"name" : "Minangkabau"
				},
				"mis" : {
					"name" : "Uncoded languages"
				},
				"mkh" : {
					"name" : "Mon-Khmer languages"
				},
				"mlg" : {
					"name" : "Malagasy"
				},
				"mlt" : {
					"name" : "Maltese",
					"flag" : "mt"
				},
				"mnc" : {
					"name" : "Manchu"
				},
				"mni" : {
					"name" : "Manipuri"
				},
				"mno" : {
					"name" : "Manobo languages"
				},
				"moh" : {
					"name" : "Mohawk"
				},
				"mon" : {
					"name" : "Mongolian"
				},
				"mos" : {
					"name" : "Mossi"
				},
				"mul" : {
					"name" : "Multiple languages"
				},
				"mun" : {
					"name" : "Munda languages"
				},
				"mus" : {
					"name" : "Creek"
				},
				"mwl" : {
					"name" : "Mirandese"
				},
				"mwr" : {
					"name" : "Marwari"
				},
				"myn" : {
					"name" : "Mayan languages"
				},
				"myv" : {
					"name" : "Erzya"
				},
				"nah" : {
					"name" : "Nahuatl languages"
				},
				"nai" : {
					"name" : "North American Indian languages"
				},
				"nap" : {
					"name" : "Neapolitan"
				},
				"nau" : {
					"name" : "Nauru"
				},
				"nav" : {
					"name" : "Navajo; Navaho"
				},
				"nbl" : {
					"name" : "Ndebele, South; South Ndebele"
				},
				"nde" : {
					"name" : "Ndebele, North; North Ndebele"
				},
				"ndo" : {
					"name" : "Ndonga"
				},
				"nds" : {
					"name" : "Low German; Low Saxon; German, Low; Saxon, Low"
				},
				"nep" : {
					"name" : "Nepali"
				},
				"new" : {
					"name" : "Nepal Bhasa; Newari"
				},
				"nia" : {
					"name" : "Nias"
				},
				"nic" : {
					"name" : "Niger-Kordofanian languages"
				},
				"niu" : {
					"name" : "Niuean"
				},
				"nno" : {
					"name" : "Norwegian Nynorsk; Nynorsk, Norwegian"
				},
				"nob" : {
					"name" : "Bokmål, Norwegian; Norwegian Bokmål"
				},
				"nog" : {
					"name" : "Nogai"
				},
				"non" : {
					"name" : "Norse, Old"
				},
				"nor" : {
					"name" : "Norwegian",
					"flag" : "no"
				},
				"nqo" : {
					"name" : "N'Ko"
				},
				"nso" : {
					"name" : "Pedi; Sepedi; Northern Sotho"
				},
				"nub" : {
					"name" : "Nubian languages"
				},
				"nwc" : {
					"name" : "Classical Newari; Old Newari; Classical Nepal Bhasa"
				},
				"nya" : {
					"name" : "Chichewa; Chewa; Nyanja"
				},
				"nym" : {
					"name" : "Nyamwezi"
				},
				"nyn" : {
					"name" : "Nyankole"
				},
				"nyo" : {
					"name" : "Nyoro"
				},
				"nzi" : {
					"name" : "Nzima"
				},
				"oci" : {
					"name" : "Occitan (post 1500); Provençal"
				},
				"oji" : {
					"name" : "Ojibwa"
				},
				"ori" : {
					"name" : "Oriya"
				},
				"orm" : {
					"name" : "Oromo"
				},
				"osa" : {
					"name" : "Osage"
				},
				"oss" : {
					"name" : "Ossetian; Ossetic"
				},
				"ota" : {
					"name" : "Turkish, Ottoman (1500-1928)"
				},
				"oto" : {
					"name" : "Otomian languages"
				},
				"paa" : {
					"name" : "Papuan languages"
				},
				"pag" : {
					"name" : "Pangasinan"
				},
				"pal" : {
					"name" : "Pahlavi"
				},
				"pam" : {
					"name" : "Pampanga; Kapampangan"
				},
				"pan" : {
					"name" : "Panjabi; Punjabi"
				},
				"pap" : {
					"name" : "Papiamento"
				},
				"pau" : {
					"name" : "Palauan"
				},
				"peo" : {
					"name" : "Persian, Old (ca.600-400 B.C.)"
				},
				"per" : {
					"name" : "Persian"
				},
				"fas" : {
					"name" : "Persian"
				},
				"phi" : {
					"name" : "Philippine languages"
				},
				"phn" : {
					"name" : "Phoenician"
				},
				"pli" : {
					"name" : "Pali"
				},
				"pol" : {
					"name" : "Polish",
					"flag" : "pl"
				},
				"pon" : {
					"name" : "Pohnpeian"
				},
				"por" : {
					"name" : "Portuguese",
					"flag" : "pt"
				},
				"pra" : {
					"name" : "Prakrit languages"
				},
				"pro" : {
					"name" : "Provençal, Old (to 1500)"
				},
				"pus" : {
					"name" : "Pushto; Pashto"
				},
				"qaa-qtz" : {
					"name" : "Reserved for local use"
				},
				"que" : {
					"name" : "Quechua"
				},
				"raj" : {
					"name" : "Rajasthani"
				},
				"rap" : {
					"name" : "Rapanui"
				},
				"rar" : {
					"name" : "Rarotongan; Cook Islands Maori"
				},
				"roa" : {
					"name" : "Romance languages"
				},
				"roh" : {
					"name" : "Romansh"
				},
				"rom" : {
					"name" : "Romany"
				},
				"rum" : {
					"name" : "Romanian; Moldavian; Moldovan"
				},
				"ron" : {
					"name" : "Romanian; Moldavian; Moldovan",
					"flag" : "ro"
				},
				"run" : {
					"name" : "Rundi"
				},
				"rup" : {
					"name" : "Aromanian; Arumanian; Macedo-Romanian"
				},
				"rus" : {
					"name" : "Russian",
					"flag" : "ru"
				},
				"sad" : {
					"name" : "Sandawe"
				},
				"sag" : {
					"name" : "Sango"
				},
				"sah" : {
					"name" : "Yakut"
				},
				"sai" : {
					"name" : "South American Indian (Other)"
				},
				"sal" : {
					"name" : "Salishan languages"
				},
				"sam" : {
					"name" : "Samaritan Aramaic"
				},
				"san" : {
					"name" : "Sanskrit"
				},
				"sas" : {
					"name" : "Sasak"
				},
				"sat" : {
					"name" : "Santali"
				},
				"scn" : {
					"name" : "Sicilian"
				},
				"sco" : {
					"name" : "Scots"
				},
				"sel" : {
					"name" : "Selkup"
				},
				"sem" : {
					"name" : "Semitic languages"
				},
				"sga" : {
					"name" : "Irish, Old (to 900)"
				},
				"sgn" : {
					"name" : "Sign Languages"
				},
				"shn" : {
					"name" : "Shan"
				},
				"sid" : {
					"name" : "Sidamo"
				},
				"sin" : {
					"name" : "Sinhala; Sinhalese"
				},
				"sio" : {
					"name" : "Siouan languages"
				},
				"sit" : {
					"name" : "Sino-Tibetan languages"
				},
				"sla" : {
					"name" : "Slavic languages"
				},
				"slo" : {
					"name" : "Slovak"
				},
				"slk" : {
					"name" : "Slovak",
					"flag" : "sk"
				},
				"slv" : {
					"name" : "Slovenian",
					"flag" : "si"
				},
				"sma" : {
					"name" : "Southern Sami"
				},
				"sme" : {
					"name" : "Northern Sami"
				},
				"smi" : {
					"name" : "Sami languages"
				},
				"smj" : {
					"name" : "Lule Sami"
				},
				"smn" : {
					"name" : "Inari Sami"
				},
				"smo" : {
					"name" : "Samoan"
				},
				"sms" : {
					"name" : "Skolt Sami"
				},
				"sna" : {
					"name" : "Shona"
				},
				"snd" : {
					"name" : "Sindhi"
				},
				"snk" : {
					"name" : "Soninke"
				},
				"sog" : {
					"name" : "Sogdian"
				},
				"som" : {
					"name" : "Somali"
				},
				"son" : {
					"name" : "Songhai languages"
				},
				"sot" : {
					"name" : "Sotho, Southern"
				},
				"spa" : {
					"name" : "Spanish; Castilian",
					"flag" : "es"
				},
				"srd" : {
					"name" : "Sardinian"
				},
				"srn" : {
					"name" : "Sranan Tongo"
				},
				"srp" : {
					"name" : "Serbian",
					"flag" : "rs"
				},
				"srr" : {
					"name" : "Serer"
				},
				"ssa" : {
					"name" : "Nilo-Saharan languages"
				},
				"ssw" : {
					"name" : "Swati"
				},
				"suk" : {
					"name" : "Sukuma"
				},
				"sun" : {
					"name" : "Sundanese"
				},
				"sus" : {
					"name" : "Susu"
				},
				"sux" : {
					"name" : "Sumerian"
				},
				"swa" : {
					"name" : "Swahili"
				},
				"swe" : {
					"name" : "Swedish",
					"flag" : "se"
				},
				"syc" : {
					"name" : "Classical Syriac"
				},
				"syr" : {
					"name" : "Syriac"
				},
				"tah" : {
					"name" : "Tahitian"
				},
				"tai" : {
					"name" : "Tai languages"
				},
				"tam" : {
					"name" : "Tamil"
				},
				"tat" : {
					"name" : "Tatar"
				},
				"tel" : {
					"name" : "Telugu"
				},
				"tem" : {
					"name" : "Timne"
				},
				"ter" : {
					"name" : "Tereno"
				},
				"tet" : {
					"name" : "Tetum"
				},
				"tgk" : {
					"name" : "Tajik"
				},
				"tgl" : {
					"name" : "Tagalog"
				},
				"tha" : {
					"name" : "Thai",
					"flag" : "th"
				},
				"tib" : {
					"name" : "Tibetan"
				},
				"bod" : {
					"name" : "Tibetan"
				},
				"tig" : {
					"name" : "Tigre"
				},
				"tir" : {
					"name" : "Tigrinya"
				},
				"tiv" : {
					"name" : "Tiv"
				},
				"tkl" : {
					"name" : "Tokelau"
				},
				"tlh" : {
					"name" : "Klingon; tlhIngan-Hol"
				},
				"tli" : {
					"name" : "Tlingit"
				},
				"tmh" : {
					"name" : "Tamashek"
				},
				"tog" : {
					"name" : "Tonga (Nyasa)"
				},
				"ton" : {
					"name" : "Tonga (Tonga Islands)"
				},
				"tpi" : {
					"name" : "Tok Pisin"
				},
				"tsi" : {
					"name" : "Tsimshian"
				},
				"tsn" : {
					"name" : "Tswana"
				},
				"tso" : {
					"name" : "Tsonga"
				},
				"tuk" : {
					"name" : "Turkmen"
				},
				"tum" : {
					"name" : "Tumbuka"
				},
				"tup" : {
					"name" : "Tupi languages"
				},
				"tur" : {
					"name" : "Turkish",
					"flag" : "tr"
				},
				"tut" : {
					"name" : "Altaic languages"
				},
				"tvl" : {
					"name" : "Tuvalu"
				},
				"twi" : {
					"name" : "Twi"
				},
				"tyv" : {
					"name" : "Tuvinian"
				},
				"udm" : {
					"name" : "Udmurt"
				},
				"uga" : {
					"name" : "Ugaritic"
				},
				"uig" : {
					"name" : "Uighur; Uyghur"
				},
				"ukr" : {
					"name" : "Ukrainian",
					"flag" : "ua"
				},
				"umb" : {
					"name" : "Umbundu"
				},
				"und" : {
					"name" : "Undetermined"
				},
				"urd" : {
					"name" : "Urdu"
				},
				"uzb" : {
					"name" : "Uzbek"
				},
				"vai" : {
					"name" : "Vai"
				},
				"ven" : {
					"name" : "Venda"
				},
				"vie" : {
					"name" : "Vietnamese",
					"flag" : "vn"
				},
				"vol" : {
					"name" : "Volapük"
				},
				"vot" : {
					"name" : "Votic"
				},
				"wak" : {
					"name" : "Wakashan languages"
				},
				"wal" : {
					"name" : "Walamo"
				},
				"war" : {
					"name" : "Waray"
				},
				"was" : {
					"name" : "Washo"
				},
				"wel" : {
					"name" : "Welsh"
				},
				"cym" : {
					"name" : "Welsh"
				},
				"wen" : {
					"name" : "Sorbian languages"
				},
				"wln" : {
					"name" : "Walloon"
				},
				"wol" : {
					"name" : "Wolof"
				},
				"xal" : {
					"name" : "Kalmyk; Oirat"
				},
				"xho" : {
					"name" : "Xhosa"
				},
				"yao" : {
					"name" : "Yao"
				},
				"yap" : {
					"name" : "Yapese"
				},
				"yid" : {
					"name" : "Yiddish"
				},
				"yor" : {
					"name" : "Yoruba"
				},
				"ypk" : {
					"name" : "Yupik languages"
				},
				"zap" : {
					"name" : "Zapotec"
				},
				"zbl" : {
					"name" : "Blissymbols; Blissymbolics; Bliss"
				},
				"zen" : {
					"name" : "Zenaga"
				},
				"zha" : {
					"name" : "Zhuang; Chuang"
				},
				"znd" : {
					"name" : "Zande languages"
				},
				"zul" : {
					"name" : "Zulu"
				},
				"zun" : {
					"name" : "Zuni"
				},
				"zxx" : {
					"name" : "No linguistic content; Not applicable"
				},
				"zza" : {
					"name" : "Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki"
				}
			};

			return iso;
		});
/*global define: true, require: true */
/*!
 * Aloha Editor
 * Author & Copyright (c) 2011 Gentics Software GmbH
 * aloha-sales@gentics.com
 * Licensed unter the terms of http://www.aloha-editor.com/license.html
 *
 * Language Repository
 * -------------------
 * Provides a set of language codes and images
 */
define('extra/languages/languages',[
	'aloha',
	'jquery',
	'extra/languages/iso639-1-de',
	'extra/languages/iso639-2-de',
	'extra/languages/iso639-1-en',
	'extra/languages/iso639-2-en'
], function(
	Aloha,
	jQuery,
	iso1de,
	iso2de,
	iso1en,
	iso2en
) {
	'use strict';
	
	/**
	 * Keeps reference to the language codes and names.
	 */
	var ISO_MAP = {
		'iso639-1-de': iso1de,
		'iso639-2-de': iso2de,
		'iso639-1-en': iso1en,
		'iso639-2-en': iso2en
	};
	
	/**
	 * Path to the languages files.
	 */
	var PATH = Aloha.getAlohaUrl() + '/../plugins/shared/languages/';

	return Aloha.AbstractRepository.extend({
		
		/**
		 * Set of language codes
		 */
		languageCodes: [],
		
		/**
		 * Set default locale
		 */
		locale: 'de',
		
		/**
		 * Set default iso
		 */
		iso: 'iso639-1',
		
		/**
		 * Object type of the values for this repository.
		 */
		objectType: 'language',

		/**
		 * Whether to show flags or not
		 */
		flags: false,

		_constructor: function (name, flags, iso, locale, objectType) {
			this._super(name);

			if (typeof flags !== 'undefined') {
				this.flags = flags;
			}

			if (typeof iso !== 'undefined') {
				this.iso = ('iso639-1' === iso) ? 'iso639-1' : 'iso639-2';
			}

			if (typeof locale !== 'undefined') {
				this.locale = locale;
			}
			
			if (typeof objectType !== 'undefined') {
				this.objectType = objectType;
			}
			
			
			var data = ISO_MAP[this.iso + '-' + this.locale];
			
			this.storeLanguageCodes(data);
			this.languageData = data;
		},

		/**
		 * Initializes the repository: loads the language files and prepares the data.
		 */
		init: function () {
			
		},

		markObject: function (obj, item) {
			// Copied from wai-lang-plugin makeVisible to avoid a circular dependency
			// We do not need to add this class here since it already being
			// done in the wai-lang plugin
			// jQuery( obj ).addClass( 'aloha-wai-lang' );
		},

		/**
		 * This method will invoked if a error occurres while loading data via ajax
		 */
		errorHandler: function (text, error) {
			console.log("error", this, "Error while loading languages. " + text);
		},

		/**
		 * Stores the retrieved language code data in this object
		 */
		storeLanguageCodes: function (data) {
			var that = this;
			var path = PATH + 'img/';
			// Transform loaded json into a set of repository documents
			jQuery.each(data, function (key, value) {
				var el = value;
				el.id = key;
				el.repositoryId = that.repositoryId;
				el.type = that.objectType;
				if (that.flags) {
					if (el.flag) {
						el.url = path + el.flag + '.png';
					} else {
						el.url = path + 'default.png';
					}
				}
				// el.renditions.url = "img/flags/" + e.id + ".png";
				// el.renditions.kind.thumbnail = true;
				that.languageCodes.push(new Aloha.RepositoryDocument(el));
			});
		},
		
		/**
		 * Searches a repository for object items matching query if objectTypeFilter.
		 * If none found it returns null.
		 * Not supported: filter, orderBy, maxItems, skipcount, renditionFilter
		 */
		_searchInLanguageCodes: function (p, callback) {
			var query = new RegExp('^' + p.queryString, 'i'),
		    i,
		    d = [],
		    matchesName,
		    matchesType,
		    currentElement;

			for (i = 0; i < this.languageCodes.length; ++i) {
				currentElement = this.languageCodes[i];
				matchesName = (!p.queryString || currentElement.name.match(query));
				matchesType = (!p.objectTypeFilter || (!p.objectTypeFilter.length) || jQuery.inArray(currentElement.type, p.objectTypeFilter) > -1);
	
				if (matchesName && matchesType) {
					d.push(currentElement);
				}
			}
	
			callback.call(this, d);
		},

		/**
		 * Fetches the languageCodes if they are not already loaded and
		 * searches the collection with the given query.
		 */
		query: function (p, callback) {
			this._searchInLanguageCodes(p, callback);
		},

		/**
		 * Get the repositoryItem with given id
		 * @param itemId {String} id of the repository item to fetch
		 * @param callback {function} callback function
		 * @return {Aloha.Repository.Object} item with given id
		 */
		getObjectById: function (itemId, callback) {
			var i, currentElement;

			for (i = 0; i < this.languageCodes.length; ++i) {
				currentElement = this.languageCodes[i];
				if (currentElement.id === itemId) {
					callback.call(this, [currentElement]);
					break;
				}
			}

		}
	});
});

/*!
 * Aloha Editor
 * Author & Copyright (c) 2011-2024 Gentics Software GmbH
 * aloha-sales@gentics.com
 * Licensed under the terms of http://www.aloha-editor.com/license.html
 */
define('wai-lang/wai-lang-plugin',[
	'jquery',
	'aloha',
	'PubSub',
	'aloha/plugin',
	'aloha/selection',
	'aloha/content-rules',
	'util/dom',
	'ui/ui',
	'ui/icons',
	'ui/scopes',
	'ui/attributeToggleButton',
	'i18n!wai-lang/nls/i18n',
	'extra/languages/languages'
], function (
	$,
	Aloha,
	PubSub,
	Plugin,
	Selection,
	ContentRules,
	Dom,
	Ui,
	Icons,
	Scopes,
	AttributeToggleButton,
	i18n,
	LanguageRepository
) {
	'use strict';

	var WAI_LANG_CLASS = 'aloha-wai-lang';

	/**
	 * Maps the given value to boolean.
	 *
	 * We need to do this to support Gentics Content.Node which provides Aloha
	 * Editor configuration from serialized PHP.
	 *
	 * @return {boolean}
	 */
	function isTrue(value) {
		return true   === value
		    || 'true' === value
		    || 1      === value
		    || '1'    === value;
	}

	/**
	 * Checks whether this element is a wai-lang wrapper element.
	 *
	 * @this   {HTMLElement}
	 * @return {boolean} True if the given markup denotes wai-lang wrapper.
	 */
	function filterForWaiLangMarkup() {
		var $elem = $(this);
		return $elem.hasClass(WAI_LANG_CLASS) || $elem.is('[lang]');
	}

	/**
	 * Looks for a wai-Lang wrapper DOM element within the the given range.
	 *
	 * @param  {RangeObject} range
	 * @return {?HTMLElement} Wai-lang wrapper node; null otherwise.
	 */
	function findWaiLangMarkup(range) {
		return Aloha.activeEditable
		     ? range.findMarkup(filterForWaiLangMarkup, Aloha.activeEditable.obj)
		     : null;
	}

	/**
	 * Wraps the contents at the current range in a wai-lang wrapper element.
	 *
	 * @param {RangeObject} range
	 */
	function addMarkup(range) {
		if (range.isCollapsed()) {
			Dom.extendToWord(range);
		}
		Dom.addMarkup(
			range,
			$('<span class="' + WAI_LANG_CLASS + '"></span>'),
			false
		);
		range.select();
	}

	/**
	 * Removes wai-lang wrapper on the markup at the given range.
	 *
	 * @param {RangeObject} range
	 */
	function removeMarkup(range) {
		var markup = findWaiLangMarkup(range);
		if (markup) {
			Dom.removeFromDOM(markup, range, true);
			range.select();
		}
	}

	/**
	 * Prepares the markup at the current range for language annotation.
	 */
	function prepareAnnotation() {
		var range = Selection.getRangeObject();

		// Because we don't want to add markup to an area that already contains
		// wai-lang markup
		if (!findWaiLangMarkup(range)) {
			addMarkup(range);
		}
	}

	/**
	 * Mark the given element as a wai-lang wrapper, with a class and
	 * annotation.
	 *
	 * @param {HTMLElement} element
	 */
	function annotate(element) {
		var $element = $(element);
		$element.addClass(WAI_LANG_CLASS)
		        .attr('data-gentics-aloha-repository', 'wai-languages')
		        .attr('data-gentics-aloha-object-id', $element.attr('lang'));
	}

	/**
	 * Initialize the buttons:
	 * Places the Wai-Lang UI button into the floating menu.
	 *
	 * @param {Plugin} plugin Wai-lang plugin instance
	 */
	function prepareUi(plugin) {
		plugin._wailangButton = Ui.adopt('wailang', AttributeToggleButton, {
			tooltip: i18n.t('button.add-wai-lang.tooltip'),
			icon: Icons.LANGUAGE,
			targetAttribute: 'lang',
			inputLabel: 'Language',
			panelLabel: 'WAI language',
			pure: true,
			onToggle: function(active) {
				if (Aloha.activeEditable) {
					var range = Selection.getRangeObject();
					if (findWaiLangMarkup(range)) {
						removeMarkup(range);
						plugin._wailangButton.setActive(false);
					} else {
						addMarkup(range);
						plugin._wailangButton.setActive(true);
					}
				}
			}
		});
	}

	/**
	 * Cache of editable configuration for quicker lookup.
	 *
	 * Note that each configuration is the product of the per-editable
	 * configuration and the plugin configuration, and therefore the cache key
	 * for each configuration entry must be a function of both their
	 * identifiers.
	 *
	 * @type {string, object}
	 */
	var configurations = {};

	/**
	 * Registers event handlers for the given plugin instance.
	 *
	 * @param {Plugin} plugin Instance of wai-lang plugin.
	 */
	function subscribeEvents(plugin) {
		PubSub.sub('aloha.editable.created', function (message) {
			var $editable = message.editable.obj;
			var config = plugin.getEditableConfig($editable);
			var enabled = config
			           && ($.inArray('span', config) > -1)
			           && ContentRules.isAllowed($editable[0], 'span');

			configurations[message.editable.getId()] = enabled;

			if (!enabled) {
				return;
			}

			$editable.on('keydown', plugin.hotKey.insertAnnotation, function () {
					prepareAnnotation();

					// Because on a MAC Safari, cursor would otherwise
					// automatically jump to location bar.  We therefore prevent
					// bubbling, so that the editor must hit ESC and then META+I
					// to manually do that
					return false;
				}
			);

			$editable.find('span[lang]').each(function () {
				annotate(this);
			});
		});

		PubSub.sub('aloha.editable.activated', function (message) {
			plugin._wailangButton.show(!!configurations[message.editable.getId()]);
		});

		PubSub.sub('aloha.editable.deleted', function (message) {
			delete configurations[message.editable.getId()];
		});

		PubSub.sub(
			'aloha.selection.context-change',
			// 'aloha-selection-changed',
			function onSelectionChanged(message) {
				var range = message.range;
				var markup = findWaiLangMarkup(range);

				if (markup) {
					plugin._wailangButton.setActive(true);
					plugin._wailangButton.activateInput(true);
					plugin._wailangButton.setTargetElement($(markup));
					Scopes.enterScope(plugin.name);
				} else {
					plugin._wailangButton.setActive(false);
					plugin._wailangButton.deactivateInput();
					Scopes.leaveScope(plugin.name);
				}
			}
		);
	}

	return Plugin.create('wai-lang', {

		/**
		 * Default configuration, allows spans everywhere.
		 *
		 * @type {Array.<string>}
		 */
		config: ['span'],

		/**
		 * Define the exact standard of language codes to use (possible values
		 * are 'iso639-1' and 'iso639-2', default is 'iso639-1')
		 *
		 * @type {string}
		 */
		iso639: 'iso639-1',

		/**
		 * Whether or not to show flag icons.
		 *
		 * @type {boolean}
		 */
		flags: false,

		/**
		 * The object types to be used for for annotations.
		 *
		 * @type {Array.<string>}
		 */
		objectTypeFilter: ['language/wai'],

		/**
		 * HotKeys used for special actions.
		 *
		 * @type {object<string, string>}
		 */
		hotKey: {
			insertAnnotation: i18n.t('insertAnnotation', 'ctrl+shift+l')
		},

		init: function init() {
			if (this.settings.objectTypeFilter) {
				this.objectTypeFilter = this.settings.objectTypeFilter;
			}
			if (this.settings.hotKey) {
				$.extend(true, this.hotKey, this.settings.hotKey);
			}
			if (this.settings.iso639) {
				this.iso639 = this.settings.iso639;
			}
			this.flags = isTrue(this.settings.flags);
			prepareUi(this);
			subscribeEvents(this);

			var repo = new LanguageRepository(
				'wai-languages',
				this.flags,
				this.iso639 == 'iso639-1' ? 'iso639-1' : 'iso639-2',
				Aloha.settings.locale,
				'language/wai'
			);
		},

		/**
		 * Makes the given editable DOM element clean for export.  Find all
		 * elements with lang attributes and remove the attribute.
		 *
		 * It also removes data attributes attached by the repository manager.
		 *
		 * @param {jQuery<HTMLElement>} $element jQuery unit set containing
		 *                                       element to clean up.
		 */
		makeClean: function makeClean($element) {
			$element.find('span[lang]')
				.each(function onEachLangSpan() {
					var $span = $(this);
					$span.removeClass(WAI_LANG_CLASS)
					     .removeAttr('data-gentics-aloha-repository')
					     .removeAttr('data-gentics-aloha-object-id');
				});
		}

	});
});

define('headerids/nls/i18n',{
	"root":  {
		"headerids.label.target": "Target",
		"headerids.button.reset": "Reset",
		"headerids.button.set": "Set",
		"internal_hyperlink": "Internal Hyperlink"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/* headerids-plugin.js is part of the Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2014 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * License http://aloha-editor.org/license.php 
 */
define('headerids/headerids-plugin',[
	'aloha',
	'jquery',
	'PubSub',
	'aloha/plugin',
	'util/html',
	'i18n!headerids/nls/i18n'
], function (
	Aloha,
	jQuery,
	PubSub,
	Plugin,
	html,
	i18n
) {
	'use strict';

	var $ = jQuery;

	// namespace prefix for this plugin
    var ns = 'aloha-headerids';
    
    
    // ------------------------------------------------------------------------
    // Local (helper) functions
    // ------------------------------------------------------------------------
    
    // Creates a selector string with this component's namepsace prefixed the each classname
    function nsSel () {
        var strBldr = [], prx = ns;
        $.each(arguments, function () { strBldr.push('.' + (this == '' ? prx : prx + '-' + this)); });
        return jQuery.trim(strBldr.join(' '));
    }
    
    // Creates string with this component's namepsace prefixed the each classname
    function nsClass () {
        var strBldr = [], prx = ns;
        $.each(arguments, function () { strBldr.push(this == '' ? prx : prx + '-' + this); });
        return jQuery.trim(strBldr.join(' '));
    }

	/**
	 * Returns a jQuery collection of all heading elements in the given editable
	 * which are safe to have their ids automatically set.
	 *
	 * Do not include heading elements which are annotated with the class
	 * "aloha-customized" because these have had their ids manually set.
	 *
	 * Do not include heading elements which are Aloha editables or blocks because
	 * implementations often use the ids of these elements to track them in the
	 * DOM.
	 *
	 * @param {jQuery.<HTMLElement>} $editable
	 * @return {jQuery.<HTMLHeadingElement>} A jQuery container with a
	 *                                       collection of zero or more heading
	 *                                       elements.
	 */
	function getHeadingElements($editable) {
		return (
			$editable.find('h1,h2,h3,h4,h5,h6')
			        .not('.aloha-customized,.aloha-editable,.aloha-block')
		);
	}
	
	/**
	 * Check in the entire document if has a element with the same ID, and try 
	 * to get an unique ID
	 * 
	 * @param {String} proposedID ID to check, uses this as base and concatenate
	 *                 a dangling with a number
	 * 
	 * @return {String}
	 */
	function checkDuplicatedID(proposedID){
		var baseID = proposedID, i = 1;
		
		while($('#' + proposedID).length > 0){
			proposedID = baseID + '_' + ( ++i ).toString();
		}
		
		return proposedID;
	}
	
	return Plugin.create('headerids', {
		_constructor: function(){
			this._super('headerids');
		},
		
		config: ['true'],
				
		/**
		 * Initialize the plugin
		 */
		init: function () {
			var plugin = this;
			function setHeadingIds(message) {
				plugin.check(message.editable.obj);
			}
			PubSub.sub('aloha.editable.created', setHeadingIds);
			PubSub.sub('aloha.editable.activated', setHeadingIds);
			PubSub.sub('aloha.editable.deactivated', setHeadingIds);
			Aloha.bind('aloha-plugins-loaded', function () {
				if (Aloha.Sidebar != null && !Aloha.Sidebar.disabled) {
					plugin.initSidebar(Aloha.Sidebar.right);
				}
			});
		},

		/**
		 * Automatically sets the id attribute of heading elements in the given
		 * editable element wherever it is safe to do so.
		 *
		 * @TODO: This function should be removed from being a plugin method and
		 *        made a local closure function.
		 *
		 * @TODO: Rename to setHeadingIds()
		 *
		 * @param {jQuery.<HTMLElement>} $editable
		 */
		check: function($editable) {
			var plugin = this;
			if($.inArray('true', plugin.getEditableConfig($editable)) > -1) {
				getHeadingElements($editable).each(function (i, heading) {
					plugin.processH(heading);
				});
			}
		},

		/**
		 * Automatically sets the id of the given heading element to a sanitized
		 * version of the element's content text string, only if the heading has
		 * not a ID already set.
		 *
		 * @TODO: Rename to setHeadingId()
		 *
		 * @TODO: Make this function a local closure function rather than a
		 *        plugin method.
		 *
		 * @param {HTMLHeadingElement} heading One of the six HTML heading
		 *                                     elements.
		 * @returns {String} ID attribute of the Heading element
		 */
		processH: function (heading) {
			var headingId = heading.id;
			if (!headingId) {
				// We prefix the Id with "heading_" to not run accross
				// problems with the Id starting with a number which
				// would be disallowedÜ in HTML.
				var $heading = $(heading);
				headingId = "heading_" + this.sanitize($heading.text());

				headingId = checkDuplicatedID(headingId);

				$heading.attr('id', headingId);
			}
			return headingId;
		},

		/**
		 * Tranforms the given string into a ideal HTMLElement id attribute
		 * string by replacing non-alphanumeric characters with an underscore.
		 *
		 * @TODO: This method should be removed from being a plugin method and
		 *        made into a local closure function.
		 *
		 * @TODO: The regular expression should be defined once (as a constant)
		 *        outside of the scope of this function.
		 *
		 * @param {String} str
		 * @return {String} Santized copy of `str`.
		 */
		sanitize: function(str) {
			var sanitizeCharacters = Aloha.settings.sanitizeCharacters || {};
			var strSanitized = str;
			
			for (var key in sanitizeCharacters) {
				if (sanitizeCharacters.hasOwnProperty(key)) {
					strSanitized = strSanitized.replace(key, sanitizeCharacters[key]);
				}
			}
			
			return html.trimWhitespaceCharacters(strSanitized)
			           .replace(/[^a-z0-9]/gi, '_');
		},

		//ns = headerids
		initSidebar: function(sidebar) {
			var thisPlugin = this;
			thisPlugin.sidebar = sidebar;


			sidebar.addPanel({
				id: nsClass('sidebar-panel'),
				title: i18n.t('internal_hyperlink'),
				content: '',
				expanded: true,
				activeOn: 'h1, h2, h3, h4, h5, h6',

				onInit: function () {
					var thisSidebarPanel = this,
					    content = this.setContent('<label class="' + nsClass('label') + '" for="' + nsClass('input') + '">' + i18n.t('headerids.label.target') + '</label><input id="' + nsClass('input') + '" class="' + nsClass('input') + '" type="text" name="value"/> <button class="' + nsClass('reset-button') + '">' + i18n.t('headerids.button.reset') + '</button><button class="' + nsClass('set-button') + '">' + i18n.t('headerids.button.set') + '</button>').content;

					content.find(nsSel('set-button')).click(function () {
						var content = thisSidebarPanel.content;
						var $input = jQuery(nsSel('input'));
						var name = thisPlugin.sanitize($input.val());
						
						$input.val(name);
						jQuery(thisSidebarPanel.effective)
							.attr('id', name)
							.addClass('aloha-customized');
					});

					content.find(nsSel('reset-button')).click(function () {
						var content = thisSidebarPanel.content;
						thisPlugin.processH(thisSidebarPanel.effective);
						jQuery(thisSidebarPanel.effective)
							.removeClass('aloha-customized');
						thisSidebarPanel.content.find(nsSel('input')).val(thisSidebarPanel.effective.attr('id'));
					});
				},

				onActivate: function (effective) {
					this.effective = effective;
					this.content.find(nsSel('input')).val(thisPlugin.processH(effective[0]));
				}
			});

			sidebar.show();
		},
		
		/**
		 * Make the given jQuery object (representing an editable) clean for saving
		 * If the headerids plugin is active it checks the current editable and 
		 * generates ids for headers.
		 * 
		 * @param {jQuery} obj jQuery object to make clean
		 */
		makeClean: function (obj) {
			this.check(obj);
		}
		
	});
});

define('metaview/nls/i18n',{
	"root":  {
		"button.switch-metaview.tooltip": "Switch between meta and normal view"
	},
		"ca": true,
		"de": true,
		"mk": true,
		"pt-br": true,
		"ru": true,
		"uk": true,
		"zh-hans": true
});


/* metaview-plugin.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor.
 * Copyright (c) 2010-2013 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php
 *
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
define('metaview/metaview-plugin',[
	'jquery',
	'aloha/core',
	'aloha/plugin',
	'ui/ui',
	'ui/icons',
	'ui/toggleButton',
	'i18n!metaview/nls/i18n',
	'i18n!aloha/nls/i18n'
], function (
	$,
	Aloha,
	Plugin,
	Ui,
	Icons,
	ToggleButton,
	i18n
) {
	'use strict';

	/**
	 * Map of editable ids against their metaview states.
	 *
	 * @type {object<string, boolean>}
	 */
	var states = {};

	/**
	 * Singleton meta view toggle button to be used across all meta view plugin
	 * instances.
	 *
	 * @type {ToggleButton}
	 */
	var METAVIEW_TOGGLE_BUTTON;

	/**
	 * Checks whether the given editable is has metaview enabled.
	 *
	 * @param {jQuery<HTMLElement>} $editable
	 * @return {boolean} True if editable is in metaview-enabled state.
	 */
	function enabled($editable) {
		return states[$editable[0].id];
	}

	/**
	 * Enables metaview for the given editable, and update UI appropriately.
	 *
	 * @param {jQuery<HTMLElement>} $editable
	 */
	function enable($editable) {
		$editable.addClass('aloha-metaview');
		METAVIEW_TOGGLE_BUTTON.activate();
		states[$editable[0].id] = true;
	}

	/**
	 * Disables metaview for the given editable, and update UI appropriately.
	 *
	 * @param {jQuery<HTMLElement>} $editable
	 */
	function disable($editable) {
		$editable.removeClass('aloha-metaview');
		METAVIEW_TOGGLE_BUTTON.deactivate();
		states[$editable[0].id] = false;
	}

	/**
	 * Toggles metaview on the given editable.
	 *
	 * @param {jQuery<HTMLElement>} $editable
	 */
	function toggle($editable) {
		if (!$editable) {
			return;
		}

		if (enabled($editable)) {
			disable($editable);
		} else {
			enable($editable);
		}
	}

	/**
	 * Gets the configuration for the given editable/plugin combination.
	 *
	 * TODO: Memoize
	 *
	 * @param {Plugin} plugin Instance of metaview plugin
	 * @param {Editable} editable
	 */
	function getConfiguration(plugin, editable) {
		return plugin.getEditableConfig(editable);
	}

	/**
	 * Checks whether or not meta-view is automatically enable on an editable.
	 *
	 * @param {object} The plugin/editable configuration.
	 * @return {boolean} True if activated.
	 */
	function isAutomaticallyEnabled(config) {
		return (
			$.type(config) === 'array' && $.inArray('enabled', config) !== -1
		);
	}

	/**
	 * Checks whether or not meta-view is activated for an editable.
	 *
	 * @param {object} The plugin/editable configuration.
	 * @return {boolean} True if activated.
	 */
	function isPluginActivated(config) {
		return (
			$.type(config) === 'array' && $.inArray('metaview', config) !== -1
		);
	}

    return Plugin.create('metaview', {
		config: ['metaview'],
		init: function () {
			var plugin = this;

			METAVIEW_TOGGLE_BUTTON = Ui.adopt('toggleMetaView', ToggleButton, {
				tooltip : i18n.t('button.switch-metaview.tooltip'),
				icon: Icons.META_VIEW,
				pure: true,
				click: function () {
					if (Aloha.activeEditable != null && Aloha.activeEditable.obj != null) {
						toggle(Aloha.activeEditable.obj);
					}
				}
			});

			Aloha.bind('aloha-editable-activated', function () {
				var config = getConfiguration(plugin, Aloha.activeEditable.obj);

				if (isAutomaticallyEnabled(config)) {
					METAVIEW_TOGGLE_BUTTON.show(true);
					enable(Aloha.activeEditable.obj);
				} else if (isPluginActivated(config)) {
					METAVIEW_TOGGLE_BUTTON.show(true);
					if (enabled(Aloha.activeEditable.obj)) {
						enable(Aloha.activeEditable.obj);
					} else {
						disable(Aloha.activeEditable.obj);
					}
				} else {
					METAVIEW_TOGGLE_BUTTON.show(false);
				}
			});

			Aloha.bind('aloha-editable-deactivated', function () {
				disable(Aloha.activeEditable.obj);
			});
		}
	});
});

/* listenforcer-plugin.js is part of Aloha Editor project http://aloha-editor.org
 *
 * Aloha Editor is a WYSIWYG HTML5 inline editing library and editor. 
 * Copyright (c) 2010-2012 Gentics Software GmbH, Vienna, Austria.
 * Contributors http://aloha-editor.org/contribution.php 
 * 
 * Aloha Editor is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Aloha Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * As an additional permission to the GNU GPL version 2, you may distribute
 * non-source (e.g., minimized or compacted) forms of the Aloha-Editor
 * source code without the copy of the GNU GPL normally required,
 * provided you include this license notice and a URL through which
 * recipients can access the Corresponding Source.
 */
/* Aloha List Enforcer
 * -------------------
 * Enforces a one top-level list per editable policy ;-)
 * This plugin will register editables and enforce lists in them. List enforced
 * editables will be permitted to contain, exactly one top-level element which
 * must be a (OL or a UL) list element.
 */
define( 'listenforcer/listenforcer-plugin',[
	'aloha',
	'jquery',
	'aloha/plugin',
	'aloha/console'
], function( Aloha, jQuery, Plugin, console ) {
	'use strict';

	/**
	 * An internal array of all editables inwhich to enforce lists.
	 *
	 * @private
	 */
	var listEnforcedEditables = [];

	/**
	 * Given an editable which has been configured to enforce lists,
	 * ensures that there is exactly one top-level list in the editable.
	 * If there are no lists, one will be added, using the
	 * placeHolderListString. If there is more than one list, they will be
	 * merged into the first list.
	 * If there is any other content in the editable it will be removed.
	 *
	 * @private
	 * @param {jQuery} $editable
	 * @param {String} placeHolderListString
	 */
	function enforce ( $editable, placeHolderListString ) {
		// Check if this editable is configured to enforce lists
		if ( jQuery.inArray( $editable[ 0 ], listEnforcedEditables ) === -1 ) {
			return;
		}

		// Remove all temporary <br>s in the editable, which we may have
		// inserted when we activated this editable and found it empty. These
		// <br>s are needed to make the otherwise empty <li> visible (in IE).
		//
		// Note: We no longer insert  temporary <br>s with the "aloha-end-br"
		// class on them.  But we should leave this removal here to ensure that
		// content that was generated with legacy Aloha Editor is cleaned
		// correctly.
		$editable.find('.aloha-end-br').remove();

		// Check for the presence of at least one non-empty list. We consider
		// a list to be not empty if it has atleast one item whose contents are
		// more than a single (propping) <br> tag.

		var hasList = false;

		$editable.find( 'li' ).each( function(){
			// nb: jQuery text() method returns the text contents of the
			// element without <br>s being rendered.
			if ( jQuery.trim( jQuery( this ).text() ) !== '' ) {
				hasList = true;
				// Stop looking for lists as soon as we find our first
				// non-empty list
				return false;
			}
		} );

		// If we found no non-empty list, then we add our empty dummy list that
		// the user can work with.
		if ( !hasList ) {
			$editable.html( placeHolderListString );
		}

		// Concatinate all top-level lists into the first, before, thereby
		// merging all top-level lists into one.
		var $lists = $editable.find( '>ul,>ol' ),
		    j = $lists.length,
		    i;
		if ( j > 1 ) {
			var $firstList = jQuery( $lists[0] );
			for ( i = 1; i < j; ++i ) {
				$firstList.append( jQuery( $lists[ i ] ).find( '>li' ) );
				jQuery( $lists[ i ] ).remove();
			}
		}

		// Remove all top-level elements which are not lists
		$editable.find( '>*:not(ul,ol)' ).remove();
	};

	return Plugin.create( 'listenforcer', {

		_constructor: function() {
			this._super( 'listenforcer' );
		},

		/**
		 * Initializes the listenforcer plugin:
		 * We read the aloha configuration settings to determine which
		 * editables are to have list enforced in them.
		 * We bind handlers to 3 events (aloha-editable-activated,
		 * aloha-editable-deactivated, and aloha-smart-content-changed) on
		 * which we will process the current active editable and enfore lists
		 * in it.
		 */
		init: function() {
			var that = this,
			    elemsToEnforce = this.settings.editables || [],
				elemToEnforce,
				i,
				j = elemsToEnforce.length;

			// Register all editables that are to enforce lists.
			// The following types of items can be used as jQuery selectors:
			// String, DOMElement, and jQuery
			for ( i = 0; i < j; i++ ) {
				elemToEnforce = elemsToEnforce[ i ];
				if ( typeof elemToEnforce === 'string' ||
						elemToEnforce.nodeName ||
							elemToEnforce instanceof jQuery ) {
					jQuery(elemToEnforce).each(function(){
						that.addEditableToEnforcementList( this );
					});
				} else {
					console.warn(
						'Aloha List Enforcer Plugin',
						'Object "' + elemToEnforce.toString() + '" can not ' +
						'be used as a jQuery selector with which to register' +
						' an editable to be list enforced.'
					);
				}
			}

			Aloha.bind('aloha-editable-activated', function ($event, params) {
				enforce(params.editable.obj,
					'<ul><li><br /></li></ul>');
			});

			Aloha.bind('aloha-editable-deactivated', function ($event, params) {
				enforce(params.editable.obj, '');
			});

			Aloha.bind('aloha-smart-content-changed', function ($event, params) {
				//We only want to do this is if the editable is actually active
			 	if (Aloha.activeEditable && Aloha.activeEditable.isActive === true) {
			 		enforce( params.editable.obj,
			 			'<ul><li><br /></li></ul>');
			 	}
			});
		},

		/**
		 * Registers the given editable to be list-enforced.
		 *
		 * @param {DOMElement} editable
		 */
		addEditableToEnforcementList: function( editable ) {
			if ( editable ) {
				listEnforcedEditables.push( editable );
			}
		}

	} );
} );

	if (Aloha._load) {
		Aloha._load(); // initialized in aloha.js
	}
}()); // bye Aloha Editor ;-)
